/****************************************************************************
 *
 * @file	DataFlashCommand.h
 * @brief	Data Flash Library header file.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2015. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 05/29/2015    1.00
 *				- First revision.
 *
 ***************************************************************************/
#include "DataFlashConfig.h"
#ifndef DATAFLASHCOMMAND_H_
#define DATAFLASHCOMMAND_H_


///Error Code
#define DATAFLASH_SUCCESS					(0)
#define DATAFLASH_ERROR_ERASE				(1)
#define DATAFLASH_ERROR_WRITE				(2)
#define DATAFLASH_ERROR_PARAMETER			(3)



//extern
extern int DataFlashWrite(unsigned short address,unsigned char data);
extern unsigned char DataFlashRead(unsigned short address);
extern unsigned char DataFlashReadCurrent(void);




#endif /* DATAFLASH_H_ */
