/******************************************************************
 *		s1c31TestChksum.c
 *
 *		calculate the checksum value from the arguments and return.
 *
 * 		history	:	2009.06.04	new making
 *
 ******************************************************************/

unsigned short s1c31TestChksum(unsigned char *chkAddr, unsigned short chkNum);


/**
 *	s1c31TestChksum
 *
 *	@brief 	calculate the checksum value.
 *
 *	@param1	chkAddr		start Address for test.
 *	@param2 chkNum		number of check memories.
 *
 *	@return the checksum value
 */
unsigned short s1c31TestChksum(unsigned char *chkAddr, unsigned short chkNum)
{
	unsigned short loop;
	unsigned short sumData = 0;

	for (loop = 0; loop < chkNum; loop++) {
		sumData += *chkAddr;
		chkAddr++;
	}
	return sumData;
}
