/******************************************************************
 *		s1c31TestCrc.c
 *
 *		calculate the CRC value from the arguments and return.
 *
 * 		history	:	2009.06.04	new making
 *
 ******************************************************************/

/* prototype */
unsigned short s1c31TestCrc(unsigned char *chkAddr, unsigned short chkNum);

/**
 *	s1c31TestCrc
 *
 *	@brief 	calculate the CRC value by calculate.
 *
 *	@param1	chkAddr		start Address for test.
 *	@param2 chkNum		number of check memories.
 *
 *	@return the CRC value
 *
 */
unsigned short s1c31TestCrc(unsigned char *chkAddr, unsigned short chkNum)
{
	unsigned short crcVal = 0xffff;		//the crc value
	unsigned short loop;				//loop variable
	unsigned short num;					//loop variable 2

	for (loop = 0; loop < chkNum; loop++) {
		crcVal ^= (unsigned long)*chkAddr << 8;

		for (num = 0; num < 8; num++) {
			if ((crcVal & 0x8000) != 0x0) {
				crcVal = (crcVal << 1) ^ 0x1021;
			} else {
				crcVal <<= 1;
			}
		}
		chkAddr++;
	}
	return ~crcVal;
}
