/******************************************************************
 *		s1c31TestRam8.c
 *
 *		This program execute the RAM R/W test in 8 bits.
 *
 * 		history	:	2009.06.09	new making
 *
 ******************************************************************/

#include "s1c31SelfTest.h"

/* prototype */
short s1c31TestRam8(volatile unsigned char *chkAddr, unsigned short chkNum);

#define TEST1_VALUE 0x5a
#define TEST2_VALUE 0xa5

 /**
  *	s1c31TestRam8
  *
  *	@brief 	execute the RAM R/W test for 8-bit device.
  *
  *	@param1	chkAddr		start Address for test.
  *	@param2 chkNum		number of check memories.
  *
  *	@return E_OK or E_MEMORY
  *			pass the test -> E_OK
  *			failed the test -> E_MEMORY
  */
short s1c31TestRam8(volatile unsigned char *chkAddr, unsigned short chkNum)
{
	unsigned char backup;			//backup for RAM
	unsigned short loop;			//loop variable

	for (loop = 0; loop < chkNum; loop++) {
		backup = *chkAddr;
		*chkAddr = TEST1_VALUE;

		if (*chkAddr != TEST1_VALUE) {
			/* RAM memory error occurred. */
			*chkAddr = backup;
			return E_MEMORY;
		} else {
			/* nothing to do */
		}

		*chkAddr = TEST2_VALUE;

		if (*chkAddr != TEST2_VALUE) {
			/* RAM memory error occurred. */
			*chkAddr = backup;
			return E_MEMORY;
		} else {
			/* nothing to do */
		}

		*chkAddr = backup;
		chkAddr++;
	}
	return E_OK;
}

