/// --- BEGIN PORT Setting ---

/**
 * PORT Setting
 * Please change the argument, if necessary.
 *  - 1st: GPIO/OTHER
 *         select_gpio                       ///< Port GPIO
 *         select_other                      ///< Port OTHER
 *  - 2nd: Alt Function 0 -3
 *         no_0                              ///< Port Alt Function 0
 *         no_1                              ///< Port Alt Function 1 (UPMUX P0x,P1x,P2x,P3x)
 *         no_2                              ///< Port Alt Function 2 
 *         no_3                              ///< Port Alt Function 3 (LCD32C)
 *  - 3rd: UpMux Peripheralselect
 *         persel_0                          ///< UpMux Disabled
 *         persel_1                          ///< UpMux I2C Peripheral
 *         persel_2                          ///< UpMux SPIA Peripheral
 *         persel_3                          ///< UpMux UART Peripheral
 *         persel_4                          ///< UpMux T16B Peripheral
 *  - 4th: UpMux Ch X
 *         ch0                               ///< UpMux Ch 0
 *         ch1                               ///< UpMux Ch 1
 *         ch2                               ///< UpMux Ch 2
 *  - 5th: UpMux Fnction
 *         fuction_0                         ///< UpMux Fnc None
 *         fuction_1                         ///< UpMux Fnc SCL,SDI   ,USIN ,TOUT0
 *         fuction_2                         ///< UpMux Fnc SDA,SDO   ,USOUT,TOUT1
 *         fuction_3                         ///< UpMux Fnc    ,SPICLK,     ,TOUT2
 *         fuction_4                         ///< UpMux Fnc    ,SPISS ,     ,TOUT3
 *  - 6th: PORT Direction
 *         dir_input                         ///< Port INPUT
 *         dir_output                        ///< Port OUTPUT
 *  - 7th: PORT Output level
 *         output_low                        ///< Port Output Low
 *         output_high                       ///< Port Output High
 *  - 8th: PORT chattaring
 *         chatta_disable                    ///< PORT chattaring disable
 *         chatta_enable                     ///< PORT chattaring enable
 *  - 9th: PORT pullup/down control
 *         pullup                            ///< PORT pullup enable
 *         pulldown                          ///< PORT pulldown enable
 *         none                              ///< PORT pullup & pulldown disable
 * example.
 * #define PORT00_INIT PORT_INIT(select_gpio, no_0, persel_0, ch0, fuction_0, dir_output, output_low, chatta_disable, none)
 */

/* P5X Setting */
#define PORT50_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT51_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT52_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT53_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT54_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT55_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT56_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT57_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)

/* P6X Setting */
#define PORT60_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT61_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT62_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT63_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT64_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT65_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT66_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT67_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)

/* P7X Setting */
#define PORT70_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT71_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT72_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT73_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT74_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT75_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT76_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT77_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)

/* P8X Setting */
#define PORT80_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT81_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT82_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT83_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT84_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT85_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT86_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT87_INIT PORT_INIT(select_other, no_3, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)


#define LCD32C_SEG95_INIT PORT50_INIT
#define LCD32C_SEG94_INIT PORT51_INIT
#define LCD32C_SEG93_INIT PORT52_INIT
#define LCD32C_SEG92_INIT PORT53_INIT
#define LCD32C_SEG91_INIT PORT54_INIT
#define LCD32C_SEG90_INIT PORT55_INIT
#define LCD32C_SEG89_INIT PORT56_INIT
#define LCD32C_SEG88_INIT PORT57_INIT

#define LCD32C_SEG87_INIT PORT60_INIT
#define LCD32C_SEG86_INIT PORT61_INIT
#define LCD32C_SEG85_INIT PORT62_INIT
#define LCD32C_SEG84_INIT PORT63_INIT
#define LCD32C_SEG83_INIT PORT64_INIT
#define LCD32C_SEG82_INIT PORT65_INIT
#define LCD32C_SEG81_INIT PORT66_INIT
#define LCD32C_SEG80_INIT PORT67_INIT

#define LCD32C_SEG79_INIT PORT70_INIT
#define LCD32C_SEG78_INIT PORT71_INIT
#define LCD32C_SEG77_INIT PORT72_INIT
#define LCD32C_SEG76_INIT PORT73_INIT
#define LCD32C_SEG75_INIT PORT74_INIT
#define LCD32C_SEG74_INIT PORT75_INIT
#define LCD32C_SEG73_INIT PORT76_INIT
#define LCD32C_SEG72_INIT PORT77_INIT

#define LCD32C_SEG71_INIT PORT80_INIT
#define LCD32C_SEG70_INIT PORT81_INIT
#define LCD32C_SEG69_INIT PORT82_INIT
#define LCD32C_SEG68_INIT PORT83_INIT
#define LCD32C_SEG67_INIT PORT84_INIT
#define LCD32C_SEG66_INIT PORT85_INIT
#define LCD32C_SEG65_INIT PORT86_INIT
#define LCD32C_SEG64_INIT PORT87_INIT

/// --- END PORT Setting ---

