/// --- BEGIN PORT Setting ---

/**
 * PORT Setting
 * Please change the argument, if necessary.
 *  - 1st: GPIO/OTHER
 *         select_gpio                       ///< Port GPIO
 *         select_other                      ///< Port OTHER
 *  - 2nd: Alt Function 0 -3
 *         no_0                              ///< Port Alt Function 0 (SNDA)
 *         no_1                              ///< Port Alt Function 1 (UPMUX P0x,P1x,P2x,P3x)
 *         no_2                              ///< Port Alt Function 2 
 *         no_3                              ///< Port Alt Function 3 (no use)
 *  - 3rd: UpMux Peripheralselect
 *         persel_0                          ///< UpMux Disabled
 *         persel_1                          ///< UpMux I2C Peripheral
 *         persel_2                          ///< UpMux SPIA Peripheral
 *         persel_3                          ///< UpMux UART Peripheral
 *         persel_4                          ///< UpMux T16B Peripheral
 *  - 4th: UpMux Ch X
 *         ch0                               ///< UpMux Ch 0
 *         ch1                               ///< UpMux Ch 1
 *         ch2                               ///< UpMux Ch 2
 *  - 5th: UpMux Fnction
 *         fuction_0                         ///< UpMux Fnc None
 *         fuction_1                         ///< UpMux Fnc SCL,SDI   ,USIN ,TOUT0
 *         fuction_2                         ///< UpMux Fnc SDA,SDO   ,USOUT,TOUT1
 *         fuction_3                         ///< UpMux Fnc    ,SPICLK,     ,TOUT2
 *         fuction_4                         ///< UpMux Fnc    ,SPISS ,     ,TOUT3
 *  - 6th: PORT Direction
 *         dir_input                         ///< Port INPUT
 *         dir_output                        ///< Port OUTPUT
 *  - 7th: PORT Output level
 *         output_low                        ///< Port Output Low
 *         output_high                       ///< Port Output High
 *  - 8th: PORT chattaring
 *         chatta_disable                    ///< PORT chattaring disable
 *         chatta_enable                     ///< PORT chattaring enable
 *  - 9th: PORT pullup/down control
 *         pullup                            ///< PORT pullup enable
 *         pulldown                          ///< PORT pulldown enable
 *         none                              ///< PORT pullup & pulldown disable
 * example.
 * #define PORT00_INIT PORT_INIT(select_gpio, no_0, persel_0, ch0, fuction_0, dir_output, output_low, chatta_disable, none)
 */

/* P1X Setting */
#define PORT10_INIT PORT_INIT(select_other, no_0, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)
#define PORT11_INIT PORT_INIT(select_other, no_0, persel_0, ch0, fuction_0, dir_input, output_low, chatta_disable, none)

#define SNDA_BZOUT_INIT  PORT10_INIT
#define SNDA_NBZOUT_INIT PORT11_INIT


/// --- END PORT Setting ---
