/**
  ******************************************************************************
  * @file    tsrvr_temperature.h
  * @author  Epson
  * @version V1.0  
  * @date    23- September-2016
  * @brief   This file contains definitions and function prototypes for the
  *          TSRVR temperature reading routines.
  ******************************************************************************
  * @attention
  *
  * Copyright(C) SEIKO EPSON CORPORATION 2016-2019. All rights reserved.
  ******************************************************************************
  */

#ifndef TSRVR_TEMPERATURE_H
#define TSRVR_TEMPERATURE_H

#include <se_common.h>
#include <se_adc12a.h>
#include <se_tsrvr.h>
#include <S1C31.h>

#ifdef __cplusplus
 extern "C" {
#endif

//------ Function prototypes -------------------------------------
seStatus initTempTSRVR ( seTSRVR_VREFAMD vrefsel, uint32_t startupdly );
int16_t readTempTSRVR ( uint8_t numsamples );

#ifdef __cplusplus
}
#endif
#endif	// TSRVR_TEMPERATURE_H
