/**
  ******************************************************************************
  * @file    main.c
  * @author  Epson
  * @version V1.1
  * @date    05-August-2016
  * @brief   This demo(test) demonstrates one of the USB MSC use cases.
  ******************************************************************************
  * @attention
  *
  * Copyright(C) SEIKO EPSON CORPORATION 2016-2019. All rights reserved.
  ******************************************************************************
  */
  
#include "main.h"

#include <string.h>
#include <stdio.h>
#include "RTL.h"
#include "rl_usb.h"
#include "board.h"

int main( void ) {

  usbd_init();
  while (!usbd_configured()) {
  }
  
  do {
    seSysSleepMS( 1000 );
  } while (1);
  
  return seSTATUS_OK;
} 

/**
  * @brief When RTX is not used following functions are called in Interrupt context.
  * Uncomment printfs only for debugging. Alternatively the event functions can set 
  * the global event flags.
  */

void USBD_Reset_Event       (void)    { /* printf( "Reset\n");    */ }
void USBD_Suspend_Event     (void)    { /* printf( "Suspend\n");  */ }
void USBD_Resume_Event      (void)    { /* printf( "Resume\n" );  */ }
void USBD_Configure_Event   (void)    { /* printf( "Configure\n");*/ }
void USBD_Interface_Event   (void)    { /* printf( "Interface\n");*/ }
void USBD_Feature_Event     (void)    { /* printf( "Feature\n");  */ }

