
/****************************************************************************************************//**
 * @file     S1C31W73.h
 *
 * @brief    CMSIS Cortex-M0PLUS Peripheral Access Layer Header File for
 *           S1C31W73 from Epson.
 *
 * @version  V1.00
 * @date     25. May 2020
 *
 * @note     Generated with SVDConv V2.85b 
 *           from CMSIS SVD File 'S1C31W73.svd' Version 1.00,
 *
 * @par      Copyright (C) SEIKO EPSON CORPORATION 2017-2018. All rights reserved. 
 *
 *******************************************************************************************************/



/** @addtogroup Epson
  * @{
  */

/** @addtogroup S1C31W73
  * @{
  */

#ifndef S1C31W73_H
#define S1C31W73_H

#ifdef __cplusplus
extern "C" {
#endif


/* -------------------------  Interrupt Number Definition  ------------------------ */

typedef enum {
/* -----------------  Cortex-M0PLUS Processor Exceptions Numbers  ----------------- */
  Reset_IRQn                    = -15,              /*!<   1  Reset Vector, invoked on Power up and warm reset                 */
  NonMaskableInt_IRQn           = -14,              /*!<   2  Non maskable Interrupt, cannot be stopped or preempted           */
  HardFault_IRQn                = -13,              /*!<   3  Hard Fault, all classes of Fault                                 */
  SVCall_IRQn                   =  -5,              /*!<  11  System Service Call via SVC instruction                          */
  DebugMonitor_IRQn             =  -4,              /*!<  12  Debug Monitor                                                    */
  SysTick_IRQn                  =  -1,              /*!<  15  System Tick Timer                                                */
/* ---------------------  S1C31W73 Specific Interrupt Numbers  -------------------- */
  DMAC_IRQn                     =   0,              /*!<   0  DMAC                                                             */
  SVD4_IRQn                     =   1,              /*!<   1  SVD4                                                             */
  PPORT_IRQn                    =   2,              /*!<   2  PPORT                                                            */
  CLG_IRQn                      =   3,              /*!<   3  CLG                                                              */
  RTC_IRQn                      =   4,              /*!<   4  RTC                                                              */
  T16_0_IRQn                    =   5,              /*!<   5  T16_0                                                            */
  UART3_0_IRQn                  =   6,              /*!<   6  UART3_0                                                          */
  T16_1_IRQn                    =   7,              /*!<   7  T16_1                                                            */
  SPIA_0_IRQn                   =   8,              /*!<   8  SPIA_0                                                           */
  I2C_0_IRQn                    =   9,              /*!<   9  I2C_0                                                            */
  T16B_0_IRQn                   =  10,              /*!<  10  T16B_0                                                           */
  T16B_1_IRQn                   =  11,              /*!<  11  T16B_1                                                           */
  UART3_1_IRQn                  =  12,              /*!<  12  UART3_1                                                          */
  T16_2_IRQn                    =  13,              /*!<  13  T16_2                                                            */
  QSPI_0_IRQn                   =  14,              /*!<  14  QSPI_0                                                           */
  I2C_1_IRQn                    =  15,              /*!<  15  I2C_1                                                            */
  REMC3_IRQn                    =  16,              /*!<  16  REMC3                                                            */
  LCD_IRQn                      =  17,              /*!<  17  LCD                                                              */
  T16_3_IRQn                    =  18,              /*!<  18  T16_3                                                            */
  USB_IRQn                      =  19,              /*!<  19  USB                                                              */
  SPIA_1_IRQn                   =  20,              /*!<  20  SPIA_1                                                           */
  SNDA_IRQn                     =  21,              /*!<  21  SNDA                                                             */
  RFC_0_IRQn                    =  22,              /*!<  22  RFC_0                                                            */
  T16_4_IRQn                    =  23,              /*!<  23  T16_4                                                            */
  T16_5_IRQn                    =  24,              /*!<  24  T16_5                                                            */
  T16_6_IRQn                    =  25,              /*!<  25  T16_6                                                            */
  T16_7_IRQn                    =  26,              /*!<  26  T16_7                                                            */
  ADC12A_0_IRQn                 =  27               /*!<  27  ADC12A_0                                                         */
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */


/* ================================================================================ */
/* ================      Processor and Core Peripheral Section     ================ */
/* ================================================================================ */

/* ----------------Configuration of the Cortex-M0PLUS Processor and Core Peripherals---------------- */
#define __CM0PLUS_REV                 0x0001        /*!< Cortex-M0PLUS Core Revision                                           */
#define __MPU_PRESENT                  1            /*!< MPU present or not                                                    */
#define __NVIC_PRIO_BITS               2            /*!< Number of Bits used for Priority Levels                               */
#define __Vendor_SysTickConfig         0            /*!< Set to 1 if different SysTick Config is used                          */
#define __VTOR_PRESENT                 1            /*!< Set to 1 if CPU supports Vector Table Offset Register                 */
/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm0plus.h"                           /*!< Cortex-M0PLUS processor and core peripherals                          */
#include "system_S1C31W73.h"                        /*!< S1C31W73 System                                                       */


/* ================================================================================ */
/* ================       Device Specific Peripheral Section       ================ */
/* ================================================================================ */


/** @addtogroup Device_Peripheral_Registers
  * @{
  */


/* -------------------  Start of section using anonymous unions  ------------------ */
#if defined(__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined(__ICCARM__)
  #pragma language=extended
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
/* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning 586
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================                    ADC12A_0                    ================ */
/* ================================================================================ */


/**
  * @brief 12 bit ADC controller (ADC12A_0)
  */

typedef struct {                                    /*!< ADC12A_0 Structure                                                    */
  __I  uint16_t  RESERVED;
  
  union {
    __IO uint16_t  CTL;                             /*!< ADC Control Register                                                  */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< AD enable, ADCLK enable                                               */
      __IO uint16_t  ADST       :  1;               /*!< Conversion control                                                    */
      __I  uint16_t  RESERVED_7_2:  6;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_9_8:  2;              /*!< Reserved                                                              */
      __I  uint16_t  BSYSTAT    :  1;               /*!< ADC busy status                                                       */
      __I  uint16_t  RESERVED_11:  1;               /*!< Reserved                                                              */
      __I  uint16_t  ADSTAT     :  3;               /*!< ADC channel status                                                    */
      __I  uint16_t  RESERVED_15:  1;               /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TRG;                             /*!< A/D Converter Trigger/Channel select Register                         */
    
    struct {
      __IO uint16_t  SMPCLK     :  3;               /*!< Sampling clock count                                                  */
      __I  uint16_t  RESERVED_3 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  CNVTRG     :  2;               /*!< Conversion trigger select                                             */
      __IO uint16_t  CNVMD      :  1;               /*!< Conversion store mode                                                 */
      __IO uint16_t  STMD       :  1;               /*!< Data store mode                                                       */
      __IO uint16_t  STAAIN     :  3;               /*!< Start channel select                                                  */
      __IO uint16_t  ENDAIN     :  3;               /*!< End channel select                                                    */
      __I  uint16_t  RESERVED_15_14:  2;            /*!< Reserved                                                              */
    } TRG_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CFG;                             /*!< ADC configuration register                                            */
    
    struct {
      __IO uint16_t  VRANGE     :  2;               /*!< Comparator input voltage range                                        */
      __I  uint16_t  RESERVED_7_2:  6;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } CFG_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< ADC interrupt flag register                                           */
    
    struct {
      __IO uint16_t  AD0CIF     :  1;               /*!< Ch0 conversion interrupt flag.                                        */
      __IO uint16_t  AD1CIF     :  1;               /*!< Ch1 conversion interrupt flag.                                        */
      __IO uint16_t  AD2CIF     :  1;               /*!< Ch2 conversion interrupt flag.                                        */
      __IO uint16_t  AD3CIF     :  1;               /*!< Ch3 conversion interrupt flag.                                        */
      __IO uint16_t  AD4CIF     :  1;               /*!< Ch4 conversion interrupt flag.                                        */
      __IO uint16_t  AD5CIF     :  1;               /*!< Ch5 conversion interrupt flag.                                        */
      __IO uint16_t  AD6CIF     :  1;               /*!< Ch6 conversion interrupt flag.                                        */
      __IO uint16_t  AD7CIF     :  1;               /*!< Ch7 conversion interrupt flag.                                        */
      __IO uint16_t  OVIF       :  1;               /*!< Overrun error interrupt flag                                          */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< ADC interrupt enable                                                  */
    
    struct {
      __IO uint16_t  AD0CIE     :  1;               /*!< Ch0 conversion interrupt enable                                       */
      __IO uint16_t  AD1CIE     :  1;               /*!< Ch1 conversion interrupt enable                                       */
      __IO uint16_t  AD2CIE     :  1;               /*!< Ch2 conversion interrupt enable                                       */
      __IO uint16_t  AD3CIE     :  1;               /*!< Ch3 conversion interrupt enable                                       */
      __IO uint16_t  AD4CIE     :  1;               /*!< Ch4 conversion interrupt enable                                       */
      __IO uint16_t  AD5CIE     :  1;               /*!< Ch5 conversion interrupt enable                                       */
      __IO uint16_t  AD6CIE     :  1;               /*!< Ch6 conversion interrupt enable                                       */
      __IO uint16_t  AD7CIE     :  1;               /*!< Ch7 conversion interrupt enable                                       */
      __IO uint16_t  OVIE       :  1;               /*!< Overrun interrupt enable                                              */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DMAEN0;                          /*!< DMA request enable                                                    */
    
    struct {
      __IO uint16_t  ADCDMAEN0  :  1;               /*!< DMA ch0 enable                                                        */
      __IO uint16_t  ADCDMAEN1  :  1;               /*!< DMA ch1 enable                                                        */
      __IO uint16_t  ADCDMAEN2  :  1;               /*!< DMA ch2 enable                                                        */
      __IO uint16_t  ADCDMAEN3  :  1;               /*!< DMA ch3 enable                                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } DMAEN0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DMAEN1;                          /*!< DMA request enable                                                    */
    
    struct {
      __IO uint16_t  ADCDMAEN0  :  1;               /*!< DMA ch0 enable                                                        */
      __IO uint16_t  ADCDMAEN1  :  1;               /*!< DMA ch1 enable                                                        */
      __IO uint16_t  ADCDMAEN2  :  1;               /*!< DMA ch2 enable                                                        */
      __IO uint16_t  ADCDMAEN3  :  1;               /*!< DMA ch3 enable                                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } DMAEN1_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DMAEN2;                          /*!< DMA request enable                                                    */
    
    struct {
      __IO uint16_t  ADCDMAEN0  :  1;               /*!< DMA ch0 enable                                                        */
      __IO uint16_t  ADCDMAEN1  :  1;               /*!< DMA ch1 enable                                                        */
      __IO uint16_t  ADCDMAEN2  :  1;               /*!< DMA ch2 enable                                                        */
      __IO uint16_t  ADCDMAEN3  :  1;               /*!< DMA ch3 enable                                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } DMAEN2_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DMAEN3;                          /*!< DMA request enable                                                    */
    
    struct {
      __IO uint16_t  ADCDMAEN0  :  1;               /*!< DMA ch0 enable                                                        */
      __IO uint16_t  ADCDMAEN1  :  1;               /*!< DMA ch1 enable                                                        */
      __IO uint16_t  ADCDMAEN2  :  1;               /*!< DMA ch2 enable                                                        */
      __IO uint16_t  ADCDMAEN3  :  1;               /*!< DMA ch3 enable                                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } DMAEN3_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DMAEN4;                          /*!< DMA request enable                                                    */
    
    struct {
      __IO uint16_t  ADCDMAEN0  :  1;               /*!< DMA ch0 enable                                                        */
      __IO uint16_t  ADCDMAEN1  :  1;               /*!< DMA ch1 enable                                                        */
      __IO uint16_t  ADCDMAEN2  :  1;               /*!< DMA ch2 enable                                                        */
      __IO uint16_t  ADCDMAEN3  :  1;               /*!< DMA ch3 enable                                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } DMAEN4_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DMAEN5;                          /*!< DMA request enable                                                    */
    
    struct {
      __IO uint16_t  ADCDMAEN0  :  1;               /*!< DMA ch0 enable                                                        */
      __IO uint16_t  ADCDMAEN1  :  1;               /*!< DMA ch1 enable                                                        */
      __IO uint16_t  ADCDMAEN2  :  1;               /*!< DMA ch2 enable                                                        */
      __IO uint16_t  ADCDMAEN3  :  1;               /*!< DMA ch3 enable                                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } DMAEN5_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DMAEN6;                          /*!< DMA request enable                                                    */
    
    struct {
      __IO uint16_t  ADCDMAEN0  :  1;               /*!< DMA ch0 enable                                                        */
      __IO uint16_t  ADCDMAEN1  :  1;               /*!< DMA ch1 enable                                                        */
      __IO uint16_t  ADCDMAEN2  :  1;               /*!< DMA ch2 enable                                                        */
      __IO uint16_t  ADCDMAEN3  :  1;               /*!< DMA ch3 enable                                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } DMAEN6_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DMAEN7;                          /*!< DMA request enable                                                    */
    
    struct {
      __IO uint16_t  ADCDMAEN0  :  1;               /*!< DMA ch0 enable                                                        */
      __IO uint16_t  ADCDMAEN1  :  1;               /*!< DMA ch1 enable                                                        */
      __IO uint16_t  ADCDMAEN2  :  1;               /*!< DMA ch2 enable                                                        */
      __IO uint16_t  ADCDMAEN3  :  1;               /*!< DMA ch3 enable                                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } DMAEN7_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  ADD;                             /*!< ADC Result Register                                                   */
    
    struct {
      __I  uint16_t  ADD        : 16;               /*!< Conversion data                                                       */
    } ADD_b;                                        /*!< BitSize                                                               */
  };
} ADC12A_0_Type;


/* ================================================================================ */
/* ================                      CACHE                     ================ */
/* ================================================================================ */


/**
  * @brief Cache controller (CACHE)
  */

typedef struct {                                    /*!< CACHE Structure                                                       */
  
  union {
    __IO uint16_t  CTL;                             /*!< Cache Control Register                                                */
    
    struct {
      __IO uint16_t  CACHEEN    :  1;               /*!< Cache enable                                                          */
      __I  uint16_t  RESERVED_15_1: 15;             /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
} CACHE_Type;


/* ================================================================================ */
/* ================                       CLG                      ================ */
/* ================================================================================ */


/**
  * @brief Clock sources control and clock supply management (CLG)
  */

typedef struct {                                    /*!< CLG Structure                                                         */
  
  union {
    __IO uint16_t  SCLK;                            /*!< System Clock Control Register                                         */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< System clock source select (can be write protected)                   */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  CLKDIV     :  2;               /*!< System clock division ratio select (can be write protected)           */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __IO uint16_t  WUPSRC     :  2;               /*!< Wakeup system clock source select (can be write protected)            */
      __I  uint16_t  RESERVED_11_10:  2;            /*!< Reserved                                                              */
      __IO uint16_t  WUPDIV     :  2;               /*!< Wakeup system clock division ratio select (can be write protected)    */
      __I  uint16_t  RESERVED_14:  1;               /*!< Reserved                                                              */
      __IO uint16_t  WUPMD      :  1;               /*!< Wakeup mode select (can be write protected)                           */
    } SCLK_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  OSC;                             /*!< Oscillation Control Register                                          */
    
    struct {
      __IO uint16_t  IOSCEN     :  1;               /*!< IOSC enable                                                           */
      __IO uint16_t  OSC1EN     :  1;               /*!< OSC1 enable                                                           */
      __IO uint16_t  OSC3EN     :  1;               /*!< OSC3 enable                                                           */
      __IO uint16_t  EXOSCEN    :  1;               /*!< EXOSC enable                                                          */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __IO uint16_t  IOSCSLPC   :  1;               /*!< IOSC clock sleep control                                              */
      __IO uint16_t  OSC1SLPC   :  1;               /*!< OSC1 clock sleep control                                              */
      __IO uint16_t  OSC3SLPC   :  1;               /*!< OSC3 clock sleep control                                              */
      __IO uint16_t  EXOSCSLPC  :  1;               /*!< EXOSC clock sleep control (can be write protected)                    */
      __I  uint16_t  RESERVED_15_12:  4;            /*!< Reserved                                                              */
    } OSC_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  IOSC;                            /*!< IOSC Control Register                                                 */
    
    struct {
      __IO uint16_t  IOSCFQ     :  3;               /*!< IOSC frequency select (can be write protected)                        */
      __I  uint16_t  RESERVED_3_3:  1;              /*!< Reserved                                                              */
      __IO uint16_t  IOSCSTM    :  1;               /*!< IOSC self trimming start                                              */
      __IO uint16_t  IOSCWT     :  2;               /*!< IOSC Oscillation stabilization wating time                            */
      __I  uint16_t  RESERVED_15_7:  9;             /*!< Reserved                                                              */
    } IOSC_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  OSC1;                            /*!< OSC1 Control Register                                                 */
    
    struct {
      __IO uint16_t  OSC1WT     :  2;               /*!< OSC1 wait cycle select (can be write protected)                       */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  INV1N      :  2;               /*!< Normal OSC inverter select (can be write protected)                   */
      __IO uint16_t  INV1B      :  2;               /*!< Boot OSC inverter select (can be write protected)                     */
      __IO uint16_t  CGI1       :  3;               /*!< Gate capacitance select (can be write protected)                      */
      __IO uint16_t  OSC1SELCR  :  1;               /*!< OSC oscillator select (can be write protected)                        */
      __IO uint16_t  OSC1BUP    :  1;               /*!< OSC boost-up boot enable (can be write protected)                     */
      __IO uint16_t  OSDEN      :  1;               /*!< OSC stop detector enable (can be write protected)                     */
      __IO uint16_t  OSDRB      :  1;               /*!< OSC stop reboot enable (can be write protected)                       */
      __I  uint16_t  RESERVED_15:  1;               /*!< Reserved                                                              */
    } OSC1_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  OSC3;                            /*!< OSC3 Control Register                                                 */
    
    struct {
      __IO uint16_t  OSC3WT     :  3;               /*!< OSC3 wait cycle select (can be write protected)                       */
      __I  uint16_t  RESERVED_3 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  OSC3INV    :  2;               /*!< OSC3 X'tal mode inverter select (can be write protected)              */
      __I  uint16_t  RESERVED_15_6: 10;             /*!< Reserved                                                              */
    } OSC3_b;                                       /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED;
  
  union {
    __IO uint16_t  INTF;                            /*!< Interrupt Flag Register                                               */
    
    struct {
      __IO uint16_t  IOSCSTAIF  :  1;               /*!< IOSC oscillation stable interrupt flag                                */
      __IO uint16_t  OSC1STAIF  :  1;               /*!< OSC1 oscillation stable interrupt flag                                */
      __IO uint16_t  OSC3STAIF  :  1;               /*!< OSC3 oscillation stable interrupt flag                                */
      __I  uint16_t  RESERVED_3 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  IOSCTEDIF  :  1;               /*!< IOSC trimming end interrupt flag                                      */
      __IO uint16_t  OSC1STPIF  :  1;               /*!< OSC1 oscillation stop interrupt flag                                  */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __IO uint16_t  IOSCTERIF  :  1;               /*!< IOSC trimming error interrupt flag                                    */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  IOSCSTAIE  :  1;               /*!< IOSC oscillation stable interrupt enable                              */
      __IO uint16_t  OSC1STAIE  :  1;               /*!< OSC1 oscillation stable interrupt enable                              */
      __IO uint16_t  OSC3STAIE  :  1;               /*!< OSC3 oscillation stable interrupt enable                              */
      __I  uint16_t  RESERVED_3 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  IOSCTEDIE  :  1;               /*!< IOSC trimming end interrupt enable                                    */
      __IO uint16_t  OSC1STPIE  :  1;               /*!< OSC1 oscillation stop interrupt enable                                */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __IO uint16_t  IOSCTERIE  :  1;               /*!< IOSC trimming error interrupt enable                                  */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  FOUT;                            /*!< FOUT Control Register                                                 */
    
    struct {
      __IO uint16_t  FOUTEN     :  1;               /*!< FOUTA output enable                                                   */
      __I  uint16_t  RESERVED_1 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  FOUTSRC    :  2;               /*!< FOUTA clock source select                                             */
      __IO uint16_t  FOUTDIV    :  3;               /*!< FOUT clock division ratio select                                      */
      __I  uint16_t  RESERVED_15_7:  9;             /*!< Reserved                                                              */
    } FOUT_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TRIM1;                           /*!< IOSC triming data Register                                            */
    
    struct {
      __IO uint16_t  IOSCHSAJ   :  7;               /*!< IOSC High-speed trimming data                                         */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  IOSCLSAJ   :  6;               /*!< IOSC Lo-speed trimming data                                           */
      __I  uint16_t  RESERVED_15_14:  2;            /*!< Reserved                                                              */
    } TRIM1_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TRIM2;                           /*!< OSC1CR triming data Register                                          */
    
    struct {
      __IO uint16_t  OSC1SAJ    :  6;               /*!< OSC1CR trimming data                                                  */
      __I  uint16_t  RESERVED_15_6: 10;             /*!< Reserved                                                              */
    } TRIM2_b;                                      /*!< BitSize                                                               */
  };
} CLG_Type;


/* ================================================================================ */
/* ================                      DMAC                      ================ */
/* ================================================================================ */


/**
  * @brief PrimeCell uDMA Controller (DMAC)
  */

typedef struct {                                    /*!< DMAC Structure                                                        */
  
  union {
    __I  uint32_t  STAT;                            /*!< Returns the DMAC status                                               */
    
    struct {
      __I  uint32_t  MSTENSTAT  :  1;               /*!< This bit indicates the DMA controller status                          */
      __I  uint32_t  RESERVED_3_1:  3;              /*!< Reserved                                                              */
      __I  uint32_t  STATE      :  4;               /*!< These bits indicates the DMA transfer status                          */
      __I  uint32_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
      __I  uint32_t  CHNLS      :  5;               /*!< Number of available DMAC channels minus one                           */
      __I  uint32_t  RESERVED_31_21: 11;            /*!< Reserved                                                              */
    } STAT_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG;                             /*!< DMA configuration                                                     */
    
    struct {
      __O  uint32_t  MSTEN      :  1;               /*!< This bit enables the DMA controller.                                  */
      __I  uint32_t  RESERVED_31_1: 31;             /*!< Reserved                                                              */
    } CFG_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CPTR;                            /*!< Pointer to the base address of the primary data structure             */
    
    struct {
      __IO uint32_t  CPTR       : 32;               /*!< DMAC Control Data Base Pointer Reg.                                   */
    } CPTR_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  ACPTR;                           /*!< Pointer to the base address of the alternative data structure         */
    
    struct {
      __I  uint32_t  ACPTR      : 32;               /*!< These bits show the alternate data structure base address             */
    } ACPTR_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __O  uint32_t  SWREQ;                           /*!< The write-only register enables you to generate a software DMA
                                                         request                                                               */
    
    struct {
      __O  uint32_t  SWREQ      :  4;               /*!< These bits issue a software DMA transfer request to each channel      */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } SWREQ_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[2];
  
  union {
    __IO uint32_t  RMSET;                           /*!< Setting this bit to 1 causes the DMA channel to no longer respond
                                                         to data requests from peripherals. The channel will always respond
                                                          to software transfer requests                                        */
    
    struct {
      __IO uint32_t  RMSET      :  4;               /*!< Setting this bit to 1 causes the DMA channel to no longer respond
                                                         to data requests from peripherals. The channel will always respond
                                                          to software transfer requests                                        */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } RMSET_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __O  uint32_t  RMCLR;                           /*!< Firmware can write a 1 to the register to clear the mask for
                                                         a channel                                                             */
    
    struct {
      __O  uint32_t  RMCLR      :  4;               /*!< Firmware can write a 1 to the register to clear the mask for
                                                         a channel                                                             */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } RMCLR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ENSET;                           /*!< These bits enable each DMAC channel. Returns the enable status
                                                         of the channels                                                       */
    
    struct {
      __IO uint32_t  ENSET      :  4;               /*!< These bits enable each DMAC channel. Returns the enable status
                                                         of the channels                                                       */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } ENSET_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __O  uint32_t  ENCLR;                           /*!< Set the appropriate bit to disable the corresponding DMA channel      */
    
    struct {
      __O  uint32_t  ENCLR      :  4;               /*!< Set the appropriate bit to disable the corresponding DMA channel      */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } ENCLR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PASET;                           /*!< These bits enable the alternate data structures. Returns status
                                                         of alternate structures.                                              */
    
    struct {
      __IO uint32_t  PASET      :  4;               /*!< These bits enable the alternate data structures. Returns status
                                                         of alternate structures.                                              */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } PASET_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __O  uint32_t  PACLR;                           /*!< These bits disable the alternate data structures                      */
    
    struct {
      __O  uint32_t  PACLR      :  4;               /*!< These bits disable the alternate data structures                      */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } PACLR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PRSET;                           /*!< These bits increase the priority of each channel                      */
    
    struct {
      __IO uint32_t  PRSET      :  4;               /*!< These bits increase the priority of each channel                      */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } PRSET_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __O  uint32_t  PRCLR;                           /*!< These bits decrease the priority of each channel                      */
    
    struct {
      __O  uint32_t  PRCLR      :  4;               /*!< These bits decrease the priority of each channel                      */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } PRCLR_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[3];
  
  union {
    __IO uint32_t  ERRIF;                           /*!< DMAC Error Interrupt Flag Register                                    */
    
    struct {
      __IO uint32_t  ERRIF      :  1;               /*!< Returns the status of DMAC error. Cleared by writing 1                */
      __I  uint32_t  RESERVED_31_1: 31;             /*!< Reserved                                                              */
    } ERRIF_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[1004];
  
  union {
    __IO uint32_t  ENDIF;                           /*!< DMAC Transfer Completion Interrupt cause occurrence status Flag
                                                         Register                                                              */
    
    struct {
      __IO uint32_t  ENDIF      :  4;               /*!< These bits indicate the DMA transfer completion interrupt cause
                                                         occurrence status of each DMACchannel. Cleared by writing 1.          */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } ENDIF_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4;
  
  union {
    __IO uint32_t  ENDIESET;                        /*!< DMAC Transfer Completion Interrupt Enable Set Register                */
    
    struct {
      __IO uint32_t  ENDIESET   :  4;               /*!< Enables DMA transfer completion interrupts to be generated for
                                                         each DMAC channel.                                                    */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } ENDIESET_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __O  uint32_t  ENDIECLR;                        /*!< DMAC Transfer Completion Interrupt Enable Clear Register              */
    
    struct {
      __O  uint32_t  ENDIECLR   :  4;               /*!< Clears/disables DMA transfer completion interrupts to be generated
                                                         for each DMAC channel.                                                */
      __I  uint32_t  RESERVED_31_4: 28;             /*!< Reserved                                                              */
    } ENDIECLR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ERRIESET;                        /*!< DMAC Error Interrupt Enable Set Register                              */
    
    struct {
      __IO uint32_t  ERRIESET   :  1;               /*!< Sets DMA error interrupt enable.                                      */
      __I  uint32_t  RESERVED_31_1: 31;             /*!< Reserved                                                              */
    } ERRIESET_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __O  uint32_t  ERRIECLR;                        /*!< DMAC Error Interrupt Enable Clear Register                            */
    
    struct {
      __O  uint32_t  ERRIECLR   :  1;               /*!< Clears DMA error interrupt enable.                                    */
      __I  uint32_t  RESERVED_31_1: 31;             /*!< Reserved                                                              */
    } ERRIECLR_b;                                   /*!< BitSize                                                               */
  };
} DMAC_Type;


/* ================================================================================ */
/* ================                     FLASHC                     ================ */
/* ================================================================================ */


/**
  * @brief Flash controller (FLASHC)
  */

typedef struct {                                    /*!< FLASHC Structure                                                      */
  
  union {
    __IO uint16_t  WAIT;                            /*!< Flash Read Cycle Register                                             */
    
    struct {
      __IO uint16_t  RDWAIT     :  2;               /*!< RdCycle Number of cycles (can be write protected)                     */
      __I  uint16_t  RESERVED_15_2: 14;             /*!< Reserved                                                              */
    } WAIT_b;                                       /*!< BitSize                                                               */
  };
} FLASHC_Type;


/* ================================================================================ */
/* ================                      I2C_0                     ================ */
/* ================================================================================ */


/**
  * @brief I2C channel 0 control (I2C_0)
  */

typedef struct {                                    /*!< I2C_0 Structure                                                       */
  
  union {
    __IO uint16_t  CLK;                             /*!< Clock Control Register                                                */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< Clock source select (can be write protected)                          */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  CLKDIV     :  2;               /*!< Clock division select                                                 */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode                                            */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MOD;                             /*!< Mode Register                                                         */
    
    struct {
      __I  uint16_t  RESERVED_0 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  GCEN       :  1;               /*!< General call response enable                                          */
      __IO uint16_t  OADR10     :  1;               /*!< Own addressing mode select                                            */
      __I  uint16_t  RESERVED_15_3: 13;             /*!< Reserved                                                              */
    } MOD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  BR;                              /*!< Baud Rate Register                                                    */
    
    struct {
      __IO uint16_t  BRT        :  7;               /*!< Baud rate setting                                                     */
      __I  uint16_t  RESERVED_15_7:  9;             /*!< Reserved                                                              */
    } BR_b;                                         /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED;
  
  union {
    __IO uint16_t  OADR;                            /*!< Own Address Register                                                  */
    
    struct {
      __IO uint16_t  OADR       : 10;               /*!< I2C own address                                                       */
    } OADR_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< Control Register                                                      */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< I2C enable                                                            */
      __IO uint16_t  SFTRST     :  1;               /*!< Soft reset                                                            */
      __IO uint16_t  TXSTART    :  1;               /*!< Transmit START Condition Request in master mode                       */
      __IO uint16_t  TXSTOP     :  1;               /*!< Transmit STOP Condition Request in master mode                        */
      __IO uint16_t  TXNACK     :  1;               /*!< Transmit NACK Request                                                 */
      __IO uint16_t  MST        :  1;               /*!< Master Mode Select                                                    */
      __I  uint16_t  RESERVED_15_6: 10;             /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TXD;                             /*!< Transmit Data Register                                                */
    
    struct {
      __IO uint16_t  TXD        :  8;               /*!< Transmit buffer                                                       */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } TXD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  RXD;                             /*!< Receive Data Register                                                 */
    
    struct {
      __I  uint16_t  RXD        :  8;               /*!< Receive buffer                                                        */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } RXD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Status and Interrupt Flag Register                                    */
    
    struct {
      __I  uint16_t  TBEIF      :  1;               /*!< Transmit buffer empty interrupt flag (cleared by writing I2C0TXD
                                                         register)                                                             */
      __I  uint16_t  RBFIF      :  1;               /*!< Receive buffer full interrupt flag (cleared by reading I2C0RXD
                                                         register)                                                             */
      __IO uint16_t  ERRIF      :  1;               /*!< Error detection interrupt flag                                        */
      __IO uint16_t  STARTIF    :  1;               /*!< Start condition end/detect interrupt flag                             */
      __IO uint16_t  STOPIF     :  1;               /*!< Stop condition end/detect interrupt flag                              */
      __IO uint16_t  NACKIF     :  1;               /*!< Not-acknowledge received interrupt flag                               */
      __IO uint16_t  GCIF       :  1;               /*!< General Call address received interrupt flag                          */
      __IO uint16_t  BYTEENDIF  :  1;               /*!< Byte Transmit/Receive complete (includes ACK/NACK) interrupt
                                                         flag                                                                  */
      __I  uint16_t  RESERVED_8 :  1;               /*!< Reserved                                                              */
      __I  uint16_t  TR         :  1;               /*!< Transmitter/Receiver                                                  */
      __I  uint16_t  BSY        :  1;               /*!< Busy flag                                                             */
      __I  uint16_t  SCLLOW     :  1;               /*!< SCL low flag                                                          */
      __I  uint16_t  SDALOW     :  1;               /*!< SDA low flag                                                          */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  TBEIE      :  1;               /*!< Transmit buffer empty interrupt enable                                */
      __IO uint16_t  RBFIE      :  1;               /*!< Receive buffer full interrupt enable                                  */
      __IO uint16_t  ERRIE      :  1;               /*!< Error interrupt flag in normal mode enable                            */
      __IO uint16_t  STARTIE    :  1;               /*!< Start condition end/detect interrupt enable                           */
      __IO uint16_t  STOPIE     :  1;               /*!< Stop condition end/detect interrupt enable                            */
      __IO uint16_t  NACKIE     :  1;               /*!< Not-acknowledge received interrupt enable                             */
      __IO uint16_t  GCIE       :  1;               /*!< General Call address received interrupt enable                        */
      __IO uint16_t  BYTEENDIE  :  1;               /*!< Byte Transmit/Receive complete (includes ACK/NACK) interrupt
                                                         enable                                                                */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TBEDMAEN;                        /*!< TBE DMA Enable Register                                               */
    
    struct {
      __IO uint16_t  TBEDMAEN0  :  1;               /*!< TBE DMA ch0 request enable                                            */
      __IO uint16_t  TBEDMAEN1  :  1;               /*!< TBE DMA ch1 request enable                                            */
      __IO uint16_t  TBEDMAEN2  :  1;               /*!< TBE DMA ch2 request enable                                            */
      __IO uint16_t  TBEDMAEN3  :  1;               /*!< TBE DMA ch3 request enable                                            */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } TBEDMAEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  RBFDMAEN;                        /*!< RBF DMA Enable Register                                               */
    
    struct {
      __IO uint16_t  RBFDMAEN0  :  1;               /*!< RBF DMA ch0 request enable                                            */
      __IO uint16_t  RBFDMAEN1  :  1;               /*!< RBF DMA ch1 request enable                                            */
      __IO uint16_t  RBFDMAEN2  :  1;               /*!< RBF DMA ch2 request enable                                            */
      __IO uint16_t  RBFDMAEN3  :  1;               /*!< RBF DMA ch3 request enable                                            */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } RBFDMAEN_b;                                   /*!< BitSize                                                               */
  };
} I2C_0_Type;


/* ================================================================================ */
/* ================                     LCD32C                     ================ */
/* ================================================================================ */


/**
  * @brief LCD Driver control (LCD32C)
  */

typedef struct {                                    /*!< LCD32C Structure                                                      */
  
  union {
    __IO uint16_t  CLK;                             /*!< Clock Control Register                                                */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< Clock source select (can be write protected)                          */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< reserved                                                              */
      __IO uint16_t  CLKDIV     :  3;               /*!< Clock division select (can be write protected)                        */
      __I  uint16_t  RESERVED_7 :  1;               /*!< reserved                                                              */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode                                            */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< Control Register                                                      */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< LCD enable                                                            */
      __IO uint16_t  LCDDIS     :  1;               /*!< LCDIO discharge enable                                                */
      __I  uint16_t  RESERVED_15_2: 14;             /*!< reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TIM1;                            /*!< Timing Control Register 1                                             */
    
    struct {
      __IO uint16_t  LDUTY      :  5;               /*!< Duty select control, duty=1/(LDUTY+1)                                 */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< reserved                                                              */
      __IO uint16_t  FRMCNT     :  5;               /*!< Frame frequency control, FRMCNT=(1/8)xfLCLKx(duty)x(1/FR)-1           */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< reserved                                                              */
    } TIM1_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TIM2;                            /*!< Timing Control Register 2                                             */
    
    struct {
      __IO uint16_t  NLINE      :  5;               /*!< SEG n line reverse drive selection                                    */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< reserved                                                              */
      __IO uint16_t  BSTC       :  2;               /*!< Booster clock control                                                 */
      __IO uint16_t  DBLC       :  3;               /*!< Doubler clock control                                                 */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< reserved                                                              */
    } TIM2_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  PWR;                             /*!< Power Control Register                                                */
    
    struct {
      __IO uint16_t  VCEN       :  1;               /*!< LCD voltage regulator enable                                          */
      __I  uint16_t  RESERVED_1 :  1;               /*!< reserved                                                              */
      __IO uint16_t  HVLD       :  1;               /*!< LCD heavy load protection mode                                        */
      __IO uint16_t  BIASSEL    :  1;               /*!< BIAS select                                                           */
      __IO uint16_t  BSTEN      :  1;               /*!< LCD booster enable                                                    */
      __IO uint16_t  DBLEN      :  1;               /*!< LCD doubler enable                                                    */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< reserved                                                              */
      __IO uint16_t  LC         :  4;               /*!< LCD contrast adjust                                                   */
      __I  uint16_t  RESERVED_14_12:  3;            /*!< reserved                                                              */
      __IO uint16_t  EXVCSEL    :  1;               /*!< External/Internal mode select                                         */
    } PWR_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DSP;                             /*!< Display Control Register                                              */
    
    struct {
      __IO uint16_t  DSPC       :  2;               /*!< LCD display control                                                   */
      __IO uint16_t  DSPAR      :  1;               /*!< Display memory area control                                           */
      __I  uint16_t  RESERVED_3 :  1;               /*!< reserved                                                              */
      __IO uint16_t  DSPREV     :  1;               /*!< Display reverse control                                               */
      __IO uint16_t  COMREV     :  1;               /*!< Common output assignment control                                      */
      __IO uint16_t  SEGREV     :  1;               /*!< Segment output assignment control                                     */
      __I  uint16_t  RESERVED_15_7:  9;             /*!< reserved                                                              */
    } DSP_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  COMC0;                           /*!< COM Terminal Control Register 0                                       */
    
    struct {
      __IO uint16_t  COM0DEN    :  1;               /*!< COM0 drive enable                                                     */
      __IO uint16_t  COM1DEN    :  1;               /*!< COM1 drive enable                                                     */
      __IO uint16_t  COM2DEN    :  1;               /*!< COM2 drive enable                                                     */
      __IO uint16_t  COM3DEN    :  1;               /*!< COM3 drive enable                                                     */
      __IO uint16_t  COM4DEN    :  1;               /*!< COM4 drive enable                                                     */
      __IO uint16_t  COM5DEN    :  1;               /*!< COM5 drive enable                                                     */
      __IO uint16_t  COM6DEN    :  1;               /*!< COM6 drive enable                                                     */
      __IO uint16_t  COM7DEN    :  1;               /*!< COM7 drive enable                                                     */
      __IO uint16_t  COM8DEN    :  1;               /*!< COM8 drive enable                                                     */
      __IO uint16_t  COM9DEN    :  1;               /*!< COM9 drive enable                                                     */
      __IO uint16_t  COM10DEN   :  1;               /*!< COM10 drive enable                                                    */
      __IO uint16_t  COM11DEN   :  1;               /*!< COM11 drive enable                                                    */
      __IO uint16_t  COM12DEN   :  1;               /*!< COM12 drive enable                                                    */
      __IO uint16_t  COM13DEN   :  1;               /*!< COM13 drive enable                                                    */
      __IO uint16_t  COM14DEN   :  1;               /*!< COM14 drive enable                                                    */
      __IO uint16_t  COM15DEN   :  1;               /*!< COM15 drive enable                                                    */
    } COMC0_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  COMC1;                           /*!< COM Terminal Control Register 1                                       */
    
    struct {
      __IO uint16_t  COM16DEN   :  1;               /*!< COM16 drive enable                                                    */
      __IO uint16_t  COM17DEN   :  1;               /*!< COM17 drive enable                                                    */
      __IO uint16_t  COM18DEN   :  1;               /*!< COM18 drive enable                                                    */
      __IO uint16_t  COM19DEN   :  1;               /*!< COM19 drive enable                                                    */
      __IO uint16_t  COM20DEN   :  1;               /*!< COM20 drive enable                                                    */
      __IO uint16_t  COM21DEN   :  1;               /*!< COM21 drive enable                                                    */
      __IO uint16_t  COM22DEN   :  1;               /*!< COM22 drive enable                                                    */
      __IO uint16_t  COM23DEN   :  1;               /*!< COM23 drive enable                                                    */
      __IO uint16_t  COM24DEN   :  1;               /*!< COM24 drive enable                                                    */
      __IO uint16_t  COM25DEN   :  1;               /*!< COM25 drive enable                                                    */
      __IO uint16_t  COM26DEN   :  1;               /*!< COM26 drive enable                                                    */
      __IO uint16_t  COM27DEN   :  1;               /*!< COM27 drive enable                                                    */
      __IO uint16_t  COM28DEN   :  1;               /*!< COM28 drive enable                                                    */
      __IO uint16_t  COM29DEN   :  1;               /*!< COM29 drive enable                                                    */
      __IO uint16_t  COM30DEN   :  1;               /*!< COM30 drive enable                                                    */
      __IO uint16_t  COM31DEN   :  1;               /*!< COM31 drive enable                                                    */
    } COMC1_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Interrupt Flag Register                                               */
    
    struct {
      __IO uint16_t  FRMIF      :  1;               /*!< Frame signal interrupt flag                                           */
      __I  uint16_t  RESERVED_15_1: 15;             /*!< reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  FRMIE      :  1;               /*!< Frame signal interrupt enable                                         */
      __I  uint16_t  RESERVED_15_1: 15;             /*!< reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
} LCD32C_Type;


/* ================================================================================ */
/* ================                      PPORT                     ================ */
/* ================================================================================ */


/**
  * @brief I/O P0-8,PD Ports control (PPORT)
  */

typedef struct {                                    /*!< PPORT Structure                                                       */
  
  union {
    __IO uint16_t  P0DAT;                           /*!< P0 Port Data Register                                                 */
    
    struct {
      __I  uint16_t  P0IN0      :  1;               /*!< P00 port input data                                                   */
      __I  uint16_t  P0IN1      :  1;               /*!< P01 port input data                                                   */
      __I  uint16_t  P0IN2      :  1;               /*!< P02 port input data                                                   */
      __I  uint16_t  P0IN3      :  1;               /*!< P03 port input data                                                   */
      __I  uint16_t  P0IN4      :  1;               /*!< P04 port input data                                                   */
      __I  uint16_t  P0IN5      :  1;               /*!< P05 port input data                                                   */
      __I  uint16_t  P0IN6      :  1;               /*!< P06 port input data                                                   */
      __I  uint16_t  P0IN7      :  1;               /*!< P07 port input data                                                   */
      __IO uint16_t  P0OUT0     :  1;               /*!< P00 port output data                                                  */
      __IO uint16_t  P0OUT1     :  1;               /*!< P01 port output data                                                  */
      __IO uint16_t  P0OUT2     :  1;               /*!< P02 port output data                                                  */
      __IO uint16_t  P0OUT3     :  1;               /*!< P03 port output data                                                  */
      __IO uint16_t  P0OUT4     :  1;               /*!< P04 port output data                                                  */
      __IO uint16_t  P0OUT5     :  1;               /*!< P05 port output data                                                  */
      __IO uint16_t  P0OUT6     :  1;               /*!< P06 port output data                                                  */
      __IO uint16_t  P0OUT7     :  1;               /*!< P07 port output data                                                  */
    } P0DAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0IOEN;                          /*!< P0 Port Enable Register                                               */
    
    struct {
      __IO uint16_t  P0OEN0     :  1;               /*!< P00 port output enable control                                        */
      __IO uint16_t  P0OEN1     :  1;               /*!< P01 port output enable control                                        */
      __IO uint16_t  P0OEN2     :  1;               /*!< P02 port output enable control                                        */
      __IO uint16_t  P0OEN3     :  1;               /*!< P03 port output enable control                                        */
      __IO uint16_t  P0OEN4     :  1;               /*!< P04 port output enable control                                        */
      __IO uint16_t  P0OEN5     :  1;               /*!< P05 port output enable control                                        */
      __IO uint16_t  P0OEN6     :  1;               /*!< P06 port output enable control                                        */
      __IO uint16_t  P0OEN7     :  1;               /*!< P07 port output enable control                                        */
      __IO uint16_t  P0IEN0     :  1;               /*!< P00 port input enable control                                         */
      __IO uint16_t  P0IEN1     :  1;               /*!< P01 port input enable control                                         */
      __IO uint16_t  P0IEN2     :  1;               /*!< P02 port input enable control                                         */
      __IO uint16_t  P0IEN3     :  1;               /*!< P03 port input enable control                                         */
      __IO uint16_t  P0IEN4     :  1;               /*!< P04 port input enable control                                         */
      __IO uint16_t  P0IEN5     :  1;               /*!< P05 port input enable control                                         */
      __IO uint16_t  P0IEN6     :  1;               /*!< P06 port input enable control                                         */
      __IO uint16_t  P0IEN7     :  1;               /*!< P07 port input enable control                                         */
    } P0IOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0RCTL;                          /*!< P0 Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  P0REN0     :  1;               /*!< P00 port input resistor enable                                        */
      __IO uint16_t  P0REN1     :  1;               /*!< P01 port input resistor enable                                        */
      __IO uint16_t  P0REN2     :  1;               /*!< P02 port input resistor enable                                        */
      __IO uint16_t  P0REN3     :  1;               /*!< P03 port input resistor enable                                        */
      __IO uint16_t  P0REN4     :  1;               /*!< P04 port input resistor enable                                        */
      __IO uint16_t  P0REN5     :  1;               /*!< P05 port input resistor enable                                        */
      __IO uint16_t  P0REN6     :  1;               /*!< P06 port input resistor enable                                        */
      __IO uint16_t  P0REN7     :  1;               /*!< P07 port input resistor enable                                        */
      __IO uint16_t  P0PDPU0    :  1;               /*!< P00 port input resistor select                                        */
      __IO uint16_t  P0PDPU1    :  1;               /*!< P01 port input resistor select                                        */
      __IO uint16_t  P0PDPU2    :  1;               /*!< P02 port input resistor select                                        */
      __IO uint16_t  P0PDPU3    :  1;               /*!< P03 port input resistor select                                        */
      __IO uint16_t  P0PDPU4    :  1;               /*!< P04 port input resistor select                                        */
      __IO uint16_t  P0PDPU5    :  1;               /*!< P05 port input resistor select                                        */
      __IO uint16_t  P0PDPU6    :  1;               /*!< P06 port input resistor select                                        */
      __IO uint16_t  P0PDPU7    :  1;               /*!< P07 port input resistor select                                        */
    } P0RCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0INTF;                          /*!< P0 Port Interrupt Flag Register                                       */
    
    struct {
      __IO uint16_t  P0IF0      :  1;               /*!< P00 port interrupt flag                                               */
      __IO uint16_t  P0IF1      :  1;               /*!< P01 port interrupt flag                                               */
      __IO uint16_t  P0IF2      :  1;               /*!< P02 port interrupt flag                                               */
      __IO uint16_t  P0IF3      :  1;               /*!< P03 port interrupt flag                                               */
      __IO uint16_t  P0IF4      :  1;               /*!< P04 port interrupt flag                                               */
      __IO uint16_t  P0IF5      :  1;               /*!< P05 port interrupt flag                                               */
      __IO uint16_t  P0IF6      :  1;               /*!< P06 port interrupt flag                                               */
      __IO uint16_t  P0IF7      :  1;               /*!< P07 port interrupt flag                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P0INTF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0INTCTL;                        /*!< P0 Port Interrupt Control Register                                    */
    
    struct {
      __IO uint16_t  P0IE0      :  1;               /*!< P00 port interrupt enable                                             */
      __IO uint16_t  P0IE1      :  1;               /*!< P01 port interrupt enable                                             */
      __IO uint16_t  P0IE2      :  1;               /*!< P02 port interrupt enable                                             */
      __IO uint16_t  P0IE3      :  1;               /*!< P03 port interrupt enable                                             */
      __IO uint16_t  P0IE4      :  1;               /*!< P04 port interrupt enable                                             */
      __IO uint16_t  P0IE5      :  1;               /*!< P05 port interrupt enable                                             */
      __IO uint16_t  P0IE6      :  1;               /*!< P06 port interrupt enable                                             */
      __IO uint16_t  P0IE7      :  1;               /*!< P07 port interrupt enable                                             */
      __IO uint16_t  P0EDGE0    :  1;               /*!< P00 port interrupt trigger edge select                                */
      __IO uint16_t  P0EDGE1    :  1;               /*!< P01 port interrupt trigger edge select                                */
      __IO uint16_t  P0EDGE2    :  1;               /*!< P02 port interrupt trigger edge select                                */
      __IO uint16_t  P0EDGE3    :  1;               /*!< P03 port interrupt trigger edge select                                */
      __IO uint16_t  P0EDGE4    :  1;               /*!< P04 port interrupt trigger edge select                                */
      __IO uint16_t  P0EDGE5    :  1;               /*!< P05 port interrupt trigger edge select                                */
      __IO uint16_t  P0EDGE6    :  1;               /*!< P06 port interrupt trigger edge select                                */
      __IO uint16_t  P0EDGE7    :  1;               /*!< P07 port interrupt trigger edge select                                */
    } P0INTCTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0CHATEN;                        /*!< P0 Port Chattering Filter Enable Register                             */
    
    struct {
      __IO uint16_t  P0CHATEN0  :  1;               /*!< P00 chatter less enable                                               */
      __IO uint16_t  P0CHATEN1  :  1;               /*!< P01 chatter less enable                                               */
      __IO uint16_t  P0CHATEN2  :  1;               /*!< P02 chatter less enable                                               */
      __IO uint16_t  P0CHATEN3  :  1;               /*!< P03 chatter less enable                                               */
      __IO uint16_t  P0CHATEN4  :  1;               /*!< P04 chatter less enable                                               */
      __IO uint16_t  P0CHATEN5  :  1;               /*!< P05 chatter less enable                                               */
      __IO uint16_t  P0CHATEN6  :  1;               /*!< P06 chatter less enable                                               */
      __IO uint16_t  P0CHATEN7  :  1;               /*!< P07 chatter less enable                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P0CHATEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0MODSEL;                        /*!< P0 Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  P0SEL0     :  1;               /*!< P00 port mode select                                                  */
      __IO uint16_t  P0SEL1     :  1;               /*!< P01 port mode select                                                  */
      __IO uint16_t  P0SEL2     :  1;               /*!< P02 port mode select                                                  */
      __IO uint16_t  P0SEL3     :  1;               /*!< P03 port mode select                                                  */
      __IO uint16_t  P0SEL4     :  1;               /*!< P04 port mode select                                                  */
      __IO uint16_t  P0SEL5     :  1;               /*!< P05 port mode select                                                  */
      __IO uint16_t  P0SEL6     :  1;               /*!< P06 port mode select                                                  */
      __IO uint16_t  P0SEL7     :  1;               /*!< P07 port mode select                                                  */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P0MODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0FNCSEL;                        /*!< P0 Port Function Select Register                                      */
    
    struct {
      __IO uint16_t  P00MUX     :  2;               /*!< P00 port function select                                              */
      __IO uint16_t  P01MUX     :  2;               /*!< P01 port function select                                              */
      __IO uint16_t  P02MUX     :  2;               /*!< P02 port function select                                              */
      __IO uint16_t  P03MUX     :  2;               /*!< P03 port function select                                              */
      __IO uint16_t  P04MUX     :  2;               /*!< P04 port function select                                              */
      __IO uint16_t  P05MUX     :  2;               /*!< P05 port function select                                              */
      __IO uint16_t  P06MUX     :  2;               /*!< P06 port function select                                              */
      __IO uint16_t  P07MUX     :  2;               /*!< P07 port function select                                              */
    } P0FNCSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1DAT;                           /*!< P1 Port Data Register                                                 */
    
    struct {
      __I  uint16_t  P1IN0      :  1;               /*!< P10 port input data                                                   */
      __I  uint16_t  P1IN1      :  1;               /*!< P11 port input data                                                   */
      __I  uint16_t  P1IN2      :  1;               /*!< P12 port input data                                                   */
      __I  uint16_t  P1IN3      :  1;               /*!< P13 port input data                                                   */
      __I  uint16_t  P1IN4      :  1;               /*!< P14 port input data                                                   */
      __I  uint16_t  P1IN5      :  1;               /*!< P15 port input data                                                   */
      __I  uint16_t  P1IN6      :  1;               /*!< P16 port input data                                                   */
      __I  uint16_t  P1IN7      :  1;               /*!< P17 port input data                                                   */
      __IO uint16_t  P1OUT0     :  1;               /*!< P10 port output data                                                  */
      __IO uint16_t  P1OUT1     :  1;               /*!< P11 port output data                                                  */
      __IO uint16_t  P1OUT2     :  1;               /*!< P12 port output data                                                  */
      __IO uint16_t  P1OUT3     :  1;               /*!< P13 port output data                                                  */
      __IO uint16_t  P1OUT4     :  1;               /*!< P14 port output data                                                  */
      __IO uint16_t  P1OUT5     :  1;               /*!< P15 port output data                                                  */
      __IO uint16_t  P1OUT6     :  1;               /*!< P16 port output data                                                  */
      __IO uint16_t  P1OUT7     :  1;               /*!< P17 port output data                                                  */
    } P1DAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1IOEN;                          /*!< P1 Port Enable Register                                               */
    
    struct {
      __IO uint16_t  P1OEN0     :  1;               /*!< P10 port output enable control                                        */
      __IO uint16_t  P1OEN1     :  1;               /*!< P11 port output enable control                                        */
      __IO uint16_t  P1OEN2     :  1;               /*!< P12 port output enable control                                        */
      __IO uint16_t  P1OEN3     :  1;               /*!< P13 port output enable control                                        */
      __IO uint16_t  P1OEN4     :  1;               /*!< P14 port output enable control                                        */
      __IO uint16_t  P1OEN5     :  1;               /*!< P15 port output enable control                                        */
      __IO uint16_t  P1OEN6     :  1;               /*!< P16 port output enable control                                        */
      __IO uint16_t  P1OEN7     :  1;               /*!< P17 port output enable control                                        */
      __IO uint16_t  P1IEN0     :  1;               /*!< P10 port input enable control                                         */
      __IO uint16_t  P1IEN1     :  1;               /*!< P11 port input enable control                                         */
      __IO uint16_t  P1IEN2     :  1;               /*!< P12 port input enable control                                         */
      __IO uint16_t  P1IEN3     :  1;               /*!< P13 port input enable control                                         */
      __IO uint16_t  P1IEN4     :  1;               /*!< P14 port input enable control                                         */
      __IO uint16_t  P1IEN5     :  1;               /*!< P15 port input enable control                                         */
      __IO uint16_t  P1IEN6     :  1;               /*!< P16 port input enable control                                         */
      __IO uint16_t  P1IEN7     :  1;               /*!< P17 port input enable control                                         */
    } P1IOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1RCTL;                          /*!< P1 Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  P1REN0     :  1;               /*!< P10 port input resistor enable                                        */
      __IO uint16_t  P1REN1     :  1;               /*!< P11 port input resistor enable                                        */
      __IO uint16_t  P1REN2     :  1;               /*!< P12 port input resistor enable                                        */
      __IO uint16_t  P1REN3     :  1;               /*!< P13 port input resistor enable                                        */
      __IO uint16_t  P1REN4     :  1;               /*!< P14 port input resistor enable                                        */
      __IO uint16_t  P1REN5     :  1;               /*!< P15 port input resistor enable                                        */
      __IO uint16_t  P1REN6     :  1;               /*!< P16 port input resistor enable                                        */
      __IO uint16_t  P1REN7     :  1;               /*!< P17 port input resistor enable                                        */
      __IO uint16_t  P1PDPU0    :  1;               /*!< P10 port input resistor select                                        */
      __IO uint16_t  P1PDPU1    :  1;               /*!< P11 port input resistor select                                        */
      __IO uint16_t  P1PDPU2    :  1;               /*!< P12 port input resistor select                                        */
      __IO uint16_t  P1PDPU3    :  1;               /*!< P13 port input resistor select                                        */
      __IO uint16_t  P1PDPU4    :  1;               /*!< P14 port input resistor select                                        */
      __IO uint16_t  P1PDPU5    :  1;               /*!< P15 port input resistor select                                        */
      __IO uint16_t  P1PDPU6    :  1;               /*!< P16 port input resistor select                                        */
      __IO uint16_t  P1PDPU7    :  1;               /*!< P17 port input resistor select                                        */
    } P1RCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1INTF;                          /*!< P1 Port Interrupt Flag Register                                       */
    
    struct {
      __IO uint16_t  P1IF0      :  1;               /*!< P10 port interrupt flag                                               */
      __IO uint16_t  P1IF1      :  1;               /*!< P11 port interrupt flag                                               */
      __IO uint16_t  P1IF2      :  1;               /*!< P12 port interrupt flag                                               */
      __IO uint16_t  P1IF3      :  1;               /*!< P13 port interrupt flag                                               */
      __IO uint16_t  P1IF4      :  1;               /*!< P14 port interrupt flag                                               */
      __IO uint16_t  P1IF5      :  1;               /*!< P15 port interrupt flag                                               */
      __IO uint16_t  P1IF6      :  1;               /*!< P16 port interrupt flag                                               */
      __IO uint16_t  P1IF7      :  1;               /*!< P17 port interrupt flag                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P1INTF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1INTCTL;                        /*!< P1 Port Interrupt Control Register                                    */
    
    struct {
      __IO uint16_t  P1IE0      :  1;               /*!< P10 port interrupt enable                                             */
      __IO uint16_t  P1IE1      :  1;               /*!< P11 port interrupt enable                                             */
      __IO uint16_t  P1IE2      :  1;               /*!< P12 port interrupt enable                                             */
      __IO uint16_t  P1IE3      :  1;               /*!< P13 port interrupt enable                                             */
      __IO uint16_t  P1IE4      :  1;               /*!< P14 port interrupt enable                                             */
      __IO uint16_t  P1IE5      :  1;               /*!< P15 port interrupt enable                                             */
      __IO uint16_t  P1IE6      :  1;               /*!< P16 port interrupt enable                                             */
      __IO uint16_t  P1IE7      :  1;               /*!< P17 port interrupt enable                                             */
      __IO uint16_t  P1EDGE0    :  1;               /*!< P10 port interrupt trigger edge select                                */
      __IO uint16_t  P1EDGE1    :  1;               /*!< P11 port interrupt trigger edge select                                */
      __IO uint16_t  P1EDGE2    :  1;               /*!< P12 port interrupt trigger edge select                                */
      __IO uint16_t  P1EDGE3    :  1;               /*!< P13 port interrupt trigger edge select                                */
      __IO uint16_t  P1EDGE4    :  1;               /*!< P14 port interrupt trigger edge select                                */
      __IO uint16_t  P1EDGE5    :  1;               /*!< P15 port interrupt trigger edge select                                */
      __IO uint16_t  P1EDGE6    :  1;               /*!< P16 port interrupt trigger edge select                                */
      __IO uint16_t  P1EDGE7    :  1;               /*!< P17 port interrupt trigger edge select                                */
    } P1INTCTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1CHATEN;                        /*!< P1 Port Chattering Filter Enable Register                             */
    
    struct {
      __IO uint16_t  P1CHATEN0  :  1;               /*!< P10 chatter less enable                                               */
      __IO uint16_t  P1CHATEN1  :  1;               /*!< P11 chatter less enable                                               */
      __IO uint16_t  P1CHATEN2  :  1;               /*!< P12 chatter less enable                                               */
      __IO uint16_t  P1CHATEN3  :  1;               /*!< P13 chatter less enable                                               */
      __IO uint16_t  P1CHATEN4  :  1;               /*!< P14 chatter less enable                                               */
      __IO uint16_t  P1CHATEN5  :  1;               /*!< P15 chatter less enable                                               */
      __IO uint16_t  P1CHATEN6  :  1;               /*!< P16 chatter less enable                                               */
      __IO uint16_t  P1CHATEN7  :  1;               /*!< P17 chatter less enable                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P1CHATEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1MODSEL;                        /*!< P1 Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  P1SEL0     :  1;               /*!< P10 port mode select                                                  */
      __IO uint16_t  P1SEL1     :  1;               /*!< P11 port mode select                                                  */
      __IO uint16_t  P1SEL2     :  1;               /*!< P12 port mode select                                                  */
      __IO uint16_t  P1SEL3     :  1;               /*!< P13 port mode select                                                  */
      __IO uint16_t  P1SEL4     :  1;               /*!< P14 port mode select                                                  */
      __IO uint16_t  P1SEL5     :  1;               /*!< P15 port mode select                                                  */
      __IO uint16_t  P1SEL6     :  1;               /*!< P16 port mode select                                                  */
      __IO uint16_t  P1SEL7     :  1;               /*!< P17 port mode select                                                  */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P1MODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1FNCSEL;                        /*!< P1 Port Function Select Register                                      */
    
    struct {
      __IO uint16_t  P10MUX     :  2;               /*!< P10 port function select                                              */
      __IO uint16_t  P11MUX     :  2;               /*!< P11 port function select                                              */
      __IO uint16_t  P12MUX     :  2;               /*!< P12 port function select                                              */
      __IO uint16_t  P13MUX     :  2;               /*!< P13 port function select                                              */
      __IO uint16_t  P14MUX     :  2;               /*!< P14 port function select                                              */
      __IO uint16_t  P15MUX     :  2;               /*!< P15 port function select                                              */
      __IO uint16_t  P16MUX     :  2;               /*!< P16 port function select                                              */
      __IO uint16_t  P17MUX     :  2;               /*!< P17 port function select                                              */
    } P1FNCSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2DAT;                           /*!< P2 Port Data Register                                                 */
    
    struct {
      __I  uint16_t  P2IN0      :  1;               /*!< P20 port input data                                                   */
      __I  uint16_t  P2IN1      :  1;               /*!< P21 port input data                                                   */
      __I  uint16_t  P2IN2      :  1;               /*!< P22 port input data                                                   */
      __I  uint16_t  P2IN3      :  1;               /*!< P23 port input data                                                   */
      __I  uint16_t  P2IN4      :  1;               /*!< P24 port input data                                                   */
      __I  uint16_t  P2IN5      :  1;               /*!< P25 port input data                                                   */
      __I  uint16_t  P2IN6      :  1;               /*!< P26 port input data                                                   */
      __I  uint16_t  P2IN7      :  1;               /*!< P27 port input data                                                   */
      __IO uint16_t  P2OUT0     :  1;               /*!< P20 port output data                                                  */
      __IO uint16_t  P2OUT1     :  1;               /*!< P21 port output data                                                  */
      __IO uint16_t  P2OUT2     :  1;               /*!< P22 port output data                                                  */
      __IO uint16_t  P2OUT3     :  1;               /*!< P23 port output data                                                  */
      __IO uint16_t  P2OUT4     :  1;               /*!< P24 port output data                                                  */
      __IO uint16_t  P2OUT5     :  1;               /*!< P25 port output data                                                  */
      __IO uint16_t  P2OUT6     :  1;               /*!< P26 port output data                                                  */
      __IO uint16_t  P2OUT7     :  1;               /*!< P27 port output data                                                  */
    } P2DAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2IOEN;                          /*!< P2 Port Enable Register                                               */
    
    struct {
      __IO uint16_t  P2OEN0     :  1;               /*!< P20 port output enable control                                        */
      __IO uint16_t  P2OEN1     :  1;               /*!< P21 port output enable control                                        */
      __IO uint16_t  P2OEN2     :  1;               /*!< P22 port output enable control                                        */
      __IO uint16_t  P2OEN3     :  1;               /*!< P23 port output enable control                                        */
      __IO uint16_t  P2OEN4     :  1;               /*!< P24 port output enable control                                        */
      __IO uint16_t  P2OEN5     :  1;               /*!< P25 port output enable control                                        */
      __IO uint16_t  P2OEN6     :  1;               /*!< P26 port output enable control                                        */
      __IO uint16_t  P2OEN7     :  1;               /*!< P27 port output enable control                                        */
      __IO uint16_t  P2IEN0     :  1;               /*!< P20 port input enable control                                         */
      __IO uint16_t  P2IEN1     :  1;               /*!< P21 port input enable control                                         */
      __IO uint16_t  P2IEN2     :  1;               /*!< P22 port input enable control                                         */
      __IO uint16_t  P2IEN3     :  1;               /*!< P23 port input enable control                                         */
      __IO uint16_t  P2IEN4     :  1;               /*!< P24 port input enable control                                         */
      __IO uint16_t  P2IEN5     :  1;               /*!< P25 port input enable control                                         */
      __IO uint16_t  P2IEN6     :  1;               /*!< P26 port input enable control                                         */
      __IO uint16_t  P2IEN7     :  1;               /*!< P27 port input enable control                                         */
    } P2IOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2RCTL;                          /*!< P2 Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  P2REN0     :  1;               /*!< P20 port input resistor enable                                        */
      __IO uint16_t  P2REN1     :  1;               /*!< P21 port input resistor enable                                        */
      __IO uint16_t  P2REN2     :  1;               /*!< P22 port input resistor enable                                        */
      __IO uint16_t  P2REN3     :  1;               /*!< P23 port input resistor enable                                        */
      __IO uint16_t  P2REN4     :  1;               /*!< P24 port input resistor enable                                        */
      __IO uint16_t  P2REN5     :  1;               /*!< P25 port input resistor enable                                        */
      __IO uint16_t  P2REN6     :  1;               /*!< P26 port input resistor enable                                        */
      __IO uint16_t  P2REN7     :  1;               /*!< P27 port input resistor enable                                        */
      __IO uint16_t  P2PDPU0    :  1;               /*!< P20 port input resistor select                                        */
      __IO uint16_t  P2PDPU1    :  1;               /*!< P21 port input resistor select                                        */
      __IO uint16_t  P2PDPU2    :  1;               /*!< P22 port input resistor select                                        */
      __IO uint16_t  P2PDPU3    :  1;               /*!< P23 port input resistor select                                        */
      __IO uint16_t  P2PDPU4    :  1;               /*!< P24 port input resistor select                                        */
      __IO uint16_t  P2PDPU5    :  1;               /*!< P25 port input resistor select                                        */
      __IO uint16_t  P2PDPU6    :  1;               /*!< P26 port input resistor select                                        */
      __IO uint16_t  P2PDPU7    :  1;               /*!< P27 port input resistor select                                        */
    } P2RCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2INTF;                          /*!< P2 Port Interrupt Flag Register                                       */
    
    struct {
      __IO uint16_t  P2IF0      :  1;               /*!< P20 port interrupt flag                                               */
      __IO uint16_t  P2IF1      :  1;               /*!< P21 port interrupt flag                                               */
      __IO uint16_t  P2IF2      :  1;               /*!< P22 port interrupt flag                                               */
      __IO uint16_t  P2IF3      :  1;               /*!< P23 port interrupt flag                                               */
      __IO uint16_t  P2IF4      :  1;               /*!< P24 port interrupt flag                                               */
      __IO uint16_t  P2IF5      :  1;               /*!< P25 port interrupt flag                                               */
      __IO uint16_t  P2IF6      :  1;               /*!< P26 port interrupt flag                                               */
      __IO uint16_t  P2IF7      :  1;               /*!< P27 port interrupt flag                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P2INTF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2INTCTL;                        /*!< P2 Port Interrupt Control Register                                    */
    
    struct {
      __IO uint16_t  P2IE0      :  1;               /*!< P20 port interrupt enable                                             */
      __IO uint16_t  P2IE1      :  1;               /*!< P21 port interrupt enable                                             */
      __IO uint16_t  P2IE2      :  1;               /*!< P22 port interrupt enable                                             */
      __IO uint16_t  P2IE3      :  1;               /*!< P23 port interrupt enable                                             */
      __IO uint16_t  P2IE4      :  1;               /*!< P24 port interrupt enable                                             */
      __IO uint16_t  P2IE5      :  1;               /*!< P25 port interrupt enable                                             */
      __IO uint16_t  P2IE6      :  1;               /*!< P26 port interrupt enable                                             */
      __IO uint16_t  P2IE7      :  1;               /*!< P27 port interrupt enable                                             */
      __IO uint16_t  P2EDGE0    :  1;               /*!< P20 port interrupt trigger edge select                                */
      __IO uint16_t  P2EDGE1    :  1;               /*!< P21 port interrupt trigger edge select                                */
      __IO uint16_t  P2EDGE2    :  1;               /*!< P22 port interrupt trigger edge select                                */
      __IO uint16_t  P2EDGE3    :  1;               /*!< P23 port interrupt trigger edge select                                */
      __IO uint16_t  P2EDGE4    :  1;               /*!< P24 port interrupt trigger edge select                                */
      __IO uint16_t  P2EDGE5    :  1;               /*!< P25 port interrupt trigger edge select                                */
      __IO uint16_t  P2EDGE6    :  1;               /*!< P26 port interrupt trigger edge select                                */
      __IO uint16_t  P2EDGE7    :  1;               /*!< P27 port interrupt trigger edge select                                */
    } P2INTCTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2CHATEN;                        /*!< P2 Port Chattering Filter Enable Register                             */
    
    struct {
      __IO uint16_t  P2CHATEN0  :  1;               /*!< P20 chatter less enable                                               */
      __IO uint16_t  P2CHATEN1  :  1;               /*!< P21 chatter less enable                                               */
      __IO uint16_t  P2CHATEN2  :  1;               /*!< P22 chatter less enable                                               */
      __IO uint16_t  P2CHATEN3  :  1;               /*!< P23 chatter less enable                                               */
      __IO uint16_t  P2CHATEN4  :  1;               /*!< P24 chatter less enable                                               */
      __IO uint16_t  P2CHATEN5  :  1;               /*!< P25 chatter less enable                                               */
      __IO uint16_t  P2CHATEN6  :  1;               /*!< P26 chatter less enable                                               */
      __IO uint16_t  P2CHATEN7  :  1;               /*!< P27 chatter less enable                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P2CHATEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2MODSEL;                        /*!< P2 Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  P2SEL0     :  1;               /*!< P20 port mode select                                                  */
      __IO uint16_t  P2SEL1     :  1;               /*!< P21 port mode select                                                  */
      __IO uint16_t  P2SEL2     :  1;               /*!< P22 port mode select                                                  */
      __IO uint16_t  P2SEL3     :  1;               /*!< P23 port mode select                                                  */
      __IO uint16_t  P2SEL4     :  1;               /*!< P24 port mode select                                                  */
      __IO uint16_t  P2SEL5     :  1;               /*!< P25 port mode select                                                  */
      __IO uint16_t  P2SEL6     :  1;               /*!< P26 port mode select                                                  */
      __IO uint16_t  P2SEL7     :  1;               /*!< P27 port mode select                                                  */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P2MODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2FNCSEL;                        /*!< P2 Port Function Select Register                                      */
    
    struct {
      __IO uint16_t  P20MUX     :  2;               /*!< P20 port function select                                              */
      __IO uint16_t  P21MUX     :  2;               /*!< P21 port function select                                              */
      __IO uint16_t  P22MUX     :  2;               /*!< P22 port function select                                              */
      __IO uint16_t  P23MUX     :  2;               /*!< P23 port function select                                              */
      __IO uint16_t  P24MUX     :  2;               /*!< P24 port function select                                              */
      __IO uint16_t  P25MUX     :  2;               /*!< P25 port function select                                              */
      __IO uint16_t  P26MUX     :  2;               /*!< P26 port function select                                              */
      __IO uint16_t  P27MUX     :  2;               /*!< P27 port function select                                              */
    } P2FNCSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3DAT;                           /*!< P3 Port Data Register                                                 */
    
    struct {
      __I  uint16_t  P3IN0      :  1;               /*!< P30 port input data                                                   */
      __I  uint16_t  P3IN1      :  1;               /*!< P31 port input data                                                   */
      __I  uint16_t  P3IN2      :  1;               /*!< P32 port input data                                                   */
      __I  uint16_t  P3IN3      :  1;               /*!< P33 port input data                                                   */
      __I  uint16_t  P3IN4      :  1;               /*!< P34 port input data                                                   */
      __I  uint16_t  P3IN5      :  1;               /*!< P35 port input data                                                   */
      __I  uint16_t  P3IN6      :  1;               /*!< P36 port input data                                                   */
      __I  uint16_t  P3IN7      :  1;               /*!< P37 port input data                                                   */
      __IO uint16_t  P3OUT0     :  1;               /*!< P30 port output data                                                  */
      __IO uint16_t  P3OUT1     :  1;               /*!< P31 port output data                                                  */
      __IO uint16_t  P3OUT2     :  1;               /*!< P32 port output data                                                  */
      __IO uint16_t  P3OUT3     :  1;               /*!< P33 port output data                                                  */
      __IO uint16_t  P3OUT4     :  1;               /*!< P34 port output data                                                  */
      __IO uint16_t  P3OUT5     :  1;               /*!< P35 port output data                                                  */
      __IO uint16_t  P3OUT6     :  1;               /*!< P36 port output data                                                  */
      __IO uint16_t  P3OUT7     :  1;               /*!< P37 port output data                                                  */
    } P3DAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3IOEN;                          /*!< P3 Port Enable Register                                               */
    
    struct {
      __IO uint16_t  P3OEN0     :  1;               /*!< P30 port output enable control                                        */
      __IO uint16_t  P3OEN1     :  1;               /*!< P31 port output enable control                                        */
      __IO uint16_t  P3OEN2     :  1;               /*!< P32 port output enable control                                        */
      __IO uint16_t  P3OEN3     :  1;               /*!< P33 port output enable control                                        */
      __IO uint16_t  P3OEN4     :  1;               /*!< P34 port output enable control                                        */
      __IO uint16_t  P3OEN5     :  1;               /*!< P35 port output enable control                                        */
      __IO uint16_t  P3OEN6     :  1;               /*!< P36 port output enable control                                        */
      __IO uint16_t  P3OEN7     :  1;               /*!< P37 port output enable control                                        */
      __IO uint16_t  P3IEN0     :  1;               /*!< P30 port input enable control                                         */
      __IO uint16_t  P3IEN1     :  1;               /*!< P31 port input enable control                                         */
      __IO uint16_t  P3IEN2     :  1;               /*!< P32 port input enable control                                         */
      __IO uint16_t  P3IEN3     :  1;               /*!< P33 port input enable control                                         */
      __IO uint16_t  P3IEN4     :  1;               /*!< P34 port input enable control                                         */
      __IO uint16_t  P3IEN5     :  1;               /*!< P35 port input enable control                                         */
      __IO uint16_t  P3IEN6     :  1;               /*!< P36 port input enable control                                         */
      __IO uint16_t  P3IEN7     :  1;               /*!< P37 port input enable control                                         */
    } P3IOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3RCTL;                          /*!< P3 Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  P3REN0     :  1;               /*!< P30 port input resister enable                                        */
      __IO uint16_t  P3REN1     :  1;               /*!< P31 port input resister enable                                        */
      __IO uint16_t  P3REN2     :  1;               /*!< P32 port input resister enable                                        */
      __IO uint16_t  P3REN3     :  1;               /*!< P33 port input resister enable                                        */
      __IO uint16_t  P3REN4     :  1;               /*!< P34 port input resister enable                                        */
      __IO uint16_t  P3REN5     :  1;               /*!< P35 port input resister enable                                        */
      __IO uint16_t  P3REN6     :  1;               /*!< P36 port input resister enable                                        */
      __IO uint16_t  P3REN7     :  1;               /*!< P37 port input resister enable                                        */
      __IO uint16_t  P3PDPU0    :  1;               /*!< P30 port input resistor select                                        */
      __IO uint16_t  P3PDPU1    :  1;               /*!< P31 port input resistor select                                        */
      __IO uint16_t  P3PDPU2    :  1;               /*!< P32 port input resistor select                                        */
      __IO uint16_t  P3PDPU3    :  1;               /*!< P33 port input resistor select                                        */
      __IO uint16_t  P3PDPU4    :  1;               /*!< P34 port input resistor select                                        */
      __IO uint16_t  P3PDPU5    :  1;               /*!< P35 port input resistor select                                        */
      __IO uint16_t  P3PDPU6    :  1;               /*!< P36 port input resistor select                                        */
      __IO uint16_t  P3PDPU7    :  1;               /*!< P37 port input resistor select                                        */
    } P3RCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3INTF;                          /*!< P3 Port Interrupt Flag Register                                       */
    
    struct {
      __IO uint16_t  P3IF0      :  1;               /*!< P30 port interrupt flag                                               */
      __IO uint16_t  P3IF1      :  1;               /*!< P31 port interrupt flag                                               */
      __IO uint16_t  P3IF2      :  1;               /*!< P32 port interrupt flag                                               */
      __IO uint16_t  P3IF3      :  1;               /*!< P33 port interrupt flag                                               */
      __IO uint16_t  P3IF4      :  1;               /*!< P34 port interrupt flag                                               */
      __IO uint16_t  P3IF5      :  1;               /*!< P35 port interrupt flag                                               */
      __IO uint16_t  P3IF6      :  1;               /*!< P36 port interrupt flag                                               */
      __IO uint16_t  P3IF7      :  1;               /*!< P37 port interrupt flag                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P3INTF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3INTCTL;                        /*!< P3 Port Interrupt Control Register                                    */
    
    struct {
      __IO uint16_t  P3IE0      :  1;               /*!< P30 port interrupt enable                                             */
      __IO uint16_t  P3IE1      :  1;               /*!< P31 port interrupt enable                                             */
      __IO uint16_t  P3IE2      :  1;               /*!< P32 port interrupt enable                                             */
      __IO uint16_t  P3IE3      :  1;               /*!< P33 port interrupt enable                                             */
      __IO uint16_t  P3IE4      :  1;               /*!< P34 port interrupt enable                                             */
      __IO uint16_t  P3IE5      :  1;               /*!< P35 port interrupt enable                                             */
      __IO uint16_t  P3IE6      :  1;               /*!< P36 port interrupt enable                                             */
      __IO uint16_t  P3IE7      :  1;               /*!< P37 port interrupt enable                                             */
      __IO uint16_t  P3EDGE0    :  1;               /*!< P30 port interrupt trigger edge select                                */
      __IO uint16_t  P3EDGE1    :  1;               /*!< P31 port interrupt trigger edge select                                */
      __IO uint16_t  P3EDGE2    :  1;               /*!< P32 port interrupt trigger edge select                                */
      __IO uint16_t  P3EDGE3    :  1;               /*!< P33 port interrupt trigger edge select                                */
      __IO uint16_t  P3EDGE4    :  1;               /*!< P34 port interrupt trigger edge select                                */
      __IO uint16_t  P3EDGE5    :  1;               /*!< P35 port interrupt trigger edge select                                */
      __IO uint16_t  P3EDGE6    :  1;               /*!< P36 port interrupt trigger edge select                                */
      __IO uint16_t  P3EDGE7    :  1;               /*!< P37 port interrupt trigger edge select                                */
    } P3INTCTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3CHATEN;                        /*!< P3 Port Chattering Filter Enable Register                             */
    
    struct {
      __IO uint16_t  P3CHATEN0  :  1;               /*!< P30 chatter less enable                                               */
      __IO uint16_t  P3CHATEN1  :  1;               /*!< P31 chatter less enable                                               */
      __IO uint16_t  P3CHATEN2  :  1;               /*!< P32 chatter less enable                                               */
      __IO uint16_t  P3CHATEN3  :  1;               /*!< P33 chatter less enable                                               */
      __IO uint16_t  P3CHATEN4  :  1;               /*!< P34 chatter less enable                                               */
      __IO uint16_t  P3CHATEN5  :  1;               /*!< P35 chatter less enable                                               */
      __IO uint16_t  P3CHATEN6  :  1;               /*!< P36 chatter less enable                                               */
      __IO uint16_t  P3CHATEN7  :  1;               /*!< P37 chatter less enable                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P3CHATEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3MODSEL;                        /*!< P3 Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  P3SEL0     :  1;               /*!< P30 port mode select                                                  */
      __IO uint16_t  P3SEL1     :  1;               /*!< P31 port mode select                                                  */
      __IO uint16_t  P3SEL2     :  1;               /*!< P32 port mode select                                                  */
      __IO uint16_t  P3SEL3     :  1;               /*!< P33 port mode select                                                  */
      __IO uint16_t  P3SEL4     :  1;               /*!< P34 port mode select                                                  */
      __IO uint16_t  P3SEL5     :  1;               /*!< P35 port mode select                                                  */
      __IO uint16_t  P3SEL6     :  1;               /*!< P36 port mode select                                                  */
      __IO uint16_t  P3SEL7     :  1;               /*!< P37 port mode select                                                  */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P3MODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3FNCSEL;                        /*!< P3 Port Function Select Register                                      */
    
    struct {
      __IO uint16_t  P30MUX     :  2;               /*!< P30 port function select                                              */
      __IO uint16_t  P31MUX     :  2;               /*!< P31 port function select                                              */
      __IO uint16_t  P32MUX     :  2;               /*!< P32 port function select                                              */
      __IO uint16_t  P33MUX     :  2;               /*!< P33 port function select                                              */
      __IO uint16_t  P34MUX     :  2;               /*!< P34 port function select                                              */
      __IO uint16_t  P35MUX     :  2;               /*!< P35 port function select                                              */
      __IO uint16_t  P36MUX     :  2;               /*!< P36 port function select                                              */
      __IO uint16_t  P37MUX     :  2;               /*!< P37 port function select                                              */
    } P3FNCSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P4DAT;                           /*!< P4 Port Data Register                                                 */
    
    struct {
      __I  uint16_t  P4IN0      :  1;               /*!< P40 port input data                                                   */
      __I  uint16_t  P4IN1      :  1;               /*!< P41 port input data                                                   */
      __I  uint16_t  P4IN2      :  1;               /*!< P42 port input data                                                   */
      __I  uint16_t  P4IN3      :  1;               /*!< P43 port input data                                                   */
      __I  uint16_t  P4IN4      :  1;               /*!< P44 port input data                                                   */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __IO uint16_t  P4OUT0     :  1;               /*!< P40 port output data                                                  */
      __IO uint16_t  P4OUT1     :  1;               /*!< P41 port output data                                                  */
      __IO uint16_t  P4OUT2     :  1;               /*!< P42 port output data                                                  */
      __IO uint16_t  P4OUT3     :  1;               /*!< P43 port output data                                                  */
      __IO uint16_t  P4OUT4     :  1;               /*!< P44 port output data                                                  */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< Reserved                                                              */
    } P4DAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P4IOEN;                          /*!< P4 Port Enable Register                                               */
    
    struct {
      __IO uint16_t  P4OEN0     :  1;               /*!< P40 port output enable control                                        */
      __IO uint16_t  P4OEN1     :  1;               /*!< P41 port output enable control                                        */
      __IO uint16_t  P4OEN2     :  1;               /*!< P42 port output enable control                                        */
      __IO uint16_t  P4OEN3     :  1;               /*!< P43 port output enable control                                        */
      __IO uint16_t  P4OEN4     :  1;               /*!< P44 port output enable control                                        */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __IO uint16_t  P4IEN0     :  1;               /*!< P40 port input enable control                                         */
      __IO uint16_t  P4IEN1     :  1;               /*!< P41 port input enable control                                         */
      __IO uint16_t  P4IEN2     :  1;               /*!< P42 port input enable control                                         */
      __IO uint16_t  P4IEN3     :  1;               /*!< P43 port input enable control                                         */
      __IO uint16_t  P4IEN4     :  1;               /*!< P44 port input enable control                                         */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< Reserved                                                              */
    } P4IOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P4RCTL;                          /*!< P4 Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  P4REN0     :  1;               /*!< P40 port input resistor enable                                        */
      __IO uint16_t  P4REN1     :  1;               /*!< P41 port input resistor enable                                        */
      __IO uint16_t  P4REN2     :  1;               /*!< P42 port input resistor enable                                        */
      __IO uint16_t  P4REN3     :  1;               /*!< P43 port input resistor enable                                        */
      __IO uint16_t  P4REN4     :  1;               /*!< P44 port input resistor enable                                        */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __IO uint16_t  P4PDPU0    :  1;               /*!< P40 port input resistor select                                        */
      __IO uint16_t  P4PDPU1    :  1;               /*!< P41 port input resistor select                                        */
      __IO uint16_t  P4PDPU2    :  1;               /*!< P42 port input resistor select                                        */
      __IO uint16_t  P4PDPU3    :  1;               /*!< P43 port input resistor select                                        */
      __IO uint16_t  P4PDPU4    :  1;               /*!< P44 port input resistor select                                        */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< Reserved                                                              */
    } P4RCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P4INTF;                          /*!< P4 Port interrupt Flag Register                                       */
    
    struct {
      __IO uint16_t  P4IF0      :  1;               /*!< P40 port interrupt flag                                               */
      __IO uint16_t  P4IF1      :  1;               /*!< P41 port interrupt flag                                               */
      __IO uint16_t  P4IF2      :  1;               /*!< P42 port interrupt flag                                               */
      __IO uint16_t  P4IF3      :  1;               /*!< P43 port interrupt flag                                               */
      __IO uint16_t  P4IF4      :  1;               /*!< P44 port interrupt flag                                               */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P4INTF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P4INTCTL;                        /*!< P4 Port Interrupt Control Register                                    */
    
    struct {
      __IO uint16_t  P4IE0      :  1;               /*!< P40 port interrupt enable                                             */
      __IO uint16_t  P4IE1      :  1;               /*!< P41 port interrupt enable                                             */
      __IO uint16_t  P4IE2      :  1;               /*!< P42 port interrupt enable                                             */
      __IO uint16_t  P4IE3      :  1;               /*!< P43 port interrupt enable                                             */
      __IO uint16_t  P4IE4      :  1;               /*!< P44 port interrupt enable                                             */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __IO uint16_t  P4EDGE0    :  1;               /*!< P40 port interrupt trigger edge select                                */
      __IO uint16_t  P4EDGE1    :  1;               /*!< P41 port interrupt trigger edge select                                */
      __IO uint16_t  P4EDGE2    :  1;               /*!< P42 port interrupt trigger edge select                                */
      __IO uint16_t  P4EDGE3    :  1;               /*!< P43 port interrupt trigger edge select                                */
      __IO uint16_t  P4EDGE4    :  1;               /*!< P44 port interrupt trigger edge select                                */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< Reserved                                                              */
    } P4INTCTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P4CHATEN;                        /*!< P4 Port Chattering Filter Enable Register                             */
    
    struct {
      __IO uint16_t  P4CHATEN0  :  1;               /*!< P40 chatter less enable                                               */
      __IO uint16_t  P4CHATEN1  :  1;               /*!< P41 chatter less enable                                               */
      __IO uint16_t  P4CHATEN2  :  1;               /*!< P42 chatter less enable                                               */
      __IO uint16_t  P4CHATEN3  :  1;               /*!< P43 chatter less enable                                               */
      __IO uint16_t  P4CHATEN4  :  1;               /*!< P44 chatter less enable                                               */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P4CHATEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P4MODSEL;                        /*!< P4 Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  P4SEL0     :  1;               /*!< P40 port mode select                                                  */
      __IO uint16_t  P4SEL1     :  1;               /*!< P41 port mode select                                                  */
      __IO uint16_t  P4SEL2     :  1;               /*!< P42 port mode select                                                  */
      __IO uint16_t  P4SEL3     :  1;               /*!< P43 port mode select                                                  */
      __IO uint16_t  P4SEL4     :  1;               /*!< P44 port mode select                                                  */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P4MODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P4FNCSEL;                        /*!< P4 Port Function Select Register                                      */
    
    struct {
      __IO uint16_t  P40MUX     :  2;               /*!< P40 port function select                                              */
      __IO uint16_t  P41MUX     :  2;               /*!< P41 port function select                                              */
      __IO uint16_t  P42MUX     :  2;               /*!< P42 port function select                                              */
      __IO uint16_t  P43MUX     :  2;               /*!< P43 port function select                                              */
      __IO uint16_t  P44MUX     :  2;               /*!< P44 port function select                                              */
      __I  uint16_t  RESERVED_15_10:  6;            /*!< Reserved                                                              */
    } P4FNCSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P5DAT;                           /*!< P5 Port Data Register                                                 */
    
    struct {
      __I  uint16_t  P5IN0      :  1;               /*!< P50 port input data                                                   */
      __I  uint16_t  P5IN1      :  1;               /*!< P51 port input data                                                   */
      __I  uint16_t  P5IN2      :  1;               /*!< P52 port input data                                                   */
      __I  uint16_t  P5IN3      :  1;               /*!< P53 port input data                                                   */
      __I  uint16_t  P5IN4      :  1;               /*!< P54 port input data                                                   */
      __I  uint16_t  P5IN5      :  1;               /*!< P55 port input data                                                   */
      __I  uint16_t  P5IN6      :  1;               /*!< P56 port input data                                                   */
      __I  uint16_t  P5IN7      :  1;               /*!< P57 port input data                                                   */
      __IO uint16_t  P5OUT0     :  1;               /*!< P50 port output data                                                  */
      __IO uint16_t  P5OUT1     :  1;               /*!< P51 port output data                                                  */
      __IO uint16_t  P5OUT2     :  1;               /*!< P52 port output data                                                  */
      __IO uint16_t  P5OUT3     :  1;               /*!< P53 port output data                                                  */
      __IO uint16_t  P5OUT4     :  1;               /*!< P54 port output data                                                  */
      __IO uint16_t  P5OUT5     :  1;               /*!< P55 port output data                                                  */
      __IO uint16_t  P5OUT6     :  1;               /*!< P56 port output data                                                  */
      __IO uint16_t  P5OUT7     :  1;               /*!< P57 port output data                                                  */
    } P5DAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P5IOEN;                          /*!< P5 Port Enable Register                                               */
    
    struct {
      __IO uint16_t  P5OEN0     :  1;               /*!< P50 port output enable control                                        */
      __IO uint16_t  P5OEN1     :  1;               /*!< P51 port output enable control                                        */
      __IO uint16_t  P5OEN2     :  1;               /*!< P52 port output enable control                                        */
      __IO uint16_t  P5OEN3     :  1;               /*!< P53 port output enable control                                        */
      __IO uint16_t  P5OEN4     :  1;               /*!< P54 port output enable control                                        */
      __IO uint16_t  P5OEN5     :  1;               /*!< P55 port output enable control                                        */
      __IO uint16_t  P5OEN6     :  1;               /*!< P56 port output enable control                                        */
      __IO uint16_t  P5OEN7     :  1;               /*!< P57port output enable control                                         */
      __IO uint16_t  P5IEN0     :  1;               /*!< P50 port input enable control                                         */
      __IO uint16_t  P5IEN1     :  1;               /*!< P51 port input enable control                                         */
      __IO uint16_t  P5IEN2     :  1;               /*!< P52 port input enable control                                         */
      __IO uint16_t  P5IEN3     :  1;               /*!< P53 port input enable control                                         */
      __IO uint16_t  P5IEN4     :  1;               /*!< P54 port input enable control                                         */
      __IO uint16_t  P5IEN5     :  1;               /*!< P55 port input enable control                                         */
      __IO uint16_t  P5IEN6     :  1;               /*!< P56 port input enable control                                         */
      __IO uint16_t  P5IEN7     :  1;               /*!< P57 port input enable control                                         */
    } P5IOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P5RCTL;                          /*!< P5 Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  P5REN0     :  1;               /*!< P50 port input resistor enable                                        */
      __IO uint16_t  P5REN1     :  1;               /*!< P51 port input resistor enable                                        */
      __IO uint16_t  P5REN2     :  1;               /*!< P52 port input resistor enable                                        */
      __IO uint16_t  P5REN3     :  1;               /*!< P53 port input resistor enable                                        */
      __IO uint16_t  P5REN4     :  1;               /*!< P54 port input resistor enable                                        */
      __IO uint16_t  P5REN5     :  1;               /*!< P55 port input resistor enable                                        */
      __IO uint16_t  P5REN6     :  1;               /*!< P56 port input resistor enable                                        */
      __IO uint16_t  P5REN7     :  1;               /*!< P57 port input resistor enable                                        */
      __IO uint16_t  P5PDPU0    :  1;               /*!< P50 port input resistor select                                        */
      __IO uint16_t  P5PDPU1    :  1;               /*!< P51 port input resistor select                                        */
      __IO uint16_t  P5PDPU2    :  1;               /*!< P52 port input resistor select                                        */
      __IO uint16_t  P5PDPU3    :  1;               /*!< P53 port input resistor select                                        */
      __IO uint16_t  P5PDPU4    :  1;               /*!< P54 port input resistor select                                        */
      __IO uint16_t  P5PDPU5    :  1;               /*!< P55 port input resistor select                                        */
      __IO uint16_t  P5PDPU6    :  1;               /*!< P56 port input resistor select                                        */
      __IO uint16_t  P5PDPU7    :  1;               /*!< P57 port input resistor select                                        */
    } P5RCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P5INTF;                          /*!< P5 Port Interrupt Flag Register                                       */
    
    struct {
      __IO uint16_t  P5IF0      :  1;               /*!< P50 port interrupt flag                                               */
      __IO uint16_t  P5IF1      :  1;               /*!< P51 port interrupt flag                                               */
      __IO uint16_t  P5IF2      :  1;               /*!< P52 port interrupt flag                                               */
      __IO uint16_t  P5IF3      :  1;               /*!< P53 port interrupt flag                                               */
      __IO uint16_t  P5IF4      :  1;               /*!< P54 port interrupt flag                                               */
      __IO uint16_t  P5IF5      :  1;               /*!< P55 port interrupt flag                                               */
      __IO uint16_t  P5IF6      :  1;               /*!< P56 port interrupt flag                                               */
      __IO uint16_t  P5IF7      :  1;               /*!< P57 port interrupt flag                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P5INTF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P5INTCTL;                        /*!< P5 Port Interrupt Control Register                                    */
    
    struct {
      __IO uint16_t  P5IE0      :  1;               /*!< P50 port interrupt enable                                             */
      __IO uint16_t  P5IE1      :  1;               /*!< P51 port interrupt enable                                             */
      __IO uint16_t  P5IE2      :  1;               /*!< P52 port interrupt enable                                             */
      __IO uint16_t  P5IE3      :  1;               /*!< P53 port interrupt enable                                             */
      __IO uint16_t  P5IE4      :  1;               /*!< P54 port interrupt enable                                             */
      __IO uint16_t  P5IE5      :  1;               /*!< P55 port interrupt enable                                             */
      __IO uint16_t  P5IE6      :  1;               /*!< P56 port interrupt enable                                             */
      __IO uint16_t  P5IE7      :  1;               /*!< P57 port interrupt enable                                             */
      __IO uint16_t  P5EDGE0    :  1;               /*!< P50 port interrupt trigger edge select                                */
      __IO uint16_t  P5EDGE1    :  1;               /*!< P51 port interrupt trigger edge select                                */
      __IO uint16_t  P5EDGE2    :  1;               /*!< P52 port interrupt trigger edge select                                */
      __IO uint16_t  P5EDGE3    :  1;               /*!< P53 port interrupt trigger edge select                                */
      __IO uint16_t  P5EDGE4    :  1;               /*!< P54 port interrupt trigger edge select                                */
      __IO uint16_t  P5EDGE5    :  1;               /*!< P55 port interrupt trigger edge select                                */
      __IO uint16_t  P5EDGE6    :  1;               /*!< P56 port interrupt trigger edge select                                */
      __IO uint16_t  P5EDGE7    :  1;               /*!< P57 port interrupt trigger edge select                                */
    } P5INTCTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P5CHATEN;                        /*!< P5 Port Chattering Filter Enable Register                             */
    
    struct {
      __IO uint16_t  P5CHATEN0  :  1;               /*!< P50 chatter less enable                                               */
      __IO uint16_t  P5CHATEN1  :  1;               /*!< P51 chatter less enable                                               */
      __IO uint16_t  P5CHATEN2  :  1;               /*!< P52 chatter less enable                                               */
      __IO uint16_t  P5CHATEN3  :  1;               /*!< P53 chatter less enable                                               */
      __IO uint16_t  P5CHATEN4  :  1;               /*!< P54 chatter less enable                                               */
      __IO uint16_t  P5CHATEN5  :  1;               /*!< P55 chatter less enable                                               */
      __IO uint16_t  P5CHATEN6  :  1;               /*!< P56 chatter less enable                                               */
      __IO uint16_t  P5CHATEN7  :  1;               /*!< P57 chatter less enable                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P5CHATEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P5MODSEL;                        /*!< P5 Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  P5SEL0     :  1;               /*!< P50 port mode select                                                  */
      __IO uint16_t  P5SEL1     :  1;               /*!< P51 port mode select                                                  */
      __IO uint16_t  P5SEL2     :  1;               /*!< P52 port mode select                                                  */
      __IO uint16_t  P5SEL3     :  1;               /*!< P53 port mode select                                                  */
      __IO uint16_t  P5SEL4     :  1;               /*!< P54 port mode select                                                  */
      __IO uint16_t  P5SEL5     :  1;               /*!< P55 port mode select                                                  */
      __IO uint16_t  P5SEL6     :  1;               /*!< P56 port mode select                                                  */
      __IO uint16_t  P5SEL7     :  1;               /*!< P57 port mode select                                                  */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P5MODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P5FNCSEL;                        /*!< P5 Port Function Select Register                                      */
    
    struct {
      __IO uint16_t  P50MUX     :  2;               /*!< P50 port function select                                              */
      __IO uint16_t  P51MUX     :  2;               /*!< P51 port function select                                              */
      __IO uint16_t  P52MUX     :  2;               /*!< P52 port function select                                              */
      __IO uint16_t  P53MUX     :  2;               /*!< P53 port function select                                              */
      __IO uint16_t  P54MUX     :  2;               /*!< P54 port function select                                              */
      __IO uint16_t  P55MUX     :  2;               /*!< P55 port function select                                              */
      __IO uint16_t  P56MUX     :  2;               /*!< P56 port function select                                              */
      __IO uint16_t  P57MUX     :  2;               /*!< P57 port function select                                              */
    } P5FNCSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P6DAT;                           /*!< P6 Port Data Register                                                 */
    
    struct {
      __I  uint16_t  P6IN0      :  1;               /*!< P60 port input data                                                   */
      __I  uint16_t  P6IN1      :  1;               /*!< P61 port input data                                                   */
      __I  uint16_t  P6IN2      :  1;               /*!< P62 port input data                                                   */
      __I  uint16_t  P6IN3      :  1;               /*!< P63 port input data                                                   */
      __I  uint16_t  P6IN4      :  1;               /*!< P64 port input data                                                   */
      __I  uint16_t  P6IN5      :  1;               /*!< P65 port input data                                                   */
      __I  uint16_t  P6IN6      :  1;               /*!< P66 port input data                                                   */
      __I  uint16_t  P6IN7      :  1;               /*!< P67 port input data                                                   */
      __IO uint16_t  P6OUT0     :  1;               /*!< P60 port output data                                                  */
      __IO uint16_t  P6OUT1     :  1;               /*!< P61 port output data                                                  */
      __IO uint16_t  P6OUT2     :  1;               /*!< P62 port output data                                                  */
      __IO uint16_t  P6OUT3     :  1;               /*!< P63 port output data                                                  */
      __IO uint16_t  P6OUT4     :  1;               /*!< P64 port output data                                                  */
      __IO uint16_t  P6OUT5     :  1;               /*!< P65 port output data                                                  */
      __IO uint16_t  P6OUT6     :  1;               /*!< P66 port output data                                                  */
      __IO uint16_t  P6OUT7     :  1;               /*!< P67 port output data                                                  */
    } P6DAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P6IOEN;                          /*!< P6 Port Enable Register                                               */
    
    struct {
      __IO uint16_t  P6OEN0     :  1;               /*!< P60 port output enable control                                        */
      __IO uint16_t  P6OEN1     :  1;               /*!< P61 port output enable control                                        */
      __IO uint16_t  P6OEN2     :  1;               /*!< P62 port output enable control                                        */
      __IO uint16_t  P6OEN3     :  1;               /*!< P63 port output enable control                                        */
      __IO uint16_t  P6OEN4     :  1;               /*!< P64 port output enable control                                        */
      __IO uint16_t  P6OEN5     :  1;               /*!< P65 port output enable control                                        */
      __IO uint16_t  P6OEN6     :  1;               /*!< P66 port output enable control                                        */
      __IO uint16_t  P6OEN7     :  1;               /*!< P67 port output enable control                                        */
      __IO uint16_t  P6IEN0     :  1;               /*!< P60 port input enable control                                         */
      __IO uint16_t  P6IEN1     :  1;               /*!< P61 port input enable control                                         */
      __IO uint16_t  P6IEN2     :  1;               /*!< P62 port input enable control                                         */
      __IO uint16_t  P6IEN3     :  1;               /*!< P63 port input enable control                                         */
      __IO uint16_t  P6IEN4     :  1;               /*!< P64 port input enable control                                         */
      __IO uint16_t  P6IEN5     :  1;               /*!< P65 port input enable control                                         */
      __IO uint16_t  P6IEN6     :  1;               /*!< P66 port input enable control                                         */
      __IO uint16_t  P6IEN7     :  1;               /*!< P67 port input enable control                                         */
    } P6IOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P6RCTL;                          /*!< P6 Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  P6REN0     :  1;               /*!< P60 port input resistor enable                                        */
      __IO uint16_t  P6REN1     :  1;               /*!< P61 port input resistor enable                                        */
      __IO uint16_t  P6REN2     :  1;               /*!< P62 port input resistor enable                                        */
      __IO uint16_t  P6REN3     :  1;               /*!< P63 port input resistor enable                                        */
      __IO uint16_t  P6REN4     :  1;               /*!< P64 port input resistor enable                                        */
      __IO uint16_t  P6REN5     :  1;               /*!< P65 port input resistor enable                                        */
      __IO uint16_t  P6REN6     :  1;               /*!< P66 port input resistor enable                                        */
      __IO uint16_t  P6REN7     :  1;               /*!< P67 port input resistor enable                                        */
      __IO uint16_t  P6PDPU0    :  1;               /*!< P60 port input resistor select                                        */
      __IO uint16_t  P6PDPU1    :  1;               /*!< P61 port input resistor select                                        */
      __IO uint16_t  P6PDPU2    :  1;               /*!< P62 port input resistor select                                        */
      __IO uint16_t  P6PDPU3    :  1;               /*!< P63 port input resistor select                                        */
      __IO uint16_t  P6PDPU4    :  1;               /*!< P64 port input resistor select                                        */
      __IO uint16_t  P6PDPU5    :  1;               /*!< P65 port input resistor select                                        */
      __IO uint16_t  P6PDPU6    :  1;               /*!< P66 port input resistor select                                        */
      __IO uint16_t  P6PDPU7    :  1;               /*!< P67 port input resistor select                                        */
    } P6RCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P6INTF;                          /*!< P6 Port Interrupt Flag Register                                       */
    
    struct {
      __IO uint16_t  P6IF0      :  1;               /*!< P60 port interrupt flag                                               */
      __IO uint16_t  P6IF1      :  1;               /*!< P61 port interrupt flag                                               */
      __IO uint16_t  P6IF2      :  1;               /*!< P62 port interrupt flag                                               */
      __IO uint16_t  P6IF3      :  1;               /*!< P63 port interrupt flag                                               */
      __IO uint16_t  P6IF4      :  1;               /*!< P64 port interrupt flag                                               */
      __IO uint16_t  P6IF5      :  1;               /*!< P65 port interrupt flag                                               */
      __IO uint16_t  P6IF6      :  1;               /*!< P66 port interrupt flag                                               */
      __IO uint16_t  P6IF7      :  1;               /*!< P67 port interrupt flag                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P6INTF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P6INTCTL;                        /*!< P6 Port Interrupt Control Register                                    */
    
    struct {
      __IO uint16_t  P6IE0      :  1;               /*!< P60 port interrupt enable                                             */
      __IO uint16_t  P6IE1      :  1;               /*!< P61 port interrupt enable                                             */
      __IO uint16_t  P6IE2      :  1;               /*!< P62 port interrupt enable                                             */
      __IO uint16_t  P6IE3      :  1;               /*!< P63 port interrupt enable                                             */
      __IO uint16_t  P6IE4      :  1;               /*!< P64 port interrupt enable                                             */
      __IO uint16_t  P6IE5      :  1;               /*!< P65 port interrupt enable                                             */
      __IO uint16_t  P6IE6      :  1;               /*!< P66 port interrupt enable                                             */
      __IO uint16_t  P6IE7      :  1;               /*!< P67 port interrupt enable                                             */
      __IO uint16_t  P6EDGE0    :  1;               /*!< P60 port interrupt trigger edge select                                */
      __IO uint16_t  P6EDGE1    :  1;               /*!< P61 port interrupt trigger edge select                                */
      __IO uint16_t  P6EDGE2    :  1;               /*!< P62 port interrupt trigger edge select                                */
      __IO uint16_t  P6EDGE3    :  1;               /*!< P63 port interrupt trigger edge select                                */
      __IO uint16_t  P6EDGE4    :  1;               /*!< P64 port interrupt trigger edge select                                */
      __IO uint16_t  P6EDGE5    :  1;               /*!< P65 port interrupt trigger edge select                                */
      __IO uint16_t  P6EDGE6    :  1;               /*!< P66 port interrupt trigger edge select                                */
      __IO uint16_t  P6EDGE7    :  1;               /*!< P67 port interrupt trigger edge select                                */
    } P6INTCTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P6CHATEN;                        /*!< P6 Port Chattering Filter Enable Register                             */
    
    struct {
      __IO uint16_t  P6CHATEN0  :  1;               /*!< P60 chatter less enable                                               */
      __IO uint16_t  P6CHATEN1  :  1;               /*!< P61 chatter less enable                                               */
      __IO uint16_t  P6CHATEN2  :  1;               /*!< P62 chatter less enable                                               */
      __IO uint16_t  P6CHATEN3  :  1;               /*!< P63 chatter less enable                                               */
      __IO uint16_t  P6CHATEN4  :  1;               /*!< P64 chatter less enable                                               */
      __IO uint16_t  P6CHATEN5  :  1;               /*!< P65 chatter less enable                                               */
      __IO uint16_t  P6CHATEN6  :  1;               /*!< P66 chatter less enable                                               */
      __IO uint16_t  P6CHATEN7  :  1;               /*!< P67 chatter less enable                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P6CHATEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P6MODSEL;                        /*!< P6 Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  P6SEL0     :  1;               /*!< P60 port mode select                                                  */
      __IO uint16_t  P6SEL1     :  1;               /*!< P61 port mode select                                                  */
      __IO uint16_t  P6SEL2     :  1;               /*!< P62 port mode select                                                  */
      __IO uint16_t  P6SEL3     :  1;               /*!< P63 port mode select                                                  */
      __IO uint16_t  P6SEL4     :  1;               /*!< P64 port mode select                                                  */
      __IO uint16_t  P6SEL5     :  1;               /*!< P65 port mode select                                                  */
      __IO uint16_t  P6SEL6     :  1;               /*!< P66 port mode select                                                  */
      __IO uint16_t  P6SEL7     :  1;               /*!< P67 port mode select                                                  */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P6MODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P6FNCSEL;                        /*!< P6 Port Function Select Register                                      */
    
    struct {
      __IO uint16_t  P60MUX     :  2;               /*!< P60 port function select                                              */
      __IO uint16_t  P61MUX     :  2;               /*!< P61 port function select                                              */
      __IO uint16_t  P62MUX     :  2;               /*!< P62 port function select                                              */
      __IO uint16_t  P63MUX     :  2;               /*!< P63 port function select                                              */
      __IO uint16_t  P64MUX     :  2;               /*!< P64 port function select                                              */
      __IO uint16_t  P65MUX     :  2;               /*!< P65 port function select                                              */
      __IO uint16_t  P66MUX     :  2;               /*!< P66 port function select                                              */
      __IO uint16_t  P67MUX     :  2;               /*!< P67 port function select                                              */
    } P6FNCSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P7DAT;                           /*!< P7 Port Data Register                                                 */
    
    struct {
      __I  uint16_t  P7IN0      :  1;               /*!< P70 port input data                                                   */
      __I  uint16_t  P7IN1      :  1;               /*!< P71 port input data                                                   */
      __I  uint16_t  P7IN2      :  1;               /*!< P72 port input data                                                   */
      __I  uint16_t  P7IN3      :  1;               /*!< P73 port input data                                                   */
      __I  uint16_t  P7IN4      :  1;               /*!< P74 port input data                                                   */
      __I  uint16_t  P7IN5      :  1;               /*!< P75 port input data                                                   */
      __I  uint16_t  P7IN6      :  1;               /*!< P76 port input data                                                   */
      __I  uint16_t  P7IN7      :  1;               /*!< P77 port input data                                                   */
      __IO uint16_t  P7OUT0     :  1;               /*!< P70 port output data                                                  */
      __IO uint16_t  P7OUT1     :  1;               /*!< P71 port output data                                                  */
      __IO uint16_t  P7OUT2     :  1;               /*!< P72 port output data                                                  */
      __IO uint16_t  P7OUT3     :  1;               /*!< P73 port output data                                                  */
      __IO uint16_t  P7OUT4     :  1;               /*!< P74 port output data                                                  */
      __IO uint16_t  P7OUT5     :  1;               /*!< P75 port output data                                                  */
      __IO uint16_t  P7OUT6     :  1;               /*!< P76 port output data                                                  */
      __IO uint16_t  P7OUT7     :  1;               /*!< P77 port output data                                                  */
    } P7DAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P7IOEN;                          /*!< P7 Port Enable Register                                               */
    
    struct {
      __IO uint16_t  P7OEN0     :  1;               /*!< P70 port output enable control                                        */
      __IO uint16_t  P7OEN1     :  1;               /*!< P71 port output enable control                                        */
      __IO uint16_t  P7OEN2     :  1;               /*!< P72 port output enable control                                        */
      __IO uint16_t  P7OEN3     :  1;               /*!< P73 port output enable control                                        */
      __IO uint16_t  P7OEN4     :  1;               /*!< P74 port output enable control                                        */
      __IO uint16_t  P7OEN5     :  1;               /*!< P75 port output enable control                                        */
      __IO uint16_t  P7OEN6     :  1;               /*!< P76 port output enable control                                        */
      __IO uint16_t  P7OEN7     :  1;               /*!< P77 port output enable control                                        */
      __IO uint16_t  P7IEN0     :  1;               /*!< P70 port input enable control                                         */
      __IO uint16_t  P7IEN1     :  1;               /*!< P71 port input enable control                                         */
      __IO uint16_t  P7IEN2     :  1;               /*!< P72 port input enable control                                         */
      __IO uint16_t  P7IEN3     :  1;               /*!< P73 port input enable control                                         */
      __IO uint16_t  P7IEN4     :  1;               /*!< P74 port input enable control                                         */
      __IO uint16_t  P7IEN5     :  1;               /*!< P75 port input enable control                                         */
      __IO uint16_t  P7IEN6     :  1;               /*!< P76 port input enable control                                         */
      __IO uint16_t  P7IEN7     :  1;               /*!< P77 port input enable control                                         */
    } P7IOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P7RCTL;                          /*!< P7 Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  P7REN0     :  1;               /*!< P70 port input resistor enable                                        */
      __IO uint16_t  P7REN1     :  1;               /*!< P71 port input resistor enable                                        */
      __IO uint16_t  P7REN2     :  1;               /*!< P72 port input resistor enable                                        */
      __IO uint16_t  P7REN3     :  1;               /*!< P73 port input resistor enable                                        */
      __IO uint16_t  P7REN4     :  1;               /*!< P74 port input resistor enable                                        */
      __IO uint16_t  P7REN5     :  1;               /*!< P75 port input resistor enable                                        */
      __IO uint16_t  P7REN6     :  1;               /*!< P76 port input resistor enable                                        */
      __IO uint16_t  P7REN7     :  1;               /*!< P77 port input resistor enable                                        */
      __IO uint16_t  P7PDPU0    :  1;               /*!< P70 port input resistor select                                        */
      __IO uint16_t  P7PDPU1    :  1;               /*!< P71 port input resistor select                                        */
      __IO uint16_t  P7PDPU2    :  1;               /*!< P72 port input resistor select                                        */
      __IO uint16_t  P7PDPU3    :  1;               /*!< P73 port input resistor select                                        */
      __IO uint16_t  P7PDPU4    :  1;               /*!< P74 port input resistor select                                        */
      __IO uint16_t  P7PDPU5    :  1;               /*!< P75 port input resistor select                                        */
      __IO uint16_t  P7PDPU6    :  1;               /*!< P76 port input resistor select                                        */
      __IO uint16_t  P7PDPU7    :  1;               /*!< P77 port input resistor select                                        */
    } P7RCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P7INTF;                          /*!< P7 Port Interrupt Flag Register                                       */
    
    struct {
      __IO uint16_t  P7IF0      :  1;               /*!< P70 port interrupt flag                                               */
      __IO uint16_t  P7IF1      :  1;               /*!< P71 port interrupt flag                                               */
      __IO uint16_t  P7IF2      :  1;               /*!< P72 port interrupt flag                                               */
      __IO uint16_t  P7IF3      :  1;               /*!< P73 port interrupt flag                                               */
      __IO uint16_t  P7IF4      :  1;               /*!< P74 port interrupt flag                                               */
      __IO uint16_t  P7IF5      :  1;               /*!< P75 port interrupt flag                                               */
      __IO uint16_t  P7IF6      :  1;               /*!< P76 port interrupt flag                                               */
      __IO uint16_t  P7IF7      :  1;               /*!< P77 port interrupt flag                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P7INTF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P7INTCTL;                        /*!< P7 Port Interrupt Control Register                                    */
    
    struct {
      __IO uint16_t  P7IE0      :  1;               /*!< P70 port interrupt enable                                             */
      __IO uint16_t  P7IE1      :  1;               /*!< P71 port interrupt enable                                             */
      __IO uint16_t  P7IE2      :  1;               /*!< P72 port interrupt enable                                             */
      __IO uint16_t  P7IE3      :  1;               /*!< P73 port interrupt enable                                             */
      __IO uint16_t  P7IE4      :  1;               /*!< P74 port interrupt enable                                             */
      __IO uint16_t  P7IE5      :  1;               /*!< P75 port interrupt enable                                             */
      __IO uint16_t  P7IE6      :  1;               /*!< P76 port interrupt enable                                             */
      __IO uint16_t  P7IE7      :  1;               /*!< P77 port interrupt enable                                             */
      __IO uint16_t  P7EDGE0    :  1;               /*!< P70 port interrupt trigger edge select                                */
      __IO uint16_t  P7EDGE1    :  1;               /*!< P71 port interrupt trigger edge select                                */
      __IO uint16_t  P7EDGE2    :  1;               /*!< P72 port interrupt trigger edge select                                */
      __IO uint16_t  P7EDGE3    :  1;               /*!< P73 port interrupt trigger edge select                                */
      __IO uint16_t  P7EDGE4    :  1;               /*!< P74 port interrupt trigger edge select                                */
      __IO uint16_t  P7EDGE5    :  1;               /*!< P75 port interrupt trigger edge select                                */
      __IO uint16_t  P7EDGE6    :  1;               /*!< P76 port interrupt trigger edge select                                */
      __IO uint16_t  P7EDGE7    :  1;               /*!< P77 port interrupt trigger edge select                                */
    } P7INTCTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P7CHATEN;                        /*!< P7 Port Chattering Filter Enable Register                             */
    
    struct {
      __IO uint16_t  P7CHATEN0  :  1;               /*!< P70 chatter less enable                                               */
      __IO uint16_t  P7CHATEN1  :  1;               /*!< P71 chatter less enable                                               */
      __IO uint16_t  P7CHATEN2  :  1;               /*!< P72 chatter less enable                                               */
      __IO uint16_t  P7CHATEN3  :  1;               /*!< P73 chatter less enable                                               */
      __IO uint16_t  P7CHATEN4  :  1;               /*!< P74 chatter less enable                                               */
      __IO uint16_t  P7CHATEN5  :  1;               /*!< P75 chatter less enable                                               */
      __IO uint16_t  P7CHATEN6  :  1;               /*!< P76 chatter less enable                                               */
      __IO uint16_t  P7CHATEN7  :  1;               /*!< P77 chatter less enable                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P7CHATEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P7MODSEL;                        /*!< P7 Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  P7SEL0     :  1;               /*!< P70 port mode select                                                  */
      __IO uint16_t  P7SEL1     :  1;               /*!< P71 port mode select                                                  */
      __IO uint16_t  P7SEL2     :  1;               /*!< P72 port mode select                                                  */
      __IO uint16_t  P7SEL3     :  1;               /*!< P73 port mode select                                                  */
      __IO uint16_t  P7SEL4     :  1;               /*!< P74 port mode select                                                  */
      __IO uint16_t  P7SEL5     :  1;               /*!< P75 port mode select                                                  */
      __IO uint16_t  P7SEL6     :  1;               /*!< P76 port mode select                                                  */
      __IO uint16_t  P7SEL7     :  1;               /*!< P77 port mode select                                                  */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P7MODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P7FNCSEL;                        /*!< P7 Port Function Select Register                                      */
    
    struct {
      __IO uint16_t  P70MUX     :  2;               /*!< P70 port function select                                              */
      __IO uint16_t  P71MUX     :  2;               /*!< P71 port function select                                              */
      __IO uint16_t  P72MUX     :  2;               /*!< P72 port function select                                              */
      __IO uint16_t  P73MUX     :  2;               /*!< P73 port function select                                              */
      __IO uint16_t  P74MUX     :  2;               /*!< P74 port function select                                              */
      __IO uint16_t  P75MUX     :  2;               /*!< P75 port function select                                              */
      __IO uint16_t  P76MUX     :  2;               /*!< P76 port function select                                              */
      __IO uint16_t  P77MUX     :  2;               /*!< P77 port function select                                              */
    } P7FNCSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P8DAT;                           /*!< P8 Port Data Register                                                 */
    
    struct {
      __I  uint16_t  P8IN0      :  1;               /*!< P80 port input data                                                   */
      __I  uint16_t  P8IN1      :  1;               /*!< P81 port input data                                                   */
      __I  uint16_t  P8IN2      :  1;               /*!< P82 port input data                                                   */
      __I  uint16_t  P8IN3      :  1;               /*!< P83 port input data                                                   */
      __I  uint16_t  P8IN4      :  1;               /*!< P84 port input data                                                   */
      __I  uint16_t  P8IN5      :  1;               /*!< P85 port input data                                                   */
      __I  uint16_t  P8IN6      :  1;               /*!< P86 port input data                                                   */
      __I  uint16_t  P8IN7      :  1;               /*!< P87 port input data                                                   */
      __IO uint16_t  P8OUT0     :  1;               /*!< P80 port output data                                                  */
      __IO uint16_t  P8OUT1     :  1;               /*!< P81 port output data                                                  */
      __IO uint16_t  P8OUT2     :  1;               /*!< P82 port output data                                                  */
      __IO uint16_t  P8OUT3     :  1;               /*!< P83 port output data                                                  */
      __IO uint16_t  P8OUT4     :  1;               /*!< P84 port output data                                                  */
      __IO uint16_t  P8OUT5     :  1;               /*!< P85 port output data                                                  */
      __IO uint16_t  P8OUT6     :  1;               /*!< P86 port output data                                                  */
      __IO uint16_t  P8OUT7     :  1;               /*!< P87 port output data                                                  */
    } P8DAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P8IOEN;                          /*!< P8 Port Enable Register                                               */
    
    struct {
      __IO uint16_t  P8OEN0     :  1;               /*!< P80 port output enable control                                        */
      __IO uint16_t  P8OEN1     :  1;               /*!< P81 port output enable control                                        */
      __IO uint16_t  P8OEN2     :  1;               /*!< P82 port output enable control                                        */
      __IO uint16_t  P8OEN3     :  1;               /*!< P83 port output enable control                                        */
      __IO uint16_t  P8OEN4     :  1;               /*!< P84 port output enable control                                        */
      __IO uint16_t  P8OEN5     :  1;               /*!< P85 port output enable control                                        */
      __IO uint16_t  P8OEN6     :  1;               /*!< P86 port output enable control                                        */
      __IO uint16_t  P8OEN7     :  1;               /*!< P87 port output enable control                                        */
      __IO uint16_t  P8IEN0     :  1;               /*!< P80 port input enable control                                         */
      __IO uint16_t  P8IEN1     :  1;               /*!< P81 port input enable control                                         */
      __IO uint16_t  P8IEN2     :  1;               /*!< P82 port input enable control                                         */
      __IO uint16_t  P8IEN3     :  1;               /*!< P83 port input enable control                                         */
      __IO uint16_t  P8IEN4     :  1;               /*!< P84 port input enable control                                         */
      __IO uint16_t  P8IEN5     :  1;               /*!< P85 port input enable control                                         */
      __IO uint16_t  P8IEN6     :  1;               /*!< P86 port input enable control                                         */
      __IO uint16_t  P8IEN7     :  1;               /*!< P87 port input enable control                                         */
    } P8IOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P8RCTL;                          /*!< P8 Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  P8REN0     :  1;               /*!< P80 port input resistor enable                                        */
      __IO uint16_t  P8REN1     :  1;               /*!< P81 port input resistor enable                                        */
      __IO uint16_t  P8REN2     :  1;               /*!< P82 port input resistor enable                                        */
      __IO uint16_t  P8REN3     :  1;               /*!< P83 port input resistor enable                                        */
      __IO uint16_t  P8REN4     :  1;               /*!< P84 port input resistor enable                                        */
      __IO uint16_t  P8REN5     :  1;               /*!< P85 port input resistor enable                                        */
      __IO uint16_t  P8REN6     :  1;               /*!< P86 port input resistor enable                                        */
      __IO uint16_t  P8REN7     :  1;               /*!< P87 port input resistor enable                                        */
      __IO uint16_t  P8PDPU0    :  1;               /*!< P80 port input resistor select                                        */
      __IO uint16_t  P8PDPU1    :  1;               /*!< P81 port input resistor select                                        */
      __IO uint16_t  P8PDPU2    :  1;               /*!< P82 port input resistor select                                        */
      __IO uint16_t  P8PDPU3    :  1;               /*!< P83 port input resistor select                                        */
      __IO uint16_t  P8PDPU4    :  1;               /*!< P84 port input resistor select                                        */
      __IO uint16_t  P8PDPU5    :  1;               /*!< P85 port input resistor select                                        */
      __IO uint16_t  P8PDPU6    :  1;               /*!< P86 port input resistor select                                        */
      __IO uint16_t  P8PDPU7    :  1;               /*!< P87 port input resistor select                                        */
    } P8RCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P8INTF;                          /*!< P8 Port Interrupt Flag Register                                       */
    
    struct {
      __IO uint16_t  P8IF0      :  1;               /*!< P80 port interrupt flag                                               */
      __IO uint16_t  P8IF1      :  1;               /*!< P81 port interrupt flag                                               */
      __IO uint16_t  P8IF2      :  1;               /*!< P82 port interrupt flag                                               */
      __IO uint16_t  P8IF3      :  1;               /*!< P83 port interrupt flag                                               */
      __IO uint16_t  P8IF4      :  1;               /*!< P84 port interrupt flag                                               */
      __IO uint16_t  P8IF5      :  1;               /*!< P85 port interrupt flag                                               */
      __IO uint16_t  P8IF6      :  1;               /*!< P86 port interrupt flag                                               */
      __IO uint16_t  P8IF7      :  1;               /*!< P87 port interrupt flag                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P8INTF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P8INTCTL;                        /*!< P8 Port Interrupt Control Register                                    */
    
    struct {
      __IO uint16_t  P8IE0      :  1;               /*!< P80 port interrupt enable                                             */
      __IO uint16_t  P8IE1      :  1;               /*!< P81 port interrupt enable                                             */
      __IO uint16_t  P8IE2      :  1;               /*!< P82 port interrupt enable                                             */
      __IO uint16_t  P8IE3      :  1;               /*!< P83 port interrupt enable                                             */
      __IO uint16_t  P8IE4      :  1;               /*!< P84 port interrupt enable                                             */
      __IO uint16_t  P8IE5      :  1;               /*!< P85 port interrupt enable                                             */
      __IO uint16_t  P8IE6      :  1;               /*!< P86 port interrupt enable                                             */
      __IO uint16_t  P8IE7      :  1;               /*!< P87 port interrupt enable                                             */
      __IO uint16_t  P8EDGE0    :  1;               /*!< P80 port interrupt trigger edge select                                */
      __IO uint16_t  P8EDGE1    :  1;               /*!< P81 port interrupt trigger edge select                                */
      __IO uint16_t  P8EDGE2    :  1;               /*!< P82 port interrupt trigger edge select                                */
      __IO uint16_t  P8EDGE3    :  1;               /*!< P83 port interrupt trigger edge select                                */
      __IO uint16_t  P8EDGE4    :  1;               /*!< P84 port interrupt trigger edge select                                */
      __IO uint16_t  P8EDGE5    :  1;               /*!< P85 port interrupt trigger edge select                                */
      __IO uint16_t  P8EDGE6    :  1;               /*!< P86 port interrupt trigger edge select                                */
      __IO uint16_t  P8EDGE7    :  1;               /*!< P87 port interrupt trigger edge select                                */
    } P8INTCTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P8CHATEN;                        /*!< P8 Port Chattering Filter Enable Register                             */
    
    struct {
      __IO uint16_t  P8CHATEN0  :  1;               /*!< P80 chatter less enable                                               */
      __IO uint16_t  P8CHATEN1  :  1;               /*!< P81 chatter less enable                                               */
      __IO uint16_t  P8CHATEN2  :  1;               /*!< P82 chatter less enable                                               */
      __IO uint16_t  P8CHATEN3  :  1;               /*!< P83 chatter less enable                                               */
      __IO uint16_t  P8CHATEN4  :  1;               /*!< P84 chatter less enable                                               */
      __IO uint16_t  P8CHATEN5  :  1;               /*!< P85 chatter less enable                                               */
      __IO uint16_t  P8CHATEN6  :  1;               /*!< P86 chatter less enable                                               */
      __IO uint16_t  P8CHATEN7  :  1;               /*!< P87 chatter less enable                                               */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P8CHATEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P8MODSEL;                        /*!< P8 Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  P8SEL0     :  1;               /*!< P80 port mode select                                                  */
      __IO uint16_t  P8SEL1     :  1;               /*!< P81 port mode select                                                  */
      __IO uint16_t  P8SEL2     :  1;               /*!< P82 port mode select                                                  */
      __IO uint16_t  P8SEL3     :  1;               /*!< P83 port mode select                                                  */
      __IO uint16_t  P8SEL4     :  1;               /*!< P84 port mode select                                                  */
      __IO uint16_t  P8SEL5     :  1;               /*!< P85 port mode select                                                  */
      __IO uint16_t  P8SEL6     :  1;               /*!< P86 port mode select                                                  */
      __IO uint16_t  P8SEL7     :  1;               /*!< P87 port mode select                                                  */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } P8MODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P8FNCSEL;                        /*!< P8 Port Function Select Register                                      */
    
    struct {
      __IO uint16_t  P80MUX     :  2;               /*!< P80 port function select                                              */
      __IO uint16_t  P81MUX     :  2;               /*!< P81 port function select                                              */
      __IO uint16_t  P82MUX     :  2;               /*!< P82 port function select                                              */
      __IO uint16_t  P83MUX     :  2;               /*!< P83 port function select                                              */
      __IO uint16_t  P84MUX     :  2;               /*!< P84 port function select                                              */
      __IO uint16_t  P85MUX     :  2;               /*!< P85 port function select                                              */
      __IO uint16_t  P86MUX     :  2;               /*!< P86 port function select                                              */
      __IO uint16_t  P87MUX     :  2;               /*!< P87 port function select                                              */
    } P8FNCSEL_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[16];
  
  union {
    __IO uint16_t  PDDAT;                           /*!< PD Port Data Register                                                 */
    
    struct {
      __I  uint16_t  PDIN0      :  1;               /*!< PD0 port input data                                                   */
      __I  uint16_t  PDIN1      :  1;               /*!< PD1 port input data                                                   */
      __I  uint16_t  PDIN2      :  1;               /*!< PD2 port input data                                                   */
      __I  uint16_t  PDIN3      :  1;               /*!< PD3 port input data                                                   */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __IO uint16_t  PDOUT0     :  1;               /*!< PD0 port output data                                                  */
      __IO uint16_t  PDOUT1     :  1;               /*!< PD1 port output data                                                  */
      __IO uint16_t  PDOUT2     :  1;               /*!< PD2 port output data                                                  */
      __IO uint16_t  PDOUT3     :  1;               /*!< PD3 port output data                                                  */
      __I  uint16_t  RESERVED_15_12:  4;            /*!< Reserved                                                              */
    } PDDAT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  PDIOEN;                          /*!< PD Port Enable Register                                               */
    
    struct {
      __IO uint16_t  PDOEN0     :  1;               /*!< PD0 port output enable control                                        */
      __IO uint16_t  PDOEN1     :  1;               /*!< PD1 port output enable control                                        */
      __IO uint16_t  PDOEN2     :  1;               /*!< PD2 port output enable control                                        */
      __IO uint16_t  PDOEN3     :  1;               /*!< PD3 port output enable control                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __IO uint16_t  PDIEN0     :  1;               /*!< PD0 port input enable control                                         */
      __IO uint16_t  PDIEN1     :  1;               /*!< PD1 port input enable control                                         */
      __IO uint16_t  PDIEN2     :  1;               /*!< PD2 port input enable control                                         */
      __IO uint16_t  PDIEN3     :  1;               /*!< PD3 port input enable control                                         */
      __I  uint16_t  RESERVED_15_12:  4;            /*!< Reserved                                                              */
    } PDIOEN_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  PDRCTL;                          /*!< PD Port Pull-up/down Control Register                                 */
    
    struct {
      __IO uint16_t  PDREN0     :  1;               /*!< PD0 port input resistor enable                                        */
      __IO uint16_t  PDREN1     :  1;               /*!< PD1 port input resistor enable                                        */
      __IO uint16_t  PDREN2     :  1;               /*!< PD2 port input resistor enable                                        */
      __IO uint16_t  PDREN3     :  1;               /*!< PD3 port input resistor enable                                        */
      __I  uint16_t  RESERVED_7_4:  4;              /*!< Reserved                                                              */
      __IO uint16_t  PDPDPU0    :  1;               /*!< PD0 port input resistor select                                        */
      __IO uint16_t  PDPDPU1    :  1;               /*!< PD1 port input resistor select                                        */
      __IO uint16_t  PDPDPU2    :  1;               /*!< PD2 port input resistor select                                        */
      __IO uint16_t  PDPDPU3    :  1;               /*!< PD3 port input resistor select                                        */
      __I  uint16_t  RESERVED_15_12:  4;            /*!< Reserved                                                              */
    } PDRCTL_b;                                     /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED1[3];
  
  union {
    __IO uint16_t  PDMODSEL;                        /*!< PD Port Mode Select Register                                          */
    
    struct {
      __IO uint16_t  PDSEL0     :  1;               /*!< PD0 port mode select                                                  */
      __IO uint16_t  PDSEL1     :  1;               /*!< PD1 port mode select                                                  */
      __IO uint16_t  PDSEL2     :  1;               /*!< PD2 port mode select                                                  */
      __IO uint16_t  PDSEL3     :  1;               /*!< PD3 port mode select                                                  */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } PDMODSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  PDFNCSEL;                        /*!< PD Port Function Select Register                                      */
    
    struct {
      __I  uint16_t  PD0MUX     :  2;               /*!< PD0 port function select                                              */
      __I  uint16_t  PD1MUX     :  2;               /*!< PD1 port function select                                              */
      __IO uint16_t  PD2MUX     :  2;               /*!< PD2 port function select                                              */
      __IO uint16_t  PD3MUX     :  2;               /*!< PD3 port function select                                              */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } PDFNCSEL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CLK;                             /*!< P Port Clock Control Register                                         */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< Clock source select for chattering filter clock (can be write
                                                         protected)                                                            */
      __IO uint16_t  KRSTCFG    :  2;               /*!< Key-entry reset configuration (can be write protected)                */
      __IO uint16_t  CLKDIV     :  4;               /*!< Clock division select for chattering filter clock (can be write
                                                         protected)                                                            */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode (can be write protected)                   */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  INTFGRP;                         /*!< P Port Interrupt Flag Group Register                                  */
    
    struct {
      __I  uint16_t  P0INT      :  1;               /*!< P0 port group interrupt flag                                          */
      __I  uint16_t  P1INT      :  1;               /*!< P1 port group interrupt flag                                          */
      __I  uint16_t  P2INT      :  1;               /*!< P2 port group interrupt flag                                          */
      __I  uint16_t  P3INT      :  1;               /*!< P3 port group interrupt flag                                          */
      __I  uint16_t  P4INT      :  1;               /*!< P4 port group interrupt flag                                          */
      __I  uint16_t  P5INT      :  1;               /*!< P5 port group interrupt flag                                          */
      __I  uint16_t  P6INT      :  1;               /*!< P6 port group interrupt flag                                          */
      __I  uint16_t  P7INT      :  1;               /*!< P7 port group interrupt flag                                          */
      __I  uint16_t  P8INT      :  1;               /*!< P8 port group interrupt flag                                          */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } INTFGRP_b;                                    /*!< BitSize                                                               */
  };
} PPORT_Type;


/* ================================================================================ */
/* ================                      PWGA                      ================ */
/* ================================================================================ */


/**
  * @brief Operation mode and voltage control (PWGA)
  */

typedef struct {                                    /*!< PWGA Structure                                                        */
  
  union {
    __IO uint16_t  CTL;                             /*!< Control Register                                                      */
    
    struct {
      __IO uint16_t  REGMODE    :  2;               /*!< Regulator operation mode select (can be write protected)              */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  REGSEL     :  1;               /*!< Regulator voltage select (can be write protected)                     */
      __IO uint16_t  REGDIS     :  1;               /*!< Regulator discharge enable (can be write protected)                   */
      __I  uint16_t  RESERVED_15_6: 10;             /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
} PWGA_Type;


/* ================================================================================ */
/* ================                     QSPI_0                     ================ */
/* ================================================================================ */


/**
  * @brief Quad Synchronous Serial Interface channel 0 (QSPI_0)
  */

typedef struct {                                    /*!< QSPI_0 Structure                                                      */
  
  union {
    __IO uint16_t  MOD;                             /*!< QSPI Mode Register                                                    */
    
    struct {
      __IO uint16_t  MST        :  1;               /*!< This bit sets the QSPI operating mode                                 */
      __IO uint16_t  CPOL       :  1;               /*!< This bit sets the QSPI clock polarity                                 */
      __IO uint16_t  CPHA       :  1;               /*!< This bit sets the QSPI clock phase                                    */
      __IO uint16_t  LSBFST     :  1;               /*!< This bit configures the data format                                   */
      __IO uint16_t  NOCLKDIV   :  1;               /*!< This bit selects QSPICLKn                                             */
      __IO uint16_t  PUEN       :  1;               /*!< Enable/Disable pull-up/down                                           */
      __IO uint16_t  TMOD       :  2;               /*!< These bits selects the transfer mode                                  */
      __IO uint16_t  CHLN       :  4;               /*!< These bits set the number of clocks for data transfer (setting
                                                         0x0 is RESERVED)                                                      */
      __IO uint16_t  CHDL       :  4;               /*!< These bits determines the number of clocks the serial output
                                                         data lines will be driven                                             */
    } MOD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< QSPI Control Register                                                 */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< This bit enables the QSPI operations                                  */
      __IO uint16_t  SFTRST     :  1;               /*!< This bit issues software reset to QSPI                                */
      __IO uint16_t  MSTSSO     :  1;               /*!< This bit controls the slave select output pin in master mode
                                                         only                                                                  */
      __IO uint16_t  DIR        :  1;               /*!< This bit set the transfer direction of SDIO                           */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TXD;                             /*!< Transmit Data Register                                                */
    
    struct {
      __IO uint16_t  TXD        : 16;               /*!< Transmit data                                                         */
    } TXD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  RXD;                             /*!< Receive Data Register                                                 */
    
    struct {
      __I  uint16_t  RXD        : 16;               /*!< Receive data                                                          */
    } RXD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Interrupt Flag Register                                               */
    
    struct {
      __I  uint16_t  TBEIF      :  1;               /*!< Transmit buffer empty interrupt flag (cleared by reading QSPI_0TXD
                                                         register)                                                             */
      __I  uint16_t  RBFIF      :  1;               /*!< Receive buffer full interrupt flag (cleared by reading QSPI_0RXD
                                                         register)                                                             */
      __IO uint16_t  TENDIF     :  1;               /*!< End-of-transmission interrupt flag                                    */
      __IO uint16_t  OEIF       :  1;               /*!< Overrun error interrupt flag                                          */
      __I  uint16_t  RESERVED_5_4:  2;              /*!< Reserved                                                              */
      __I  uint16_t  MMABSY     :  1;               /*!< This bit indicates the QSPI memory mapped access operating status     */
      __I  uint16_t  BSY        :  1;               /*!< This bit indicates the QSPI operating status                          */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< QSPI Interrupt Enable Register                                        */
    
    struct {
      __IO uint16_t  TBEIE      :  1;               /*!< Transmit buffer empty interrupt enable                                */
      __IO uint16_t  RBFIE      :  1;               /*!< Receive buffer full interrupt enable                                  */
      __IO uint16_t  TENDIE     :  1;               /*!< End-of-transmission interrupt enable                                  */
      __IO uint16_t  OEIE       :  1;               /*!< Overrun error interrupt enable                                        */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TBEDMAEN;                        /*!< Transmit Buffer Empty DMA Enable Register                             */
    
    struct {
      __IO uint16_t  TBEDMAEN0  :  1;               /*!< Transmit Buffer Empty DMA ch0 request enable                          */
      __IO uint16_t  TBEDMAEN1  :  1;               /*!< Transmit Buffer Empty DMA ch1 request enable                          */
      __IO uint16_t  TBEDMAEN2  :  1;               /*!< Transmit Buffer Empty DMA ch2 request enable                          */
      __IO uint16_t  TBEDMAEN3  :  1;               /*!< Transmit Buffer Empty DMA ch3 request enable                          */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } TBEDMAEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  RBFDMAEN;                        /*!< RBFDMAEN Receive Buffer Full DMA Request Enable Register              */
    
    struct {
      __IO uint16_t  RBFDMAEN0  :  1;               /*!< RBF DMA ch0 request enable                                            */
      __IO uint16_t  RBFDMAEN1  :  1;               /*!< RBF DMA ch1 request enable                                            */
      __IO uint16_t  RBFDMAEN2  :  1;               /*!< RBF DMA ch2 request enable                                            */
      __IO uint16_t  RBFDMAEN3  :  1;               /*!< RBF DMA ch3 request enable                                            */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } RBFDMAEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  FRLDMAEN;                        /*!< FRLDMAEN QSPI Fifo Read Level Not Empty DMA Request Enable Register
                                                                                                                               */
    
    struct {
      __IO uint16_t  FRLDMAEN0  :  1;               /*!< FRL DMA ch0 request enable                                            */
      __IO uint16_t  FRLDMAEN1  :  1;               /*!< FRL DMA ch1 request enable                                            */
      __IO uint16_t  FRLDMAEN2  :  1;               /*!< FRL DMA ch2 request enable                                            */
      __IO uint16_t  FRLDMAEN3  :  1;               /*!< FRL DMA ch3 request enable                                            */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } FRLDMAEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MMACFG1;                         /*!< QSPI Memory Mapped Access Configuration Register 1                    */
    
    struct {
      __IO uint16_t  TCSH       :  4;               /*!< These bits specify the number of clocks for slave select high
                                                         between non-contiguous address flash memory read                      */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } MMACFG1_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  RMADRH;                          /*!< QSPI Remapping Start Address High Register                            */
    
    struct {
      __I  uint16_t  RESERVED_3_0:  4;              /*!< Reserved                                                              */
      __IO uint16_t  RMADR      : 12;               /*!< The most significant bits of register bits will be appended
                                                         to the input offset address from the system AHB-Lite bus to
                                                          this QSPI module                                                     */
    } RMADRH_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MMACFG2;                         /*!< QSPI Memory Mapped Access Configuration Register 2                    */
    
    struct {
      __IO uint16_t  MMAEN      :  1;               /*!< This bit enables host memory mapped access to the external flash      */
      __IO uint16_t  ADRCYC     :  1;               /*!< This bit selects 24-bit or 32-bit address mode used during host
                                                         memory mapped access to the external flash                            */
      __IO uint16_t  ADRTMOD    :  2;               /*!< These bits selects the transfer mode for address cycle during
                                                         host memory mapped access to the external flash                       */
      __IO uint16_t  DUMTMOD    :  2;               /*!< These bits selects the transfer mode for dummy cycle during
                                                         host memory mapped access to the external flash                       */
      __IO uint16_t  DATTMOD    :  2;               /*!< These bits specify the number of clocks for slave select high
                                                         between non-contiguous address flash memory read                      */
      __IO uint16_t  DUMLN      :  4;               /*!< These bits set the number of clocks for dummy cycle during host
                                                         memory mapped access to the external flash                            */
      __IO uint16_t  DUMDL      :  4;               /*!< These bits determines the number of clocks the serial output
                                                         data lines will be driven for dummy cycle                             */
    } MMACFG2_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MB;                              /*!< QSPI Mode Byte Register                                               */
    
    struct {
      __IO uint16_t  XIPEXT     :  8;               /*!< These bit sets the mode byte for exit of XIP access during host
                                                         memory mapped access to the external flash                            */
      __IO uint16_t  XIPACT     :  8;               /*!< These bit sets the mode byte for activation of XIP access during
                                                         host memory mapped access to the external flash                       */
    } MB_b;                                         /*!< BitSize                                                               */
  };
} QSPI_0_Type;


/* ================================================================================ */
/* ================                      REMC3                     ================ */
/* ================================================================================ */


/**
  * @brief IR Remote Controller (REMC3)
  */

typedef struct {                                    /*!< REMC3 Structure                                                       */
  
  union {
    __IO uint16_t  CLK;                             /*!< Clock Control Register                                                */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< Clock source select                                                   */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  CLKDIV     :  4;               /*!< Clock division select                                                 */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode                                            */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DBCTL;                           /*!< Data Bit Counter Control Register                                     */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< REMC3 enable                                                          */
      __O  uint16_t  REMCRST    :  1;               /*!< Software Reset                                                        */
      __IO uint16_t  TRMD       :  1;               /*!< Data bit counter mode                                                 */
      __IO uint16_t  BUFEN      :  1;               /*!< Buffer enable                                                         */
      __IO uint16_t  REMOINV    :  1;               /*!< REMO invert                                                           */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __IO uint16_t  PRUN       :  1;               /*!< Data bit counter run/stop control (Cleared by writing a 1 to
                                                         this bit or writing to the REMCRST register bit)                      */
      __IO uint16_t  PRESET     :  1;               /*!< Data bit counter reset (Cleared by writing a 1 to this bit or
                                                         writing to the REMCRST register bit)                                  */
      __I  uint16_t  RESERVED_15_10:  6;            /*!< Reserved                                                              */
    } DBCTL_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  DBCNT;                           /*!< Data Bit Counter Register (Cleared by writing to the REMCRST
                                                         register bit)                                                         */
    
    struct {
      __I  uint16_t  DBCNT      : 16;               /*!< The current value of the 16-bit counter for data signal generation
                                                         can be read out through these bits.                                   */
    } DBCNT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  APLEN;                           /*!< Data bit Active Pulse Length Register                                 */
    
    struct {
      __IO uint16_t  APLEN      : 16;               /*!< These bits set the active pulse length of the data signal(high
                                                         period when the REMC3DBCTL.REMOINVbit = 0 or low period when
                                                          the REMC3DBCTL.REMOINV bit = 1).                                     */
    } APLEN_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DBLEN;                           /*!< Data Bit Length Register                                              */
    
    struct {
      __IO uint16_t  DBLEN      : 16;               /*!< These bits set the data length of the data signal (length of
                                                         one cycle).                                                           */
    } DBLEN_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Status / Interrupt Flag Register                                      */
    
    struct {
      __IO uint16_t  APIF       :  1;               /*!< Data bit length first part interrupt flag (Cleared by writing
                                                         to the REMCRST register bit or Cleared by writing 1)                  */
      __IO uint16_t  DBIF       :  1;               /*!< Data bit length interrupt flag                                        */
      __I  uint16_t  RESERVED_7_2:  6;              /*!< Reserved                                                              */
      __I  uint16_t  APLENBSY   :  1;               /*!< APLEN buffer busy                                                     */
      __I  uint16_t  DBLENBSY   :  1;               /*!< DBLEN buffer busy                                                     */
      __I  uint16_t  DBCNTRUN   :  1;               /*!< Data bit counter running status (Cleared by writing to the REMCRST)   */
      __I  uint16_t  RESERVED_15_11:  5;            /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  APIE       :  1;               /*!< Data bit length first part interrupt enable                           */
      __IO uint16_t  DBIE       :  1;               /*!< Data bit length interrupt enable                                      */
      __I  uint16_t  RESERVED_15_2: 14;             /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED;
  
  union {
    __IO uint16_t  CARR;                            /*!< Carrier Waveform Register                                             */
    
    struct {
      __IO uint16_t  CRPER      :  8;               /*!< Carrier period                                                        */
      __IO uint16_t  CRDTY      :  8;               /*!< Carrier duty                                                          */
    } CARR_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CCTL;                            /*!< Carrier Modulation Control Register                                   */
    
    struct {
      __IO uint16_t  CARREN     :  1;               /*!< Carrier modulation enable                                             */
      __I  uint16_t  RESERVED_7_1:  7;              /*!< Reserved                                                              */
      __IO uint16_t  OUTINVEN   :  1;               /*!< Output inversion enable                                               */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CCTL_b;                                       /*!< BitSize                                                               */
  };
} REMC3_Type;


/* ================================================================================ */
/* ================                      RFC_0                     ================ */
/* ================================================================================ */


/**
  * @brief RFC_0 (RFC_0)
  */

typedef struct {                                    /*!< RFC_0 Structure                                                       */
  
  union {
    __IO uint16_t  CLK;                             /*!< Clock Control Register                                                */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< TC clock source select (can be write protected)                       */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  CLKDIV     :  2;               /*!< Clock division select (can be write protected)                        */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode                                            */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< RFC Control Register                                                  */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< RFC Module Enable                                                     */
      __I  uint16_t  RESERVED_3_1:  3;              /*!< Reserved bits                                                         */
      __IO uint16_t  SMODE      :  1;               /*!< Sensor oscillation MODE select                                        */
      __I  uint16_t  RESERVED_5_5:  1;              /*!< Reserved bits                                                         */
      __IO uint16_t  EVTEN      :  1;               /*!< Event counter mode enable                                             */
      __IO uint16_t  CONEN      :  1;               /*!< Continuous oscillation enable                                         */
      __IO uint16_t  RFCLKMD    :  1;               /*!< RFCLKO output mode select                                             */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved bits                                                         */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TRG;                             /*!< Oscillation Trigger Register                                          */
    
    struct {
      __IO uint16_t  SREF       :  1;               /*!< Reference DC Oscillation Start Trigger                                */
      __IO uint16_t  SSENA      :  1;               /*!< Sensor A oscillation start trigger                                    */
      __IO uint16_t  SSENB      :  1;               /*!< Sensor B oscillation start trigger                                    */
      __I  uint16_t  RESERVED_15_3: 13;             /*!< Reserved bits                                                         */
    } TRG_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MCL;                             /*!< Measurement Counter Low Register                                      */
    
    struct {
      __IO uint16_t  MC         : 16;               /*!< MC[15:0] Measurement Counter data                                     */
    } MCL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MCH;                             /*!< Measurement Counter High Register                                     */
    
    struct {
      __IO uint16_t  MC         :  8;               /*!< MC[23:16] Measurement Counter data                                    */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved bits                                                         */
    } MCH_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TCL;                             /*!< Time Base Counter Low Register                                        */
    
    struct {
      __IO uint16_t  TC         : 16;               /*!< TC[15:0] Time Base Counter data                                       */
    } TCL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TCH;                             /*!< Time Base Counter High Register                                       */
    
    struct {
      __IO uint16_t  TC         :  8;               /*!< TC[23:16] Time Base Counter data                                      */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved bits                                                         */
    } TCH_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Interrupt Flag Register                                               */
    
    struct {
      __IO uint16_t  EREFIF     :  1;               /*!< Reference oscillation End flag Interrupt Flag                         */
      __IO uint16_t  ESENAIF    :  1;               /*!< Sensor A oscillation End Interrupt Flag                               */
      __IO uint16_t  ESENBIF    :  1;               /*!< Sensor B oscillation End Interrupt Flag                               */
      __IO uint16_t  OVMCIF     :  1;               /*!< Measurement Counter Overflow error Interrupt Flag                     */
      __IO uint16_t  OVTCIF     :  1;               /*!< Time base Counter Overflow error Interrupt Flag                       */
      __I  uint16_t  RESERVED_15_5: 11;             /*!< Reserved bits                                                         */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  EREFIE     :  1;               /*!< Reference oscillation End flag Interrupt enable                       */
      __IO uint16_t  ESENAIE    :  1;               /*!< Sensor A oscillation End Interrupt enable                             */
      __IO uint16_t  ESENBIE    :  1;               /*!< Sensor B oscillation End Interrupt enable                             */
      __IO uint16_t  OVMCIE     :  1;               /*!< Measurement Counter Overflow error Interrupt enable                   */
      __IO uint16_t  OVTCIE     :  1;               /*!< Time base Counter Overflow error Interrupt enable                     */
      __I  uint16_t  RESERVED_15_5: 11;             /*!< Reserved bits                                                         */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
} RFC_0_Type;


/* ================================================================================ */
/* ================                      RTCA                      ================ */
/* ================================================================================ */


/**
  * @brief Real-time clock control (RTCA)
  */

typedef struct {                                    /*!< RTCA Structure                                                        */
  
  union {
    __IO uint8_t   CTLL;                            /*!< Control Register low byte                                             */
    
    struct {
      __IO uint8_t   RTCRUN     :  1;               /*!< Counter run/stop control                                              */
      __IO uint8_t   RTCRST     :  1;               /*!< Software reset                                                        */
      __IO uint8_t   RTCADJ     :  1;               /*!< 30 second adjustment                                                  */
      __I  uint8_t   RESERVED_3 :  1;               /*!< Reserved                                                              */
      __IO uint8_t   RTC24H     :  1;               /*!< 24H/12H Mode Select                                                   */
      __IO uint8_t   RTCHLD     :  1;               /*!< Counter Hold control                                                  */
      __I  uint8_t   RTCBSY     :  1;               /*!< Counter Busy flag                                                     */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved                                                              */
    } CTLL_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   CTLH;                            /*!< Control Register high byte                                            */
    
    struct {
      __O  uint8_t   RTCTRM     :  7;               /*!< Theoretical regulation trimming value (2's complement value
                                                         in 1/256 second)                                                      */
      __I  uint8_t   RTCTRMBSY  :  1;               /*!< Trimming busy flag                                                    */
    } CTLH_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  ALM1;                            /*!< Second Alarm Register                                                 */
    
    struct {
      __I  uint16_t  RESERVED_7_0:  8;              /*!< Reserved                                                              */
      __IO uint16_t  RTCSLA     :  4;               /*!< 1 second counter for Alarm (in BCD code)                              */
      __IO uint16_t  RTCSHA     :  3;               /*!< 10 second counter for Alarm (in BCD code)                             */
      __I  uint16_t  RESERVED_15:  1;               /*!< Reserved                                                              */
    } ALM1_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  ALM2;                            /*!< Hour/Minute Alarm Register                                            */
    
    struct {
      __IO uint16_t  RTCMILA    :  4;               /*!< 1 minute counter for Alarm (in BCD code)                              */
      __IO uint16_t  RTCMIHA    :  3;               /*!< 10 minute counter for Alarm (in BCD code)                             */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  RTCHLA     :  4;               /*!< 1 hour counter for Alarm (in BCD code)                                */
      __IO uint16_t  RTCHHA     :  2;               /*!< 10 hour counter for Alarm (in BCD code)                               */
      __IO uint16_t  RTCAPA     :  1;               /*!< AM/PM indicator for Alarm                                             */
      __I  uint16_t  RESERVED_15:  1;               /*!< Reserved                                                              */
    } ALM2_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  SWCTL;                           /*!< Stopwatch Control Register                                            */
    
    struct {
      __IO uint16_t  SWRUN      :  1;               /*!< Stopwatch counter run/stop control                                    */
      __I  uint16_t  RESERVED_3_1:  3;              /*!< Reserved                                                              */
      __O  uint16_t  SWRST      :  1;               /*!< Stopwatch counter reset                                               */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __I  uint16_t  BCD100     :  4;               /*!< 1/100 sec BCD counter value                                           */
      __I  uint16_t  BCD10      :  4;               /*!< 1/10 sec BCD counter value                                            */
    } SWCTL_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  SEC;                             /*!< Second/1Hz Register                                                   */
    
    struct {
      __I  uint16_t  RTC128HZ   :  1;               /*!< 128 Hz (Cleared by setting the RRTRST bit to 1).                      */
      __I  uint16_t  RTC64HZ    :  1;               /*!< 64 Hz (Cleared by setting the RRTRST bit to 1).                       */
      __I  uint16_t  RTC32HZ    :  1;               /*!< 32 Hz (Cleared by setting the RRTRST bit to 1).                       */
      __I  uint16_t  RTC16HZ    :  1;               /*!< 16 Hz (Cleared by setting the RRTRST bit to 1).                       */
      __I  uint16_t  RTC8HZ     :  1;               /*!< 8 Hz (Cleared by setting the RRTRST bit to 1).                        */
      __I  uint16_t  RTC4HZ     :  1;               /*!< 4 Hz (Cleared by setting the RRTRST bit to 1).                        */
      __I  uint16_t  RTC2HZ     :  1;               /*!< 2 Hz (Cleared by setting the RRTRST bit to 1).                        */
      __I  uint16_t  RTC1HZ     :  1;               /*!< 1 Hz (Cleared by setting the RRTRST bit to 1).                        */
      __IO uint16_t  RTCSL      :  4;               /*!< 1 second counter (in BCD code)                                        */
      __IO uint16_t  RTCSH      :  3;               /*!< 10 second counter (in BCD code)                                       */
      __I  uint16_t  RESERVED_15:  1;               /*!< Reserved                                                              */
    } SEC_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  HUR;                             /*!< Hour/Minute Register                                                  */
    
    struct {
      __IO uint16_t  RTCMIL     :  4;               /*!< 1 minute counter (in BCD code)                                        */
      __IO uint16_t  RTCMIH     :  3;               /*!< 10 minute counter (in BCD code)                                       */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  RTCHL      :  4;               /*!< 1 hour counter (in BCD code)                                          */
      __IO uint16_t  RTCHH      :  2;               /*!< 10 hour counter (in BCD code)                                         */
      __IO uint16_t  RTCAP      :  1;               /*!< AM/PM indicator                                                       */
      __I  uint16_t  RESERVED_15:  1;               /*!< Reserved                                                              */
    } HUR_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MON;                             /*!< Month/Day Register                                                    */
    
    struct {
      __IO uint16_t  RTCDL      :  4;               /*!< 1 day counter (in BCD code)                                           */
      __IO uint16_t  RTCDH      :  2;               /*!< 10 day counter (in BCD code)                                          */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __IO uint16_t  RTCMOL     :  4;               /*!< 1 month counter (in BCD code)                                         */
      __IO uint16_t  RTCMOH     :  1;               /*!< 10 month counter (in BCD code)                                        */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< Reserved                                                              */
    } MON_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  YAR;                             /*!< Year/Week Register                                                    */
    
    struct {
      __IO uint16_t  RTCYL      :  4;               /*!< 1 year counter (in BCD code)                                          */
      __IO uint16_t  RTCYH      :  4;               /*!< 10 year counter (in BCD code)                                         */
      __IO uint16_t  RTCWK      :  3;               /*!< Day of week counter                                                   */
      __I  uint16_t  RESERVED_15_11:  5;            /*!< Reserved                                                              */
    } YAR_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Interrupt Flag Register                                               */
    
    struct {
      __IO uint16_t  T1_32SECIF :  1;               /*!< 1/32 second interrupt flag                                            */
      __IO uint16_t  T1_8SECIF  :  1;               /*!< 1/8 second interrupt flag                                             */
      __IO uint16_t  T1_4SECIF  :  1;               /*!< 1/4 second interrupt flag                                             */
      __IO uint16_t  T1_2SECIF  :  1;               /*!< 1/2 second interrupt flag                                             */
      __IO uint16_t  T1SECIF    :  1;               /*!< 1 second interrupt flag                                               */
      __IO uint16_t  T1MINIF    :  1;               /*!< 1 minute interrupt flag                                               */
      __IO uint16_t  T1HURIF    :  1;               /*!< 1 hour interrupt flag                                                 */
      __IO uint16_t  T1DAYIF    :  1;               /*!< 1 day interrupt flag                                                  */
      __IO uint16_t  ALARMIF    :  1;               /*!< ALARM interrupt flag                                                  */
      __I  uint16_t  RESERVED_11_9:  3;             /*!< Reserved                                                              */
      __IO uint16_t  SW100IF    :  1;               /*!< 100 Hz interrupt flag                                                 */
      __IO uint16_t  SW10IF     :  1;               /*!< 10 Hz interrupt flag                                                  */
      __IO uint16_t  SW1IF      :  1;               /*!< 1 Hz interrupt flag                                                   */
      __IO uint16_t  RTCTRMIF   :  1;               /*!< Theoretical regulation interrupt flag                                 */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  T1_32SECIE :  1;               /*!< 1/32 second interrupt enable                                          */
      __IO uint16_t  T1_8SECIE  :  1;               /*!< 1/8 second interrupt enable                                           */
      __IO uint16_t  T1_4SECIE  :  1;               /*!< 1/4 second interrupt enable                                           */
      __IO uint16_t  T1_2SECIE  :  1;               /*!< 1/2 second interrupt enable                                           */
      __IO uint16_t  T1SECIE    :  1;               /*!< 1 second interrupt enable                                             */
      __IO uint16_t  T1MINIE    :  1;               /*!< 1 minute interrupt enable                                             */
      __IO uint16_t  T1HURIE    :  1;               /*!< 1 hour interrupt enable                                               */
      __IO uint16_t  T1DAYIE    :  1;               /*!< 1 day interrupt enable                                                */
      __IO uint16_t  ALARMIE    :  1;               /*!< ALARM interrupt enable                                                */
      __I  uint16_t  RESERVED_11_9:  3;             /*!< Reserved                                                              */
      __IO uint16_t  SW100IE    :  1;               /*!< 100 Hz interrupt enable                                               */
      __IO uint16_t  SW10IE     :  1;               /*!< 10 Hz interrupt enable                                                */
      __IO uint16_t  SW1IE      :  1;               /*!< 1 Hz interrupt enable                                                 */
      __IO uint16_t  RTCTRMIE   :  1;               /*!< Theoretical regulation interrupt enable                               */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
} RTCA_Type;


/* ================================================================================ */
/* ================                      SNDA                      ================ */
/* ================================================================================ */


/**
  * @brief SNDA Sound generatior (SNDA)
  */

typedef struct {                                    /*!< SNDA Structure                                                        */
  
  union {
    __IO uint16_t  CLK;                             /*!< Clock Control Register                                                */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< Clock source select                                                   */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< reserved                                                              */
      __IO uint16_t  CLKDIV     :  3;               /*!< Clock division select                                                 */
      __I  uint16_t  RESERVED_7_7:  1;              /*!< reserved                                                              */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode                                            */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  SEL;                             /*!< SND Selection Register                                                */
    
    struct {
      __IO uint16_t  MOSEL      :  2;               /*!< These bits select a sound output mode                                 */
      __IO uint16_t  SINV       :  1;               /*!< Enable clock on debug mode                                            */
      __I  uint16_t  RESERVED_7_3:  5;              /*!< reserved                                                              */
      __IO uint16_t  STIM       :  4;               /*!< These bits select a tempo (when melody mode is selected) or
                                                         a one-shot buzzer output duration (when one-shot buzzer mode
                                                          is selected)                                                         */
      __I  uint16_t  RESERVED_15_12:  4;            /*!< reserved                                                              */
    } SEL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< SND Control Register                                                  */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< This bit enables the SNDA operations                                  */
      __I  uint16_t  RESERVED_7_1:  7;              /*!< reserved                                                              */
      __IO uint16_t  SSTP       :  1;               /*!< Sound Stop control                                                    */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  DAT;                             /*!< SND Data Register                                                     */
    
    struct {
      __IO uint16_t  SFRQ       :  8;               /*!< Melody Frequency/Buzzer Frequency                                     */
      __IO uint16_t  SLEN       :  6;               /*!< Melody Note Symbol                                                    */
      __IO uint16_t  MDRS       :  1;               /*!< Melody Reset Symbol                                                   */
      __IO uint16_t  MDTI       :  1;               /*!< Melody Tie Symbol                                                     */
    } DAT_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< SND Interrupt Flag Register                                           */
    
    struct {
      __IO uint16_t  EDIF       :  1;               /*!< END interrupt Flag                                                    */
      __I  uint16_t  EMIF       :  1;               /*!< Empty Interrupt Flag                                                  */
      __I  uint16_t  RESERVED_7_2:  6;              /*!< reserved                                                              */
      __I  uint16_t  SBSY       :  1;               /*!< Sound Busy Status                                                     */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< SND Interrupt Flag Register                                           */
    
    struct {
      __IO uint16_t  EDIE       :  1;               /*!< END interrupt Enable                                                  */
      __IO uint16_t  EMIE       :  1;               /*!< Empty Interrupt Enable                                                */
      __I  uint16_t  RESERVED_15_2: 14;             /*!< reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  EMDMAEN;                         /*!< Sound Buffer Empty DMA Request Enable Register                        */
    
    struct {
      __IO uint16_t  EMDMAEN    :  4;               /*!< These bits enable the SNDA to issue a DMA transfer request to
                                                         the corresponding DMA controllerchannel when a sound buffer
                                                          empty state has occurred.                                            */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< reserved                                                              */
    } EMDMAEN_b;                                    /*!< BitSize                                                               */
  };
} SNDA_Type;


/* ================================================================================ */
/* ================                       SRC                      ================ */
/* ================================================================================ */


/**
  * @brief System Reset Controller (SRC)
  */

typedef struct {                                    /*!< SRC Structure                                                         */
  
  union {
    __IO uint16_t  SRCRESETREQ;                     /*!< Reset Request Flag Register                                           */
    
    struct {
      __IO uint16_t  KEYRSTREQ  :  1;               /*!< Key-entry reset request                                               */
      __IO uint16_t  SVDRSTREQ  :  1;               /*!< Supply voltage detector reset request                                 */
      __IO uint16_t  WDTRSTREQ  :  1;               /*!< Watchdog timer reset request                                          */
      __IO uint16_t  XRESETREQ  :  1;               /*!< #RESET pin request                                                    */
      __IO uint16_t  PORBORREQ  :  1;               /*!< POR and BOR request                                                   */
      __I  uint16_t  RESERVED_15_5: 11;             /*!< Reserved                                                              */
    } SRCRESETREQ_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  SRCRESETPCTL;                    /*!< #RESET Port Control Register                                          */
    
    struct {
      __IO uint16_t  PORT_RESET_EN:  1;             /*!< Enable an external reset input to #RESET pin                          */
      __IO uint16_t  PORT_PLUP_EN:  1;              /*!< Enable pull-up of #RESET pin                                          */
      __I  uint16_t  RESERVED_15_2: 14;             /*!< Reserved                                                              */
    } SRCRESETPCTL_b;                               /*!< BitSize                                                               */
  };
} SRC_Type;


/* ================================================================================ */
/* ================                     SPIA_0                     ================ */
/* ================================================================================ */


/**
  * @brief Synchronous serial interface control (SPIA_0)
  */

typedef struct {                                    /*!< SPIA_0 Structure                                                      */
  
  union {
    __IO uint16_t  MOD;                             /*!< Mode Register                                                         */
    
    struct {
      __IO uint16_t  MST        :  1;               /*!< Master mode select                                                    */
      __IO uint16_t  CPOL       :  1;               /*!< Clock polarity select                                                 */
      __IO uint16_t  CPHA       :  1;               /*!< Clock phase select                                                    */
      __IO uint16_t  LSBFST     :  1;               /*!< LSB first mode select                                                 */
      __IO uint16_t  NOCLKDIV   :  1;               /*!< No USE T16 underflow pulse                                            */
      __IO uint16_t  PUEN       :  1;               /*!< #SPISS, SPICLK (input), SDI pull-up, pull-down enable                 */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __IO uint16_t  CHLN       :  4;               /*!< Data length select                                                    */
      __I  uint16_t  RESERVED_15_12:  4;            /*!< Reserved                                                              */
    } MOD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< Control Register                                                      */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< SPI enable                                                            */
      __IO uint16_t  SFTRST     :  1;               /*!< Soft reset                                                            */
      __I  uint16_t  RESERVED_15_2: 14;             /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TXD;                             /*!< Transmit Data Register                                                */
    
    struct {
      __IO uint16_t  TXD        : 16;               /*!< Transmit buffer                                                       */
    } TXD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  RXD;                             /*!< Receive Data Register                                                 */
    
    struct {
      __I  uint16_t  RXD        : 16;               /*!< Receive buffer                                                        */
    } RXD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Interrupt Flag Register                                               */
    
    struct {
      __I  uint16_t  TBEIF      :  1;               /*!< Transmit buffer empty interrupt flag (Cleared by reading the
                                                         SPIAnTXD register)                                                    */
      __I  uint16_t  RBFIF      :  1;               /*!< Receive buffer full interrupt flag (Cleared by reading the SPIAnRXD
                                                         register)                                                             */
      __IO uint16_t  TENDIF     :  1;               /*!< Transfer End interrupt flag                                           */
      __IO uint16_t  OEIF       :  1;               /*!< Receive over write error flag                                         */
      __I  uint16_t  RESERVED_6_4:  3;              /*!< Reserved                                                              */
      __I  uint16_t  BSY        :  1;               /*!< Transfer Busy / Slave Selected                                        */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  TBEIE      :  1;               /*!< Transmit buffer empty interrupt enable                                */
      __IO uint16_t  RBFIE      :  1;               /*!< Receive buffer full interrupt enable                                  */
      __IO uint16_t  TENDIE     :  1;               /*!< Transfer end interrupt enable                                         */
      __IO uint16_t  OEIE       :  1;               /*!< Receive over write error interrupt enable                             */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TBEDMAEN;                        /*!< TBE DMA Enable Register                                               */
    
    struct {
      __IO uint16_t  TBEDMAEN0  :  1;               /*!< TBE DMA ch0 request enable                                            */
      __IO uint16_t  TBEDMAEN1  :  1;               /*!< TBE DMA ch1 request enable                                            */
      __IO uint16_t  TBEDMAEN2  :  1;               /*!< TBE DMA ch2 request enable                                            */
      __IO uint16_t  TBEDMAEN3  :  1;               /*!< TBE DMA ch3 request enable                                            */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } TBEDMAEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  RBFDMAEN;                        /*!< RBF DMA Enable Register                                               */
    
    struct {
      __IO uint16_t  RBFDMAEN0  :  1;               /*!< RBF DMA ch0 request enable                                            */
      __IO uint16_t  RBFDMAEN1  :  1;               /*!< RBF DMA ch1 request enable                                            */
      __IO uint16_t  RBFDMAEN2  :  1;               /*!< RBF DMA ch2 request enable                                            */
      __IO uint16_t  RBFDMAEN3  :  1;               /*!< RBF DMA ch3 request enable                                            */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } RBFDMAEN_b;                                   /*!< BitSize                                                               */
  };
} SPIA_0_Type;


/* ================================================================================ */
/* ================                      SVD4                      ================ */
/* ================================================================================ */


/**
  * @brief Supply voltage detector control (SVD4)
  */

typedef struct {                                    /*!< SVD4 Structure                                                        */
  
  union {
    __IO uint16_t  CLK;                             /*!< SVD Clock Control Register                                            */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< Clock source select (can be write protected)                          */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  CLKDIV     :  3;               /*!< Clock division select (can be write protected)                        */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode (can be write protected)                   */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< SVD Control Register                                                  */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< SVD enable                                                            */
      __IO uint16_t  SVDMD      :  2;               /*!< SVD intermittent mode                                                 */
      __IO uint16_t  EXSEL      :  1;               /*!< EXSVD channel select(can be write protected).                         */
      __IO uint16_t  SVDRE      :  4;               /*!< SVD reset enable(can be write protected).                             */
      __IO uint16_t  SVDC       :  5;               /*!< SVD compare voltage (can be write protected).                         */
      __IO uint16_t  SVDSC      :  2;               /*!< Condition in intermittent operation mode(can be write protected).
                                                         Writing take effect when the SVDCTL.SVDMD[1:0] bits are not
                                                          0x0                                                                  */
      __IO uint16_t  VDSEL      :  1;               /*!< Voltage source select (can be write protected)                        */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Status and Interrupt Flag Register                                    */
    
    struct {
      __IO uint16_t  SVDIF      :  1;               /*!< SVD interrupt flag                                                    */
      __I  uint16_t  RESERVED_7_1:  7;              /*!< Reserved                                                              */
      __I  uint16_t  SVDDT      :  1;               /*!< SVD detection monitor                                                 */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  SVDIE      :  1;               /*!< SVD interrupt enable                                                  */
      __I  uint16_t  RESERVED_15_1: 15;             /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
} SVD4_Type;


/* ================================================================================ */
/* ================                       SYS                      ================ */
/* ================================================================================ */


/**
  * @brief System register (SYS)
  */

typedef struct {                                    /*!< SYS Structure                                                         */
  
  union {
    __IO uint16_t  PROT;                            /*!< Register Write Protect Register                                       */
    
    struct {
      __IO uint16_t  PROT       : 16;               /*!< Register write protect                                                */
    } PROT_b;                                       /*!< BitSize                                                               */
  };
} SYS_Type;


/* ================================================================================ */
/* ================                      T16_0                     ================ */
/* ================================================================================ */


/**
  * @brief 16 Timer / Counter, counting up or down from different sources (T16_0)
  */

typedef struct {                                    /*!< T16_0 Structure                                                       */
  
  union {
    __IO uint16_t  CLK;                             /*!< Clock Control Register                                                */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< Clock source select                                                   */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  CLKDIV     :  4;               /*!< Clock division ratio                                                  */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode                                            */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MOD;                             /*!< Mode Register                                                         */
    
    struct {
      __IO uint16_t  TRMD       :  1;               /*!< Repeat mode select                                                    */
      __I  uint16_t  RESERVED_15_1: 15;             /*!< Reserved                                                              */
    } MOD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< Channel 0 Control Register                                            */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< Timer (T16) enable                                                    */
      __IO uint16_t  PRESET     :  1;               /*!< Timer reset                                                           */
      __I  uint16_t  RESERVED_7_2:  6;              /*!< Reserved                                                              */
      __IO uint16_t  PRUN       :  1;               /*!< Run Stop bit                                                          */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TR;                              /*!< Reload Data Register                                                  */
    
    struct {
      __IO uint16_t  TR         : 16;               /*!< Timer reload value                                                    */
    } TR_b;                                         /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  TC;                              /*!< Counter Data Register                                                 */
    
    struct {
      __I  uint16_t  TC         : 16;               /*!< Timer count value                                                     */
    } TC_b;                                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Interrupt Flag Register                                               */
    
    struct {
      __IO uint16_t  UFIF       :  1;               /*!< Underflow interrupt flag                                              */
      __I  uint16_t  RESERVED_15_1: 15;             /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  UFIE       :  1;               /*!< Underflow interrupt enable                                            */
      __I  uint16_t  RESERVED_15_1: 15;             /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
} T16_0_Type;


/* ================================================================================ */
/* ================                     T16B_0                     ================ */
/* ================================================================================ */


/**
  * @brief 16-bit PWM timer channel 0 comparator/capture control (T16B_0)
  */

typedef struct {                                    /*!< T16B_0 Structure                                                      */
  
  union {
    __IO uint16_t  CLK;                             /*!< Clock Control Register                                                */
    
    struct {
      __IO uint16_t  CLKSRC     :  3;               /*!< Clock source select                                                   */
      __I  uint16_t  RESERVED_3 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  CLKDIV     :  4;               /*!< Clock division select                                                 */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode                                            */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< Counter Control Register                                              */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< T16B enable                                                           */
      __IO uint16_t  PRESET     :  1;               /*!< Counter preset (reset)                                                */
      __IO uint16_t  RUN        :  1;               /*!< Count mode select                                                     */
      __IO uint16_t  ONEST      :  1;               /*!< One shot mode                                                         */
      __IO uint16_t  CNTMD      :  2;               /*!< Count mode select                                                     */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __I  uint16_t  MAXBSY     :  1;               /*!< Max register busy flag                                                */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MC;                              /*!< MAX Counter Data Register                                             */
    
    struct {
      __IO uint16_t  MC         : 16;               /*!< Max Counter Value                                                     */
    } MC_b;                                         /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  TC;                              /*!< Timer Counter Data Register                                           */
    
    struct {
      __I  uint16_t  TC         : 16;               /*!< Counter data                                                          */
    } TC_b;                                         /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  CS;                              /*!< Counter Status Register                                               */
    
    struct {
      __I  uint16_t  BSY        :  1;               /*!< Counter Run Status                                                    */
      __I  uint16_t  UP_DOWN    :  1;               /*!< Counter UP/DOWN status                                                */
      __I  uint16_t  CAPI0      :  1;               /*!< Capture0 input status                                                 */
      __I  uint16_t  CAPI1      :  1;               /*!< Capture1 input status                                                 */
      __I  uint16_t  CAPI2      :  1;               /*!< Capture2 input status                                                 */
      __I  uint16_t  CAPI3      :  1;               /*!< Capture3 input status                                                 */
      __I  uint16_t  RESERVED_15_6: 10;             /*!< Reserved                                                              */
    } CS_b;                                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Compare/Capture Interrupt Flag Register                               */
    
    struct {
      __IO uint16_t  CNTZEROIF  :  1;               /*!< Counter 0 interrupt flag                                              */
      __IO uint16_t  CNTMAXIF   :  1;               /*!< Counter Max interrupt flag                                            */
      __IO uint16_t  CMPCAP0IF  :  1;               /*!< Compare/Capture interrupt flag 0                                      */
      __IO uint16_t  CAPOW0IF   :  1;               /*!< Capture over write interrupt flag 0                                   */
      __IO uint16_t  CMPCAP1IF  :  1;               /*!< Compare/Capture interrupt flag 1                                      */
      __IO uint16_t  CAPOW1IF   :  1;               /*!< Capture over write interrupt flag 1                                   */
      __IO uint16_t  CMPCAP2IF  :  1;               /*!< Compare/Capture interrupt flag 2                                      */
      __IO uint16_t  CAPOW2IF   :  1;               /*!< Capture over write interrupt flag 2                                   */
      __IO uint16_t  CMPCAP3IF  :  1;               /*!< Compare/Capture interrupt flag 3                                      */
      __IO uint16_t  CAPOW3IF   :  1;               /*!< Capture over write interrupt flag 3                                   */
      __I  uint16_t  RESERVED_15_10:  6;            /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< T16B Interrupt Enable Register                                        */
    
    struct {
      __IO uint16_t  CNTZEROIE  :  1;               /*!< Counter 0 interrupt enable                                            */
      __IO uint16_t  CNTMAXIE   :  1;               /*!< Counter Max interrupt enable                                          */
      __IO uint16_t  CMPCAP0IE  :  1;               /*!< Compare/Capture interrupt enable 0                                    */
      __IO uint16_t  CAPOW0IE   :  1;               /*!< Capture over write interrupt enable 0                                 */
      __IO uint16_t  CMPCAP1IE  :  1;               /*!< Compare/Capture interrupt enable 1                                    */
      __IO uint16_t  CAPOW1IE   :  1;               /*!< Capture over write interrupt enable 1                                 */
      __IO uint16_t  CMPCAP2IE  :  1;               /*!< Compare/Capture interrupt enable 2                                    */
      __IO uint16_t  CAPOW2IE   :  1;               /*!< Capture over write interrupt enable 2                                 */
      __IO uint16_t  CMPCAP3IE  :  1;               /*!< Compare/Capture interrupt enable 3                                    */
      __IO uint16_t  CAPOW3IE   :  1;               /*!< Capture over write interrupt enable 3                                 */
      __I  uint16_t  RESERVED_15_10:  6;            /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MZDMAEN;                         /*!< Max/Zero DMA Enable Register                                          */
    
    struct {
      __IO uint16_t  MZDMAEN0   :  1;               /*!< Max/Zero DMA ch0 request enable                                       */
      __IO uint16_t  MZDMAEN1   :  1;               /*!< Max/Zero DMA ch1 request enable                                       */
      __IO uint16_t  MZDMAEN2   :  1;               /*!< Max/Zero DMA ch2 request enable                                       */
      __IO uint16_t  MZDMAEN3   :  1;               /*!< Max/Zero DMA ch3 request enable                                       */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } MZDMAEN_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CCCTL0;                          /*!< Compare/Capture0 Control Register                                     */
    
    struct {
      __IO uint16_t  CCMD       :  1;               /*!< T16B CCA register mode select                                         */
      __IO uint16_t  TOUTINV    :  1;               /*!< Tout invert                                                           */
      __IO uint16_t  TOUTMD     :  3;               /*!< Tout Output mode select                                               */
      __IO uint16_t  TOUTO      :  1;               /*!< Tout Output select                                                    */
      __IO uint16_t  TOUTMT     :  1;               /*!< Tout Motor mode select                                                */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  CAPTRG     :  2;               /*!< Capture trigger select                                                */
      __IO uint16_t  CAPIS      :  2;               /*!< Capture input signal select                                           */
      __IO uint16_t  CBUFMD     :  3;               /*!< Compare buffer mode select                                            */
      __IO uint16_t  SCS        :  1;               /*!< SCS register mode select                                              */
    } CCCTL0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CCR0;                            /*!< Compare/Capture0 Data Register                                        */
    
    struct {
      __IO uint16_t  CC         : 16;               /*!< Compare/Capture Data Register                                         */
    } CCR0_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CC0DMAEN;                        /*!< Compare/Capture0 DMA Request Enable Register                          */
    
    struct {
      __IO uint16_t  CC0DMAEN0  :  1;               /*!< Compare/Capture DMA ch0 request enable                                */
      __IO uint16_t  CC0DMAEN1  :  1;               /*!< Compare/Capture DMA ch1 request enable                                */
      __IO uint16_t  CC0DMAEN2  :  1;               /*!< Compare/Capture DMA ch2 request enable                                */
      __IO uint16_t  CC0DMAEN3  :  1;               /*!< Compare/Capture DMA ch3 request enable                                */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } CC0DMAEN_b;                                   /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED;
  
  union {
    __IO uint16_t  CCCTL1;                          /*!< Compare/Capture1 Control Register                                     */
    
    struct {
      __IO uint16_t  CCMD       :  1;               /*!< T16B CCA register mode select                                         */
      __IO uint16_t  TOUTINV    :  1;               /*!< Tout invert                                                           */
      __IO uint16_t  TOUTMD     :  3;               /*!< Tout Output mode select                                               */
      __IO uint16_t  TOUTO      :  1;               /*!< Tout Output select                                                    */
      __IO uint16_t  TOUTMT     :  1;               /*!< Tout Motor mode select                                                */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  CAPTRG     :  2;               /*!< Capture trigger select                                                */
      __IO uint16_t  CAPIS      :  2;               /*!< Capture input signal select                                           */
      __IO uint16_t  CBUFMD     :  3;               /*!< Compare buffer mode select                                            */
      __IO uint16_t  SCS        :  1;               /*!< SCS register mode select                                              */
    } CCCTL1_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CCR1;                            /*!< Compare/Capture1 Data Register                                        */
    
    struct {
      __IO uint16_t  CC         : 16;               /*!< Compare/Capture Data Register                                         */
    } CCR1_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CC1DMAEN;                        /*!< Compare/Capture1 DMA Request Enable Register                          */
    
    struct {
      __IO uint16_t  CC0DMAEN0  :  1;               /*!< Compare/Capture DMA ch0 request enable                                */
      __IO uint16_t  CC0DMAEN1  :  1;               /*!< Compare/Capture DMA ch1 request enable                                */
      __IO uint16_t  CC0DMAEN2  :  1;               /*!< Compare/Capture DMA ch2 request enable                                */
      __IO uint16_t  CC0DMAEN3  :  1;               /*!< Compare/Capture DMA ch3 request enable                                */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } CC1DMAEN_b;                                   /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED1;
  
  union {
    __IO uint16_t  CCCTL2;                          /*!< Compare/Capture2 Control Register                                     */
    
    struct {
      __IO uint16_t  CCMD       :  1;               /*!< T16B CCA register mode select                                         */
      __IO uint16_t  TOUTINV    :  1;               /*!< Tout invert                                                           */
      __IO uint16_t  TOUTMD     :  3;               /*!< Tout Output mode select                                               */
      __IO uint16_t  TOUTO      :  1;               /*!< Tout Output select                                                    */
      __IO uint16_t  TOUTMT     :  1;               /*!< Tout Motor mode select                                                */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  CAPTRG     :  2;               /*!< Capture trigger select                                                */
      __IO uint16_t  CAPIS      :  2;               /*!< Capture input signal select                                           */
      __IO uint16_t  CBUFMD     :  3;               /*!< Compare buffer mode select                                            */
      __IO uint16_t  SCS        :  1;               /*!< SCS register mode select                                              */
    } CCCTL2_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CCR2;                            /*!< Compare/Capture2 Data Register                                        */
    
    struct {
      __IO uint16_t  CC         : 16;               /*!< Compare/Capture Data Register                                         */
    } CCR2_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CC2DMAEN;                        /*!< Compare/Capture2 DMA Request Enable Register                          */
    
    struct {
      __IO uint16_t  CC0DMAEN0  :  1;               /*!< Compare/Capture DMA ch0 request enable                                */
      __IO uint16_t  CC0DMAEN1  :  1;               /*!< Compare/Capture DMA ch1 request enable                                */
      __IO uint16_t  CC0DMAEN2  :  1;               /*!< Compare/Capture DMA ch2 request enable                                */
      __IO uint16_t  CC0DMAEN3  :  1;               /*!< Compare/Capture DMA ch3 request enable                                */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } CC2DMAEN_b;                                   /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED2;
  
  union {
    __IO uint16_t  CCCTL3;                          /*!< Compare/Capture3 Control Register                                     */
    
    struct {
      __IO uint16_t  CCMD       :  1;               /*!< T16B CCA register mode select                                         */
      __IO uint16_t  TOUTINV    :  1;               /*!< Tout invert                                                           */
      __IO uint16_t  TOUTMD     :  3;               /*!< Tout Output mode select                                               */
      __IO uint16_t  TOUTO      :  1;               /*!< Tout Output select                                                    */
      __IO uint16_t  TOUTMT     :  1;               /*!< Tout Motor mode select                                                */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  CAPTRG     :  2;               /*!< Capture trigger select                                                */
      __IO uint16_t  CAPIS      :  2;               /*!< Capture input signal select                                           */
      __IO uint16_t  CBUFMD     :  3;               /*!< Compare buffer mode select                                            */
      __IO uint16_t  SCS        :  1;               /*!< SCS register mode select                                              */
    } CCCTL3_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CCR3;                            /*!< Compare/Capture3 Data Register                                        */
    
    struct {
      __IO uint16_t  CC         : 16;               /*!< Compare/Capture Data Register                                         */
    } CCR3_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CC3DMAEN;                        /*!< Compare/Capture3 DMA Request Enable Register                          */
    
    struct {
      __IO uint16_t  CC0DMAEN0  :  1;               /*!< Compare/Capture DMA ch0 request enable                                */
      __IO uint16_t  CC0DMAEN1  :  1;               /*!< Compare/Capture DMA ch1 request enable                                */
      __IO uint16_t  CC0DMAEN2  :  1;               /*!< Compare/Capture DMA ch2 request enable                                */
      __IO uint16_t  CC0DMAEN3  :  1;               /*!< Compare/Capture DMA ch3 request enable                                */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } CC3DMAEN_b;                                   /*!< BitSize                                                               */
  };
} T16B_0_Type;


/* ================================================================================ */
/* ================                     TSRVR_0                    ================ */
/* ================================================================================ */


/**
  * @brief Temparature sensor control (TSRVR_0)
  */

typedef struct {                                    /*!< TSRVR_0 Structure                                                     */
  
  union {
    __IO uint16_t  TCTL;                            /*!< Temparature sensor control register                                   */
    
    struct {
      __IO uint16_t  TEMPEN     :  1;               /*!< Sensor enable                                                         */
      __I  uint16_t  RESERVED_15_1: 15;             /*!< reserved                                                              */
    } TCTL_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  VCTL;                            /*!< Reference voltage generator control register                          */
    
    struct {
      __IO uint16_t  VREFAMD    :  2;               /*!< VREF mode select                                                      */
      __I  uint16_t  RESERVED_15_2: 14;             /*!< reserved                                                              */
    } VCTL_b;                                       /*!< BitSize                                                               */
  };
} TSRVR_0_Type;


/* ================================================================================ */
/* ================                     UART3_0                    ================ */
/* ================================================================================ */


/**
  * @brief UART3 channel 0 control (UART3_0)
  */

typedef struct {                                    /*!< UART3_0 Structure                                                     */
  
  union {
    __IO uint16_t  CLK;                             /*!< Clock Control Register                                                */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< Clock source select                                                   */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  CLKDIV     :  2;               /*!< Clock division select                                                 */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode                                            */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  MOD;                             /*!< Mode Register                                                         */
    
    struct {
      __IO uint16_t  STPB       :  1;               /*!< Stop bit select                                                       */
      __IO uint16_t  PRMD       :  1;               /*!< Parity mode select                                                    */
      __IO uint16_t  PREN       :  1;               /*!< Parity enable                                                         */
      __IO uint16_t  CHLN       :  1;               /*!< Character length                                                      */
      __IO uint16_t  IRMD       :  1;               /*!< IrDA mode select                                                      */
      __IO uint16_t  OUTMD      :  1;               /*!< Output mode select                                                    */
      __IO uint16_t  PUEN       :  1;               /*!< USIN pullup enable                                                    */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __IO uint16_t  INVTX      :  1;               /*!< Invert transmit signal                                                */
      __IO uint16_t  INVRX      :  1;               /*!< Invert receive signal                                                 */
      __IO uint16_t  BRDIV      :  1;               /*!< Baud Rate Division ratio                                              */
      __IO uint16_t  CAREN      :  1;               /*!< Carrier Modulation Enable                                             */
      __IO uint16_t  PECAR      :  1;               /*!< Carrier Modulation Period                                             */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< Reserved                                                              */
    } MOD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  BR;                              /*!< Baud Rate Register                                                    */
    
    struct {
      __IO uint16_t  BRT        :  8;               /*!< Baud rate setting                                                     */
      __IO uint16_t  FMD        :  4;               /*!< Fine mode control                                                     */
      __I  uint16_t  RESERVED_15_12:  4;            /*!< Reserved                                                              */
    } BR_b;                                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< Control Register                                                      */
    
    struct {
      __IO uint16_t  MODEN      :  1;               /*!< UART3 enable                                                          */
      __IO uint16_t  SFTRST     :  1;               /*!< Soft reset                                                            */
      __I  uint16_t  RESERVED_15_2: 14;             /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TXD;                             /*!< Transmit Data Register                                                */
    
    struct {
      __IO uint16_t  TXD        :  8;               /*!< Transmit data                                                         */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } TXD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint16_t  RXD;                             /*!< Receive Data Register                                                 */
    
    struct {
      __I  uint16_t  RXD        :  8;               /*!< Receive data                                                          */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } RXD_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTF;                            /*!< Status and Interrupt Flag Register                                    */
    
    struct {
      __I  uint16_t  TBEIF      :  1;               /*!< Transmit buffer empty interrupt flag (Cleared by writing to
                                                         UA0TXD register)                                                      */
      __I  uint16_t  RB1FIF     :  1;               /*!< Receive buffer 1byte full interrupt flag (Clear by reading UA0RXD
                                                         register)                                                             */
      __I  uint16_t  RB2FIF     :  1;               /*!< Receive buffer 2byte full interrupt flag (Clear by reading UA0RXD
                                                         register)                                                             */
      __IO uint16_t  OEIF       :  1;               /*!< Overrun error interrupt flag                                          */
      __IO uint16_t  PEIF       :  1;               /*!< Parity error interrupt flag (Clear by writing one, or reading
                                                         UA0RXD register)                                                      */
      __IO uint16_t  FEIF       :  1;               /*!< Framing error interrupt flag (Clear by writing one, or reading
                                                         UA0RXD register)                                                      */
      __IO uint16_t  TENDIF     :  1;               /*!< End of transmission interrupt flag                                    */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved                                                              */
      __I  uint16_t  TBSY       :  1;               /*!< Transmit busy status                                                  */
      __I  uint16_t  RBSY       :  1;               /*!< Receive busy status                                                   */
      __I  uint16_t  RESERVED_15_10:  6;            /*!< Reserved                                                              */
    } INTF_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  INTE;                            /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint16_t  TBEIE      :  1;               /*!< Transmit buffer empty interrupt enable                                */
      __IO uint16_t  RB1FIE     :  1;               /*!< Receive buffer 1byte full interrupt enable                            */
      __IO uint16_t  RB2FIE     :  1;               /*!< Receive buffer 2byte full interrupt enable                            */
      __IO uint16_t  OEIE       :  1;               /*!< Overrun error interrupt enable                                        */
      __IO uint16_t  PEIE       :  1;               /*!< Parity error interrupt enable                                         */
      __IO uint16_t  FEIE       :  1;               /*!< Framing error interrupt enable                                        */
      __IO uint16_t  TENDIE     :  1;               /*!< End of transmission interrupt enable                                  */
      __I  uint16_t  RESERVED_15_7:  9;             /*!< Reserved                                                              */
    } INTE_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  TBEDMAEN;                        /*!< TBE DMA Enable Register                                               */
    
    struct {
      __IO uint16_t  TBEDMAEN0  :  1;               /*!< TBE DMA ch0 request enable                                            */
      __IO uint16_t  TBEDMAEN1  :  1;               /*!< TBE DMA ch1 request enable                                            */
      __IO uint16_t  TBEDMAEN2  :  1;               /*!< TBE DMA ch2 request enable                                            */
      __IO uint16_t  TBEDMAEN3  :  1;               /*!< TBE DMA ch3 request enable                                            */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } TBEDMAEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  RB1FDMAEN;                       /*!< RB1F DMA Enable Register                                              */
    
    struct {
      __IO uint16_t  RB1FDMAEN0 :  1;               /*!< RB1F DMA ch0 request enable                                           */
      __IO uint16_t  RB1FDMAEN1 :  1;               /*!< RB1F DMA ch1 request enable                                           */
      __IO uint16_t  RB1FDMAEN2 :  1;               /*!< RB1F DMA ch2 request enable                                           */
      __IO uint16_t  RB1FDMAEN3 :  1;               /*!< RB1F DMA ch3 request enable                                           */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< Reserved                                                              */
    } RB1FDMAEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CAWF;                            /*!< UART carrier waveform register                                        */
    
    struct {
      __IO uint16_t  CRPER      :  8;               /*!< Carrier period                                                        */
      __I  uint16_t  RESERVED_15_8:  8;             /*!< Reserved                                                              */
    } CAWF_b;                                       /*!< BitSize                                                               */
  };
} UART3_0_Type;


/* ================================================================================ */
/* ================                      UPMUX                     ================ */
/* ================================================================================ */


/**
  * @brief Universal port multiplexer control (UPMUX)
  */

typedef struct {                                    /*!< UPMUX Structure                                                       */
  
  union {
    __IO uint16_t  P0MUX0;                          /*!< P00_01 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P00PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P00PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P00PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P01PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P01PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P01PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P0MUX0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0MUX1;                          /*!< P02_03 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P02PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P02PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P02PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P03PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P03PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P03PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P0MUX1_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0MUX2;                          /*!< P04_05 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P04PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P04PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P04PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P05PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P05PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P05PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P0MUX2_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P0MUX3;                          /*!< P06_07 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P06PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P06PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P06PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P07PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P07PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P07PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P0MUX3_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1MUX0;                          /*!< P10_11 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P10PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P10PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P10PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P11PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P11PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P11PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P1MUX0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1MUX1;                          /*!< P12_13 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P12PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P12PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P12PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P13PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P13PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P13PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P1MUX1_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1MUX2;                          /*!< P14_15 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P14PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P14PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P14PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P15PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P15PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P15PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P1MUX2_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P1MUX3;                          /*!< P16_17 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P16PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P16PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P16PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P17PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P17PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P17PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P1MUX3_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2MUX0;                          /*!< P20_21 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P20PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P20PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P20PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P21PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P21PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P21PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P2MUX0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2MUX1;                          /*!< P22_23 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P22PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P22PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P22PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P23PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P23PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P23PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P2MUX1_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2MUX2;                          /*!< P24_25 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P24PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P24PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P24PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P25PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P25PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P25PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P2MUX2_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P2MUX3;                          /*!< P26_27 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P26PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P26PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P26PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P27PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P27PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P27PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P2MUX3_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3MUX0;                          /*!< P30_31 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P30PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P30PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P30PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P31PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P31PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P31PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P3MUX0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3MUX1;                          /*!< P32_33 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P32PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P32PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P32PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P33PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P33PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P33PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P3MUX1_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3MUX2;                          /*!< P34_35 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P34PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P34PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P34PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P35PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P35PERICH  :  2;               /*!< Assign peripheral channel                                             */
      __IO uint16_t  P35PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P3MUX2_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  P3MUX3;                          /*!< P36_37 Universal Port Multiplexer Setting Register                    */
    
    struct {
      __IO uint16_t  P36PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P36PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P36PPFNC   :  3;               /*!< Assign pin function                                                   */
      __IO uint16_t  P37PERISEL :  3;               /*!< Assign peripheral                                                     */
      __IO uint16_t  P37PERICH  :  2;               /*!< Assign Peripheral channel                                             */
      __IO uint16_t  P37PPFNC   :  3;               /*!< Assign pin function                                                   */
    } P3MUX3_b;                                     /*!< BitSize                                                               */
  };
} UPMUX_Type;


/* ================================================================================ */
/* ================                       USB                      ================ */
/* ================================================================================ */


/**
  * @brief USB Controller (USB)
  */

typedef struct {                                    /*!< USB Structure                                                         */
  __I  uint16_t  RESERVED;
  
  union {
    __IO uint8_t   CTL;                             /*!< Control Register                                                      */
    
    struct {
      __IO uint8_t   USBEN      :  1;               /*!< USB enable                                                            */
      __I  uint8_t   RESERVED_2_1:  2;              /*!< reserved                                                              */
      __IO uint8_t   WAKEUP     :  1;               /*!< Send remote wakeup signal (K) to the USB port                         */
      __IO uint8_t   JDETEN     :  1;               /*!< J state detection enable                                              */
      __IO uint8_t   NONJDETEN  :  1;               /*!< NonJ state detection enable                                           */
      __IO uint8_t   AUTONEGOEN :  1;               /*!< Auto-Negotiation enable                                               */
      __IO uint8_t   BUSDETDIS  :  1;               /*!< USB Reset and Suspend states auto detect disable                      */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   TRCTL;                           /*!< Control Register                                                      */
    
    struct {
      __IO uint8_t   OPMOD      :  2;               /*!< Transceiver macro operation mode                                      */
      __I  uint8_t   RESERVED_6_2:  5;              /*!< reserved                                                              */
      __IO uint8_t   DPPUEN     :  1;               /*!< D+ line pull-up resistor control                                      */
    } TRCTL_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   STAT;                            /*!< Status Register                                                       */
    
    struct {
      __I  uint8_t   LINESTAT   :  2;               /*!< USB cable (value received by the FS receiver of the DP/DM) signal
                                                         status                                                                */
      __I  uint8_t   RESERVED_5_2:  4;              /*!< reserved                                                              */
      __I  uint8_t   FSMOD      :  1;               /*!< FS mode support                                                       */
      __I  uint8_t   VBUSSTAT   :  1;               /*!< USBVBUS pin status                                                    */
    } STAT_b;                                       /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED1[3];
  
  union {
    __IO uint8_t   EPCTL;                           /*!< Endpoint Control Register                                             */
    
    struct {
      __O  uint8_t   EP0FIFOCLR :  1;               /*!< Endpoint EP0 FIFO clear                                               */
      __I  uint8_t   RESERVED_4_1:  4;              /*!< reserved                                                              */
      __O  uint8_t   EPNFIFOCLR :  1;               /*!< Endpoint FIFO clear                                                   */
      __O  uint8_t   EPMFSTALLSET:  1;              /*!< Endpoint ForceSTALL bit                                               */
      __O  uint8_t   EPNFNAKSET :  1;               /*!< Endpoint ForceNAK bit                                                 */
    } EPCTL_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   GPEPFIFOCLR;                     /*!< Endpoint Control Register                                             */
    
    struct {
      __O  uint8_t   EPAFIFOCLR :  1;               /*!< Endpoint EPa FIFO clear                                               */
      __O  uint8_t   EPBFIFOCLR :  1;               /*!< Endpoint EPb FIFO clear                                               */
      __O  uint8_t   EPCFIFOCLR :  1;               /*!< Endpoint EPc FIFO clear                                               */
      __I  uint8_t   RESERVED_7_3:  5;              /*!< reserved                                                              */
    } GPEPFIFOCLR_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   FIFORDCYC;                       /*!< FIFO Read Cycle Setup Register                                        */
    
    struct {
      __IO uint8_t   RDCYC      :  2;               /*!< FIFO read access cycles                                               */
      __I  uint8_t   RESERVED_7_2:  6;              /*!< reserved                                                              */
    } FIFORDCYC_b;                                  /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED2[3];
  
  union {
    __I  uint8_t   REV;                             /*!< Revision Number Register                                              */
    
    struct {
      __I  uint8_t   REVNUM     :  8;               /*!< USB controller revision number                                        */
    } REV_b;                                        /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED3;
  
  union {
    __I  uint8_t   EP0SETUP0;                       /*!< EP0 Setup Data Register 0                                             */
    
    struct {
      __I  uint8_t   BMREQTYP   :  8;               /*!< Endpoint EP0 SETUP stage received BmRequestType                       */
    } EP0SETUP0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint8_t   EP0SETUP1;                       /*!< EP0 Setup Data Register 1                                             */
    
    struct {
      __I  uint8_t   BREQ       :  8;               /*!< Endpoint EP0 SETUP stage received BRequest                            */
    } EP0SETUP1_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint8_t   EP0SETUP2;                       /*!< EP0 Setup Data Register 2                                             */
    
    struct {
      __I  uint8_t   WVAL       :  8;               /*!< Endpoint EP0 SETUP stage received Wvalue                              */
    } EP0SETUP2_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint8_t   EP0SETUP3;                       /*!< EP0 Setup Data Register 3                                             */
    
    struct {
      __I  uint8_t   WVAL       :  8;               /*!< Endpoint EP0 SETUP stage received Wvalue                              */
    } EP0SETUP3_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint8_t   EP0SETUP4;                       /*!< EP0 Setup Data Register 4                                             */
    
    struct {
      __I  uint8_t   WINDX      :  8;               /*!< Endpoint EP0 SETUP stage received WIndex                              */
    } EP0SETUP4_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint8_t   EP0SETUP5;                       /*!< EP0 Setup Data Register 5                                             */
    
    struct {
      __I  uint8_t   WINDX      :  8;               /*!< Endpoint EP0 SETUP stage received WIndex                              */
    } EP0SETUP5_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint8_t   EP0SETUP6;                       /*!< EP0 Setup Data Register 6                                             */
    
    struct {
      __I  uint8_t   WLEN       :  8;               /*!< Endpoint EP0 SETUP stage received WLength                             */
    } EP0SETUP6_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint8_t   EP0SETUP7;                       /*!< EP0 Setup Data Register 3                                             */
    
    struct {
      __I  uint8_t   WLEN       :  8;               /*!< Endpoint EP0 SETUP stage received WLength                             */
    } EP0SETUP7_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   ADDR;                            /*!< Address Register                                                      */
    
    struct {
      __IO uint8_t   USBADDR    :  7;               /*!< USB address                                                           */
      __IO uint8_t   ATADDR     :  1;               /*!< USB address automatic setup                                           */
    } ADDR_b;                                       /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED4;
  
  union {
    __IO uint8_t   EP0CFG;                          /*!< EP0 Configuration Register                                            */
    
    struct {
      __I  uint8_t   RESERVED_6_0:  7;              /*!< reserved                                                              */
      __IO uint8_t   DIR        :  1;               /*!< Endpoint EP0 transfer direction                                       */
    } EP0CFG_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EP0SIZE;                         /*!< EP0 Configuration Size Register                                       */
    
    struct {
      __I  uint8_t   RESERVED_2_0:  3;              /*!< reserved                                                              */
      __IO uint8_t   MAXSIZE    :  4;               /*!< Endpoint EP0 maximum packet size                                      */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved bit                                                          */
    } EP0SIZE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EP0ICTL;                         /*!< EP0 IN Transaction Control Register                                   */
    
    struct {
      __IO uint8_t   FSTALL     :  1;               /*!< Endpoint EP0 IN transaction ForceSTALL                                */
      __IO uint8_t   FNAK       :  1;               /*!< Endpoint EP0 IN transaction ForceNAK                                  */
      __O  uint8_t   TGLCLR     :  1;               /*!< Endpoint EP0 IN transaction toggle sequence bit clear                 */
      __O  uint8_t   TGLSET     :  1;               /*!< Endpoint EP0 IN transaction toggle sequence bit set                   */
      __I  uint8_t   TGLSTAT    :  1;               /*!< Endpoint EP0 IN transaction toggle sequence bit status                */
      __I  uint8_t   RESERVED_5 :  1;               /*!< Reserved bit                                                          */
      __IO uint8_t   SPKTEN     :  1;               /*!< Endpoint EP0 IN transaction short packet enable                       */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved bit                                                          */
    } EP0ICTL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EP0OCTL;                         /*!< EP0 OUT Transaction Control Register                                  */
    
    struct {
      __IO uint8_t   FSTALL     :  1;               /*!< Endpoint EP0 OUT transaction ForceSTALL                               */
      __IO uint8_t   FNAK       :  1;               /*!< Endpoint EP0 OUT transaction ForceNAK                                 */
      __O  uint8_t   TGLCLR     :  1;               /*!< Endpoint EP0 OUT transaction toggle sequence bit clear                */
      __O  uint8_t   TGLSET     :  1;               /*!< Endpoint EP0 OUT transaction toggle sequence bit set                  */
      __I  uint8_t   TGLSTAT    :  1;               /*!< Endpoint EP0 OUT transaction toggle sequence bit status               */
      __I  uint8_t   RESERVED_6_5:  2;              /*!< reserved                                                              */
      __IO uint8_t   AUTOFNAK   :  1;               /*!< Auto ForceNAK when the OUT transaction of the endpoint EP0 completes
                                                         normally                                                              */
    } EP0OCTL_b;                                    /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED5;
  
  union {
    __IO uint8_t   EPACTL;                          /*!< EPa Control Register                                                  */
    
    struct {
      __IO uint8_t   FSTALL     :  1;               /*!< Endpoint ForceSTALL                                                   */
      __IO uint8_t   FNAK       :  1;               /*!< Endpoint ForceNAK                                                     */
      __O  uint8_t   TGLCLR     :  1;               /*!< Endpoint toggle sequence bit clear                                    */
      __O  uint8_t   TGLSET     :  1;               /*!< Endpoint toggle sequence bit set                                      */
      __I  uint8_t   TGLSTAT    :  1;               /*!< Endpoint toggle sequence bit status                                   */
      __IO uint8_t   AUTOFNAKDIS:  1;               /*!< Endpoint OUT transaction auto ForceNAK disable                        */
      __IO uint8_t   SPKTEN     :  1;               /*!< Endpoint IN transaction short packet enable                           */
      __IO uint8_t   AUTOFNAK   :  1;               /*!< Auto ForceNAK when the transaction of the endpoint completes
                                                         normally                                                              */
    } EPACTL_b;                                     /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED6;
  
  union {
    __IO uint8_t   EPBCTL;                          /*!< EPb Control Register                                                  */
    
    struct {
      __IO uint8_t   FSTALL     :  1;               /*!< Endpoint ForceSTALL                                                   */
      __IO uint8_t   FNAK       :  1;               /*!< Endpoint ForceNAK                                                     */
      __O  uint8_t   TGLCLR     :  1;               /*!< Endpoint toggle sequence bit clear                                    */
      __O  uint8_t   TGLSET     :  1;               /*!< Endpoint toggle sequence bit set                                      */
      __I  uint8_t   TGLSTAT    :  1;               /*!< Endpoint toggle sequence bit status                                   */
      __IO uint8_t   AUTOFNACDIS:  1;               /*!< Endpoint OUT transaction auto ForceNAK disable                        */
      __IO uint8_t   SPKTEN     :  1;               /*!< Endpoint IN transaction short packet enable                           */
      __IO uint8_t   AUTOFNAK   :  1;               /*!< Auto ForceNAK when the transaction of the endpoint completes
                                                         normally                                                              */
    } EPBCTL_b;                                     /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED7;
  
  union {
    __IO uint8_t   EPCCTL;                          /*!< EPc Control Register                                                  */
    
    struct {
      __IO uint8_t   FSTALL     :  1;               /*!< Endpoint ForceSTALL                                                   */
      __IO uint8_t   FNAK       :  1;               /*!< Endpoint ForceNAK                                                     */
      __O  uint8_t   TGLCLR     :  1;               /*!< Endpoint toggle sequence bit clear                                    */
      __O  uint8_t   TGLSET     :  1;               /*!< Endpoint toggle sequence bit set                                      */
      __I  uint8_t   TGLSTAT    :  1;               /*!< Endpoint toggle sequence bit status                                   */
      __IO uint8_t   AUTOFNACDIS:  1;               /*!< Endpoint OUT transaction auto ForceNAK disable                        */
      __IO uint8_t   SPKTEN     :  1;               /*!< Endpoint IN transaction short packet enable                           */
      __IO uint8_t   AUTOFNAK   :  1;               /*!< Auto ForceNAK when the transaction of the endpoint completes
                                                         normally                                                              */
    } EPCCTL_b;                                     /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED8[11];
  
  union {
    __IO uint8_t   EPACFG;                          /*!< EPa Configuration Register                                            */
    
    struct {
      __IO uint8_t   EPNUM      :  4;               /*!< Endpoint number                                                       */
      __I  uint8_t   RESERVED_4 :  1;               /*!< Reserved bit                                                          */
      __IO uint8_t   EPEN       :  1;               /*!< Endpoint enable                                                       */
      __IO uint8_t   TGLMOD     :  1;               /*!< Endpoint toggle sequence operation mode                               */
      __IO uint8_t   DIR        :  1;               /*!< Endpoint transfer direction                                           */
    } EPACFG_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPAMAXSZ;                        /*!< EPa Size Register                                                     */
    
    struct {
      __IO uint8_t   MAXSIZE    :  7;               /*!< Endpoint maximum packet size                                          */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved bit                                                          */
    } EPAMAXSZ_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPBCFG;                          /*!< EPb Configuration Register                                            */
    
    struct {
      __IO uint8_t   EPNUM      :  4;               /*!< Endpoint number                                                       */
      __I  uint8_t   RESERVED_4 :  1;               /*!< Reserved bit                                                          */
      __IO uint8_t   EPEN       :  1;               /*!< Endpoint enable                                                       */
      __IO uint8_t   TGLMOD     :  1;               /*!< Endpoint toggle sequence operation mode                               */
      __IO uint8_t   DIR        :  1;               /*!< Endpoint transfer direction                                           */
    } EPBCFG_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPBMAXSZ;                        /*!< EPb Size Register                                                     */
    
    struct {
      __IO uint8_t   MAXSIZE    :  7;               /*!< Endpoint maximum packet size                                          */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved bit                                                          */
    } EPBMAXSZ_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPCCFG;                          /*!< EPc Configuration Register                                            */
    
    struct {
      __IO uint8_t   EPNUM      :  4;               /*!< Endpoint number                                                       */
      __I  uint8_t   RESERVED_4 :  1;               /*!< Reserved bit                                                          */
      __IO uint8_t   EPEN       :  1;               /*!< Endpoint enable                                                       */
      __IO uint8_t   TGLMOD     :  1;               /*!< Endpoint toggle sequence operation mode                               */
      __IO uint8_t   DIR        :  1;               /*!< Endpoint transfer direction                                           */
    } EPCCFG_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPCMAXSZ;                        /*!< EPC Size Register                                                     */
    
    struct {
      __IO uint8_t   MAXSIZE    :  7;               /*!< Endpoint maximum packet size                                          */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved bit                                                          */
    } EPCMAXSZ_b;                                   /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED9[5];
  
  union {
    __IO uint8_t   RDFIFOSEL;                       /*!< Read FIFO Select Register                                             */
    
    struct {
      __IO uint8_t   EPARD      :  1;               /*!< Endpoint EPa FIFO read select                                         */
      __IO uint8_t   EPBRD      :  1;               /*!< Endpoint EPb FIFO read select                                         */
      __IO uint8_t   EPCRD      :  1;               /*!< Endpoint EPc FIFO read select                                         */
      __I  uint8_t   RESERVED_7_3:  5;              /*!< reserved                                                              */
    } RDFIFOSEL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   WRFIFOSEL;                       /*!< Write FIFO Select Register                                            */
    
    struct {
      __IO uint8_t   EPAWR      :  1;               /*!< Endpoint EPa FIFO write select                                        */
      __IO uint8_t   EPBWR      :  1;               /*!< Endpoint EPb FIFO write select                                        */
      __IO uint8_t   EPCWR      :  1;               /*!< Endpoint EPc FIFO write select                                        */
      __I  uint8_t   RESERVED_7_3:  5;              /*!< reserved                                                              */
    } WRFIFOSEL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   FIFORWEN;                        /*!< FIFO Read/Write Enable Register                                       */
    
    struct {
      __IO uint8_t   FIFORDEN   :  1;               /*!< Endpoint FIFO read enable                                             */
      __IO uint8_t   FIFOWREN   :  1;               /*!< Endpoint FIFO write enable                                            */
      __I  uint8_t   RESERVED_7_2:  6;              /*!< reserved                                                              */
    } FIFORWEN_b;                                   /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED10[3];
  
  union {
    __I  uint8_t   REMDATCNT;                       /*!< Remaining FIFO Data Count Register                                    */
    
    struct {
      __I  uint8_t   REMDAT     :  7;               /*!< FIFO remaining data count of the connected endpoint for reading       */
      __I  uint8_t   RESERVED_7_7:  1;              /*!< reserved                                                              */
    } REMDATCNT_b;                                  /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED11;
  
  union {
    __I  uint8_t   REMSPCCNT;                       /*!< Remaining FIFO Data Space Count Register                              */
    
    struct {
      __I  uint8_t   REMSPC     :  7;               /*!< FIFO remaining space count of the connected endpoint for writing      */
      __I  uint8_t   RESERVED_7_7:  1;              /*!< reserved                                                              */
    } REMSPCCNT_b;                                  /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED12;
  
  union {
    __IO uint8_t   DBGRAMADDR;                      /*!< Debug RAM Address Register                                            */
    
    struct {
      __IO uint8_t   DRAMADDR   :  8;               /*!< Start address of the FIFO for debugging                               */
    } DBGRAMADDR_b;                                 /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED13[5];
  
  union {
    __IO uint8_t   MAININTF;                        /*!< Main Interrupt Flag Register                                          */
    
    struct {
      __IO uint8_t   EP0SETIF   :  1;               /*!< Endpoint EP0 SETUP stage completion with received data loaded
                                                         interrupt direct status                                               */
      __I  uint8_t   EP0IF      :  1;               /*!< Endpoint EP0 interrupt indirect status                                */
      __I  uint8_t   RESERVED_5_2:  4;              /*!< Reserved bit2                                                         */
      __I  uint8_t   GPEPIF     :  1;               /*!< General-purpose endpoint interrupt indirect status                    */
      __I  uint8_t   SIEIF      :  1;               /*!< Serial Interface Engine interrupt indirect status                     */
    } MAININTF_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   SIEINTF;                         /*!< SIE Interrupt Flag Register                                           */
    
    struct {
      __I  uint8_t   ATADDRIF   :  1;               /*!< AutoSetAddress function normal completion interrupt direct status     */
      __I  uint8_t   RESERVED_1 :  1;               /*!< Reserved bit                                                          */
      __I  uint8_t   JIF        :  1;               /*!< J state detection interrupt direct status                             */
      __I  uint8_t   SOFIF      :  1;               /*!< SOF token received interrupt direct status                            */
      __I  uint8_t   SUSPENDIF  :  1;               /*!< Suspend state detection interrupt direct status                       */
      __I  uint8_t   RESETIF    :  1;               /*!< Reset state detection interrupt direct status                         */
      __I  uint8_t   NONJIF     :  1;               /*!< Non J state detection interrupt direct status                         */
      __I  uint8_t   RESERVED_7 :  1;               /*!< VBUS is absent in new spec                                            */
    } SIEINTF_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   GPEPINTF;                        /*!< Gerneral Endpoint Interrupt Flag Register                             */
    
    struct {
      __I  uint8_t   EPAIF      :  1;               /*!< Endpoint EPa interrupt indirect status                                */
      __I  uint8_t   EPBIF      :  1;               /*!< Endpoint EPb interrupt indirect status                                */
      __I  uint8_t   EPCIF      :  1;               /*!< Endpoint EPc interrupt indirect status                                */
      __I  uint8_t   RESERVED_7_3:  5;              /*!< Reserved bit                                                          */
    } GPEPINTF_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EP0INTF;                         /*!< Endpoint Interrupt Flag Register                                      */
    
    struct {
      __I  uint8_t   OUTERRIF   :  1;               /*!< Endpoint EP0 OUT transaction STALL sent interrupt direct status       */
      __I  uint8_t   INERRIF    :  1;               /*!< Endpoint EP0 IN transaction STALL reception interrupt direct
                                                         status                                                                */
      __I  uint8_t   OUTNAKIF   :  1;               /*!< Endpoint EP0 OUT transaction NAK sent interrupt direct status         */
      __I  uint8_t   INNAKIF    :  1;               /*!< Endpoint EP0 IN transaction NAK reception interrupt direct status     */
      __I  uint8_t   OUTACKIF   :  1;               /*!< Endpoint EP0 OUT transaction ACK sent interrupt direct status         */
      __I  uint8_t   INACKIF    :  1;               /*!< Endpoint EP0 IN transaction ACK reception interrupt direct status     */
      __I  uint8_t   RESERVED_7_6:  2;              /*!< reserved                                                              */
    } EP0INTF_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPAINTF;                         /*!< Endpoints EPa Interrupt Flag Register                                 */
    
    struct {
      __I  uint8_t   OUTERRIF   :  1;               /*!< Endpoint EPa OUT transaction STALL sent interrupt direct status       */
      __I  uint8_t   INERRIF    :  1;               /*!< Endpoint EPa IN transaction STALL reception interrupt direct
                                                         status                                                                */
      __I  uint8_t   OUTNAKIF   :  1;               /*!< Endpoint EPa OUT transaction NAK sent interrupt direct status         */
      __I  uint8_t   INNAKIF    :  1;               /*!< Endpoint EPa IN transaction NAK reception interrupt direct status     */
      __I  uint8_t   OUTACKIF   :  1;               /*!< Endpoint EPa OUT transaction ACK sent interrupt direct status         */
      __I  uint8_t   INACKIF    :  1;               /*!< Endpoint EPa IN transaction ACK reception interrupt direct status     */
      __I  uint8_t   OUTSHACKIF :  1;               /*!< Endpoint EPa short packet reception and ACK sent interrupt direct
                                                         status                                                                */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved bit                                                          */
    } EPAINTF_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPBINTF;                         /*!< Endpoints EPa/EPb Interrupt Flag Register                             */
    
    struct {
      __I  uint8_t   OUTERRIF   :  1;               /*!< Endpoint EPb OUT transaction STALL sent interrupt direct status       */
      __I  uint8_t   INERRIF    :  1;               /*!< Endpoint EPb IN transaction STALL reception interrupt direct
                                                         status                                                                */
      __I  uint8_t   OUTNAKIF   :  1;               /*!< Endpoint EPb OUT transaction NAK sent interrupt direct status         */
      __I  uint8_t   INNAKIF    :  1;               /*!< Endpoint EPb IN transaction NAK reception interrupt direct status     */
      __I  uint8_t   OUTACKIF   :  1;               /*!< Endpoint EPb OUT transaction ACK sent interrupt direct status         */
      __I  uint8_t   INACKIF    :  1;               /*!< Endpoint EPb IN transaction ACK reception interrupt direct status     */
      __I  uint8_t   OUTSHACKIF :  1;               /*!< Endpoint EPb short packet reception and ACK sent interrupt direct
                                                         status                                                                */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved bit                                                          */
    } EPBINTF_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPCINTF;                         /*!< Endpoints EPc Interrupt Flag Register                                 */
    
    struct {
      __I  uint8_t   OUTERRIF   :  1;               /*!< Endpoint EPc OUT transaction STALL sent interrupt direct status       */
      __I  uint8_t   INERRIF    :  1;               /*!< Endpoint EPc IN transaction STALL reception interrupt direct
                                                         status                                                                */
      __I  uint8_t   OUTNAKIF   :  1;               /*!< Endpoint EPc OUT transaction NAK sent interrupt direct status         */
      __I  uint8_t   INNAKIF    :  1;               /*!< Endpoint EPc IN transaction NAK reception interrupt direct status     */
      __I  uint8_t   OUTACKIF   :  1;               /*!< Endpoint EPc OUT transaction ACK sent interrupt direct status         */
      __I  uint8_t   INACKIF    :  1;               /*!< Endpoint EPc IN transaction ACK reception interrupt direct status     */
      __I  uint8_t   OUTSHACKIF :  1;               /*!< Endpoint EPc short packet reception and ACK sent interrupt direct
                                                         status                                                                */
      __I  uint8_t   RESERVED_7_7:  1;              /*!< reserved                                                              */
    } EPCINTF_b;                                    /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED14[9];
  
  union {
    __IO uint8_t   MAININTE;                        /*!< Main Interrupt Enable Register                                        */
    
    struct {
      __IO uint8_t   EP0SETIE   :  1;               /*!< Endpoint EP0 SETUP stage completion with received data loaded
                                                         interrupt enable                                                      */
      __IO uint8_t   EP0IE      :  1;               /*!< Endpoint EP0 interrupt enable                                         */
      __I  uint8_t   RESERVED_5_2:  4;              /*!< Reserved bit2                                                         */
      __IO uint8_t   GPEPIE     :  1;               /*!< General-purpose endpoint interrupt enable                             */
      __IO uint8_t   SIEIE      :  1;               /*!< Serial Interface Engine interrupt enable                              */
    } MAININTE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   SIEINTE;                         /*!< SIE Interrupt Enable Register                                         */
    
    struct {
      __IO uint8_t   ATADDRIE   :  1;               /*!< AutoSetAddress function normal completion interrupt enable            */
      __I  uint8_t   RESERVED_1 :  1;               /*!< Reserved bit                                                          */
      __IO uint8_t   JIE        :  1;               /*!< J state detection interrupt enable                                    */
      __IO uint8_t   SOFIE      :  1;               /*!< SOF token received interrupt enable                                   */
      __IO uint8_t   SUSPENDIE  :  1;               /*!< Suspend state detection interrupt enable                              */
      __IO uint8_t   RESETIE    :  1;               /*!< Reset state detection interrupt enable                                */
      __IO uint8_t   NONJIE     :  1;               /*!< Non J state detection interrupt enable                                */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved                                                              */
    } SIEINTE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   GPEPINTE;                        /*!< General Purpose Endpoint Interrupt Enable Register                    */
    
    struct {
      __IO uint8_t   EPAIE      :  1;               /*!< Endpoint EPa interrupt enable                                         */
      __IO uint8_t   EPBIE      :  1;               /*!< Endpoint EPb interrupt enable                                         */
      __IO uint8_t   EPCIE      :  1;               /*!< Endpoint EPc interrupt enable                                         */
      __I  uint8_t   RESERVED_7_3:  5;              /*!< Reserved bit                                                          */
    } GPEPINTE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EP0INTE;                         /*!< Endpoint Interrupt Enable Register                                    */
    
    struct {
      __IO uint8_t   OUTERRIE   :  1;               /*!< Endpoint EP0 OUT transaction STALL sent interrupt enable              */
      __IO uint8_t   INERRIE    :  1;               /*!< Endpoint EP0 IN transaction STALL reception interrupt enable          */
      __IO uint8_t   OUTNAKIE   :  1;               /*!< Endpoint EP0 OUT transaction NAK sent interrupt enable                */
      __IO uint8_t   INNAKIE    :  1;               /*!< Endpoint EP0 IN transaction NAK reception interrupt enable            */
      __IO uint8_t   OUTACKIE   :  1;               /*!< Endpoint EP0 OUT transaction ACK sent interrupt enable                */
      __IO uint8_t   INACKIE    :  1;               /*!< Endpoint EP0 IN transaction ACK reception interrupt enable            */
      __I  uint8_t   RESERVED_7_6:  2;              /*!< reserved                                                              */
    } EP0INTE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPAINTE;                         /*!< Endpoints EPa Interrupt Enable Register                               */
    
    struct {
      __IO uint8_t   OUTERRIE   :  1;               /*!< Endpoint EPa OUT transaction STALL sent interrupt enable              */
      __IO uint8_t   INERRIE    :  1;               /*!< Endpoint EPa IN transaction STALL reception interrupt enable          */
      __IO uint8_t   OUTNAKIE   :  1;               /*!< Endpoint EPa OUT transaction NAK sent interrupt enable                */
      __IO uint8_t   INNAKIE    :  1;               /*!< Endpoint EPa IN transaction NAK reception interrupt enable            */
      __IO uint8_t   OUTACKIE   :  1;               /*!< Endpoint EPa OUT transaction ACK sent interrupt enable                */
      __IO uint8_t   INACKIE    :  1;               /*!< Endpoint EPa IN transaction ACK reception interrupt enable            */
      __IO uint8_t   OUTSHACKIE :  1;               /*!< Endpoint EPa short packet reception and ACK sent interrupt enable     */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved bit                                                          */
    } EPAINTE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPBINTE;                         /*!< Endpoints EPb Interrupt Enable Register                               */
    
    struct {
      __IO uint8_t   OUTERRIE   :  1;               /*!< Endpoint EPb OUT transaction STALL sent interrupt enable              */
      __IO uint8_t   INERRIE    :  1;               /*!< Endpoint EPb IN transaction STALL reception interrupt enable          */
      __IO uint8_t   OUTNAKIE   :  1;               /*!< Endpoint EPb OUT transaction NAK sent interrupt enable                */
      __IO uint8_t   INNAKIE    :  1;               /*!< Endpoint EPb IN transaction NAK reception interrupt enable            */
      __IO uint8_t   OUTACKIE   :  1;               /*!< Endpoint EPb OUT transaction ACK sent interrupt enable                */
      __IO uint8_t   INACKIE    :  1;               /*!< Endpoint EPb IN transaction ACK reception interrupt enable            */
      __IO uint8_t   OUTSHACKIE :  1;               /*!< Endpoint EPb short packet reception and ACK sent interrupt enable     */
      __I  uint8_t   RESERVED_7 :  1;               /*!< Reserved bit                                                          */
    } EPBINTE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint8_t   EPCINTE;                         /*!< Endpoints EPc Interrupt Enable Register                               */
    
    struct {
      __IO uint8_t   OUTERRIE   :  1;               /*!< Endpoint EPc OUT transaction STALL sent interrupt enable              */
      __IO uint8_t   INERRIE    :  1;               /*!< Endpoint EPc IN transaction STALL reception interrupt enable          */
      __IO uint8_t   OUTNAKIE   :  1;               /*!< Endpoint EPc OUT transaction NAK sent interrupt enable                */
      __IO uint8_t   INNAKIE    :  1;               /*!< Endpoint EPc IN transaction NAK reception interrupt enable            */
      __IO uint8_t   OUTACKIE   :  1;               /*!< Endpoint EPc OUT transaction ACK sent interrupt enable                */
      __IO uint8_t   INACKIE    :  1;               /*!< Endpoint EPc IN transaction ACK reception interrupt enable            */
      __IO uint8_t   OUTSHACKIE :  1;               /*!< Endpoint EPc short packet reception and ACK sent interrupt enable     */
      __I  uint8_t   RESERVED_7 :  1;               /*!< reserved                                                              */
    } EPCINTE_b;                                    /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED15[153];
  
  union {
    __IO uint8_t   FIFODAT;                         /*!< FIFO Data Register                                                    */
    
    struct {
      __IO uint8_t   FIFODAT    :  8;               /*!< FIFO data access                                                      */
    } FIFODAT_b;                                    /*!< BitSize                                                               */
  };
  __I  uint8_t   RESERVED16[3];
  
  union {
    __IO uint8_t   DBGRAMDAT;                       /*!< Debug RAM Data Register                                               */
    
    struct {
      __IO uint8_t   DBRAMDAT   :  8;               /*!< FIFO data access for debugging                                        */
    } DBGRAMDAT_b;                                  /*!< BitSize                                                               */
  };
} USB_Type;


/* ================================================================================ */
/* ================                     USBMISC                    ================ */
/* ================================================================================ */


/**
  * @brief USB MISC Controller (USBMISC)
  */

typedef struct {                                    /*!< USBMISC Structure                                                     */
  
  union {
    __IO uint16_t  CTL;                             /*!< Misc Control Register                                                 */
    
    struct {
      __IO uint16_t  REG33VEN   :  1;               /*!< 3.3 V regulator enable for the PHY part                               */
      __IO uint16_t  REG18VEN   :  1;               /*!< 1.8 V regulator enable for the USB logic circuits                     */
      __I  uint16_t  RESERVED_2 :  1;               /*!< reserved                                                              */
      __IO uint16_t  USBRST     :  1;               /*!< Reset state control                                                   */
      __IO uint16_t  VBUSDET    :  1;               /*!< USB controller communication enable after VBUS is detected            */
      __I  uint16_t  RESERVED_5_5:  1;              /*!< reserved                                                              */
      __IO uint16_t  USBPLLEN   :  1;               /*!< PLL operation enable                                                  */
      __I  uint16_t  RESERVED_7 :  1;               /*!< Reserved bit                                                          */
      __IO uint16_t  USBSNZ     :  1;               /*!< USB snooze control enable                                             */
      __I  uint16_t  RESERVED_11_9:  3;             /*!< Reserved bits                                                         */
      __IO uint16_t  USBWAIT    :  1;               /*!< Wait cycle control                                                    */
      __I  uint16_t  RESERVED_15_13:  3;            /*!< Reserved bits                                                         */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  __I  uint16_t  RESERVED;
  
  union {
    __IO uint16_t  WRDMAEN;                         /*!< USB FIFO Write DMA Request Enable Register                            */
    
    struct {
      __IO uint16_t  WRDMAEN0   :  1;               /*!< USB FIFO ch 0 Write DMA Request Enable Register                       */
      __IO uint16_t  WRDMAEN1   :  1;               /*!< USB FIFO ch 1 Write DMA Request Enable Register                       */
      __IO uint16_t  WRDMAEN2   :  1;               /*!< USB FIFO Write ch 2 DMA Request Enable Register                       */
      __IO uint16_t  WRDMAEN3   :  1;               /*!< USB FIFO ch 3 Write DMA Request Enable Register                       */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< reserved                                                              */
    } WRDMAEN_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  RDDMAEN;                         /*!< USB FIFO Read DMA Request Enable Register                             */
    
    struct {
      __IO uint16_t  RDDMAEN0   :  1;               /*!< USB FIFO DMA ch0 request enable                                       */
      __IO uint16_t  RDDMAEN1   :  1;               /*!< USB FIFO DMA ch1 request enable                                       */
      __IO uint16_t  RDDMAEN2   :  1;               /*!< USB FIFO DMA ch2 request enablee                                      */
      __IO uint16_t  RDDMAEN3   :  1;               /*!< USB FIFO DMA ch3 request enable                                       */
      __I  uint16_t  RESERVED_15_4: 12;             /*!< reserved                                                              */
    } RDDMAEN_b;                                    /*!< BitSize                                                               */
  };
} USBMISC_Type;


/* ================================================================================ */
/* ================                      WDT2                      ================ */
/* ================================================================================ */


/**
  * @brief Watchdog 2 timer counter, clock source and clock division ratio control (WDT2)
  */

typedef struct {                                    /*!< WDT2 Structure                                                        */
  
  union {
    __IO uint16_t  CLK;                             /*!< WDT Clock Control Register                                            */
    
    struct {
      __IO uint16_t  CLKSRC     :  2;               /*!< Clock source select (can be write protected)                          */
      __I  uint16_t  RESERVED_3_2:  2;              /*!< Reserved                                                              */
      __IO uint16_t  CLKDIV     :  2;               /*!< Clock division select (can be write protected)                        */
      __I  uint16_t  RESERVED_7_6:  2;              /*!< Reserved                                                              */
      __IO uint16_t  DBRUN      :  1;               /*!< Enable clock on debug mode (can be write protected)                   */
      __I  uint16_t  RESERVED_15_9:  7;             /*!< Reserved                                                              */
    } CLK_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CTL;                             /*!< Control Register                                                      */
    
    struct {
      __IO uint16_t  WDTRUN     :  4;               /*!< WDT2 run and stop control (can be write protected)                    */
      __IO uint16_t  WDTCNTRST  :  1;               /*!< WDT2 counter reset (can be write protected)                           */
      __I  uint16_t  RESERVED_7_5:  3;              /*!< Reserved                                                              */
      __I  uint16_t  STATNMI    :  1;               /*!< Counter overflow and NMI status                                       */
      __IO uint16_t  MOD        :  2;               /*!< WDT2 operating mode (can be write protected)                          */
      __I  uint16_t  RESERVED_15_11:  5;            /*!< Reserved                                                              */
    } CTL_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint16_t  CMP;                             /*!< Counter Compare Match Register                                        */
    
    struct {
      __IO uint16_t  CMP        : 10;               /*!< WDT2 Compare Match (can be write protected)                           */
      __I  uint16_t  RESERVED_15_10:  6;            /*!< Reserved                                                              */
    } CMP_b;                                        /*!< BitSize                                                               */
  };
} WDT2_Type;


/* --------------------  End of section using anonymous unions  ------------------- */
#if defined(__CC_ARM)
  #pragma pop
#elif defined(__ICCARM__)
  /* leave anonymous unions enabled */
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning restore
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================        struct 'ADC12A_0' Position & Mask       ================ */
/* ================================================================================ */


/* --------------------------------  ADC12A_0_CTL  -------------------------------- */
#define ADC12A_0_CTL_MODEN_Pos                0                                                       /*!< ADC12A_0 CTL: MODEN Position            */
#define ADC12A_0_CTL_MODEN_Msk                (0x01UL << ADC12A_0_CTL_MODEN_Pos)                      /*!< ADC12A_0 CTL: MODEN Mask                */
#define ADC12A_0_CTL_ADST_Pos                 1                                                       /*!< ADC12A_0 CTL: ADST Position             */
#define ADC12A_0_CTL_ADST_Msk                 (0x01UL << ADC12A_0_CTL_ADST_Pos)                       /*!< ADC12A_0 CTL: ADST Mask                 */
#define ADC12A_0_CTL_RESERVED_7_2_Pos         2                                                       /*!< ADC12A_0 CTL: RESERVED_7_2 Position     */
#define ADC12A_0_CTL_RESERVED_7_2_Msk         (0x3fUL << ADC12A_0_CTL_RESERVED_7_2_Pos)               /*!< ADC12A_0 CTL: RESERVED_7_2 Mask         */
#define ADC12A_0_CTL_RESERVED_9_8_Pos         8                                                       /*!< ADC12A_0 CTL: RESERVED_9_8 Position     */
#define ADC12A_0_CTL_RESERVED_9_8_Msk         (0x03UL << ADC12A_0_CTL_RESERVED_9_8_Pos)               /*!< ADC12A_0 CTL: RESERVED_9_8 Mask         */
#define ADC12A_0_CTL_BSYSTAT_Pos              10                                                      /*!< ADC12A_0 CTL: BSYSTAT Position          */
#define ADC12A_0_CTL_BSYSTAT_Msk              (0x01UL << ADC12A_0_CTL_BSYSTAT_Pos)                    /*!< ADC12A_0 CTL: BSYSTAT Mask              */
#define ADC12A_0_CTL_RESERVED_11_Pos          11                                                      /*!< ADC12A_0 CTL: RESERVED_11 Position      */
#define ADC12A_0_CTL_RESERVED_11_Msk          (0x01UL << ADC12A_0_CTL_RESERVED_11_Pos)                /*!< ADC12A_0 CTL: RESERVED_11 Mask          */
#define ADC12A_0_CTL_ADSTAT_Pos               12                                                      /*!< ADC12A_0 CTL: ADSTAT Position           */
#define ADC12A_0_CTL_ADSTAT_Msk               (0x07UL << ADC12A_0_CTL_ADSTAT_Pos)                     /*!< ADC12A_0 CTL: ADSTAT Mask               */
#define ADC12A_0_CTL_RESERVED_15_Pos          15                                                      /*!< ADC12A_0 CTL: RESERVED_15 Position      */
#define ADC12A_0_CTL_RESERVED_15_Msk          (0x01UL << ADC12A_0_CTL_RESERVED_15_Pos)                /*!< ADC12A_0 CTL: RESERVED_15 Mask          */

/* --------------------------------  ADC12A_0_TRG  -------------------------------- */
#define ADC12A_0_TRG_SMPCLK_Pos               0                                                       /*!< ADC12A_0 TRG: SMPCLK Position           */
#define ADC12A_0_TRG_SMPCLK_Msk               (0x07UL << ADC12A_0_TRG_SMPCLK_Pos)                     /*!< ADC12A_0 TRG: SMPCLK Mask               */
#define ADC12A_0_TRG_RESERVED_3_Pos           3                                                       /*!< ADC12A_0 TRG: RESERVED_3 Position       */
#define ADC12A_0_TRG_RESERVED_3_Msk           (0x01UL << ADC12A_0_TRG_RESERVED_3_Pos)                 /*!< ADC12A_0 TRG: RESERVED_3 Mask           */
#define ADC12A_0_TRG_CNVTRG_Pos               4                                                       /*!< ADC12A_0 TRG: CNVTRG Position           */
#define ADC12A_0_TRG_CNVTRG_Msk               (0x03UL << ADC12A_0_TRG_CNVTRG_Pos)                     /*!< ADC12A_0 TRG: CNVTRG Mask               */
#define ADC12A_0_TRG_CNVMD_Pos                6                                                       /*!< ADC12A_0 TRG: CNVMD Position            */
#define ADC12A_0_TRG_CNVMD_Msk                (0x01UL << ADC12A_0_TRG_CNVMD_Pos)                      /*!< ADC12A_0 TRG: CNVMD Mask                */
#define ADC12A_0_TRG_STMD_Pos                 7                                                       /*!< ADC12A_0 TRG: STMD Position             */
#define ADC12A_0_TRG_STMD_Msk                 (0x01UL << ADC12A_0_TRG_STMD_Pos)                       /*!< ADC12A_0 TRG: STMD Mask                 */
#define ADC12A_0_TRG_STAAIN_Pos               8                                                       /*!< ADC12A_0 TRG: STAAIN Position           */
#define ADC12A_0_TRG_STAAIN_Msk               (0x07UL << ADC12A_0_TRG_STAAIN_Pos)                     /*!< ADC12A_0 TRG: STAAIN Mask               */
#define ADC12A_0_TRG_ENDAIN_Pos               11                                                      /*!< ADC12A_0 TRG: ENDAIN Position           */
#define ADC12A_0_TRG_ENDAIN_Msk               (0x07UL << ADC12A_0_TRG_ENDAIN_Pos)                     /*!< ADC12A_0 TRG: ENDAIN Mask               */
#define ADC12A_0_TRG_RESERVED_15_14_Pos       14                                                      /*!< ADC12A_0 TRG: RESERVED_15_14 Position   */
#define ADC12A_0_TRG_RESERVED_15_14_Msk       (0x03UL << ADC12A_0_TRG_RESERVED_15_14_Pos)             /*!< ADC12A_0 TRG: RESERVED_15_14 Mask       */

/* --------------------------------  ADC12A_0_CFG  -------------------------------- */
#define ADC12A_0_CFG_VRANGE_Pos               0                                                       /*!< ADC12A_0 CFG: VRANGE Position           */
#define ADC12A_0_CFG_VRANGE_Msk               (0x03UL << ADC12A_0_CFG_VRANGE_Pos)                     /*!< ADC12A_0 CFG: VRANGE Mask               */
#define ADC12A_0_CFG_RESERVED_7_2_Pos         2                                                       /*!< ADC12A_0 CFG: RESERVED_7_2 Position     */
#define ADC12A_0_CFG_RESERVED_7_2_Msk         (0x3fUL << ADC12A_0_CFG_RESERVED_7_2_Pos)               /*!< ADC12A_0 CFG: RESERVED_7_2 Mask         */
#define ADC12A_0_CFG_RESERVED_15_8_Pos        8                                                       /*!< ADC12A_0 CFG: RESERVED_15_8 Position    */
#define ADC12A_0_CFG_RESERVED_15_8_Msk        (0x000000ffUL << ADC12A_0_CFG_RESERVED_15_8_Pos)        /*!< ADC12A_0 CFG: RESERVED_15_8 Mask        */

/* --------------------------------  ADC12A_0_INTF  ------------------------------- */
#define ADC12A_0_INTF_AD0CIF_Pos              0                                                       /*!< ADC12A_0 INTF: AD0CIF Position          */
#define ADC12A_0_INTF_AD0CIF_Msk              (0x01UL << ADC12A_0_INTF_AD0CIF_Pos)                    /*!< ADC12A_0 INTF: AD0CIF Mask              */
#define ADC12A_0_INTF_AD1CIF_Pos              1                                                       /*!< ADC12A_0 INTF: AD1CIF Position          */
#define ADC12A_0_INTF_AD1CIF_Msk              (0x01UL << ADC12A_0_INTF_AD1CIF_Pos)                    /*!< ADC12A_0 INTF: AD1CIF Mask              */
#define ADC12A_0_INTF_AD2CIF_Pos              2                                                       /*!< ADC12A_0 INTF: AD2CIF Position          */
#define ADC12A_0_INTF_AD2CIF_Msk              (0x01UL << ADC12A_0_INTF_AD2CIF_Pos)                    /*!< ADC12A_0 INTF: AD2CIF Mask              */
#define ADC12A_0_INTF_AD3CIF_Pos              3                                                       /*!< ADC12A_0 INTF: AD3CIF Position          */
#define ADC12A_0_INTF_AD3CIF_Msk              (0x01UL << ADC12A_0_INTF_AD3CIF_Pos)                    /*!< ADC12A_0 INTF: AD3CIF Mask              */
#define ADC12A_0_INTF_AD4CIF_Pos              4                                                       /*!< ADC12A_0 INTF: AD4CIF Position          */
#define ADC12A_0_INTF_AD4CIF_Msk              (0x01UL << ADC12A_0_INTF_AD4CIF_Pos)                    /*!< ADC12A_0 INTF: AD4CIF Mask              */
#define ADC12A_0_INTF_AD5CIF_Pos              5                                                       /*!< ADC12A_0 INTF: AD5CIF Position          */
#define ADC12A_0_INTF_AD5CIF_Msk              (0x01UL << ADC12A_0_INTF_AD5CIF_Pos)                    /*!< ADC12A_0 INTF: AD5CIF Mask              */
#define ADC12A_0_INTF_AD6CIF_Pos              6                                                       /*!< ADC12A_0 INTF: AD6CIF Position          */
#define ADC12A_0_INTF_AD6CIF_Msk              (0x01UL << ADC12A_0_INTF_AD6CIF_Pos)                    /*!< ADC12A_0 INTF: AD6CIF Mask              */
#define ADC12A_0_INTF_AD7CIF_Pos              7                                                       /*!< ADC12A_0 INTF: AD7CIF Position          */
#define ADC12A_0_INTF_AD7CIF_Msk              (0x01UL << ADC12A_0_INTF_AD7CIF_Pos)                    /*!< ADC12A_0 INTF: AD7CIF Mask              */
#define ADC12A_0_INTF_OVIF_Pos                8                                                       /*!< ADC12A_0 INTF: OVIF Position            */
#define ADC12A_0_INTF_OVIF_Msk                (0x01UL << ADC12A_0_INTF_OVIF_Pos)                      /*!< ADC12A_0 INTF: OVIF Mask                */
#define ADC12A_0_INTF_RESERVED_15_9_Pos       9                                                       /*!< ADC12A_0 INTF: RESERVED_15_9 Position   */
#define ADC12A_0_INTF_RESERVED_15_9_Msk       (0x7fUL << ADC12A_0_INTF_RESERVED_15_9_Pos)             /*!< ADC12A_0 INTF: RESERVED_15_9 Mask       */

/* --------------------------------  ADC12A_0_INTE  ------------------------------- */
#define ADC12A_0_INTE_AD0CIE_Pos              0                                                       /*!< ADC12A_0 INTE: AD0CIE Position          */
#define ADC12A_0_INTE_AD0CIE_Msk              (0x01UL << ADC12A_0_INTE_AD0CIE_Pos)                    /*!< ADC12A_0 INTE: AD0CIE Mask              */
#define ADC12A_0_INTE_AD1CIE_Pos              1                                                       /*!< ADC12A_0 INTE: AD1CIE Position          */
#define ADC12A_0_INTE_AD1CIE_Msk              (0x01UL << ADC12A_0_INTE_AD1CIE_Pos)                    /*!< ADC12A_0 INTE: AD1CIE Mask              */
#define ADC12A_0_INTE_AD2CIE_Pos              2                                                       /*!< ADC12A_0 INTE: AD2CIE Position          */
#define ADC12A_0_INTE_AD2CIE_Msk              (0x01UL << ADC12A_0_INTE_AD2CIE_Pos)                    /*!< ADC12A_0 INTE: AD2CIE Mask              */
#define ADC12A_0_INTE_AD3CIE_Pos              3                                                       /*!< ADC12A_0 INTE: AD3CIE Position          */
#define ADC12A_0_INTE_AD3CIE_Msk              (0x01UL << ADC12A_0_INTE_AD3CIE_Pos)                    /*!< ADC12A_0 INTE: AD3CIE Mask              */
#define ADC12A_0_INTE_AD4CIE_Pos              4                                                       /*!< ADC12A_0 INTE: AD4CIE Position          */
#define ADC12A_0_INTE_AD4CIE_Msk              (0x01UL << ADC12A_0_INTE_AD4CIE_Pos)                    /*!< ADC12A_0 INTE: AD4CIE Mask              */
#define ADC12A_0_INTE_AD5CIE_Pos              5                                                       /*!< ADC12A_0 INTE: AD5CIE Position          */
#define ADC12A_0_INTE_AD5CIE_Msk              (0x01UL << ADC12A_0_INTE_AD5CIE_Pos)                    /*!< ADC12A_0 INTE: AD5CIE Mask              */
#define ADC12A_0_INTE_AD6CIE_Pos              6                                                       /*!< ADC12A_0 INTE: AD6CIE Position          */
#define ADC12A_0_INTE_AD6CIE_Msk              (0x01UL << ADC12A_0_INTE_AD6CIE_Pos)                    /*!< ADC12A_0 INTE: AD6CIE Mask              */
#define ADC12A_0_INTE_AD7CIE_Pos              7                                                       /*!< ADC12A_0 INTE: AD7CIE Position          */
#define ADC12A_0_INTE_AD7CIE_Msk              (0x01UL << ADC12A_0_INTE_AD7CIE_Pos)                    /*!< ADC12A_0 INTE: AD7CIE Mask              */
#define ADC12A_0_INTE_OVIE_Pos                8                                                       /*!< ADC12A_0 INTE: OVIE Position            */
#define ADC12A_0_INTE_OVIE_Msk                (0x01UL << ADC12A_0_INTE_OVIE_Pos)                      /*!< ADC12A_0 INTE: OVIE Mask                */
#define ADC12A_0_INTE_RESERVED_15_9_Pos       9                                                       /*!< ADC12A_0 INTE: RESERVED_15_9 Position   */
#define ADC12A_0_INTE_RESERVED_15_9_Msk       (0x7fUL << ADC12A_0_INTE_RESERVED_15_9_Pos)             /*!< ADC12A_0 INTE: RESERVED_15_9 Mask       */

/* -------------------------------  ADC12A_0_DMAEN0  ------------------------------ */
#define ADC12A_0_DMAEN0_ADCDMAEN0_Pos         0                                                       /*!< ADC12A_0 DMAEN0: ADCDMAEN0 Position     */
#define ADC12A_0_DMAEN0_ADCDMAEN0_Msk         (0x01UL << ADC12A_0_DMAEN0_ADCDMAEN0_Pos)               /*!< ADC12A_0 DMAEN0: ADCDMAEN0 Mask         */
#define ADC12A_0_DMAEN0_ADCDMAEN1_Pos         1                                                       /*!< ADC12A_0 DMAEN0: ADCDMAEN1 Position     */
#define ADC12A_0_DMAEN0_ADCDMAEN1_Msk         (0x01UL << ADC12A_0_DMAEN0_ADCDMAEN1_Pos)               /*!< ADC12A_0 DMAEN0: ADCDMAEN1 Mask         */
#define ADC12A_0_DMAEN0_ADCDMAEN2_Pos         2                                                       /*!< ADC12A_0 DMAEN0: ADCDMAEN2 Position     */
#define ADC12A_0_DMAEN0_ADCDMAEN2_Msk         (0x01UL << ADC12A_0_DMAEN0_ADCDMAEN2_Pos)               /*!< ADC12A_0 DMAEN0: ADCDMAEN2 Mask         */
#define ADC12A_0_DMAEN0_ADCDMAEN3_Pos         3                                                       /*!< ADC12A_0 DMAEN0: ADCDMAEN3 Position     */
#define ADC12A_0_DMAEN0_ADCDMAEN3_Msk         (0x01UL << ADC12A_0_DMAEN0_ADCDMAEN3_Pos)               /*!< ADC12A_0 DMAEN0: ADCDMAEN3 Mask         */
#define ADC12A_0_DMAEN0_RESERVED_7_4_Pos      4                                                       /*!< ADC12A_0 DMAEN0: RESERVED_7_4 Position  */
#define ADC12A_0_DMAEN0_RESERVED_7_4_Msk      (0x0fUL << ADC12A_0_DMAEN0_RESERVED_7_4_Pos)            /*!< ADC12A_0 DMAEN0: RESERVED_7_4 Mask      */
#define ADC12A_0_DMAEN0_RESERVED_15_8_Pos     8                                                       /*!< ADC12A_0 DMAEN0: RESERVED_15_8 Position */
#define ADC12A_0_DMAEN0_RESERVED_15_8_Msk     (0x000000ffUL << ADC12A_0_DMAEN0_RESERVED_15_8_Pos)     /*!< ADC12A_0 DMAEN0: RESERVED_15_8 Mask     */

/* -------------------------------  ADC12A_0_DMAEN1  ------------------------------ */
#define ADC12A_0_DMAEN1_ADCDMAEN0_Pos         0                                                       /*!< ADC12A_0 DMAEN1: ADCDMAEN0 Position     */
#define ADC12A_0_DMAEN1_ADCDMAEN0_Msk         (0x01UL << ADC12A_0_DMAEN1_ADCDMAEN0_Pos)               /*!< ADC12A_0 DMAEN1: ADCDMAEN0 Mask         */
#define ADC12A_0_DMAEN1_ADCDMAEN1_Pos         1                                                       /*!< ADC12A_0 DMAEN1: ADCDMAEN1 Position     */
#define ADC12A_0_DMAEN1_ADCDMAEN1_Msk         (0x01UL << ADC12A_0_DMAEN1_ADCDMAEN1_Pos)               /*!< ADC12A_0 DMAEN1: ADCDMAEN1 Mask         */
#define ADC12A_0_DMAEN1_ADCDMAEN2_Pos         2                                                       /*!< ADC12A_0 DMAEN1: ADCDMAEN2 Position     */
#define ADC12A_0_DMAEN1_ADCDMAEN2_Msk         (0x01UL << ADC12A_0_DMAEN1_ADCDMAEN2_Pos)               /*!< ADC12A_0 DMAEN1: ADCDMAEN2 Mask         */
#define ADC12A_0_DMAEN1_ADCDMAEN3_Pos         3                                                       /*!< ADC12A_0 DMAEN1: ADCDMAEN3 Position     */
#define ADC12A_0_DMAEN1_ADCDMAEN3_Msk         (0x01UL << ADC12A_0_DMAEN1_ADCDMAEN3_Pos)               /*!< ADC12A_0 DMAEN1: ADCDMAEN3 Mask         */
#define ADC12A_0_DMAEN1_RESERVED_7_4_Pos      4                                                       /*!< ADC12A_0 DMAEN1: RESERVED_7_4 Position  */
#define ADC12A_0_DMAEN1_RESERVED_7_4_Msk      (0x0fUL << ADC12A_0_DMAEN1_RESERVED_7_4_Pos)            /*!< ADC12A_0 DMAEN1: RESERVED_7_4 Mask      */
#define ADC12A_0_DMAEN1_RESERVED_15_8_Pos     8                                                       /*!< ADC12A_0 DMAEN1: RESERVED_15_8 Position */
#define ADC12A_0_DMAEN1_RESERVED_15_8_Msk     (0x000000ffUL << ADC12A_0_DMAEN1_RESERVED_15_8_Pos)     /*!< ADC12A_0 DMAEN1: RESERVED_15_8 Mask     */

/* -------------------------------  ADC12A_0_DMAEN2  ------------------------------ */
#define ADC12A_0_DMAEN2_ADCDMAEN0_Pos         0                                                       /*!< ADC12A_0 DMAEN2: ADCDMAEN0 Position     */
#define ADC12A_0_DMAEN2_ADCDMAEN0_Msk         (0x01UL << ADC12A_0_DMAEN2_ADCDMAEN0_Pos)               /*!< ADC12A_0 DMAEN2: ADCDMAEN0 Mask         */
#define ADC12A_0_DMAEN2_ADCDMAEN1_Pos         1                                                       /*!< ADC12A_0 DMAEN2: ADCDMAEN1 Position     */
#define ADC12A_0_DMAEN2_ADCDMAEN1_Msk         (0x01UL << ADC12A_0_DMAEN2_ADCDMAEN1_Pos)               /*!< ADC12A_0 DMAEN2: ADCDMAEN1 Mask         */
#define ADC12A_0_DMAEN2_ADCDMAEN2_Pos         2                                                       /*!< ADC12A_0 DMAEN2: ADCDMAEN2 Position     */
#define ADC12A_0_DMAEN2_ADCDMAEN2_Msk         (0x01UL << ADC12A_0_DMAEN2_ADCDMAEN2_Pos)               /*!< ADC12A_0 DMAEN2: ADCDMAEN2 Mask         */
#define ADC12A_0_DMAEN2_ADCDMAEN3_Pos         3                                                       /*!< ADC12A_0 DMAEN2: ADCDMAEN3 Position     */
#define ADC12A_0_DMAEN2_ADCDMAEN3_Msk         (0x01UL << ADC12A_0_DMAEN2_ADCDMAEN3_Pos)               /*!< ADC12A_0 DMAEN2: ADCDMAEN3 Mask         */
#define ADC12A_0_DMAEN2_RESERVED_7_4_Pos      4                                                       /*!< ADC12A_0 DMAEN2: RESERVED_7_4 Position  */
#define ADC12A_0_DMAEN2_RESERVED_7_4_Msk      (0x0fUL << ADC12A_0_DMAEN2_RESERVED_7_4_Pos)            /*!< ADC12A_0 DMAEN2: RESERVED_7_4 Mask      */
#define ADC12A_0_DMAEN2_RESERVED_15_8_Pos     8                                                       /*!< ADC12A_0 DMAEN2: RESERVED_15_8 Position */
#define ADC12A_0_DMAEN2_RESERVED_15_8_Msk     (0x000000ffUL << ADC12A_0_DMAEN2_RESERVED_15_8_Pos)     /*!< ADC12A_0 DMAEN2: RESERVED_15_8 Mask     */

/* -------------------------------  ADC12A_0_DMAEN3  ------------------------------ */
#define ADC12A_0_DMAEN3_ADCDMAEN0_Pos         0                                                       /*!< ADC12A_0 DMAEN3: ADCDMAEN0 Position     */
#define ADC12A_0_DMAEN3_ADCDMAEN0_Msk         (0x01UL << ADC12A_0_DMAEN3_ADCDMAEN0_Pos)               /*!< ADC12A_0 DMAEN3: ADCDMAEN0 Mask         */
#define ADC12A_0_DMAEN3_ADCDMAEN1_Pos         1                                                       /*!< ADC12A_0 DMAEN3: ADCDMAEN1 Position     */
#define ADC12A_0_DMAEN3_ADCDMAEN1_Msk         (0x01UL << ADC12A_0_DMAEN3_ADCDMAEN1_Pos)               /*!< ADC12A_0 DMAEN3: ADCDMAEN1 Mask         */
#define ADC12A_0_DMAEN3_ADCDMAEN2_Pos         2                                                       /*!< ADC12A_0 DMAEN3: ADCDMAEN2 Position     */
#define ADC12A_0_DMAEN3_ADCDMAEN2_Msk         (0x01UL << ADC12A_0_DMAEN3_ADCDMAEN2_Pos)               /*!< ADC12A_0 DMAEN3: ADCDMAEN2 Mask         */
#define ADC12A_0_DMAEN3_ADCDMAEN3_Pos         3                                                       /*!< ADC12A_0 DMAEN3: ADCDMAEN3 Position     */
#define ADC12A_0_DMAEN3_ADCDMAEN3_Msk         (0x01UL << ADC12A_0_DMAEN3_ADCDMAEN3_Pos)               /*!< ADC12A_0 DMAEN3: ADCDMAEN3 Mask         */
#define ADC12A_0_DMAEN3_RESERVED_7_4_Pos      4                                                       /*!< ADC12A_0 DMAEN3: RESERVED_7_4 Position  */
#define ADC12A_0_DMAEN3_RESERVED_7_4_Msk      (0x0fUL << ADC12A_0_DMAEN3_RESERVED_7_4_Pos)            /*!< ADC12A_0 DMAEN3: RESERVED_7_4 Mask      */
#define ADC12A_0_DMAEN3_RESERVED_15_8_Pos     8                                                       /*!< ADC12A_0 DMAEN3: RESERVED_15_8 Position */
#define ADC12A_0_DMAEN3_RESERVED_15_8_Msk     (0x000000ffUL << ADC12A_0_DMAEN3_RESERVED_15_8_Pos)     /*!< ADC12A_0 DMAEN3: RESERVED_15_8 Mask     */

/* -------------------------------  ADC12A_0_DMAEN4  ------------------------------ */
#define ADC12A_0_DMAEN4_ADCDMAEN0_Pos         0                                                       /*!< ADC12A_0 DMAEN4: ADCDMAEN0 Position     */
#define ADC12A_0_DMAEN4_ADCDMAEN0_Msk         (0x01UL << ADC12A_0_DMAEN4_ADCDMAEN0_Pos)               /*!< ADC12A_0 DMAEN4: ADCDMAEN0 Mask         */
#define ADC12A_0_DMAEN4_ADCDMAEN1_Pos         1                                                       /*!< ADC12A_0 DMAEN4: ADCDMAEN1 Position     */
#define ADC12A_0_DMAEN4_ADCDMAEN1_Msk         (0x01UL << ADC12A_0_DMAEN4_ADCDMAEN1_Pos)               /*!< ADC12A_0 DMAEN4: ADCDMAEN1 Mask         */
#define ADC12A_0_DMAEN4_ADCDMAEN2_Pos         2                                                       /*!< ADC12A_0 DMAEN4: ADCDMAEN2 Position     */
#define ADC12A_0_DMAEN4_ADCDMAEN2_Msk         (0x01UL << ADC12A_0_DMAEN4_ADCDMAEN2_Pos)               /*!< ADC12A_0 DMAEN4: ADCDMAEN2 Mask         */
#define ADC12A_0_DMAEN4_ADCDMAEN3_Pos         3                                                       /*!< ADC12A_0 DMAEN4: ADCDMAEN3 Position     */
#define ADC12A_0_DMAEN4_ADCDMAEN3_Msk         (0x01UL << ADC12A_0_DMAEN4_ADCDMAEN3_Pos)               /*!< ADC12A_0 DMAEN4: ADCDMAEN3 Mask         */
#define ADC12A_0_DMAEN4_RESERVED_7_4_Pos      4                                                       /*!< ADC12A_0 DMAEN4: RESERVED_7_4 Position  */
#define ADC12A_0_DMAEN4_RESERVED_7_4_Msk      (0x0fUL << ADC12A_0_DMAEN4_RESERVED_7_4_Pos)            /*!< ADC12A_0 DMAEN4: RESERVED_7_4 Mask      */
#define ADC12A_0_DMAEN4_RESERVED_15_8_Pos     8                                                       /*!< ADC12A_0 DMAEN4: RESERVED_15_8 Position */
#define ADC12A_0_DMAEN4_RESERVED_15_8_Msk     (0x000000ffUL << ADC12A_0_DMAEN4_RESERVED_15_8_Pos)     /*!< ADC12A_0 DMAEN4: RESERVED_15_8 Mask     */

/* -------------------------------  ADC12A_0_DMAEN5  ------------------------------ */
#define ADC12A_0_DMAEN5_ADCDMAEN0_Pos         0                                                       /*!< ADC12A_0 DMAEN5: ADCDMAEN0 Position     */
#define ADC12A_0_DMAEN5_ADCDMAEN0_Msk         (0x01UL << ADC12A_0_DMAEN5_ADCDMAEN0_Pos)               /*!< ADC12A_0 DMAEN5: ADCDMAEN0 Mask         */
#define ADC12A_0_DMAEN5_ADCDMAEN1_Pos         1                                                       /*!< ADC12A_0 DMAEN5: ADCDMAEN1 Position     */
#define ADC12A_0_DMAEN5_ADCDMAEN1_Msk         (0x01UL << ADC12A_0_DMAEN5_ADCDMAEN1_Pos)               /*!< ADC12A_0 DMAEN5: ADCDMAEN1 Mask         */
#define ADC12A_0_DMAEN5_ADCDMAEN2_Pos         2                                                       /*!< ADC12A_0 DMAEN5: ADCDMAEN2 Position     */
#define ADC12A_0_DMAEN5_ADCDMAEN2_Msk         (0x01UL << ADC12A_0_DMAEN5_ADCDMAEN2_Pos)               /*!< ADC12A_0 DMAEN5: ADCDMAEN2 Mask         */
#define ADC12A_0_DMAEN5_ADCDMAEN3_Pos         3                                                       /*!< ADC12A_0 DMAEN5: ADCDMAEN3 Position     */
#define ADC12A_0_DMAEN5_ADCDMAEN3_Msk         (0x01UL << ADC12A_0_DMAEN5_ADCDMAEN3_Pos)               /*!< ADC12A_0 DMAEN5: ADCDMAEN3 Mask         */
#define ADC12A_0_DMAEN5_RESERVED_7_4_Pos      4                                                       /*!< ADC12A_0 DMAEN5: RESERVED_7_4 Position  */
#define ADC12A_0_DMAEN5_RESERVED_7_4_Msk      (0x0fUL << ADC12A_0_DMAEN5_RESERVED_7_4_Pos)            /*!< ADC12A_0 DMAEN5: RESERVED_7_4 Mask      */
#define ADC12A_0_DMAEN5_RESERVED_15_8_Pos     8                                                       /*!< ADC12A_0 DMAEN5: RESERVED_15_8 Position */
#define ADC12A_0_DMAEN5_RESERVED_15_8_Msk     (0x000000ffUL << ADC12A_0_DMAEN5_RESERVED_15_8_Pos)     /*!< ADC12A_0 DMAEN5: RESERVED_15_8 Mask     */

/* -------------------------------  ADC12A_0_DMAEN6  ------------------------------ */
#define ADC12A_0_DMAEN6_ADCDMAEN0_Pos         0                                                       /*!< ADC12A_0 DMAEN6: ADCDMAEN0 Position     */
#define ADC12A_0_DMAEN6_ADCDMAEN0_Msk         (0x01UL << ADC12A_0_DMAEN6_ADCDMAEN0_Pos)               /*!< ADC12A_0 DMAEN6: ADCDMAEN0 Mask         */
#define ADC12A_0_DMAEN6_ADCDMAEN1_Pos         1                                                       /*!< ADC12A_0 DMAEN6: ADCDMAEN1 Position     */
#define ADC12A_0_DMAEN6_ADCDMAEN1_Msk         (0x01UL << ADC12A_0_DMAEN6_ADCDMAEN1_Pos)               /*!< ADC12A_0 DMAEN6: ADCDMAEN1 Mask         */
#define ADC12A_0_DMAEN6_ADCDMAEN2_Pos         2                                                       /*!< ADC12A_0 DMAEN6: ADCDMAEN2 Position     */
#define ADC12A_0_DMAEN6_ADCDMAEN2_Msk         (0x01UL << ADC12A_0_DMAEN6_ADCDMAEN2_Pos)               /*!< ADC12A_0 DMAEN6: ADCDMAEN2 Mask         */
#define ADC12A_0_DMAEN6_ADCDMAEN3_Pos         3                                                       /*!< ADC12A_0 DMAEN6: ADCDMAEN3 Position     */
#define ADC12A_0_DMAEN6_ADCDMAEN3_Msk         (0x01UL << ADC12A_0_DMAEN6_ADCDMAEN3_Pos)               /*!< ADC12A_0 DMAEN6: ADCDMAEN3 Mask         */
#define ADC12A_0_DMAEN6_RESERVED_7_4_Pos      4                                                       /*!< ADC12A_0 DMAEN6: RESERVED_7_4 Position  */
#define ADC12A_0_DMAEN6_RESERVED_7_4_Msk      (0x0fUL << ADC12A_0_DMAEN6_RESERVED_7_4_Pos)            /*!< ADC12A_0 DMAEN6: RESERVED_7_4 Mask      */
#define ADC12A_0_DMAEN6_RESERVED_15_8_Pos     8                                                       /*!< ADC12A_0 DMAEN6: RESERVED_15_8 Position */
#define ADC12A_0_DMAEN6_RESERVED_15_8_Msk     (0x000000ffUL << ADC12A_0_DMAEN6_RESERVED_15_8_Pos)     /*!< ADC12A_0 DMAEN6: RESERVED_15_8 Mask     */

/* -------------------------------  ADC12A_0_DMAEN7  ------------------------------ */
#define ADC12A_0_DMAEN7_ADCDMAEN0_Pos         0                                                       /*!< ADC12A_0 DMAEN7: ADCDMAEN0 Position     */
#define ADC12A_0_DMAEN7_ADCDMAEN0_Msk         (0x01UL << ADC12A_0_DMAEN7_ADCDMAEN0_Pos)               /*!< ADC12A_0 DMAEN7: ADCDMAEN0 Mask         */
#define ADC12A_0_DMAEN7_ADCDMAEN1_Pos         1                                                       /*!< ADC12A_0 DMAEN7: ADCDMAEN1 Position     */
#define ADC12A_0_DMAEN7_ADCDMAEN1_Msk         (0x01UL << ADC12A_0_DMAEN7_ADCDMAEN1_Pos)               /*!< ADC12A_0 DMAEN7: ADCDMAEN1 Mask         */
#define ADC12A_0_DMAEN7_ADCDMAEN2_Pos         2                                                       /*!< ADC12A_0 DMAEN7: ADCDMAEN2 Position     */
#define ADC12A_0_DMAEN7_ADCDMAEN2_Msk         (0x01UL << ADC12A_0_DMAEN7_ADCDMAEN2_Pos)               /*!< ADC12A_0 DMAEN7: ADCDMAEN2 Mask         */
#define ADC12A_0_DMAEN7_ADCDMAEN3_Pos         3                                                       /*!< ADC12A_0 DMAEN7: ADCDMAEN3 Position     */
#define ADC12A_0_DMAEN7_ADCDMAEN3_Msk         (0x01UL << ADC12A_0_DMAEN7_ADCDMAEN3_Pos)               /*!< ADC12A_0 DMAEN7: ADCDMAEN3 Mask         */
#define ADC12A_0_DMAEN7_RESERVED_7_4_Pos      4                                                       /*!< ADC12A_0 DMAEN7: RESERVED_7_4 Position  */
#define ADC12A_0_DMAEN7_RESERVED_7_4_Msk      (0x0fUL << ADC12A_0_DMAEN7_RESERVED_7_4_Pos)            /*!< ADC12A_0 DMAEN7: RESERVED_7_4 Mask      */
#define ADC12A_0_DMAEN7_RESERVED_15_8_Pos     8                                                       /*!< ADC12A_0 DMAEN7: RESERVED_15_8 Position */
#define ADC12A_0_DMAEN7_RESERVED_15_8_Msk     (0x000000ffUL << ADC12A_0_DMAEN7_RESERVED_15_8_Pos)     /*!< ADC12A_0 DMAEN7: RESERVED_15_8 Mask     */

/* --------------------------------  ADC12A_0_ADD  -------------------------------- */
#define ADC12A_0_ADD_ADD_Pos                  0                                                       /*!< ADC12A_0 ADD: ADD Position              */
#define ADC12A_0_ADD_ADD_Msk                  (0x0000ffffUL << ADC12A_0_ADD_ADD_Pos)                  /*!< ADC12A_0 ADD: ADD Mask                  */


/* ================================================================================ */
/* ================         struct 'CACHE' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  CACHE_CTL  --------------------------------- */
#define CACHE_CTL_CACHEEN_Pos                 0                                                       /*!< CACHE CTL: CACHEEN Position             */
#define CACHE_CTL_CACHEEN_Msk                 (0x01UL << CACHE_CTL_CACHEEN_Pos)                       /*!< CACHE CTL: CACHEEN Mask                 */
#define CACHE_CTL_RESERVED_15_1_Pos           1                                                       /*!< CACHE CTL: RESERVED_15_1 Position       */
#define CACHE_CTL_RESERVED_15_1_Msk           (0x00007fffUL << CACHE_CTL_RESERVED_15_1_Pos)           /*!< CACHE CTL: RESERVED_15_1 Mask           */


/* ================================================================================ */
/* ================          struct 'CLG' Position & Mask          ================ */
/* ================================================================================ */


/* ----------------------------------  CLG_SCLK  ---------------------------------- */
#define CLG_SCLK_CLKSRC_Pos                   0                                                       /*!< CLG SCLK: CLKSRC Position               */
#define CLG_SCLK_CLKSRC_Msk                   (0x03UL << CLG_SCLK_CLKSRC_Pos)                         /*!< CLG SCLK: CLKSRC Mask                   */
#define CLG_SCLK_RESERVED_3_2_Pos             2                                                       /*!< CLG SCLK: RESERVED_3_2 Position         */
#define CLG_SCLK_RESERVED_3_2_Msk             (0x03UL << CLG_SCLK_RESERVED_3_2_Pos)                   /*!< CLG SCLK: RESERVED_3_2 Mask             */
#define CLG_SCLK_CLKDIV_Pos                   4                                                       /*!< CLG SCLK: CLKDIV Position               */
#define CLG_SCLK_CLKDIV_Msk                   (0x03UL << CLG_SCLK_CLKDIV_Pos)                         /*!< CLG SCLK: CLKDIV Mask                   */
#define CLG_SCLK_RESERVED_7_6_Pos             6                                                       /*!< CLG SCLK: RESERVED_7_6 Position         */
#define CLG_SCLK_RESERVED_7_6_Msk             (0x03UL << CLG_SCLK_RESERVED_7_6_Pos)                   /*!< CLG SCLK: RESERVED_7_6 Mask             */
#define CLG_SCLK_WUPSRC_Pos                   8                                                       /*!< CLG SCLK: WUPSRC Position               */
#define CLG_SCLK_WUPSRC_Msk                   (0x03UL << CLG_SCLK_WUPSRC_Pos)                         /*!< CLG SCLK: WUPSRC Mask                   */
#define CLG_SCLK_RESERVED_11_10_Pos           10                                                      /*!< CLG SCLK: RESERVED_11_10 Position       */
#define CLG_SCLK_RESERVED_11_10_Msk           (0x03UL << CLG_SCLK_RESERVED_11_10_Pos)                 /*!< CLG SCLK: RESERVED_11_10 Mask           */
#define CLG_SCLK_WUPDIV_Pos                   12                                                      /*!< CLG SCLK: WUPDIV Position               */
#define CLG_SCLK_WUPDIV_Msk                   (0x03UL << CLG_SCLK_WUPDIV_Pos)                         /*!< CLG SCLK: WUPDIV Mask                   */
#define CLG_SCLK_RESERVED_14_Pos              14                                                      /*!< CLG SCLK: RESERVED_14 Position          */
#define CLG_SCLK_RESERVED_14_Msk              (0x01UL << CLG_SCLK_RESERVED_14_Pos)                    /*!< CLG SCLK: RESERVED_14 Mask              */
#define CLG_SCLK_WUPMD_Pos                    15                                                      /*!< CLG SCLK: WUPMD Position                */
#define CLG_SCLK_WUPMD_Msk                    (0x01UL << CLG_SCLK_WUPMD_Pos)                          /*!< CLG SCLK: WUPMD Mask                    */

/* -----------------------------------  CLG_OSC  ---------------------------------- */
#define CLG_OSC_IOSCEN_Pos                    0                                                       /*!< CLG OSC: IOSCEN Position                */
#define CLG_OSC_IOSCEN_Msk                    (0x01UL << CLG_OSC_IOSCEN_Pos)                          /*!< CLG OSC: IOSCEN Mask                    */
#define CLG_OSC_OSC1EN_Pos                    1                                                       /*!< CLG OSC: OSC1EN Position                */
#define CLG_OSC_OSC1EN_Msk                    (0x01UL << CLG_OSC_OSC1EN_Pos)                          /*!< CLG OSC: OSC1EN Mask                    */
#define CLG_OSC_OSC3EN_Pos                    2                                                       /*!< CLG OSC: OSC3EN Position                */
#define CLG_OSC_OSC3EN_Msk                    (0x01UL << CLG_OSC_OSC3EN_Pos)                          /*!< CLG OSC: OSC3EN Mask                    */
#define CLG_OSC_EXOSCEN_Pos                   3                                                       /*!< CLG OSC: EXOSCEN Position               */
#define CLG_OSC_EXOSCEN_Msk                   (0x01UL << CLG_OSC_EXOSCEN_Pos)                         /*!< CLG OSC: EXOSCEN Mask                   */
#define CLG_OSC_RESERVED_7_4_Pos              4                                                       /*!< CLG OSC: RESERVED_7_4 Position          */
#define CLG_OSC_RESERVED_7_4_Msk              (0x0fUL << CLG_OSC_RESERVED_7_4_Pos)                    /*!< CLG OSC: RESERVED_7_4 Mask              */
#define CLG_OSC_IOSCSLPC_Pos                  8                                                       /*!< CLG OSC: IOSCSLPC Position              */
#define CLG_OSC_IOSCSLPC_Msk                  (0x01UL << CLG_OSC_IOSCSLPC_Pos)                        /*!< CLG OSC: IOSCSLPC Mask                  */
#define CLG_OSC_OSC1SLPC_Pos                  9                                                       /*!< CLG OSC: OSC1SLPC Position              */
#define CLG_OSC_OSC1SLPC_Msk                  (0x01UL << CLG_OSC_OSC1SLPC_Pos)                        /*!< CLG OSC: OSC1SLPC Mask                  */
#define CLG_OSC_OSC3SLPC_Pos                  10                                                      /*!< CLG OSC: OSC3SLPC Position              */
#define CLG_OSC_OSC3SLPC_Msk                  (0x01UL << CLG_OSC_OSC3SLPC_Pos)                        /*!< CLG OSC: OSC3SLPC Mask                  */
#define CLG_OSC_EXOSCSLPC_Pos                 11                                                      /*!< CLG OSC: EXOSCSLPC Position             */
#define CLG_OSC_EXOSCSLPC_Msk                 (0x01UL << CLG_OSC_EXOSCSLPC_Pos)                       /*!< CLG OSC: EXOSCSLPC Mask                 */
#define CLG_OSC_RESERVED_15_12_Pos            12                                                      /*!< CLG OSC: RESERVED_15_12 Position        */
#define CLG_OSC_RESERVED_15_12_Msk            (0x0fUL << CLG_OSC_RESERVED_15_12_Pos)                  /*!< CLG OSC: RESERVED_15_12 Mask            */

/* ----------------------------------  CLG_IOSC  ---------------------------------- */
#define CLG_IOSC_IOSCFQ_Pos                   0                                                       /*!< CLG IOSC: IOSCFQ Position               */
#define CLG_IOSC_IOSCFQ_Msk                   (0x07UL << CLG_IOSC_IOSCFQ_Pos)                         /*!< CLG IOSC: IOSCFQ Mask                   */
#define CLG_IOSC_RESERVED_3_3_Pos             3                                                       /*!< CLG IOSC: RESERVED_3_3 Position         */
#define CLG_IOSC_RESERVED_3_3_Msk             (0x01UL << CLG_IOSC_RESERVED_3_3_Pos)                   /*!< CLG IOSC: RESERVED_3_3 Mask             */
#define CLG_IOSC_IOSCSTM_Pos                  4                                                       /*!< CLG IOSC: IOSCSTM Position              */
#define CLG_IOSC_IOSCSTM_Msk                  (0x01UL << CLG_IOSC_IOSCSTM_Pos)                        /*!< CLG IOSC: IOSCSTM Mask                  */
#define CLG_IOSC_IOSCWT_Pos                   5                                                       /*!< CLG IOSC: IOSCWT Position               */
#define CLG_IOSC_IOSCWT_Msk                   (0x03UL << CLG_IOSC_IOSCWT_Pos)                         /*!< CLG IOSC: IOSCWT Mask                   */
#define CLG_IOSC_RESERVED_15_7_Pos            7                                                       /*!< CLG IOSC: RESERVED_15_7 Position        */
#define CLG_IOSC_RESERVED_15_7_Msk            (0x000001ffUL << CLG_IOSC_RESERVED_15_7_Pos)            /*!< CLG IOSC: RESERVED_15_7 Mask            */

/* ----------------------------------  CLG_OSC1  ---------------------------------- */
#define CLG_OSC1_OSC1WT_Pos                   0                                                       /*!< CLG OSC1: OSC1WT Position               */
#define CLG_OSC1_OSC1WT_Msk                   (0x03UL << CLG_OSC1_OSC1WT_Pos)                         /*!< CLG OSC1: OSC1WT Mask                   */
#define CLG_OSC1_RESERVED_3_2_Pos             2                                                       /*!< CLG OSC1: RESERVED_3_2 Position         */
#define CLG_OSC1_RESERVED_3_2_Msk             (0x03UL << CLG_OSC1_RESERVED_3_2_Pos)                   /*!< CLG OSC1: RESERVED_3_2 Mask             */
#define CLG_OSC1_INV1N_Pos                    4                                                       /*!< CLG OSC1: INV1N Position                */
#define CLG_OSC1_INV1N_Msk                    (0x03UL << CLG_OSC1_INV1N_Pos)                          /*!< CLG OSC1: INV1N Mask                    */
#define CLG_OSC1_INV1B_Pos                    6                                                       /*!< CLG OSC1: INV1B Position                */
#define CLG_OSC1_INV1B_Msk                    (0x03UL << CLG_OSC1_INV1B_Pos)                          /*!< CLG OSC1: INV1B Mask                    */
#define CLG_OSC1_CGI1_Pos                     8                                                       /*!< CLG OSC1: CGI1 Position                 */
#define CLG_OSC1_CGI1_Msk                     (0x07UL << CLG_OSC1_CGI1_Pos)                           /*!< CLG OSC1: CGI1 Mask                     */
#define CLG_OSC1_OSC1SELCR_Pos                11                                                      /*!< CLG OSC1: OSC1SELCR Position            */
#define CLG_OSC1_OSC1SELCR_Msk                (0x01UL << CLG_OSC1_OSC1SELCR_Pos)                      /*!< CLG OSC1: OSC1SELCR Mask                */
#define CLG_OSC1_OSC1BUP_Pos                  12                                                      /*!< CLG OSC1: OSC1BUP Position              */
#define CLG_OSC1_OSC1BUP_Msk                  (0x01UL << CLG_OSC1_OSC1BUP_Pos)                        /*!< CLG OSC1: OSC1BUP Mask                  */
#define CLG_OSC1_OSDEN_Pos                    13                                                      /*!< CLG OSC1: OSDEN Position                */
#define CLG_OSC1_OSDEN_Msk                    (0x01UL << CLG_OSC1_OSDEN_Pos)                          /*!< CLG OSC1: OSDEN Mask                    */
#define CLG_OSC1_OSDRB_Pos                    14                                                      /*!< CLG OSC1: OSDRB Position                */
#define CLG_OSC1_OSDRB_Msk                    (0x01UL << CLG_OSC1_OSDRB_Pos)                          /*!< CLG OSC1: OSDRB Mask                    */
#define CLG_OSC1_RESERVED_15_Pos              15                                                      /*!< CLG OSC1: RESERVED_15 Position          */
#define CLG_OSC1_RESERVED_15_Msk              (0x01UL << CLG_OSC1_RESERVED_15_Pos)                    /*!< CLG OSC1: RESERVED_15 Mask              */

/* ----------------------------------  CLG_OSC3  ---------------------------------- */
#define CLG_OSC3_OSC3WT_Pos                   0                                                       /*!< CLG OSC3: OSC3WT Position               */
#define CLG_OSC3_OSC3WT_Msk                   (0x07UL << CLG_OSC3_OSC3WT_Pos)                         /*!< CLG OSC3: OSC3WT Mask                   */
#define CLG_OSC3_RESERVED_3_Pos               3                                                       /*!< CLG OSC3: RESERVED_3 Position           */
#define CLG_OSC3_RESERVED_3_Msk               (0x01UL << CLG_OSC3_RESERVED_3_Pos)                     /*!< CLG OSC3: RESERVED_3 Mask               */
#define CLG_OSC3_OSC3INV_Pos                  4                                                       /*!< CLG OSC3: OSC3INV Position              */
#define CLG_OSC3_OSC3INV_Msk                  (0x03UL << CLG_OSC3_OSC3INV_Pos)                        /*!< CLG OSC3: OSC3INV Mask                  */
#define CLG_OSC3_RESERVED_15_6_Pos            6                                                       /*!< CLG OSC3: RESERVED_15_6 Position        */
#define CLG_OSC3_RESERVED_15_6_Msk            (0x000003ffUL << CLG_OSC3_RESERVED_15_6_Pos)            /*!< CLG OSC3: RESERVED_15_6 Mask            */

/* ----------------------------------  CLG_INTF  ---------------------------------- */
#define CLG_INTF_IOSCSTAIF_Pos                0                                                       /*!< CLG INTF: IOSCSTAIF Position            */
#define CLG_INTF_IOSCSTAIF_Msk                (0x01UL << CLG_INTF_IOSCSTAIF_Pos)                      /*!< CLG INTF: IOSCSTAIF Mask                */
#define CLG_INTF_OSC1STAIF_Pos                1                                                       /*!< CLG INTF: OSC1STAIF Position            */
#define CLG_INTF_OSC1STAIF_Msk                (0x01UL << CLG_INTF_OSC1STAIF_Pos)                      /*!< CLG INTF: OSC1STAIF Mask                */
#define CLG_INTF_OSC3STAIF_Pos                2                                                       /*!< CLG INTF: OSC3STAIF Position            */
#define CLG_INTF_OSC3STAIF_Msk                (0x01UL << CLG_INTF_OSC3STAIF_Pos)                      /*!< CLG INTF: OSC3STAIF Mask                */
#define CLG_INTF_RESERVED_3_Pos               3                                                       /*!< CLG INTF: RESERVED_3 Position           */
#define CLG_INTF_RESERVED_3_Msk               (0x01UL << CLG_INTF_RESERVED_3_Pos)                     /*!< CLG INTF: RESERVED_3 Mask               */
#define CLG_INTF_IOSCTEDIF_Pos                4                                                       /*!< CLG INTF: IOSCTEDIF Position            */
#define CLG_INTF_IOSCTEDIF_Msk                (0x01UL << CLG_INTF_IOSCTEDIF_Pos)                      /*!< CLG INTF: IOSCTEDIF Mask                */
#define CLG_INTF_OSC1STPIF_Pos                5                                                       /*!< CLG INTF: OSC1STPIF Position            */
#define CLG_INTF_OSC1STPIF_Msk                (0x01UL << CLG_INTF_OSC1STPIF_Pos)                      /*!< CLG INTF: OSC1STPIF Mask                */
#define CLG_INTF_RESERVED_7_6_Pos             6                                                       /*!< CLG INTF: RESERVED_7_6 Position         */
#define CLG_INTF_RESERVED_7_6_Msk             (0x03UL << CLG_INTF_RESERVED_7_6_Pos)                   /*!< CLG INTF: RESERVED_7_6 Mask             */
#define CLG_INTF_IOSCTERIF_Pos                8                                                       /*!< CLG INTF: IOSCTERIF Position            */
#define CLG_INTF_IOSCTERIF_Msk                (0x01UL << CLG_INTF_IOSCTERIF_Pos)                      /*!< CLG INTF: IOSCTERIF Mask                */
#define CLG_INTF_RESERVED_15_9_Pos            9                                                       /*!< CLG INTF: RESERVED_15_9 Position        */
#define CLG_INTF_RESERVED_15_9_Msk            (0x7fUL << CLG_INTF_RESERVED_15_9_Pos)                  /*!< CLG INTF: RESERVED_15_9 Mask            */

/* ----------------------------------  CLG_INTE  ---------------------------------- */
#define CLG_INTE_IOSCSTAIE_Pos                0                                                       /*!< CLG INTE: IOSCSTAIE Position            */
#define CLG_INTE_IOSCSTAIE_Msk                (0x01UL << CLG_INTE_IOSCSTAIE_Pos)                      /*!< CLG INTE: IOSCSTAIE Mask                */
#define CLG_INTE_OSC1STAIE_Pos                1                                                       /*!< CLG INTE: OSC1STAIE Position            */
#define CLG_INTE_OSC1STAIE_Msk                (0x01UL << CLG_INTE_OSC1STAIE_Pos)                      /*!< CLG INTE: OSC1STAIE Mask                */
#define CLG_INTE_OSC3STAIE_Pos                2                                                       /*!< CLG INTE: OSC3STAIE Position            */
#define CLG_INTE_OSC3STAIE_Msk                (0x01UL << CLG_INTE_OSC3STAIE_Pos)                      /*!< CLG INTE: OSC3STAIE Mask                */
#define CLG_INTE_RESERVED_3_Pos               3                                                       /*!< CLG INTE: RESERVED_3 Position           */
#define CLG_INTE_RESERVED_3_Msk               (0x01UL << CLG_INTE_RESERVED_3_Pos)                     /*!< CLG INTE: RESERVED_3 Mask               */
#define CLG_INTE_IOSCTEDIE_Pos                4                                                       /*!< CLG INTE: IOSCTEDIE Position            */
#define CLG_INTE_IOSCTEDIE_Msk                (0x01UL << CLG_INTE_IOSCTEDIE_Pos)                      /*!< CLG INTE: IOSCTEDIE Mask                */
#define CLG_INTE_OSC1STPIE_Pos                5                                                       /*!< CLG INTE: OSC1STPIE Position            */
#define CLG_INTE_OSC1STPIE_Msk                (0x01UL << CLG_INTE_OSC1STPIE_Pos)                      /*!< CLG INTE: OSC1STPIE Mask                */
#define CLG_INTE_RESERVED_7_6_Pos             6                                                       /*!< CLG INTE: RESERVED_7_6 Position         */
#define CLG_INTE_RESERVED_7_6_Msk             (0x03UL << CLG_INTE_RESERVED_7_6_Pos)                   /*!< CLG INTE: RESERVED_7_6 Mask             */
#define CLG_INTE_IOSCTERIE_Pos                8                                                       /*!< CLG INTE: IOSCTERIE Position            */
#define CLG_INTE_IOSCTERIE_Msk                (0x01UL << CLG_INTE_IOSCTERIE_Pos)                      /*!< CLG INTE: IOSCTERIE Mask                */
#define CLG_INTE_RESERVED_15_9_Pos            9                                                       /*!< CLG INTE: RESERVED_15_9 Position        */
#define CLG_INTE_RESERVED_15_9_Msk            (0x7fUL << CLG_INTE_RESERVED_15_9_Pos)                  /*!< CLG INTE: RESERVED_15_9 Mask            */

/* ----------------------------------  CLG_FOUT  ---------------------------------- */
#define CLG_FOUT_FOUTEN_Pos                   0                                                       /*!< CLG FOUT: FOUTEN Position               */
#define CLG_FOUT_FOUTEN_Msk                   (0x01UL << CLG_FOUT_FOUTEN_Pos)                         /*!< CLG FOUT: FOUTEN Mask                   */
#define CLG_FOUT_RESERVED_1_Pos               1                                                       /*!< CLG FOUT: RESERVED_1 Position           */
#define CLG_FOUT_RESERVED_1_Msk               (0x01UL << CLG_FOUT_RESERVED_1_Pos)                     /*!< CLG FOUT: RESERVED_1 Mask               */
#define CLG_FOUT_FOUTSRC_Pos                  2                                                       /*!< CLG FOUT: FOUTSRC Position              */
#define CLG_FOUT_FOUTSRC_Msk                  (0x03UL << CLG_FOUT_FOUTSRC_Pos)                        /*!< CLG FOUT: FOUTSRC Mask                  */
#define CLG_FOUT_FOUTDIV_Pos                  4                                                       /*!< CLG FOUT: FOUTDIV Position              */
#define CLG_FOUT_FOUTDIV_Msk                  (0x07UL << CLG_FOUT_FOUTDIV_Pos)                        /*!< CLG FOUT: FOUTDIV Mask                  */
#define CLG_FOUT_RESERVED_15_7_Pos            7                                                       /*!< CLG FOUT: RESERVED_15_7 Position        */
#define CLG_FOUT_RESERVED_15_7_Msk            (0x000001ffUL << CLG_FOUT_RESERVED_15_7_Pos)            /*!< CLG FOUT: RESERVED_15_7 Mask            */

/* ----------------------------------  CLG_TRIM1  --------------------------------- */
#define CLG_TRIM1_IOSCHSAJ_Pos                0                                                       /*!< CLG TRIM1: IOSCHSAJ Position            */
#define CLG_TRIM1_IOSCHSAJ_Msk                (0x7fUL << CLG_TRIM1_IOSCHSAJ_Pos)                      /*!< CLG TRIM1: IOSCHSAJ Mask                */
#define CLG_TRIM1_RESERVED_7_Pos              7                                                       /*!< CLG TRIM1: RESERVED_7 Position          */
#define CLG_TRIM1_RESERVED_7_Msk              (0x01UL << CLG_TRIM1_RESERVED_7_Pos)                    /*!< CLG TRIM1: RESERVED_7 Mask              */
#define CLG_TRIM1_IOSCLSAJ_Pos                8                                                       /*!< CLG TRIM1: IOSCLSAJ Position            */
#define CLG_TRIM1_IOSCLSAJ_Msk                (0x3fUL << CLG_TRIM1_IOSCLSAJ_Pos)                      /*!< CLG TRIM1: IOSCLSAJ Mask                */
#define CLG_TRIM1_RESERVED_15_14_Pos          14                                                      /*!< CLG TRIM1: RESERVED_15_14 Position      */
#define CLG_TRIM1_RESERVED_15_14_Msk          (0x03UL << CLG_TRIM1_RESERVED_15_14_Pos)                /*!< CLG TRIM1: RESERVED_15_14 Mask          */

/* ----------------------------------  CLG_TRIM2  --------------------------------- */
#define CLG_TRIM2_OSC1SAJ_Pos                 0                                                       /*!< CLG TRIM2: OSC1SAJ Position             */
#define CLG_TRIM2_OSC1SAJ_Msk                 (0x3fUL << CLG_TRIM2_OSC1SAJ_Pos)                       /*!< CLG TRIM2: OSC1SAJ Mask                 */
#define CLG_TRIM2_RESERVED_15_6_Pos           6                                                       /*!< CLG TRIM2: RESERVED_15_6 Position       */
#define CLG_TRIM2_RESERVED_15_6_Msk           (0x000003ffUL << CLG_TRIM2_RESERVED_15_6_Pos)           /*!< CLG TRIM2: RESERVED_15_6 Mask           */


/* ================================================================================ */
/* ================          struct 'DMAC' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  DMAC_STAT  --------------------------------- */
#define DMAC_STAT_MSTENSTAT_Pos               0                                                       /*!< DMAC STAT: MSTENSTAT Position           */
#define DMAC_STAT_MSTENSTAT_Msk               (0x01UL << DMAC_STAT_MSTENSTAT_Pos)                     /*!< DMAC STAT: MSTENSTAT Mask               */
#define DMAC_STAT_RESERVED_3_1_Pos            1                                                       /*!< DMAC STAT: RESERVED_3_1 Position        */
#define DMAC_STAT_RESERVED_3_1_Msk            (0x07UL << DMAC_STAT_RESERVED_3_1_Pos)                  /*!< DMAC STAT: RESERVED_3_1 Mask            */
#define DMAC_STAT_STATE_Pos                   4                                                       /*!< DMAC STAT: STATE Position               */
#define DMAC_STAT_STATE_Msk                   (0x0fUL << DMAC_STAT_STATE_Pos)                         /*!< DMAC STAT: STATE Mask                   */
#define DMAC_STAT_RESERVED_15_8_Pos           8                                                       /*!< DMAC STAT: RESERVED_15_8 Position       */
#define DMAC_STAT_RESERVED_15_8_Msk           (0x000000ffUL << DMAC_STAT_RESERVED_15_8_Pos)           /*!< DMAC STAT: RESERVED_15_8 Mask           */
#define DMAC_STAT_CHNLS_Pos                   16                                                      /*!< DMAC STAT: CHNLS Position               */
#define DMAC_STAT_CHNLS_Msk                   (0x1fUL << DMAC_STAT_CHNLS_Pos)                         /*!< DMAC STAT: CHNLS Mask                   */
#define DMAC_STAT_RESERVED_31_21_Pos          21                                                      /*!< DMAC STAT: RESERVED_31_21 Position      */
#define DMAC_STAT_RESERVED_31_21_Msk          (0x000007ffUL << DMAC_STAT_RESERVED_31_21_Pos)          /*!< DMAC STAT: RESERVED_31_21 Mask          */

/* ----------------------------------  DMAC_CFG  ---------------------------------- */
#define DMAC_CFG_MSTEN_Pos                    0                                                       /*!< DMAC CFG: MSTEN Position                */
#define DMAC_CFG_MSTEN_Msk                    (0x01UL << DMAC_CFG_MSTEN_Pos)                          /*!< DMAC CFG: MSTEN Mask                    */
#define DMAC_CFG_RESERVED_31_1_Pos            1                                                       /*!< DMAC CFG: RESERVED_31_1 Position        */
#define DMAC_CFG_RESERVED_31_1_Msk            (0x7fffffffUL << DMAC_CFG_RESERVED_31_1_Pos)            /*!< DMAC CFG: RESERVED_31_1 Mask            */

/* ----------------------------------  DMAC_CPTR  --------------------------------- */
#define DMAC_CPTR_CPTR_Pos                    0                                                       /*!< DMAC CPTR: CPTR Position                */
#define DMAC_CPTR_CPTR_Msk                    (0xffffffffUL << DMAC_CPTR_CPTR_Pos)                    /*!< DMAC CPTR: CPTR Mask                    */

/* ---------------------------------  DMAC_ACPTR  --------------------------------- */
#define DMAC_ACPTR_ACPTR_Pos                  0                                                       /*!< DMAC ACPTR: ACPTR Position              */
#define DMAC_ACPTR_ACPTR_Msk                  (0xffffffffUL << DMAC_ACPTR_ACPTR_Pos)                  /*!< DMAC ACPTR: ACPTR Mask                  */

/* ---------------------------------  DMAC_SWREQ  --------------------------------- */
#define DMAC_SWREQ_SWREQ_Pos                  0                                                       /*!< DMAC SWREQ: SWREQ Position              */
#define DMAC_SWREQ_SWREQ_Msk                  (0x0fUL << DMAC_SWREQ_SWREQ_Pos)                        /*!< DMAC SWREQ: SWREQ Mask                  */
#define DMAC_SWREQ_RESERVED_31_4_Pos          4                                                       /*!< DMAC SWREQ: RESERVED_31_4 Position      */
#define DMAC_SWREQ_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_SWREQ_RESERVED_31_4_Pos)          /*!< DMAC SWREQ: RESERVED_31_4 Mask          */

/* ---------------------------------  DMAC_RMSET  --------------------------------- */
#define DMAC_RMSET_RMSET_Pos                  0                                                       /*!< DMAC RMSET: RMSET Position              */
#define DMAC_RMSET_RMSET_Msk                  (0x0fUL << DMAC_RMSET_RMSET_Pos)                        /*!< DMAC RMSET: RMSET Mask                  */
#define DMAC_RMSET_RESERVED_31_4_Pos          4                                                       /*!< DMAC RMSET: RESERVED_31_4 Position      */
#define DMAC_RMSET_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_RMSET_RESERVED_31_4_Pos)          /*!< DMAC RMSET: RESERVED_31_4 Mask          */

/* ---------------------------------  DMAC_RMCLR  --------------------------------- */
#define DMAC_RMCLR_RMCLR_Pos                  0                                                       /*!< DMAC RMCLR: RMCLR Position              */
#define DMAC_RMCLR_RMCLR_Msk                  (0x0fUL << DMAC_RMCLR_RMCLR_Pos)                        /*!< DMAC RMCLR: RMCLR Mask                  */
#define DMAC_RMCLR_RESERVED_31_4_Pos          4                                                       /*!< DMAC RMCLR: RESERVED_31_4 Position      */
#define DMAC_RMCLR_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_RMCLR_RESERVED_31_4_Pos)          /*!< DMAC RMCLR: RESERVED_31_4 Mask          */

/* ---------------------------------  DMAC_ENSET  --------------------------------- */
#define DMAC_ENSET_ENSET_Pos                  0                                                       /*!< DMAC ENSET: ENSET Position              */
#define DMAC_ENSET_ENSET_Msk                  (0x0fUL << DMAC_ENSET_ENSET_Pos)                        /*!< DMAC ENSET: ENSET Mask                  */
#define DMAC_ENSET_RESERVED_31_4_Pos          4                                                       /*!< DMAC ENSET: RESERVED_31_4 Position      */
#define DMAC_ENSET_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_ENSET_RESERVED_31_4_Pos)          /*!< DMAC ENSET: RESERVED_31_4 Mask          */

/* ---------------------------------  DMAC_ENCLR  --------------------------------- */
#define DMAC_ENCLR_ENCLR_Pos                  0                                                       /*!< DMAC ENCLR: ENCLR Position              */
#define DMAC_ENCLR_ENCLR_Msk                  (0x0fUL << DMAC_ENCLR_ENCLR_Pos)                        /*!< DMAC ENCLR: ENCLR Mask                  */
#define DMAC_ENCLR_RESERVED_31_4_Pos          4                                                       /*!< DMAC ENCLR: RESERVED_31_4 Position      */
#define DMAC_ENCLR_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_ENCLR_RESERVED_31_4_Pos)          /*!< DMAC ENCLR: RESERVED_31_4 Mask          */

/* ---------------------------------  DMAC_PASET  --------------------------------- */
#define DMAC_PASET_PASET_Pos                  0                                                       /*!< DMAC PASET: PASET Position              */
#define DMAC_PASET_PASET_Msk                  (0x0fUL << DMAC_PASET_PASET_Pos)                        /*!< DMAC PASET: PASET Mask                  */
#define DMAC_PASET_RESERVED_31_4_Pos          4                                                       /*!< DMAC PASET: RESERVED_31_4 Position      */
#define DMAC_PASET_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_PASET_RESERVED_31_4_Pos)          /*!< DMAC PASET: RESERVED_31_4 Mask          */

/* ---------------------------------  DMAC_PACLR  --------------------------------- */
#define DMAC_PACLR_PACLR_Pos                  0                                                       /*!< DMAC PACLR: PACLR Position              */
#define DMAC_PACLR_PACLR_Msk                  (0x0fUL << DMAC_PACLR_PACLR_Pos)                        /*!< DMAC PACLR: PACLR Mask                  */
#define DMAC_PACLR_RESERVED_31_4_Pos          4                                                       /*!< DMAC PACLR: RESERVED_31_4 Position      */
#define DMAC_PACLR_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_PACLR_RESERVED_31_4_Pos)          /*!< DMAC PACLR: RESERVED_31_4 Mask          */

/* ---------------------------------  DMAC_PRSET  --------------------------------- */
#define DMAC_PRSET_PRSET_Pos                  0                                                       /*!< DMAC PRSET: PRSET Position              */
#define DMAC_PRSET_PRSET_Msk                  (0x0fUL << DMAC_PRSET_PRSET_Pos)                        /*!< DMAC PRSET: PRSET Mask                  */
#define DMAC_PRSET_RESERVED_31_4_Pos          4                                                       /*!< DMAC PRSET: RESERVED_31_4 Position      */
#define DMAC_PRSET_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_PRSET_RESERVED_31_4_Pos)          /*!< DMAC PRSET: RESERVED_31_4 Mask          */

/* ---------------------------------  DMAC_PRCLR  --------------------------------- */
#define DMAC_PRCLR_PRCLR_Pos                  0                                                       /*!< DMAC PRCLR: PRCLR Position              */
#define DMAC_PRCLR_PRCLR_Msk                  (0x0fUL << DMAC_PRCLR_PRCLR_Pos)                        /*!< DMAC PRCLR: PRCLR Mask                  */
#define DMAC_PRCLR_RESERVED_31_4_Pos          4                                                       /*!< DMAC PRCLR: RESERVED_31_4 Position      */
#define DMAC_PRCLR_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_PRCLR_RESERVED_31_4_Pos)          /*!< DMAC PRCLR: RESERVED_31_4 Mask          */

/* ---------------------------------  DMAC_ERRIF  --------------------------------- */
#define DMAC_ERRIF_ERRIF_Pos                  0                                                       /*!< DMAC ERRIF: ERRIF Position              */
#define DMAC_ERRIF_ERRIF_Msk                  (0x01UL << DMAC_ERRIF_ERRIF_Pos)                        /*!< DMAC ERRIF: ERRIF Mask                  */
#define DMAC_ERRIF_RESERVED_31_1_Pos          1                                                       /*!< DMAC ERRIF: RESERVED_31_1 Position      */
#define DMAC_ERRIF_RESERVED_31_1_Msk          (0x7fffffffUL << DMAC_ERRIF_RESERVED_31_1_Pos)          /*!< DMAC ERRIF: RESERVED_31_1 Mask          */

/* ---------------------------------  DMAC_ENDIF  --------------------------------- */
#define DMAC_ENDIF_ENDIF_Pos                  0                                                       /*!< DMAC ENDIF: ENDIF Position              */
#define DMAC_ENDIF_ENDIF_Msk                  (0x0fUL << DMAC_ENDIF_ENDIF_Pos)                        /*!< DMAC ENDIF: ENDIF Mask                  */
#define DMAC_ENDIF_RESERVED_31_4_Pos          4                                                       /*!< DMAC ENDIF: RESERVED_31_4 Position      */
#define DMAC_ENDIF_RESERVED_31_4_Msk          (0x0fffffffUL << DMAC_ENDIF_RESERVED_31_4_Pos)          /*!< DMAC ENDIF: RESERVED_31_4 Mask          */

/* --------------------------------  DMAC_ENDIESET  ------------------------------- */
#define DMAC_ENDIESET_ENDIESET_Pos            0                                                       /*!< DMAC ENDIESET: ENDIESET Position        */
#define DMAC_ENDIESET_ENDIESET_Msk            (0x0fUL << DMAC_ENDIESET_ENDIESET_Pos)                  /*!< DMAC ENDIESET: ENDIESET Mask            */
#define DMAC_ENDIESET_RESERVED_31_4_Pos       4                                                       /*!< DMAC ENDIESET: RESERVED_31_4 Position   */
#define DMAC_ENDIESET_RESERVED_31_4_Msk       (0x0fffffffUL << DMAC_ENDIESET_RESERVED_31_4_Pos)       /*!< DMAC ENDIESET: RESERVED_31_4 Mask       */

/* --------------------------------  DMAC_ENDIECLR  ------------------------------- */
#define DMAC_ENDIECLR_ENDIECLR_Pos            0                                                       /*!< DMAC ENDIECLR: ENDIECLR Position        */
#define DMAC_ENDIECLR_ENDIECLR_Msk            (0x0fUL << DMAC_ENDIECLR_ENDIECLR_Pos)                  /*!< DMAC ENDIECLR: ENDIECLR Mask            */
#define DMAC_ENDIECLR_RESERVED_31_4_Pos       4                                                       /*!< DMAC ENDIECLR: RESERVED_31_4 Position   */
#define DMAC_ENDIECLR_RESERVED_31_4_Msk       (0x0fffffffUL << DMAC_ENDIECLR_RESERVED_31_4_Pos)       /*!< DMAC ENDIECLR: RESERVED_31_4 Mask       */

/* --------------------------------  DMAC_ERRIESET  ------------------------------- */
#define DMAC_ERRIESET_ERRIESET_Pos            0                                                       /*!< DMAC ERRIESET: ERRIESET Position        */
#define DMAC_ERRIESET_ERRIESET_Msk            (0x01UL << DMAC_ERRIESET_ERRIESET_Pos)                  /*!< DMAC ERRIESET: ERRIESET Mask            */
#define DMAC_ERRIESET_RESERVED_31_1_Pos       1                                                       /*!< DMAC ERRIESET: RESERVED_31_1 Position   */
#define DMAC_ERRIESET_RESERVED_31_1_Msk       (0x7fffffffUL << DMAC_ERRIESET_RESERVED_31_1_Pos)       /*!< DMAC ERRIESET: RESERVED_31_1 Mask       */

/* --------------------------------  DMAC_ERRIECLR  ------------------------------- */
#define DMAC_ERRIECLR_ERRIECLR_Pos            0                                                       /*!< DMAC ERRIECLR: ERRIECLR Position        */
#define DMAC_ERRIECLR_ERRIECLR_Msk            (0x01UL << DMAC_ERRIECLR_ERRIECLR_Pos)                  /*!< DMAC ERRIECLR: ERRIECLR Mask            */
#define DMAC_ERRIECLR_RESERVED_31_1_Pos       1                                                       /*!< DMAC ERRIECLR: RESERVED_31_1 Position   */
#define DMAC_ERRIECLR_RESERVED_31_1_Msk       (0x7fffffffUL << DMAC_ERRIECLR_RESERVED_31_1_Pos)       /*!< DMAC ERRIECLR: RESERVED_31_1 Mask       */


/* ================================================================================ */
/* ================         struct 'FLASHC' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  FLASHC_WAIT  -------------------------------- */
#define FLASHC_WAIT_RDWAIT_Pos                0                                                       /*!< FLASHC WAIT: RDWAIT Position            */
#define FLASHC_WAIT_RDWAIT_Msk                (0x03UL << FLASHC_WAIT_RDWAIT_Pos)                      /*!< FLASHC WAIT: RDWAIT Mask                */
#define FLASHC_WAIT_RESERVED_15_2_Pos         2                                                       /*!< FLASHC WAIT: RESERVED_15_2 Position     */
#define FLASHC_WAIT_RESERVED_15_2_Msk         (0x00003fffUL << FLASHC_WAIT_RESERVED_15_2_Pos)         /*!< FLASHC WAIT: RESERVED_15_2 Mask         */


/* ================================================================================ */
/* ================         struct 'I2C_0' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  I2C_0_CLK  --------------------------------- */
#define I2C_0_CLK_CLKSRC_Pos                  0                                                       /*!< I2C_0 CLK: CLKSRC Position              */
#define I2C_0_CLK_CLKSRC_Msk                  (0x03UL << I2C_0_CLK_CLKSRC_Pos)                        /*!< I2C_0 CLK: CLKSRC Mask                  */
#define I2C_0_CLK_RESERVED_3_2_Pos            2                                                       /*!< I2C_0 CLK: RESERVED_3_2 Position        */
#define I2C_0_CLK_RESERVED_3_2_Msk            (0x03UL << I2C_0_CLK_RESERVED_3_2_Pos)                  /*!< I2C_0 CLK: RESERVED_3_2 Mask            */
#define I2C_0_CLK_CLKDIV_Pos                  4                                                       /*!< I2C_0 CLK: CLKDIV Position              */
#define I2C_0_CLK_CLKDIV_Msk                  (0x03UL << I2C_0_CLK_CLKDIV_Pos)                        /*!< I2C_0 CLK: CLKDIV Mask                  */
#define I2C_0_CLK_RESERVED_7_6_Pos            6                                                       /*!< I2C_0 CLK: RESERVED_7_6 Position        */
#define I2C_0_CLK_RESERVED_7_6_Msk            (0x03UL << I2C_0_CLK_RESERVED_7_6_Pos)                  /*!< I2C_0 CLK: RESERVED_7_6 Mask            */
#define I2C_0_CLK_DBRUN_Pos                   8                                                       /*!< I2C_0 CLK: DBRUN Position               */
#define I2C_0_CLK_DBRUN_Msk                   (0x01UL << I2C_0_CLK_DBRUN_Pos)                         /*!< I2C_0 CLK: DBRUN Mask                   */
#define I2C_0_CLK_RESERVED_15_9_Pos           9                                                       /*!< I2C_0 CLK: RESERVED_15_9 Position       */
#define I2C_0_CLK_RESERVED_15_9_Msk           (0x7fUL << I2C_0_CLK_RESERVED_15_9_Pos)                 /*!< I2C_0 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  I2C_0_MOD  --------------------------------- */
#define I2C_0_MOD_RESERVED_0_Pos              0                                                       /*!< I2C_0 MOD: RESERVED_0 Position          */
#define I2C_0_MOD_RESERVED_0_Msk              (0x01UL << I2C_0_MOD_RESERVED_0_Pos)                    /*!< I2C_0 MOD: RESERVED_0 Mask              */
#define I2C_0_MOD_GCEN_Pos                    1                                                       /*!< I2C_0 MOD: GCEN Position                */
#define I2C_0_MOD_GCEN_Msk                    (0x01UL << I2C_0_MOD_GCEN_Pos)                          /*!< I2C_0 MOD: GCEN Mask                    */
#define I2C_0_MOD_OADR10_Pos                  2                                                       /*!< I2C_0 MOD: OADR10 Position              */
#define I2C_0_MOD_OADR10_Msk                  (0x01UL << I2C_0_MOD_OADR10_Pos)                        /*!< I2C_0 MOD: OADR10 Mask                  */
#define I2C_0_MOD_RESERVED_15_3_Pos           3                                                       /*!< I2C_0 MOD: RESERVED_15_3 Position       */
#define I2C_0_MOD_RESERVED_15_3_Msk           (0x00001fffUL << I2C_0_MOD_RESERVED_15_3_Pos)           /*!< I2C_0 MOD: RESERVED_15_3 Mask           */

/* ----------------------------------  I2C_0_BR  ---------------------------------- */
#define I2C_0_BR_BRT_Pos                      0                                                       /*!< I2C_0 BR: BRT Position                  */
#define I2C_0_BR_BRT_Msk                      (0x7fUL << I2C_0_BR_BRT_Pos)                            /*!< I2C_0 BR: BRT Mask                      */
#define I2C_0_BR_RESERVED_15_7_Pos            7                                                       /*!< I2C_0 BR: RESERVED_15_7 Position        */
#define I2C_0_BR_RESERVED_15_7_Msk            (0x000001ffUL << I2C_0_BR_RESERVED_15_7_Pos)            /*!< I2C_0 BR: RESERVED_15_7 Mask            */

/* ---------------------------------  I2C_0_OADR  --------------------------------- */
#define I2C_0_OADR_OADR_Pos                   0                                                       /*!< I2C_0 OADR: OADR Position               */
#define I2C_0_OADR_OADR_Msk                   (0x000003ffUL << I2C_0_OADR_OADR_Pos)                   /*!< I2C_0 OADR: OADR Mask                   */

/* ----------------------------------  I2C_0_CTL  --------------------------------- */
#define I2C_0_CTL_MODEN_Pos                   0                                                       /*!< I2C_0 CTL: MODEN Position               */
#define I2C_0_CTL_MODEN_Msk                   (0x01UL << I2C_0_CTL_MODEN_Pos)                         /*!< I2C_0 CTL: MODEN Mask                   */
#define I2C_0_CTL_SFTRST_Pos                  1                                                       /*!< I2C_0 CTL: SFTRST Position              */
#define I2C_0_CTL_SFTRST_Msk                  (0x01UL << I2C_0_CTL_SFTRST_Pos)                        /*!< I2C_0 CTL: SFTRST Mask                  */
#define I2C_0_CTL_TXSTART_Pos                 2                                                       /*!< I2C_0 CTL: TXSTART Position             */
#define I2C_0_CTL_TXSTART_Msk                 (0x01UL << I2C_0_CTL_TXSTART_Pos)                       /*!< I2C_0 CTL: TXSTART Mask                 */
#define I2C_0_CTL_TXSTOP_Pos                  3                                                       /*!< I2C_0 CTL: TXSTOP Position              */
#define I2C_0_CTL_TXSTOP_Msk                  (0x01UL << I2C_0_CTL_TXSTOP_Pos)                        /*!< I2C_0 CTL: TXSTOP Mask                  */
#define I2C_0_CTL_TXNACK_Pos                  4                                                       /*!< I2C_0 CTL: TXNACK Position              */
#define I2C_0_CTL_TXNACK_Msk                  (0x01UL << I2C_0_CTL_TXNACK_Pos)                        /*!< I2C_0 CTL: TXNACK Mask                  */
#define I2C_0_CTL_MST_Pos                     5                                                       /*!< I2C_0 CTL: MST Position                 */
#define I2C_0_CTL_MST_Msk                     (0x01UL << I2C_0_CTL_MST_Pos)                           /*!< I2C_0 CTL: MST Mask                     */
#define I2C_0_CTL_RESERVED_15_6_Pos           6                                                       /*!< I2C_0 CTL: RESERVED_15_6 Position       */
#define I2C_0_CTL_RESERVED_15_6_Msk           (0x000003ffUL << I2C_0_CTL_RESERVED_15_6_Pos)           /*!< I2C_0 CTL: RESERVED_15_6 Mask           */

/* ----------------------------------  I2C_0_TXD  --------------------------------- */
#define I2C_0_TXD_TXD_Pos                     0                                                       /*!< I2C_0 TXD: TXD Position                 */
#define I2C_0_TXD_TXD_Msk                     (0x000000ffUL << I2C_0_TXD_TXD_Pos)                     /*!< I2C_0 TXD: TXD Mask                     */
#define I2C_0_TXD_RESERVED_15_8_Pos           8                                                       /*!< I2C_0 TXD: RESERVED_15_8 Position       */
#define I2C_0_TXD_RESERVED_15_8_Msk           (0x000000ffUL << I2C_0_TXD_RESERVED_15_8_Pos)           /*!< I2C_0 TXD: RESERVED_15_8 Mask           */

/* ----------------------------------  I2C_0_RXD  --------------------------------- */
#define I2C_0_RXD_RXD_Pos                     0                                                       /*!< I2C_0 RXD: RXD Position                 */
#define I2C_0_RXD_RXD_Msk                     (0x000000ffUL << I2C_0_RXD_RXD_Pos)                     /*!< I2C_0 RXD: RXD Mask                     */
#define I2C_0_RXD_RESERVED_15_8_Pos           8                                                       /*!< I2C_0 RXD: RESERVED_15_8 Position       */
#define I2C_0_RXD_RESERVED_15_8_Msk           (0x000000ffUL << I2C_0_RXD_RESERVED_15_8_Pos)           /*!< I2C_0 RXD: RESERVED_15_8 Mask           */

/* ---------------------------------  I2C_0_INTF  --------------------------------- */
#define I2C_0_INTF_TBEIF_Pos                  0                                                       /*!< I2C_0 INTF: TBEIF Position              */
#define I2C_0_INTF_TBEIF_Msk                  (0x01UL << I2C_0_INTF_TBEIF_Pos)                        /*!< I2C_0 INTF: TBEIF Mask                  */
#define I2C_0_INTF_RBFIF_Pos                  1                                                       /*!< I2C_0 INTF: RBFIF Position              */
#define I2C_0_INTF_RBFIF_Msk                  (0x01UL << I2C_0_INTF_RBFIF_Pos)                        /*!< I2C_0 INTF: RBFIF Mask                  */
#define I2C_0_INTF_ERRIF_Pos                  2                                                       /*!< I2C_0 INTF: ERRIF Position              */
#define I2C_0_INTF_ERRIF_Msk                  (0x01UL << I2C_0_INTF_ERRIF_Pos)                        /*!< I2C_0 INTF: ERRIF Mask                  */
#define I2C_0_INTF_STARTIF_Pos                3                                                       /*!< I2C_0 INTF: STARTIF Position            */
#define I2C_0_INTF_STARTIF_Msk                (0x01UL << I2C_0_INTF_STARTIF_Pos)                      /*!< I2C_0 INTF: STARTIF Mask                */
#define I2C_0_INTF_STOPIF_Pos                 4                                                       /*!< I2C_0 INTF: STOPIF Position             */
#define I2C_0_INTF_STOPIF_Msk                 (0x01UL << I2C_0_INTF_STOPIF_Pos)                       /*!< I2C_0 INTF: STOPIF Mask                 */
#define I2C_0_INTF_NACKIF_Pos                 5                                                       /*!< I2C_0 INTF: NACKIF Position             */
#define I2C_0_INTF_NACKIF_Msk                 (0x01UL << I2C_0_INTF_NACKIF_Pos)                       /*!< I2C_0 INTF: NACKIF Mask                 */
#define I2C_0_INTF_GCIF_Pos                   6                                                       /*!< I2C_0 INTF: GCIF Position               */
#define I2C_0_INTF_GCIF_Msk                   (0x01UL << I2C_0_INTF_GCIF_Pos)                         /*!< I2C_0 INTF: GCIF Mask                   */
#define I2C_0_INTF_BYTEENDIF_Pos              7                                                       /*!< I2C_0 INTF: BYTEENDIF Position          */
#define I2C_0_INTF_BYTEENDIF_Msk              (0x01UL << I2C_0_INTF_BYTEENDIF_Pos)                    /*!< I2C_0 INTF: BYTEENDIF Mask              */
#define I2C_0_INTF_RESERVED_8_Pos             8                                                       /*!< I2C_0 INTF: RESERVED_8 Position         */
#define I2C_0_INTF_RESERVED_8_Msk             (0x01UL << I2C_0_INTF_RESERVED_8_Pos)                   /*!< I2C_0 INTF: RESERVED_8 Mask             */
#define I2C_0_INTF_TR_Pos                     9                                                       /*!< I2C_0 INTF: TR Position                 */
#define I2C_0_INTF_TR_Msk                     (0x01UL << I2C_0_INTF_TR_Pos)                           /*!< I2C_0 INTF: TR Mask                     */
#define I2C_0_INTF_BSY_Pos                    10                                                      /*!< I2C_0 INTF: BSY Position                */
#define I2C_0_INTF_BSY_Msk                    (0x01UL << I2C_0_INTF_BSY_Pos)                          /*!< I2C_0 INTF: BSY Mask                    */
#define I2C_0_INTF_SCLLOW_Pos                 11                                                      /*!< I2C_0 INTF: SCLLOW Position             */
#define I2C_0_INTF_SCLLOW_Msk                 (0x01UL << I2C_0_INTF_SCLLOW_Pos)                       /*!< I2C_0 INTF: SCLLOW Mask                 */
#define I2C_0_INTF_SDALOW_Pos                 12                                                      /*!< I2C_0 INTF: SDALOW Position             */
#define I2C_0_INTF_SDALOW_Msk                 (0x01UL << I2C_0_INTF_SDALOW_Pos)                       /*!< I2C_0 INTF: SDALOW Mask                 */
#define I2C_0_INTF_RESERVED_15_13_Pos         13                                                      /*!< I2C_0 INTF: RESERVED_15_13 Position     */
#define I2C_0_INTF_RESERVED_15_13_Msk         (0x07UL << I2C_0_INTF_RESERVED_15_13_Pos)               /*!< I2C_0 INTF: RESERVED_15_13 Mask         */

/* ---------------------------------  I2C_0_INTE  --------------------------------- */
#define I2C_0_INTE_TBEIE_Pos                  0                                                       /*!< I2C_0 INTE: TBEIE Position              */
#define I2C_0_INTE_TBEIE_Msk                  (0x01UL << I2C_0_INTE_TBEIE_Pos)                        /*!< I2C_0 INTE: TBEIE Mask                  */
#define I2C_0_INTE_RBFIE_Pos                  1                                                       /*!< I2C_0 INTE: RBFIE Position              */
#define I2C_0_INTE_RBFIE_Msk                  (0x01UL << I2C_0_INTE_RBFIE_Pos)                        /*!< I2C_0 INTE: RBFIE Mask                  */
#define I2C_0_INTE_ERRIE_Pos                  2                                                       /*!< I2C_0 INTE: ERRIE Position              */
#define I2C_0_INTE_ERRIE_Msk                  (0x01UL << I2C_0_INTE_ERRIE_Pos)                        /*!< I2C_0 INTE: ERRIE Mask                  */
#define I2C_0_INTE_STARTIE_Pos                3                                                       /*!< I2C_0 INTE: STARTIE Position            */
#define I2C_0_INTE_STARTIE_Msk                (0x01UL << I2C_0_INTE_STARTIE_Pos)                      /*!< I2C_0 INTE: STARTIE Mask                */
#define I2C_0_INTE_STOPIE_Pos                 4                                                       /*!< I2C_0 INTE: STOPIE Position             */
#define I2C_0_INTE_STOPIE_Msk                 (0x01UL << I2C_0_INTE_STOPIE_Pos)                       /*!< I2C_0 INTE: STOPIE Mask                 */
#define I2C_0_INTE_NACKIE_Pos                 5                                                       /*!< I2C_0 INTE: NACKIE Position             */
#define I2C_0_INTE_NACKIE_Msk                 (0x01UL << I2C_0_INTE_NACKIE_Pos)                       /*!< I2C_0 INTE: NACKIE Mask                 */
#define I2C_0_INTE_GCIE_Pos                   6                                                       /*!< I2C_0 INTE: GCIE Position               */
#define I2C_0_INTE_GCIE_Msk                   (0x01UL << I2C_0_INTE_GCIE_Pos)                         /*!< I2C_0 INTE: GCIE Mask                   */
#define I2C_0_INTE_BYTEENDIE_Pos              7                                                       /*!< I2C_0 INTE: BYTEENDIE Position          */
#define I2C_0_INTE_BYTEENDIE_Msk              (0x01UL << I2C_0_INTE_BYTEENDIE_Pos)                    /*!< I2C_0 INTE: BYTEENDIE Mask              */
#define I2C_0_INTE_RESERVED_15_8_Pos          8                                                       /*!< I2C_0 INTE: RESERVED_15_8 Position      */
#define I2C_0_INTE_RESERVED_15_8_Msk          (0x000000ffUL << I2C_0_INTE_RESERVED_15_8_Pos)          /*!< I2C_0 INTE: RESERVED_15_8 Mask          */

/* -------------------------------  I2C_0_TBEDMAEN  ------------------------------- */
#define I2C_0_TBEDMAEN_TBEDMAEN0_Pos          0                                                       /*!< I2C_0 TBEDMAEN: TBEDMAEN0 Position      */
#define I2C_0_TBEDMAEN_TBEDMAEN0_Msk          (0x01UL << I2C_0_TBEDMAEN_TBEDMAEN0_Pos)                /*!< I2C_0 TBEDMAEN: TBEDMAEN0 Mask          */
#define I2C_0_TBEDMAEN_TBEDMAEN1_Pos          1                                                       /*!< I2C_0 TBEDMAEN: TBEDMAEN1 Position      */
#define I2C_0_TBEDMAEN_TBEDMAEN1_Msk          (0x01UL << I2C_0_TBEDMAEN_TBEDMAEN1_Pos)                /*!< I2C_0 TBEDMAEN: TBEDMAEN1 Mask          */
#define I2C_0_TBEDMAEN_TBEDMAEN2_Pos          2                                                       /*!< I2C_0 TBEDMAEN: TBEDMAEN2 Position      */
#define I2C_0_TBEDMAEN_TBEDMAEN2_Msk          (0x01UL << I2C_0_TBEDMAEN_TBEDMAEN2_Pos)                /*!< I2C_0 TBEDMAEN: TBEDMAEN2 Mask          */
#define I2C_0_TBEDMAEN_TBEDMAEN3_Pos          3                                                       /*!< I2C_0 TBEDMAEN: TBEDMAEN3 Position      */
#define I2C_0_TBEDMAEN_TBEDMAEN3_Msk          (0x01UL << I2C_0_TBEDMAEN_TBEDMAEN3_Pos)                /*!< I2C_0 TBEDMAEN: TBEDMAEN3 Mask          */
#define I2C_0_TBEDMAEN_RESERVED_15_4_Pos      4                                                       /*!< I2C_0 TBEDMAEN: RESERVED_15_4 Position  */
#define I2C_0_TBEDMAEN_RESERVED_15_4_Msk      (0x00000fffUL << I2C_0_TBEDMAEN_RESERVED_15_4_Pos)      /*!< I2C_0 TBEDMAEN: RESERVED_15_4 Mask      */

/* -------------------------------  I2C_0_RBFDMAEN  ------------------------------- */
#define I2C_0_RBFDMAEN_RBFDMAEN0_Pos          0                                                       /*!< I2C_0 RBFDMAEN: RBFDMAEN0 Position      */
#define I2C_0_RBFDMAEN_RBFDMAEN0_Msk          (0x01UL << I2C_0_RBFDMAEN_RBFDMAEN0_Pos)                /*!< I2C_0 RBFDMAEN: RBFDMAEN0 Mask          */
#define I2C_0_RBFDMAEN_RBFDMAEN1_Pos          1                                                       /*!< I2C_0 RBFDMAEN: RBFDMAEN1 Position      */
#define I2C_0_RBFDMAEN_RBFDMAEN1_Msk          (0x01UL << I2C_0_RBFDMAEN_RBFDMAEN1_Pos)                /*!< I2C_0 RBFDMAEN: RBFDMAEN1 Mask          */
#define I2C_0_RBFDMAEN_RBFDMAEN2_Pos          2                                                       /*!< I2C_0 RBFDMAEN: RBFDMAEN2 Position      */
#define I2C_0_RBFDMAEN_RBFDMAEN2_Msk          (0x01UL << I2C_0_RBFDMAEN_RBFDMAEN2_Pos)                /*!< I2C_0 RBFDMAEN: RBFDMAEN2 Mask          */
#define I2C_0_RBFDMAEN_RBFDMAEN3_Pos          3                                                       /*!< I2C_0 RBFDMAEN: RBFDMAEN3 Position      */
#define I2C_0_RBFDMAEN_RBFDMAEN3_Msk          (0x01UL << I2C_0_RBFDMAEN_RBFDMAEN3_Pos)                /*!< I2C_0 RBFDMAEN: RBFDMAEN3 Mask          */
#define I2C_0_RBFDMAEN_RESERVED_15_4_Pos      4                                                       /*!< I2C_0 RBFDMAEN: RESERVED_15_4 Position  */
#define I2C_0_RBFDMAEN_RESERVED_15_4_Msk      (0x00000fffUL << I2C_0_RBFDMAEN_RESERVED_15_4_Pos)      /*!< I2C_0 RBFDMAEN: RESERVED_15_4 Mask      */


/* ================================================================================ */
/* ================         struct 'I2C_1' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  I2C_1_CLK  --------------------------------- */
#define I2C_1_CLK_CLKSRC_Pos                  0                                                       /*!< I2C_1 CLK: CLKSRC Position              */
#define I2C_1_CLK_CLKSRC_Msk                  (0x03UL << I2C_1_CLK_CLKSRC_Pos)                        /*!< I2C_1 CLK: CLKSRC Mask                  */
#define I2C_1_CLK_RESERVED_3_2_Pos            2                                                       /*!< I2C_1 CLK: RESERVED_3_2 Position        */
#define I2C_1_CLK_RESERVED_3_2_Msk            (0x03UL << I2C_1_CLK_RESERVED_3_2_Pos)                  /*!< I2C_1 CLK: RESERVED_3_2 Mask            */
#define I2C_1_CLK_CLKDIV_Pos                  4                                                       /*!< I2C_1 CLK: CLKDIV Position              */
#define I2C_1_CLK_CLKDIV_Msk                  (0x03UL << I2C_1_CLK_CLKDIV_Pos)                        /*!< I2C_1 CLK: CLKDIV Mask                  */
#define I2C_1_CLK_RESERVED_7_6_Pos            6                                                       /*!< I2C_1 CLK: RESERVED_7_6 Position        */
#define I2C_1_CLK_RESERVED_7_6_Msk            (0x03UL << I2C_1_CLK_RESERVED_7_6_Pos)                  /*!< I2C_1 CLK: RESERVED_7_6 Mask            */
#define I2C_1_CLK_DBRUN_Pos                   8                                                       /*!< I2C_1 CLK: DBRUN Position               */
#define I2C_1_CLK_DBRUN_Msk                   (0x01UL << I2C_1_CLK_DBRUN_Pos)                         /*!< I2C_1 CLK: DBRUN Mask                   */
#define I2C_1_CLK_RESERVED_15_9_Pos           9                                                       /*!< I2C_1 CLK: RESERVED_15_9 Position       */
#define I2C_1_CLK_RESERVED_15_9_Msk           (0x7fUL << I2C_1_CLK_RESERVED_15_9_Pos)                 /*!< I2C_1 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  I2C_1_MOD  --------------------------------- */
#define I2C_1_MOD_RESERVED_0_Pos              0                                                       /*!< I2C_1 MOD: RESERVED_0 Position          */
#define I2C_1_MOD_RESERVED_0_Msk              (0x01UL << I2C_1_MOD_RESERVED_0_Pos)                    /*!< I2C_1 MOD: RESERVED_0 Mask              */
#define I2C_1_MOD_GCEN_Pos                    1                                                       /*!< I2C_1 MOD: GCEN Position                */
#define I2C_1_MOD_GCEN_Msk                    (0x01UL << I2C_1_MOD_GCEN_Pos)                          /*!< I2C_1 MOD: GCEN Mask                    */
#define I2C_1_MOD_OADR10_Pos                  2                                                       /*!< I2C_1 MOD: OADR10 Position              */
#define I2C_1_MOD_OADR10_Msk                  (0x01UL << I2C_1_MOD_OADR10_Pos)                        /*!< I2C_1 MOD: OADR10 Mask                  */
#define I2C_1_MOD_RESERVED_15_3_Pos           3                                                       /*!< I2C_1 MOD: RESERVED_15_3 Position       */
#define I2C_1_MOD_RESERVED_15_3_Msk           (0x00001fffUL << I2C_1_MOD_RESERVED_15_3_Pos)           /*!< I2C_1 MOD: RESERVED_15_3 Mask           */

/* ----------------------------------  I2C_1_BR  ---------------------------------- */
#define I2C_1_BR_BRT_Pos                      0                                                       /*!< I2C_1 BR: BRT Position                  */
#define I2C_1_BR_BRT_Msk                      (0x7fUL << I2C_1_BR_BRT_Pos)                            /*!< I2C_1 BR: BRT Mask                      */
#define I2C_1_BR_RESERVED_15_7_Pos            7                                                       /*!< I2C_1 BR: RESERVED_15_7 Position        */
#define I2C_1_BR_RESERVED_15_7_Msk            (0x000001ffUL << I2C_1_BR_RESERVED_15_7_Pos)            /*!< I2C_1 BR: RESERVED_15_7 Mask            */

/* ---------------------------------  I2C_1_OADR  --------------------------------- */
#define I2C_1_OADR_OADR_Pos                   0                                                       /*!< I2C_1 OADR: OADR Position               */
#define I2C_1_OADR_OADR_Msk                   (0x000003ffUL << I2C_1_OADR_OADR_Pos)                   /*!< I2C_1 OADR: OADR Mask                   */

/* ----------------------------------  I2C_1_CTL  --------------------------------- */
#define I2C_1_CTL_MODEN_Pos                   0                                                       /*!< I2C_1 CTL: MODEN Position               */
#define I2C_1_CTL_MODEN_Msk                   (0x01UL << I2C_1_CTL_MODEN_Pos)                         /*!< I2C_1 CTL: MODEN Mask                   */
#define I2C_1_CTL_SFTRST_Pos                  1                                                       /*!< I2C_1 CTL: SFTRST Position              */
#define I2C_1_CTL_SFTRST_Msk                  (0x01UL << I2C_1_CTL_SFTRST_Pos)                        /*!< I2C_1 CTL: SFTRST Mask                  */
#define I2C_1_CTL_TXSTART_Pos                 2                                                       /*!< I2C_1 CTL: TXSTART Position             */
#define I2C_1_CTL_TXSTART_Msk                 (0x01UL << I2C_1_CTL_TXSTART_Pos)                       /*!< I2C_1 CTL: TXSTART Mask                 */
#define I2C_1_CTL_TXSTOP_Pos                  3                                                       /*!< I2C_1 CTL: TXSTOP Position              */
#define I2C_1_CTL_TXSTOP_Msk                  (0x01UL << I2C_1_CTL_TXSTOP_Pos)                        /*!< I2C_1 CTL: TXSTOP Mask                  */
#define I2C_1_CTL_TXNACK_Pos                  4                                                       /*!< I2C_1 CTL: TXNACK Position              */
#define I2C_1_CTL_TXNACK_Msk                  (0x01UL << I2C_1_CTL_TXNACK_Pos)                        /*!< I2C_1 CTL: TXNACK Mask                  */
#define I2C_1_CTL_MST_Pos                     5                                                       /*!< I2C_1 CTL: MST Position                 */
#define I2C_1_CTL_MST_Msk                     (0x01UL << I2C_1_CTL_MST_Pos)                           /*!< I2C_1 CTL: MST Mask                     */
#define I2C_1_CTL_RESERVED_15_6_Pos           6                                                       /*!< I2C_1 CTL: RESERVED_15_6 Position       */
#define I2C_1_CTL_RESERVED_15_6_Msk           (0x000003ffUL << I2C_1_CTL_RESERVED_15_6_Pos)           /*!< I2C_1 CTL: RESERVED_15_6 Mask           */

/* ----------------------------------  I2C_1_TXD  --------------------------------- */
#define I2C_1_TXD_TXD_Pos                     0                                                       /*!< I2C_1 TXD: TXD Position                 */
#define I2C_1_TXD_TXD_Msk                     (0x000000ffUL << I2C_1_TXD_TXD_Pos)                     /*!< I2C_1 TXD: TXD Mask                     */
#define I2C_1_TXD_RESERVED_15_8_Pos           8                                                       /*!< I2C_1 TXD: RESERVED_15_8 Position       */
#define I2C_1_TXD_RESERVED_15_8_Msk           (0x000000ffUL << I2C_1_TXD_RESERVED_15_8_Pos)           /*!< I2C_1 TXD: RESERVED_15_8 Mask           */

/* ----------------------------------  I2C_1_RXD  --------------------------------- */
#define I2C_1_RXD_RXD_Pos                     0                                                       /*!< I2C_1 RXD: RXD Position                 */
#define I2C_1_RXD_RXD_Msk                     (0x000000ffUL << I2C_1_RXD_RXD_Pos)                     /*!< I2C_1 RXD: RXD Mask                     */
#define I2C_1_RXD_RESERVED_15_8_Pos           8                                                       /*!< I2C_1 RXD: RESERVED_15_8 Position       */
#define I2C_1_RXD_RESERVED_15_8_Msk           (0x000000ffUL << I2C_1_RXD_RESERVED_15_8_Pos)           /*!< I2C_1 RXD: RESERVED_15_8 Mask           */

/* ---------------------------------  I2C_1_INTF  --------------------------------- */
#define I2C_1_INTF_TBEIF_Pos                  0                                                       /*!< I2C_1 INTF: TBEIF Position              */
#define I2C_1_INTF_TBEIF_Msk                  (0x01UL << I2C_1_INTF_TBEIF_Pos)                        /*!< I2C_1 INTF: TBEIF Mask                  */
#define I2C_1_INTF_RBFIF_Pos                  1                                                       /*!< I2C_1 INTF: RBFIF Position              */
#define I2C_1_INTF_RBFIF_Msk                  (0x01UL << I2C_1_INTF_RBFIF_Pos)                        /*!< I2C_1 INTF: RBFIF Mask                  */
#define I2C_1_INTF_ERRIF_Pos                  2                                                       /*!< I2C_1 INTF: ERRIF Position              */
#define I2C_1_INTF_ERRIF_Msk                  (0x01UL << I2C_1_INTF_ERRIF_Pos)                        /*!< I2C_1 INTF: ERRIF Mask                  */
#define I2C_1_INTF_STARTIF_Pos                3                                                       /*!< I2C_1 INTF: STARTIF Position            */
#define I2C_1_INTF_STARTIF_Msk                (0x01UL << I2C_1_INTF_STARTIF_Pos)                      /*!< I2C_1 INTF: STARTIF Mask                */
#define I2C_1_INTF_STOPIF_Pos                 4                                                       /*!< I2C_1 INTF: STOPIF Position             */
#define I2C_1_INTF_STOPIF_Msk                 (0x01UL << I2C_1_INTF_STOPIF_Pos)                       /*!< I2C_1 INTF: STOPIF Mask                 */
#define I2C_1_INTF_NACKIF_Pos                 5                                                       /*!< I2C_1 INTF: NACKIF Position             */
#define I2C_1_INTF_NACKIF_Msk                 (0x01UL << I2C_1_INTF_NACKIF_Pos)                       /*!< I2C_1 INTF: NACKIF Mask                 */
#define I2C_1_INTF_GCIF_Pos                   6                                                       /*!< I2C_1 INTF: GCIF Position               */
#define I2C_1_INTF_GCIF_Msk                   (0x01UL << I2C_1_INTF_GCIF_Pos)                         /*!< I2C_1 INTF: GCIF Mask                   */
#define I2C_1_INTF_BYTEENDIF_Pos              7                                                       /*!< I2C_1 INTF: BYTEENDIF Position          */
#define I2C_1_INTF_BYTEENDIF_Msk              (0x01UL << I2C_1_INTF_BYTEENDIF_Pos)                    /*!< I2C_1 INTF: BYTEENDIF Mask              */
#define I2C_1_INTF_RESERVED_8_Pos             8                                                       /*!< I2C_1 INTF: RESERVED_8 Position         */
#define I2C_1_INTF_RESERVED_8_Msk             (0x01UL << I2C_1_INTF_RESERVED_8_Pos)                   /*!< I2C_1 INTF: RESERVED_8 Mask             */
#define I2C_1_INTF_TR_Pos                     9                                                       /*!< I2C_1 INTF: TR Position                 */
#define I2C_1_INTF_TR_Msk                     (0x01UL << I2C_1_INTF_TR_Pos)                           /*!< I2C_1 INTF: TR Mask                     */
#define I2C_1_INTF_BSY_Pos                    10                                                      /*!< I2C_1 INTF: BSY Position                */
#define I2C_1_INTF_BSY_Msk                    (0x01UL << I2C_1_INTF_BSY_Pos)                          /*!< I2C_1 INTF: BSY Mask                    */
#define I2C_1_INTF_SCLLOW_Pos                 11                                                      /*!< I2C_1 INTF: SCLLOW Position             */
#define I2C_1_INTF_SCLLOW_Msk                 (0x01UL << I2C_1_INTF_SCLLOW_Pos)                       /*!< I2C_1 INTF: SCLLOW Mask                 */
#define I2C_1_INTF_SDALOW_Pos                 12                                                      /*!< I2C_1 INTF: SDALOW Position             */
#define I2C_1_INTF_SDALOW_Msk                 (0x01UL << I2C_1_INTF_SDALOW_Pos)                       /*!< I2C_1 INTF: SDALOW Mask                 */
#define I2C_1_INTF_RESERVED_15_13_Pos         13                                                      /*!< I2C_1 INTF: RESERVED_15_13 Position     */
#define I2C_1_INTF_RESERVED_15_13_Msk         (0x07UL << I2C_1_INTF_RESERVED_15_13_Pos)               /*!< I2C_1 INTF: RESERVED_15_13 Mask         */

/* ---------------------------------  I2C_1_INTE  --------------------------------- */
#define I2C_1_INTE_TBEIE_Pos                  0                                                       /*!< I2C_1 INTE: TBEIE Position              */
#define I2C_1_INTE_TBEIE_Msk                  (0x01UL << I2C_1_INTE_TBEIE_Pos)                        /*!< I2C_1 INTE: TBEIE Mask                  */
#define I2C_1_INTE_RBFIE_Pos                  1                                                       /*!< I2C_1 INTE: RBFIE Position              */
#define I2C_1_INTE_RBFIE_Msk                  (0x01UL << I2C_1_INTE_RBFIE_Pos)                        /*!< I2C_1 INTE: RBFIE Mask                  */
#define I2C_1_INTE_ERRIE_Pos                  2                                                       /*!< I2C_1 INTE: ERRIE Position              */
#define I2C_1_INTE_ERRIE_Msk                  (0x01UL << I2C_1_INTE_ERRIE_Pos)                        /*!< I2C_1 INTE: ERRIE Mask                  */
#define I2C_1_INTE_STARTIE_Pos                3                                                       /*!< I2C_1 INTE: STARTIE Position            */
#define I2C_1_INTE_STARTIE_Msk                (0x01UL << I2C_1_INTE_STARTIE_Pos)                      /*!< I2C_1 INTE: STARTIE Mask                */
#define I2C_1_INTE_STOPIE_Pos                 4                                                       /*!< I2C_1 INTE: STOPIE Position             */
#define I2C_1_INTE_STOPIE_Msk                 (0x01UL << I2C_1_INTE_STOPIE_Pos)                       /*!< I2C_1 INTE: STOPIE Mask                 */
#define I2C_1_INTE_NACKIE_Pos                 5                                                       /*!< I2C_1 INTE: NACKIE Position             */
#define I2C_1_INTE_NACKIE_Msk                 (0x01UL << I2C_1_INTE_NACKIE_Pos)                       /*!< I2C_1 INTE: NACKIE Mask                 */
#define I2C_1_INTE_GCIE_Pos                   6                                                       /*!< I2C_1 INTE: GCIE Position               */
#define I2C_1_INTE_GCIE_Msk                   (0x01UL << I2C_1_INTE_GCIE_Pos)                         /*!< I2C_1 INTE: GCIE Mask                   */
#define I2C_1_INTE_BYTEENDIE_Pos              7                                                       /*!< I2C_1 INTE: BYTEENDIE Position          */
#define I2C_1_INTE_BYTEENDIE_Msk              (0x01UL << I2C_1_INTE_BYTEENDIE_Pos)                    /*!< I2C_1 INTE: BYTEENDIE Mask              */
#define I2C_1_INTE_RESERVED_15_8_Pos          8                                                       /*!< I2C_1 INTE: RESERVED_15_8 Position      */
#define I2C_1_INTE_RESERVED_15_8_Msk          (0x000000ffUL << I2C_1_INTE_RESERVED_15_8_Pos)          /*!< I2C_1 INTE: RESERVED_15_8 Mask          */

/* -------------------------------  I2C_1_TBEDMAEN  ------------------------------- */
#define I2C_1_TBEDMAEN_TBEDMAEN0_Pos          0                                                       /*!< I2C_1 TBEDMAEN: TBEDMAEN0 Position      */
#define I2C_1_TBEDMAEN_TBEDMAEN0_Msk          (0x01UL << I2C_1_TBEDMAEN_TBEDMAEN0_Pos)                /*!< I2C_1 TBEDMAEN: TBEDMAEN0 Mask          */
#define I2C_1_TBEDMAEN_TBEDMAEN1_Pos          1                                                       /*!< I2C_1 TBEDMAEN: TBEDMAEN1 Position      */
#define I2C_1_TBEDMAEN_TBEDMAEN1_Msk          (0x01UL << I2C_1_TBEDMAEN_TBEDMAEN1_Pos)                /*!< I2C_1 TBEDMAEN: TBEDMAEN1 Mask          */
#define I2C_1_TBEDMAEN_TBEDMAEN2_Pos          2                                                       /*!< I2C_1 TBEDMAEN: TBEDMAEN2 Position      */
#define I2C_1_TBEDMAEN_TBEDMAEN2_Msk          (0x01UL << I2C_1_TBEDMAEN_TBEDMAEN2_Pos)                /*!< I2C_1 TBEDMAEN: TBEDMAEN2 Mask          */
#define I2C_1_TBEDMAEN_TBEDMAEN3_Pos          3                                                       /*!< I2C_1 TBEDMAEN: TBEDMAEN3 Position      */
#define I2C_1_TBEDMAEN_TBEDMAEN3_Msk          (0x01UL << I2C_1_TBEDMAEN_TBEDMAEN3_Pos)                /*!< I2C_1 TBEDMAEN: TBEDMAEN3 Mask          */
#define I2C_1_TBEDMAEN_RESERVED_15_4_Pos      4                                                       /*!< I2C_1 TBEDMAEN: RESERVED_15_4 Position  */
#define I2C_1_TBEDMAEN_RESERVED_15_4_Msk      (0x00000fffUL << I2C_1_TBEDMAEN_RESERVED_15_4_Pos)      /*!< I2C_1 TBEDMAEN: RESERVED_15_4 Mask      */

/* -------------------------------  I2C_1_RBFDMAEN  ------------------------------- */
#define I2C_1_RBFDMAEN_RBFDMAEN0_Pos          0                                                       /*!< I2C_1 RBFDMAEN: RBFDMAEN0 Position      */
#define I2C_1_RBFDMAEN_RBFDMAEN0_Msk          (0x01UL << I2C_1_RBFDMAEN_RBFDMAEN0_Pos)                /*!< I2C_1 RBFDMAEN: RBFDMAEN0 Mask          */
#define I2C_1_RBFDMAEN_RBFDMAEN1_Pos          1                                                       /*!< I2C_1 RBFDMAEN: RBFDMAEN1 Position      */
#define I2C_1_RBFDMAEN_RBFDMAEN1_Msk          (0x01UL << I2C_1_RBFDMAEN_RBFDMAEN1_Pos)                /*!< I2C_1 RBFDMAEN: RBFDMAEN1 Mask          */
#define I2C_1_RBFDMAEN_RBFDMAEN2_Pos          2                                                       /*!< I2C_1 RBFDMAEN: RBFDMAEN2 Position      */
#define I2C_1_RBFDMAEN_RBFDMAEN2_Msk          (0x01UL << I2C_1_RBFDMAEN_RBFDMAEN2_Pos)                /*!< I2C_1 RBFDMAEN: RBFDMAEN2 Mask          */
#define I2C_1_RBFDMAEN_RBFDMAEN3_Pos          3                                                       /*!< I2C_1 RBFDMAEN: RBFDMAEN3 Position      */
#define I2C_1_RBFDMAEN_RBFDMAEN3_Msk          (0x01UL << I2C_1_RBFDMAEN_RBFDMAEN3_Pos)                /*!< I2C_1 RBFDMAEN: RBFDMAEN3 Mask          */
#define I2C_1_RBFDMAEN_RESERVED_15_4_Pos      4                                                       /*!< I2C_1 RBFDMAEN: RESERVED_15_4 Position  */
#define I2C_1_RBFDMAEN_RESERVED_15_4_Msk      (0x00000fffUL << I2C_1_RBFDMAEN_RESERVED_15_4_Pos)      /*!< I2C_1 RBFDMAEN: RESERVED_15_4 Mask      */


/* ================================================================================ */
/* ================         struct 'LCD32C' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  LCD32C_CLK  --------------------------------- */
#define LCD32C_CLK_CLKSRC_Pos                 0                                                       /*!< LCD32C CLK: CLKSRC Position             */
#define LCD32C_CLK_CLKSRC_Msk                 (0x03UL << LCD32C_CLK_CLKSRC_Pos)                       /*!< LCD32C CLK: CLKSRC Mask                 */
#define LCD32C_CLK_RESERVED_3_2_Pos           2                                                       /*!< LCD32C CLK: RESERVED_3_2 Position       */
#define LCD32C_CLK_RESERVED_3_2_Msk           (0x03UL << LCD32C_CLK_RESERVED_3_2_Pos)                 /*!< LCD32C CLK: RESERVED_3_2 Mask           */
#define LCD32C_CLK_CLKDIV_Pos                 4                                                       /*!< LCD32C CLK: CLKDIV Position             */
#define LCD32C_CLK_CLKDIV_Msk                 (0x07UL << LCD32C_CLK_CLKDIV_Pos)                       /*!< LCD32C CLK: CLKDIV Mask                 */
#define LCD32C_CLK_RESERVED_7_Pos             7                                                       /*!< LCD32C CLK: RESERVED_7 Position         */
#define LCD32C_CLK_RESERVED_7_Msk             (0x01UL << LCD32C_CLK_RESERVED_7_Pos)                   /*!< LCD32C CLK: RESERVED_7 Mask             */
#define LCD32C_CLK_DBRUN_Pos                  8                                                       /*!< LCD32C CLK: DBRUN Position              */
#define LCD32C_CLK_DBRUN_Msk                  (0x01UL << LCD32C_CLK_DBRUN_Pos)                        /*!< LCD32C CLK: DBRUN Mask                  */
#define LCD32C_CLK_RESERVED_15_9_Pos          9                                                       /*!< LCD32C CLK: RESERVED_15_9 Position      */
#define LCD32C_CLK_RESERVED_15_9_Msk          (0x7fUL << LCD32C_CLK_RESERVED_15_9_Pos)                /*!< LCD32C CLK: RESERVED_15_9 Mask          */

/* ---------------------------------  LCD32C_CTL  --------------------------------- */
#define LCD32C_CTL_MODEN_Pos                  0                                                       /*!< LCD32C CTL: MODEN Position              */
#define LCD32C_CTL_MODEN_Msk                  (0x01UL << LCD32C_CTL_MODEN_Pos)                        /*!< LCD32C CTL: MODEN Mask                  */
#define LCD32C_CTL_LCDDIS_Pos                 1                                                       /*!< LCD32C CTL: LCDDIS Position             */
#define LCD32C_CTL_LCDDIS_Msk                 (0x01UL << LCD32C_CTL_LCDDIS_Pos)                       /*!< LCD32C CTL: LCDDIS Mask                 */
#define LCD32C_CTL_RESERVED_15_2_Pos          2                                                       /*!< LCD32C CTL: RESERVED_15_2 Position      */
#define LCD32C_CTL_RESERVED_15_2_Msk          (0x00003fffUL << LCD32C_CTL_RESERVED_15_2_Pos)          /*!< LCD32C CTL: RESERVED_15_2 Mask          */

/* ---------------------------------  LCD32C_TIM1  -------------------------------- */
#define LCD32C_TIM1_LDUTY_Pos                 0                                                       /*!< LCD32C TIM1: LDUTY Position             */
#define LCD32C_TIM1_LDUTY_Msk                 (0x1fUL << LCD32C_TIM1_LDUTY_Pos)                       /*!< LCD32C TIM1: LDUTY Mask                 */
#define LCD32C_TIM1_RESERVED_7_5_Pos          5                                                       /*!< LCD32C TIM1: RESERVED_7_5 Position      */
#define LCD32C_TIM1_RESERVED_7_5_Msk          (0x07UL << LCD32C_TIM1_RESERVED_7_5_Pos)                /*!< LCD32C TIM1: RESERVED_7_5 Mask          */
#define LCD32C_TIM1_FRMCNT_Pos                8                                                       /*!< LCD32C TIM1: FRMCNT Position            */
#define LCD32C_TIM1_FRMCNT_Msk                (0x1fUL << LCD32C_TIM1_FRMCNT_Pos)                      /*!< LCD32C TIM1: FRMCNT Mask                */
#define LCD32C_TIM1_RESERVED_15_13_Pos        13                                                      /*!< LCD32C TIM1: RESERVED_15_13 Position    */
#define LCD32C_TIM1_RESERVED_15_13_Msk        (0x07UL << LCD32C_TIM1_RESERVED_15_13_Pos)              /*!< LCD32C TIM1: RESERVED_15_13 Mask        */

/* ---------------------------------  LCD32C_TIM2  -------------------------------- */
#define LCD32C_TIM2_NLINE_Pos                 0                                                       /*!< LCD32C TIM2: NLINE Position             */
#define LCD32C_TIM2_NLINE_Msk                 (0x1fUL << LCD32C_TIM2_NLINE_Pos)                       /*!< LCD32C TIM2: NLINE Mask                 */
#define LCD32C_TIM2_RESERVED_7_5_Pos          5                                                       /*!< LCD32C TIM2: RESERVED_7_5 Position      */
#define LCD32C_TIM2_RESERVED_7_5_Msk          (0x07UL << LCD32C_TIM2_RESERVED_7_5_Pos)                /*!< LCD32C TIM2: RESERVED_7_5 Mask          */
#define LCD32C_TIM2_BSTC_Pos                  8                                                       /*!< LCD32C TIM2: BSTC Position              */
#define LCD32C_TIM2_BSTC_Msk                  (0x03UL << LCD32C_TIM2_BSTC_Pos)                        /*!< LCD32C TIM2: BSTC Mask                  */
#define LCD32C_TIM2_DBLC_Pos                  10                                                      /*!< LCD32C TIM2: DBLC Position              */
#define LCD32C_TIM2_DBLC_Msk                  (0x07UL << LCD32C_TIM2_DBLC_Pos)                        /*!< LCD32C TIM2: DBLC Mask                  */
#define LCD32C_TIM2_RESERVED_15_13_Pos        13                                                      /*!< LCD32C TIM2: RESERVED_15_13 Position    */
#define LCD32C_TIM2_RESERVED_15_13_Msk        (0x07UL << LCD32C_TIM2_RESERVED_15_13_Pos)              /*!< LCD32C TIM2: RESERVED_15_13 Mask        */

/* ---------------------------------  LCD32C_PWR  --------------------------------- */
#define LCD32C_PWR_VCEN_Pos                   0                                                       /*!< LCD32C PWR: VCEN Position               */
#define LCD32C_PWR_VCEN_Msk                   (0x01UL << LCD32C_PWR_VCEN_Pos)                         /*!< LCD32C PWR: VCEN Mask                   */
#define LCD32C_PWR_RESERVED_1_Pos             1                                                       /*!< LCD32C PWR: RESERVED_1 Position         */
#define LCD32C_PWR_RESERVED_1_Msk             (0x01UL << LCD32C_PWR_RESERVED_1_Pos)                   /*!< LCD32C PWR: RESERVED_1 Mask             */
#define LCD32C_PWR_HVLD_Pos                   2                                                       /*!< LCD32C PWR: HVLD Position               */
#define LCD32C_PWR_HVLD_Msk                   (0x01UL << LCD32C_PWR_HVLD_Pos)                         /*!< LCD32C PWR: HVLD Mask                   */
#define LCD32C_PWR_BIASSEL_Pos                3                                                       /*!< LCD32C PWR: BIASSEL Position            */
#define LCD32C_PWR_BIASSEL_Msk                (0x01UL << LCD32C_PWR_BIASSEL_Pos)                      /*!< LCD32C PWR: BIASSEL Mask                */
#define LCD32C_PWR_BSTEN_Pos                  4                                                       /*!< LCD32C PWR: BSTEN Position              */
#define LCD32C_PWR_BSTEN_Msk                  (0x01UL << LCD32C_PWR_BSTEN_Pos)                        /*!< LCD32C PWR: BSTEN Mask                  */
#define LCD32C_PWR_DBLEN_Pos                  5                                                       /*!< LCD32C PWR: DBLEN Position              */
#define LCD32C_PWR_DBLEN_Msk                  (0x01UL << LCD32C_PWR_DBLEN_Pos)                        /*!< LCD32C PWR: DBLEN Mask                  */
#define LCD32C_PWR_RESERVED_7_6_Pos           6                                                       /*!< LCD32C PWR: RESERVED_7_6 Position       */
#define LCD32C_PWR_RESERVED_7_6_Msk           (0x03UL << LCD32C_PWR_RESERVED_7_6_Pos)                 /*!< LCD32C PWR: RESERVED_7_6 Mask           */
#define LCD32C_PWR_LC_Pos                     8                                                       /*!< LCD32C PWR: LC Position                 */
#define LCD32C_PWR_LC_Msk                     (0x0fUL << LCD32C_PWR_LC_Pos)                           /*!< LCD32C PWR: LC Mask                     */
#define LCD32C_PWR_RESERVED_14_12_Pos         12                                                      /*!< LCD32C PWR: RESERVED_14_12 Position     */
#define LCD32C_PWR_RESERVED_14_12_Msk         (0x07UL << LCD32C_PWR_RESERVED_14_12_Pos)               /*!< LCD32C PWR: RESERVED_14_12 Mask         */
#define LCD32C_PWR_EXVCSEL_Pos                15                                                      /*!< LCD32C PWR: EXVCSEL Position            */
#define LCD32C_PWR_EXVCSEL_Msk                (0x01UL << LCD32C_PWR_EXVCSEL_Pos)                      /*!< LCD32C PWR: EXVCSEL Mask                */

/* ---------------------------------  LCD32C_DSP  --------------------------------- */
#define LCD32C_DSP_DSPC_Pos                   0                                                       /*!< LCD32C DSP: DSPC Position               */
#define LCD32C_DSP_DSPC_Msk                   (0x03UL << LCD32C_DSP_DSPC_Pos)                         /*!< LCD32C DSP: DSPC Mask                   */
#define LCD32C_DSP_DSPAR_Pos                  2                                                       /*!< LCD32C DSP: DSPAR Position              */
#define LCD32C_DSP_DSPAR_Msk                  (0x01UL << LCD32C_DSP_DSPAR_Pos)                        /*!< LCD32C DSP: DSPAR Mask                  */
#define LCD32C_DSP_RESERVED_3_Pos             3                                                       /*!< LCD32C DSP: RESERVED_3 Position         */
#define LCD32C_DSP_RESERVED_3_Msk             (0x01UL << LCD32C_DSP_RESERVED_3_Pos)                   /*!< LCD32C DSP: RESERVED_3 Mask             */
#define LCD32C_DSP_DSPREV_Pos                 4                                                       /*!< LCD32C DSP: DSPREV Position             */
#define LCD32C_DSP_DSPREV_Msk                 (0x01UL << LCD32C_DSP_DSPREV_Pos)                       /*!< LCD32C DSP: DSPREV Mask                 */
#define LCD32C_DSP_COMREV_Pos                 5                                                       /*!< LCD32C DSP: COMREV Position             */
#define LCD32C_DSP_COMREV_Msk                 (0x01UL << LCD32C_DSP_COMREV_Pos)                       /*!< LCD32C DSP: COMREV Mask                 */
#define LCD32C_DSP_SEGREV_Pos                 6                                                       /*!< LCD32C DSP: SEGREV Position             */
#define LCD32C_DSP_SEGREV_Msk                 (0x01UL << LCD32C_DSP_SEGREV_Pos)                       /*!< LCD32C DSP: SEGREV Mask                 */
#define LCD32C_DSP_RESERVED_15_7_Pos          7                                                       /*!< LCD32C DSP: RESERVED_15_7 Position      */
#define LCD32C_DSP_RESERVED_15_7_Msk          (0x000001ffUL << LCD32C_DSP_RESERVED_15_7_Pos)          /*!< LCD32C DSP: RESERVED_15_7 Mask          */

/* --------------------------------  LCD32C_COMC0  -------------------------------- */
#define LCD32C_COMC0_COM0DEN_Pos              0                                                       /*!< LCD32C COMC0: COM0DEN Position          */
#define LCD32C_COMC0_COM0DEN_Msk              (0x01UL << LCD32C_COMC0_COM0DEN_Pos)                    /*!< LCD32C COMC0: COM0DEN Mask              */
#define LCD32C_COMC0_COM1DEN_Pos              1                                                       /*!< LCD32C COMC0: COM1DEN Position          */
#define LCD32C_COMC0_COM1DEN_Msk              (0x01UL << LCD32C_COMC0_COM1DEN_Pos)                    /*!< LCD32C COMC0: COM1DEN Mask              */
#define LCD32C_COMC0_COM2DEN_Pos              2                                                       /*!< LCD32C COMC0: COM2DEN Position          */
#define LCD32C_COMC0_COM2DEN_Msk              (0x01UL << LCD32C_COMC0_COM2DEN_Pos)                    /*!< LCD32C COMC0: COM2DEN Mask              */
#define LCD32C_COMC0_COM3DEN_Pos              3                                                       /*!< LCD32C COMC0: COM3DEN Position          */
#define LCD32C_COMC0_COM3DEN_Msk              (0x01UL << LCD32C_COMC0_COM3DEN_Pos)                    /*!< LCD32C COMC0: COM3DEN Mask              */
#define LCD32C_COMC0_COM4DEN_Pos              4                                                       /*!< LCD32C COMC0: COM4DEN Position          */
#define LCD32C_COMC0_COM4DEN_Msk              (0x01UL << LCD32C_COMC0_COM4DEN_Pos)                    /*!< LCD32C COMC0: COM4DEN Mask              */
#define LCD32C_COMC0_COM5DEN_Pos              5                                                       /*!< LCD32C COMC0: COM5DEN Position          */
#define LCD32C_COMC0_COM5DEN_Msk              (0x01UL << LCD32C_COMC0_COM5DEN_Pos)                    /*!< LCD32C COMC0: COM5DEN Mask              */
#define LCD32C_COMC0_COM6DEN_Pos              6                                                       /*!< LCD32C COMC0: COM6DEN Position          */
#define LCD32C_COMC0_COM6DEN_Msk              (0x01UL << LCD32C_COMC0_COM6DEN_Pos)                    /*!< LCD32C COMC0: COM6DEN Mask              */
#define LCD32C_COMC0_COM7DEN_Pos              7                                                       /*!< LCD32C COMC0: COM7DEN Position          */
#define LCD32C_COMC0_COM7DEN_Msk              (0x01UL << LCD32C_COMC0_COM7DEN_Pos)                    /*!< LCD32C COMC0: COM7DEN Mask              */
#define LCD32C_COMC0_COM8DEN_Pos              8                                                       /*!< LCD32C COMC0: COM8DEN Position          */
#define LCD32C_COMC0_COM8DEN_Msk              (0x01UL << LCD32C_COMC0_COM8DEN_Pos)                    /*!< LCD32C COMC0: COM8DEN Mask              */
#define LCD32C_COMC0_COM9DEN_Pos              9                                                       /*!< LCD32C COMC0: COM9DEN Position          */
#define LCD32C_COMC0_COM9DEN_Msk              (0x01UL << LCD32C_COMC0_COM9DEN_Pos)                    /*!< LCD32C COMC0: COM9DEN Mask              */
#define LCD32C_COMC0_COM10DEN_Pos             10                                                      /*!< LCD32C COMC0: COM10DEN Position         */
#define LCD32C_COMC0_COM10DEN_Msk             (0x01UL << LCD32C_COMC0_COM10DEN_Pos)                   /*!< LCD32C COMC0: COM10DEN Mask             */
#define LCD32C_COMC0_COM11DEN_Pos             11                                                      /*!< LCD32C COMC0: COM11DEN Position         */
#define LCD32C_COMC0_COM11DEN_Msk             (0x01UL << LCD32C_COMC0_COM11DEN_Pos)                   /*!< LCD32C COMC0: COM11DEN Mask             */
#define LCD32C_COMC0_COM12DEN_Pos             12                                                      /*!< LCD32C COMC0: COM12DEN Position         */
#define LCD32C_COMC0_COM12DEN_Msk             (0x01UL << LCD32C_COMC0_COM12DEN_Pos)                   /*!< LCD32C COMC0: COM12DEN Mask             */
#define LCD32C_COMC0_COM13DEN_Pos             13                                                      /*!< LCD32C COMC0: COM13DEN Position         */
#define LCD32C_COMC0_COM13DEN_Msk             (0x01UL << LCD32C_COMC0_COM13DEN_Pos)                   /*!< LCD32C COMC0: COM13DEN Mask             */
#define LCD32C_COMC0_COM14DEN_Pos             14                                                      /*!< LCD32C COMC0: COM14DEN Position         */
#define LCD32C_COMC0_COM14DEN_Msk             (0x01UL << LCD32C_COMC0_COM14DEN_Pos)                   /*!< LCD32C COMC0: COM14DEN Mask             */
#define LCD32C_COMC0_COM15DEN_Pos             15                                                      /*!< LCD32C COMC0: COM15DEN Position         */
#define LCD32C_COMC0_COM15DEN_Msk             (0x01UL << LCD32C_COMC0_COM15DEN_Pos)                   /*!< LCD32C COMC0: COM15DEN Mask             */

/* --------------------------------  LCD32C_COMC1  -------------------------------- */
#define LCD32C_COMC1_COM16DEN_Pos             0                                                       /*!< LCD32C COMC1: COM16DEN Position         */
#define LCD32C_COMC1_COM16DEN_Msk             (0x01UL << LCD32C_COMC1_COM16DEN_Pos)                   /*!< LCD32C COMC1: COM16DEN Mask             */
#define LCD32C_COMC1_COM17DEN_Pos             1                                                       /*!< LCD32C COMC1: COM17DEN Position         */
#define LCD32C_COMC1_COM17DEN_Msk             (0x01UL << LCD32C_COMC1_COM17DEN_Pos)                   /*!< LCD32C COMC1: COM17DEN Mask             */
#define LCD32C_COMC1_COM18DEN_Pos             2                                                       /*!< LCD32C COMC1: COM18DEN Position         */
#define LCD32C_COMC1_COM18DEN_Msk             (0x01UL << LCD32C_COMC1_COM18DEN_Pos)                   /*!< LCD32C COMC1: COM18DEN Mask             */
#define LCD32C_COMC1_COM19DEN_Pos             3                                                       /*!< LCD32C COMC1: COM19DEN Position         */
#define LCD32C_COMC1_COM19DEN_Msk             (0x01UL << LCD32C_COMC1_COM19DEN_Pos)                   /*!< LCD32C COMC1: COM19DEN Mask             */
#define LCD32C_COMC1_COM20DEN_Pos             4                                                       /*!< LCD32C COMC1: COM20DEN Position         */
#define LCD32C_COMC1_COM20DEN_Msk             (0x01UL << LCD32C_COMC1_COM20DEN_Pos)                   /*!< LCD32C COMC1: COM20DEN Mask             */
#define LCD32C_COMC1_COM21DEN_Pos             5                                                       /*!< LCD32C COMC1: COM21DEN Position         */
#define LCD32C_COMC1_COM21DEN_Msk             (0x01UL << LCD32C_COMC1_COM21DEN_Pos)                   /*!< LCD32C COMC1: COM21DEN Mask             */
#define LCD32C_COMC1_COM22DEN_Pos             6                                                       /*!< LCD32C COMC1: COM22DEN Position         */
#define LCD32C_COMC1_COM22DEN_Msk             (0x01UL << LCD32C_COMC1_COM22DEN_Pos)                   /*!< LCD32C COMC1: COM22DEN Mask             */
#define LCD32C_COMC1_COM23DEN_Pos             7                                                       /*!< LCD32C COMC1: COM23DEN Position         */
#define LCD32C_COMC1_COM23DEN_Msk             (0x01UL << LCD32C_COMC1_COM23DEN_Pos)                   /*!< LCD32C COMC1: COM23DEN Mask             */
#define LCD32C_COMC1_COM24DEN_Pos             8                                                       /*!< LCD32C COMC1: COM24DEN Position         */
#define LCD32C_COMC1_COM24DEN_Msk             (0x01UL << LCD32C_COMC1_COM24DEN_Pos)                   /*!< LCD32C COMC1: COM24DEN Mask             */
#define LCD32C_COMC1_COM25DEN_Pos             9                                                       /*!< LCD32C COMC1: COM25DEN Position         */
#define LCD32C_COMC1_COM25DEN_Msk             (0x01UL << LCD32C_COMC1_COM25DEN_Pos)                   /*!< LCD32C COMC1: COM25DEN Mask             */
#define LCD32C_COMC1_COM26DEN_Pos             10                                                      /*!< LCD32C COMC1: COM26DEN Position         */
#define LCD32C_COMC1_COM26DEN_Msk             (0x01UL << LCD32C_COMC1_COM26DEN_Pos)                   /*!< LCD32C COMC1: COM26DEN Mask             */
#define LCD32C_COMC1_COM27DEN_Pos             11                                                      /*!< LCD32C COMC1: COM27DEN Position         */
#define LCD32C_COMC1_COM27DEN_Msk             (0x01UL << LCD32C_COMC1_COM27DEN_Pos)                   /*!< LCD32C COMC1: COM27DEN Mask             */
#define LCD32C_COMC1_COM28DEN_Pos             12                                                      /*!< LCD32C COMC1: COM28DEN Position         */
#define LCD32C_COMC1_COM28DEN_Msk             (0x01UL << LCD32C_COMC1_COM28DEN_Pos)                   /*!< LCD32C COMC1: COM28DEN Mask             */
#define LCD32C_COMC1_COM29DEN_Pos             13                                                      /*!< LCD32C COMC1: COM29DEN Position         */
#define LCD32C_COMC1_COM29DEN_Msk             (0x01UL << LCD32C_COMC1_COM29DEN_Pos)                   /*!< LCD32C COMC1: COM29DEN Mask             */
#define LCD32C_COMC1_COM30DEN_Pos             14                                                      /*!< LCD32C COMC1: COM30DEN Position         */
#define LCD32C_COMC1_COM30DEN_Msk             (0x01UL << LCD32C_COMC1_COM30DEN_Pos)                   /*!< LCD32C COMC1: COM30DEN Mask             */
#define LCD32C_COMC1_COM31DEN_Pos             15                                                      /*!< LCD32C COMC1: COM31DEN Position         */
#define LCD32C_COMC1_COM31DEN_Msk             (0x01UL << LCD32C_COMC1_COM31DEN_Pos)                   /*!< LCD32C COMC1: COM31DEN Mask             */

/* ---------------------------------  LCD32C_INTF  -------------------------------- */
#define LCD32C_INTF_FRMIF_Pos                 0                                                       /*!< LCD32C INTF: FRMIF Position             */
#define LCD32C_INTF_FRMIF_Msk                 (0x01UL << LCD32C_INTF_FRMIF_Pos)                       /*!< LCD32C INTF: FRMIF Mask                 */
#define LCD32C_INTF_RESERVED_15_1_Pos         1                                                       /*!< LCD32C INTF: RESERVED_15_1 Position     */
#define LCD32C_INTF_RESERVED_15_1_Msk         (0x00007fffUL << LCD32C_INTF_RESERVED_15_1_Pos)         /*!< LCD32C INTF: RESERVED_15_1 Mask         */

/* ---------------------------------  LCD32C_INTE  -------------------------------- */
#define LCD32C_INTE_FRMIE_Pos                 0                                                       /*!< LCD32C INTE: FRMIE Position             */
#define LCD32C_INTE_FRMIE_Msk                 (0x01UL << LCD32C_INTE_FRMIE_Pos)                       /*!< LCD32C INTE: FRMIE Mask                 */
#define LCD32C_INTE_RESERVED_15_1_Pos         1                                                       /*!< LCD32C INTE: RESERVED_15_1 Position     */
#define LCD32C_INTE_RESERVED_15_1_Msk         (0x00007fffUL << LCD32C_INTE_RESERVED_15_1_Pos)         /*!< LCD32C INTE: RESERVED_15_1 Mask         */


/* ================================================================================ */
/* ================         struct 'PPORT' Position & Mask         ================ */
/* ================================================================================ */


/* ---------------------------------  PPORT_P0DAT  -------------------------------- */
#define PPORT_P0DAT_P0IN0_Pos                 0                                                       /*!< PPORT P0DAT: P0IN0 Position             */
#define PPORT_P0DAT_P0IN0_Msk                 (0x01UL << PPORT_P0DAT_P0IN0_Pos)                       /*!< PPORT P0DAT: P0IN0 Mask                 */
#define PPORT_P0DAT_P0IN1_Pos                 1                                                       /*!< PPORT P0DAT: P0IN1 Position             */
#define PPORT_P0DAT_P0IN1_Msk                 (0x01UL << PPORT_P0DAT_P0IN1_Pos)                       /*!< PPORT P0DAT: P0IN1 Mask                 */
#define PPORT_P0DAT_P0IN2_Pos                 2                                                       /*!< PPORT P0DAT: P0IN2 Position             */
#define PPORT_P0DAT_P0IN2_Msk                 (0x01UL << PPORT_P0DAT_P0IN2_Pos)                       /*!< PPORT P0DAT: P0IN2 Mask                 */
#define PPORT_P0DAT_P0IN3_Pos                 3                                                       /*!< PPORT P0DAT: P0IN3 Position             */
#define PPORT_P0DAT_P0IN3_Msk                 (0x01UL << PPORT_P0DAT_P0IN3_Pos)                       /*!< PPORT P0DAT: P0IN3 Mask                 */
#define PPORT_P0DAT_P0IN4_Pos                 4                                                       /*!< PPORT P0DAT: P0IN4 Position             */
#define PPORT_P0DAT_P0IN4_Msk                 (0x01UL << PPORT_P0DAT_P0IN4_Pos)                       /*!< PPORT P0DAT: P0IN4 Mask                 */
#define PPORT_P0DAT_P0IN5_Pos                 5                                                       /*!< PPORT P0DAT: P0IN5 Position             */
#define PPORT_P0DAT_P0IN5_Msk                 (0x01UL << PPORT_P0DAT_P0IN5_Pos)                       /*!< PPORT P0DAT: P0IN5 Mask                 */
#define PPORT_P0DAT_P0IN6_Pos                 6                                                       /*!< PPORT P0DAT: P0IN6 Position             */
#define PPORT_P0DAT_P0IN6_Msk                 (0x01UL << PPORT_P0DAT_P0IN6_Pos)                       /*!< PPORT P0DAT: P0IN6 Mask                 */
#define PPORT_P0DAT_P0IN7_Pos                 7                                                       /*!< PPORT P0DAT: P0IN7 Position             */
#define PPORT_P0DAT_P0IN7_Msk                 (0x01UL << PPORT_P0DAT_P0IN7_Pos)                       /*!< PPORT P0DAT: P0IN7 Mask                 */
#define PPORT_P0DAT_P0OUT0_Pos                8                                                       /*!< PPORT P0DAT: P0OUT0 Position            */
#define PPORT_P0DAT_P0OUT0_Msk                (0x01UL << PPORT_P0DAT_P0OUT0_Pos)                      /*!< PPORT P0DAT: P0OUT0 Mask                */
#define PPORT_P0DAT_P0OUT1_Pos                9                                                       /*!< PPORT P0DAT: P0OUT1 Position            */
#define PPORT_P0DAT_P0OUT1_Msk                (0x01UL << PPORT_P0DAT_P0OUT1_Pos)                      /*!< PPORT P0DAT: P0OUT1 Mask                */
#define PPORT_P0DAT_P0OUT2_Pos                10                                                      /*!< PPORT P0DAT: P0OUT2 Position            */
#define PPORT_P0DAT_P0OUT2_Msk                (0x01UL << PPORT_P0DAT_P0OUT2_Pos)                      /*!< PPORT P0DAT: P0OUT2 Mask                */
#define PPORT_P0DAT_P0OUT3_Pos                11                                                      /*!< PPORT P0DAT: P0OUT3 Position            */
#define PPORT_P0DAT_P0OUT3_Msk                (0x01UL << PPORT_P0DAT_P0OUT3_Pos)                      /*!< PPORT P0DAT: P0OUT3 Mask                */
#define PPORT_P0DAT_P0OUT4_Pos                12                                                      /*!< PPORT P0DAT: P0OUT4 Position            */
#define PPORT_P0DAT_P0OUT4_Msk                (0x01UL << PPORT_P0DAT_P0OUT4_Pos)                      /*!< PPORT P0DAT: P0OUT4 Mask                */
#define PPORT_P0DAT_P0OUT5_Pos                13                                                      /*!< PPORT P0DAT: P0OUT5 Position            */
#define PPORT_P0DAT_P0OUT5_Msk                (0x01UL << PPORT_P0DAT_P0OUT5_Pos)                      /*!< PPORT P0DAT: P0OUT5 Mask                */
#define PPORT_P0DAT_P0OUT6_Pos                14                                                      /*!< PPORT P0DAT: P0OUT6 Position            */
#define PPORT_P0DAT_P0OUT6_Msk                (0x01UL << PPORT_P0DAT_P0OUT6_Pos)                      /*!< PPORT P0DAT: P0OUT6 Mask                */
#define PPORT_P0DAT_P0OUT7_Pos                15                                                      /*!< PPORT P0DAT: P0OUT7 Position            */
#define PPORT_P0DAT_P0OUT7_Msk                (0x01UL << PPORT_P0DAT_P0OUT7_Pos)                      /*!< PPORT P0DAT: P0OUT7 Mask                */

/* --------------------------------  PPORT_P0IOEN  -------------------------------- */
#define PPORT_P0IOEN_P0OEN0_Pos               0                                                       /*!< PPORT P0IOEN: P0OEN0 Position           */
#define PPORT_P0IOEN_P0OEN0_Msk               (0x01UL << PPORT_P0IOEN_P0OEN0_Pos)                     /*!< PPORT P0IOEN: P0OEN0 Mask               */
#define PPORT_P0IOEN_P0OEN1_Pos               1                                                       /*!< PPORT P0IOEN: P0OEN1 Position           */
#define PPORT_P0IOEN_P0OEN1_Msk               (0x01UL << PPORT_P0IOEN_P0OEN1_Pos)                     /*!< PPORT P0IOEN: P0OEN1 Mask               */
#define PPORT_P0IOEN_P0OEN2_Pos               2                                                       /*!< PPORT P0IOEN: P0OEN2 Position           */
#define PPORT_P0IOEN_P0OEN2_Msk               (0x01UL << PPORT_P0IOEN_P0OEN2_Pos)                     /*!< PPORT P0IOEN: P0OEN2 Mask               */
#define PPORT_P0IOEN_P0OEN3_Pos               3                                                       /*!< PPORT P0IOEN: P0OEN3 Position           */
#define PPORT_P0IOEN_P0OEN3_Msk               (0x01UL << PPORT_P0IOEN_P0OEN3_Pos)                     /*!< PPORT P0IOEN: P0OEN3 Mask               */
#define PPORT_P0IOEN_P0OEN4_Pos               4                                                       /*!< PPORT P0IOEN: P0OEN4 Position           */
#define PPORT_P0IOEN_P0OEN4_Msk               (0x01UL << PPORT_P0IOEN_P0OEN4_Pos)                     /*!< PPORT P0IOEN: P0OEN4 Mask               */
#define PPORT_P0IOEN_P0OEN5_Pos               5                                                       /*!< PPORT P0IOEN: P0OEN5 Position           */
#define PPORT_P0IOEN_P0OEN5_Msk               (0x01UL << PPORT_P0IOEN_P0OEN5_Pos)                     /*!< PPORT P0IOEN: P0OEN5 Mask               */
#define PPORT_P0IOEN_P0OEN6_Pos               6                                                       /*!< PPORT P0IOEN: P0OEN6 Position           */
#define PPORT_P0IOEN_P0OEN6_Msk               (0x01UL << PPORT_P0IOEN_P0OEN6_Pos)                     /*!< PPORT P0IOEN: P0OEN6 Mask               */
#define PPORT_P0IOEN_P0OEN7_Pos               7                                                       /*!< PPORT P0IOEN: P0OEN7 Position           */
#define PPORT_P0IOEN_P0OEN7_Msk               (0x01UL << PPORT_P0IOEN_P0OEN7_Pos)                     /*!< PPORT P0IOEN: P0OEN7 Mask               */
#define PPORT_P0IOEN_P0IEN0_Pos               8                                                       /*!< PPORT P0IOEN: P0IEN0 Position           */
#define PPORT_P0IOEN_P0IEN0_Msk               (0x01UL << PPORT_P0IOEN_P0IEN0_Pos)                     /*!< PPORT P0IOEN: P0IEN0 Mask               */
#define PPORT_P0IOEN_P0IEN1_Pos               9                                                       /*!< PPORT P0IOEN: P0IEN1 Position           */
#define PPORT_P0IOEN_P0IEN1_Msk               (0x01UL << PPORT_P0IOEN_P0IEN1_Pos)                     /*!< PPORT P0IOEN: P0IEN1 Mask               */
#define PPORT_P0IOEN_P0IEN2_Pos               10                                                      /*!< PPORT P0IOEN: P0IEN2 Position           */
#define PPORT_P0IOEN_P0IEN2_Msk               (0x01UL << PPORT_P0IOEN_P0IEN2_Pos)                     /*!< PPORT P0IOEN: P0IEN2 Mask               */
#define PPORT_P0IOEN_P0IEN3_Pos               11                                                      /*!< PPORT P0IOEN: P0IEN3 Position           */
#define PPORT_P0IOEN_P0IEN3_Msk               (0x01UL << PPORT_P0IOEN_P0IEN3_Pos)                     /*!< PPORT P0IOEN: P0IEN3 Mask               */
#define PPORT_P0IOEN_P0IEN4_Pos               12                                                      /*!< PPORT P0IOEN: P0IEN4 Position           */
#define PPORT_P0IOEN_P0IEN4_Msk               (0x01UL << PPORT_P0IOEN_P0IEN4_Pos)                     /*!< PPORT P0IOEN: P0IEN4 Mask               */
#define PPORT_P0IOEN_P0IEN5_Pos               13                                                      /*!< PPORT P0IOEN: P0IEN5 Position           */
#define PPORT_P0IOEN_P0IEN5_Msk               (0x01UL << PPORT_P0IOEN_P0IEN5_Pos)                     /*!< PPORT P0IOEN: P0IEN5 Mask               */
#define PPORT_P0IOEN_P0IEN6_Pos               14                                                      /*!< PPORT P0IOEN: P0IEN6 Position           */
#define PPORT_P0IOEN_P0IEN6_Msk               (0x01UL << PPORT_P0IOEN_P0IEN6_Pos)                     /*!< PPORT P0IOEN: P0IEN6 Mask               */
#define PPORT_P0IOEN_P0IEN7_Pos               15                                                      /*!< PPORT P0IOEN: P0IEN7 Position           */
#define PPORT_P0IOEN_P0IEN7_Msk               (0x01UL << PPORT_P0IOEN_P0IEN7_Pos)                     /*!< PPORT P0IOEN: P0IEN7 Mask               */

/* --------------------------------  PPORT_P0RCTL  -------------------------------- */
#define PPORT_P0RCTL_P0REN0_Pos               0                                                       /*!< PPORT P0RCTL: P0REN0 Position           */
#define PPORT_P0RCTL_P0REN0_Msk               (0x01UL << PPORT_P0RCTL_P0REN0_Pos)                     /*!< PPORT P0RCTL: P0REN0 Mask               */
#define PPORT_P0RCTL_P0REN1_Pos               1                                                       /*!< PPORT P0RCTL: P0REN1 Position           */
#define PPORT_P0RCTL_P0REN1_Msk               (0x01UL << PPORT_P0RCTL_P0REN1_Pos)                     /*!< PPORT P0RCTL: P0REN1 Mask               */
#define PPORT_P0RCTL_P0REN2_Pos               2                                                       /*!< PPORT P0RCTL: P0REN2 Position           */
#define PPORT_P0RCTL_P0REN2_Msk               (0x01UL << PPORT_P0RCTL_P0REN2_Pos)                     /*!< PPORT P0RCTL: P0REN2 Mask               */
#define PPORT_P0RCTL_P0REN3_Pos               3                                                       /*!< PPORT P0RCTL: P0REN3 Position           */
#define PPORT_P0RCTL_P0REN3_Msk               (0x01UL << PPORT_P0RCTL_P0REN3_Pos)                     /*!< PPORT P0RCTL: P0REN3 Mask               */
#define PPORT_P0RCTL_P0REN4_Pos               4                                                       /*!< PPORT P0RCTL: P0REN4 Position           */
#define PPORT_P0RCTL_P0REN4_Msk               (0x01UL << PPORT_P0RCTL_P0REN4_Pos)                     /*!< PPORT P0RCTL: P0REN4 Mask               */
#define PPORT_P0RCTL_P0REN5_Pos               5                                                       /*!< PPORT P0RCTL: P0REN5 Position           */
#define PPORT_P0RCTL_P0REN5_Msk               (0x01UL << PPORT_P0RCTL_P0REN5_Pos)                     /*!< PPORT P0RCTL: P0REN5 Mask               */
#define PPORT_P0RCTL_P0REN6_Pos               6                                                       /*!< PPORT P0RCTL: P0REN6 Position           */
#define PPORT_P0RCTL_P0REN6_Msk               (0x01UL << PPORT_P0RCTL_P0REN6_Pos)                     /*!< PPORT P0RCTL: P0REN6 Mask               */
#define PPORT_P0RCTL_P0REN7_Pos               7                                                       /*!< PPORT P0RCTL: P0REN7 Position           */
#define PPORT_P0RCTL_P0REN7_Msk               (0x01UL << PPORT_P0RCTL_P0REN7_Pos)                     /*!< PPORT P0RCTL: P0REN7 Mask               */
#define PPORT_P0RCTL_P0PDPU0_Pos              8                                                       /*!< PPORT P0RCTL: P0PDPU0 Position          */
#define PPORT_P0RCTL_P0PDPU0_Msk              (0x01UL << PPORT_P0RCTL_P0PDPU0_Pos)                    /*!< PPORT P0RCTL: P0PDPU0 Mask              */
#define PPORT_P0RCTL_P0PDPU1_Pos              9                                                       /*!< PPORT P0RCTL: P0PDPU1 Position          */
#define PPORT_P0RCTL_P0PDPU1_Msk              (0x01UL << PPORT_P0RCTL_P0PDPU1_Pos)                    /*!< PPORT P0RCTL: P0PDPU1 Mask              */
#define PPORT_P0RCTL_P0PDPU2_Pos              10                                                      /*!< PPORT P0RCTL: P0PDPU2 Position          */
#define PPORT_P0RCTL_P0PDPU2_Msk              (0x01UL << PPORT_P0RCTL_P0PDPU2_Pos)                    /*!< PPORT P0RCTL: P0PDPU2 Mask              */
#define PPORT_P0RCTL_P0PDPU3_Pos              11                                                      /*!< PPORT P0RCTL: P0PDPU3 Position          */
#define PPORT_P0RCTL_P0PDPU3_Msk              (0x01UL << PPORT_P0RCTL_P0PDPU3_Pos)                    /*!< PPORT P0RCTL: P0PDPU3 Mask              */
#define PPORT_P0RCTL_P0PDPU4_Pos              12                                                      /*!< PPORT P0RCTL: P0PDPU4 Position          */
#define PPORT_P0RCTL_P0PDPU4_Msk              (0x01UL << PPORT_P0RCTL_P0PDPU4_Pos)                    /*!< PPORT P0RCTL: P0PDPU4 Mask              */
#define PPORT_P0RCTL_P0PDPU5_Pos              13                                                      /*!< PPORT P0RCTL: P0PDPU5 Position          */
#define PPORT_P0RCTL_P0PDPU5_Msk              (0x01UL << PPORT_P0RCTL_P0PDPU5_Pos)                    /*!< PPORT P0RCTL: P0PDPU5 Mask              */
#define PPORT_P0RCTL_P0PDPU6_Pos              14                                                      /*!< PPORT P0RCTL: P0PDPU6 Position          */
#define PPORT_P0RCTL_P0PDPU6_Msk              (0x01UL << PPORT_P0RCTL_P0PDPU6_Pos)                    /*!< PPORT P0RCTL: P0PDPU6 Mask              */
#define PPORT_P0RCTL_P0PDPU7_Pos              15                                                      /*!< PPORT P0RCTL: P0PDPU7 Position          */
#define PPORT_P0RCTL_P0PDPU7_Msk              (0x01UL << PPORT_P0RCTL_P0PDPU7_Pos)                    /*!< PPORT P0RCTL: P0PDPU7 Mask              */

/* --------------------------------  PPORT_P0INTF  -------------------------------- */
#define PPORT_P0INTF_P0IF0_Pos                0                                                       /*!< PPORT P0INTF: P0IF0 Position            */
#define PPORT_P0INTF_P0IF0_Msk                (0x01UL << PPORT_P0INTF_P0IF0_Pos)                      /*!< PPORT P0INTF: P0IF0 Mask                */
#define PPORT_P0INTF_P0IF1_Pos                1                                                       /*!< PPORT P0INTF: P0IF1 Position            */
#define PPORT_P0INTF_P0IF1_Msk                (0x01UL << PPORT_P0INTF_P0IF1_Pos)                      /*!< PPORT P0INTF: P0IF1 Mask                */
#define PPORT_P0INTF_P0IF2_Pos                2                                                       /*!< PPORT P0INTF: P0IF2 Position            */
#define PPORT_P0INTF_P0IF2_Msk                (0x01UL << PPORT_P0INTF_P0IF2_Pos)                      /*!< PPORT P0INTF: P0IF2 Mask                */
#define PPORT_P0INTF_P0IF3_Pos                3                                                       /*!< PPORT P0INTF: P0IF3 Position            */
#define PPORT_P0INTF_P0IF3_Msk                (0x01UL << PPORT_P0INTF_P0IF3_Pos)                      /*!< PPORT P0INTF: P0IF3 Mask                */
#define PPORT_P0INTF_P0IF4_Pos                4                                                       /*!< PPORT P0INTF: P0IF4 Position            */
#define PPORT_P0INTF_P0IF4_Msk                (0x01UL << PPORT_P0INTF_P0IF4_Pos)                      /*!< PPORT P0INTF: P0IF4 Mask                */
#define PPORT_P0INTF_P0IF5_Pos                5                                                       /*!< PPORT P0INTF: P0IF5 Position            */
#define PPORT_P0INTF_P0IF5_Msk                (0x01UL << PPORT_P0INTF_P0IF5_Pos)                      /*!< PPORT P0INTF: P0IF5 Mask                */
#define PPORT_P0INTF_P0IF6_Pos                6                                                       /*!< PPORT P0INTF: P0IF6 Position            */
#define PPORT_P0INTF_P0IF6_Msk                (0x01UL << PPORT_P0INTF_P0IF6_Pos)                      /*!< PPORT P0INTF: P0IF6 Mask                */
#define PPORT_P0INTF_P0IF7_Pos                7                                                       /*!< PPORT P0INTF: P0IF7 Position            */
#define PPORT_P0INTF_P0IF7_Msk                (0x01UL << PPORT_P0INTF_P0IF7_Pos)                      /*!< PPORT P0INTF: P0IF7 Mask                */
#define PPORT_P0INTF_RESERVED_15_8_Pos        8                                                       /*!< PPORT P0INTF: RESERVED_15_8 Position    */
#define PPORT_P0INTF_RESERVED_15_8_Msk        (0x000000ffUL << PPORT_P0INTF_RESERVED_15_8_Pos)        /*!< PPORT P0INTF: RESERVED_15_8 Mask        */

/* -------------------------------  PPORT_P0INTCTL  ------------------------------- */
#define PPORT_P0INTCTL_P0IE0_Pos              0                                                       /*!< PPORT P0INTCTL: P0IE0 Position          */
#define PPORT_P0INTCTL_P0IE0_Msk              (0x01UL << PPORT_P0INTCTL_P0IE0_Pos)                    /*!< PPORT P0INTCTL: P0IE0 Mask              */
#define PPORT_P0INTCTL_P0IE1_Pos              1                                                       /*!< PPORT P0INTCTL: P0IE1 Position          */
#define PPORT_P0INTCTL_P0IE1_Msk              (0x01UL << PPORT_P0INTCTL_P0IE1_Pos)                    /*!< PPORT P0INTCTL: P0IE1 Mask              */
#define PPORT_P0INTCTL_P0IE2_Pos              2                                                       /*!< PPORT P0INTCTL: P0IE2 Position          */
#define PPORT_P0INTCTL_P0IE2_Msk              (0x01UL << PPORT_P0INTCTL_P0IE2_Pos)                    /*!< PPORT P0INTCTL: P0IE2 Mask              */
#define PPORT_P0INTCTL_P0IE3_Pos              3                                                       /*!< PPORT P0INTCTL: P0IE3 Position          */
#define PPORT_P0INTCTL_P0IE3_Msk              (0x01UL << PPORT_P0INTCTL_P0IE3_Pos)                    /*!< PPORT P0INTCTL: P0IE3 Mask              */
#define PPORT_P0INTCTL_P0IE4_Pos              4                                                       /*!< PPORT P0INTCTL: P0IE4 Position          */
#define PPORT_P0INTCTL_P0IE4_Msk              (0x01UL << PPORT_P0INTCTL_P0IE4_Pos)                    /*!< PPORT P0INTCTL: P0IE4 Mask              */
#define PPORT_P0INTCTL_P0IE5_Pos              5                                                       /*!< PPORT P0INTCTL: P0IE5 Position          */
#define PPORT_P0INTCTL_P0IE5_Msk              (0x01UL << PPORT_P0INTCTL_P0IE5_Pos)                    /*!< PPORT P0INTCTL: P0IE5 Mask              */
#define PPORT_P0INTCTL_P0IE6_Pos              6                                                       /*!< PPORT P0INTCTL: P0IE6 Position          */
#define PPORT_P0INTCTL_P0IE6_Msk              (0x01UL << PPORT_P0INTCTL_P0IE6_Pos)                    /*!< PPORT P0INTCTL: P0IE6 Mask              */
#define PPORT_P0INTCTL_P0IE7_Pos              7                                                       /*!< PPORT P0INTCTL: P0IE7 Position          */
#define PPORT_P0INTCTL_P0IE7_Msk              (0x01UL << PPORT_P0INTCTL_P0IE7_Pos)                    /*!< PPORT P0INTCTL: P0IE7 Mask              */
#define PPORT_P0INTCTL_P0EDGE0_Pos            8                                                       /*!< PPORT P0INTCTL: P0EDGE0 Position        */
#define PPORT_P0INTCTL_P0EDGE0_Msk            (0x01UL << PPORT_P0INTCTL_P0EDGE0_Pos)                  /*!< PPORT P0INTCTL: P0EDGE0 Mask            */
#define PPORT_P0INTCTL_P0EDGE1_Pos            9                                                       /*!< PPORT P0INTCTL: P0EDGE1 Position        */
#define PPORT_P0INTCTL_P0EDGE1_Msk            (0x01UL << PPORT_P0INTCTL_P0EDGE1_Pos)                  /*!< PPORT P0INTCTL: P0EDGE1 Mask            */
#define PPORT_P0INTCTL_P0EDGE2_Pos            10                                                      /*!< PPORT P0INTCTL: P0EDGE2 Position        */
#define PPORT_P0INTCTL_P0EDGE2_Msk            (0x01UL << PPORT_P0INTCTL_P0EDGE2_Pos)                  /*!< PPORT P0INTCTL: P0EDGE2 Mask            */
#define PPORT_P0INTCTL_P0EDGE3_Pos            11                                                      /*!< PPORT P0INTCTL: P0EDGE3 Position        */
#define PPORT_P0INTCTL_P0EDGE3_Msk            (0x01UL << PPORT_P0INTCTL_P0EDGE3_Pos)                  /*!< PPORT P0INTCTL: P0EDGE3 Mask            */
#define PPORT_P0INTCTL_P0EDGE4_Pos            12                                                      /*!< PPORT P0INTCTL: P0EDGE4 Position        */
#define PPORT_P0INTCTL_P0EDGE4_Msk            (0x01UL << PPORT_P0INTCTL_P0EDGE4_Pos)                  /*!< PPORT P0INTCTL: P0EDGE4 Mask            */
#define PPORT_P0INTCTL_P0EDGE5_Pos            13                                                      /*!< PPORT P0INTCTL: P0EDGE5 Position        */
#define PPORT_P0INTCTL_P0EDGE5_Msk            (0x01UL << PPORT_P0INTCTL_P0EDGE5_Pos)                  /*!< PPORT P0INTCTL: P0EDGE5 Mask            */
#define PPORT_P0INTCTL_P0EDGE6_Pos            14                                                      /*!< PPORT P0INTCTL: P0EDGE6 Position        */
#define PPORT_P0INTCTL_P0EDGE6_Msk            (0x01UL << PPORT_P0INTCTL_P0EDGE6_Pos)                  /*!< PPORT P0INTCTL: P0EDGE6 Mask            */
#define PPORT_P0INTCTL_P0EDGE7_Pos            15                                                      /*!< PPORT P0INTCTL: P0EDGE7 Position        */
#define PPORT_P0INTCTL_P0EDGE7_Msk            (0x01UL << PPORT_P0INTCTL_P0EDGE7_Pos)                  /*!< PPORT P0INTCTL: P0EDGE7 Mask            */

/* -------------------------------  PPORT_P0CHATEN  ------------------------------- */
#define PPORT_P0CHATEN_P0CHATEN0_Pos          0                                                       /*!< PPORT P0CHATEN: P0CHATEN0 Position      */
#define PPORT_P0CHATEN_P0CHATEN0_Msk          (0x01UL << PPORT_P0CHATEN_P0CHATEN0_Pos)                /*!< PPORT P0CHATEN: P0CHATEN0 Mask          */
#define PPORT_P0CHATEN_P0CHATEN1_Pos          1                                                       /*!< PPORT P0CHATEN: P0CHATEN1 Position      */
#define PPORT_P0CHATEN_P0CHATEN1_Msk          (0x01UL << PPORT_P0CHATEN_P0CHATEN1_Pos)                /*!< PPORT P0CHATEN: P0CHATEN1 Mask          */
#define PPORT_P0CHATEN_P0CHATEN2_Pos          2                                                       /*!< PPORT P0CHATEN: P0CHATEN2 Position      */
#define PPORT_P0CHATEN_P0CHATEN2_Msk          (0x01UL << PPORT_P0CHATEN_P0CHATEN2_Pos)                /*!< PPORT P0CHATEN: P0CHATEN2 Mask          */
#define PPORT_P0CHATEN_P0CHATEN3_Pos          3                                                       /*!< PPORT P0CHATEN: P0CHATEN3 Position      */
#define PPORT_P0CHATEN_P0CHATEN3_Msk          (0x01UL << PPORT_P0CHATEN_P0CHATEN3_Pos)                /*!< PPORT P0CHATEN: P0CHATEN3 Mask          */
#define PPORT_P0CHATEN_P0CHATEN4_Pos          4                                                       /*!< PPORT P0CHATEN: P0CHATEN4 Position      */
#define PPORT_P0CHATEN_P0CHATEN4_Msk          (0x01UL << PPORT_P0CHATEN_P0CHATEN4_Pos)                /*!< PPORT P0CHATEN: P0CHATEN4 Mask          */
#define PPORT_P0CHATEN_P0CHATEN5_Pos          5                                                       /*!< PPORT P0CHATEN: P0CHATEN5 Position      */
#define PPORT_P0CHATEN_P0CHATEN5_Msk          (0x01UL << PPORT_P0CHATEN_P0CHATEN5_Pos)                /*!< PPORT P0CHATEN: P0CHATEN5 Mask          */
#define PPORT_P0CHATEN_P0CHATEN6_Pos          6                                                       /*!< PPORT P0CHATEN: P0CHATEN6 Position      */
#define PPORT_P0CHATEN_P0CHATEN6_Msk          (0x01UL << PPORT_P0CHATEN_P0CHATEN6_Pos)                /*!< PPORT P0CHATEN: P0CHATEN6 Mask          */
#define PPORT_P0CHATEN_P0CHATEN7_Pos          7                                                       /*!< PPORT P0CHATEN: P0CHATEN7 Position      */
#define PPORT_P0CHATEN_P0CHATEN7_Msk          (0x01UL << PPORT_P0CHATEN_P0CHATEN7_Pos)                /*!< PPORT P0CHATEN: P0CHATEN7 Mask          */
#define PPORT_P0CHATEN_RESERVED_15_8_Pos      8                                                       /*!< PPORT P0CHATEN: RESERVED_15_8 Position  */
#define PPORT_P0CHATEN_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P0CHATEN_RESERVED_15_8_Pos)      /*!< PPORT P0CHATEN: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P0MODSEL  ------------------------------- */
#define PPORT_P0MODSEL_P0SEL0_Pos             0                                                       /*!< PPORT P0MODSEL: P0SEL0 Position         */
#define PPORT_P0MODSEL_P0SEL0_Msk             (0x01UL << PPORT_P0MODSEL_P0SEL0_Pos)                   /*!< PPORT P0MODSEL: P0SEL0 Mask             */
#define PPORT_P0MODSEL_P0SEL1_Pos             1                                                       /*!< PPORT P0MODSEL: P0SEL1 Position         */
#define PPORT_P0MODSEL_P0SEL1_Msk             (0x01UL << PPORT_P0MODSEL_P0SEL1_Pos)                   /*!< PPORT P0MODSEL: P0SEL1 Mask             */
#define PPORT_P0MODSEL_P0SEL2_Pos             2                                                       /*!< PPORT P0MODSEL: P0SEL2 Position         */
#define PPORT_P0MODSEL_P0SEL2_Msk             (0x01UL << PPORT_P0MODSEL_P0SEL2_Pos)                   /*!< PPORT P0MODSEL: P0SEL2 Mask             */
#define PPORT_P0MODSEL_P0SEL3_Pos             3                                                       /*!< PPORT P0MODSEL: P0SEL3 Position         */
#define PPORT_P0MODSEL_P0SEL3_Msk             (0x01UL << PPORT_P0MODSEL_P0SEL3_Pos)                   /*!< PPORT P0MODSEL: P0SEL3 Mask             */
#define PPORT_P0MODSEL_P0SEL4_Pos             4                                                       /*!< PPORT P0MODSEL: P0SEL4 Position         */
#define PPORT_P0MODSEL_P0SEL4_Msk             (0x01UL << PPORT_P0MODSEL_P0SEL4_Pos)                   /*!< PPORT P0MODSEL: P0SEL4 Mask             */
#define PPORT_P0MODSEL_P0SEL5_Pos             5                                                       /*!< PPORT P0MODSEL: P0SEL5 Position         */
#define PPORT_P0MODSEL_P0SEL5_Msk             (0x01UL << PPORT_P0MODSEL_P0SEL5_Pos)                   /*!< PPORT P0MODSEL: P0SEL5 Mask             */
#define PPORT_P0MODSEL_P0SEL6_Pos             6                                                       /*!< PPORT P0MODSEL: P0SEL6 Position         */
#define PPORT_P0MODSEL_P0SEL6_Msk             (0x01UL << PPORT_P0MODSEL_P0SEL6_Pos)                   /*!< PPORT P0MODSEL: P0SEL6 Mask             */
#define PPORT_P0MODSEL_P0SEL7_Pos             7                                                       /*!< PPORT P0MODSEL: P0SEL7 Position         */
#define PPORT_P0MODSEL_P0SEL7_Msk             (0x01UL << PPORT_P0MODSEL_P0SEL7_Pos)                   /*!< PPORT P0MODSEL: P0SEL7 Mask             */
#define PPORT_P0MODSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT P0MODSEL: RESERVED_15_8 Position  */
#define PPORT_P0MODSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P0MODSEL_RESERVED_15_8_Pos)      /*!< PPORT P0MODSEL: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P0FNCSEL  ------------------------------- */
#define PPORT_P0FNCSEL_P00MUX_Pos             0                                                       /*!< PPORT P0FNCSEL: P00MUX Position         */
#define PPORT_P0FNCSEL_P00MUX_Msk             (0x03UL << PPORT_P0FNCSEL_P00MUX_Pos)                   /*!< PPORT P0FNCSEL: P00MUX Mask             */
#define PPORT_P0FNCSEL_P01MUX_Pos             2                                                       /*!< PPORT P0FNCSEL: P01MUX Position         */
#define PPORT_P0FNCSEL_P01MUX_Msk             (0x03UL << PPORT_P0FNCSEL_P01MUX_Pos)                   /*!< PPORT P0FNCSEL: P01MUX Mask             */
#define PPORT_P0FNCSEL_P02MUX_Pos             4                                                       /*!< PPORT P0FNCSEL: P02MUX Position         */
#define PPORT_P0FNCSEL_P02MUX_Msk             (0x03UL << PPORT_P0FNCSEL_P02MUX_Pos)                   /*!< PPORT P0FNCSEL: P02MUX Mask             */
#define PPORT_P0FNCSEL_P03MUX_Pos             6                                                       /*!< PPORT P0FNCSEL: P03MUX Position         */
#define PPORT_P0FNCSEL_P03MUX_Msk             (0x03UL << PPORT_P0FNCSEL_P03MUX_Pos)                   /*!< PPORT P0FNCSEL: P03MUX Mask             */
#define PPORT_P0FNCSEL_P04MUX_Pos             8                                                       /*!< PPORT P0FNCSEL: P04MUX Position         */
#define PPORT_P0FNCSEL_P04MUX_Msk             (0x03UL << PPORT_P0FNCSEL_P04MUX_Pos)                   /*!< PPORT P0FNCSEL: P04MUX Mask             */
#define PPORT_P0FNCSEL_P05MUX_Pos             10                                                      /*!< PPORT P0FNCSEL: P05MUX Position         */
#define PPORT_P0FNCSEL_P05MUX_Msk             (0x03UL << PPORT_P0FNCSEL_P05MUX_Pos)                   /*!< PPORT P0FNCSEL: P05MUX Mask             */
#define PPORT_P0FNCSEL_P06MUX_Pos             12                                                      /*!< PPORT P0FNCSEL: P06MUX Position         */
#define PPORT_P0FNCSEL_P06MUX_Msk             (0x03UL << PPORT_P0FNCSEL_P06MUX_Pos)                   /*!< PPORT P0FNCSEL: P06MUX Mask             */
#define PPORT_P0FNCSEL_P07MUX_Pos             14                                                      /*!< PPORT P0FNCSEL: P07MUX Position         */
#define PPORT_P0FNCSEL_P07MUX_Msk             (0x03UL << PPORT_P0FNCSEL_P07MUX_Pos)                   /*!< PPORT P0FNCSEL: P07MUX Mask             */

/* ---------------------------------  PPORT_P1DAT  -------------------------------- */
#define PPORT_P1DAT_P1IN0_Pos                 0                                                       /*!< PPORT P1DAT: P1IN0 Position             */
#define PPORT_P1DAT_P1IN0_Msk                 (0x01UL << PPORT_P1DAT_P1IN0_Pos)                       /*!< PPORT P1DAT: P1IN0 Mask                 */
#define PPORT_P1DAT_P1IN1_Pos                 1                                                       /*!< PPORT P1DAT: P1IN1 Position             */
#define PPORT_P1DAT_P1IN1_Msk                 (0x01UL << PPORT_P1DAT_P1IN1_Pos)                       /*!< PPORT P1DAT: P1IN1 Mask                 */
#define PPORT_P1DAT_P1IN2_Pos                 2                                                       /*!< PPORT P1DAT: P1IN2 Position             */
#define PPORT_P1DAT_P1IN2_Msk                 (0x01UL << PPORT_P1DAT_P1IN2_Pos)                       /*!< PPORT P1DAT: P1IN2 Mask                 */
#define PPORT_P1DAT_P1IN3_Pos                 3                                                       /*!< PPORT P1DAT: P1IN3 Position             */
#define PPORT_P1DAT_P1IN3_Msk                 (0x01UL << PPORT_P1DAT_P1IN3_Pos)                       /*!< PPORT P1DAT: P1IN3 Mask                 */
#define PPORT_P1DAT_P1IN4_Pos                 4                                                       /*!< PPORT P1DAT: P1IN4 Position             */
#define PPORT_P1DAT_P1IN4_Msk                 (0x01UL << PPORT_P1DAT_P1IN4_Pos)                       /*!< PPORT P1DAT: P1IN4 Mask                 */
#define PPORT_P1DAT_P1IN5_Pos                 5                                                       /*!< PPORT P1DAT: P1IN5 Position             */
#define PPORT_P1DAT_P1IN5_Msk                 (0x01UL << PPORT_P1DAT_P1IN5_Pos)                       /*!< PPORT P1DAT: P1IN5 Mask                 */
#define PPORT_P1DAT_P1IN6_Pos                 6                                                       /*!< PPORT P1DAT: P1IN6 Position             */
#define PPORT_P1DAT_P1IN6_Msk                 (0x01UL << PPORT_P1DAT_P1IN6_Pos)                       /*!< PPORT P1DAT: P1IN6 Mask                 */
#define PPORT_P1DAT_P1IN7_Pos                 7                                                       /*!< PPORT P1DAT: P1IN7 Position             */
#define PPORT_P1DAT_P1IN7_Msk                 (0x01UL << PPORT_P1DAT_P1IN7_Pos)                       /*!< PPORT P1DAT: P1IN7 Mask                 */
#define PPORT_P1DAT_P1OUT0_Pos                8                                                       /*!< PPORT P1DAT: P1OUT0 Position            */
#define PPORT_P1DAT_P1OUT0_Msk                (0x01UL << PPORT_P1DAT_P1OUT0_Pos)                      /*!< PPORT P1DAT: P1OUT0 Mask                */
#define PPORT_P1DAT_P1OUT1_Pos                9                                                       /*!< PPORT P1DAT: P1OUT1 Position            */
#define PPORT_P1DAT_P1OUT1_Msk                (0x01UL << PPORT_P1DAT_P1OUT1_Pos)                      /*!< PPORT P1DAT: P1OUT1 Mask                */
#define PPORT_P1DAT_P1OUT2_Pos                10                                                      /*!< PPORT P1DAT: P1OUT2 Position            */
#define PPORT_P1DAT_P1OUT2_Msk                (0x01UL << PPORT_P1DAT_P1OUT2_Pos)                      /*!< PPORT P1DAT: P1OUT2 Mask                */
#define PPORT_P1DAT_P1OUT3_Pos                11                                                      /*!< PPORT P1DAT: P1OUT3 Position            */
#define PPORT_P1DAT_P1OUT3_Msk                (0x01UL << PPORT_P1DAT_P1OUT3_Pos)                      /*!< PPORT P1DAT: P1OUT3 Mask                */
#define PPORT_P1DAT_P1OUT4_Pos                12                                                      /*!< PPORT P1DAT: P1OUT4 Position            */
#define PPORT_P1DAT_P1OUT4_Msk                (0x01UL << PPORT_P1DAT_P1OUT4_Pos)                      /*!< PPORT P1DAT: P1OUT4 Mask                */
#define PPORT_P1DAT_P1OUT5_Pos                13                                                      /*!< PPORT P1DAT: P1OUT5 Position            */
#define PPORT_P1DAT_P1OUT5_Msk                (0x01UL << PPORT_P1DAT_P1OUT5_Pos)                      /*!< PPORT P1DAT: P1OUT5 Mask                */
#define PPORT_P1DAT_P1OUT6_Pos                14                                                      /*!< PPORT P1DAT: P1OUT6 Position            */
#define PPORT_P1DAT_P1OUT6_Msk                (0x01UL << PPORT_P1DAT_P1OUT6_Pos)                      /*!< PPORT P1DAT: P1OUT6 Mask                */
#define PPORT_P1DAT_P1OUT7_Pos                15                                                      /*!< PPORT P1DAT: P1OUT7 Position            */
#define PPORT_P1DAT_P1OUT7_Msk                (0x01UL << PPORT_P1DAT_P1OUT7_Pos)                      /*!< PPORT P1DAT: P1OUT7 Mask                */

/* --------------------------------  PPORT_P1IOEN  -------------------------------- */
#define PPORT_P1IOEN_P1OEN0_Pos               0                                                       /*!< PPORT P1IOEN: P1OEN0 Position           */
#define PPORT_P1IOEN_P1OEN0_Msk               (0x01UL << PPORT_P1IOEN_P1OEN0_Pos)                     /*!< PPORT P1IOEN: P1OEN0 Mask               */
#define PPORT_P1IOEN_P1OEN1_Pos               1                                                       /*!< PPORT P1IOEN: P1OEN1 Position           */
#define PPORT_P1IOEN_P1OEN1_Msk               (0x01UL << PPORT_P1IOEN_P1OEN1_Pos)                     /*!< PPORT P1IOEN: P1OEN1 Mask               */
#define PPORT_P1IOEN_P1OEN2_Pos               2                                                       /*!< PPORT P1IOEN: P1OEN2 Position           */
#define PPORT_P1IOEN_P1OEN2_Msk               (0x01UL << PPORT_P1IOEN_P1OEN2_Pos)                     /*!< PPORT P1IOEN: P1OEN2 Mask               */
#define PPORT_P1IOEN_P1OEN3_Pos               3                                                       /*!< PPORT P1IOEN: P1OEN3 Position           */
#define PPORT_P1IOEN_P1OEN3_Msk               (0x01UL << PPORT_P1IOEN_P1OEN3_Pos)                     /*!< PPORT P1IOEN: P1OEN3 Mask               */
#define PPORT_P1IOEN_P1OEN4_Pos               4                                                       /*!< PPORT P1IOEN: P1OEN4 Position           */
#define PPORT_P1IOEN_P1OEN4_Msk               (0x01UL << PPORT_P1IOEN_P1OEN4_Pos)                     /*!< PPORT P1IOEN: P1OEN4 Mask               */
#define PPORT_P1IOEN_P1OEN5_Pos               5                                                       /*!< PPORT P1IOEN: P1OEN5 Position           */
#define PPORT_P1IOEN_P1OEN5_Msk               (0x01UL << PPORT_P1IOEN_P1OEN5_Pos)                     /*!< PPORT P1IOEN: P1OEN5 Mask               */
#define PPORT_P1IOEN_P1OEN6_Pos               6                                                       /*!< PPORT P1IOEN: P1OEN6 Position           */
#define PPORT_P1IOEN_P1OEN6_Msk               (0x01UL << PPORT_P1IOEN_P1OEN6_Pos)                     /*!< PPORT P1IOEN: P1OEN6 Mask               */
#define PPORT_P1IOEN_P1OEN7_Pos               7                                                       /*!< PPORT P1IOEN: P1OEN7 Position           */
#define PPORT_P1IOEN_P1OEN7_Msk               (0x01UL << PPORT_P1IOEN_P1OEN7_Pos)                     /*!< PPORT P1IOEN: P1OEN7 Mask               */
#define PPORT_P1IOEN_P1IEN0_Pos               8                                                       /*!< PPORT P1IOEN: P1IEN0 Position           */
#define PPORT_P1IOEN_P1IEN0_Msk               (0x01UL << PPORT_P1IOEN_P1IEN0_Pos)                     /*!< PPORT P1IOEN: P1IEN0 Mask               */
#define PPORT_P1IOEN_P1IEN1_Pos               9                                                       /*!< PPORT P1IOEN: P1IEN1 Position           */
#define PPORT_P1IOEN_P1IEN1_Msk               (0x01UL << PPORT_P1IOEN_P1IEN1_Pos)                     /*!< PPORT P1IOEN: P1IEN1 Mask               */
#define PPORT_P1IOEN_P1IEN2_Pos               10                                                      /*!< PPORT P1IOEN: P1IEN2 Position           */
#define PPORT_P1IOEN_P1IEN2_Msk               (0x01UL << PPORT_P1IOEN_P1IEN2_Pos)                     /*!< PPORT P1IOEN: P1IEN2 Mask               */
#define PPORT_P1IOEN_P1IEN3_Pos               11                                                      /*!< PPORT P1IOEN: P1IEN3 Position           */
#define PPORT_P1IOEN_P1IEN3_Msk               (0x01UL << PPORT_P1IOEN_P1IEN3_Pos)                     /*!< PPORT P1IOEN: P1IEN3 Mask               */
#define PPORT_P1IOEN_P1IEN4_Pos               12                                                      /*!< PPORT P1IOEN: P1IEN4 Position           */
#define PPORT_P1IOEN_P1IEN4_Msk               (0x01UL << PPORT_P1IOEN_P1IEN4_Pos)                     /*!< PPORT P1IOEN: P1IEN4 Mask               */
#define PPORT_P1IOEN_P1IEN5_Pos               13                                                      /*!< PPORT P1IOEN: P1IEN5 Position           */
#define PPORT_P1IOEN_P1IEN5_Msk               (0x01UL << PPORT_P1IOEN_P1IEN5_Pos)                     /*!< PPORT P1IOEN: P1IEN5 Mask               */
#define PPORT_P1IOEN_P1IEN6_Pos               14                                                      /*!< PPORT P1IOEN: P1IEN6 Position           */
#define PPORT_P1IOEN_P1IEN6_Msk               (0x01UL << PPORT_P1IOEN_P1IEN6_Pos)                     /*!< PPORT P1IOEN: P1IEN6 Mask               */
#define PPORT_P1IOEN_P1IEN7_Pos               15                                                      /*!< PPORT P1IOEN: P1IEN7 Position           */
#define PPORT_P1IOEN_P1IEN7_Msk               (0x01UL << PPORT_P1IOEN_P1IEN7_Pos)                     /*!< PPORT P1IOEN: P1IEN7 Mask               */

/* --------------------------------  PPORT_P1RCTL  -------------------------------- */
#define PPORT_P1RCTL_P1REN0_Pos               0                                                       /*!< PPORT P1RCTL: P1REN0 Position           */
#define PPORT_P1RCTL_P1REN0_Msk               (0x01UL << PPORT_P1RCTL_P1REN0_Pos)                     /*!< PPORT P1RCTL: P1REN0 Mask               */
#define PPORT_P1RCTL_P1REN1_Pos               1                                                       /*!< PPORT P1RCTL: P1REN1 Position           */
#define PPORT_P1RCTL_P1REN1_Msk               (0x01UL << PPORT_P1RCTL_P1REN1_Pos)                     /*!< PPORT P1RCTL: P1REN1 Mask               */
#define PPORT_P1RCTL_P1REN2_Pos               2                                                       /*!< PPORT P1RCTL: P1REN2 Position           */
#define PPORT_P1RCTL_P1REN2_Msk               (0x01UL << PPORT_P1RCTL_P1REN2_Pos)                     /*!< PPORT P1RCTL: P1REN2 Mask               */
#define PPORT_P1RCTL_P1REN3_Pos               3                                                       /*!< PPORT P1RCTL: P1REN3 Position           */
#define PPORT_P1RCTL_P1REN3_Msk               (0x01UL << PPORT_P1RCTL_P1REN3_Pos)                     /*!< PPORT P1RCTL: P1REN3 Mask               */
#define PPORT_P1RCTL_P1REN4_Pos               4                                                       /*!< PPORT P1RCTL: P1REN4 Position           */
#define PPORT_P1RCTL_P1REN4_Msk               (0x01UL << PPORT_P1RCTL_P1REN4_Pos)                     /*!< PPORT P1RCTL: P1REN4 Mask               */
#define PPORT_P1RCTL_P1REN5_Pos               5                                                       /*!< PPORT P1RCTL: P1REN5 Position           */
#define PPORT_P1RCTL_P1REN5_Msk               (0x01UL << PPORT_P1RCTL_P1REN5_Pos)                     /*!< PPORT P1RCTL: P1REN5 Mask               */
#define PPORT_P1RCTL_P1REN6_Pos               6                                                       /*!< PPORT P1RCTL: P1REN6 Position           */
#define PPORT_P1RCTL_P1REN6_Msk               (0x01UL << PPORT_P1RCTL_P1REN6_Pos)                     /*!< PPORT P1RCTL: P1REN6 Mask               */
#define PPORT_P1RCTL_P1REN7_Pos               7                                                       /*!< PPORT P1RCTL: P1REN7 Position           */
#define PPORT_P1RCTL_P1REN7_Msk               (0x01UL << PPORT_P1RCTL_P1REN7_Pos)                     /*!< PPORT P1RCTL: P1REN7 Mask               */
#define PPORT_P1RCTL_P1PDPU0_Pos              8                                                       /*!< PPORT P1RCTL: P1PDPU0 Position          */
#define PPORT_P1RCTL_P1PDPU0_Msk              (0x01UL << PPORT_P1RCTL_P1PDPU0_Pos)                    /*!< PPORT P1RCTL: P1PDPU0 Mask              */
#define PPORT_P1RCTL_P1PDPU1_Pos              9                                                       /*!< PPORT P1RCTL: P1PDPU1 Position          */
#define PPORT_P1RCTL_P1PDPU1_Msk              (0x01UL << PPORT_P1RCTL_P1PDPU1_Pos)                    /*!< PPORT P1RCTL: P1PDPU1 Mask              */
#define PPORT_P1RCTL_P1PDPU2_Pos              10                                                      /*!< PPORT P1RCTL: P1PDPU2 Position          */
#define PPORT_P1RCTL_P1PDPU2_Msk              (0x01UL << PPORT_P1RCTL_P1PDPU2_Pos)                    /*!< PPORT P1RCTL: P1PDPU2 Mask              */
#define PPORT_P1RCTL_P1PDPU3_Pos              11                                                      /*!< PPORT P1RCTL: P1PDPU3 Position          */
#define PPORT_P1RCTL_P1PDPU3_Msk              (0x01UL << PPORT_P1RCTL_P1PDPU3_Pos)                    /*!< PPORT P1RCTL: P1PDPU3 Mask              */
#define PPORT_P1RCTL_P1PDPU4_Pos              12                                                      /*!< PPORT P1RCTL: P1PDPU4 Position          */
#define PPORT_P1RCTL_P1PDPU4_Msk              (0x01UL << PPORT_P1RCTL_P1PDPU4_Pos)                    /*!< PPORT P1RCTL: P1PDPU4 Mask              */
#define PPORT_P1RCTL_P1PDPU5_Pos              13                                                      /*!< PPORT P1RCTL: P1PDPU5 Position          */
#define PPORT_P1RCTL_P1PDPU5_Msk              (0x01UL << PPORT_P1RCTL_P1PDPU5_Pos)                    /*!< PPORT P1RCTL: P1PDPU5 Mask              */
#define PPORT_P1RCTL_P1PDPU6_Pos              14                                                      /*!< PPORT P1RCTL: P1PDPU6 Position          */
#define PPORT_P1RCTL_P1PDPU6_Msk              (0x01UL << PPORT_P1RCTL_P1PDPU6_Pos)                    /*!< PPORT P1RCTL: P1PDPU6 Mask              */
#define PPORT_P1RCTL_P1PDPU7_Pos              15                                                      /*!< PPORT P1RCTL: P1PDPU7 Position          */
#define PPORT_P1RCTL_P1PDPU7_Msk              (0x01UL << PPORT_P1RCTL_P1PDPU7_Pos)                    /*!< PPORT P1RCTL: P1PDPU7 Mask              */

/* --------------------------------  PPORT_P1INTF  -------------------------------- */
#define PPORT_P1INTF_P1IF0_Pos                0                                                       /*!< PPORT P1INTF: P1IF0 Position            */
#define PPORT_P1INTF_P1IF0_Msk                (0x01UL << PPORT_P1INTF_P1IF0_Pos)                      /*!< PPORT P1INTF: P1IF0 Mask                */
#define PPORT_P1INTF_P1IF1_Pos                1                                                       /*!< PPORT P1INTF: P1IF1 Position            */
#define PPORT_P1INTF_P1IF1_Msk                (0x01UL << PPORT_P1INTF_P1IF1_Pos)                      /*!< PPORT P1INTF: P1IF1 Mask                */
#define PPORT_P1INTF_P1IF2_Pos                2                                                       /*!< PPORT P1INTF: P1IF2 Position            */
#define PPORT_P1INTF_P1IF2_Msk                (0x01UL << PPORT_P1INTF_P1IF2_Pos)                      /*!< PPORT P1INTF: P1IF2 Mask                */
#define PPORT_P1INTF_P1IF3_Pos                3                                                       /*!< PPORT P1INTF: P1IF3 Position            */
#define PPORT_P1INTF_P1IF3_Msk                (0x01UL << PPORT_P1INTF_P1IF3_Pos)                      /*!< PPORT P1INTF: P1IF3 Mask                */
#define PPORT_P1INTF_P1IF4_Pos                4                                                       /*!< PPORT P1INTF: P1IF4 Position            */
#define PPORT_P1INTF_P1IF4_Msk                (0x01UL << PPORT_P1INTF_P1IF4_Pos)                      /*!< PPORT P1INTF: P1IF4 Mask                */
#define PPORT_P1INTF_P1IF5_Pos                5                                                       /*!< PPORT P1INTF: P1IF5 Position            */
#define PPORT_P1INTF_P1IF5_Msk                (0x01UL << PPORT_P1INTF_P1IF5_Pos)                      /*!< PPORT P1INTF: P1IF5 Mask                */
#define PPORT_P1INTF_P1IF6_Pos                6                                                       /*!< PPORT P1INTF: P1IF6 Position            */
#define PPORT_P1INTF_P1IF6_Msk                (0x01UL << PPORT_P1INTF_P1IF6_Pos)                      /*!< PPORT P1INTF: P1IF6 Mask                */
#define PPORT_P1INTF_P1IF7_Pos                7                                                       /*!< PPORT P1INTF: P1IF7 Position            */
#define PPORT_P1INTF_P1IF7_Msk                (0x01UL << PPORT_P1INTF_P1IF7_Pos)                      /*!< PPORT P1INTF: P1IF7 Mask                */
#define PPORT_P1INTF_RESERVED_15_8_Pos        8                                                       /*!< PPORT P1INTF: RESERVED_15_8 Position    */
#define PPORT_P1INTF_RESERVED_15_8_Msk        (0x000000ffUL << PPORT_P1INTF_RESERVED_15_8_Pos)        /*!< PPORT P1INTF: RESERVED_15_8 Mask        */

/* -------------------------------  PPORT_P1INTCTL  ------------------------------- */
#define PPORT_P1INTCTL_P1IE0_Pos              0                                                       /*!< PPORT P1INTCTL: P1IE0 Position          */
#define PPORT_P1INTCTL_P1IE0_Msk              (0x01UL << PPORT_P1INTCTL_P1IE0_Pos)                    /*!< PPORT P1INTCTL: P1IE0 Mask              */
#define PPORT_P1INTCTL_P1IE1_Pos              1                                                       /*!< PPORT P1INTCTL: P1IE1 Position          */
#define PPORT_P1INTCTL_P1IE1_Msk              (0x01UL << PPORT_P1INTCTL_P1IE1_Pos)                    /*!< PPORT P1INTCTL: P1IE1 Mask              */
#define PPORT_P1INTCTL_P1IE2_Pos              2                                                       /*!< PPORT P1INTCTL: P1IE2 Position          */
#define PPORT_P1INTCTL_P1IE2_Msk              (0x01UL << PPORT_P1INTCTL_P1IE2_Pos)                    /*!< PPORT P1INTCTL: P1IE2 Mask              */
#define PPORT_P1INTCTL_P1IE3_Pos              3                                                       /*!< PPORT P1INTCTL: P1IE3 Position          */
#define PPORT_P1INTCTL_P1IE3_Msk              (0x01UL << PPORT_P1INTCTL_P1IE3_Pos)                    /*!< PPORT P1INTCTL: P1IE3 Mask              */
#define PPORT_P1INTCTL_P1IE4_Pos              4                                                       /*!< PPORT P1INTCTL: P1IE4 Position          */
#define PPORT_P1INTCTL_P1IE4_Msk              (0x01UL << PPORT_P1INTCTL_P1IE4_Pos)                    /*!< PPORT P1INTCTL: P1IE4 Mask              */
#define PPORT_P1INTCTL_P1IE5_Pos              5                                                       /*!< PPORT P1INTCTL: P1IE5 Position          */
#define PPORT_P1INTCTL_P1IE5_Msk              (0x01UL << PPORT_P1INTCTL_P1IE5_Pos)                    /*!< PPORT P1INTCTL: P1IE5 Mask              */
#define PPORT_P1INTCTL_P1IE6_Pos              6                                                       /*!< PPORT P1INTCTL: P1IE6 Position          */
#define PPORT_P1INTCTL_P1IE6_Msk              (0x01UL << PPORT_P1INTCTL_P1IE6_Pos)                    /*!< PPORT P1INTCTL: P1IE6 Mask              */
#define PPORT_P1INTCTL_P1IE7_Pos              7                                                       /*!< PPORT P1INTCTL: P1IE7 Position          */
#define PPORT_P1INTCTL_P1IE7_Msk              (0x01UL << PPORT_P1INTCTL_P1IE7_Pos)                    /*!< PPORT P1INTCTL: P1IE7 Mask              */
#define PPORT_P1INTCTL_P1EDGE0_Pos            8                                                       /*!< PPORT P1INTCTL: P1EDGE0 Position        */
#define PPORT_P1INTCTL_P1EDGE0_Msk            (0x01UL << PPORT_P1INTCTL_P1EDGE0_Pos)                  /*!< PPORT P1INTCTL: P1EDGE0 Mask            */
#define PPORT_P1INTCTL_P1EDGE1_Pos            9                                                       /*!< PPORT P1INTCTL: P1EDGE1 Position        */
#define PPORT_P1INTCTL_P1EDGE1_Msk            (0x01UL << PPORT_P1INTCTL_P1EDGE1_Pos)                  /*!< PPORT P1INTCTL: P1EDGE1 Mask            */
#define PPORT_P1INTCTL_P1EDGE2_Pos            10                                                      /*!< PPORT P1INTCTL: P1EDGE2 Position        */
#define PPORT_P1INTCTL_P1EDGE2_Msk            (0x01UL << PPORT_P1INTCTL_P1EDGE2_Pos)                  /*!< PPORT P1INTCTL: P1EDGE2 Mask            */
#define PPORT_P1INTCTL_P1EDGE3_Pos            11                                                      /*!< PPORT P1INTCTL: P1EDGE3 Position        */
#define PPORT_P1INTCTL_P1EDGE3_Msk            (0x01UL << PPORT_P1INTCTL_P1EDGE3_Pos)                  /*!< PPORT P1INTCTL: P1EDGE3 Mask            */
#define PPORT_P1INTCTL_P1EDGE4_Pos            12                                                      /*!< PPORT P1INTCTL: P1EDGE4 Position        */
#define PPORT_P1INTCTL_P1EDGE4_Msk            (0x01UL << PPORT_P1INTCTL_P1EDGE4_Pos)                  /*!< PPORT P1INTCTL: P1EDGE4 Mask            */
#define PPORT_P1INTCTL_P1EDGE5_Pos            13                                                      /*!< PPORT P1INTCTL: P1EDGE5 Position        */
#define PPORT_P1INTCTL_P1EDGE5_Msk            (0x01UL << PPORT_P1INTCTL_P1EDGE5_Pos)                  /*!< PPORT P1INTCTL: P1EDGE5 Mask            */
#define PPORT_P1INTCTL_P1EDGE6_Pos            14                                                      /*!< PPORT P1INTCTL: P1EDGE6 Position        */
#define PPORT_P1INTCTL_P1EDGE6_Msk            (0x01UL << PPORT_P1INTCTL_P1EDGE6_Pos)                  /*!< PPORT P1INTCTL: P1EDGE6 Mask            */
#define PPORT_P1INTCTL_P1EDGE7_Pos            15                                                      /*!< PPORT P1INTCTL: P1EDGE7 Position        */
#define PPORT_P1INTCTL_P1EDGE7_Msk            (0x01UL << PPORT_P1INTCTL_P1EDGE7_Pos)                  /*!< PPORT P1INTCTL: P1EDGE7 Mask            */

/* -------------------------------  PPORT_P1CHATEN  ------------------------------- */
#define PPORT_P1CHATEN_P1CHATEN0_Pos          0                                                       /*!< PPORT P1CHATEN: P1CHATEN0 Position      */
#define PPORT_P1CHATEN_P1CHATEN0_Msk          (0x01UL << PPORT_P1CHATEN_P1CHATEN0_Pos)                /*!< PPORT P1CHATEN: P1CHATEN0 Mask          */
#define PPORT_P1CHATEN_P1CHATEN1_Pos          1                                                       /*!< PPORT P1CHATEN: P1CHATEN1 Position      */
#define PPORT_P1CHATEN_P1CHATEN1_Msk          (0x01UL << PPORT_P1CHATEN_P1CHATEN1_Pos)                /*!< PPORT P1CHATEN: P1CHATEN1 Mask          */
#define PPORT_P1CHATEN_P1CHATEN2_Pos          2                                                       /*!< PPORT P1CHATEN: P1CHATEN2 Position      */
#define PPORT_P1CHATEN_P1CHATEN2_Msk          (0x01UL << PPORT_P1CHATEN_P1CHATEN2_Pos)                /*!< PPORT P1CHATEN: P1CHATEN2 Mask          */
#define PPORT_P1CHATEN_P1CHATEN3_Pos          3                                                       /*!< PPORT P1CHATEN: P1CHATEN3 Position      */
#define PPORT_P1CHATEN_P1CHATEN3_Msk          (0x01UL << PPORT_P1CHATEN_P1CHATEN3_Pos)                /*!< PPORT P1CHATEN: P1CHATEN3 Mask          */
#define PPORT_P1CHATEN_P1CHATEN4_Pos          4                                                       /*!< PPORT P1CHATEN: P1CHATEN4 Position      */
#define PPORT_P1CHATEN_P1CHATEN4_Msk          (0x01UL << PPORT_P1CHATEN_P1CHATEN4_Pos)                /*!< PPORT P1CHATEN: P1CHATEN4 Mask          */
#define PPORT_P1CHATEN_P1CHATEN5_Pos          5                                                       /*!< PPORT P1CHATEN: P1CHATEN5 Position      */
#define PPORT_P1CHATEN_P1CHATEN5_Msk          (0x01UL << PPORT_P1CHATEN_P1CHATEN5_Pos)                /*!< PPORT P1CHATEN: P1CHATEN5 Mask          */
#define PPORT_P1CHATEN_P1CHATEN6_Pos          6                                                       /*!< PPORT P1CHATEN: P1CHATEN6 Position      */
#define PPORT_P1CHATEN_P1CHATEN6_Msk          (0x01UL << PPORT_P1CHATEN_P1CHATEN6_Pos)                /*!< PPORT P1CHATEN: P1CHATEN6 Mask          */
#define PPORT_P1CHATEN_P1CHATEN7_Pos          7                                                       /*!< PPORT P1CHATEN: P1CHATEN7 Position      */
#define PPORT_P1CHATEN_P1CHATEN7_Msk          (0x01UL << PPORT_P1CHATEN_P1CHATEN7_Pos)                /*!< PPORT P1CHATEN: P1CHATEN7 Mask          */
#define PPORT_P1CHATEN_RESERVED_15_8_Pos      8                                                       /*!< PPORT P1CHATEN: RESERVED_15_8 Position  */
#define PPORT_P1CHATEN_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P1CHATEN_RESERVED_15_8_Pos)      /*!< PPORT P1CHATEN: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P1MODSEL  ------------------------------- */
#define PPORT_P1MODSEL_P1SEL0_Pos             0                                                       /*!< PPORT P1MODSEL: P1SEL0 Position         */
#define PPORT_P1MODSEL_P1SEL0_Msk             (0x01UL << PPORT_P1MODSEL_P1SEL0_Pos)                   /*!< PPORT P1MODSEL: P1SEL0 Mask             */
#define PPORT_P1MODSEL_P1SEL1_Pos             1                                                       /*!< PPORT P1MODSEL: P1SEL1 Position         */
#define PPORT_P1MODSEL_P1SEL1_Msk             (0x01UL << PPORT_P1MODSEL_P1SEL1_Pos)                   /*!< PPORT P1MODSEL: P1SEL1 Mask             */
#define PPORT_P1MODSEL_P1SEL2_Pos             2                                                       /*!< PPORT P1MODSEL: P1SEL2 Position         */
#define PPORT_P1MODSEL_P1SEL2_Msk             (0x01UL << PPORT_P1MODSEL_P1SEL2_Pos)                   /*!< PPORT P1MODSEL: P1SEL2 Mask             */
#define PPORT_P1MODSEL_P1SEL3_Pos             3                                                       /*!< PPORT P1MODSEL: P1SEL3 Position         */
#define PPORT_P1MODSEL_P1SEL3_Msk             (0x01UL << PPORT_P1MODSEL_P1SEL3_Pos)                   /*!< PPORT P1MODSEL: P1SEL3 Mask             */
#define PPORT_P1MODSEL_P1SEL4_Pos             4                                                       /*!< PPORT P1MODSEL: P1SEL4 Position         */
#define PPORT_P1MODSEL_P1SEL4_Msk             (0x01UL << PPORT_P1MODSEL_P1SEL4_Pos)                   /*!< PPORT P1MODSEL: P1SEL4 Mask             */
#define PPORT_P1MODSEL_P1SEL5_Pos             5                                                       /*!< PPORT P1MODSEL: P1SEL5 Position         */
#define PPORT_P1MODSEL_P1SEL5_Msk             (0x01UL << PPORT_P1MODSEL_P1SEL5_Pos)                   /*!< PPORT P1MODSEL: P1SEL5 Mask             */
#define PPORT_P1MODSEL_P1SEL6_Pos             6                                                       /*!< PPORT P1MODSEL: P1SEL6 Position         */
#define PPORT_P1MODSEL_P1SEL6_Msk             (0x01UL << PPORT_P1MODSEL_P1SEL6_Pos)                   /*!< PPORT P1MODSEL: P1SEL6 Mask             */
#define PPORT_P1MODSEL_P1SEL7_Pos             7                                                       /*!< PPORT P1MODSEL: P1SEL7 Position         */
#define PPORT_P1MODSEL_P1SEL7_Msk             (0x01UL << PPORT_P1MODSEL_P1SEL7_Pos)                   /*!< PPORT P1MODSEL: P1SEL7 Mask             */
#define PPORT_P1MODSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT P1MODSEL: RESERVED_15_8 Position  */
#define PPORT_P1MODSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P1MODSEL_RESERVED_15_8_Pos)      /*!< PPORT P1MODSEL: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P1FNCSEL  ------------------------------- */
#define PPORT_P1FNCSEL_P10MUX_Pos             0                                                       /*!< PPORT P1FNCSEL: P10MUX Position         */
#define PPORT_P1FNCSEL_P10MUX_Msk             (0x03UL << PPORT_P1FNCSEL_P10MUX_Pos)                   /*!< PPORT P1FNCSEL: P10MUX Mask             */
#define PPORT_P1FNCSEL_P11MUX_Pos             2                                                       /*!< PPORT P1FNCSEL: P11MUX Position         */
#define PPORT_P1FNCSEL_P11MUX_Msk             (0x03UL << PPORT_P1FNCSEL_P11MUX_Pos)                   /*!< PPORT P1FNCSEL: P11MUX Mask             */
#define PPORT_P1FNCSEL_P12MUX_Pos             4                                                       /*!< PPORT P1FNCSEL: P12MUX Position         */
#define PPORT_P1FNCSEL_P12MUX_Msk             (0x03UL << PPORT_P1FNCSEL_P12MUX_Pos)                   /*!< PPORT P1FNCSEL: P12MUX Mask             */
#define PPORT_P1FNCSEL_P13MUX_Pos             6                                                       /*!< PPORT P1FNCSEL: P13MUX Position         */
#define PPORT_P1FNCSEL_P13MUX_Msk             (0x03UL << PPORT_P1FNCSEL_P13MUX_Pos)                   /*!< PPORT P1FNCSEL: P13MUX Mask             */
#define PPORT_P1FNCSEL_P14MUX_Pos             8                                                       /*!< PPORT P1FNCSEL: P14MUX Position         */
#define PPORT_P1FNCSEL_P14MUX_Msk             (0x03UL << PPORT_P1FNCSEL_P14MUX_Pos)                   /*!< PPORT P1FNCSEL: P14MUX Mask             */
#define PPORT_P1FNCSEL_P15MUX_Pos             10                                                      /*!< PPORT P1FNCSEL: P15MUX Position         */
#define PPORT_P1FNCSEL_P15MUX_Msk             (0x03UL << PPORT_P1FNCSEL_P15MUX_Pos)                   /*!< PPORT P1FNCSEL: P15MUX Mask             */
#define PPORT_P1FNCSEL_P16MUX_Pos             12                                                      /*!< PPORT P1FNCSEL: P16MUX Position         */
#define PPORT_P1FNCSEL_P16MUX_Msk             (0x03UL << PPORT_P1FNCSEL_P16MUX_Pos)                   /*!< PPORT P1FNCSEL: P16MUX Mask             */
#define PPORT_P1FNCSEL_P17MUX_Pos             14                                                      /*!< PPORT P1FNCSEL: P17MUX Position         */
#define PPORT_P1FNCSEL_P17MUX_Msk             (0x03UL << PPORT_P1FNCSEL_P17MUX_Pos)                   /*!< PPORT P1FNCSEL: P17MUX Mask             */

/* ---------------------------------  PPORT_P2DAT  -------------------------------- */
#define PPORT_P2DAT_P2IN0_Pos                 0                                                       /*!< PPORT P2DAT: P2IN0 Position             */
#define PPORT_P2DAT_P2IN0_Msk                 (0x01UL << PPORT_P2DAT_P2IN0_Pos)                       /*!< PPORT P2DAT: P2IN0 Mask                 */
#define PPORT_P2DAT_P2IN1_Pos                 1                                                       /*!< PPORT P2DAT: P2IN1 Position             */
#define PPORT_P2DAT_P2IN1_Msk                 (0x01UL << PPORT_P2DAT_P2IN1_Pos)                       /*!< PPORT P2DAT: P2IN1 Mask                 */
#define PPORT_P2DAT_P2IN2_Pos                 2                                                       /*!< PPORT P2DAT: P2IN2 Position             */
#define PPORT_P2DAT_P2IN2_Msk                 (0x01UL << PPORT_P2DAT_P2IN2_Pos)                       /*!< PPORT P2DAT: P2IN2 Mask                 */
#define PPORT_P2DAT_P2IN3_Pos                 3                                                       /*!< PPORT P2DAT: P2IN3 Position             */
#define PPORT_P2DAT_P2IN3_Msk                 (0x01UL << PPORT_P2DAT_P2IN3_Pos)                       /*!< PPORT P2DAT: P2IN3 Mask                 */
#define PPORT_P2DAT_P2IN4_Pos                 4                                                       /*!< PPORT P2DAT: P2IN4 Position             */
#define PPORT_P2DAT_P2IN4_Msk                 (0x01UL << PPORT_P2DAT_P2IN4_Pos)                       /*!< PPORT P2DAT: P2IN4 Mask                 */
#define PPORT_P2DAT_P2IN5_Pos                 5                                                       /*!< PPORT P2DAT: P2IN5 Position             */
#define PPORT_P2DAT_P2IN5_Msk                 (0x01UL << PPORT_P2DAT_P2IN5_Pos)                       /*!< PPORT P2DAT: P2IN5 Mask                 */
#define PPORT_P2DAT_P2IN6_Pos                 6                                                       /*!< PPORT P2DAT: P2IN6 Position             */
#define PPORT_P2DAT_P2IN6_Msk                 (0x01UL << PPORT_P2DAT_P2IN6_Pos)                       /*!< PPORT P2DAT: P2IN6 Mask                 */
#define PPORT_P2DAT_P2IN7_Pos                 7                                                       /*!< PPORT P2DAT: P2IN7 Position             */
#define PPORT_P2DAT_P2IN7_Msk                 (0x01UL << PPORT_P2DAT_P2IN7_Pos)                       /*!< PPORT P2DAT: P2IN7 Mask                 */
#define PPORT_P2DAT_P2OUT0_Pos                8                                                       /*!< PPORT P2DAT: P2OUT0 Position            */
#define PPORT_P2DAT_P2OUT0_Msk                (0x01UL << PPORT_P2DAT_P2OUT0_Pos)                      /*!< PPORT P2DAT: P2OUT0 Mask                */
#define PPORT_P2DAT_P2OUT1_Pos                9                                                       /*!< PPORT P2DAT: P2OUT1 Position            */
#define PPORT_P2DAT_P2OUT1_Msk                (0x01UL << PPORT_P2DAT_P2OUT1_Pos)                      /*!< PPORT P2DAT: P2OUT1 Mask                */
#define PPORT_P2DAT_P2OUT2_Pos                10                                                      /*!< PPORT P2DAT: P2OUT2 Position            */
#define PPORT_P2DAT_P2OUT2_Msk                (0x01UL << PPORT_P2DAT_P2OUT2_Pos)                      /*!< PPORT P2DAT: P2OUT2 Mask                */
#define PPORT_P2DAT_P2OUT3_Pos                11                                                      /*!< PPORT P2DAT: P2OUT3 Position            */
#define PPORT_P2DAT_P2OUT3_Msk                (0x01UL << PPORT_P2DAT_P2OUT3_Pos)                      /*!< PPORT P2DAT: P2OUT3 Mask                */
#define PPORT_P2DAT_P2OUT4_Pos                12                                                      /*!< PPORT P2DAT: P2OUT4 Position            */
#define PPORT_P2DAT_P2OUT4_Msk                (0x01UL << PPORT_P2DAT_P2OUT4_Pos)                      /*!< PPORT P2DAT: P2OUT4 Mask                */
#define PPORT_P2DAT_P2OUT5_Pos                13                                                      /*!< PPORT P2DAT: P2OUT5 Position            */
#define PPORT_P2DAT_P2OUT5_Msk                (0x01UL << PPORT_P2DAT_P2OUT5_Pos)                      /*!< PPORT P2DAT: P2OUT5 Mask                */
#define PPORT_P2DAT_P2OUT6_Pos                14                                                      /*!< PPORT P2DAT: P2OUT6 Position            */
#define PPORT_P2DAT_P2OUT6_Msk                (0x01UL << PPORT_P2DAT_P2OUT6_Pos)                      /*!< PPORT P2DAT: P2OUT6 Mask                */
#define PPORT_P2DAT_P2OUT7_Pos                15                                                      /*!< PPORT P2DAT: P2OUT7 Position            */
#define PPORT_P2DAT_P2OUT7_Msk                (0x01UL << PPORT_P2DAT_P2OUT7_Pos)                      /*!< PPORT P2DAT: P2OUT7 Mask                */

/* --------------------------------  PPORT_P2IOEN  -------------------------------- */
#define PPORT_P2IOEN_P2OEN0_Pos               0                                                       /*!< PPORT P2IOEN: P2OEN0 Position           */
#define PPORT_P2IOEN_P2OEN0_Msk               (0x01UL << PPORT_P2IOEN_P2OEN0_Pos)                     /*!< PPORT P2IOEN: P2OEN0 Mask               */
#define PPORT_P2IOEN_P2OEN1_Pos               1                                                       /*!< PPORT P2IOEN: P2OEN1 Position           */
#define PPORT_P2IOEN_P2OEN1_Msk               (0x01UL << PPORT_P2IOEN_P2OEN1_Pos)                     /*!< PPORT P2IOEN: P2OEN1 Mask               */
#define PPORT_P2IOEN_P2OEN2_Pos               2                                                       /*!< PPORT P2IOEN: P2OEN2 Position           */
#define PPORT_P2IOEN_P2OEN2_Msk               (0x01UL << PPORT_P2IOEN_P2OEN2_Pos)                     /*!< PPORT P2IOEN: P2OEN2 Mask               */
#define PPORT_P2IOEN_P2OEN3_Pos               3                                                       /*!< PPORT P2IOEN: P2OEN3 Position           */
#define PPORT_P2IOEN_P2OEN3_Msk               (0x01UL << PPORT_P2IOEN_P2OEN3_Pos)                     /*!< PPORT P2IOEN: P2OEN3 Mask               */
#define PPORT_P2IOEN_P2OEN4_Pos               4                                                       /*!< PPORT P2IOEN: P2OEN4 Position           */
#define PPORT_P2IOEN_P2OEN4_Msk               (0x01UL << PPORT_P2IOEN_P2OEN4_Pos)                     /*!< PPORT P2IOEN: P2OEN4 Mask               */
#define PPORT_P2IOEN_P2OEN5_Pos               5                                                       /*!< PPORT P2IOEN: P2OEN5 Position           */
#define PPORT_P2IOEN_P2OEN5_Msk               (0x01UL << PPORT_P2IOEN_P2OEN5_Pos)                     /*!< PPORT P2IOEN: P2OEN5 Mask               */
#define PPORT_P2IOEN_P2OEN6_Pos               6                                                       /*!< PPORT P2IOEN: P2OEN6 Position           */
#define PPORT_P2IOEN_P2OEN6_Msk               (0x01UL << PPORT_P2IOEN_P2OEN6_Pos)                     /*!< PPORT P2IOEN: P2OEN6 Mask               */
#define PPORT_P2IOEN_P2OEN7_Pos               7                                                       /*!< PPORT P2IOEN: P2OEN7 Position           */
#define PPORT_P2IOEN_P2OEN7_Msk               (0x01UL << PPORT_P2IOEN_P2OEN7_Pos)                     /*!< PPORT P2IOEN: P2OEN7 Mask               */
#define PPORT_P2IOEN_P2IEN0_Pos               8                                                       /*!< PPORT P2IOEN: P2IEN0 Position           */
#define PPORT_P2IOEN_P2IEN0_Msk               (0x01UL << PPORT_P2IOEN_P2IEN0_Pos)                     /*!< PPORT P2IOEN: P2IEN0 Mask               */
#define PPORT_P2IOEN_P2IEN1_Pos               9                                                       /*!< PPORT P2IOEN: P2IEN1 Position           */
#define PPORT_P2IOEN_P2IEN1_Msk               (0x01UL << PPORT_P2IOEN_P2IEN1_Pos)                     /*!< PPORT P2IOEN: P2IEN1 Mask               */
#define PPORT_P2IOEN_P2IEN2_Pos               10                                                      /*!< PPORT P2IOEN: P2IEN2 Position           */
#define PPORT_P2IOEN_P2IEN2_Msk               (0x01UL << PPORT_P2IOEN_P2IEN2_Pos)                     /*!< PPORT P2IOEN: P2IEN2 Mask               */
#define PPORT_P2IOEN_P2IEN3_Pos               11                                                      /*!< PPORT P2IOEN: P2IEN3 Position           */
#define PPORT_P2IOEN_P2IEN3_Msk               (0x01UL << PPORT_P2IOEN_P2IEN3_Pos)                     /*!< PPORT P2IOEN: P2IEN3 Mask               */
#define PPORT_P2IOEN_P2IEN4_Pos               12                                                      /*!< PPORT P2IOEN: P2IEN4 Position           */
#define PPORT_P2IOEN_P2IEN4_Msk               (0x01UL << PPORT_P2IOEN_P2IEN4_Pos)                     /*!< PPORT P2IOEN: P2IEN4 Mask               */
#define PPORT_P2IOEN_P2IEN5_Pos               13                                                      /*!< PPORT P2IOEN: P2IEN5 Position           */
#define PPORT_P2IOEN_P2IEN5_Msk               (0x01UL << PPORT_P2IOEN_P2IEN5_Pos)                     /*!< PPORT P2IOEN: P2IEN5 Mask               */
#define PPORT_P2IOEN_P2IEN6_Pos               14                                                      /*!< PPORT P2IOEN: P2IEN6 Position           */
#define PPORT_P2IOEN_P2IEN6_Msk               (0x01UL << PPORT_P2IOEN_P2IEN6_Pos)                     /*!< PPORT P2IOEN: P2IEN6 Mask               */
#define PPORT_P2IOEN_P2IEN7_Pos               15                                                      /*!< PPORT P2IOEN: P2IEN7 Position           */
#define PPORT_P2IOEN_P2IEN7_Msk               (0x01UL << PPORT_P2IOEN_P2IEN7_Pos)                     /*!< PPORT P2IOEN: P2IEN7 Mask               */

/* --------------------------------  PPORT_P2RCTL  -------------------------------- */
#define PPORT_P2RCTL_P2REN0_Pos               0                                                       /*!< PPORT P2RCTL: P2REN0 Position           */
#define PPORT_P2RCTL_P2REN0_Msk               (0x01UL << PPORT_P2RCTL_P2REN0_Pos)                     /*!< PPORT P2RCTL: P2REN0 Mask               */
#define PPORT_P2RCTL_P2REN1_Pos               1                                                       /*!< PPORT P2RCTL: P2REN1 Position           */
#define PPORT_P2RCTL_P2REN1_Msk               (0x01UL << PPORT_P2RCTL_P2REN1_Pos)                     /*!< PPORT P2RCTL: P2REN1 Mask               */
#define PPORT_P2RCTL_P2REN2_Pos               2                                                       /*!< PPORT P2RCTL: P2REN2 Position           */
#define PPORT_P2RCTL_P2REN2_Msk               (0x01UL << PPORT_P2RCTL_P2REN2_Pos)                     /*!< PPORT P2RCTL: P2REN2 Mask               */
#define PPORT_P2RCTL_P2REN3_Pos               3                                                       /*!< PPORT P2RCTL: P2REN3 Position           */
#define PPORT_P2RCTL_P2REN3_Msk               (0x01UL << PPORT_P2RCTL_P2REN3_Pos)                     /*!< PPORT P2RCTL: P2REN3 Mask               */
#define PPORT_P2RCTL_P2REN4_Pos               4                                                       /*!< PPORT P2RCTL: P2REN4 Position           */
#define PPORT_P2RCTL_P2REN4_Msk               (0x01UL << PPORT_P2RCTL_P2REN4_Pos)                     /*!< PPORT P2RCTL: P2REN4 Mask               */
#define PPORT_P2RCTL_P2REN5_Pos               5                                                       /*!< PPORT P2RCTL: P2REN5 Position           */
#define PPORT_P2RCTL_P2REN5_Msk               (0x01UL << PPORT_P2RCTL_P2REN5_Pos)                     /*!< PPORT P2RCTL: P2REN5 Mask               */
#define PPORT_P2RCTL_P2REN6_Pos               6                                                       /*!< PPORT P2RCTL: P2REN6 Position           */
#define PPORT_P2RCTL_P2REN6_Msk               (0x01UL << PPORT_P2RCTL_P2REN6_Pos)                     /*!< PPORT P2RCTL: P2REN6 Mask               */
#define PPORT_P2RCTL_P2REN7_Pos               7                                                       /*!< PPORT P2RCTL: P2REN7 Position           */
#define PPORT_P2RCTL_P2REN7_Msk               (0x01UL << PPORT_P2RCTL_P2REN7_Pos)                     /*!< PPORT P2RCTL: P2REN7 Mask               */
#define PPORT_P2RCTL_P2PDPU0_Pos              8                                                       /*!< PPORT P2RCTL: P2PDPU0 Position          */
#define PPORT_P2RCTL_P2PDPU0_Msk              (0x01UL << PPORT_P2RCTL_P2PDPU0_Pos)                    /*!< PPORT P2RCTL: P2PDPU0 Mask              */
#define PPORT_P2RCTL_P2PDPU1_Pos              9                                                       /*!< PPORT P2RCTL: P2PDPU1 Position          */
#define PPORT_P2RCTL_P2PDPU1_Msk              (0x01UL << PPORT_P2RCTL_P2PDPU1_Pos)                    /*!< PPORT P2RCTL: P2PDPU1 Mask              */
#define PPORT_P2RCTL_P2PDPU2_Pos              10                                                      /*!< PPORT P2RCTL: P2PDPU2 Position          */
#define PPORT_P2RCTL_P2PDPU2_Msk              (0x01UL << PPORT_P2RCTL_P2PDPU2_Pos)                    /*!< PPORT P2RCTL: P2PDPU2 Mask              */
#define PPORT_P2RCTL_P2PDPU3_Pos              11                                                      /*!< PPORT P2RCTL: P2PDPU3 Position          */
#define PPORT_P2RCTL_P2PDPU3_Msk              (0x01UL << PPORT_P2RCTL_P2PDPU3_Pos)                    /*!< PPORT P2RCTL: P2PDPU3 Mask              */
#define PPORT_P2RCTL_P2PDPU4_Pos              12                                                      /*!< PPORT P2RCTL: P2PDPU4 Position          */
#define PPORT_P2RCTL_P2PDPU4_Msk              (0x01UL << PPORT_P2RCTL_P2PDPU4_Pos)                    /*!< PPORT P2RCTL: P2PDPU4 Mask              */
#define PPORT_P2RCTL_P2PDPU5_Pos              13                                                      /*!< PPORT P2RCTL: P2PDPU5 Position          */
#define PPORT_P2RCTL_P2PDPU5_Msk              (0x01UL << PPORT_P2RCTL_P2PDPU5_Pos)                    /*!< PPORT P2RCTL: P2PDPU5 Mask              */
#define PPORT_P2RCTL_P2PDPU6_Pos              14                                                      /*!< PPORT P2RCTL: P2PDPU6 Position          */
#define PPORT_P2RCTL_P2PDPU6_Msk              (0x01UL << PPORT_P2RCTL_P2PDPU6_Pos)                    /*!< PPORT P2RCTL: P2PDPU6 Mask              */
#define PPORT_P2RCTL_P2PDPU7_Pos              15                                                      /*!< PPORT P2RCTL: P2PDPU7 Position          */
#define PPORT_P2RCTL_P2PDPU7_Msk              (0x01UL << PPORT_P2RCTL_P2PDPU7_Pos)                    /*!< PPORT P2RCTL: P2PDPU7 Mask              */

/* --------------------------------  PPORT_P2INTF  -------------------------------- */
#define PPORT_P2INTF_P2IF0_Pos                0                                                       /*!< PPORT P2INTF: P2IF0 Position            */
#define PPORT_P2INTF_P2IF0_Msk                (0x01UL << PPORT_P2INTF_P2IF0_Pos)                      /*!< PPORT P2INTF: P2IF0 Mask                */
#define PPORT_P2INTF_P2IF1_Pos                1                                                       /*!< PPORT P2INTF: P2IF1 Position            */
#define PPORT_P2INTF_P2IF1_Msk                (0x01UL << PPORT_P2INTF_P2IF1_Pos)                      /*!< PPORT P2INTF: P2IF1 Mask                */
#define PPORT_P2INTF_P2IF2_Pos                2                                                       /*!< PPORT P2INTF: P2IF2 Position            */
#define PPORT_P2INTF_P2IF2_Msk                (0x01UL << PPORT_P2INTF_P2IF2_Pos)                      /*!< PPORT P2INTF: P2IF2 Mask                */
#define PPORT_P2INTF_P2IF3_Pos                3                                                       /*!< PPORT P2INTF: P2IF3 Position            */
#define PPORT_P2INTF_P2IF3_Msk                (0x01UL << PPORT_P2INTF_P2IF3_Pos)                      /*!< PPORT P2INTF: P2IF3 Mask                */
#define PPORT_P2INTF_P2IF4_Pos                4                                                       /*!< PPORT P2INTF: P2IF4 Position            */
#define PPORT_P2INTF_P2IF4_Msk                (0x01UL << PPORT_P2INTF_P2IF4_Pos)                      /*!< PPORT P2INTF: P2IF4 Mask                */
#define PPORT_P2INTF_P2IF5_Pos                5                                                       /*!< PPORT P2INTF: P2IF5 Position            */
#define PPORT_P2INTF_P2IF5_Msk                (0x01UL << PPORT_P2INTF_P2IF5_Pos)                      /*!< PPORT P2INTF: P2IF5 Mask                */
#define PPORT_P2INTF_P2IF6_Pos                6                                                       /*!< PPORT P2INTF: P2IF6 Position            */
#define PPORT_P2INTF_P2IF6_Msk                (0x01UL << PPORT_P2INTF_P2IF6_Pos)                      /*!< PPORT P2INTF: P2IF6 Mask                */
#define PPORT_P2INTF_P2IF7_Pos                7                                                       /*!< PPORT P2INTF: P2IF7 Position            */
#define PPORT_P2INTF_P2IF7_Msk                (0x01UL << PPORT_P2INTF_P2IF7_Pos)                      /*!< PPORT P2INTF: P2IF7 Mask                */
#define PPORT_P2INTF_RESERVED_15_8_Pos        8                                                       /*!< PPORT P2INTF: RESERVED_15_8 Position    */
#define PPORT_P2INTF_RESERVED_15_8_Msk        (0x000000ffUL << PPORT_P2INTF_RESERVED_15_8_Pos)        /*!< PPORT P2INTF: RESERVED_15_8 Mask        */

/* -------------------------------  PPORT_P2INTCTL  ------------------------------- */
#define PPORT_P2INTCTL_P2IE0_Pos              0                                                       /*!< PPORT P2INTCTL: P2IE0 Position          */
#define PPORT_P2INTCTL_P2IE0_Msk              (0x01UL << PPORT_P2INTCTL_P2IE0_Pos)                    /*!< PPORT P2INTCTL: P2IE0 Mask              */
#define PPORT_P2INTCTL_P2IE1_Pos              1                                                       /*!< PPORT P2INTCTL: P2IE1 Position          */
#define PPORT_P2INTCTL_P2IE1_Msk              (0x01UL << PPORT_P2INTCTL_P2IE1_Pos)                    /*!< PPORT P2INTCTL: P2IE1 Mask              */
#define PPORT_P2INTCTL_P2IE2_Pos              2                                                       /*!< PPORT P2INTCTL: P2IE2 Position          */
#define PPORT_P2INTCTL_P2IE2_Msk              (0x01UL << PPORT_P2INTCTL_P2IE2_Pos)                    /*!< PPORT P2INTCTL: P2IE2 Mask              */
#define PPORT_P2INTCTL_P2IE3_Pos              3                                                       /*!< PPORT P2INTCTL: P2IE3 Position          */
#define PPORT_P2INTCTL_P2IE3_Msk              (0x01UL << PPORT_P2INTCTL_P2IE3_Pos)                    /*!< PPORT P2INTCTL: P2IE3 Mask              */
#define PPORT_P2INTCTL_P2IE4_Pos              4                                                       /*!< PPORT P2INTCTL: P2IE4 Position          */
#define PPORT_P2INTCTL_P2IE4_Msk              (0x01UL << PPORT_P2INTCTL_P2IE4_Pos)                    /*!< PPORT P2INTCTL: P2IE4 Mask              */
#define PPORT_P2INTCTL_P2IE5_Pos              5                                                       /*!< PPORT P2INTCTL: P2IE5 Position          */
#define PPORT_P2INTCTL_P2IE5_Msk              (0x01UL << PPORT_P2INTCTL_P2IE5_Pos)                    /*!< PPORT P2INTCTL: P2IE5 Mask              */
#define PPORT_P2INTCTL_P2IE6_Pos              6                                                       /*!< PPORT P2INTCTL: P2IE6 Position          */
#define PPORT_P2INTCTL_P2IE6_Msk              (0x01UL << PPORT_P2INTCTL_P2IE6_Pos)                    /*!< PPORT P2INTCTL: P2IE6 Mask              */
#define PPORT_P2INTCTL_P2IE7_Pos              7                                                       /*!< PPORT P2INTCTL: P2IE7 Position          */
#define PPORT_P2INTCTL_P2IE7_Msk              (0x01UL << PPORT_P2INTCTL_P2IE7_Pos)                    /*!< PPORT P2INTCTL: P2IE7 Mask              */
#define PPORT_P2INTCTL_P2EDGE0_Pos            8                                                       /*!< PPORT P2INTCTL: P2EDGE0 Position        */
#define PPORT_P2INTCTL_P2EDGE0_Msk            (0x01UL << PPORT_P2INTCTL_P2EDGE0_Pos)                  /*!< PPORT P2INTCTL: P2EDGE0 Mask            */
#define PPORT_P2INTCTL_P2EDGE1_Pos            9                                                       /*!< PPORT P2INTCTL: P2EDGE1 Position        */
#define PPORT_P2INTCTL_P2EDGE1_Msk            (0x01UL << PPORT_P2INTCTL_P2EDGE1_Pos)                  /*!< PPORT P2INTCTL: P2EDGE1 Mask            */
#define PPORT_P2INTCTL_P2EDGE2_Pos            10                                                      /*!< PPORT P2INTCTL: P2EDGE2 Position        */
#define PPORT_P2INTCTL_P2EDGE2_Msk            (0x01UL << PPORT_P2INTCTL_P2EDGE2_Pos)                  /*!< PPORT P2INTCTL: P2EDGE2 Mask            */
#define PPORT_P2INTCTL_P2EDGE3_Pos            11                                                      /*!< PPORT P2INTCTL: P2EDGE3 Position        */
#define PPORT_P2INTCTL_P2EDGE3_Msk            (0x01UL << PPORT_P2INTCTL_P2EDGE3_Pos)                  /*!< PPORT P2INTCTL: P2EDGE3 Mask            */
#define PPORT_P2INTCTL_P2EDGE4_Pos            12                                                      /*!< PPORT P2INTCTL: P2EDGE4 Position        */
#define PPORT_P2INTCTL_P2EDGE4_Msk            (0x01UL << PPORT_P2INTCTL_P2EDGE4_Pos)                  /*!< PPORT P2INTCTL: P2EDGE4 Mask            */
#define PPORT_P2INTCTL_P2EDGE5_Pos            13                                                      /*!< PPORT P2INTCTL: P2EDGE5 Position        */
#define PPORT_P2INTCTL_P2EDGE5_Msk            (0x01UL << PPORT_P2INTCTL_P2EDGE5_Pos)                  /*!< PPORT P2INTCTL: P2EDGE5 Mask            */
#define PPORT_P2INTCTL_P2EDGE6_Pos            14                                                      /*!< PPORT P2INTCTL: P2EDGE6 Position        */
#define PPORT_P2INTCTL_P2EDGE6_Msk            (0x01UL << PPORT_P2INTCTL_P2EDGE6_Pos)                  /*!< PPORT P2INTCTL: P2EDGE6 Mask            */
#define PPORT_P2INTCTL_P2EDGE7_Pos            15                                                      /*!< PPORT P2INTCTL: P2EDGE7 Position        */
#define PPORT_P2INTCTL_P2EDGE7_Msk            (0x01UL << PPORT_P2INTCTL_P2EDGE7_Pos)                  /*!< PPORT P2INTCTL: P2EDGE7 Mask            */

/* -------------------------------  PPORT_P2CHATEN  ------------------------------- */
#define PPORT_P2CHATEN_P2CHATEN0_Pos          0                                                       /*!< PPORT P2CHATEN: P2CHATEN0 Position      */
#define PPORT_P2CHATEN_P2CHATEN0_Msk          (0x01UL << PPORT_P2CHATEN_P2CHATEN0_Pos)                /*!< PPORT P2CHATEN: P2CHATEN0 Mask          */
#define PPORT_P2CHATEN_P2CHATEN1_Pos          1                                                       /*!< PPORT P2CHATEN: P2CHATEN1 Position      */
#define PPORT_P2CHATEN_P2CHATEN1_Msk          (0x01UL << PPORT_P2CHATEN_P2CHATEN1_Pos)                /*!< PPORT P2CHATEN: P2CHATEN1 Mask          */
#define PPORT_P2CHATEN_P2CHATEN2_Pos          2                                                       /*!< PPORT P2CHATEN: P2CHATEN2 Position      */
#define PPORT_P2CHATEN_P2CHATEN2_Msk          (0x01UL << PPORT_P2CHATEN_P2CHATEN2_Pos)                /*!< PPORT P2CHATEN: P2CHATEN2 Mask          */
#define PPORT_P2CHATEN_P2CHATEN3_Pos          3                                                       /*!< PPORT P2CHATEN: P2CHATEN3 Position      */
#define PPORT_P2CHATEN_P2CHATEN3_Msk          (0x01UL << PPORT_P2CHATEN_P2CHATEN3_Pos)                /*!< PPORT P2CHATEN: P2CHATEN3 Mask          */
#define PPORT_P2CHATEN_P2CHATEN4_Pos          4                                                       /*!< PPORT P2CHATEN: P2CHATEN4 Position      */
#define PPORT_P2CHATEN_P2CHATEN4_Msk          (0x01UL << PPORT_P2CHATEN_P2CHATEN4_Pos)                /*!< PPORT P2CHATEN: P2CHATEN4 Mask          */
#define PPORT_P2CHATEN_P2CHATEN5_Pos          5                                                       /*!< PPORT P2CHATEN: P2CHATEN5 Position      */
#define PPORT_P2CHATEN_P2CHATEN5_Msk          (0x01UL << PPORT_P2CHATEN_P2CHATEN5_Pos)                /*!< PPORT P2CHATEN: P2CHATEN5 Mask          */
#define PPORT_P2CHATEN_P2CHATEN6_Pos          6                                                       /*!< PPORT P2CHATEN: P2CHATEN6 Position      */
#define PPORT_P2CHATEN_P2CHATEN6_Msk          (0x01UL << PPORT_P2CHATEN_P2CHATEN6_Pos)                /*!< PPORT P2CHATEN: P2CHATEN6 Mask          */
#define PPORT_P2CHATEN_P2CHATEN7_Pos          7                                                       /*!< PPORT P2CHATEN: P2CHATEN7 Position      */
#define PPORT_P2CHATEN_P2CHATEN7_Msk          (0x01UL << PPORT_P2CHATEN_P2CHATEN7_Pos)                /*!< PPORT P2CHATEN: P2CHATEN7 Mask          */
#define PPORT_P2CHATEN_RESERVED_15_8_Pos      8                                                       /*!< PPORT P2CHATEN: RESERVED_15_8 Position  */
#define PPORT_P2CHATEN_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P2CHATEN_RESERVED_15_8_Pos)      /*!< PPORT P2CHATEN: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P2MODSEL  ------------------------------- */
#define PPORT_P2MODSEL_P2SEL0_Pos             0                                                       /*!< PPORT P2MODSEL: P2SEL0 Position         */
#define PPORT_P2MODSEL_P2SEL0_Msk             (0x01UL << PPORT_P2MODSEL_P2SEL0_Pos)                   /*!< PPORT P2MODSEL: P2SEL0 Mask             */
#define PPORT_P2MODSEL_P2SEL1_Pos             1                                                       /*!< PPORT P2MODSEL: P2SEL1 Position         */
#define PPORT_P2MODSEL_P2SEL1_Msk             (0x01UL << PPORT_P2MODSEL_P2SEL1_Pos)                   /*!< PPORT P2MODSEL: P2SEL1 Mask             */
#define PPORT_P2MODSEL_P2SEL2_Pos             2                                                       /*!< PPORT P2MODSEL: P2SEL2 Position         */
#define PPORT_P2MODSEL_P2SEL2_Msk             (0x01UL << PPORT_P2MODSEL_P2SEL2_Pos)                   /*!< PPORT P2MODSEL: P2SEL2 Mask             */
#define PPORT_P2MODSEL_P2SEL3_Pos             3                                                       /*!< PPORT P2MODSEL: P2SEL3 Position         */
#define PPORT_P2MODSEL_P2SEL3_Msk             (0x01UL << PPORT_P2MODSEL_P2SEL3_Pos)                   /*!< PPORT P2MODSEL: P2SEL3 Mask             */
#define PPORT_P2MODSEL_P2SEL4_Pos             4                                                       /*!< PPORT P2MODSEL: P2SEL4 Position         */
#define PPORT_P2MODSEL_P2SEL4_Msk             (0x01UL << PPORT_P2MODSEL_P2SEL4_Pos)                   /*!< PPORT P2MODSEL: P2SEL4 Mask             */
#define PPORT_P2MODSEL_P2SEL5_Pos             5                                                       /*!< PPORT P2MODSEL: P2SEL5 Position         */
#define PPORT_P2MODSEL_P2SEL5_Msk             (0x01UL << PPORT_P2MODSEL_P2SEL5_Pos)                   /*!< PPORT P2MODSEL: P2SEL5 Mask             */
#define PPORT_P2MODSEL_P2SEL6_Pos             6                                                       /*!< PPORT P2MODSEL: P2SEL6 Position         */
#define PPORT_P2MODSEL_P2SEL6_Msk             (0x01UL << PPORT_P2MODSEL_P2SEL6_Pos)                   /*!< PPORT P2MODSEL: P2SEL6 Mask             */
#define PPORT_P2MODSEL_P2SEL7_Pos             7                                                       /*!< PPORT P2MODSEL: P2SEL7 Position         */
#define PPORT_P2MODSEL_P2SEL7_Msk             (0x01UL << PPORT_P2MODSEL_P2SEL7_Pos)                   /*!< PPORT P2MODSEL: P2SEL7 Mask             */
#define PPORT_P2MODSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT P2MODSEL: RESERVED_15_8 Position  */
#define PPORT_P2MODSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P2MODSEL_RESERVED_15_8_Pos)      /*!< PPORT P2MODSEL: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P2FNCSEL  ------------------------------- */
#define PPORT_P2FNCSEL_P20MUX_Pos             0                                                       /*!< PPORT P2FNCSEL: P20MUX Position         */
#define PPORT_P2FNCSEL_P20MUX_Msk             (0x03UL << PPORT_P2FNCSEL_P20MUX_Pos)                   /*!< PPORT P2FNCSEL: P20MUX Mask             */
#define PPORT_P2FNCSEL_P21MUX_Pos             2                                                       /*!< PPORT P2FNCSEL: P21MUX Position         */
#define PPORT_P2FNCSEL_P21MUX_Msk             (0x03UL << PPORT_P2FNCSEL_P21MUX_Pos)                   /*!< PPORT P2FNCSEL: P21MUX Mask             */
#define PPORT_P2FNCSEL_P22MUX_Pos             4                                                       /*!< PPORT P2FNCSEL: P22MUX Position         */
#define PPORT_P2FNCSEL_P22MUX_Msk             (0x03UL << PPORT_P2FNCSEL_P22MUX_Pos)                   /*!< PPORT P2FNCSEL: P22MUX Mask             */
#define PPORT_P2FNCSEL_P23MUX_Pos             6                                                       /*!< PPORT P2FNCSEL: P23MUX Position         */
#define PPORT_P2FNCSEL_P23MUX_Msk             (0x03UL << PPORT_P2FNCSEL_P23MUX_Pos)                   /*!< PPORT P2FNCSEL: P23MUX Mask             */
#define PPORT_P2FNCSEL_P24MUX_Pos             8                                                       /*!< PPORT P2FNCSEL: P24MUX Position         */
#define PPORT_P2FNCSEL_P24MUX_Msk             (0x03UL << PPORT_P2FNCSEL_P24MUX_Pos)                   /*!< PPORT P2FNCSEL: P24MUX Mask             */
#define PPORT_P2FNCSEL_P25MUX_Pos             10                                                      /*!< PPORT P2FNCSEL: P25MUX Position         */
#define PPORT_P2FNCSEL_P25MUX_Msk             (0x03UL << PPORT_P2FNCSEL_P25MUX_Pos)                   /*!< PPORT P2FNCSEL: P25MUX Mask             */
#define PPORT_P2FNCSEL_P26MUX_Pos             12                                                      /*!< PPORT P2FNCSEL: P26MUX Position         */
#define PPORT_P2FNCSEL_P26MUX_Msk             (0x03UL << PPORT_P2FNCSEL_P26MUX_Pos)                   /*!< PPORT P2FNCSEL: P26MUX Mask             */
#define PPORT_P2FNCSEL_P27MUX_Pos             14                                                      /*!< PPORT P2FNCSEL: P27MUX Position         */
#define PPORT_P2FNCSEL_P27MUX_Msk             (0x03UL << PPORT_P2FNCSEL_P27MUX_Pos)                   /*!< PPORT P2FNCSEL: P27MUX Mask             */

/* ---------------------------------  PPORT_P3DAT  -------------------------------- */
#define PPORT_P3DAT_P3IN0_Pos                 0                                                       /*!< PPORT P3DAT: P3IN0 Position             */
#define PPORT_P3DAT_P3IN0_Msk                 (0x01UL << PPORT_P3DAT_P3IN0_Pos)                       /*!< PPORT P3DAT: P3IN0 Mask                 */
#define PPORT_P3DAT_P3IN1_Pos                 1                                                       /*!< PPORT P3DAT: P3IN1 Position             */
#define PPORT_P3DAT_P3IN1_Msk                 (0x01UL << PPORT_P3DAT_P3IN1_Pos)                       /*!< PPORT P3DAT: P3IN1 Mask                 */
#define PPORT_P3DAT_P3IN2_Pos                 2                                                       /*!< PPORT P3DAT: P3IN2 Position             */
#define PPORT_P3DAT_P3IN2_Msk                 (0x01UL << PPORT_P3DAT_P3IN2_Pos)                       /*!< PPORT P3DAT: P3IN2 Mask                 */
#define PPORT_P3DAT_P3IN3_Pos                 3                                                       /*!< PPORT P3DAT: P3IN3 Position             */
#define PPORT_P3DAT_P3IN3_Msk                 (0x01UL << PPORT_P3DAT_P3IN3_Pos)                       /*!< PPORT P3DAT: P3IN3 Mask                 */
#define PPORT_P3DAT_P3IN4_Pos                 4                                                       /*!< PPORT P3DAT: P3IN4 Position             */
#define PPORT_P3DAT_P3IN4_Msk                 (0x01UL << PPORT_P3DAT_P3IN4_Pos)                       /*!< PPORT P3DAT: P3IN4 Mask                 */
#define PPORT_P3DAT_P3IN5_Pos                 5                                                       /*!< PPORT P3DAT: P3IN5 Position             */
#define PPORT_P3DAT_P3IN5_Msk                 (0x01UL << PPORT_P3DAT_P3IN5_Pos)                       /*!< PPORT P3DAT: P3IN5 Mask                 */
#define PPORT_P3DAT_P3IN6_Pos                 6                                                       /*!< PPORT P3DAT: P3IN6 Position             */
#define PPORT_P3DAT_P3IN6_Msk                 (0x01UL << PPORT_P3DAT_P3IN6_Pos)                       /*!< PPORT P3DAT: P3IN6 Mask                 */
#define PPORT_P3DAT_P3IN7_Pos                 7                                                       /*!< PPORT P3DAT: P3IN7 Position             */
#define PPORT_P3DAT_P3IN7_Msk                 (0x01UL << PPORT_P3DAT_P3IN7_Pos)                       /*!< PPORT P3DAT: P3IN7 Mask                 */
#define PPORT_P3DAT_P3OUT0_Pos                8                                                       /*!< PPORT P3DAT: P3OUT0 Position            */
#define PPORT_P3DAT_P3OUT0_Msk                (0x01UL << PPORT_P3DAT_P3OUT0_Pos)                      /*!< PPORT P3DAT: P3OUT0 Mask                */
#define PPORT_P3DAT_P3OUT1_Pos                9                                                       /*!< PPORT P3DAT: P3OUT1 Position            */
#define PPORT_P3DAT_P3OUT1_Msk                (0x01UL << PPORT_P3DAT_P3OUT1_Pos)                      /*!< PPORT P3DAT: P3OUT1 Mask                */
#define PPORT_P3DAT_P3OUT2_Pos                10                                                      /*!< PPORT P3DAT: P3OUT2 Position            */
#define PPORT_P3DAT_P3OUT2_Msk                (0x01UL << PPORT_P3DAT_P3OUT2_Pos)                      /*!< PPORT P3DAT: P3OUT2 Mask                */
#define PPORT_P3DAT_P3OUT3_Pos                11                                                      /*!< PPORT P3DAT: P3OUT3 Position            */
#define PPORT_P3DAT_P3OUT3_Msk                (0x01UL << PPORT_P3DAT_P3OUT3_Pos)                      /*!< PPORT P3DAT: P3OUT3 Mask                */
#define PPORT_P3DAT_P3OUT4_Pos                12                                                      /*!< PPORT P3DAT: P3OUT4 Position            */
#define PPORT_P3DAT_P3OUT4_Msk                (0x01UL << PPORT_P3DAT_P3OUT4_Pos)                      /*!< PPORT P3DAT: P3OUT4 Mask                */
#define PPORT_P3DAT_P3OUT5_Pos                13                                                      /*!< PPORT P3DAT: P3OUT5 Position            */
#define PPORT_P3DAT_P3OUT5_Msk                (0x01UL << PPORT_P3DAT_P3OUT5_Pos)                      /*!< PPORT P3DAT: P3OUT5 Mask                */
#define PPORT_P3DAT_P3OUT6_Pos                14                                                      /*!< PPORT P3DAT: P3OUT6 Position            */
#define PPORT_P3DAT_P3OUT6_Msk                (0x01UL << PPORT_P3DAT_P3OUT6_Pos)                      /*!< PPORT P3DAT: P3OUT6 Mask                */
#define PPORT_P3DAT_P3OUT7_Pos                15                                                      /*!< PPORT P3DAT: P3OUT7 Position            */
#define PPORT_P3DAT_P3OUT7_Msk                (0x01UL << PPORT_P3DAT_P3OUT7_Pos)                      /*!< PPORT P3DAT: P3OUT7 Mask                */

/* --------------------------------  PPORT_P3IOEN  -------------------------------- */
#define PPORT_P3IOEN_P3OEN0_Pos               0                                                       /*!< PPORT P3IOEN: P3OEN0 Position           */
#define PPORT_P3IOEN_P3OEN0_Msk               (0x01UL << PPORT_P3IOEN_P3OEN0_Pos)                     /*!< PPORT P3IOEN: P3OEN0 Mask               */
#define PPORT_P3IOEN_P3OEN1_Pos               1                                                       /*!< PPORT P3IOEN: P3OEN1 Position           */
#define PPORT_P3IOEN_P3OEN1_Msk               (0x01UL << PPORT_P3IOEN_P3OEN1_Pos)                     /*!< PPORT P3IOEN: P3OEN1 Mask               */
#define PPORT_P3IOEN_P3OEN2_Pos               2                                                       /*!< PPORT P3IOEN: P3OEN2 Position           */
#define PPORT_P3IOEN_P3OEN2_Msk               (0x01UL << PPORT_P3IOEN_P3OEN2_Pos)                     /*!< PPORT P3IOEN: P3OEN2 Mask               */
#define PPORT_P3IOEN_P3OEN3_Pos               3                                                       /*!< PPORT P3IOEN: P3OEN3 Position           */
#define PPORT_P3IOEN_P3OEN3_Msk               (0x01UL << PPORT_P3IOEN_P3OEN3_Pos)                     /*!< PPORT P3IOEN: P3OEN3 Mask               */
#define PPORT_P3IOEN_P3OEN4_Pos               4                                                       /*!< PPORT P3IOEN: P3OEN4 Position           */
#define PPORT_P3IOEN_P3OEN4_Msk               (0x01UL << PPORT_P3IOEN_P3OEN4_Pos)                     /*!< PPORT P3IOEN: P3OEN4 Mask               */
#define PPORT_P3IOEN_P3OEN5_Pos               5                                                       /*!< PPORT P3IOEN: P3OEN5 Position           */
#define PPORT_P3IOEN_P3OEN5_Msk               (0x01UL << PPORT_P3IOEN_P3OEN5_Pos)                     /*!< PPORT P3IOEN: P3OEN5 Mask               */
#define PPORT_P3IOEN_P3OEN6_Pos               6                                                       /*!< PPORT P3IOEN: P3OEN6 Position           */
#define PPORT_P3IOEN_P3OEN6_Msk               (0x01UL << PPORT_P3IOEN_P3OEN6_Pos)                     /*!< PPORT P3IOEN: P3OEN6 Mask               */
#define PPORT_P3IOEN_P3OEN7_Pos               7                                                       /*!< PPORT P3IOEN: P3OEN7 Position           */
#define PPORT_P3IOEN_P3OEN7_Msk               (0x01UL << PPORT_P3IOEN_P3OEN7_Pos)                     /*!< PPORT P3IOEN: P3OEN7 Mask               */
#define PPORT_P3IOEN_P3IEN0_Pos               8                                                       /*!< PPORT P3IOEN: P3IEN0 Position           */
#define PPORT_P3IOEN_P3IEN0_Msk               (0x01UL << PPORT_P3IOEN_P3IEN0_Pos)                     /*!< PPORT P3IOEN: P3IEN0 Mask               */
#define PPORT_P3IOEN_P3IEN1_Pos               9                                                       /*!< PPORT P3IOEN: P3IEN1 Position           */
#define PPORT_P3IOEN_P3IEN1_Msk               (0x01UL << PPORT_P3IOEN_P3IEN1_Pos)                     /*!< PPORT P3IOEN: P3IEN1 Mask               */
#define PPORT_P3IOEN_P3IEN2_Pos               10                                                      /*!< PPORT P3IOEN: P3IEN2 Position           */
#define PPORT_P3IOEN_P3IEN2_Msk               (0x01UL << PPORT_P3IOEN_P3IEN2_Pos)                     /*!< PPORT P3IOEN: P3IEN2 Mask               */
#define PPORT_P3IOEN_P3IEN3_Pos               11                                                      /*!< PPORT P3IOEN: P3IEN3 Position           */
#define PPORT_P3IOEN_P3IEN3_Msk               (0x01UL << PPORT_P3IOEN_P3IEN3_Pos)                     /*!< PPORT P3IOEN: P3IEN3 Mask               */
#define PPORT_P3IOEN_P3IEN4_Pos               12                                                      /*!< PPORT P3IOEN: P3IEN4 Position           */
#define PPORT_P3IOEN_P3IEN4_Msk               (0x01UL << PPORT_P3IOEN_P3IEN4_Pos)                     /*!< PPORT P3IOEN: P3IEN4 Mask               */
#define PPORT_P3IOEN_P3IEN5_Pos               13                                                      /*!< PPORT P3IOEN: P3IEN5 Position           */
#define PPORT_P3IOEN_P3IEN5_Msk               (0x01UL << PPORT_P3IOEN_P3IEN5_Pos)                     /*!< PPORT P3IOEN: P3IEN5 Mask               */
#define PPORT_P3IOEN_P3IEN6_Pos               14                                                      /*!< PPORT P3IOEN: P3IEN6 Position           */
#define PPORT_P3IOEN_P3IEN6_Msk               (0x01UL << PPORT_P3IOEN_P3IEN6_Pos)                     /*!< PPORT P3IOEN: P3IEN6 Mask               */
#define PPORT_P3IOEN_P3IEN7_Pos               15                                                      /*!< PPORT P3IOEN: P3IEN7 Position           */
#define PPORT_P3IOEN_P3IEN7_Msk               (0x01UL << PPORT_P3IOEN_P3IEN7_Pos)                     /*!< PPORT P3IOEN: P3IEN7 Mask               */

/* --------------------------------  PPORT_P3RCTL  -------------------------------- */
#define PPORT_P3RCTL_P3REN0_Pos               0                                                       /*!< PPORT P3RCTL: P3REN0 Position           */
#define PPORT_P3RCTL_P3REN0_Msk               (0x01UL << PPORT_P3RCTL_P3REN0_Pos)                     /*!< PPORT P3RCTL: P3REN0 Mask               */
#define PPORT_P3RCTL_P3REN1_Pos               1                                                       /*!< PPORT P3RCTL: P3REN1 Position           */
#define PPORT_P3RCTL_P3REN1_Msk               (0x01UL << PPORT_P3RCTL_P3REN1_Pos)                     /*!< PPORT P3RCTL: P3REN1 Mask               */
#define PPORT_P3RCTL_P3REN2_Pos               2                                                       /*!< PPORT P3RCTL: P3REN2 Position           */
#define PPORT_P3RCTL_P3REN2_Msk               (0x01UL << PPORT_P3RCTL_P3REN2_Pos)                     /*!< PPORT P3RCTL: P3REN2 Mask               */
#define PPORT_P3RCTL_P3REN3_Pos               3                                                       /*!< PPORT P3RCTL: P3REN3 Position           */
#define PPORT_P3RCTL_P3REN3_Msk               (0x01UL << PPORT_P3RCTL_P3REN3_Pos)                     /*!< PPORT P3RCTL: P3REN3 Mask               */
#define PPORT_P3RCTL_P3REN4_Pos               4                                                       /*!< PPORT P3RCTL: P3REN4 Position           */
#define PPORT_P3RCTL_P3REN4_Msk               (0x01UL << PPORT_P3RCTL_P3REN4_Pos)                     /*!< PPORT P3RCTL: P3REN4 Mask               */
#define PPORT_P3RCTL_P3REN5_Pos               5                                                       /*!< PPORT P3RCTL: P3REN5 Position           */
#define PPORT_P3RCTL_P3REN5_Msk               (0x01UL << PPORT_P3RCTL_P3REN5_Pos)                     /*!< PPORT P3RCTL: P3REN5 Mask               */
#define PPORT_P3RCTL_P3REN6_Pos               6                                                       /*!< PPORT P3RCTL: P3REN6 Position           */
#define PPORT_P3RCTL_P3REN6_Msk               (0x01UL << PPORT_P3RCTL_P3REN6_Pos)                     /*!< PPORT P3RCTL: P3REN6 Mask               */
#define PPORT_P3RCTL_P3REN7_Pos               7                                                       /*!< PPORT P3RCTL: P3REN7 Position           */
#define PPORT_P3RCTL_P3REN7_Msk               (0x01UL << PPORT_P3RCTL_P3REN7_Pos)                     /*!< PPORT P3RCTL: P3REN7 Mask               */
#define PPORT_P3RCTL_P3PDPU0_Pos              8                                                       /*!< PPORT P3RCTL: P3PDPU0 Position          */
#define PPORT_P3RCTL_P3PDPU0_Msk              (0x01UL << PPORT_P3RCTL_P3PDPU0_Pos)                    /*!< PPORT P3RCTL: P3PDPU0 Mask              */
#define PPORT_P3RCTL_P3PDPU1_Pos              9                                                       /*!< PPORT P3RCTL: P3PDPU1 Position          */
#define PPORT_P3RCTL_P3PDPU1_Msk              (0x01UL << PPORT_P3RCTL_P3PDPU1_Pos)                    /*!< PPORT P3RCTL: P3PDPU1 Mask              */
#define PPORT_P3RCTL_P3PDPU2_Pos              10                                                      /*!< PPORT P3RCTL: P3PDPU2 Position          */
#define PPORT_P3RCTL_P3PDPU2_Msk              (0x01UL << PPORT_P3RCTL_P3PDPU2_Pos)                    /*!< PPORT P3RCTL: P3PDPU2 Mask              */
#define PPORT_P3RCTL_P3PDPU3_Pos              11                                                      /*!< PPORT P3RCTL: P3PDPU3 Position          */
#define PPORT_P3RCTL_P3PDPU3_Msk              (0x01UL << PPORT_P3RCTL_P3PDPU3_Pos)                    /*!< PPORT P3RCTL: P3PDPU3 Mask              */
#define PPORT_P3RCTL_P3PDPU4_Pos              12                                                      /*!< PPORT P3RCTL: P3PDPU4 Position          */
#define PPORT_P3RCTL_P3PDPU4_Msk              (0x01UL << PPORT_P3RCTL_P3PDPU4_Pos)                    /*!< PPORT P3RCTL: P3PDPU4 Mask              */
#define PPORT_P3RCTL_P3PDPU5_Pos              13                                                      /*!< PPORT P3RCTL: P3PDPU5 Position          */
#define PPORT_P3RCTL_P3PDPU5_Msk              (0x01UL << PPORT_P3RCTL_P3PDPU5_Pos)                    /*!< PPORT P3RCTL: P3PDPU5 Mask              */
#define PPORT_P3RCTL_P3PDPU6_Pos              14                                                      /*!< PPORT P3RCTL: P3PDPU6 Position          */
#define PPORT_P3RCTL_P3PDPU6_Msk              (0x01UL << PPORT_P3RCTL_P3PDPU6_Pos)                    /*!< PPORT P3RCTL: P3PDPU6 Mask              */
#define PPORT_P3RCTL_P3PDPU7_Pos              15                                                      /*!< PPORT P3RCTL: P3PDPU7 Position          */
#define PPORT_P3RCTL_P3PDPU7_Msk              (0x01UL << PPORT_P3RCTL_P3PDPU7_Pos)                    /*!< PPORT P3RCTL: P3PDPU7 Mask              */

/* --------------------------------  PPORT_P3INTF  -------------------------------- */
#define PPORT_P3INTF_P3IF0_Pos                0                                                       /*!< PPORT P3INTF: P3IF0 Position            */
#define PPORT_P3INTF_P3IF0_Msk                (0x01UL << PPORT_P3INTF_P3IF0_Pos)                      /*!< PPORT P3INTF: P3IF0 Mask                */
#define PPORT_P3INTF_P3IF1_Pos                1                                                       /*!< PPORT P3INTF: P3IF1 Position            */
#define PPORT_P3INTF_P3IF1_Msk                (0x01UL << PPORT_P3INTF_P3IF1_Pos)                      /*!< PPORT P3INTF: P3IF1 Mask                */
#define PPORT_P3INTF_P3IF2_Pos                2                                                       /*!< PPORT P3INTF: P3IF2 Position            */
#define PPORT_P3INTF_P3IF2_Msk                (0x01UL << PPORT_P3INTF_P3IF2_Pos)                      /*!< PPORT P3INTF: P3IF2 Mask                */
#define PPORT_P3INTF_P3IF3_Pos                3                                                       /*!< PPORT P3INTF: P3IF3 Position            */
#define PPORT_P3INTF_P3IF3_Msk                (0x01UL << PPORT_P3INTF_P3IF3_Pos)                      /*!< PPORT P3INTF: P3IF3 Mask                */
#define PPORT_P3INTF_P3IF4_Pos                4                                                       /*!< PPORT P3INTF: P3IF4 Position            */
#define PPORT_P3INTF_P3IF4_Msk                (0x01UL << PPORT_P3INTF_P3IF4_Pos)                      /*!< PPORT P3INTF: P3IF4 Mask                */
#define PPORT_P3INTF_P3IF5_Pos                5                                                       /*!< PPORT P3INTF: P3IF5 Position            */
#define PPORT_P3INTF_P3IF5_Msk                (0x01UL << PPORT_P3INTF_P3IF5_Pos)                      /*!< PPORT P3INTF: P3IF5 Mask                */
#define PPORT_P3INTF_P3IF6_Pos                6                                                       /*!< PPORT P3INTF: P3IF6 Position            */
#define PPORT_P3INTF_P3IF6_Msk                (0x01UL << PPORT_P3INTF_P3IF6_Pos)                      /*!< PPORT P3INTF: P3IF6 Mask                */
#define PPORT_P3INTF_P3IF7_Pos                7                                                       /*!< PPORT P3INTF: P3IF7 Position            */
#define PPORT_P3INTF_P3IF7_Msk                (0x01UL << PPORT_P3INTF_P3IF7_Pos)                      /*!< PPORT P3INTF: P3IF7 Mask                */
#define PPORT_P3INTF_RESERVED_15_8_Pos        8                                                       /*!< PPORT P3INTF: RESERVED_15_8 Position    */
#define PPORT_P3INTF_RESERVED_15_8_Msk        (0x000000ffUL << PPORT_P3INTF_RESERVED_15_8_Pos)        /*!< PPORT P3INTF: RESERVED_15_8 Mask        */

/* -------------------------------  PPORT_P3INTCTL  ------------------------------- */
#define PPORT_P3INTCTL_P3IE0_Pos              0                                                       /*!< PPORT P3INTCTL: P3IE0 Position          */
#define PPORT_P3INTCTL_P3IE0_Msk              (0x01UL << PPORT_P3INTCTL_P3IE0_Pos)                    /*!< PPORT P3INTCTL: P3IE0 Mask              */
#define PPORT_P3INTCTL_P3IE1_Pos              1                                                       /*!< PPORT P3INTCTL: P3IE1 Position          */
#define PPORT_P3INTCTL_P3IE1_Msk              (0x01UL << PPORT_P3INTCTL_P3IE1_Pos)                    /*!< PPORT P3INTCTL: P3IE1 Mask              */
#define PPORT_P3INTCTL_P3IE2_Pos              2                                                       /*!< PPORT P3INTCTL: P3IE2 Position          */
#define PPORT_P3INTCTL_P3IE2_Msk              (0x01UL << PPORT_P3INTCTL_P3IE2_Pos)                    /*!< PPORT P3INTCTL: P3IE2 Mask              */
#define PPORT_P3INTCTL_P3IE3_Pos              3                                                       /*!< PPORT P3INTCTL: P3IE3 Position          */
#define PPORT_P3INTCTL_P3IE3_Msk              (0x01UL << PPORT_P3INTCTL_P3IE3_Pos)                    /*!< PPORT P3INTCTL: P3IE3 Mask              */
#define PPORT_P3INTCTL_P3IE4_Pos              4                                                       /*!< PPORT P3INTCTL: P3IE4 Position          */
#define PPORT_P3INTCTL_P3IE4_Msk              (0x01UL << PPORT_P3INTCTL_P3IE4_Pos)                    /*!< PPORT P3INTCTL: P3IE4 Mask              */
#define PPORT_P3INTCTL_P3IE5_Pos              5                                                       /*!< PPORT P3INTCTL: P3IE5 Position          */
#define PPORT_P3INTCTL_P3IE5_Msk              (0x01UL << PPORT_P3INTCTL_P3IE5_Pos)                    /*!< PPORT P3INTCTL: P3IE5 Mask              */
#define PPORT_P3INTCTL_P3IE6_Pos              6                                                       /*!< PPORT P3INTCTL: P3IE6 Position          */
#define PPORT_P3INTCTL_P3IE6_Msk              (0x01UL << PPORT_P3INTCTL_P3IE6_Pos)                    /*!< PPORT P3INTCTL: P3IE6 Mask              */
#define PPORT_P3INTCTL_P3IE7_Pos              7                                                       /*!< PPORT P3INTCTL: P3IE7 Position          */
#define PPORT_P3INTCTL_P3IE7_Msk              (0x01UL << PPORT_P3INTCTL_P3IE7_Pos)                    /*!< PPORT P3INTCTL: P3IE7 Mask              */
#define PPORT_P3INTCTL_P3EDGE0_Pos            8                                                       /*!< PPORT P3INTCTL: P3EDGE0 Position        */
#define PPORT_P3INTCTL_P3EDGE0_Msk            (0x01UL << PPORT_P3INTCTL_P3EDGE0_Pos)                  /*!< PPORT P3INTCTL: P3EDGE0 Mask            */
#define PPORT_P3INTCTL_P3EDGE1_Pos            9                                                       /*!< PPORT P3INTCTL: P3EDGE1 Position        */
#define PPORT_P3INTCTL_P3EDGE1_Msk            (0x01UL << PPORT_P3INTCTL_P3EDGE1_Pos)                  /*!< PPORT P3INTCTL: P3EDGE1 Mask            */
#define PPORT_P3INTCTL_P3EDGE2_Pos            10                                                      /*!< PPORT P3INTCTL: P3EDGE2 Position        */
#define PPORT_P3INTCTL_P3EDGE2_Msk            (0x01UL << PPORT_P3INTCTL_P3EDGE2_Pos)                  /*!< PPORT P3INTCTL: P3EDGE2 Mask            */
#define PPORT_P3INTCTL_P3EDGE3_Pos            11                                                      /*!< PPORT P3INTCTL: P3EDGE3 Position        */
#define PPORT_P3INTCTL_P3EDGE3_Msk            (0x01UL << PPORT_P3INTCTL_P3EDGE3_Pos)                  /*!< PPORT P3INTCTL: P3EDGE3 Mask            */
#define PPORT_P3INTCTL_P3EDGE4_Pos            12                                                      /*!< PPORT P3INTCTL: P3EDGE4 Position        */
#define PPORT_P3INTCTL_P3EDGE4_Msk            (0x01UL << PPORT_P3INTCTL_P3EDGE4_Pos)                  /*!< PPORT P3INTCTL: P3EDGE4 Mask            */
#define PPORT_P3INTCTL_P3EDGE5_Pos            13                                                      /*!< PPORT P3INTCTL: P3EDGE5 Position        */
#define PPORT_P3INTCTL_P3EDGE5_Msk            (0x01UL << PPORT_P3INTCTL_P3EDGE5_Pos)                  /*!< PPORT P3INTCTL: P3EDGE5 Mask            */
#define PPORT_P3INTCTL_P3EDGE6_Pos            14                                                      /*!< PPORT P3INTCTL: P3EDGE6 Position        */
#define PPORT_P3INTCTL_P3EDGE6_Msk            (0x01UL << PPORT_P3INTCTL_P3EDGE6_Pos)                  /*!< PPORT P3INTCTL: P3EDGE6 Mask            */
#define PPORT_P3INTCTL_P3EDGE7_Pos            15                                                      /*!< PPORT P3INTCTL: P3EDGE7 Position        */
#define PPORT_P3INTCTL_P3EDGE7_Msk            (0x01UL << PPORT_P3INTCTL_P3EDGE7_Pos)                  /*!< PPORT P3INTCTL: P3EDGE7 Mask            */

/* -------------------------------  PPORT_P3CHATEN  ------------------------------- */
#define PPORT_P3CHATEN_P3CHATEN0_Pos          0                                                       /*!< PPORT P3CHATEN: P3CHATEN0 Position      */
#define PPORT_P3CHATEN_P3CHATEN0_Msk          (0x01UL << PPORT_P3CHATEN_P3CHATEN0_Pos)                /*!< PPORT P3CHATEN: P3CHATEN0 Mask          */
#define PPORT_P3CHATEN_P3CHATEN1_Pos          1                                                       /*!< PPORT P3CHATEN: P3CHATEN1 Position      */
#define PPORT_P3CHATEN_P3CHATEN1_Msk          (0x01UL << PPORT_P3CHATEN_P3CHATEN1_Pos)                /*!< PPORT P3CHATEN: P3CHATEN1 Mask          */
#define PPORT_P3CHATEN_P3CHATEN2_Pos          2                                                       /*!< PPORT P3CHATEN: P3CHATEN2 Position      */
#define PPORT_P3CHATEN_P3CHATEN2_Msk          (0x01UL << PPORT_P3CHATEN_P3CHATEN2_Pos)                /*!< PPORT P3CHATEN: P3CHATEN2 Mask          */
#define PPORT_P3CHATEN_P3CHATEN3_Pos          3                                                       /*!< PPORT P3CHATEN: P3CHATEN3 Position      */
#define PPORT_P3CHATEN_P3CHATEN3_Msk          (0x01UL << PPORT_P3CHATEN_P3CHATEN3_Pos)                /*!< PPORT P3CHATEN: P3CHATEN3 Mask          */
#define PPORT_P3CHATEN_P3CHATEN4_Pos          4                                                       /*!< PPORT P3CHATEN: P3CHATEN4 Position      */
#define PPORT_P3CHATEN_P3CHATEN4_Msk          (0x01UL << PPORT_P3CHATEN_P3CHATEN4_Pos)                /*!< PPORT P3CHATEN: P3CHATEN4 Mask          */
#define PPORT_P3CHATEN_P3CHATEN5_Pos          5                                                       /*!< PPORT P3CHATEN: P3CHATEN5 Position      */
#define PPORT_P3CHATEN_P3CHATEN5_Msk          (0x01UL << PPORT_P3CHATEN_P3CHATEN5_Pos)                /*!< PPORT P3CHATEN: P3CHATEN5 Mask          */
#define PPORT_P3CHATEN_P3CHATEN6_Pos          6                                                       /*!< PPORT P3CHATEN: P3CHATEN6 Position      */
#define PPORT_P3CHATEN_P3CHATEN6_Msk          (0x01UL << PPORT_P3CHATEN_P3CHATEN6_Pos)                /*!< PPORT P3CHATEN: P3CHATEN6 Mask          */
#define PPORT_P3CHATEN_P3CHATEN7_Pos          7                                                       /*!< PPORT P3CHATEN: P3CHATEN7 Position      */
#define PPORT_P3CHATEN_P3CHATEN7_Msk          (0x01UL << PPORT_P3CHATEN_P3CHATEN7_Pos)                /*!< PPORT P3CHATEN: P3CHATEN7 Mask          */
#define PPORT_P3CHATEN_RESERVED_15_8_Pos      8                                                       /*!< PPORT P3CHATEN: RESERVED_15_8 Position  */
#define PPORT_P3CHATEN_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P3CHATEN_RESERVED_15_8_Pos)      /*!< PPORT P3CHATEN: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P3MODSEL  ------------------------------- */
#define PPORT_P3MODSEL_P3SEL0_Pos             0                                                       /*!< PPORT P3MODSEL: P3SEL0 Position         */
#define PPORT_P3MODSEL_P3SEL0_Msk             (0x01UL << PPORT_P3MODSEL_P3SEL0_Pos)                   /*!< PPORT P3MODSEL: P3SEL0 Mask             */
#define PPORT_P3MODSEL_P3SEL1_Pos             1                                                       /*!< PPORT P3MODSEL: P3SEL1 Position         */
#define PPORT_P3MODSEL_P3SEL1_Msk             (0x01UL << PPORT_P3MODSEL_P3SEL1_Pos)                   /*!< PPORT P3MODSEL: P3SEL1 Mask             */
#define PPORT_P3MODSEL_P3SEL2_Pos             2                                                       /*!< PPORT P3MODSEL: P3SEL2 Position         */
#define PPORT_P3MODSEL_P3SEL2_Msk             (0x01UL << PPORT_P3MODSEL_P3SEL2_Pos)                   /*!< PPORT P3MODSEL: P3SEL2 Mask             */
#define PPORT_P3MODSEL_P3SEL3_Pos             3                                                       /*!< PPORT P3MODSEL: P3SEL3 Position         */
#define PPORT_P3MODSEL_P3SEL3_Msk             (0x01UL << PPORT_P3MODSEL_P3SEL3_Pos)                   /*!< PPORT P3MODSEL: P3SEL3 Mask             */
#define PPORT_P3MODSEL_P3SEL4_Pos             4                                                       /*!< PPORT P3MODSEL: P3SEL4 Position         */
#define PPORT_P3MODSEL_P3SEL4_Msk             (0x01UL << PPORT_P3MODSEL_P3SEL4_Pos)                   /*!< PPORT P3MODSEL: P3SEL4 Mask             */
#define PPORT_P3MODSEL_P3SEL5_Pos             5                                                       /*!< PPORT P3MODSEL: P3SEL5 Position         */
#define PPORT_P3MODSEL_P3SEL5_Msk             (0x01UL << PPORT_P3MODSEL_P3SEL5_Pos)                   /*!< PPORT P3MODSEL: P3SEL5 Mask             */
#define PPORT_P3MODSEL_P3SEL6_Pos             6                                                       /*!< PPORT P3MODSEL: P3SEL6 Position         */
#define PPORT_P3MODSEL_P3SEL6_Msk             (0x01UL << PPORT_P3MODSEL_P3SEL6_Pos)                   /*!< PPORT P3MODSEL: P3SEL6 Mask             */
#define PPORT_P3MODSEL_P3SEL7_Pos             7                                                       /*!< PPORT P3MODSEL: P3SEL7 Position         */
#define PPORT_P3MODSEL_P3SEL7_Msk             (0x01UL << PPORT_P3MODSEL_P3SEL7_Pos)                   /*!< PPORT P3MODSEL: P3SEL7 Mask             */
#define PPORT_P3MODSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT P3MODSEL: RESERVED_15_8 Position  */
#define PPORT_P3MODSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P3MODSEL_RESERVED_15_8_Pos)      /*!< PPORT P3MODSEL: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P3FNCSEL  ------------------------------- */
#define PPORT_P3FNCSEL_P30MUX_Pos             0                                                       /*!< PPORT P3FNCSEL: P30MUX Position         */
#define PPORT_P3FNCSEL_P30MUX_Msk             (0x03UL << PPORT_P3FNCSEL_P30MUX_Pos)                   /*!< PPORT P3FNCSEL: P30MUX Mask             */
#define PPORT_P3FNCSEL_P31MUX_Pos             2                                                       /*!< PPORT P3FNCSEL: P31MUX Position         */
#define PPORT_P3FNCSEL_P31MUX_Msk             (0x03UL << PPORT_P3FNCSEL_P31MUX_Pos)                   /*!< PPORT P3FNCSEL: P31MUX Mask             */
#define PPORT_P3FNCSEL_P32MUX_Pos             4                                                       /*!< PPORT P3FNCSEL: P32MUX Position         */
#define PPORT_P3FNCSEL_P32MUX_Msk             (0x03UL << PPORT_P3FNCSEL_P32MUX_Pos)                   /*!< PPORT P3FNCSEL: P32MUX Mask             */
#define PPORT_P3FNCSEL_P33MUX_Pos             6                                                       /*!< PPORT P3FNCSEL: P33MUX Position         */
#define PPORT_P3FNCSEL_P33MUX_Msk             (0x03UL << PPORT_P3FNCSEL_P33MUX_Pos)                   /*!< PPORT P3FNCSEL: P33MUX Mask             */
#define PPORT_P3FNCSEL_P34MUX_Pos             8                                                       /*!< PPORT P3FNCSEL: P34MUX Position         */
#define PPORT_P3FNCSEL_P34MUX_Msk             (0x03UL << PPORT_P3FNCSEL_P34MUX_Pos)                   /*!< PPORT P3FNCSEL: P34MUX Mask             */
#define PPORT_P3FNCSEL_P35MUX_Pos             10                                                      /*!< PPORT P3FNCSEL: P35MUX Position         */
#define PPORT_P3FNCSEL_P35MUX_Msk             (0x03UL << PPORT_P3FNCSEL_P35MUX_Pos)                   /*!< PPORT P3FNCSEL: P35MUX Mask             */
#define PPORT_P3FNCSEL_P36MUX_Pos             12                                                      /*!< PPORT P3FNCSEL: P36MUX Position         */
#define PPORT_P3FNCSEL_P36MUX_Msk             (0x03UL << PPORT_P3FNCSEL_P36MUX_Pos)                   /*!< PPORT P3FNCSEL: P36MUX Mask             */
#define PPORT_P3FNCSEL_P37MUX_Pos             14                                                      /*!< PPORT P3FNCSEL: P37MUX Position         */
#define PPORT_P3FNCSEL_P37MUX_Msk             (0x03UL << PPORT_P3FNCSEL_P37MUX_Pos)                   /*!< PPORT P3FNCSEL: P37MUX Mask             */

/* ---------------------------------  PPORT_P4DAT  -------------------------------- */
#define PPORT_P4DAT_P4IN0_Pos                 0                                                       /*!< PPORT P4DAT: P4IN0 Position             */
#define PPORT_P4DAT_P4IN0_Msk                 (0x01UL << PPORT_P4DAT_P4IN0_Pos)                       /*!< PPORT P4DAT: P4IN0 Mask                 */
#define PPORT_P4DAT_P4IN1_Pos                 1                                                       /*!< PPORT P4DAT: P4IN1 Position             */
#define PPORT_P4DAT_P4IN1_Msk                 (0x01UL << PPORT_P4DAT_P4IN1_Pos)                       /*!< PPORT P4DAT: P4IN1 Mask                 */
#define PPORT_P4DAT_P4IN2_Pos                 2                                                       /*!< PPORT P4DAT: P4IN2 Position             */
#define PPORT_P4DAT_P4IN2_Msk                 (0x01UL << PPORT_P4DAT_P4IN2_Pos)                       /*!< PPORT P4DAT: P4IN2 Mask                 */
#define PPORT_P4DAT_P4IN3_Pos                 3                                                       /*!< PPORT P4DAT: P4IN3 Position             */
#define PPORT_P4DAT_P4IN3_Msk                 (0x01UL << PPORT_P4DAT_P4IN3_Pos)                       /*!< PPORT P4DAT: P4IN3 Mask                 */
#define PPORT_P4DAT_P4IN4_Pos                 4                                                       /*!< PPORT P4DAT: P4IN4 Position             */
#define PPORT_P4DAT_P4IN4_Msk                 (0x01UL << PPORT_P4DAT_P4IN4_Pos)                       /*!< PPORT P4DAT: P4IN4 Mask                 */
#define PPORT_P4DAT_RESERVED_7_5_Pos          5                                                       /*!< PPORT P4DAT: RESERVED_7_5 Position      */
#define PPORT_P4DAT_RESERVED_7_5_Msk          (0x07UL << PPORT_P4DAT_RESERVED_7_5_Pos)                /*!< PPORT P4DAT: RESERVED_7_5 Mask          */
#define PPORT_P4DAT_P4OUT0_Pos                8                                                       /*!< PPORT P4DAT: P4OUT0 Position            */
#define PPORT_P4DAT_P4OUT0_Msk                (0x01UL << PPORT_P4DAT_P4OUT0_Pos)                      /*!< PPORT P4DAT: P4OUT0 Mask                */
#define PPORT_P4DAT_P4OUT1_Pos                9                                                       /*!< PPORT P4DAT: P4OUT1 Position            */
#define PPORT_P4DAT_P4OUT1_Msk                (0x01UL << PPORT_P4DAT_P4OUT1_Pos)                      /*!< PPORT P4DAT: P4OUT1 Mask                */
#define PPORT_P4DAT_P4OUT2_Pos                10                                                      /*!< PPORT P4DAT: P4OUT2 Position            */
#define PPORT_P4DAT_P4OUT2_Msk                (0x01UL << PPORT_P4DAT_P4OUT2_Pos)                      /*!< PPORT P4DAT: P4OUT2 Mask                */
#define PPORT_P4DAT_P4OUT3_Pos                11                                                      /*!< PPORT P4DAT: P4OUT3 Position            */
#define PPORT_P4DAT_P4OUT3_Msk                (0x01UL << PPORT_P4DAT_P4OUT3_Pos)                      /*!< PPORT P4DAT: P4OUT3 Mask                */
#define PPORT_P4DAT_P4OUT4_Pos                12                                                      /*!< PPORT P4DAT: P4OUT4 Position            */
#define PPORT_P4DAT_P4OUT4_Msk                (0x01UL << PPORT_P4DAT_P4OUT4_Pos)                      /*!< PPORT P4DAT: P4OUT4 Mask                */
#define PPORT_P4DAT_RESERVED_15_13_Pos        13                                                      /*!< PPORT P4DAT: RESERVED_15_13 Position    */
#define PPORT_P4DAT_RESERVED_15_13_Msk        (0x07UL << PPORT_P4DAT_RESERVED_15_13_Pos)              /*!< PPORT P4DAT: RESERVED_15_13 Mask        */

/* --------------------------------  PPORT_P4IOEN  -------------------------------- */
#define PPORT_P4IOEN_P4OEN0_Pos               0                                                       /*!< PPORT P4IOEN: P4OEN0 Position           */
#define PPORT_P4IOEN_P4OEN0_Msk               (0x01UL << PPORT_P4IOEN_P4OEN0_Pos)                     /*!< PPORT P4IOEN: P4OEN0 Mask               */
#define PPORT_P4IOEN_P4OEN1_Pos               1                                                       /*!< PPORT P4IOEN: P4OEN1 Position           */
#define PPORT_P4IOEN_P4OEN1_Msk               (0x01UL << PPORT_P4IOEN_P4OEN1_Pos)                     /*!< PPORT P4IOEN: P4OEN1 Mask               */
#define PPORT_P4IOEN_P4OEN2_Pos               2                                                       /*!< PPORT P4IOEN: P4OEN2 Position           */
#define PPORT_P4IOEN_P4OEN2_Msk               (0x01UL << PPORT_P4IOEN_P4OEN2_Pos)                     /*!< PPORT P4IOEN: P4OEN2 Mask               */
#define PPORT_P4IOEN_P4OEN3_Pos               3                                                       /*!< PPORT P4IOEN: P4OEN3 Position           */
#define PPORT_P4IOEN_P4OEN3_Msk               (0x01UL << PPORT_P4IOEN_P4OEN3_Pos)                     /*!< PPORT P4IOEN: P4OEN3 Mask               */
#define PPORT_P4IOEN_P4OEN4_Pos               4                                                       /*!< PPORT P4IOEN: P4OEN4 Position           */
#define PPORT_P4IOEN_P4OEN4_Msk               (0x01UL << PPORT_P4IOEN_P4OEN4_Pos)                     /*!< PPORT P4IOEN: P4OEN4 Mask               */
#define PPORT_P4IOEN_RESERVED_7_5_Pos         5                                                       /*!< PPORT P4IOEN: RESERVED_7_5 Position     */
#define PPORT_P4IOEN_RESERVED_7_5_Msk         (0x07UL << PPORT_P4IOEN_RESERVED_7_5_Pos)               /*!< PPORT P4IOEN: RESERVED_7_5 Mask         */
#define PPORT_P4IOEN_P4IEN0_Pos               8                                                       /*!< PPORT P4IOEN: P4IEN0 Position           */
#define PPORT_P4IOEN_P4IEN0_Msk               (0x01UL << PPORT_P4IOEN_P4IEN0_Pos)                     /*!< PPORT P4IOEN: P4IEN0 Mask               */
#define PPORT_P4IOEN_P4IEN1_Pos               9                                                       /*!< PPORT P4IOEN: P4IEN1 Position           */
#define PPORT_P4IOEN_P4IEN1_Msk               (0x01UL << PPORT_P4IOEN_P4IEN1_Pos)                     /*!< PPORT P4IOEN: P4IEN1 Mask               */
#define PPORT_P4IOEN_P4IEN2_Pos               10                                                      /*!< PPORT P4IOEN: P4IEN2 Position           */
#define PPORT_P4IOEN_P4IEN2_Msk               (0x01UL << PPORT_P4IOEN_P4IEN2_Pos)                     /*!< PPORT P4IOEN: P4IEN2 Mask               */
#define PPORT_P4IOEN_P4IEN3_Pos               11                                                      /*!< PPORT P4IOEN: P4IEN3 Position           */
#define PPORT_P4IOEN_P4IEN3_Msk               (0x01UL << PPORT_P4IOEN_P4IEN3_Pos)                     /*!< PPORT P4IOEN: P4IEN3 Mask               */
#define PPORT_P4IOEN_P4IEN4_Pos               12                                                      /*!< PPORT P4IOEN: P4IEN4 Position           */
#define PPORT_P4IOEN_P4IEN4_Msk               (0x01UL << PPORT_P4IOEN_P4IEN4_Pos)                     /*!< PPORT P4IOEN: P4IEN4 Mask               */
#define PPORT_P4IOEN_RESERVED_15_13_Pos       13                                                      /*!< PPORT P4IOEN: RESERVED_15_13 Position   */
#define PPORT_P4IOEN_RESERVED_15_13_Msk       (0x07UL << PPORT_P4IOEN_RESERVED_15_13_Pos)             /*!< PPORT P4IOEN: RESERVED_15_13 Mask       */

/* --------------------------------  PPORT_P4RCTL  -------------------------------- */
#define PPORT_P4RCTL_P4REN0_Pos               0                                                       /*!< PPORT P4RCTL: P4REN0 Position           */
#define PPORT_P4RCTL_P4REN0_Msk               (0x01UL << PPORT_P4RCTL_P4REN0_Pos)                     /*!< PPORT P4RCTL: P4REN0 Mask               */
#define PPORT_P4RCTL_P4REN1_Pos               1                                                       /*!< PPORT P4RCTL: P4REN1 Position           */
#define PPORT_P4RCTL_P4REN1_Msk               (0x01UL << PPORT_P4RCTL_P4REN1_Pos)                     /*!< PPORT P4RCTL: P4REN1 Mask               */
#define PPORT_P4RCTL_P4REN2_Pos               2                                                       /*!< PPORT P4RCTL: P4REN2 Position           */
#define PPORT_P4RCTL_P4REN2_Msk               (0x01UL << PPORT_P4RCTL_P4REN2_Pos)                     /*!< PPORT P4RCTL: P4REN2 Mask               */
#define PPORT_P4RCTL_P4REN3_Pos               3                                                       /*!< PPORT P4RCTL: P4REN3 Position           */
#define PPORT_P4RCTL_P4REN3_Msk               (0x01UL << PPORT_P4RCTL_P4REN3_Pos)                     /*!< PPORT P4RCTL: P4REN3 Mask               */
#define PPORT_P4RCTL_P4REN4_Pos               4                                                       /*!< PPORT P4RCTL: P4REN4 Position           */
#define PPORT_P4RCTL_P4REN4_Msk               (0x01UL << PPORT_P4RCTL_P4REN4_Pos)                     /*!< PPORT P4RCTL: P4REN4 Mask               */
#define PPORT_P4RCTL_RESERVED_7_5_Pos         5                                                       /*!< PPORT P4RCTL: RESERVED_7_5 Position     */
#define PPORT_P4RCTL_RESERVED_7_5_Msk         (0x07UL << PPORT_P4RCTL_RESERVED_7_5_Pos)               /*!< PPORT P4RCTL: RESERVED_7_5 Mask         */
#define PPORT_P4RCTL_P4PDPU0_Pos              8                                                       /*!< PPORT P4RCTL: P4PDPU0 Position          */
#define PPORT_P4RCTL_P4PDPU0_Msk              (0x01UL << PPORT_P4RCTL_P4PDPU0_Pos)                    /*!< PPORT P4RCTL: P4PDPU0 Mask              */
#define PPORT_P4RCTL_P4PDPU1_Pos              9                                                       /*!< PPORT P4RCTL: P4PDPU1 Position          */
#define PPORT_P4RCTL_P4PDPU1_Msk              (0x01UL << PPORT_P4RCTL_P4PDPU1_Pos)                    /*!< PPORT P4RCTL: P4PDPU1 Mask              */
#define PPORT_P4RCTL_P4PDPU2_Pos              10                                                      /*!< PPORT P4RCTL: P4PDPU2 Position          */
#define PPORT_P4RCTL_P4PDPU2_Msk              (0x01UL << PPORT_P4RCTL_P4PDPU2_Pos)                    /*!< PPORT P4RCTL: P4PDPU2 Mask              */
#define PPORT_P4RCTL_P4PDPU3_Pos              11                                                      /*!< PPORT P4RCTL: P4PDPU3 Position          */
#define PPORT_P4RCTL_P4PDPU3_Msk              (0x01UL << PPORT_P4RCTL_P4PDPU3_Pos)                    /*!< PPORT P4RCTL: P4PDPU3 Mask              */
#define PPORT_P4RCTL_P4PDPU4_Pos              12                                                      /*!< PPORT P4RCTL: P4PDPU4 Position          */
#define PPORT_P4RCTL_P4PDPU4_Msk              (0x01UL << PPORT_P4RCTL_P4PDPU4_Pos)                    /*!< PPORT P4RCTL: P4PDPU4 Mask              */
#define PPORT_P4RCTL_RESERVED_15_13_Pos       13                                                      /*!< PPORT P4RCTL: RESERVED_15_13 Position   */
#define PPORT_P4RCTL_RESERVED_15_13_Msk       (0x07UL << PPORT_P4RCTL_RESERVED_15_13_Pos)             /*!< PPORT P4RCTL: RESERVED_15_13 Mask       */

/* --------------------------------  PPORT_P4INTF  -------------------------------- */
#define PPORT_P4INTF_P4IF0_Pos                0                                                       /*!< PPORT P4INTF: P4IF0 Position            */
#define PPORT_P4INTF_P4IF0_Msk                (0x01UL << PPORT_P4INTF_P4IF0_Pos)                      /*!< PPORT P4INTF: P4IF0 Mask                */
#define PPORT_P4INTF_P4IF1_Pos                1                                                       /*!< PPORT P4INTF: P4IF1 Position            */
#define PPORT_P4INTF_P4IF1_Msk                (0x01UL << PPORT_P4INTF_P4IF1_Pos)                      /*!< PPORT P4INTF: P4IF1 Mask                */
#define PPORT_P4INTF_P4IF2_Pos                2                                                       /*!< PPORT P4INTF: P4IF2 Position            */
#define PPORT_P4INTF_P4IF2_Msk                (0x01UL << PPORT_P4INTF_P4IF2_Pos)                      /*!< PPORT P4INTF: P4IF2 Mask                */
#define PPORT_P4INTF_P4IF3_Pos                3                                                       /*!< PPORT P4INTF: P4IF3 Position            */
#define PPORT_P4INTF_P4IF3_Msk                (0x01UL << PPORT_P4INTF_P4IF3_Pos)                      /*!< PPORT P4INTF: P4IF3 Mask                */
#define PPORT_P4INTF_P4IF4_Pos                4                                                       /*!< PPORT P4INTF: P4IF4 Position            */
#define PPORT_P4INTF_P4IF4_Msk                (0x01UL << PPORT_P4INTF_P4IF4_Pos)                      /*!< PPORT P4INTF: P4IF4 Mask                */
#define PPORT_P4INTF_RESERVED_7_5_Pos         5                                                       /*!< PPORT P4INTF: RESERVED_7_5 Position     */
#define PPORT_P4INTF_RESERVED_7_5_Msk         (0x07UL << PPORT_P4INTF_RESERVED_7_5_Pos)               /*!< PPORT P4INTF: RESERVED_7_5 Mask         */
#define PPORT_P4INTF_RESERVED_15_8_Pos        8                                                       /*!< PPORT P4INTF: RESERVED_15_8 Position    */
#define PPORT_P4INTF_RESERVED_15_8_Msk        (0x000000ffUL << PPORT_P4INTF_RESERVED_15_8_Pos)        /*!< PPORT P4INTF: RESERVED_15_8 Mask        */

/* -------------------------------  PPORT_P4INTCTL  ------------------------------- */
#define PPORT_P4INTCTL_P4IE0_Pos              0                                                       /*!< PPORT P4INTCTL: P4IE0 Position          */
#define PPORT_P4INTCTL_P4IE0_Msk              (0x01UL << PPORT_P4INTCTL_P4IE0_Pos)                    /*!< PPORT P4INTCTL: P4IE0 Mask              */
#define PPORT_P4INTCTL_P4IE1_Pos              1                                                       /*!< PPORT P4INTCTL: P4IE1 Position          */
#define PPORT_P4INTCTL_P4IE1_Msk              (0x01UL << PPORT_P4INTCTL_P4IE1_Pos)                    /*!< PPORT P4INTCTL: P4IE1 Mask              */
#define PPORT_P4INTCTL_P4IE2_Pos              2                                                       /*!< PPORT P4INTCTL: P4IE2 Position          */
#define PPORT_P4INTCTL_P4IE2_Msk              (0x01UL << PPORT_P4INTCTL_P4IE2_Pos)                    /*!< PPORT P4INTCTL: P4IE2 Mask              */
#define PPORT_P4INTCTL_P4IE3_Pos              3                                                       /*!< PPORT P4INTCTL: P4IE3 Position          */
#define PPORT_P4INTCTL_P4IE3_Msk              (0x01UL << PPORT_P4INTCTL_P4IE3_Pos)                    /*!< PPORT P4INTCTL: P4IE3 Mask              */
#define PPORT_P4INTCTL_P4IE4_Pos              4                                                       /*!< PPORT P4INTCTL: P4IE4 Position          */
#define PPORT_P4INTCTL_P4IE4_Msk              (0x01UL << PPORT_P4INTCTL_P4IE4_Pos)                    /*!< PPORT P4INTCTL: P4IE4 Mask              */
#define PPORT_P4INTCTL_RESERVED_7_5_Pos       5                                                       /*!< PPORT P4INTCTL: RESERVED_7_5 Position   */
#define PPORT_P4INTCTL_RESERVED_7_5_Msk       (0x07UL << PPORT_P4INTCTL_RESERVED_7_5_Pos)             /*!< PPORT P4INTCTL: RESERVED_7_5 Mask       */
#define PPORT_P4INTCTL_P4EDGE0_Pos            8                                                       /*!< PPORT P4INTCTL: P4EDGE0 Position        */
#define PPORT_P4INTCTL_P4EDGE0_Msk            (0x01UL << PPORT_P4INTCTL_P4EDGE0_Pos)                  /*!< PPORT P4INTCTL: P4EDGE0 Mask            */
#define PPORT_P4INTCTL_P4EDGE1_Pos            9                                                       /*!< PPORT P4INTCTL: P4EDGE1 Position        */
#define PPORT_P4INTCTL_P4EDGE1_Msk            (0x01UL << PPORT_P4INTCTL_P4EDGE1_Pos)                  /*!< PPORT P4INTCTL: P4EDGE1 Mask            */
#define PPORT_P4INTCTL_P4EDGE2_Pos            10                                                      /*!< PPORT P4INTCTL: P4EDGE2 Position        */
#define PPORT_P4INTCTL_P4EDGE2_Msk            (0x01UL << PPORT_P4INTCTL_P4EDGE2_Pos)                  /*!< PPORT P4INTCTL: P4EDGE2 Mask            */
#define PPORT_P4INTCTL_P4EDGE3_Pos            11                                                      /*!< PPORT P4INTCTL: P4EDGE3 Position        */
#define PPORT_P4INTCTL_P4EDGE3_Msk            (0x01UL << PPORT_P4INTCTL_P4EDGE3_Pos)                  /*!< PPORT P4INTCTL: P4EDGE3 Mask            */
#define PPORT_P4INTCTL_P4EDGE4_Pos            12                                                      /*!< PPORT P4INTCTL: P4EDGE4 Position        */
#define PPORT_P4INTCTL_P4EDGE4_Msk            (0x01UL << PPORT_P4INTCTL_P4EDGE4_Pos)                  /*!< PPORT P4INTCTL: P4EDGE4 Mask            */
#define PPORT_P4INTCTL_RESERVED_15_13_Pos     13                                                      /*!< PPORT P4INTCTL: RESERVED_15_13 Position */
#define PPORT_P4INTCTL_RESERVED_15_13_Msk     (0x07UL << PPORT_P4INTCTL_RESERVED_15_13_Pos)           /*!< PPORT P4INTCTL: RESERVED_15_13 Mask     */

/* -------------------------------  PPORT_P4CHATEN  ------------------------------- */
#define PPORT_P4CHATEN_P4CHATEN0_Pos          0                                                       /*!< PPORT P4CHATEN: P4CHATEN0 Position      */
#define PPORT_P4CHATEN_P4CHATEN0_Msk          (0x01UL << PPORT_P4CHATEN_P4CHATEN0_Pos)                /*!< PPORT P4CHATEN: P4CHATEN0 Mask          */
#define PPORT_P4CHATEN_P4CHATEN1_Pos          1                                                       /*!< PPORT P4CHATEN: P4CHATEN1 Position      */
#define PPORT_P4CHATEN_P4CHATEN1_Msk          (0x01UL << PPORT_P4CHATEN_P4CHATEN1_Pos)                /*!< PPORT P4CHATEN: P4CHATEN1 Mask          */
#define PPORT_P4CHATEN_P4CHATEN2_Pos          2                                                       /*!< PPORT P4CHATEN: P4CHATEN2 Position      */
#define PPORT_P4CHATEN_P4CHATEN2_Msk          (0x01UL << PPORT_P4CHATEN_P4CHATEN2_Pos)                /*!< PPORT P4CHATEN: P4CHATEN2 Mask          */
#define PPORT_P4CHATEN_P4CHATEN3_Pos          3                                                       /*!< PPORT P4CHATEN: P4CHATEN3 Position      */
#define PPORT_P4CHATEN_P4CHATEN3_Msk          (0x01UL << PPORT_P4CHATEN_P4CHATEN3_Pos)                /*!< PPORT P4CHATEN: P4CHATEN3 Mask          */
#define PPORT_P4CHATEN_P4CHATEN4_Pos          4                                                       /*!< PPORT P4CHATEN: P4CHATEN4 Position      */
#define PPORT_P4CHATEN_P4CHATEN4_Msk          (0x01UL << PPORT_P4CHATEN_P4CHATEN4_Pos)                /*!< PPORT P4CHATEN: P4CHATEN4 Mask          */
#define PPORT_P4CHATEN_RESERVED_7_5_Pos       5                                                       /*!< PPORT P4CHATEN: RESERVED_7_5 Position   */
#define PPORT_P4CHATEN_RESERVED_7_5_Msk       (0x07UL << PPORT_P4CHATEN_RESERVED_7_5_Pos)             /*!< PPORT P4CHATEN: RESERVED_7_5 Mask       */
#define PPORT_P4CHATEN_RESERVED_15_8_Pos      8                                                       /*!< PPORT P4CHATEN: RESERVED_15_8 Position  */
#define PPORT_P4CHATEN_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P4CHATEN_RESERVED_15_8_Pos)      /*!< PPORT P4CHATEN: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P4MODSEL  ------------------------------- */
#define PPORT_P4MODSEL_P4SEL0_Pos             0                                                       /*!< PPORT P4MODSEL: P4SEL0 Position         */
#define PPORT_P4MODSEL_P4SEL0_Msk             (0x01UL << PPORT_P4MODSEL_P4SEL0_Pos)                   /*!< PPORT P4MODSEL: P4SEL0 Mask             */
#define PPORT_P4MODSEL_P4SEL1_Pos             1                                                       /*!< PPORT P4MODSEL: P4SEL1 Position         */
#define PPORT_P4MODSEL_P4SEL1_Msk             (0x01UL << PPORT_P4MODSEL_P4SEL1_Pos)                   /*!< PPORT P4MODSEL: P4SEL1 Mask             */
#define PPORT_P4MODSEL_P4SEL2_Pos             2                                                       /*!< PPORT P4MODSEL: P4SEL2 Position         */
#define PPORT_P4MODSEL_P4SEL2_Msk             (0x01UL << PPORT_P4MODSEL_P4SEL2_Pos)                   /*!< PPORT P4MODSEL: P4SEL2 Mask             */
#define PPORT_P4MODSEL_P4SEL3_Pos             3                                                       /*!< PPORT P4MODSEL: P4SEL3 Position         */
#define PPORT_P4MODSEL_P4SEL3_Msk             (0x01UL << PPORT_P4MODSEL_P4SEL3_Pos)                   /*!< PPORT P4MODSEL: P4SEL3 Mask             */
#define PPORT_P4MODSEL_P4SEL4_Pos             4                                                       /*!< PPORT P4MODSEL: P4SEL4 Position         */
#define PPORT_P4MODSEL_P4SEL4_Msk             (0x01UL << PPORT_P4MODSEL_P4SEL4_Pos)                   /*!< PPORT P4MODSEL: P4SEL4 Mask             */
#define PPORT_P4MODSEL_RESERVED_7_5_Pos       5                                                       /*!< PPORT P4MODSEL: RESERVED_7_5 Position   */
#define PPORT_P4MODSEL_RESERVED_7_5_Msk       (0x07UL << PPORT_P4MODSEL_RESERVED_7_5_Pos)             /*!< PPORT P4MODSEL: RESERVED_7_5 Mask       */
#define PPORT_P4MODSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT P4MODSEL: RESERVED_15_8 Position  */
#define PPORT_P4MODSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P4MODSEL_RESERVED_15_8_Pos)      /*!< PPORT P4MODSEL: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P4FNCSEL  ------------------------------- */
#define PPORT_P4FNCSEL_P40MUX_Pos             0                                                       /*!< PPORT P4FNCSEL: P40MUX Position         */
#define PPORT_P4FNCSEL_P40MUX_Msk             (0x03UL << PPORT_P4FNCSEL_P40MUX_Pos)                   /*!< PPORT P4FNCSEL: P40MUX Mask             */
#define PPORT_P4FNCSEL_P41MUX_Pos             2                                                       /*!< PPORT P4FNCSEL: P41MUX Position         */
#define PPORT_P4FNCSEL_P41MUX_Msk             (0x03UL << PPORT_P4FNCSEL_P41MUX_Pos)                   /*!< PPORT P4FNCSEL: P41MUX Mask             */
#define PPORT_P4FNCSEL_P42MUX_Pos             4                                                       /*!< PPORT P4FNCSEL: P42MUX Position         */
#define PPORT_P4FNCSEL_P42MUX_Msk             (0x03UL << PPORT_P4FNCSEL_P42MUX_Pos)                   /*!< PPORT P4FNCSEL: P42MUX Mask             */
#define PPORT_P4FNCSEL_P43MUX_Pos             6                                                       /*!< PPORT P4FNCSEL: P43MUX Position         */
#define PPORT_P4FNCSEL_P43MUX_Msk             (0x03UL << PPORT_P4FNCSEL_P43MUX_Pos)                   /*!< PPORT P4FNCSEL: P43MUX Mask             */
#define PPORT_P4FNCSEL_P44MUX_Pos             8                                                       /*!< PPORT P4FNCSEL: P44MUX Position         */
#define PPORT_P4FNCSEL_P44MUX_Msk             (0x03UL << PPORT_P4FNCSEL_P44MUX_Pos)                   /*!< PPORT P4FNCSEL: P44MUX Mask             */
#define PPORT_P4FNCSEL_RESERVED_15_10_Pos     10                                                      /*!< PPORT P4FNCSEL: RESERVED_15_10 Position */
#define PPORT_P4FNCSEL_RESERVED_15_10_Msk     (0x3fUL << PPORT_P4FNCSEL_RESERVED_15_10_Pos)           /*!< PPORT P4FNCSEL: RESERVED_15_10 Mask     */

/* ---------------------------------  PPORT_P5DAT  -------------------------------- */
#define PPORT_P5DAT_P5IN0_Pos                 0                                                       /*!< PPORT P5DAT: P5IN0 Position             */
#define PPORT_P5DAT_P5IN0_Msk                 (0x01UL << PPORT_P5DAT_P5IN0_Pos)                       /*!< PPORT P5DAT: P5IN0 Mask                 */
#define PPORT_P5DAT_P5IN1_Pos                 1                                                       /*!< PPORT P5DAT: P5IN1 Position             */
#define PPORT_P5DAT_P5IN1_Msk                 (0x01UL << PPORT_P5DAT_P5IN1_Pos)                       /*!< PPORT P5DAT: P5IN1 Mask                 */
#define PPORT_P5DAT_P5IN2_Pos                 2                                                       /*!< PPORT P5DAT: P5IN2 Position             */
#define PPORT_P5DAT_P5IN2_Msk                 (0x01UL << PPORT_P5DAT_P5IN2_Pos)                       /*!< PPORT P5DAT: P5IN2 Mask                 */
#define PPORT_P5DAT_P5IN3_Pos                 3                                                       /*!< PPORT P5DAT: P5IN3 Position             */
#define PPORT_P5DAT_P5IN3_Msk                 (0x01UL << PPORT_P5DAT_P5IN3_Pos)                       /*!< PPORT P5DAT: P5IN3 Mask                 */
#define PPORT_P5DAT_P5IN4_Pos                 4                                                       /*!< PPORT P5DAT: P5IN4 Position             */
#define PPORT_P5DAT_P5IN4_Msk                 (0x01UL << PPORT_P5DAT_P5IN4_Pos)                       /*!< PPORT P5DAT: P5IN4 Mask                 */
#define PPORT_P5DAT_P5IN5_Pos                 5                                                       /*!< PPORT P5DAT: P5IN5 Position             */
#define PPORT_P5DAT_P5IN5_Msk                 (0x01UL << PPORT_P5DAT_P5IN5_Pos)                       /*!< PPORT P5DAT: P5IN5 Mask                 */
#define PPORT_P5DAT_P5IN6_Pos                 6                                                       /*!< PPORT P5DAT: P5IN6 Position             */
#define PPORT_P5DAT_P5IN6_Msk                 (0x01UL << PPORT_P5DAT_P5IN6_Pos)                       /*!< PPORT P5DAT: P5IN6 Mask                 */
#define PPORT_P5DAT_P5IN7_Pos                 7                                                       /*!< PPORT P5DAT: P5IN7 Position             */
#define PPORT_P5DAT_P5IN7_Msk                 (0x01UL << PPORT_P5DAT_P5IN7_Pos)                       /*!< PPORT P5DAT: P5IN7 Mask                 */
#define PPORT_P5DAT_P5OUT0_Pos                8                                                       /*!< PPORT P5DAT: P5OUT0 Position            */
#define PPORT_P5DAT_P5OUT0_Msk                (0x01UL << PPORT_P5DAT_P5OUT0_Pos)                      /*!< PPORT P5DAT: P5OUT0 Mask                */
#define PPORT_P5DAT_P5OUT1_Pos                9                                                       /*!< PPORT P5DAT: P5OUT1 Position            */
#define PPORT_P5DAT_P5OUT1_Msk                (0x01UL << PPORT_P5DAT_P5OUT1_Pos)                      /*!< PPORT P5DAT: P5OUT1 Mask                */
#define PPORT_P5DAT_P5OUT2_Pos                10                                                      /*!< PPORT P5DAT: P5OUT2 Position            */
#define PPORT_P5DAT_P5OUT2_Msk                (0x01UL << PPORT_P5DAT_P5OUT2_Pos)                      /*!< PPORT P5DAT: P5OUT2 Mask                */
#define PPORT_P5DAT_P5OUT3_Pos                11                                                      /*!< PPORT P5DAT: P5OUT3 Position            */
#define PPORT_P5DAT_P5OUT3_Msk                (0x01UL << PPORT_P5DAT_P5OUT3_Pos)                      /*!< PPORT P5DAT: P5OUT3 Mask                */
#define PPORT_P5DAT_P5OUT4_Pos                12                                                      /*!< PPORT P5DAT: P5OUT4 Position            */
#define PPORT_P5DAT_P5OUT4_Msk                (0x01UL << PPORT_P5DAT_P5OUT4_Pos)                      /*!< PPORT P5DAT: P5OUT4 Mask                */
#define PPORT_P5DAT_P5OUT5_Pos                13                                                      /*!< PPORT P5DAT: P5OUT5 Position            */
#define PPORT_P5DAT_P5OUT5_Msk                (0x01UL << PPORT_P5DAT_P5OUT5_Pos)                      /*!< PPORT P5DAT: P5OUT5 Mask                */
#define PPORT_P5DAT_P5OUT6_Pos                14                                                      /*!< PPORT P5DAT: P5OUT6 Position            */
#define PPORT_P5DAT_P5OUT6_Msk                (0x01UL << PPORT_P5DAT_P5OUT6_Pos)                      /*!< PPORT P5DAT: P5OUT6 Mask                */
#define PPORT_P5DAT_P5OUT7_Pos                15                                                      /*!< PPORT P5DAT: P5OUT7 Position            */
#define PPORT_P5DAT_P5OUT7_Msk                (0x01UL << PPORT_P5DAT_P5OUT7_Pos)                      /*!< PPORT P5DAT: P5OUT7 Mask                */

/* --------------------------------  PPORT_P5IOEN  -------------------------------- */
#define PPORT_P5IOEN_P5OEN0_Pos               0                                                       /*!< PPORT P5IOEN: P5OEN0 Position           */
#define PPORT_P5IOEN_P5OEN0_Msk               (0x01UL << PPORT_P5IOEN_P5OEN0_Pos)                     /*!< PPORT P5IOEN: P5OEN0 Mask               */
#define PPORT_P5IOEN_P5OEN1_Pos               1                                                       /*!< PPORT P5IOEN: P5OEN1 Position           */
#define PPORT_P5IOEN_P5OEN1_Msk               (0x01UL << PPORT_P5IOEN_P5OEN1_Pos)                     /*!< PPORT P5IOEN: P5OEN1 Mask               */
#define PPORT_P5IOEN_P5OEN2_Pos               2                                                       /*!< PPORT P5IOEN: P5OEN2 Position           */
#define PPORT_P5IOEN_P5OEN2_Msk               (0x01UL << PPORT_P5IOEN_P5OEN2_Pos)                     /*!< PPORT P5IOEN: P5OEN2 Mask               */
#define PPORT_P5IOEN_P5OEN3_Pos               3                                                       /*!< PPORT P5IOEN: P5OEN3 Position           */
#define PPORT_P5IOEN_P5OEN3_Msk               (0x01UL << PPORT_P5IOEN_P5OEN3_Pos)                     /*!< PPORT P5IOEN: P5OEN3 Mask               */
#define PPORT_P5IOEN_P5OEN4_Pos               4                                                       /*!< PPORT P5IOEN: P5OEN4 Position           */
#define PPORT_P5IOEN_P5OEN4_Msk               (0x01UL << PPORT_P5IOEN_P5OEN4_Pos)                     /*!< PPORT P5IOEN: P5OEN4 Mask               */
#define PPORT_P5IOEN_P5OEN5_Pos               5                                                       /*!< PPORT P5IOEN: P5OEN5 Position           */
#define PPORT_P5IOEN_P5OEN5_Msk               (0x01UL << PPORT_P5IOEN_P5OEN5_Pos)                     /*!< PPORT P5IOEN: P5OEN5 Mask               */
#define PPORT_P5IOEN_P5OEN6_Pos               6                                                       /*!< PPORT P5IOEN: P5OEN6 Position           */
#define PPORT_P5IOEN_P5OEN6_Msk               (0x01UL << PPORT_P5IOEN_P5OEN6_Pos)                     /*!< PPORT P5IOEN: P5OEN6 Mask               */
#define PPORT_P5IOEN_P5OEN7_Pos               7                                                       /*!< PPORT P5IOEN: P5OEN7 Position           */
#define PPORT_P5IOEN_P5OEN7_Msk               (0x01UL << PPORT_P5IOEN_P5OEN7_Pos)                     /*!< PPORT P5IOEN: P5OEN7 Mask               */
#define PPORT_P5IOEN_P5IEN0_Pos               8                                                       /*!< PPORT P5IOEN: P5IEN0 Position           */
#define PPORT_P5IOEN_P5IEN0_Msk               (0x01UL << PPORT_P5IOEN_P5IEN0_Pos)                     /*!< PPORT P5IOEN: P5IEN0 Mask               */
#define PPORT_P5IOEN_P5IEN1_Pos               9                                                       /*!< PPORT P5IOEN: P5IEN1 Position           */
#define PPORT_P5IOEN_P5IEN1_Msk               (0x01UL << PPORT_P5IOEN_P5IEN1_Pos)                     /*!< PPORT P5IOEN: P5IEN1 Mask               */
#define PPORT_P5IOEN_P5IEN2_Pos               10                                                      /*!< PPORT P5IOEN: P5IEN2 Position           */
#define PPORT_P5IOEN_P5IEN2_Msk               (0x01UL << PPORT_P5IOEN_P5IEN2_Pos)                     /*!< PPORT P5IOEN: P5IEN2 Mask               */
#define PPORT_P5IOEN_P5IEN3_Pos               11                                                      /*!< PPORT P5IOEN: P5IEN3 Position           */
#define PPORT_P5IOEN_P5IEN3_Msk               (0x01UL << PPORT_P5IOEN_P5IEN3_Pos)                     /*!< PPORT P5IOEN: P5IEN3 Mask               */
#define PPORT_P5IOEN_P5IEN4_Pos               12                                                      /*!< PPORT P5IOEN: P5IEN4 Position           */
#define PPORT_P5IOEN_P5IEN4_Msk               (0x01UL << PPORT_P5IOEN_P5IEN4_Pos)                     /*!< PPORT P5IOEN: P5IEN4 Mask               */
#define PPORT_P5IOEN_P5IEN5_Pos               13                                                      /*!< PPORT P5IOEN: P5IEN5 Position           */
#define PPORT_P5IOEN_P5IEN5_Msk               (0x01UL << PPORT_P5IOEN_P5IEN5_Pos)                     /*!< PPORT P5IOEN: P5IEN5 Mask               */
#define PPORT_P5IOEN_P5IEN6_Pos               14                                                      /*!< PPORT P5IOEN: P5IEN6 Position           */
#define PPORT_P5IOEN_P5IEN6_Msk               (0x01UL << PPORT_P5IOEN_P5IEN6_Pos)                     /*!< PPORT P5IOEN: P5IEN6 Mask               */
#define PPORT_P5IOEN_P5IEN7_Pos               15                                                      /*!< PPORT P5IOEN: P5IEN7 Position           */
#define PPORT_P5IOEN_P5IEN7_Msk               (0x01UL << PPORT_P5IOEN_P5IEN7_Pos)                     /*!< PPORT P5IOEN: P5IEN7 Mask               */

/* --------------------------------  PPORT_P5RCTL  -------------------------------- */
#define PPORT_P5RCTL_P5REN0_Pos               0                                                       /*!< PPORT P5RCTL: P5REN0 Position           */
#define PPORT_P5RCTL_P5REN0_Msk               (0x01UL << PPORT_P5RCTL_P5REN0_Pos)                     /*!< PPORT P5RCTL: P5REN0 Mask               */
#define PPORT_P5RCTL_P5REN1_Pos               1                                                       /*!< PPORT P5RCTL: P5REN1 Position           */
#define PPORT_P5RCTL_P5REN1_Msk               (0x01UL << PPORT_P5RCTL_P5REN1_Pos)                     /*!< PPORT P5RCTL: P5REN1 Mask               */
#define PPORT_P5RCTL_P5REN2_Pos               2                                                       /*!< PPORT P5RCTL: P5REN2 Position           */
#define PPORT_P5RCTL_P5REN2_Msk               (0x01UL << PPORT_P5RCTL_P5REN2_Pos)                     /*!< PPORT P5RCTL: P5REN2 Mask               */
#define PPORT_P5RCTL_P5REN3_Pos               3                                                       /*!< PPORT P5RCTL: P5REN3 Position           */
#define PPORT_P5RCTL_P5REN3_Msk               (0x01UL << PPORT_P5RCTL_P5REN3_Pos)                     /*!< PPORT P5RCTL: P5REN3 Mask               */
#define PPORT_P5RCTL_P5REN4_Pos               4                                                       /*!< PPORT P5RCTL: P5REN4 Position           */
#define PPORT_P5RCTL_P5REN4_Msk               (0x01UL << PPORT_P5RCTL_P5REN4_Pos)                     /*!< PPORT P5RCTL: P5REN4 Mask               */
#define PPORT_P5RCTL_P5REN5_Pos               5                                                       /*!< PPORT P5RCTL: P5REN5 Position           */
#define PPORT_P5RCTL_P5REN5_Msk               (0x01UL << PPORT_P5RCTL_P5REN5_Pos)                     /*!< PPORT P5RCTL: P5REN5 Mask               */
#define PPORT_P5RCTL_P5REN6_Pos               6                                                       /*!< PPORT P5RCTL: P5REN6 Position           */
#define PPORT_P5RCTL_P5REN6_Msk               (0x01UL << PPORT_P5RCTL_P5REN6_Pos)                     /*!< PPORT P5RCTL: P5REN6 Mask               */
#define PPORT_P5RCTL_P5REN7_Pos               7                                                       /*!< PPORT P5RCTL: P5REN7 Position           */
#define PPORT_P5RCTL_P5REN7_Msk               (0x01UL << PPORT_P5RCTL_P5REN7_Pos)                     /*!< PPORT P5RCTL: P5REN7 Mask               */
#define PPORT_P5RCTL_P5PDPU0_Pos              8                                                       /*!< PPORT P5RCTL: P5PDPU0 Position          */
#define PPORT_P5RCTL_P5PDPU0_Msk              (0x01UL << PPORT_P5RCTL_P5PDPU0_Pos)                    /*!< PPORT P5RCTL: P5PDPU0 Mask              */
#define PPORT_P5RCTL_P5PDPU1_Pos              9                                                       /*!< PPORT P5RCTL: P5PDPU1 Position          */
#define PPORT_P5RCTL_P5PDPU1_Msk              (0x01UL << PPORT_P5RCTL_P5PDPU1_Pos)                    /*!< PPORT P5RCTL: P5PDPU1 Mask              */
#define PPORT_P5RCTL_P5PDPU2_Pos              10                                                      /*!< PPORT P5RCTL: P5PDPU2 Position          */
#define PPORT_P5RCTL_P5PDPU2_Msk              (0x01UL << PPORT_P5RCTL_P5PDPU2_Pos)                    /*!< PPORT P5RCTL: P5PDPU2 Mask              */
#define PPORT_P5RCTL_P5PDPU3_Pos              11                                                      /*!< PPORT P5RCTL: P5PDPU3 Position          */
#define PPORT_P5RCTL_P5PDPU3_Msk              (0x01UL << PPORT_P5RCTL_P5PDPU3_Pos)                    /*!< PPORT P5RCTL: P5PDPU3 Mask              */
#define PPORT_P5RCTL_P5PDPU4_Pos              12                                                      /*!< PPORT P5RCTL: P5PDPU4 Position          */
#define PPORT_P5RCTL_P5PDPU4_Msk              (0x01UL << PPORT_P5RCTL_P5PDPU4_Pos)                    /*!< PPORT P5RCTL: P5PDPU4 Mask              */
#define PPORT_P5RCTL_P5PDPU5_Pos              13                                                      /*!< PPORT P5RCTL: P5PDPU5 Position          */
#define PPORT_P5RCTL_P5PDPU5_Msk              (0x01UL << PPORT_P5RCTL_P5PDPU5_Pos)                    /*!< PPORT P5RCTL: P5PDPU5 Mask              */
#define PPORT_P5RCTL_P5PDPU6_Pos              14                                                      /*!< PPORT P5RCTL: P5PDPU6 Position          */
#define PPORT_P5RCTL_P5PDPU6_Msk              (0x01UL << PPORT_P5RCTL_P5PDPU6_Pos)                    /*!< PPORT P5RCTL: P5PDPU6 Mask              */
#define PPORT_P5RCTL_P5PDPU7_Pos              15                                                      /*!< PPORT P5RCTL: P5PDPU7 Position          */
#define PPORT_P5RCTL_P5PDPU7_Msk              (0x01UL << PPORT_P5RCTL_P5PDPU7_Pos)                    /*!< PPORT P5RCTL: P5PDPU7 Mask              */

/* --------------------------------  PPORT_P5INTF  -------------------------------- */
#define PPORT_P5INTF_P5IF0_Pos                0                                                       /*!< PPORT P5INTF: P5IF0 Position            */
#define PPORT_P5INTF_P5IF0_Msk                (0x01UL << PPORT_P5INTF_P5IF0_Pos)                      /*!< PPORT P5INTF: P5IF0 Mask                */
#define PPORT_P5INTF_P5IF1_Pos                1                                                       /*!< PPORT P5INTF: P5IF1 Position            */
#define PPORT_P5INTF_P5IF1_Msk                (0x01UL << PPORT_P5INTF_P5IF1_Pos)                      /*!< PPORT P5INTF: P5IF1 Mask                */
#define PPORT_P5INTF_P5IF2_Pos                2                                                       /*!< PPORT P5INTF: P5IF2 Position            */
#define PPORT_P5INTF_P5IF2_Msk                (0x01UL << PPORT_P5INTF_P5IF2_Pos)                      /*!< PPORT P5INTF: P5IF2 Mask                */
#define PPORT_P5INTF_P5IF3_Pos                3                                                       /*!< PPORT P5INTF: P5IF3 Position            */
#define PPORT_P5INTF_P5IF3_Msk                (0x01UL << PPORT_P5INTF_P5IF3_Pos)                      /*!< PPORT P5INTF: P5IF3 Mask                */
#define PPORT_P5INTF_P5IF4_Pos                4                                                       /*!< PPORT P5INTF: P5IF4 Position            */
#define PPORT_P5INTF_P5IF4_Msk                (0x01UL << PPORT_P5INTF_P5IF4_Pos)                      /*!< PPORT P5INTF: P5IF4 Mask                */
#define PPORT_P5INTF_P5IF5_Pos                5                                                       /*!< PPORT P5INTF: P5IF5 Position            */
#define PPORT_P5INTF_P5IF5_Msk                (0x01UL << PPORT_P5INTF_P5IF5_Pos)                      /*!< PPORT P5INTF: P5IF5 Mask                */
#define PPORT_P5INTF_P5IF6_Pos                6                                                       /*!< PPORT P5INTF: P5IF6 Position            */
#define PPORT_P5INTF_P5IF6_Msk                (0x01UL << PPORT_P5INTF_P5IF6_Pos)                      /*!< PPORT P5INTF: P5IF6 Mask                */
#define PPORT_P5INTF_P5IF7_Pos                7                                                       /*!< PPORT P5INTF: P5IF7 Position            */
#define PPORT_P5INTF_P5IF7_Msk                (0x01UL << PPORT_P5INTF_P5IF7_Pos)                      /*!< PPORT P5INTF: P5IF7 Mask                */
#define PPORT_P5INTF_RESERVED_15_8_Pos        8                                                       /*!< PPORT P5INTF: RESERVED_15_8 Position    */
#define PPORT_P5INTF_RESERVED_15_8_Msk        (0x000000ffUL << PPORT_P5INTF_RESERVED_15_8_Pos)        /*!< PPORT P5INTF: RESERVED_15_8 Mask        */

/* -------------------------------  PPORT_P5INTCTL  ------------------------------- */
#define PPORT_P5INTCTL_P5IE0_Pos              0                                                       /*!< PPORT P5INTCTL: P5IE0 Position          */
#define PPORT_P5INTCTL_P5IE0_Msk              (0x01UL << PPORT_P5INTCTL_P5IE0_Pos)                    /*!< PPORT P5INTCTL: P5IE0 Mask              */
#define PPORT_P5INTCTL_P5IE1_Pos              1                                                       /*!< PPORT P5INTCTL: P5IE1 Position          */
#define PPORT_P5INTCTL_P5IE1_Msk              (0x01UL << PPORT_P5INTCTL_P5IE1_Pos)                    /*!< PPORT P5INTCTL: P5IE1 Mask              */
#define PPORT_P5INTCTL_P5IE2_Pos              2                                                       /*!< PPORT P5INTCTL: P5IE2 Position          */
#define PPORT_P5INTCTL_P5IE2_Msk              (0x01UL << PPORT_P5INTCTL_P5IE2_Pos)                    /*!< PPORT P5INTCTL: P5IE2 Mask              */
#define PPORT_P5INTCTL_P5IE3_Pos              3                                                       /*!< PPORT P5INTCTL: P5IE3 Position          */
#define PPORT_P5INTCTL_P5IE3_Msk              (0x01UL << PPORT_P5INTCTL_P5IE3_Pos)                    /*!< PPORT P5INTCTL: P5IE3 Mask              */
#define PPORT_P5INTCTL_P5IE4_Pos              4                                                       /*!< PPORT P5INTCTL: P5IE4 Position          */
#define PPORT_P5INTCTL_P5IE4_Msk              (0x01UL << PPORT_P5INTCTL_P5IE4_Pos)                    /*!< PPORT P5INTCTL: P5IE4 Mask              */
#define PPORT_P5INTCTL_P5IE5_Pos              5                                                       /*!< PPORT P5INTCTL: P5IE5 Position          */
#define PPORT_P5INTCTL_P5IE5_Msk              (0x01UL << PPORT_P5INTCTL_P5IE5_Pos)                    /*!< PPORT P5INTCTL: P5IE5 Mask              */
#define PPORT_P5INTCTL_P5IE6_Pos              6                                                       /*!< PPORT P5INTCTL: P5IE6 Position          */
#define PPORT_P5INTCTL_P5IE6_Msk              (0x01UL << PPORT_P5INTCTL_P5IE6_Pos)                    /*!< PPORT P5INTCTL: P5IE6 Mask              */
#define PPORT_P5INTCTL_P5IE7_Pos              7                                                       /*!< PPORT P5INTCTL: P5IE7 Position          */
#define PPORT_P5INTCTL_P5IE7_Msk              (0x01UL << PPORT_P5INTCTL_P5IE7_Pos)                    /*!< PPORT P5INTCTL: P5IE7 Mask              */
#define PPORT_P5INTCTL_P5EDGE0_Pos            8                                                       /*!< PPORT P5INTCTL: P5EDGE0 Position        */
#define PPORT_P5INTCTL_P5EDGE0_Msk            (0x01UL << PPORT_P5INTCTL_P5EDGE0_Pos)                  /*!< PPORT P5INTCTL: P5EDGE0 Mask            */
#define PPORT_P5INTCTL_P5EDGE1_Pos            9                                                       /*!< PPORT P5INTCTL: P5EDGE1 Position        */
#define PPORT_P5INTCTL_P5EDGE1_Msk            (0x01UL << PPORT_P5INTCTL_P5EDGE1_Pos)                  /*!< PPORT P5INTCTL: P5EDGE1 Mask            */
#define PPORT_P5INTCTL_P5EDGE2_Pos            10                                                      /*!< PPORT P5INTCTL: P5EDGE2 Position        */
#define PPORT_P5INTCTL_P5EDGE2_Msk            (0x01UL << PPORT_P5INTCTL_P5EDGE2_Pos)                  /*!< PPORT P5INTCTL: P5EDGE2 Mask            */
#define PPORT_P5INTCTL_P5EDGE3_Pos            11                                                      /*!< PPORT P5INTCTL: P5EDGE3 Position        */
#define PPORT_P5INTCTL_P5EDGE3_Msk            (0x01UL << PPORT_P5INTCTL_P5EDGE3_Pos)                  /*!< PPORT P5INTCTL: P5EDGE3 Mask            */
#define PPORT_P5INTCTL_P5EDGE4_Pos            12                                                      /*!< PPORT P5INTCTL: P5EDGE4 Position        */
#define PPORT_P5INTCTL_P5EDGE4_Msk            (0x01UL << PPORT_P5INTCTL_P5EDGE4_Pos)                  /*!< PPORT P5INTCTL: P5EDGE4 Mask            */
#define PPORT_P5INTCTL_P5EDGE5_Pos            13                                                      /*!< PPORT P5INTCTL: P5EDGE5 Position        */
#define PPORT_P5INTCTL_P5EDGE5_Msk            (0x01UL << PPORT_P5INTCTL_P5EDGE5_Pos)                  /*!< PPORT P5INTCTL: P5EDGE5 Mask            */
#define PPORT_P5INTCTL_P5EDGE6_Pos            14                                                      /*!< PPORT P5INTCTL: P5EDGE6 Position        */
#define PPORT_P5INTCTL_P5EDGE6_Msk            (0x01UL << PPORT_P5INTCTL_P5EDGE6_Pos)                  /*!< PPORT P5INTCTL: P5EDGE6 Mask            */
#define PPORT_P5INTCTL_P5EDGE7_Pos            15                                                      /*!< PPORT P5INTCTL: P5EDGE7 Position        */
#define PPORT_P5INTCTL_P5EDGE7_Msk            (0x01UL << PPORT_P5INTCTL_P5EDGE7_Pos)                  /*!< PPORT P5INTCTL: P5EDGE7 Mask            */

/* -------------------------------  PPORT_P5CHATEN  ------------------------------- */
#define PPORT_P5CHATEN_P5CHATEN0_Pos          0                                                       /*!< PPORT P5CHATEN: P5CHATEN0 Position      */
#define PPORT_P5CHATEN_P5CHATEN0_Msk          (0x01UL << PPORT_P5CHATEN_P5CHATEN0_Pos)                /*!< PPORT P5CHATEN: P5CHATEN0 Mask          */
#define PPORT_P5CHATEN_P5CHATEN1_Pos          1                                                       /*!< PPORT P5CHATEN: P5CHATEN1 Position      */
#define PPORT_P5CHATEN_P5CHATEN1_Msk          (0x01UL << PPORT_P5CHATEN_P5CHATEN1_Pos)                /*!< PPORT P5CHATEN: P5CHATEN1 Mask          */
#define PPORT_P5CHATEN_P5CHATEN2_Pos          2                                                       /*!< PPORT P5CHATEN: P5CHATEN2 Position      */
#define PPORT_P5CHATEN_P5CHATEN2_Msk          (0x01UL << PPORT_P5CHATEN_P5CHATEN2_Pos)                /*!< PPORT P5CHATEN: P5CHATEN2 Mask          */
#define PPORT_P5CHATEN_P5CHATEN3_Pos          3                                                       /*!< PPORT P5CHATEN: P5CHATEN3 Position      */
#define PPORT_P5CHATEN_P5CHATEN3_Msk          (0x01UL << PPORT_P5CHATEN_P5CHATEN3_Pos)                /*!< PPORT P5CHATEN: P5CHATEN3 Mask          */
#define PPORT_P5CHATEN_P5CHATEN4_Pos          4                                                       /*!< PPORT P5CHATEN: P5CHATEN4 Position      */
#define PPORT_P5CHATEN_P5CHATEN4_Msk          (0x01UL << PPORT_P5CHATEN_P5CHATEN4_Pos)                /*!< PPORT P5CHATEN: P5CHATEN4 Mask          */
#define PPORT_P5CHATEN_P5CHATEN5_Pos          5                                                       /*!< PPORT P5CHATEN: P5CHATEN5 Position      */
#define PPORT_P5CHATEN_P5CHATEN5_Msk          (0x01UL << PPORT_P5CHATEN_P5CHATEN5_Pos)                /*!< PPORT P5CHATEN: P5CHATEN5 Mask          */
#define PPORT_P5CHATEN_P5CHATEN6_Pos          6                                                       /*!< PPORT P5CHATEN: P5CHATEN6 Position      */
#define PPORT_P5CHATEN_P5CHATEN6_Msk          (0x01UL << PPORT_P5CHATEN_P5CHATEN6_Pos)                /*!< PPORT P5CHATEN: P5CHATEN6 Mask          */
#define PPORT_P5CHATEN_P5CHATEN7_Pos          7                                                       /*!< PPORT P5CHATEN: P5CHATEN7 Position      */
#define PPORT_P5CHATEN_P5CHATEN7_Msk          (0x01UL << PPORT_P5CHATEN_P5CHATEN7_Pos)                /*!< PPORT P5CHATEN: P5CHATEN7 Mask          */
#define PPORT_P5CHATEN_RESERVED_15_8_Pos      8                                                       /*!< PPORT P5CHATEN: RESERVED_15_8 Position  */
#define PPORT_P5CHATEN_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P5CHATEN_RESERVED_15_8_Pos)      /*!< PPORT P5CHATEN: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P5MODSEL  ------------------------------- */
#define PPORT_P5MODSEL_P5SEL0_Pos             0                                                       /*!< PPORT P5MODSEL: P5SEL0 Position         */
#define PPORT_P5MODSEL_P5SEL0_Msk             (0x01UL << PPORT_P5MODSEL_P5SEL0_Pos)                   /*!< PPORT P5MODSEL: P5SEL0 Mask             */
#define PPORT_P5MODSEL_P5SEL1_Pos             1                                                       /*!< PPORT P5MODSEL: P5SEL1 Position         */
#define PPORT_P5MODSEL_P5SEL1_Msk             (0x01UL << PPORT_P5MODSEL_P5SEL1_Pos)                   /*!< PPORT P5MODSEL: P5SEL1 Mask             */
#define PPORT_P5MODSEL_P5SEL2_Pos             2                                                       /*!< PPORT P5MODSEL: P5SEL2 Position         */
#define PPORT_P5MODSEL_P5SEL2_Msk             (0x01UL << PPORT_P5MODSEL_P5SEL2_Pos)                   /*!< PPORT P5MODSEL: P5SEL2 Mask             */
#define PPORT_P5MODSEL_P5SEL3_Pos             3                                                       /*!< PPORT P5MODSEL: P5SEL3 Position         */
#define PPORT_P5MODSEL_P5SEL3_Msk             (0x01UL << PPORT_P5MODSEL_P5SEL3_Pos)                   /*!< PPORT P5MODSEL: P5SEL3 Mask             */
#define PPORT_P5MODSEL_P5SEL4_Pos             4                                                       /*!< PPORT P5MODSEL: P5SEL4 Position         */
#define PPORT_P5MODSEL_P5SEL4_Msk             (0x01UL << PPORT_P5MODSEL_P5SEL4_Pos)                   /*!< PPORT P5MODSEL: P5SEL4 Mask             */
#define PPORT_P5MODSEL_P5SEL5_Pos             5                                                       /*!< PPORT P5MODSEL: P5SEL5 Position         */
#define PPORT_P5MODSEL_P5SEL5_Msk             (0x01UL << PPORT_P5MODSEL_P5SEL5_Pos)                   /*!< PPORT P5MODSEL: P5SEL5 Mask             */
#define PPORT_P5MODSEL_P5SEL6_Pos             6                                                       /*!< PPORT P5MODSEL: P5SEL6 Position         */
#define PPORT_P5MODSEL_P5SEL6_Msk             (0x01UL << PPORT_P5MODSEL_P5SEL6_Pos)                   /*!< PPORT P5MODSEL: P5SEL6 Mask             */
#define PPORT_P5MODSEL_P5SEL7_Pos             7                                                       /*!< PPORT P5MODSEL: P5SEL7 Position         */
#define PPORT_P5MODSEL_P5SEL7_Msk             (0x01UL << PPORT_P5MODSEL_P5SEL7_Pos)                   /*!< PPORT P5MODSEL: P5SEL7 Mask             */
#define PPORT_P5MODSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT P5MODSEL: RESERVED_15_8 Position  */
#define PPORT_P5MODSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P5MODSEL_RESERVED_15_8_Pos)      /*!< PPORT P5MODSEL: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P5FNCSEL  ------------------------------- */
#define PPORT_P5FNCSEL_P50MUX_Pos             0                                                       /*!< PPORT P5FNCSEL: P50MUX Position         */
#define PPORT_P5FNCSEL_P50MUX_Msk             (0x03UL << PPORT_P5FNCSEL_P50MUX_Pos)                   /*!< PPORT P5FNCSEL: P50MUX Mask             */
#define PPORT_P5FNCSEL_P51MUX_Pos             2                                                       /*!< PPORT P5FNCSEL: P51MUX Position         */
#define PPORT_P5FNCSEL_P51MUX_Msk             (0x03UL << PPORT_P5FNCSEL_P51MUX_Pos)                   /*!< PPORT P5FNCSEL: P51MUX Mask             */
#define PPORT_P5FNCSEL_P52MUX_Pos             4                                                       /*!< PPORT P5FNCSEL: P52MUX Position         */
#define PPORT_P5FNCSEL_P52MUX_Msk             (0x03UL << PPORT_P5FNCSEL_P52MUX_Pos)                   /*!< PPORT P5FNCSEL: P52MUX Mask             */
#define PPORT_P5FNCSEL_P53MUX_Pos             6                                                       /*!< PPORT P5FNCSEL: P53MUX Position         */
#define PPORT_P5FNCSEL_P53MUX_Msk             (0x03UL << PPORT_P5FNCSEL_P53MUX_Pos)                   /*!< PPORT P5FNCSEL: P53MUX Mask             */
#define PPORT_P5FNCSEL_P54MUX_Pos             8                                                       /*!< PPORT P5FNCSEL: P54MUX Position         */
#define PPORT_P5FNCSEL_P54MUX_Msk             (0x03UL << PPORT_P5FNCSEL_P54MUX_Pos)                   /*!< PPORT P5FNCSEL: P54MUX Mask             */
#define PPORT_P5FNCSEL_P55MUX_Pos             10                                                      /*!< PPORT P5FNCSEL: P55MUX Position         */
#define PPORT_P5FNCSEL_P55MUX_Msk             (0x03UL << PPORT_P5FNCSEL_P55MUX_Pos)                   /*!< PPORT P5FNCSEL: P55MUX Mask             */
#define PPORT_P5FNCSEL_P56MUX_Pos             12                                                      /*!< PPORT P5FNCSEL: P56MUX Position         */
#define PPORT_P5FNCSEL_P56MUX_Msk             (0x03UL << PPORT_P5FNCSEL_P56MUX_Pos)                   /*!< PPORT P5FNCSEL: P56MUX Mask             */
#define PPORT_P5FNCSEL_P57MUX_Pos             14                                                      /*!< PPORT P5FNCSEL: P57MUX Position         */
#define PPORT_P5FNCSEL_P57MUX_Msk             (0x03UL << PPORT_P5FNCSEL_P57MUX_Pos)                   /*!< PPORT P5FNCSEL: P57MUX Mask             */

/* ---------------------------------  PPORT_P6DAT  -------------------------------- */
#define PPORT_P6DAT_P6IN0_Pos                 0                                                       /*!< PPORT P6DAT: P6IN0 Position             */
#define PPORT_P6DAT_P6IN0_Msk                 (0x01UL << PPORT_P6DAT_P6IN0_Pos)                       /*!< PPORT P6DAT: P6IN0 Mask                 */
#define PPORT_P6DAT_P6IN1_Pos                 1                                                       /*!< PPORT P6DAT: P6IN1 Position             */
#define PPORT_P6DAT_P6IN1_Msk                 (0x01UL << PPORT_P6DAT_P6IN1_Pos)                       /*!< PPORT P6DAT: P6IN1 Mask                 */
#define PPORT_P6DAT_P6IN2_Pos                 2                                                       /*!< PPORT P6DAT: P6IN2 Position             */
#define PPORT_P6DAT_P6IN2_Msk                 (0x01UL << PPORT_P6DAT_P6IN2_Pos)                       /*!< PPORT P6DAT: P6IN2 Mask                 */
#define PPORT_P6DAT_P6IN3_Pos                 3                                                       /*!< PPORT P6DAT: P6IN3 Position             */
#define PPORT_P6DAT_P6IN3_Msk                 (0x01UL << PPORT_P6DAT_P6IN3_Pos)                       /*!< PPORT P6DAT: P6IN3 Mask                 */
#define PPORT_P6DAT_P6IN4_Pos                 4                                                       /*!< PPORT P6DAT: P6IN4 Position             */
#define PPORT_P6DAT_P6IN4_Msk                 (0x01UL << PPORT_P6DAT_P6IN4_Pos)                       /*!< PPORT P6DAT: P6IN4 Mask                 */
#define PPORT_P6DAT_P6IN5_Pos                 5                                                       /*!< PPORT P6DAT: P6IN5 Position             */
#define PPORT_P6DAT_P6IN5_Msk                 (0x01UL << PPORT_P6DAT_P6IN5_Pos)                       /*!< PPORT P6DAT: P6IN5 Mask                 */
#define PPORT_P6DAT_P6IN6_Pos                 6                                                       /*!< PPORT P6DAT: P6IN6 Position             */
#define PPORT_P6DAT_P6IN6_Msk                 (0x01UL << PPORT_P6DAT_P6IN6_Pos)                       /*!< PPORT P6DAT: P6IN6 Mask                 */
#define PPORT_P6DAT_P6IN7_Pos                 7                                                       /*!< PPORT P6DAT: P6IN7 Position             */
#define PPORT_P6DAT_P6IN7_Msk                 (0x01UL << PPORT_P6DAT_P6IN7_Pos)                       /*!< PPORT P6DAT: P6IN7 Mask                 */
#define PPORT_P6DAT_P6OUT0_Pos                8                                                       /*!< PPORT P6DAT: P6OUT0 Position            */
#define PPORT_P6DAT_P6OUT0_Msk                (0x01UL << PPORT_P6DAT_P6OUT0_Pos)                      /*!< PPORT P6DAT: P6OUT0 Mask                */
#define PPORT_P6DAT_P6OUT1_Pos                9                                                       /*!< PPORT P6DAT: P6OUT1 Position            */
#define PPORT_P6DAT_P6OUT1_Msk                (0x01UL << PPORT_P6DAT_P6OUT1_Pos)                      /*!< PPORT P6DAT: P6OUT1 Mask                */
#define PPORT_P6DAT_P6OUT2_Pos                10                                                      /*!< PPORT P6DAT: P6OUT2 Position            */
#define PPORT_P6DAT_P6OUT2_Msk                (0x01UL << PPORT_P6DAT_P6OUT2_Pos)                      /*!< PPORT P6DAT: P6OUT2 Mask                */
#define PPORT_P6DAT_P6OUT3_Pos                11                                                      /*!< PPORT P6DAT: P6OUT3 Position            */
#define PPORT_P6DAT_P6OUT3_Msk                (0x01UL << PPORT_P6DAT_P6OUT3_Pos)                      /*!< PPORT P6DAT: P6OUT3 Mask                */
#define PPORT_P6DAT_P6OUT4_Pos                12                                                      /*!< PPORT P6DAT: P6OUT4 Position            */
#define PPORT_P6DAT_P6OUT4_Msk                (0x01UL << PPORT_P6DAT_P6OUT4_Pos)                      /*!< PPORT P6DAT: P6OUT4 Mask                */
#define PPORT_P6DAT_P6OUT5_Pos                13                                                      /*!< PPORT P6DAT: P6OUT5 Position            */
#define PPORT_P6DAT_P6OUT5_Msk                (0x01UL << PPORT_P6DAT_P6OUT5_Pos)                      /*!< PPORT P6DAT: P6OUT5 Mask                */
#define PPORT_P6DAT_P6OUT6_Pos                14                                                      /*!< PPORT P6DAT: P6OUT6 Position            */
#define PPORT_P6DAT_P6OUT6_Msk                (0x01UL << PPORT_P6DAT_P6OUT6_Pos)                      /*!< PPORT P6DAT: P6OUT6 Mask                */
#define PPORT_P6DAT_P6OUT7_Pos                15                                                      /*!< PPORT P6DAT: P6OUT7 Position            */
#define PPORT_P6DAT_P6OUT7_Msk                (0x01UL << PPORT_P6DAT_P6OUT7_Pos)                      /*!< PPORT P6DAT: P6OUT7 Mask                */

/* --------------------------------  PPORT_P6IOEN  -------------------------------- */
#define PPORT_P6IOEN_P6OEN0_Pos               0                                                       /*!< PPORT P6IOEN: P6OEN0 Position           */
#define PPORT_P6IOEN_P6OEN0_Msk               (0x01UL << PPORT_P6IOEN_P6OEN0_Pos)                     /*!< PPORT P6IOEN: P6OEN0 Mask               */
#define PPORT_P6IOEN_P6OEN1_Pos               1                                                       /*!< PPORT P6IOEN: P6OEN1 Position           */
#define PPORT_P6IOEN_P6OEN1_Msk               (0x01UL << PPORT_P6IOEN_P6OEN1_Pos)                     /*!< PPORT P6IOEN: P6OEN1 Mask               */
#define PPORT_P6IOEN_P6OEN2_Pos               2                                                       /*!< PPORT P6IOEN: P6OEN2 Position           */
#define PPORT_P6IOEN_P6OEN2_Msk               (0x01UL << PPORT_P6IOEN_P6OEN2_Pos)                     /*!< PPORT P6IOEN: P6OEN2 Mask               */
#define PPORT_P6IOEN_P6OEN3_Pos               3                                                       /*!< PPORT P6IOEN: P6OEN3 Position           */
#define PPORT_P6IOEN_P6OEN3_Msk               (0x01UL << PPORT_P6IOEN_P6OEN3_Pos)                     /*!< PPORT P6IOEN: P6OEN3 Mask               */
#define PPORT_P6IOEN_P6OEN4_Pos               4                                                       /*!< PPORT P6IOEN: P6OEN4 Position           */
#define PPORT_P6IOEN_P6OEN4_Msk               (0x01UL << PPORT_P6IOEN_P6OEN4_Pos)                     /*!< PPORT P6IOEN: P6OEN4 Mask               */
#define PPORT_P6IOEN_P6OEN5_Pos               5                                                       /*!< PPORT P6IOEN: P6OEN5 Position           */
#define PPORT_P6IOEN_P6OEN5_Msk               (0x01UL << PPORT_P6IOEN_P6OEN5_Pos)                     /*!< PPORT P6IOEN: P6OEN5 Mask               */
#define PPORT_P6IOEN_P6OEN6_Pos               6                                                       /*!< PPORT P6IOEN: P6OEN6 Position           */
#define PPORT_P6IOEN_P6OEN6_Msk               (0x01UL << PPORT_P6IOEN_P6OEN6_Pos)                     /*!< PPORT P6IOEN: P6OEN6 Mask               */
#define PPORT_P6IOEN_P6OEN7_Pos               7                                                       /*!< PPORT P6IOEN: P6OEN7 Position           */
#define PPORT_P6IOEN_P6OEN7_Msk               (0x01UL << PPORT_P6IOEN_P6OEN7_Pos)                     /*!< PPORT P6IOEN: P6OEN7 Mask               */
#define PPORT_P6IOEN_P6IEN0_Pos               8                                                       /*!< PPORT P6IOEN: P6IEN0 Position           */
#define PPORT_P6IOEN_P6IEN0_Msk               (0x01UL << PPORT_P6IOEN_P6IEN0_Pos)                     /*!< PPORT P6IOEN: P6IEN0 Mask               */
#define PPORT_P6IOEN_P6IEN1_Pos               9                                                       /*!< PPORT P6IOEN: P6IEN1 Position           */
#define PPORT_P6IOEN_P6IEN1_Msk               (0x01UL << PPORT_P6IOEN_P6IEN1_Pos)                     /*!< PPORT P6IOEN: P6IEN1 Mask               */
#define PPORT_P6IOEN_P6IEN2_Pos               10                                                      /*!< PPORT P6IOEN: P6IEN2 Position           */
#define PPORT_P6IOEN_P6IEN2_Msk               (0x01UL << PPORT_P6IOEN_P6IEN2_Pos)                     /*!< PPORT P6IOEN: P6IEN2 Mask               */
#define PPORT_P6IOEN_P6IEN3_Pos               11                                                      /*!< PPORT P6IOEN: P6IEN3 Position           */
#define PPORT_P6IOEN_P6IEN3_Msk               (0x01UL << PPORT_P6IOEN_P6IEN3_Pos)                     /*!< PPORT P6IOEN: P6IEN3 Mask               */
#define PPORT_P6IOEN_P6IEN4_Pos               12                                                      /*!< PPORT P6IOEN: P6IEN4 Position           */
#define PPORT_P6IOEN_P6IEN4_Msk               (0x01UL << PPORT_P6IOEN_P6IEN4_Pos)                     /*!< PPORT P6IOEN: P6IEN4 Mask               */
#define PPORT_P6IOEN_P6IEN5_Pos               13                                                      /*!< PPORT P6IOEN: P6IEN5 Position           */
#define PPORT_P6IOEN_P6IEN5_Msk               (0x01UL << PPORT_P6IOEN_P6IEN5_Pos)                     /*!< PPORT P6IOEN: P6IEN5 Mask               */
#define PPORT_P6IOEN_P6IEN6_Pos               14                                                      /*!< PPORT P6IOEN: P6IEN6 Position           */
#define PPORT_P6IOEN_P6IEN6_Msk               (0x01UL << PPORT_P6IOEN_P6IEN6_Pos)                     /*!< PPORT P6IOEN: P6IEN6 Mask               */
#define PPORT_P6IOEN_P6IEN7_Pos               15                                                      /*!< PPORT P6IOEN: P6IEN7 Position           */
#define PPORT_P6IOEN_P6IEN7_Msk               (0x01UL << PPORT_P6IOEN_P6IEN7_Pos)                     /*!< PPORT P6IOEN: P6IEN7 Mask               */

/* --------------------------------  PPORT_P6RCTL  -------------------------------- */
#define PPORT_P6RCTL_P6REN0_Pos               0                                                       /*!< PPORT P6RCTL: P6REN0 Position           */
#define PPORT_P6RCTL_P6REN0_Msk               (0x01UL << PPORT_P6RCTL_P6REN0_Pos)                     /*!< PPORT P6RCTL: P6REN0 Mask               */
#define PPORT_P6RCTL_P6REN1_Pos               1                                                       /*!< PPORT P6RCTL: P6REN1 Position           */
#define PPORT_P6RCTL_P6REN1_Msk               (0x01UL << PPORT_P6RCTL_P6REN1_Pos)                     /*!< PPORT P6RCTL: P6REN1 Mask               */
#define PPORT_P6RCTL_P6REN2_Pos               2                                                       /*!< PPORT P6RCTL: P6REN2 Position           */
#define PPORT_P6RCTL_P6REN2_Msk               (0x01UL << PPORT_P6RCTL_P6REN2_Pos)                     /*!< PPORT P6RCTL: P6REN2 Mask               */
#define PPORT_P6RCTL_P6REN3_Pos               3                                                       /*!< PPORT P6RCTL: P6REN3 Position           */
#define PPORT_P6RCTL_P6REN3_Msk               (0x01UL << PPORT_P6RCTL_P6REN3_Pos)                     /*!< PPORT P6RCTL: P6REN3 Mask               */
#define PPORT_P6RCTL_P6REN4_Pos               4                                                       /*!< PPORT P6RCTL: P6REN4 Position           */
#define PPORT_P6RCTL_P6REN4_Msk               (0x01UL << PPORT_P6RCTL_P6REN4_Pos)                     /*!< PPORT P6RCTL: P6REN4 Mask               */
#define PPORT_P6RCTL_P6REN5_Pos               5                                                       /*!< PPORT P6RCTL: P6REN5 Position           */
#define PPORT_P6RCTL_P6REN5_Msk               (0x01UL << PPORT_P6RCTL_P6REN5_Pos)                     /*!< PPORT P6RCTL: P6REN5 Mask               */
#define PPORT_P6RCTL_P6REN6_Pos               6                                                       /*!< PPORT P6RCTL: P6REN6 Position           */
#define PPORT_P6RCTL_P6REN6_Msk               (0x01UL << PPORT_P6RCTL_P6REN6_Pos)                     /*!< PPORT P6RCTL: P6REN6 Mask               */
#define PPORT_P6RCTL_P6REN7_Pos               7                                                       /*!< PPORT P6RCTL: P6REN7 Position           */
#define PPORT_P6RCTL_P6REN7_Msk               (0x01UL << PPORT_P6RCTL_P6REN7_Pos)                     /*!< PPORT P6RCTL: P6REN7 Mask               */
#define PPORT_P6RCTL_P6PDPU0_Pos              8                                                       /*!< PPORT P6RCTL: P6PDPU0 Position          */
#define PPORT_P6RCTL_P6PDPU0_Msk              (0x01UL << PPORT_P6RCTL_P6PDPU0_Pos)                    /*!< PPORT P6RCTL: P6PDPU0 Mask              */
#define PPORT_P6RCTL_P6PDPU1_Pos              9                                                       /*!< PPORT P6RCTL: P6PDPU1 Position          */
#define PPORT_P6RCTL_P6PDPU1_Msk              (0x01UL << PPORT_P6RCTL_P6PDPU1_Pos)                    /*!< PPORT P6RCTL: P6PDPU1 Mask              */
#define PPORT_P6RCTL_P6PDPU2_Pos              10                                                      /*!< PPORT P6RCTL: P6PDPU2 Position          */
#define PPORT_P6RCTL_P6PDPU2_Msk              (0x01UL << PPORT_P6RCTL_P6PDPU2_Pos)                    /*!< PPORT P6RCTL: P6PDPU2 Mask              */
#define PPORT_P6RCTL_P6PDPU3_Pos              11                                                      /*!< PPORT P6RCTL: P6PDPU3 Position          */
#define PPORT_P6RCTL_P6PDPU3_Msk              (0x01UL << PPORT_P6RCTL_P6PDPU3_Pos)                    /*!< PPORT P6RCTL: P6PDPU3 Mask              */
#define PPORT_P6RCTL_P6PDPU4_Pos              12                                                      /*!< PPORT P6RCTL: P6PDPU4 Position          */
#define PPORT_P6RCTL_P6PDPU4_Msk              (0x01UL << PPORT_P6RCTL_P6PDPU4_Pos)                    /*!< PPORT P6RCTL: P6PDPU4 Mask              */
#define PPORT_P6RCTL_P6PDPU5_Pos              13                                                      /*!< PPORT P6RCTL: P6PDPU5 Position          */
#define PPORT_P6RCTL_P6PDPU5_Msk              (0x01UL << PPORT_P6RCTL_P6PDPU5_Pos)                    /*!< PPORT P6RCTL: P6PDPU5 Mask              */
#define PPORT_P6RCTL_P6PDPU6_Pos              14                                                      /*!< PPORT P6RCTL: P6PDPU6 Position          */
#define PPORT_P6RCTL_P6PDPU6_Msk              (0x01UL << PPORT_P6RCTL_P6PDPU6_Pos)                    /*!< PPORT P6RCTL: P6PDPU6 Mask              */
#define PPORT_P6RCTL_P6PDPU7_Pos              15                                                      /*!< PPORT P6RCTL: P6PDPU7 Position          */
#define PPORT_P6RCTL_P6PDPU7_Msk              (0x01UL << PPORT_P6RCTL_P6PDPU7_Pos)                    /*!< PPORT P6RCTL: P6PDPU7 Mask              */

/* --------------------------------  PPORT_P6INTF  -------------------------------- */
#define PPORT_P6INTF_P6IF0_Pos                0                                                       /*!< PPORT P6INTF: P6IF0 Position            */
#define PPORT_P6INTF_P6IF0_Msk                (0x01UL << PPORT_P6INTF_P6IF0_Pos)                      /*!< PPORT P6INTF: P6IF0 Mask                */
#define PPORT_P6INTF_P6IF1_Pos                1                                                       /*!< PPORT P6INTF: P6IF1 Position            */
#define PPORT_P6INTF_P6IF1_Msk                (0x01UL << PPORT_P6INTF_P6IF1_Pos)                      /*!< PPORT P6INTF: P6IF1 Mask                */
#define PPORT_P6INTF_P6IF2_Pos                2                                                       /*!< PPORT P6INTF: P6IF2 Position            */
#define PPORT_P6INTF_P6IF2_Msk                (0x01UL << PPORT_P6INTF_P6IF2_Pos)                      /*!< PPORT P6INTF: P6IF2 Mask                */
#define PPORT_P6INTF_P6IF3_Pos                3                                                       /*!< PPORT P6INTF: P6IF3 Position            */
#define PPORT_P6INTF_P6IF3_Msk                (0x01UL << PPORT_P6INTF_P6IF3_Pos)                      /*!< PPORT P6INTF: P6IF3 Mask                */
#define PPORT_P6INTF_P6IF4_Pos                4                                                       /*!< PPORT P6INTF: P6IF4 Position            */
#define PPORT_P6INTF_P6IF4_Msk                (0x01UL << PPORT_P6INTF_P6IF4_Pos)                      /*!< PPORT P6INTF: P6IF4 Mask                */
#define PPORT_P6INTF_P6IF5_Pos                5                                                       /*!< PPORT P6INTF: P6IF5 Position            */
#define PPORT_P6INTF_P6IF5_Msk                (0x01UL << PPORT_P6INTF_P6IF5_Pos)                      /*!< PPORT P6INTF: P6IF5 Mask                */
#define PPORT_P6INTF_P6IF6_Pos                6                                                       /*!< PPORT P6INTF: P6IF6 Position            */
#define PPORT_P6INTF_P6IF6_Msk                (0x01UL << PPORT_P6INTF_P6IF6_Pos)                      /*!< PPORT P6INTF: P6IF6 Mask                */
#define PPORT_P6INTF_P6IF7_Pos                7                                                       /*!< PPORT P6INTF: P6IF7 Position            */
#define PPORT_P6INTF_P6IF7_Msk                (0x01UL << PPORT_P6INTF_P6IF7_Pos)                      /*!< PPORT P6INTF: P6IF7 Mask                */
#define PPORT_P6INTF_RESERVED_15_8_Pos        8                                                       /*!< PPORT P6INTF: RESERVED_15_8 Position    */
#define PPORT_P6INTF_RESERVED_15_8_Msk        (0x000000ffUL << PPORT_P6INTF_RESERVED_15_8_Pos)        /*!< PPORT P6INTF: RESERVED_15_8 Mask        */

/* -------------------------------  PPORT_P6INTCTL  ------------------------------- */
#define PPORT_P6INTCTL_P6IE0_Pos              0                                                       /*!< PPORT P6INTCTL: P6IE0 Position          */
#define PPORT_P6INTCTL_P6IE0_Msk              (0x01UL << PPORT_P6INTCTL_P6IE0_Pos)                    /*!< PPORT P6INTCTL: P6IE0 Mask              */
#define PPORT_P6INTCTL_P6IE1_Pos              1                                                       /*!< PPORT P6INTCTL: P6IE1 Position          */
#define PPORT_P6INTCTL_P6IE1_Msk              (0x01UL << PPORT_P6INTCTL_P6IE1_Pos)                    /*!< PPORT P6INTCTL: P6IE1 Mask              */
#define PPORT_P6INTCTL_P6IE2_Pos              2                                                       /*!< PPORT P6INTCTL: P6IE2 Position          */
#define PPORT_P6INTCTL_P6IE2_Msk              (0x01UL << PPORT_P6INTCTL_P6IE2_Pos)                    /*!< PPORT P6INTCTL: P6IE2 Mask              */
#define PPORT_P6INTCTL_P6IE3_Pos              3                                                       /*!< PPORT P6INTCTL: P6IE3 Position          */
#define PPORT_P6INTCTL_P6IE3_Msk              (0x01UL << PPORT_P6INTCTL_P6IE3_Pos)                    /*!< PPORT P6INTCTL: P6IE3 Mask              */
#define PPORT_P6INTCTL_P6IE4_Pos              4                                                       /*!< PPORT P6INTCTL: P6IE4 Position          */
#define PPORT_P6INTCTL_P6IE4_Msk              (0x01UL << PPORT_P6INTCTL_P6IE4_Pos)                    /*!< PPORT P6INTCTL: P6IE4 Mask              */
#define PPORT_P6INTCTL_P6IE5_Pos              5                                                       /*!< PPORT P6INTCTL: P6IE5 Position          */
#define PPORT_P6INTCTL_P6IE5_Msk              (0x01UL << PPORT_P6INTCTL_P6IE5_Pos)                    /*!< PPORT P6INTCTL: P6IE5 Mask              */
#define PPORT_P6INTCTL_P6IE6_Pos              6                                                       /*!< PPORT P6INTCTL: P6IE6 Position          */
#define PPORT_P6INTCTL_P6IE6_Msk              (0x01UL << PPORT_P6INTCTL_P6IE6_Pos)                    /*!< PPORT P6INTCTL: P6IE6 Mask              */
#define PPORT_P6INTCTL_P6IE7_Pos              7                                                       /*!< PPORT P6INTCTL: P6IE7 Position          */
#define PPORT_P6INTCTL_P6IE7_Msk              (0x01UL << PPORT_P6INTCTL_P6IE7_Pos)                    /*!< PPORT P6INTCTL: P6IE7 Mask              */
#define PPORT_P6INTCTL_P6EDGE0_Pos            8                                                       /*!< PPORT P6INTCTL: P6EDGE0 Position        */
#define PPORT_P6INTCTL_P6EDGE0_Msk            (0x01UL << PPORT_P6INTCTL_P6EDGE0_Pos)                  /*!< PPORT P6INTCTL: P6EDGE0 Mask            */
#define PPORT_P6INTCTL_P6EDGE1_Pos            9                                                       /*!< PPORT P6INTCTL: P6EDGE1 Position        */
#define PPORT_P6INTCTL_P6EDGE1_Msk            (0x01UL << PPORT_P6INTCTL_P6EDGE1_Pos)                  /*!< PPORT P6INTCTL: P6EDGE1 Mask            */
#define PPORT_P6INTCTL_P6EDGE2_Pos            10                                                      /*!< PPORT P6INTCTL: P6EDGE2 Position        */
#define PPORT_P6INTCTL_P6EDGE2_Msk            (0x01UL << PPORT_P6INTCTL_P6EDGE2_Pos)                  /*!< PPORT P6INTCTL: P6EDGE2 Mask            */
#define PPORT_P6INTCTL_P6EDGE3_Pos            11                                                      /*!< PPORT P6INTCTL: P6EDGE3 Position        */
#define PPORT_P6INTCTL_P6EDGE3_Msk            (0x01UL << PPORT_P6INTCTL_P6EDGE3_Pos)                  /*!< PPORT P6INTCTL: P6EDGE3 Mask            */
#define PPORT_P6INTCTL_P6EDGE4_Pos            12                                                      /*!< PPORT P6INTCTL: P6EDGE4 Position        */
#define PPORT_P6INTCTL_P6EDGE4_Msk            (0x01UL << PPORT_P6INTCTL_P6EDGE4_Pos)                  /*!< PPORT P6INTCTL: P6EDGE4 Mask            */
#define PPORT_P6INTCTL_P6EDGE5_Pos            13                                                      /*!< PPORT P6INTCTL: P6EDGE5 Position        */
#define PPORT_P6INTCTL_P6EDGE5_Msk            (0x01UL << PPORT_P6INTCTL_P6EDGE5_Pos)                  /*!< PPORT P6INTCTL: P6EDGE5 Mask            */
#define PPORT_P6INTCTL_P6EDGE6_Pos            14                                                      /*!< PPORT P6INTCTL: P6EDGE6 Position        */
#define PPORT_P6INTCTL_P6EDGE6_Msk            (0x01UL << PPORT_P6INTCTL_P6EDGE6_Pos)                  /*!< PPORT P6INTCTL: P6EDGE6 Mask            */
#define PPORT_P6INTCTL_P6EDGE7_Pos            15                                                      /*!< PPORT P6INTCTL: P6EDGE7 Position        */
#define PPORT_P6INTCTL_P6EDGE7_Msk            (0x01UL << PPORT_P6INTCTL_P6EDGE7_Pos)                  /*!< PPORT P6INTCTL: P6EDGE7 Mask            */

/* -------------------------------  PPORT_P6CHATEN  ------------------------------- */
#define PPORT_P6CHATEN_P6CHATEN0_Pos          0                                                       /*!< PPORT P6CHATEN: P6CHATEN0 Position      */
#define PPORT_P6CHATEN_P6CHATEN0_Msk          (0x01UL << PPORT_P6CHATEN_P6CHATEN0_Pos)                /*!< PPORT P6CHATEN: P6CHATEN0 Mask          */
#define PPORT_P6CHATEN_P6CHATEN1_Pos          1                                                       /*!< PPORT P6CHATEN: P6CHATEN1 Position      */
#define PPORT_P6CHATEN_P6CHATEN1_Msk          (0x01UL << PPORT_P6CHATEN_P6CHATEN1_Pos)                /*!< PPORT P6CHATEN: P6CHATEN1 Mask          */
#define PPORT_P6CHATEN_P6CHATEN2_Pos          2                                                       /*!< PPORT P6CHATEN: P6CHATEN2 Position      */
#define PPORT_P6CHATEN_P6CHATEN2_Msk          (0x01UL << PPORT_P6CHATEN_P6CHATEN2_Pos)                /*!< PPORT P6CHATEN: P6CHATEN2 Mask          */
#define PPORT_P6CHATEN_P6CHATEN3_Pos          3                                                       /*!< PPORT P6CHATEN: P6CHATEN3 Position      */
#define PPORT_P6CHATEN_P6CHATEN3_Msk          (0x01UL << PPORT_P6CHATEN_P6CHATEN3_Pos)                /*!< PPORT P6CHATEN: P6CHATEN3 Mask          */
#define PPORT_P6CHATEN_P6CHATEN4_Pos          4                                                       /*!< PPORT P6CHATEN: P6CHATEN4 Position      */
#define PPORT_P6CHATEN_P6CHATEN4_Msk          (0x01UL << PPORT_P6CHATEN_P6CHATEN4_Pos)                /*!< PPORT P6CHATEN: P6CHATEN4 Mask          */
#define PPORT_P6CHATEN_P6CHATEN5_Pos          5                                                       /*!< PPORT P6CHATEN: P6CHATEN5 Position      */
#define PPORT_P6CHATEN_P6CHATEN5_Msk          (0x01UL << PPORT_P6CHATEN_P6CHATEN5_Pos)                /*!< PPORT P6CHATEN: P6CHATEN5 Mask          */
#define PPORT_P6CHATEN_P6CHATEN6_Pos          6                                                       /*!< PPORT P6CHATEN: P6CHATEN6 Position      */
#define PPORT_P6CHATEN_P6CHATEN6_Msk          (0x01UL << PPORT_P6CHATEN_P6CHATEN6_Pos)                /*!< PPORT P6CHATEN: P6CHATEN6 Mask          */
#define PPORT_P6CHATEN_P6CHATEN7_Pos          7                                                       /*!< PPORT P6CHATEN: P6CHATEN7 Position      */
#define PPORT_P6CHATEN_P6CHATEN7_Msk          (0x01UL << PPORT_P6CHATEN_P6CHATEN7_Pos)                /*!< PPORT P6CHATEN: P6CHATEN7 Mask          */
#define PPORT_P6CHATEN_RESERVED_15_8_Pos      8                                                       /*!< PPORT P6CHATEN: RESERVED_15_8 Position  */
#define PPORT_P6CHATEN_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P6CHATEN_RESERVED_15_8_Pos)      /*!< PPORT P6CHATEN: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P6MODSEL  ------------------------------- */
#define PPORT_P6MODSEL_P6SEL0_Pos             0                                                       /*!< PPORT P6MODSEL: P6SEL0 Position         */
#define PPORT_P6MODSEL_P6SEL0_Msk             (0x01UL << PPORT_P6MODSEL_P6SEL0_Pos)                   /*!< PPORT P6MODSEL: P6SEL0 Mask             */
#define PPORT_P6MODSEL_P6SEL1_Pos             1                                                       /*!< PPORT P6MODSEL: P6SEL1 Position         */
#define PPORT_P6MODSEL_P6SEL1_Msk             (0x01UL << PPORT_P6MODSEL_P6SEL1_Pos)                   /*!< PPORT P6MODSEL: P6SEL1 Mask             */
#define PPORT_P6MODSEL_P6SEL2_Pos             2                                                       /*!< PPORT P6MODSEL: P6SEL2 Position         */
#define PPORT_P6MODSEL_P6SEL2_Msk             (0x01UL << PPORT_P6MODSEL_P6SEL2_Pos)                   /*!< PPORT P6MODSEL: P6SEL2 Mask             */
#define PPORT_P6MODSEL_P6SEL3_Pos             3                                                       /*!< PPORT P6MODSEL: P6SEL3 Position         */
#define PPORT_P6MODSEL_P6SEL3_Msk             (0x01UL << PPORT_P6MODSEL_P6SEL3_Pos)                   /*!< PPORT P6MODSEL: P6SEL3 Mask             */
#define PPORT_P6MODSEL_P6SEL4_Pos             4                                                       /*!< PPORT P6MODSEL: P6SEL4 Position         */
#define PPORT_P6MODSEL_P6SEL4_Msk             (0x01UL << PPORT_P6MODSEL_P6SEL4_Pos)                   /*!< PPORT P6MODSEL: P6SEL4 Mask             */
#define PPORT_P6MODSEL_P6SEL5_Pos             5                                                       /*!< PPORT P6MODSEL: P6SEL5 Position         */
#define PPORT_P6MODSEL_P6SEL5_Msk             (0x01UL << PPORT_P6MODSEL_P6SEL5_Pos)                   /*!< PPORT P6MODSEL: P6SEL5 Mask             */
#define PPORT_P6MODSEL_P6SEL6_Pos             6                                                       /*!< PPORT P6MODSEL: P6SEL6 Position         */
#define PPORT_P6MODSEL_P6SEL6_Msk             (0x01UL << PPORT_P6MODSEL_P6SEL6_Pos)                   /*!< PPORT P6MODSEL: P6SEL6 Mask             */
#define PPORT_P6MODSEL_P6SEL7_Pos             7                                                       /*!< PPORT P6MODSEL: P6SEL7 Position         */
#define PPORT_P6MODSEL_P6SEL7_Msk             (0x01UL << PPORT_P6MODSEL_P6SEL7_Pos)                   /*!< PPORT P6MODSEL: P6SEL7 Mask             */
#define PPORT_P6MODSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT P6MODSEL: RESERVED_15_8 Position  */
#define PPORT_P6MODSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P6MODSEL_RESERVED_15_8_Pos)      /*!< PPORT P6MODSEL: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P6FNCSEL  ------------------------------- */
#define PPORT_P6FNCSEL_P60MUX_Pos             0                                                       /*!< PPORT P6FNCSEL: P60MUX Position         */
#define PPORT_P6FNCSEL_P60MUX_Msk             (0x03UL << PPORT_P6FNCSEL_P60MUX_Pos)                   /*!< PPORT P6FNCSEL: P60MUX Mask             */
#define PPORT_P6FNCSEL_P61MUX_Pos             2                                                       /*!< PPORT P6FNCSEL: P61MUX Position         */
#define PPORT_P6FNCSEL_P61MUX_Msk             (0x03UL << PPORT_P6FNCSEL_P61MUX_Pos)                   /*!< PPORT P6FNCSEL: P61MUX Mask             */
#define PPORT_P6FNCSEL_P62MUX_Pos             4                                                       /*!< PPORT P6FNCSEL: P62MUX Position         */
#define PPORT_P6FNCSEL_P62MUX_Msk             (0x03UL << PPORT_P6FNCSEL_P62MUX_Pos)                   /*!< PPORT P6FNCSEL: P62MUX Mask             */
#define PPORT_P6FNCSEL_P63MUX_Pos             6                                                       /*!< PPORT P6FNCSEL: P63MUX Position         */
#define PPORT_P6FNCSEL_P63MUX_Msk             (0x03UL << PPORT_P6FNCSEL_P63MUX_Pos)                   /*!< PPORT P6FNCSEL: P63MUX Mask             */
#define PPORT_P6FNCSEL_P64MUX_Pos             8                                                       /*!< PPORT P6FNCSEL: P64MUX Position         */
#define PPORT_P6FNCSEL_P64MUX_Msk             (0x03UL << PPORT_P6FNCSEL_P64MUX_Pos)                   /*!< PPORT P6FNCSEL: P64MUX Mask             */
#define PPORT_P6FNCSEL_P65MUX_Pos             10                                                      /*!< PPORT P6FNCSEL: P65MUX Position         */
#define PPORT_P6FNCSEL_P65MUX_Msk             (0x03UL << PPORT_P6FNCSEL_P65MUX_Pos)                   /*!< PPORT P6FNCSEL: P65MUX Mask             */
#define PPORT_P6FNCSEL_P66MUX_Pos             12                                                      /*!< PPORT P6FNCSEL: P66MUX Position         */
#define PPORT_P6FNCSEL_P66MUX_Msk             (0x03UL << PPORT_P6FNCSEL_P66MUX_Pos)                   /*!< PPORT P6FNCSEL: P66MUX Mask             */
#define PPORT_P6FNCSEL_P67MUX_Pos             14                                                      /*!< PPORT P6FNCSEL: P67MUX Position         */
#define PPORT_P6FNCSEL_P67MUX_Msk             (0x03UL << PPORT_P6FNCSEL_P67MUX_Pos)                   /*!< PPORT P6FNCSEL: P67MUX Mask             */

/* ---------------------------------  PPORT_P7DAT  -------------------------------- */
#define PPORT_P7DAT_P7IN0_Pos                 0                                                       /*!< PPORT P7DAT: P7IN0 Position             */
#define PPORT_P7DAT_P7IN0_Msk                 (0x01UL << PPORT_P7DAT_P7IN0_Pos)                       /*!< PPORT P7DAT: P7IN0 Mask                 */
#define PPORT_P7DAT_P7IN1_Pos                 1                                                       /*!< PPORT P7DAT: P7IN1 Position             */
#define PPORT_P7DAT_P7IN1_Msk                 (0x01UL << PPORT_P7DAT_P7IN1_Pos)                       /*!< PPORT P7DAT: P7IN1 Mask                 */
#define PPORT_P7DAT_P7IN2_Pos                 2                                                       /*!< PPORT P7DAT: P7IN2 Position             */
#define PPORT_P7DAT_P7IN2_Msk                 (0x01UL << PPORT_P7DAT_P7IN2_Pos)                       /*!< PPORT P7DAT: P7IN2 Mask                 */
#define PPORT_P7DAT_P7IN3_Pos                 3                                                       /*!< PPORT P7DAT: P7IN3 Position             */
#define PPORT_P7DAT_P7IN3_Msk                 (0x01UL << PPORT_P7DAT_P7IN3_Pos)                       /*!< PPORT P7DAT: P7IN3 Mask                 */
#define PPORT_P7DAT_P7IN4_Pos                 4                                                       /*!< PPORT P7DAT: P7IN4 Position             */
#define PPORT_P7DAT_P7IN4_Msk                 (0x01UL << PPORT_P7DAT_P7IN4_Pos)                       /*!< PPORT P7DAT: P7IN4 Mask                 */
#define PPORT_P7DAT_P7IN5_Pos                 5                                                       /*!< PPORT P7DAT: P7IN5 Position             */
#define PPORT_P7DAT_P7IN5_Msk                 (0x01UL << PPORT_P7DAT_P7IN5_Pos)                       /*!< PPORT P7DAT: P7IN5 Mask                 */
#define PPORT_P7DAT_P7IN6_Pos                 6                                                       /*!< PPORT P7DAT: P7IN6 Position             */
#define PPORT_P7DAT_P7IN6_Msk                 (0x01UL << PPORT_P7DAT_P7IN6_Pos)                       /*!< PPORT P7DAT: P7IN6 Mask                 */
#define PPORT_P7DAT_P7IN7_Pos                 7                                                       /*!< PPORT P7DAT: P7IN7 Position             */
#define PPORT_P7DAT_P7IN7_Msk                 (0x01UL << PPORT_P7DAT_P7IN7_Pos)                       /*!< PPORT P7DAT: P7IN7 Mask                 */
#define PPORT_P7DAT_P7OUT0_Pos                8                                                       /*!< PPORT P7DAT: P7OUT0 Position            */
#define PPORT_P7DAT_P7OUT0_Msk                (0x01UL << PPORT_P7DAT_P7OUT0_Pos)                      /*!< PPORT P7DAT: P7OUT0 Mask                */
#define PPORT_P7DAT_P7OUT1_Pos                9                                                       /*!< PPORT P7DAT: P7OUT1 Position            */
#define PPORT_P7DAT_P7OUT1_Msk                (0x01UL << PPORT_P7DAT_P7OUT1_Pos)                      /*!< PPORT P7DAT: P7OUT1 Mask                */
#define PPORT_P7DAT_P7OUT2_Pos                10                                                      /*!< PPORT P7DAT: P7OUT2 Position            */
#define PPORT_P7DAT_P7OUT2_Msk                (0x01UL << PPORT_P7DAT_P7OUT2_Pos)                      /*!< PPORT P7DAT: P7OUT2 Mask                */
#define PPORT_P7DAT_P7OUT3_Pos                11                                                      /*!< PPORT P7DAT: P7OUT3 Position            */
#define PPORT_P7DAT_P7OUT3_Msk                (0x01UL << PPORT_P7DAT_P7OUT3_Pos)                      /*!< PPORT P7DAT: P7OUT3 Mask                */
#define PPORT_P7DAT_P7OUT4_Pos                12                                                      /*!< PPORT P7DAT: P7OUT4 Position            */
#define PPORT_P7DAT_P7OUT4_Msk                (0x01UL << PPORT_P7DAT_P7OUT4_Pos)                      /*!< PPORT P7DAT: P7OUT4 Mask                */
#define PPORT_P7DAT_P7OUT5_Pos                13                                                      /*!< PPORT P7DAT: P7OUT5 Position            */
#define PPORT_P7DAT_P7OUT5_Msk                (0x01UL << PPORT_P7DAT_P7OUT5_Pos)                      /*!< PPORT P7DAT: P7OUT5 Mask                */
#define PPORT_P7DAT_P7OUT6_Pos                14                                                      /*!< PPORT P7DAT: P7OUT6 Position            */
#define PPORT_P7DAT_P7OUT6_Msk                (0x01UL << PPORT_P7DAT_P7OUT6_Pos)                      /*!< PPORT P7DAT: P7OUT6 Mask                */
#define PPORT_P7DAT_P7OUT7_Pos                15                                                      /*!< PPORT P7DAT: P7OUT7 Position            */
#define PPORT_P7DAT_P7OUT7_Msk                (0x01UL << PPORT_P7DAT_P7OUT7_Pos)                      /*!< PPORT P7DAT: P7OUT7 Mask                */

/* --------------------------------  PPORT_P7IOEN  -------------------------------- */
#define PPORT_P7IOEN_P7OEN0_Pos               0                                                       /*!< PPORT P7IOEN: P7OEN0 Position           */
#define PPORT_P7IOEN_P7OEN0_Msk               (0x01UL << PPORT_P7IOEN_P7OEN0_Pos)                     /*!< PPORT P7IOEN: P7OEN0 Mask               */
#define PPORT_P7IOEN_P7OEN1_Pos               1                                                       /*!< PPORT P7IOEN: P7OEN1 Position           */
#define PPORT_P7IOEN_P7OEN1_Msk               (0x01UL << PPORT_P7IOEN_P7OEN1_Pos)                     /*!< PPORT P7IOEN: P7OEN1 Mask               */
#define PPORT_P7IOEN_P7OEN2_Pos               2                                                       /*!< PPORT P7IOEN: P7OEN2 Position           */
#define PPORT_P7IOEN_P7OEN2_Msk               (0x01UL << PPORT_P7IOEN_P7OEN2_Pos)                     /*!< PPORT P7IOEN: P7OEN2 Mask               */
#define PPORT_P7IOEN_P7OEN3_Pos               3                                                       /*!< PPORT P7IOEN: P7OEN3 Position           */
#define PPORT_P7IOEN_P7OEN3_Msk               (0x01UL << PPORT_P7IOEN_P7OEN3_Pos)                     /*!< PPORT P7IOEN: P7OEN3 Mask               */
#define PPORT_P7IOEN_P7OEN4_Pos               4                                                       /*!< PPORT P7IOEN: P7OEN4 Position           */
#define PPORT_P7IOEN_P7OEN4_Msk               (0x01UL << PPORT_P7IOEN_P7OEN4_Pos)                     /*!< PPORT P7IOEN: P7OEN4 Mask               */
#define PPORT_P7IOEN_P7OEN5_Pos               5                                                       /*!< PPORT P7IOEN: P7OEN5 Position           */
#define PPORT_P7IOEN_P7OEN5_Msk               (0x01UL << PPORT_P7IOEN_P7OEN5_Pos)                     /*!< PPORT P7IOEN: P7OEN5 Mask               */
#define PPORT_P7IOEN_P7OEN6_Pos               6                                                       /*!< PPORT P7IOEN: P7OEN6 Position           */
#define PPORT_P7IOEN_P7OEN6_Msk               (0x01UL << PPORT_P7IOEN_P7OEN6_Pos)                     /*!< PPORT P7IOEN: P7OEN6 Mask               */
#define PPORT_P7IOEN_P7OEN7_Pos               7                                                       /*!< PPORT P7IOEN: P7OEN7 Position           */
#define PPORT_P7IOEN_P7OEN7_Msk               (0x01UL << PPORT_P7IOEN_P7OEN7_Pos)                     /*!< PPORT P7IOEN: P7OEN7 Mask               */
#define PPORT_P7IOEN_P7IEN0_Pos               8                                                       /*!< PPORT P7IOEN: P7IEN0 Position           */
#define PPORT_P7IOEN_P7IEN0_Msk               (0x01UL << PPORT_P7IOEN_P7IEN0_Pos)                     /*!< PPORT P7IOEN: P7IEN0 Mask               */
#define PPORT_P7IOEN_P7IEN1_Pos               9                                                       /*!< PPORT P7IOEN: P7IEN1 Position           */
#define PPORT_P7IOEN_P7IEN1_Msk               (0x01UL << PPORT_P7IOEN_P7IEN1_Pos)                     /*!< PPORT P7IOEN: P7IEN1 Mask               */
#define PPORT_P7IOEN_P7IEN2_Pos               10                                                      /*!< PPORT P7IOEN: P7IEN2 Position           */
#define PPORT_P7IOEN_P7IEN2_Msk               (0x01UL << PPORT_P7IOEN_P7IEN2_Pos)                     /*!< PPORT P7IOEN: P7IEN2 Mask               */
#define PPORT_P7IOEN_P7IEN3_Pos               11                                                      /*!< PPORT P7IOEN: P7IEN3 Position           */
#define PPORT_P7IOEN_P7IEN3_Msk               (0x01UL << PPORT_P7IOEN_P7IEN3_Pos)                     /*!< PPORT P7IOEN: P7IEN3 Mask               */
#define PPORT_P7IOEN_P7IEN4_Pos               12                                                      /*!< PPORT P7IOEN: P7IEN4 Position           */
#define PPORT_P7IOEN_P7IEN4_Msk               (0x01UL << PPORT_P7IOEN_P7IEN4_Pos)                     /*!< PPORT P7IOEN: P7IEN4 Mask               */
#define PPORT_P7IOEN_P7IEN5_Pos               13                                                      /*!< PPORT P7IOEN: P7IEN5 Position           */
#define PPORT_P7IOEN_P7IEN5_Msk               (0x01UL << PPORT_P7IOEN_P7IEN5_Pos)                     /*!< PPORT P7IOEN: P7IEN5 Mask               */
#define PPORT_P7IOEN_P7IEN6_Pos               14                                                      /*!< PPORT P7IOEN: P7IEN6 Position           */
#define PPORT_P7IOEN_P7IEN6_Msk               (0x01UL << PPORT_P7IOEN_P7IEN6_Pos)                     /*!< PPORT P7IOEN: P7IEN6 Mask               */
#define PPORT_P7IOEN_P7IEN7_Pos               15                                                      /*!< PPORT P7IOEN: P7IEN7 Position           */
#define PPORT_P7IOEN_P7IEN7_Msk               (0x01UL << PPORT_P7IOEN_P7IEN7_Pos)                     /*!< PPORT P7IOEN: P7IEN7 Mask               */

/* --------------------------------  PPORT_P7RCTL  -------------------------------- */
#define PPORT_P7RCTL_P7REN0_Pos               0                                                       /*!< PPORT P7RCTL: P7REN0 Position           */
#define PPORT_P7RCTL_P7REN0_Msk               (0x01UL << PPORT_P7RCTL_P7REN0_Pos)                     /*!< PPORT P7RCTL: P7REN0 Mask               */
#define PPORT_P7RCTL_P7REN1_Pos               1                                                       /*!< PPORT P7RCTL: P7REN1 Position           */
#define PPORT_P7RCTL_P7REN1_Msk               (0x01UL << PPORT_P7RCTL_P7REN1_Pos)                     /*!< PPORT P7RCTL: P7REN1 Mask               */
#define PPORT_P7RCTL_P7REN2_Pos               2                                                       /*!< PPORT P7RCTL: P7REN2 Position           */
#define PPORT_P7RCTL_P7REN2_Msk               (0x01UL << PPORT_P7RCTL_P7REN2_Pos)                     /*!< PPORT P7RCTL: P7REN2 Mask               */
#define PPORT_P7RCTL_P7REN3_Pos               3                                                       /*!< PPORT P7RCTL: P7REN3 Position           */
#define PPORT_P7RCTL_P7REN3_Msk               (0x01UL << PPORT_P7RCTL_P7REN3_Pos)                     /*!< PPORT P7RCTL: P7REN3 Mask               */
#define PPORT_P7RCTL_P7REN4_Pos               4                                                       /*!< PPORT P7RCTL: P7REN4 Position           */
#define PPORT_P7RCTL_P7REN4_Msk               (0x01UL << PPORT_P7RCTL_P7REN4_Pos)                     /*!< PPORT P7RCTL: P7REN4 Mask               */
#define PPORT_P7RCTL_P7REN5_Pos               5                                                       /*!< PPORT P7RCTL: P7REN5 Position           */
#define PPORT_P7RCTL_P7REN5_Msk               (0x01UL << PPORT_P7RCTL_P7REN5_Pos)                     /*!< PPORT P7RCTL: P7REN5 Mask               */
#define PPORT_P7RCTL_P7REN6_Pos               6                                                       /*!< PPORT P7RCTL: P7REN6 Position           */
#define PPORT_P7RCTL_P7REN6_Msk               (0x01UL << PPORT_P7RCTL_P7REN6_Pos)                     /*!< PPORT P7RCTL: P7REN6 Mask               */
#define PPORT_P7RCTL_P7REN7_Pos               7                                                       /*!< PPORT P7RCTL: P7REN7 Position           */
#define PPORT_P7RCTL_P7REN7_Msk               (0x01UL << PPORT_P7RCTL_P7REN7_Pos)                     /*!< PPORT P7RCTL: P7REN7 Mask               */
#define PPORT_P7RCTL_P7PDPU0_Pos              8                                                       /*!< PPORT P7RCTL: P7PDPU0 Position          */
#define PPORT_P7RCTL_P7PDPU0_Msk              (0x01UL << PPORT_P7RCTL_P7PDPU0_Pos)                    /*!< PPORT P7RCTL: P7PDPU0 Mask              */
#define PPORT_P7RCTL_P7PDPU1_Pos              9                                                       /*!< PPORT P7RCTL: P7PDPU1 Position          */
#define PPORT_P7RCTL_P7PDPU1_Msk              (0x01UL << PPORT_P7RCTL_P7PDPU1_Pos)                    /*!< PPORT P7RCTL: P7PDPU1 Mask              */
#define PPORT_P7RCTL_P7PDPU2_Pos              10                                                      /*!< PPORT P7RCTL: P7PDPU2 Position          */
#define PPORT_P7RCTL_P7PDPU2_Msk              (0x01UL << PPORT_P7RCTL_P7PDPU2_Pos)                    /*!< PPORT P7RCTL: P7PDPU2 Mask              */
#define PPORT_P7RCTL_P7PDPU3_Pos              11                                                      /*!< PPORT P7RCTL: P7PDPU3 Position          */
#define PPORT_P7RCTL_P7PDPU3_Msk              (0x01UL << PPORT_P7RCTL_P7PDPU3_Pos)                    /*!< PPORT P7RCTL: P7PDPU3 Mask              */
#define PPORT_P7RCTL_P7PDPU4_Pos              12                                                      /*!< PPORT P7RCTL: P7PDPU4 Position          */
#define PPORT_P7RCTL_P7PDPU4_Msk              (0x01UL << PPORT_P7RCTL_P7PDPU4_Pos)                    /*!< PPORT P7RCTL: P7PDPU4 Mask              */
#define PPORT_P7RCTL_P7PDPU5_Pos              13                                                      /*!< PPORT P7RCTL: P7PDPU5 Position          */
#define PPORT_P7RCTL_P7PDPU5_Msk              (0x01UL << PPORT_P7RCTL_P7PDPU5_Pos)                    /*!< PPORT P7RCTL: P7PDPU5 Mask              */
#define PPORT_P7RCTL_P7PDPU6_Pos              14                                                      /*!< PPORT P7RCTL: P7PDPU6 Position          */
#define PPORT_P7RCTL_P7PDPU6_Msk              (0x01UL << PPORT_P7RCTL_P7PDPU6_Pos)                    /*!< PPORT P7RCTL: P7PDPU6 Mask              */
#define PPORT_P7RCTL_P7PDPU7_Pos              15                                                      /*!< PPORT P7RCTL: P7PDPU7 Position          */
#define PPORT_P7RCTL_P7PDPU7_Msk              (0x01UL << PPORT_P7RCTL_P7PDPU7_Pos)                    /*!< PPORT P7RCTL: P7PDPU7 Mask              */

/* --------------------------------  PPORT_P7INTF  -------------------------------- */
#define PPORT_P7INTF_P7IF0_Pos                0                                                       /*!< PPORT P7INTF: P7IF0 Position            */
#define PPORT_P7INTF_P7IF0_Msk                (0x01UL << PPORT_P7INTF_P7IF0_Pos)                      /*!< PPORT P7INTF: P7IF0 Mask                */
#define PPORT_P7INTF_P7IF1_Pos                1                                                       /*!< PPORT P7INTF: P7IF1 Position            */
#define PPORT_P7INTF_P7IF1_Msk                (0x01UL << PPORT_P7INTF_P7IF1_Pos)                      /*!< PPORT P7INTF: P7IF1 Mask                */
#define PPORT_P7INTF_P7IF2_Pos                2                                                       /*!< PPORT P7INTF: P7IF2 Position            */
#define PPORT_P7INTF_P7IF2_Msk                (0x01UL << PPORT_P7INTF_P7IF2_Pos)                      /*!< PPORT P7INTF: P7IF2 Mask                */
#define PPORT_P7INTF_P7IF3_Pos                3                                                       /*!< PPORT P7INTF: P7IF3 Position            */
#define PPORT_P7INTF_P7IF3_Msk                (0x01UL << PPORT_P7INTF_P7IF3_Pos)                      /*!< PPORT P7INTF: P7IF3 Mask                */
#define PPORT_P7INTF_P7IF4_Pos                4                                                       /*!< PPORT P7INTF: P7IF4 Position            */
#define PPORT_P7INTF_P7IF4_Msk                (0x01UL << PPORT_P7INTF_P7IF4_Pos)                      /*!< PPORT P7INTF: P7IF4 Mask                */
#define PPORT_P7INTF_P7IF5_Pos                5                                                       /*!< PPORT P7INTF: P7IF5 Position            */
#define PPORT_P7INTF_P7IF5_Msk                (0x01UL << PPORT_P7INTF_P7IF5_Pos)                      /*!< PPORT P7INTF: P7IF5 Mask                */
#define PPORT_P7INTF_P7IF6_Pos                6                                                       /*!< PPORT P7INTF: P7IF6 Position            */
#define PPORT_P7INTF_P7IF6_Msk                (0x01UL << PPORT_P7INTF_P7IF6_Pos)                      /*!< PPORT P7INTF: P7IF6 Mask                */
#define PPORT_P7INTF_P7IF7_Pos                7                                                       /*!< PPORT P7INTF: P7IF7 Position            */
#define PPORT_P7INTF_P7IF7_Msk                (0x01UL << PPORT_P7INTF_P7IF7_Pos)                      /*!< PPORT P7INTF: P7IF7 Mask                */
#define PPORT_P7INTF_RESERVED_15_8_Pos        8                                                       /*!< PPORT P7INTF: RESERVED_15_8 Position    */
#define PPORT_P7INTF_RESERVED_15_8_Msk        (0x000000ffUL << PPORT_P7INTF_RESERVED_15_8_Pos)        /*!< PPORT P7INTF: RESERVED_15_8 Mask        */

/* -------------------------------  PPORT_P7INTCTL  ------------------------------- */
#define PPORT_P7INTCTL_P7IE0_Pos              0                                                       /*!< PPORT P7INTCTL: P7IE0 Position          */
#define PPORT_P7INTCTL_P7IE0_Msk              (0x01UL << PPORT_P7INTCTL_P7IE0_Pos)                    /*!< PPORT P7INTCTL: P7IE0 Mask              */
#define PPORT_P7INTCTL_P7IE1_Pos              1                                                       /*!< PPORT P7INTCTL: P7IE1 Position          */
#define PPORT_P7INTCTL_P7IE1_Msk              (0x01UL << PPORT_P7INTCTL_P7IE1_Pos)                    /*!< PPORT P7INTCTL: P7IE1 Mask              */
#define PPORT_P7INTCTL_P7IE2_Pos              2                                                       /*!< PPORT P7INTCTL: P7IE2 Position          */
#define PPORT_P7INTCTL_P7IE2_Msk              (0x01UL << PPORT_P7INTCTL_P7IE2_Pos)                    /*!< PPORT P7INTCTL: P7IE2 Mask              */
#define PPORT_P7INTCTL_P7IE3_Pos              3                                                       /*!< PPORT P7INTCTL: P7IE3 Position          */
#define PPORT_P7INTCTL_P7IE3_Msk              (0x01UL << PPORT_P7INTCTL_P7IE3_Pos)                    /*!< PPORT P7INTCTL: P7IE3 Mask              */
#define PPORT_P7INTCTL_P7IE4_Pos              4                                                       /*!< PPORT P7INTCTL: P7IE4 Position          */
#define PPORT_P7INTCTL_P7IE4_Msk              (0x01UL << PPORT_P7INTCTL_P7IE4_Pos)                    /*!< PPORT P7INTCTL: P7IE4 Mask              */
#define PPORT_P7INTCTL_P7IE5_Pos              5                                                       /*!< PPORT P7INTCTL: P7IE5 Position          */
#define PPORT_P7INTCTL_P7IE5_Msk              (0x01UL << PPORT_P7INTCTL_P7IE5_Pos)                    /*!< PPORT P7INTCTL: P7IE5 Mask              */
#define PPORT_P7INTCTL_P7IE6_Pos              6                                                       /*!< PPORT P7INTCTL: P7IE6 Position          */
#define PPORT_P7INTCTL_P7IE6_Msk              (0x01UL << PPORT_P7INTCTL_P7IE6_Pos)                    /*!< PPORT P7INTCTL: P7IE6 Mask              */
#define PPORT_P7INTCTL_P7IE7_Pos              7                                                       /*!< PPORT P7INTCTL: P7IE7 Position          */
#define PPORT_P7INTCTL_P7IE7_Msk              (0x01UL << PPORT_P7INTCTL_P7IE7_Pos)                    /*!< PPORT P7INTCTL: P7IE7 Mask              */
#define PPORT_P7INTCTL_P7EDGE0_Pos            8                                                       /*!< PPORT P7INTCTL: P7EDGE0 Position        */
#define PPORT_P7INTCTL_P7EDGE0_Msk            (0x01UL << PPORT_P7INTCTL_P7EDGE0_Pos)                  /*!< PPORT P7INTCTL: P7EDGE0 Mask            */
#define PPORT_P7INTCTL_P7EDGE1_Pos            9                                                       /*!< PPORT P7INTCTL: P7EDGE1 Position        */
#define PPORT_P7INTCTL_P7EDGE1_Msk            (0x01UL << PPORT_P7INTCTL_P7EDGE1_Pos)                  /*!< PPORT P7INTCTL: P7EDGE1 Mask            */
#define PPORT_P7INTCTL_P7EDGE2_Pos            10                                                      /*!< PPORT P7INTCTL: P7EDGE2 Position        */
#define PPORT_P7INTCTL_P7EDGE2_Msk            (0x01UL << PPORT_P7INTCTL_P7EDGE2_Pos)                  /*!< PPORT P7INTCTL: P7EDGE2 Mask            */
#define PPORT_P7INTCTL_P7EDGE3_Pos            11                                                      /*!< PPORT P7INTCTL: P7EDGE3 Position        */
#define PPORT_P7INTCTL_P7EDGE3_Msk            (0x01UL << PPORT_P7INTCTL_P7EDGE3_Pos)                  /*!< PPORT P7INTCTL: P7EDGE3 Mask            */
#define PPORT_P7INTCTL_P7EDGE4_Pos            12                                                      /*!< PPORT P7INTCTL: P7EDGE4 Position        */
#define PPORT_P7INTCTL_P7EDGE4_Msk            (0x01UL << PPORT_P7INTCTL_P7EDGE4_Pos)                  /*!< PPORT P7INTCTL: P7EDGE4 Mask            */
#define PPORT_P7INTCTL_P7EDGE5_Pos            13                                                      /*!< PPORT P7INTCTL: P7EDGE5 Position        */
#define PPORT_P7INTCTL_P7EDGE5_Msk            (0x01UL << PPORT_P7INTCTL_P7EDGE5_Pos)                  /*!< PPORT P7INTCTL: P7EDGE5 Mask            */
#define PPORT_P7INTCTL_P7EDGE6_Pos            14                                                      /*!< PPORT P7INTCTL: P7EDGE6 Position        */
#define PPORT_P7INTCTL_P7EDGE6_Msk            (0x01UL << PPORT_P7INTCTL_P7EDGE6_Pos)                  /*!< PPORT P7INTCTL: P7EDGE6 Mask            */
#define PPORT_P7INTCTL_P7EDGE7_Pos            15                                                      /*!< PPORT P7INTCTL: P7EDGE7 Position        */
#define PPORT_P7INTCTL_P7EDGE7_Msk            (0x01UL << PPORT_P7INTCTL_P7EDGE7_Pos)                  /*!< PPORT P7INTCTL: P7EDGE7 Mask            */

/* -------------------------------  PPORT_P7CHATEN  ------------------------------- */
#define PPORT_P7CHATEN_P7CHATEN0_Pos          0                                                       /*!< PPORT P7CHATEN: P7CHATEN0 Position      */
#define PPORT_P7CHATEN_P7CHATEN0_Msk          (0x01UL << PPORT_P7CHATEN_P7CHATEN0_Pos)                /*!< PPORT P7CHATEN: P7CHATEN0 Mask          */
#define PPORT_P7CHATEN_P7CHATEN1_Pos          1                                                       /*!< PPORT P7CHATEN: P7CHATEN1 Position      */
#define PPORT_P7CHATEN_P7CHATEN1_Msk          (0x01UL << PPORT_P7CHATEN_P7CHATEN1_Pos)                /*!< PPORT P7CHATEN: P7CHATEN1 Mask          */
#define PPORT_P7CHATEN_P7CHATEN2_Pos          2                                                       /*!< PPORT P7CHATEN: P7CHATEN2 Position      */
#define PPORT_P7CHATEN_P7CHATEN2_Msk          (0x01UL << PPORT_P7CHATEN_P7CHATEN2_Pos)                /*!< PPORT P7CHATEN: P7CHATEN2 Mask          */
#define PPORT_P7CHATEN_P7CHATEN3_Pos          3                                                       /*!< PPORT P7CHATEN: P7CHATEN3 Position      */
#define PPORT_P7CHATEN_P7CHATEN3_Msk          (0x01UL << PPORT_P7CHATEN_P7CHATEN3_Pos)                /*!< PPORT P7CHATEN: P7CHATEN3 Mask          */
#define PPORT_P7CHATEN_P7CHATEN4_Pos          4                                                       /*!< PPORT P7CHATEN: P7CHATEN4 Position      */
#define PPORT_P7CHATEN_P7CHATEN4_Msk          (0x01UL << PPORT_P7CHATEN_P7CHATEN4_Pos)                /*!< PPORT P7CHATEN: P7CHATEN4 Mask          */
#define PPORT_P7CHATEN_P7CHATEN5_Pos          5                                                       /*!< PPORT P7CHATEN: P7CHATEN5 Position      */
#define PPORT_P7CHATEN_P7CHATEN5_Msk          (0x01UL << PPORT_P7CHATEN_P7CHATEN5_Pos)                /*!< PPORT P7CHATEN: P7CHATEN5 Mask          */
#define PPORT_P7CHATEN_P7CHATEN6_Pos          6                                                       /*!< PPORT P7CHATEN: P7CHATEN6 Position      */
#define PPORT_P7CHATEN_P7CHATEN6_Msk          (0x01UL << PPORT_P7CHATEN_P7CHATEN6_Pos)                /*!< PPORT P7CHATEN: P7CHATEN6 Mask          */
#define PPORT_P7CHATEN_P7CHATEN7_Pos          7                                                       /*!< PPORT P7CHATEN: P7CHATEN7 Position      */
#define PPORT_P7CHATEN_P7CHATEN7_Msk          (0x01UL << PPORT_P7CHATEN_P7CHATEN7_Pos)                /*!< PPORT P7CHATEN: P7CHATEN7 Mask          */
#define PPORT_P7CHATEN_RESERVED_15_8_Pos      8                                                       /*!< PPORT P7CHATEN: RESERVED_15_8 Position  */
#define PPORT_P7CHATEN_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P7CHATEN_RESERVED_15_8_Pos)      /*!< PPORT P7CHATEN: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P7MODSEL  ------------------------------- */
#define PPORT_P7MODSEL_P7SEL0_Pos             0                                                       /*!< PPORT P7MODSEL: P7SEL0 Position         */
#define PPORT_P7MODSEL_P7SEL0_Msk             (0x01UL << PPORT_P7MODSEL_P7SEL0_Pos)                   /*!< PPORT P7MODSEL: P7SEL0 Mask             */
#define PPORT_P7MODSEL_P7SEL1_Pos             1                                                       /*!< PPORT P7MODSEL: P7SEL1 Position         */
#define PPORT_P7MODSEL_P7SEL1_Msk             (0x01UL << PPORT_P7MODSEL_P7SEL1_Pos)                   /*!< PPORT P7MODSEL: P7SEL1 Mask             */
#define PPORT_P7MODSEL_P7SEL2_Pos             2                                                       /*!< PPORT P7MODSEL: P7SEL2 Position         */
#define PPORT_P7MODSEL_P7SEL2_Msk             (0x01UL << PPORT_P7MODSEL_P7SEL2_Pos)                   /*!< PPORT P7MODSEL: P7SEL2 Mask             */
#define PPORT_P7MODSEL_P7SEL3_Pos             3                                                       /*!< PPORT P7MODSEL: P7SEL3 Position         */
#define PPORT_P7MODSEL_P7SEL3_Msk             (0x01UL << PPORT_P7MODSEL_P7SEL3_Pos)                   /*!< PPORT P7MODSEL: P7SEL3 Mask             */
#define PPORT_P7MODSEL_P7SEL4_Pos             4                                                       /*!< PPORT P7MODSEL: P7SEL4 Position         */
#define PPORT_P7MODSEL_P7SEL4_Msk             (0x01UL << PPORT_P7MODSEL_P7SEL4_Pos)                   /*!< PPORT P7MODSEL: P7SEL4 Mask             */
#define PPORT_P7MODSEL_P7SEL5_Pos             5                                                       /*!< PPORT P7MODSEL: P7SEL5 Position         */
#define PPORT_P7MODSEL_P7SEL5_Msk             (0x01UL << PPORT_P7MODSEL_P7SEL5_Pos)                   /*!< PPORT P7MODSEL: P7SEL5 Mask             */
#define PPORT_P7MODSEL_P7SEL6_Pos             6                                                       /*!< PPORT P7MODSEL: P7SEL6 Position         */
#define PPORT_P7MODSEL_P7SEL6_Msk             (0x01UL << PPORT_P7MODSEL_P7SEL6_Pos)                   /*!< PPORT P7MODSEL: P7SEL6 Mask             */
#define PPORT_P7MODSEL_P7SEL7_Pos             7                                                       /*!< PPORT P7MODSEL: P7SEL7 Position         */
#define PPORT_P7MODSEL_P7SEL7_Msk             (0x01UL << PPORT_P7MODSEL_P7SEL7_Pos)                   /*!< PPORT P7MODSEL: P7SEL7 Mask             */
#define PPORT_P7MODSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT P7MODSEL: RESERVED_15_8 Position  */
#define PPORT_P7MODSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P7MODSEL_RESERVED_15_8_Pos)      /*!< PPORT P7MODSEL: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P7FNCSEL  ------------------------------- */
#define PPORT_P7FNCSEL_P70MUX_Pos             0                                                       /*!< PPORT P7FNCSEL: P70MUX Position         */
#define PPORT_P7FNCSEL_P70MUX_Msk             (0x03UL << PPORT_P7FNCSEL_P70MUX_Pos)                   /*!< PPORT P7FNCSEL: P70MUX Mask             */
#define PPORT_P7FNCSEL_P71MUX_Pos             2                                                       /*!< PPORT P7FNCSEL: P71MUX Position         */
#define PPORT_P7FNCSEL_P71MUX_Msk             (0x03UL << PPORT_P7FNCSEL_P71MUX_Pos)                   /*!< PPORT P7FNCSEL: P71MUX Mask             */
#define PPORT_P7FNCSEL_P72MUX_Pos             4                                                       /*!< PPORT P7FNCSEL: P72MUX Position         */
#define PPORT_P7FNCSEL_P72MUX_Msk             (0x03UL << PPORT_P7FNCSEL_P72MUX_Pos)                   /*!< PPORT P7FNCSEL: P72MUX Mask             */
#define PPORT_P7FNCSEL_P73MUX_Pos             6                                                       /*!< PPORT P7FNCSEL: P73MUX Position         */
#define PPORT_P7FNCSEL_P73MUX_Msk             (0x03UL << PPORT_P7FNCSEL_P73MUX_Pos)                   /*!< PPORT P7FNCSEL: P73MUX Mask             */
#define PPORT_P7FNCSEL_P74MUX_Pos             8                                                       /*!< PPORT P7FNCSEL: P74MUX Position         */
#define PPORT_P7FNCSEL_P74MUX_Msk             (0x03UL << PPORT_P7FNCSEL_P74MUX_Pos)                   /*!< PPORT P7FNCSEL: P74MUX Mask             */
#define PPORT_P7FNCSEL_P75MUX_Pos             10                                                      /*!< PPORT P7FNCSEL: P75MUX Position         */
#define PPORT_P7FNCSEL_P75MUX_Msk             (0x03UL << PPORT_P7FNCSEL_P75MUX_Pos)                   /*!< PPORT P7FNCSEL: P75MUX Mask             */
#define PPORT_P7FNCSEL_P76MUX_Pos             12                                                      /*!< PPORT P7FNCSEL: P76MUX Position         */
#define PPORT_P7FNCSEL_P76MUX_Msk             (0x03UL << PPORT_P7FNCSEL_P76MUX_Pos)                   /*!< PPORT P7FNCSEL: P76MUX Mask             */
#define PPORT_P7FNCSEL_P77MUX_Pos             14                                                      /*!< PPORT P7FNCSEL: P77MUX Position         */
#define PPORT_P7FNCSEL_P77MUX_Msk             (0x03UL << PPORT_P7FNCSEL_P77MUX_Pos)                   /*!< PPORT P7FNCSEL: P77MUX Mask             */

/* ---------------------------------  PPORT_P8DAT  -------------------------------- */
#define PPORT_P8DAT_P8IN0_Pos                 0                                                       /*!< PPORT P8DAT: P8IN0 Position             */
#define PPORT_P8DAT_P8IN0_Msk                 (0x01UL << PPORT_P8DAT_P8IN0_Pos)                       /*!< PPORT P8DAT: P8IN0 Mask                 */
#define PPORT_P8DAT_P8IN1_Pos                 1                                                       /*!< PPORT P8DAT: P8IN1 Position             */
#define PPORT_P8DAT_P8IN1_Msk                 (0x01UL << PPORT_P8DAT_P8IN1_Pos)                       /*!< PPORT P8DAT: P8IN1 Mask                 */
#define PPORT_P8DAT_P8IN2_Pos                 2                                                       /*!< PPORT P8DAT: P8IN2 Position             */
#define PPORT_P8DAT_P8IN2_Msk                 (0x01UL << PPORT_P8DAT_P8IN2_Pos)                       /*!< PPORT P8DAT: P8IN2 Mask                 */
#define PPORT_P8DAT_P8IN3_Pos                 3                                                       /*!< PPORT P8DAT: P8IN3 Position             */
#define PPORT_P8DAT_P8IN3_Msk                 (0x01UL << PPORT_P8DAT_P8IN3_Pos)                       /*!< PPORT P8DAT: P8IN3 Mask                 */
#define PPORT_P8DAT_P8IN4_Pos                 4                                                       /*!< PPORT P8DAT: P8IN4 Position             */
#define PPORT_P8DAT_P8IN4_Msk                 (0x01UL << PPORT_P8DAT_P8IN4_Pos)                       /*!< PPORT P8DAT: P8IN4 Mask                 */
#define PPORT_P8DAT_P8IN5_Pos                 5                                                       /*!< PPORT P8DAT: P8IN5 Position             */
#define PPORT_P8DAT_P8IN5_Msk                 (0x01UL << PPORT_P8DAT_P8IN5_Pos)                       /*!< PPORT P8DAT: P8IN5 Mask                 */
#define PPORT_P8DAT_P8IN6_Pos                 6                                                       /*!< PPORT P8DAT: P8IN6 Position             */
#define PPORT_P8DAT_P8IN6_Msk                 (0x01UL << PPORT_P8DAT_P8IN6_Pos)                       /*!< PPORT P8DAT: P8IN6 Mask                 */
#define PPORT_P8DAT_P8IN7_Pos                 7                                                       /*!< PPORT P8DAT: P8IN7 Position             */
#define PPORT_P8DAT_P8IN7_Msk                 (0x01UL << PPORT_P8DAT_P8IN7_Pos)                       /*!< PPORT P8DAT: P8IN7 Mask                 */
#define PPORT_P8DAT_P8OUT0_Pos                8                                                       /*!< PPORT P8DAT: P8OUT0 Position            */
#define PPORT_P8DAT_P8OUT0_Msk                (0x01UL << PPORT_P8DAT_P8OUT0_Pos)                      /*!< PPORT P8DAT: P8OUT0 Mask                */
#define PPORT_P8DAT_P8OUT1_Pos                9                                                       /*!< PPORT P8DAT: P8OUT1 Position            */
#define PPORT_P8DAT_P8OUT1_Msk                (0x01UL << PPORT_P8DAT_P8OUT1_Pos)                      /*!< PPORT P8DAT: P8OUT1 Mask                */
#define PPORT_P8DAT_P8OUT2_Pos                10                                                      /*!< PPORT P8DAT: P8OUT2 Position            */
#define PPORT_P8DAT_P8OUT2_Msk                (0x01UL << PPORT_P8DAT_P8OUT2_Pos)                      /*!< PPORT P8DAT: P8OUT2 Mask                */
#define PPORT_P8DAT_P8OUT3_Pos                11                                                      /*!< PPORT P8DAT: P8OUT3 Position            */
#define PPORT_P8DAT_P8OUT3_Msk                (0x01UL << PPORT_P8DAT_P8OUT3_Pos)                      /*!< PPORT P8DAT: P8OUT3 Mask                */
#define PPORT_P8DAT_P8OUT4_Pos                12                                                      /*!< PPORT P8DAT: P8OUT4 Position            */
#define PPORT_P8DAT_P8OUT4_Msk                (0x01UL << PPORT_P8DAT_P8OUT4_Pos)                      /*!< PPORT P8DAT: P8OUT4 Mask                */
#define PPORT_P8DAT_P8OUT5_Pos                13                                                      /*!< PPORT P8DAT: P8OUT5 Position            */
#define PPORT_P8DAT_P8OUT5_Msk                (0x01UL << PPORT_P8DAT_P8OUT5_Pos)                      /*!< PPORT P8DAT: P8OUT5 Mask                */
#define PPORT_P8DAT_P8OUT6_Pos                14                                                      /*!< PPORT P8DAT: P8OUT6 Position            */
#define PPORT_P8DAT_P8OUT6_Msk                (0x01UL << PPORT_P8DAT_P8OUT6_Pos)                      /*!< PPORT P8DAT: P8OUT6 Mask                */
#define PPORT_P8DAT_P8OUT7_Pos                15                                                      /*!< PPORT P8DAT: P8OUT7 Position            */
#define PPORT_P8DAT_P8OUT7_Msk                (0x01UL << PPORT_P8DAT_P8OUT7_Pos)                      /*!< PPORT P8DAT: P8OUT7 Mask                */

/* --------------------------------  PPORT_P8IOEN  -------------------------------- */
#define PPORT_P8IOEN_P8OEN0_Pos               0                                                       /*!< PPORT P8IOEN: P8OEN0 Position           */
#define PPORT_P8IOEN_P8OEN0_Msk               (0x01UL << PPORT_P8IOEN_P8OEN0_Pos)                     /*!< PPORT P8IOEN: P8OEN0 Mask               */
#define PPORT_P8IOEN_P8OEN1_Pos               1                                                       /*!< PPORT P8IOEN: P8OEN1 Position           */
#define PPORT_P8IOEN_P8OEN1_Msk               (0x01UL << PPORT_P8IOEN_P8OEN1_Pos)                     /*!< PPORT P8IOEN: P8OEN1 Mask               */
#define PPORT_P8IOEN_P8OEN2_Pos               2                                                       /*!< PPORT P8IOEN: P8OEN2 Position           */
#define PPORT_P8IOEN_P8OEN2_Msk               (0x01UL << PPORT_P8IOEN_P8OEN2_Pos)                     /*!< PPORT P8IOEN: P8OEN2 Mask               */
#define PPORT_P8IOEN_P8OEN3_Pos               3                                                       /*!< PPORT P8IOEN: P8OEN3 Position           */
#define PPORT_P8IOEN_P8OEN3_Msk               (0x01UL << PPORT_P8IOEN_P8OEN3_Pos)                     /*!< PPORT P8IOEN: P8OEN3 Mask               */
#define PPORT_P8IOEN_P8OEN4_Pos               4                                                       /*!< PPORT P8IOEN: P8OEN4 Position           */
#define PPORT_P8IOEN_P8OEN4_Msk               (0x01UL << PPORT_P8IOEN_P8OEN4_Pos)                     /*!< PPORT P8IOEN: P8OEN4 Mask               */
#define PPORT_P8IOEN_P8OEN5_Pos               5                                                       /*!< PPORT P8IOEN: P8OEN5 Position           */
#define PPORT_P8IOEN_P8OEN5_Msk               (0x01UL << PPORT_P8IOEN_P8OEN5_Pos)                     /*!< PPORT P8IOEN: P8OEN5 Mask               */
#define PPORT_P8IOEN_P8OEN6_Pos               6                                                       /*!< PPORT P8IOEN: P8OEN6 Position           */
#define PPORT_P8IOEN_P8OEN6_Msk               (0x01UL << PPORT_P8IOEN_P8OEN6_Pos)                     /*!< PPORT P8IOEN: P8OEN6 Mask               */
#define PPORT_P8IOEN_P8OEN7_Pos               7                                                       /*!< PPORT P8IOEN: P8OEN7 Position           */
#define PPORT_P8IOEN_P8OEN7_Msk               (0x01UL << PPORT_P8IOEN_P8OEN7_Pos)                     /*!< PPORT P8IOEN: P8OEN7 Mask               */
#define PPORT_P8IOEN_P8IEN0_Pos               8                                                       /*!< PPORT P8IOEN: P8IEN0 Position           */
#define PPORT_P8IOEN_P8IEN0_Msk               (0x01UL << PPORT_P8IOEN_P8IEN0_Pos)                     /*!< PPORT P8IOEN: P8IEN0 Mask               */
#define PPORT_P8IOEN_P8IEN1_Pos               9                                                       /*!< PPORT P8IOEN: P8IEN1 Position           */
#define PPORT_P8IOEN_P8IEN1_Msk               (0x01UL << PPORT_P8IOEN_P8IEN1_Pos)                     /*!< PPORT P8IOEN: P8IEN1 Mask               */
#define PPORT_P8IOEN_P8IEN2_Pos               10                                                      /*!< PPORT P8IOEN: P8IEN2 Position           */
#define PPORT_P8IOEN_P8IEN2_Msk               (0x01UL << PPORT_P8IOEN_P8IEN2_Pos)                     /*!< PPORT P8IOEN: P8IEN2 Mask               */
#define PPORT_P8IOEN_P8IEN3_Pos               11                                                      /*!< PPORT P8IOEN: P8IEN3 Position           */
#define PPORT_P8IOEN_P8IEN3_Msk               (0x01UL << PPORT_P8IOEN_P8IEN3_Pos)                     /*!< PPORT P8IOEN: P8IEN3 Mask               */
#define PPORT_P8IOEN_P8IEN4_Pos               12                                                      /*!< PPORT P8IOEN: P8IEN4 Position           */
#define PPORT_P8IOEN_P8IEN4_Msk               (0x01UL << PPORT_P8IOEN_P8IEN4_Pos)                     /*!< PPORT P8IOEN: P8IEN4 Mask               */
#define PPORT_P8IOEN_P8IEN5_Pos               13                                                      /*!< PPORT P8IOEN: P8IEN5 Position           */
#define PPORT_P8IOEN_P8IEN5_Msk               (0x01UL << PPORT_P8IOEN_P8IEN5_Pos)                     /*!< PPORT P8IOEN: P8IEN5 Mask               */
#define PPORT_P8IOEN_P8IEN6_Pos               14                                                      /*!< PPORT P8IOEN: P8IEN6 Position           */
#define PPORT_P8IOEN_P8IEN6_Msk               (0x01UL << PPORT_P8IOEN_P8IEN6_Pos)                     /*!< PPORT P8IOEN: P8IEN6 Mask               */
#define PPORT_P8IOEN_P8IEN7_Pos               15                                                      /*!< PPORT P8IOEN: P8IEN7 Position           */
#define PPORT_P8IOEN_P8IEN7_Msk               (0x01UL << PPORT_P8IOEN_P8IEN7_Pos)                     /*!< PPORT P8IOEN: P8IEN7 Mask               */

/* --------------------------------  PPORT_P8RCTL  -------------------------------- */
#define PPORT_P8RCTL_P8REN0_Pos               0                                                       /*!< PPORT P8RCTL: P8REN0 Position           */
#define PPORT_P8RCTL_P8REN0_Msk               (0x01UL << PPORT_P8RCTL_P8REN0_Pos)                     /*!< PPORT P8RCTL: P8REN0 Mask               */
#define PPORT_P8RCTL_P8REN1_Pos               1                                                       /*!< PPORT P8RCTL: P8REN1 Position           */
#define PPORT_P8RCTL_P8REN1_Msk               (0x01UL << PPORT_P8RCTL_P8REN1_Pos)                     /*!< PPORT P8RCTL: P8REN1 Mask               */
#define PPORT_P8RCTL_P8REN2_Pos               2                                                       /*!< PPORT P8RCTL: P8REN2 Position           */
#define PPORT_P8RCTL_P8REN2_Msk               (0x01UL << PPORT_P8RCTL_P8REN2_Pos)                     /*!< PPORT P8RCTL: P8REN2 Mask               */
#define PPORT_P8RCTL_P8REN3_Pos               3                                                       /*!< PPORT P8RCTL: P8REN3 Position           */
#define PPORT_P8RCTL_P8REN3_Msk               (0x01UL << PPORT_P8RCTL_P8REN3_Pos)                     /*!< PPORT P8RCTL: P8REN3 Mask               */
#define PPORT_P8RCTL_P8REN4_Pos               4                                                       /*!< PPORT P8RCTL: P8REN4 Position           */
#define PPORT_P8RCTL_P8REN4_Msk               (0x01UL << PPORT_P8RCTL_P8REN4_Pos)                     /*!< PPORT P8RCTL: P8REN4 Mask               */
#define PPORT_P8RCTL_P8REN5_Pos               5                                                       /*!< PPORT P8RCTL: P8REN5 Position           */
#define PPORT_P8RCTL_P8REN5_Msk               (0x01UL << PPORT_P8RCTL_P8REN5_Pos)                     /*!< PPORT P8RCTL: P8REN5 Mask               */
#define PPORT_P8RCTL_P8REN6_Pos               6                                                       /*!< PPORT P8RCTL: P8REN6 Position           */
#define PPORT_P8RCTL_P8REN6_Msk               (0x01UL << PPORT_P8RCTL_P8REN6_Pos)                     /*!< PPORT P8RCTL: P8REN6 Mask               */
#define PPORT_P8RCTL_P8REN7_Pos               7                                                       /*!< PPORT P8RCTL: P8REN7 Position           */
#define PPORT_P8RCTL_P8REN7_Msk               (0x01UL << PPORT_P8RCTL_P8REN7_Pos)                     /*!< PPORT P8RCTL: P8REN7 Mask               */
#define PPORT_P8RCTL_P8PDPU0_Pos              8                                                       /*!< PPORT P8RCTL: P8PDPU0 Position          */
#define PPORT_P8RCTL_P8PDPU0_Msk              (0x01UL << PPORT_P8RCTL_P8PDPU0_Pos)                    /*!< PPORT P8RCTL: P8PDPU0 Mask              */
#define PPORT_P8RCTL_P8PDPU1_Pos              9                                                       /*!< PPORT P8RCTL: P8PDPU1 Position          */
#define PPORT_P8RCTL_P8PDPU1_Msk              (0x01UL << PPORT_P8RCTL_P8PDPU1_Pos)                    /*!< PPORT P8RCTL: P8PDPU1 Mask              */
#define PPORT_P8RCTL_P8PDPU2_Pos              10                                                      /*!< PPORT P8RCTL: P8PDPU2 Position          */
#define PPORT_P8RCTL_P8PDPU2_Msk              (0x01UL << PPORT_P8RCTL_P8PDPU2_Pos)                    /*!< PPORT P8RCTL: P8PDPU2 Mask              */
#define PPORT_P8RCTL_P8PDPU3_Pos              11                                                      /*!< PPORT P8RCTL: P8PDPU3 Position          */
#define PPORT_P8RCTL_P8PDPU3_Msk              (0x01UL << PPORT_P8RCTL_P8PDPU3_Pos)                    /*!< PPORT P8RCTL: P8PDPU3 Mask              */
#define PPORT_P8RCTL_P8PDPU4_Pos              12                                                      /*!< PPORT P8RCTL: P8PDPU4 Position          */
#define PPORT_P8RCTL_P8PDPU4_Msk              (0x01UL << PPORT_P8RCTL_P8PDPU4_Pos)                    /*!< PPORT P8RCTL: P8PDPU4 Mask              */
#define PPORT_P8RCTL_P8PDPU5_Pos              13                                                      /*!< PPORT P8RCTL: P8PDPU5 Position          */
#define PPORT_P8RCTL_P8PDPU5_Msk              (0x01UL << PPORT_P8RCTL_P8PDPU5_Pos)                    /*!< PPORT P8RCTL: P8PDPU5 Mask              */
#define PPORT_P8RCTL_P8PDPU6_Pos              14                                                      /*!< PPORT P8RCTL: P8PDPU6 Position          */
#define PPORT_P8RCTL_P8PDPU6_Msk              (0x01UL << PPORT_P8RCTL_P8PDPU6_Pos)                    /*!< PPORT P8RCTL: P8PDPU6 Mask              */
#define PPORT_P8RCTL_P8PDPU7_Pos              15                                                      /*!< PPORT P8RCTL: P8PDPU7 Position          */
#define PPORT_P8RCTL_P8PDPU7_Msk              (0x01UL << PPORT_P8RCTL_P8PDPU7_Pos)                    /*!< PPORT P8RCTL: P8PDPU7 Mask              */

/* --------------------------------  PPORT_P8INTF  -------------------------------- */
#define PPORT_P8INTF_P8IF0_Pos                0                                                       /*!< PPORT P8INTF: P8IF0 Position            */
#define PPORT_P8INTF_P8IF0_Msk                (0x01UL << PPORT_P8INTF_P8IF0_Pos)                      /*!< PPORT P8INTF: P8IF0 Mask                */
#define PPORT_P8INTF_P8IF1_Pos                1                                                       /*!< PPORT P8INTF: P8IF1 Position            */
#define PPORT_P8INTF_P8IF1_Msk                (0x01UL << PPORT_P8INTF_P8IF1_Pos)                      /*!< PPORT P8INTF: P8IF1 Mask                */
#define PPORT_P8INTF_P8IF2_Pos                2                                                       /*!< PPORT P8INTF: P8IF2 Position            */
#define PPORT_P8INTF_P8IF2_Msk                (0x01UL << PPORT_P8INTF_P8IF2_Pos)                      /*!< PPORT P8INTF: P8IF2 Mask                */
#define PPORT_P8INTF_P8IF3_Pos                3                                                       /*!< PPORT P8INTF: P8IF3 Position            */
#define PPORT_P8INTF_P8IF3_Msk                (0x01UL << PPORT_P8INTF_P8IF3_Pos)                      /*!< PPORT P8INTF: P8IF3 Mask                */
#define PPORT_P8INTF_P8IF4_Pos                4                                                       /*!< PPORT P8INTF: P8IF4 Position            */
#define PPORT_P8INTF_P8IF4_Msk                (0x01UL << PPORT_P8INTF_P8IF4_Pos)                      /*!< PPORT P8INTF: P8IF4 Mask                */
#define PPORT_P8INTF_P8IF5_Pos                5                                                       /*!< PPORT P8INTF: P8IF5 Position            */
#define PPORT_P8INTF_P8IF5_Msk                (0x01UL << PPORT_P8INTF_P8IF5_Pos)                      /*!< PPORT P8INTF: P8IF5 Mask                */
#define PPORT_P8INTF_P8IF6_Pos                6                                                       /*!< PPORT P8INTF: P8IF6 Position            */
#define PPORT_P8INTF_P8IF6_Msk                (0x01UL << PPORT_P8INTF_P8IF6_Pos)                      /*!< PPORT P8INTF: P8IF6 Mask                */
#define PPORT_P8INTF_P8IF7_Pos                7                                                       /*!< PPORT P8INTF: P8IF7 Position            */
#define PPORT_P8INTF_P8IF7_Msk                (0x01UL << PPORT_P8INTF_P8IF7_Pos)                      /*!< PPORT P8INTF: P8IF7 Mask                */
#define PPORT_P8INTF_RESERVED_15_8_Pos        8                                                       /*!< PPORT P8INTF: RESERVED_15_8 Position    */
#define PPORT_P8INTF_RESERVED_15_8_Msk        (0x000000ffUL << PPORT_P8INTF_RESERVED_15_8_Pos)        /*!< PPORT P8INTF: RESERVED_15_8 Mask        */

/* -------------------------------  PPORT_P8INTCTL  ------------------------------- */
#define PPORT_P8INTCTL_P8IE0_Pos              0                                                       /*!< PPORT P8INTCTL: P8IE0 Position          */
#define PPORT_P8INTCTL_P8IE0_Msk              (0x01UL << PPORT_P8INTCTL_P8IE0_Pos)                    /*!< PPORT P8INTCTL: P8IE0 Mask              */
#define PPORT_P8INTCTL_P8IE1_Pos              1                                                       /*!< PPORT P8INTCTL: P8IE1 Position          */
#define PPORT_P8INTCTL_P8IE1_Msk              (0x01UL << PPORT_P8INTCTL_P8IE1_Pos)                    /*!< PPORT P8INTCTL: P8IE1 Mask              */
#define PPORT_P8INTCTL_P8IE2_Pos              2                                                       /*!< PPORT P8INTCTL: P8IE2 Position          */
#define PPORT_P8INTCTL_P8IE2_Msk              (0x01UL << PPORT_P8INTCTL_P8IE2_Pos)                    /*!< PPORT P8INTCTL: P8IE2 Mask              */
#define PPORT_P8INTCTL_P8IE3_Pos              3                                                       /*!< PPORT P8INTCTL: P8IE3 Position          */
#define PPORT_P8INTCTL_P8IE3_Msk              (0x01UL << PPORT_P8INTCTL_P8IE3_Pos)                    /*!< PPORT P8INTCTL: P8IE3 Mask              */
#define PPORT_P8INTCTL_P8IE4_Pos              4                                                       /*!< PPORT P8INTCTL: P8IE4 Position          */
#define PPORT_P8INTCTL_P8IE4_Msk              (0x01UL << PPORT_P8INTCTL_P8IE4_Pos)                    /*!< PPORT P8INTCTL: P8IE4 Mask              */
#define PPORT_P8INTCTL_P8IE5_Pos              5                                                       /*!< PPORT P8INTCTL: P8IE5 Position          */
#define PPORT_P8INTCTL_P8IE5_Msk              (0x01UL << PPORT_P8INTCTL_P8IE5_Pos)                    /*!< PPORT P8INTCTL: P8IE5 Mask              */
#define PPORT_P8INTCTL_P8IE6_Pos              6                                                       /*!< PPORT P8INTCTL: P8IE6 Position          */
#define PPORT_P8INTCTL_P8IE6_Msk              (0x01UL << PPORT_P8INTCTL_P8IE6_Pos)                    /*!< PPORT P8INTCTL: P8IE6 Mask              */
#define PPORT_P8INTCTL_P8IE7_Pos              7                                                       /*!< PPORT P8INTCTL: P8IE7 Position          */
#define PPORT_P8INTCTL_P8IE7_Msk              (0x01UL << PPORT_P8INTCTL_P8IE7_Pos)                    /*!< PPORT P8INTCTL: P8IE7 Mask              */
#define PPORT_P8INTCTL_P8EDGE0_Pos            8                                                       /*!< PPORT P8INTCTL: P8EDGE0 Position        */
#define PPORT_P8INTCTL_P8EDGE0_Msk            (0x01UL << PPORT_P8INTCTL_P8EDGE0_Pos)                  /*!< PPORT P8INTCTL: P8EDGE0 Mask            */
#define PPORT_P8INTCTL_P8EDGE1_Pos            9                                                       /*!< PPORT P8INTCTL: P8EDGE1 Position        */
#define PPORT_P8INTCTL_P8EDGE1_Msk            (0x01UL << PPORT_P8INTCTL_P8EDGE1_Pos)                  /*!< PPORT P8INTCTL: P8EDGE1 Mask            */
#define PPORT_P8INTCTL_P8EDGE2_Pos            10                                                      /*!< PPORT P8INTCTL: P8EDGE2 Position        */
#define PPORT_P8INTCTL_P8EDGE2_Msk            (0x01UL << PPORT_P8INTCTL_P8EDGE2_Pos)                  /*!< PPORT P8INTCTL: P8EDGE2 Mask            */
#define PPORT_P8INTCTL_P8EDGE3_Pos            11                                                      /*!< PPORT P8INTCTL: P8EDGE3 Position        */
#define PPORT_P8INTCTL_P8EDGE3_Msk            (0x01UL << PPORT_P8INTCTL_P8EDGE3_Pos)                  /*!< PPORT P8INTCTL: P8EDGE3 Mask            */
#define PPORT_P8INTCTL_P8EDGE4_Pos            12                                                      /*!< PPORT P8INTCTL: P8EDGE4 Position        */
#define PPORT_P8INTCTL_P8EDGE4_Msk            (0x01UL << PPORT_P8INTCTL_P8EDGE4_Pos)                  /*!< PPORT P8INTCTL: P8EDGE4 Mask            */
#define PPORT_P8INTCTL_P8EDGE5_Pos            13                                                      /*!< PPORT P8INTCTL: P8EDGE5 Position        */
#define PPORT_P8INTCTL_P8EDGE5_Msk            (0x01UL << PPORT_P8INTCTL_P8EDGE5_Pos)                  /*!< PPORT P8INTCTL: P8EDGE5 Mask            */
#define PPORT_P8INTCTL_P8EDGE6_Pos            14                                                      /*!< PPORT P8INTCTL: P8EDGE6 Position        */
#define PPORT_P8INTCTL_P8EDGE6_Msk            (0x01UL << PPORT_P8INTCTL_P8EDGE6_Pos)                  /*!< PPORT P8INTCTL: P8EDGE6 Mask            */
#define PPORT_P8INTCTL_P8EDGE7_Pos            15                                                      /*!< PPORT P8INTCTL: P8EDGE7 Position        */
#define PPORT_P8INTCTL_P8EDGE7_Msk            (0x01UL << PPORT_P8INTCTL_P8EDGE7_Pos)                  /*!< PPORT P8INTCTL: P8EDGE7 Mask            */

/* -------------------------------  PPORT_P8CHATEN  ------------------------------- */
#define PPORT_P8CHATEN_P8CHATEN0_Pos          0                                                       /*!< PPORT P8CHATEN: P8CHATEN0 Position      */
#define PPORT_P8CHATEN_P8CHATEN0_Msk          (0x01UL << PPORT_P8CHATEN_P8CHATEN0_Pos)                /*!< PPORT P8CHATEN: P8CHATEN0 Mask          */
#define PPORT_P8CHATEN_P8CHATEN1_Pos          1                                                       /*!< PPORT P8CHATEN: P8CHATEN1 Position      */
#define PPORT_P8CHATEN_P8CHATEN1_Msk          (0x01UL << PPORT_P8CHATEN_P8CHATEN1_Pos)                /*!< PPORT P8CHATEN: P8CHATEN1 Mask          */
#define PPORT_P8CHATEN_P8CHATEN2_Pos          2                                                       /*!< PPORT P8CHATEN: P8CHATEN2 Position      */
#define PPORT_P8CHATEN_P8CHATEN2_Msk          (0x01UL << PPORT_P8CHATEN_P8CHATEN2_Pos)                /*!< PPORT P8CHATEN: P8CHATEN2 Mask          */
#define PPORT_P8CHATEN_P8CHATEN3_Pos          3                                                       /*!< PPORT P8CHATEN: P8CHATEN3 Position      */
#define PPORT_P8CHATEN_P8CHATEN3_Msk          (0x01UL << PPORT_P8CHATEN_P8CHATEN3_Pos)                /*!< PPORT P8CHATEN: P8CHATEN3 Mask          */
#define PPORT_P8CHATEN_P8CHATEN4_Pos          4                                                       /*!< PPORT P8CHATEN: P8CHATEN4 Position      */
#define PPORT_P8CHATEN_P8CHATEN4_Msk          (0x01UL << PPORT_P8CHATEN_P8CHATEN4_Pos)                /*!< PPORT P8CHATEN: P8CHATEN4 Mask          */
#define PPORT_P8CHATEN_P8CHATEN5_Pos          5                                                       /*!< PPORT P8CHATEN: P8CHATEN5 Position      */
#define PPORT_P8CHATEN_P8CHATEN5_Msk          (0x01UL << PPORT_P8CHATEN_P8CHATEN5_Pos)                /*!< PPORT P8CHATEN: P8CHATEN5 Mask          */
#define PPORT_P8CHATEN_P8CHATEN6_Pos          6                                                       /*!< PPORT P8CHATEN: P8CHATEN6 Position      */
#define PPORT_P8CHATEN_P8CHATEN6_Msk          (0x01UL << PPORT_P8CHATEN_P8CHATEN6_Pos)                /*!< PPORT P8CHATEN: P8CHATEN6 Mask          */
#define PPORT_P8CHATEN_P8CHATEN7_Pos          7                                                       /*!< PPORT P8CHATEN: P8CHATEN7 Position      */
#define PPORT_P8CHATEN_P8CHATEN7_Msk          (0x01UL << PPORT_P8CHATEN_P8CHATEN7_Pos)                /*!< PPORT P8CHATEN: P8CHATEN7 Mask          */
#define PPORT_P8CHATEN_RESERVED_15_8_Pos      8                                                       /*!< PPORT P8CHATEN: RESERVED_15_8 Position  */
#define PPORT_P8CHATEN_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P8CHATEN_RESERVED_15_8_Pos)      /*!< PPORT P8CHATEN: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P8MODSEL  ------------------------------- */
#define PPORT_P8MODSEL_P8SEL0_Pos             0                                                       /*!< PPORT P8MODSEL: P8SEL0 Position         */
#define PPORT_P8MODSEL_P8SEL0_Msk             (0x01UL << PPORT_P8MODSEL_P8SEL0_Pos)                   /*!< PPORT P8MODSEL: P8SEL0 Mask             */
#define PPORT_P8MODSEL_P8SEL1_Pos             1                                                       /*!< PPORT P8MODSEL: P8SEL1 Position         */
#define PPORT_P8MODSEL_P8SEL1_Msk             (0x01UL << PPORT_P8MODSEL_P8SEL1_Pos)                   /*!< PPORT P8MODSEL: P8SEL1 Mask             */
#define PPORT_P8MODSEL_P8SEL2_Pos             2                                                       /*!< PPORT P8MODSEL: P8SEL2 Position         */
#define PPORT_P8MODSEL_P8SEL2_Msk             (0x01UL << PPORT_P8MODSEL_P8SEL2_Pos)                   /*!< PPORT P8MODSEL: P8SEL2 Mask             */
#define PPORT_P8MODSEL_P8SEL3_Pos             3                                                       /*!< PPORT P8MODSEL: P8SEL3 Position         */
#define PPORT_P8MODSEL_P8SEL3_Msk             (0x01UL << PPORT_P8MODSEL_P8SEL3_Pos)                   /*!< PPORT P8MODSEL: P8SEL3 Mask             */
#define PPORT_P8MODSEL_P8SEL4_Pos             4                                                       /*!< PPORT P8MODSEL: P8SEL4 Position         */
#define PPORT_P8MODSEL_P8SEL4_Msk             (0x01UL << PPORT_P8MODSEL_P8SEL4_Pos)                   /*!< PPORT P8MODSEL: P8SEL4 Mask             */
#define PPORT_P8MODSEL_P8SEL5_Pos             5                                                       /*!< PPORT P8MODSEL: P8SEL5 Position         */
#define PPORT_P8MODSEL_P8SEL5_Msk             (0x01UL << PPORT_P8MODSEL_P8SEL5_Pos)                   /*!< PPORT P8MODSEL: P8SEL5 Mask             */
#define PPORT_P8MODSEL_P8SEL6_Pos             6                                                       /*!< PPORT P8MODSEL: P8SEL6 Position         */
#define PPORT_P8MODSEL_P8SEL6_Msk             (0x01UL << PPORT_P8MODSEL_P8SEL6_Pos)                   /*!< PPORT P8MODSEL: P8SEL6 Mask             */
#define PPORT_P8MODSEL_P8SEL7_Pos             7                                                       /*!< PPORT P8MODSEL: P8SEL7 Position         */
#define PPORT_P8MODSEL_P8SEL7_Msk             (0x01UL << PPORT_P8MODSEL_P8SEL7_Pos)                   /*!< PPORT P8MODSEL: P8SEL7 Mask             */
#define PPORT_P8MODSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT P8MODSEL: RESERVED_15_8 Position  */
#define PPORT_P8MODSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_P8MODSEL_RESERVED_15_8_Pos)      /*!< PPORT P8MODSEL: RESERVED_15_8 Mask      */

/* -------------------------------  PPORT_P8FNCSEL  ------------------------------- */
#define PPORT_P8FNCSEL_P80MUX_Pos             0                                                       /*!< PPORT P8FNCSEL: P80MUX Position         */
#define PPORT_P8FNCSEL_P80MUX_Msk             (0x03UL << PPORT_P8FNCSEL_P80MUX_Pos)                   /*!< PPORT P8FNCSEL: P80MUX Mask             */
#define PPORT_P8FNCSEL_P81MUX_Pos             2                                                       /*!< PPORT P8FNCSEL: P81MUX Position         */
#define PPORT_P8FNCSEL_P81MUX_Msk             (0x03UL << PPORT_P8FNCSEL_P81MUX_Pos)                   /*!< PPORT P8FNCSEL: P81MUX Mask             */
#define PPORT_P8FNCSEL_P82MUX_Pos             4                                                       /*!< PPORT P8FNCSEL: P82MUX Position         */
#define PPORT_P8FNCSEL_P82MUX_Msk             (0x03UL << PPORT_P8FNCSEL_P82MUX_Pos)                   /*!< PPORT P8FNCSEL: P82MUX Mask             */
#define PPORT_P8FNCSEL_P83MUX_Pos             6                                                       /*!< PPORT P8FNCSEL: P83MUX Position         */
#define PPORT_P8FNCSEL_P83MUX_Msk             (0x03UL << PPORT_P8FNCSEL_P83MUX_Pos)                   /*!< PPORT P8FNCSEL: P83MUX Mask             */
#define PPORT_P8FNCSEL_P84MUX_Pos             8                                                       /*!< PPORT P8FNCSEL: P84MUX Position         */
#define PPORT_P8FNCSEL_P84MUX_Msk             (0x03UL << PPORT_P8FNCSEL_P84MUX_Pos)                   /*!< PPORT P8FNCSEL: P84MUX Mask             */
#define PPORT_P8FNCSEL_P85MUX_Pos             10                                                      /*!< PPORT P8FNCSEL: P85MUX Position         */
#define PPORT_P8FNCSEL_P85MUX_Msk             (0x03UL << PPORT_P8FNCSEL_P85MUX_Pos)                   /*!< PPORT P8FNCSEL: P85MUX Mask             */
#define PPORT_P8FNCSEL_P86MUX_Pos             12                                                      /*!< PPORT P8FNCSEL: P86MUX Position         */
#define PPORT_P8FNCSEL_P86MUX_Msk             (0x03UL << PPORT_P8FNCSEL_P86MUX_Pos)                   /*!< PPORT P8FNCSEL: P86MUX Mask             */
#define PPORT_P8FNCSEL_P87MUX_Pos             14                                                      /*!< PPORT P8FNCSEL: P87MUX Position         */
#define PPORT_P8FNCSEL_P87MUX_Msk             (0x03UL << PPORT_P8FNCSEL_P87MUX_Pos)                   /*!< PPORT P8FNCSEL: P87MUX Mask             */

/* ---------------------------------  PPORT_PDDAT  -------------------------------- */
#define PPORT_PDDAT_PDIN0_Pos                 0                                                       /*!< PPORT PDDAT: PDIN0 Position             */
#define PPORT_PDDAT_PDIN0_Msk                 (0x01UL << PPORT_PDDAT_PDIN0_Pos)                       /*!< PPORT PDDAT: PDIN0 Mask                 */
#define PPORT_PDDAT_PDIN1_Pos                 1                                                       /*!< PPORT PDDAT: PDIN1 Position             */
#define PPORT_PDDAT_PDIN1_Msk                 (0x01UL << PPORT_PDDAT_PDIN1_Pos)                       /*!< PPORT PDDAT: PDIN1 Mask                 */
#define PPORT_PDDAT_PDIN2_Pos                 2                                                       /*!< PPORT PDDAT: PDIN2 Position             */
#define PPORT_PDDAT_PDIN2_Msk                 (0x01UL << PPORT_PDDAT_PDIN2_Pos)                       /*!< PPORT PDDAT: PDIN2 Mask                 */
#define PPORT_PDDAT_PDIN3_Pos                 3                                                       /*!< PPORT PDDAT: PDIN3 Position             */
#define PPORT_PDDAT_PDIN3_Msk                 (0x01UL << PPORT_PDDAT_PDIN3_Pos)                       /*!< PPORT PDDAT: PDIN3 Mask                 */
#define PPORT_PDDAT_RESERVED_7_4_Pos          4                                                       /*!< PPORT PDDAT: RESERVED_7_4 Position      */
#define PPORT_PDDAT_RESERVED_7_4_Msk          (0x0fUL << PPORT_PDDAT_RESERVED_7_4_Pos)                /*!< PPORT PDDAT: RESERVED_7_4 Mask          */
#define PPORT_PDDAT_PDOUT0_Pos                8                                                       /*!< PPORT PDDAT: PDOUT0 Position            */
#define PPORT_PDDAT_PDOUT0_Msk                (0x01UL << PPORT_PDDAT_PDOUT0_Pos)                      /*!< PPORT PDDAT: PDOUT0 Mask                */
#define PPORT_PDDAT_PDOUT1_Pos                9                                                       /*!< PPORT PDDAT: PDOUT1 Position            */
#define PPORT_PDDAT_PDOUT1_Msk                (0x01UL << PPORT_PDDAT_PDOUT1_Pos)                      /*!< PPORT PDDAT: PDOUT1 Mask                */
#define PPORT_PDDAT_PDOUT2_Pos                10                                                      /*!< PPORT PDDAT: PDOUT2 Position            */
#define PPORT_PDDAT_PDOUT2_Msk                (0x01UL << PPORT_PDDAT_PDOUT2_Pos)                      /*!< PPORT PDDAT: PDOUT2 Mask                */
#define PPORT_PDDAT_PDOUT3_Pos                11                                                      /*!< PPORT PDDAT: PDOUT3 Position            */
#define PPORT_PDDAT_PDOUT3_Msk                (0x01UL << PPORT_PDDAT_PDOUT3_Pos)                      /*!< PPORT PDDAT: PDOUT3 Mask                */
#define PPORT_PDDAT_RESERVED_15_12_Pos        12                                                      /*!< PPORT PDDAT: RESERVED_15_12 Position    */
#define PPORT_PDDAT_RESERVED_15_12_Msk        (0x0fUL << PPORT_PDDAT_RESERVED_15_12_Pos)              /*!< PPORT PDDAT: RESERVED_15_12 Mask        */

/* --------------------------------  PPORT_PDIOEN  -------------------------------- */
#define PPORT_PDIOEN_PDOEN0_Pos               0                                                       /*!< PPORT PDIOEN: PDOEN0 Position           */
#define PPORT_PDIOEN_PDOEN0_Msk               (0x01UL << PPORT_PDIOEN_PDOEN0_Pos)                     /*!< PPORT PDIOEN: PDOEN0 Mask               */
#define PPORT_PDIOEN_PDOEN1_Pos               1                                                       /*!< PPORT PDIOEN: PDOEN1 Position           */
#define PPORT_PDIOEN_PDOEN1_Msk               (0x01UL << PPORT_PDIOEN_PDOEN1_Pos)                     /*!< PPORT PDIOEN: PDOEN1 Mask               */
#define PPORT_PDIOEN_PDOEN2_Pos               2                                                       /*!< PPORT PDIOEN: PDOEN2 Position           */
#define PPORT_PDIOEN_PDOEN2_Msk               (0x01UL << PPORT_PDIOEN_PDOEN2_Pos)                     /*!< PPORT PDIOEN: PDOEN2 Mask               */
#define PPORT_PDIOEN_PDOEN3_Pos               3                                                       /*!< PPORT PDIOEN: PDOEN3 Position           */
#define PPORT_PDIOEN_PDOEN3_Msk               (0x01UL << PPORT_PDIOEN_PDOEN3_Pos)                     /*!< PPORT PDIOEN: PDOEN3 Mask               */
#define PPORT_PDIOEN_RESERVED_7_4_Pos         4                                                       /*!< PPORT PDIOEN: RESERVED_7_4 Position     */
#define PPORT_PDIOEN_RESERVED_7_4_Msk         (0x0fUL << PPORT_PDIOEN_RESERVED_7_4_Pos)               /*!< PPORT PDIOEN: RESERVED_7_4 Mask         */
#define PPORT_PDIOEN_PDIEN0_Pos               8                                                       /*!< PPORT PDIOEN: PDIEN0 Position           */
#define PPORT_PDIOEN_PDIEN0_Msk               (0x01UL << PPORT_PDIOEN_PDIEN0_Pos)                     /*!< PPORT PDIOEN: PDIEN0 Mask               */
#define PPORT_PDIOEN_PDIEN1_Pos               9                                                       /*!< PPORT PDIOEN: PDIEN1 Position           */
#define PPORT_PDIOEN_PDIEN1_Msk               (0x01UL << PPORT_PDIOEN_PDIEN1_Pos)                     /*!< PPORT PDIOEN: PDIEN1 Mask               */
#define PPORT_PDIOEN_PDIEN2_Pos               10                                                      /*!< PPORT PDIOEN: PDIEN2 Position           */
#define PPORT_PDIOEN_PDIEN2_Msk               (0x01UL << PPORT_PDIOEN_PDIEN2_Pos)                     /*!< PPORT PDIOEN: PDIEN2 Mask               */
#define PPORT_PDIOEN_PDIEN3_Pos               11                                                      /*!< PPORT PDIOEN: PDIEN3 Position           */
#define PPORT_PDIOEN_PDIEN3_Msk               (0x01UL << PPORT_PDIOEN_PDIEN3_Pos)                     /*!< PPORT PDIOEN: PDIEN3 Mask               */
#define PPORT_PDIOEN_RESERVED_15_12_Pos       12                                                      /*!< PPORT PDIOEN: RESERVED_15_12 Position   */
#define PPORT_PDIOEN_RESERVED_15_12_Msk       (0x0fUL << PPORT_PDIOEN_RESERVED_15_12_Pos)             /*!< PPORT PDIOEN: RESERVED_15_12 Mask       */

/* --------------------------------  PPORT_PDRCTL  -------------------------------- */
#define PPORT_PDRCTL_PDREN0_Pos               0                                                       /*!< PPORT PDRCTL: PDREN0 Position           */
#define PPORT_PDRCTL_PDREN0_Msk               (0x01UL << PPORT_PDRCTL_PDREN0_Pos)                     /*!< PPORT PDRCTL: PDREN0 Mask               */
#define PPORT_PDRCTL_PDREN1_Pos               1                                                       /*!< PPORT PDRCTL: PDREN1 Position           */
#define PPORT_PDRCTL_PDREN1_Msk               (0x01UL << PPORT_PDRCTL_PDREN1_Pos)                     /*!< PPORT PDRCTL: PDREN1 Mask               */
#define PPORT_PDRCTL_PDREN2_Pos               2                                                       /*!< PPORT PDRCTL: PDREN2 Position           */
#define PPORT_PDRCTL_PDREN2_Msk               (0x01UL << PPORT_PDRCTL_PDREN2_Pos)                     /*!< PPORT PDRCTL: PDREN2 Mask               */
#define PPORT_PDRCTL_PDREN3_Pos               3                                                       /*!< PPORT PDRCTL: PDREN3 Position           */
#define PPORT_PDRCTL_PDREN3_Msk               (0x01UL << PPORT_PDRCTL_PDREN3_Pos)                     /*!< PPORT PDRCTL: PDREN3 Mask               */
#define PPORT_PDRCTL_RESERVED_7_4_Pos         4                                                       /*!< PPORT PDRCTL: RESERVED_7_4 Position     */
#define PPORT_PDRCTL_RESERVED_7_4_Msk         (0x0fUL << PPORT_PDRCTL_RESERVED_7_4_Pos)               /*!< PPORT PDRCTL: RESERVED_7_4 Mask         */
#define PPORT_PDRCTL_PDPDPU0_Pos              8                                                       /*!< PPORT PDRCTL: PDPDPU0 Position          */
#define PPORT_PDRCTL_PDPDPU0_Msk              (0x01UL << PPORT_PDRCTL_PDPDPU0_Pos)                    /*!< PPORT PDRCTL: PDPDPU0 Mask              */
#define PPORT_PDRCTL_PDPDPU1_Pos              9                                                       /*!< PPORT PDRCTL: PDPDPU1 Position          */
#define PPORT_PDRCTL_PDPDPU1_Msk              (0x01UL << PPORT_PDRCTL_PDPDPU1_Pos)                    /*!< PPORT PDRCTL: PDPDPU1 Mask              */
#define PPORT_PDRCTL_PDPDPU2_Pos              10                                                      /*!< PPORT PDRCTL: PDPDPU2 Position          */
#define PPORT_PDRCTL_PDPDPU2_Msk              (0x01UL << PPORT_PDRCTL_PDPDPU2_Pos)                    /*!< PPORT PDRCTL: PDPDPU2 Mask              */
#define PPORT_PDRCTL_PDPDPU3_Pos              11                                                      /*!< PPORT PDRCTL: PDPDPU3 Position          */
#define PPORT_PDRCTL_PDPDPU3_Msk              (0x01UL << PPORT_PDRCTL_PDPDPU3_Pos)                    /*!< PPORT PDRCTL: PDPDPU3 Mask              */
#define PPORT_PDRCTL_RESERVED_15_12_Pos       12                                                      /*!< PPORT PDRCTL: RESERVED_15_12 Position   */
#define PPORT_PDRCTL_RESERVED_15_12_Msk       (0x0fUL << PPORT_PDRCTL_RESERVED_15_12_Pos)             /*!< PPORT PDRCTL: RESERVED_15_12 Mask       */

/* -------------------------------  PPORT_PDMODSEL  ------------------------------- */
#define PPORT_PDMODSEL_PDSEL0_Pos             0                                                       /*!< PPORT PDMODSEL: PDSEL0 Position         */
#define PPORT_PDMODSEL_PDSEL0_Msk             (0x01UL << PPORT_PDMODSEL_PDSEL0_Pos)                   /*!< PPORT PDMODSEL: PDSEL0 Mask             */
#define PPORT_PDMODSEL_PDSEL1_Pos             1                                                       /*!< PPORT PDMODSEL: PDSEL1 Position         */
#define PPORT_PDMODSEL_PDSEL1_Msk             (0x01UL << PPORT_PDMODSEL_PDSEL1_Pos)                   /*!< PPORT PDMODSEL: PDSEL1 Mask             */
#define PPORT_PDMODSEL_PDSEL2_Pos             2                                                       /*!< PPORT PDMODSEL: PDSEL2 Position         */
#define PPORT_PDMODSEL_PDSEL2_Msk             (0x01UL << PPORT_PDMODSEL_PDSEL2_Pos)                   /*!< PPORT PDMODSEL: PDSEL2 Mask             */
#define PPORT_PDMODSEL_PDSEL3_Pos             3                                                       /*!< PPORT PDMODSEL: PDSEL3 Position         */
#define PPORT_PDMODSEL_PDSEL3_Msk             (0x01UL << PPORT_PDMODSEL_PDSEL3_Pos)                   /*!< PPORT PDMODSEL: PDSEL3 Mask             */
#define PPORT_PDMODSEL_RESERVED_15_4_Pos      4                                                       /*!< PPORT PDMODSEL: RESERVED_15_4 Position  */
#define PPORT_PDMODSEL_RESERVED_15_4_Msk      (0x00000fffUL << PPORT_PDMODSEL_RESERVED_15_4_Pos)      /*!< PPORT PDMODSEL: RESERVED_15_4 Mask      */

/* -------------------------------  PPORT_PDFNCSEL  ------------------------------- */
#define PPORT_PDFNCSEL_PD0MUX_Pos             0                                                       /*!< PPORT PDFNCSEL: PD0MUX Position         */
#define PPORT_PDFNCSEL_PD0MUX_Msk             (0x03UL << PPORT_PDFNCSEL_PD0MUX_Pos)                   /*!< PPORT PDFNCSEL: PD0MUX Mask             */
#define PPORT_PDFNCSEL_PD1MUX_Pos             2                                                       /*!< PPORT PDFNCSEL: PD1MUX Position         */
#define PPORT_PDFNCSEL_PD1MUX_Msk             (0x03UL << PPORT_PDFNCSEL_PD1MUX_Pos)                   /*!< PPORT PDFNCSEL: PD1MUX Mask             */
#define PPORT_PDFNCSEL_PD2MUX_Pos             4                                                       /*!< PPORT PDFNCSEL: PD2MUX Position         */
#define PPORT_PDFNCSEL_PD2MUX_Msk             (0x03UL << PPORT_PDFNCSEL_PD2MUX_Pos)                   /*!< PPORT PDFNCSEL: PD2MUX Mask             */
#define PPORT_PDFNCSEL_PD3MUX_Pos             6                                                       /*!< PPORT PDFNCSEL: PD3MUX Position         */
#define PPORT_PDFNCSEL_PD3MUX_Msk             (0x03UL << PPORT_PDFNCSEL_PD3MUX_Pos)                   /*!< PPORT PDFNCSEL: PD3MUX Mask             */
#define PPORT_PDFNCSEL_RESERVED_15_8_Pos      8                                                       /*!< PPORT PDFNCSEL: RESERVED_15_8 Position  */
#define PPORT_PDFNCSEL_RESERVED_15_8_Msk      (0x000000ffUL << PPORT_PDFNCSEL_RESERVED_15_8_Pos)      /*!< PPORT PDFNCSEL: RESERVED_15_8 Mask      */

/* ----------------------------------  PPORT_CLK  --------------------------------- */
#define PPORT_CLK_CLKSRC_Pos                  0                                                       /*!< PPORT CLK: CLKSRC Position              */
#define PPORT_CLK_CLKSRC_Msk                  (0x03UL << PPORT_CLK_CLKSRC_Pos)                        /*!< PPORT CLK: CLKSRC Mask                  */
#define PPORT_CLK_KRSTCFG_Pos                 2                                                       /*!< PPORT CLK: KRSTCFG Position             */
#define PPORT_CLK_KRSTCFG_Msk                 (0x03UL << PPORT_CLK_KRSTCFG_Pos)                       /*!< PPORT CLK: KRSTCFG Mask                 */
#define PPORT_CLK_CLKDIV_Pos                  4                                                       /*!< PPORT CLK: CLKDIV Position              */
#define PPORT_CLK_CLKDIV_Msk                  (0x0fUL << PPORT_CLK_CLKDIV_Pos)                        /*!< PPORT CLK: CLKDIV Mask                  */
#define PPORT_CLK_DBRUN_Pos                   8                                                       /*!< PPORT CLK: DBRUN Position               */
#define PPORT_CLK_DBRUN_Msk                   (0x01UL << PPORT_CLK_DBRUN_Pos)                         /*!< PPORT CLK: DBRUN Mask                   */
#define PPORT_CLK_RESERVED_15_9_Pos           9                                                       /*!< PPORT CLK: RESERVED_15_9 Position       */
#define PPORT_CLK_RESERVED_15_9_Msk           (0x7fUL << PPORT_CLK_RESERVED_15_9_Pos)                 /*!< PPORT CLK: RESERVED_15_9 Mask           */

/* --------------------------------  PPORT_INTFGRP  ------------------------------- */
#define PPORT_INTFGRP_P0INT_Pos               0                                                       /*!< PPORT INTFGRP: P0INT Position           */
#define PPORT_INTFGRP_P0INT_Msk               (0x01UL << PPORT_INTFGRP_P0INT_Pos)                     /*!< PPORT INTFGRP: P0INT Mask               */
#define PPORT_INTFGRP_P1INT_Pos               1                                                       /*!< PPORT INTFGRP: P1INT Position           */
#define PPORT_INTFGRP_P1INT_Msk               (0x01UL << PPORT_INTFGRP_P1INT_Pos)                     /*!< PPORT INTFGRP: P1INT Mask               */
#define PPORT_INTFGRP_P2INT_Pos               2                                                       /*!< PPORT INTFGRP: P2INT Position           */
#define PPORT_INTFGRP_P2INT_Msk               (0x01UL << PPORT_INTFGRP_P2INT_Pos)                     /*!< PPORT INTFGRP: P2INT Mask               */
#define PPORT_INTFGRP_P3INT_Pos               3                                                       /*!< PPORT INTFGRP: P3INT Position           */
#define PPORT_INTFGRP_P3INT_Msk               (0x01UL << PPORT_INTFGRP_P3INT_Pos)                     /*!< PPORT INTFGRP: P3INT Mask               */
#define PPORT_INTFGRP_P4INT_Pos               4                                                       /*!< PPORT INTFGRP: P4INT Position           */
#define PPORT_INTFGRP_P4INT_Msk               (0x01UL << PPORT_INTFGRP_P4INT_Pos)                     /*!< PPORT INTFGRP: P4INT Mask               */
#define PPORT_INTFGRP_P5INT_Pos               5                                                       /*!< PPORT INTFGRP: P5INT Position           */
#define PPORT_INTFGRP_P5INT_Msk               (0x01UL << PPORT_INTFGRP_P5INT_Pos)                     /*!< PPORT INTFGRP: P5INT Mask               */
#define PPORT_INTFGRP_P6INT_Pos               6                                                       /*!< PPORT INTFGRP: P6INT Position           */
#define PPORT_INTFGRP_P6INT_Msk               (0x01UL << PPORT_INTFGRP_P6INT_Pos)                     /*!< PPORT INTFGRP: P6INT Mask               */
#define PPORT_INTFGRP_P7INT_Pos               7                                                       /*!< PPORT INTFGRP: P7INT Position           */
#define PPORT_INTFGRP_P7INT_Msk               (0x01UL << PPORT_INTFGRP_P7INT_Pos)                     /*!< PPORT INTFGRP: P7INT Mask               */
#define PPORT_INTFGRP_P8INT_Pos               8                                                       /*!< PPORT INTFGRP: P8INT Position           */
#define PPORT_INTFGRP_P8INT_Msk               (0x01UL << PPORT_INTFGRP_P8INT_Pos)                     /*!< PPORT INTFGRP: P8INT Mask               */
#define PPORT_INTFGRP_RESERVED_15_9_Pos       9                                                       /*!< PPORT INTFGRP: RESERVED_15_9 Position   */
#define PPORT_INTFGRP_RESERVED_15_9_Msk       (0x7fUL << PPORT_INTFGRP_RESERVED_15_9_Pos)             /*!< PPORT INTFGRP: RESERVED_15_9 Mask       */


/* ================================================================================ */
/* ================          struct 'PWGA' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  PWGA_CTL  ---------------------------------- */
#define PWGA_CTL_REGMODE_Pos                  0                                                       /*!< PWGA CTL: REGMODE Position              */
#define PWGA_CTL_REGMODE_Msk                  (0x03UL << PWGA_CTL_REGMODE_Pos)                        /*!< PWGA CTL: REGMODE Mask                  */
#define PWGA_CTL_RESERVED_3_2_Pos             2                                                       /*!< PWGA CTL: RESERVED_3_2 Position         */
#define PWGA_CTL_RESERVED_3_2_Msk             (0x03UL << PWGA_CTL_RESERVED_3_2_Pos)                   /*!< PWGA CTL: RESERVED_3_2 Mask             */
#define PWGA_CTL_REGSEL_Pos                   4                                                       /*!< PWGA CTL: REGSEL Position               */
#define PWGA_CTL_REGSEL_Msk                   (0x01UL << PWGA_CTL_REGSEL_Pos)                         /*!< PWGA CTL: REGSEL Mask                   */
#define PWGA_CTL_REGDIS_Pos                   5                                                       /*!< PWGA CTL: REGDIS Position               */
#define PWGA_CTL_REGDIS_Msk                   (0x01UL << PWGA_CTL_REGDIS_Pos)                         /*!< PWGA CTL: REGDIS Mask                   */
#define PWGA_CTL_RESERVED_15_6_Pos            6                                                       /*!< PWGA CTL: RESERVED_15_6 Position        */
#define PWGA_CTL_RESERVED_15_6_Msk            (0x000003ffUL << PWGA_CTL_RESERVED_15_6_Pos)            /*!< PWGA CTL: RESERVED_15_6 Mask            */


/* ================================================================================ */
/* ================         struct 'QSPI_0' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  QSPI_0_MOD  --------------------------------- */
#define QSPI_0_MOD_MST_Pos                    0                                                       /*!< QSPI_0 MOD: MST Position                */
#define QSPI_0_MOD_MST_Msk                    (0x01UL << QSPI_0_MOD_MST_Pos)                          /*!< QSPI_0 MOD: MST Mask                    */
#define QSPI_0_MOD_CPOL_Pos                   1                                                       /*!< QSPI_0 MOD: CPOL Position               */
#define QSPI_0_MOD_CPOL_Msk                   (0x01UL << QSPI_0_MOD_CPOL_Pos)                         /*!< QSPI_0 MOD: CPOL Mask                   */
#define QSPI_0_MOD_CPHA_Pos                   2                                                       /*!< QSPI_0 MOD: CPHA Position               */
#define QSPI_0_MOD_CPHA_Msk                   (0x01UL << QSPI_0_MOD_CPHA_Pos)                         /*!< QSPI_0 MOD: CPHA Mask                   */
#define QSPI_0_MOD_LSBFST_Pos                 3                                                       /*!< QSPI_0 MOD: LSBFST Position             */
#define QSPI_0_MOD_LSBFST_Msk                 (0x01UL << QSPI_0_MOD_LSBFST_Pos)                       /*!< QSPI_0 MOD: LSBFST Mask                 */
#define QSPI_0_MOD_NOCLKDIV_Pos               4                                                       /*!< QSPI_0 MOD: NOCLKDIV Position           */
#define QSPI_0_MOD_NOCLKDIV_Msk               (0x01UL << QSPI_0_MOD_NOCLKDIV_Pos)                     /*!< QSPI_0 MOD: NOCLKDIV Mask               */
#define QSPI_0_MOD_PUEN_Pos                   5                                                       /*!< QSPI_0 MOD: PUEN Position               */
#define QSPI_0_MOD_PUEN_Msk                   (0x01UL << QSPI_0_MOD_PUEN_Pos)                         /*!< QSPI_0 MOD: PUEN Mask                   */
#define QSPI_0_MOD_TMOD_Pos                   6                                                       /*!< QSPI_0 MOD: TMOD Position               */
#define QSPI_0_MOD_TMOD_Msk                   (0x03UL << QSPI_0_MOD_TMOD_Pos)                         /*!< QSPI_0 MOD: TMOD Mask                   */
#define QSPI_0_MOD_CHLN_Pos                   8                                                       /*!< QSPI_0 MOD: CHLN Position               */
#define QSPI_0_MOD_CHLN_Msk                   (0x0fUL << QSPI_0_MOD_CHLN_Pos)                         /*!< QSPI_0 MOD: CHLN Mask                   */
#define QSPI_0_MOD_CHDL_Pos                   12                                                      /*!< QSPI_0 MOD: CHDL Position               */
#define QSPI_0_MOD_CHDL_Msk                   (0x0fUL << QSPI_0_MOD_CHDL_Pos)                         /*!< QSPI_0 MOD: CHDL Mask                   */

/* ---------------------------------  QSPI_0_CTL  --------------------------------- */
#define QSPI_0_CTL_MODEN_Pos                  0                                                       /*!< QSPI_0 CTL: MODEN Position              */
#define QSPI_0_CTL_MODEN_Msk                  (0x01UL << QSPI_0_CTL_MODEN_Pos)                        /*!< QSPI_0 CTL: MODEN Mask                  */
#define QSPI_0_CTL_SFTRST_Pos                 1                                                       /*!< QSPI_0 CTL: SFTRST Position             */
#define QSPI_0_CTL_SFTRST_Msk                 (0x01UL << QSPI_0_CTL_SFTRST_Pos)                       /*!< QSPI_0 CTL: SFTRST Mask                 */
#define QSPI_0_CTL_MSTSSO_Pos                 2                                                       /*!< QSPI_0 CTL: MSTSSO Position             */
#define QSPI_0_CTL_MSTSSO_Msk                 (0x01UL << QSPI_0_CTL_MSTSSO_Pos)                       /*!< QSPI_0 CTL: MSTSSO Mask                 */
#define QSPI_0_CTL_DIR_Pos                    3                                                       /*!< QSPI_0 CTL: DIR Position                */
#define QSPI_0_CTL_DIR_Msk                    (0x01UL << QSPI_0_CTL_DIR_Pos)                          /*!< QSPI_0 CTL: DIR Mask                    */
#define QSPI_0_CTL_RESERVED_15_4_Pos          4                                                       /*!< QSPI_0 CTL: RESERVED_15_4 Position      */
#define QSPI_0_CTL_RESERVED_15_4_Msk          (0x00000fffUL << QSPI_0_CTL_RESERVED_15_4_Pos)          /*!< QSPI_0 CTL: RESERVED_15_4 Mask          */

/* ---------------------------------  QSPI_0_TXD  --------------------------------- */
#define QSPI_0_TXD_TXD_Pos                    0                                                       /*!< QSPI_0 TXD: TXD Position                */
#define QSPI_0_TXD_TXD_Msk                    (0x0000ffffUL << QSPI_0_TXD_TXD_Pos)                    /*!< QSPI_0 TXD: TXD Mask                    */

/* ---------------------------------  QSPI_0_RXD  --------------------------------- */
#define QSPI_0_RXD_RXD_Pos                    0                                                       /*!< QSPI_0 RXD: RXD Position                */
#define QSPI_0_RXD_RXD_Msk                    (0x0000ffffUL << QSPI_0_RXD_RXD_Pos)                    /*!< QSPI_0 RXD: RXD Mask                    */

/* ---------------------------------  QSPI_0_INTF  -------------------------------- */
#define QSPI_0_INTF_TBEIF_Pos                 0                                                       /*!< QSPI_0 INTF: TBEIF Position             */
#define QSPI_0_INTF_TBEIF_Msk                 (0x01UL << QSPI_0_INTF_TBEIF_Pos)                       /*!< QSPI_0 INTF: TBEIF Mask                 */
#define QSPI_0_INTF_RBFIF_Pos                 1                                                       /*!< QSPI_0 INTF: RBFIF Position             */
#define QSPI_0_INTF_RBFIF_Msk                 (0x01UL << QSPI_0_INTF_RBFIF_Pos)                       /*!< QSPI_0 INTF: RBFIF Mask                 */
#define QSPI_0_INTF_TENDIF_Pos                2                                                       /*!< QSPI_0 INTF: TENDIF Position            */
#define QSPI_0_INTF_TENDIF_Msk                (0x01UL << QSPI_0_INTF_TENDIF_Pos)                      /*!< QSPI_0 INTF: TENDIF Mask                */
#define QSPI_0_INTF_OEIF_Pos                  3                                                       /*!< QSPI_0 INTF: OEIF Position              */
#define QSPI_0_INTF_OEIF_Msk                  (0x01UL << QSPI_0_INTF_OEIF_Pos)                        /*!< QSPI_0 INTF: OEIF Mask                  */
#define QSPI_0_INTF_RESERVED_5_4_Pos          4                                                       /*!< QSPI_0 INTF: RESERVED_5_4 Position      */
#define QSPI_0_INTF_RESERVED_5_4_Msk          (0x03UL << QSPI_0_INTF_RESERVED_5_4_Pos)                /*!< QSPI_0 INTF: RESERVED_5_4 Mask          */
#define QSPI_0_INTF_MMABSY_Pos                6                                                       /*!< QSPI_0 INTF: MMABSY Position            */
#define QSPI_0_INTF_MMABSY_Msk                (0x01UL << QSPI_0_INTF_MMABSY_Pos)                      /*!< QSPI_0 INTF: MMABSY Mask                */
#define QSPI_0_INTF_BSY_Pos                   7                                                       /*!< QSPI_0 INTF: BSY Position               */
#define QSPI_0_INTF_BSY_Msk                   (0x01UL << QSPI_0_INTF_BSY_Pos)                         /*!< QSPI_0 INTF: BSY Mask                   */
#define QSPI_0_INTF_RESERVED_15_8_Pos         8                                                       /*!< QSPI_0 INTF: RESERVED_15_8 Position     */
#define QSPI_0_INTF_RESERVED_15_8_Msk         (0x000000ffUL << QSPI_0_INTF_RESERVED_15_8_Pos)         /*!< QSPI_0 INTF: RESERVED_15_8 Mask         */

/* ---------------------------------  QSPI_0_INTE  -------------------------------- */
#define QSPI_0_INTE_TBEIE_Pos                 0                                                       /*!< QSPI_0 INTE: TBEIE Position             */
#define QSPI_0_INTE_TBEIE_Msk                 (0x01UL << QSPI_0_INTE_TBEIE_Pos)                       /*!< QSPI_0 INTE: TBEIE Mask                 */
#define QSPI_0_INTE_RBFIE_Pos                 1                                                       /*!< QSPI_0 INTE: RBFIE Position             */
#define QSPI_0_INTE_RBFIE_Msk                 (0x01UL << QSPI_0_INTE_RBFIE_Pos)                       /*!< QSPI_0 INTE: RBFIE Mask                 */
#define QSPI_0_INTE_TENDIE_Pos                2                                                       /*!< QSPI_0 INTE: TENDIE Position            */
#define QSPI_0_INTE_TENDIE_Msk                (0x01UL << QSPI_0_INTE_TENDIE_Pos)                      /*!< QSPI_0 INTE: TENDIE Mask                */
#define QSPI_0_INTE_OEIE_Pos                  3                                                       /*!< QSPI_0 INTE: OEIE Position              */
#define QSPI_0_INTE_OEIE_Msk                  (0x01UL << QSPI_0_INTE_OEIE_Pos)                        /*!< QSPI_0 INTE: OEIE Mask                  */
#define QSPI_0_INTE_RESERVED_15_4_Pos         4                                                       /*!< QSPI_0 INTE: RESERVED_15_4 Position     */
#define QSPI_0_INTE_RESERVED_15_4_Msk         (0x00000fffUL << QSPI_0_INTE_RESERVED_15_4_Pos)         /*!< QSPI_0 INTE: RESERVED_15_4 Mask         */

/* -------------------------------  QSPI_0_TBEDMAEN  ------------------------------ */
#define QSPI_0_TBEDMAEN_TBEDMAEN0_Pos         0                                                       /*!< QSPI_0 TBEDMAEN: TBEDMAEN0 Position     */
#define QSPI_0_TBEDMAEN_TBEDMAEN0_Msk         (0x01UL << QSPI_0_TBEDMAEN_TBEDMAEN0_Pos)               /*!< QSPI_0 TBEDMAEN: TBEDMAEN0 Mask         */
#define QSPI_0_TBEDMAEN_TBEDMAEN1_Pos         1                                                       /*!< QSPI_0 TBEDMAEN: TBEDMAEN1 Position     */
#define QSPI_0_TBEDMAEN_TBEDMAEN1_Msk         (0x01UL << QSPI_0_TBEDMAEN_TBEDMAEN1_Pos)               /*!< QSPI_0 TBEDMAEN: TBEDMAEN1 Mask         */
#define QSPI_0_TBEDMAEN_TBEDMAEN2_Pos         2                                                       /*!< QSPI_0 TBEDMAEN: TBEDMAEN2 Position     */
#define QSPI_0_TBEDMAEN_TBEDMAEN2_Msk         (0x01UL << QSPI_0_TBEDMAEN_TBEDMAEN2_Pos)               /*!< QSPI_0 TBEDMAEN: TBEDMAEN2 Mask         */
#define QSPI_0_TBEDMAEN_TBEDMAEN3_Pos         3                                                       /*!< QSPI_0 TBEDMAEN: TBEDMAEN3 Position     */
#define QSPI_0_TBEDMAEN_TBEDMAEN3_Msk         (0x01UL << QSPI_0_TBEDMAEN_TBEDMAEN3_Pos)               /*!< QSPI_0 TBEDMAEN: TBEDMAEN3 Mask         */
#define QSPI_0_TBEDMAEN_RESERVED_15_4_Pos     4                                                       /*!< QSPI_0 TBEDMAEN: RESERVED_15_4 Position */
#define QSPI_0_TBEDMAEN_RESERVED_15_4_Msk     (0x00000fffUL << QSPI_0_TBEDMAEN_RESERVED_15_4_Pos)     /*!< QSPI_0 TBEDMAEN: RESERVED_15_4 Mask     */

/* -------------------------------  QSPI_0_RBFDMAEN  ------------------------------ */
#define QSPI_0_RBFDMAEN_RBFDMAEN0_Pos         0                                                       /*!< QSPI_0 RBFDMAEN: RBFDMAEN0 Position     */
#define QSPI_0_RBFDMAEN_RBFDMAEN0_Msk         (0x01UL << QSPI_0_RBFDMAEN_RBFDMAEN0_Pos)               /*!< QSPI_0 RBFDMAEN: RBFDMAEN0 Mask         */
#define QSPI_0_RBFDMAEN_RBFDMAEN1_Pos         1                                                       /*!< QSPI_0 RBFDMAEN: RBFDMAEN1 Position     */
#define QSPI_0_RBFDMAEN_RBFDMAEN1_Msk         (0x01UL << QSPI_0_RBFDMAEN_RBFDMAEN1_Pos)               /*!< QSPI_0 RBFDMAEN: RBFDMAEN1 Mask         */
#define QSPI_0_RBFDMAEN_RBFDMAEN2_Pos         2                                                       /*!< QSPI_0 RBFDMAEN: RBFDMAEN2 Position     */
#define QSPI_0_RBFDMAEN_RBFDMAEN2_Msk         (0x01UL << QSPI_0_RBFDMAEN_RBFDMAEN2_Pos)               /*!< QSPI_0 RBFDMAEN: RBFDMAEN2 Mask         */
#define QSPI_0_RBFDMAEN_RBFDMAEN3_Pos         3                                                       /*!< QSPI_0 RBFDMAEN: RBFDMAEN3 Position     */
#define QSPI_0_RBFDMAEN_RBFDMAEN3_Msk         (0x01UL << QSPI_0_RBFDMAEN_RBFDMAEN3_Pos)               /*!< QSPI_0 RBFDMAEN: RBFDMAEN3 Mask         */
#define QSPI_0_RBFDMAEN_RESERVED_15_4_Pos     4                                                       /*!< QSPI_0 RBFDMAEN: RESERVED_15_4 Position */
#define QSPI_0_RBFDMAEN_RESERVED_15_4_Msk     (0x00000fffUL << QSPI_0_RBFDMAEN_RESERVED_15_4_Pos)     /*!< QSPI_0 RBFDMAEN: RESERVED_15_4 Mask     */

/* -------------------------------  QSPI_0_FRLDMAEN  ------------------------------ */
#define QSPI_0_FRLDMAEN_FRLDMAEN0_Pos         0                                                       /*!< QSPI_0 FRLDMAEN: FRLDMAEN0 Position     */
#define QSPI_0_FRLDMAEN_FRLDMAEN0_Msk         (0x01UL << QSPI_0_FRLDMAEN_FRLDMAEN0_Pos)               /*!< QSPI_0 FRLDMAEN: FRLDMAEN0 Mask         */
#define QSPI_0_FRLDMAEN_FRLDMAEN1_Pos         1                                                       /*!< QSPI_0 FRLDMAEN: FRLDMAEN1 Position     */
#define QSPI_0_FRLDMAEN_FRLDMAEN1_Msk         (0x01UL << QSPI_0_FRLDMAEN_FRLDMAEN1_Pos)               /*!< QSPI_0 FRLDMAEN: FRLDMAEN1 Mask         */
#define QSPI_0_FRLDMAEN_FRLDMAEN2_Pos         2                                                       /*!< QSPI_0 FRLDMAEN: FRLDMAEN2 Position     */
#define QSPI_0_FRLDMAEN_FRLDMAEN2_Msk         (0x01UL << QSPI_0_FRLDMAEN_FRLDMAEN2_Pos)               /*!< QSPI_0 FRLDMAEN: FRLDMAEN2 Mask         */
#define QSPI_0_FRLDMAEN_FRLDMAEN3_Pos         3                                                       /*!< QSPI_0 FRLDMAEN: FRLDMAEN3 Position     */
#define QSPI_0_FRLDMAEN_FRLDMAEN3_Msk         (0x01UL << QSPI_0_FRLDMAEN_FRLDMAEN3_Pos)               /*!< QSPI_0 FRLDMAEN: FRLDMAEN3 Mask         */
#define QSPI_0_FRLDMAEN_RESERVED_15_4_Pos     4                                                       /*!< QSPI_0 FRLDMAEN: RESERVED_15_4 Position */
#define QSPI_0_FRLDMAEN_RESERVED_15_4_Msk     (0x00000fffUL << QSPI_0_FRLDMAEN_RESERVED_15_4_Pos)     /*!< QSPI_0 FRLDMAEN: RESERVED_15_4 Mask     */

/* -------------------------------  QSPI_0_MMACFG1  ------------------------------- */
#define QSPI_0_MMACFG1_TCSH_Pos               0                                                       /*!< QSPI_0 MMACFG1: TCSH Position           */
#define QSPI_0_MMACFG1_TCSH_Msk               (0x0fUL << QSPI_0_MMACFG1_TCSH_Pos)                     /*!< QSPI_0 MMACFG1: TCSH Mask               */
#define QSPI_0_MMACFG1_RESERVED_15_4_Pos      4                                                       /*!< QSPI_0 MMACFG1: RESERVED_15_4 Position  */
#define QSPI_0_MMACFG1_RESERVED_15_4_Msk      (0x00000fffUL << QSPI_0_MMACFG1_RESERVED_15_4_Pos)      /*!< QSPI_0 MMACFG1: RESERVED_15_4 Mask      */

/* --------------------------------  QSPI_0_RMADRH  ------------------------------- */
#define QSPI_0_RMADRH_RESERVED_3_0_Pos        0                                                       /*!< QSPI_0 RMADRH: RESERVED_3_0 Position    */
#define QSPI_0_RMADRH_RESERVED_3_0_Msk        (0x0fUL << QSPI_0_RMADRH_RESERVED_3_0_Pos)              /*!< QSPI_0 RMADRH: RESERVED_3_0 Mask        */
#define QSPI_0_RMADRH_RMADR_Pos               4                                                       /*!< QSPI_0 RMADRH: RMADR Position           */
#define QSPI_0_RMADRH_RMADR_Msk               (0x00000fffUL << QSPI_0_RMADRH_RMADR_Pos)               /*!< QSPI_0 RMADRH: RMADR Mask               */

/* -------------------------------  QSPI_0_MMACFG2  ------------------------------- */
#define QSPI_0_MMACFG2_MMAEN_Pos              0                                                       /*!< QSPI_0 MMACFG2: MMAEN Position          */
#define QSPI_0_MMACFG2_MMAEN_Msk              (0x01UL << QSPI_0_MMACFG2_MMAEN_Pos)                    /*!< QSPI_0 MMACFG2: MMAEN Mask              */
#define QSPI_0_MMACFG2_ADRCYC_Pos             1                                                       /*!< QSPI_0 MMACFG2: ADRCYC Position         */
#define QSPI_0_MMACFG2_ADRCYC_Msk             (0x01UL << QSPI_0_MMACFG2_ADRCYC_Pos)                   /*!< QSPI_0 MMACFG2: ADRCYC Mask             */
#define QSPI_0_MMACFG2_ADRTMOD_Pos            2                                                       /*!< QSPI_0 MMACFG2: ADRTMOD Position        */
#define QSPI_0_MMACFG2_ADRTMOD_Msk            (0x03UL << QSPI_0_MMACFG2_ADRTMOD_Pos)                  /*!< QSPI_0 MMACFG2: ADRTMOD Mask            */
#define QSPI_0_MMACFG2_DUMTMOD_Pos            4                                                       /*!< QSPI_0 MMACFG2: DUMTMOD Position        */
#define QSPI_0_MMACFG2_DUMTMOD_Msk            (0x03UL << QSPI_0_MMACFG2_DUMTMOD_Pos)                  /*!< QSPI_0 MMACFG2: DUMTMOD Mask            */
#define QSPI_0_MMACFG2_DATTMOD_Pos            6                                                       /*!< QSPI_0 MMACFG2: DATTMOD Position        */
#define QSPI_0_MMACFG2_DATTMOD_Msk            (0x03UL << QSPI_0_MMACFG2_DATTMOD_Pos)                  /*!< QSPI_0 MMACFG2: DATTMOD Mask            */
#define QSPI_0_MMACFG2_DUMLN_Pos              8                                                       /*!< QSPI_0 MMACFG2: DUMLN Position          */
#define QSPI_0_MMACFG2_DUMLN_Msk              (0x0fUL << QSPI_0_MMACFG2_DUMLN_Pos)                    /*!< QSPI_0 MMACFG2: DUMLN Mask              */
#define QSPI_0_MMACFG2_DUMDL_Pos              12                                                      /*!< QSPI_0 MMACFG2: DUMDL Position          */
#define QSPI_0_MMACFG2_DUMDL_Msk              (0x0fUL << QSPI_0_MMACFG2_DUMDL_Pos)                    /*!< QSPI_0 MMACFG2: DUMDL Mask              */

/* ----------------------------------  QSPI_0_MB  --------------------------------- */
#define QSPI_0_MB_XIPEXT_Pos                  0                                                       /*!< QSPI_0 MB: XIPEXT Position              */
#define QSPI_0_MB_XIPEXT_Msk                  (0x000000ffUL << QSPI_0_MB_XIPEXT_Pos)                  /*!< QSPI_0 MB: XIPEXT Mask                  */
#define QSPI_0_MB_XIPACT_Pos                  8                                                       /*!< QSPI_0 MB: XIPACT Position              */
#define QSPI_0_MB_XIPACT_Msk                  (0x000000ffUL << QSPI_0_MB_XIPACT_Pos)                  /*!< QSPI_0 MB: XIPACT Mask                  */


/* ================================================================================ */
/* ================         struct 'REMC3' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  REMC3_CLK  --------------------------------- */
#define REMC3_CLK_CLKSRC_Pos                  0                                                       /*!< REMC3 CLK: CLKSRC Position              */
#define REMC3_CLK_CLKSRC_Msk                  (0x03UL << REMC3_CLK_CLKSRC_Pos)                        /*!< REMC3 CLK: CLKSRC Mask                  */
#define REMC3_CLK_RESERVED_3_2_Pos            2                                                       /*!< REMC3 CLK: RESERVED_3_2 Position        */
#define REMC3_CLK_RESERVED_3_2_Msk            (0x03UL << REMC3_CLK_RESERVED_3_2_Pos)                  /*!< REMC3 CLK: RESERVED_3_2 Mask            */
#define REMC3_CLK_CLKDIV_Pos                  4                                                       /*!< REMC3 CLK: CLKDIV Position              */
#define REMC3_CLK_CLKDIV_Msk                  (0x0fUL << REMC3_CLK_CLKDIV_Pos)                        /*!< REMC3 CLK: CLKDIV Mask                  */
#define REMC3_CLK_DBRUN_Pos                   8                                                       /*!< REMC3 CLK: DBRUN Position               */
#define REMC3_CLK_DBRUN_Msk                   (0x01UL << REMC3_CLK_DBRUN_Pos)                         /*!< REMC3 CLK: DBRUN Mask                   */
#define REMC3_CLK_RESERVED_15_9_Pos           9                                                       /*!< REMC3 CLK: RESERVED_15_9 Position       */
#define REMC3_CLK_RESERVED_15_9_Msk           (0x7fUL << REMC3_CLK_RESERVED_15_9_Pos)                 /*!< REMC3 CLK: RESERVED_15_9 Mask           */

/* ---------------------------------  REMC3_DBCTL  -------------------------------- */
#define REMC3_DBCTL_MODEN_Pos                 0                                                       /*!< REMC3 DBCTL: MODEN Position             */
#define REMC3_DBCTL_MODEN_Msk                 (0x01UL << REMC3_DBCTL_MODEN_Pos)                       /*!< REMC3 DBCTL: MODEN Mask                 */
#define REMC3_DBCTL_REMCRST_Pos               1                                                       /*!< REMC3 DBCTL: REMCRST Position           */
#define REMC3_DBCTL_REMCRST_Msk               (0x01UL << REMC3_DBCTL_REMCRST_Pos)                     /*!< REMC3 DBCTL: REMCRST Mask               */
#define REMC3_DBCTL_TRMD_Pos                  2                                                       /*!< REMC3 DBCTL: TRMD Position              */
#define REMC3_DBCTL_TRMD_Msk                  (0x01UL << REMC3_DBCTL_TRMD_Pos)                        /*!< REMC3 DBCTL: TRMD Mask                  */
#define REMC3_DBCTL_BUFEN_Pos                 3                                                       /*!< REMC3 DBCTL: BUFEN Position             */
#define REMC3_DBCTL_BUFEN_Msk                 (0x01UL << REMC3_DBCTL_BUFEN_Pos)                       /*!< REMC3 DBCTL: BUFEN Mask                 */
#define REMC3_DBCTL_REMOINV_Pos               4                                                       /*!< REMC3 DBCTL: REMOINV Position           */
#define REMC3_DBCTL_REMOINV_Msk               (0x01UL << REMC3_DBCTL_REMOINV_Pos)                     /*!< REMC3 DBCTL: REMOINV Mask               */
#define REMC3_DBCTL_RESERVED_7_5_Pos          5                                                       /*!< REMC3 DBCTL: RESERVED_7_5 Position      */
#define REMC3_DBCTL_RESERVED_7_5_Msk          (0x07UL << REMC3_DBCTL_RESERVED_7_5_Pos)                /*!< REMC3 DBCTL: RESERVED_7_5 Mask          */
#define REMC3_DBCTL_PRUN_Pos                  8                                                       /*!< REMC3 DBCTL: PRUN Position              */
#define REMC3_DBCTL_PRUN_Msk                  (0x01UL << REMC3_DBCTL_PRUN_Pos)                        /*!< REMC3 DBCTL: PRUN Mask                  */
#define REMC3_DBCTL_PRESET_Pos                9                                                       /*!< REMC3 DBCTL: PRESET Position            */
#define REMC3_DBCTL_PRESET_Msk                (0x01UL << REMC3_DBCTL_PRESET_Pos)                      /*!< REMC3 DBCTL: PRESET Mask                */
#define REMC3_DBCTL_RESERVED_15_10_Pos        10                                                      /*!< REMC3 DBCTL: RESERVED_15_10 Position    */
#define REMC3_DBCTL_RESERVED_15_10_Msk        (0x3fUL << REMC3_DBCTL_RESERVED_15_10_Pos)              /*!< REMC3 DBCTL: RESERVED_15_10 Mask        */

/* ---------------------------------  REMC3_DBCNT  -------------------------------- */
#define REMC3_DBCNT_DBCNT_Pos                 0                                                       /*!< REMC3 DBCNT: DBCNT Position             */
#define REMC3_DBCNT_DBCNT_Msk                 (0x0000ffffUL << REMC3_DBCNT_DBCNT_Pos)                 /*!< REMC3 DBCNT: DBCNT Mask                 */

/* ---------------------------------  REMC3_APLEN  -------------------------------- */
#define REMC3_APLEN_APLEN_Pos                 0                                                       /*!< REMC3 APLEN: APLEN Position             */
#define REMC3_APLEN_APLEN_Msk                 (0x0000ffffUL << REMC3_APLEN_APLEN_Pos)                 /*!< REMC3 APLEN: APLEN Mask                 */

/* ---------------------------------  REMC3_DBLEN  -------------------------------- */
#define REMC3_DBLEN_DBLEN_Pos                 0                                                       /*!< REMC3 DBLEN: DBLEN Position             */
#define REMC3_DBLEN_DBLEN_Msk                 (0x0000ffffUL << REMC3_DBLEN_DBLEN_Pos)                 /*!< REMC3 DBLEN: DBLEN Mask                 */

/* ---------------------------------  REMC3_INTF  --------------------------------- */
#define REMC3_INTF_APIF_Pos                   0                                                       /*!< REMC3 INTF: APIF Position               */
#define REMC3_INTF_APIF_Msk                   (0x01UL << REMC3_INTF_APIF_Pos)                         /*!< REMC3 INTF: APIF Mask                   */
#define REMC3_INTF_DBIF_Pos                   1                                                       /*!< REMC3 INTF: DBIF Position               */
#define REMC3_INTF_DBIF_Msk                   (0x01UL << REMC3_INTF_DBIF_Pos)                         /*!< REMC3 INTF: DBIF Mask                   */
#define REMC3_INTF_RESERVED_7_2_Pos           2                                                       /*!< REMC3 INTF: RESERVED_7_2 Position       */
#define REMC3_INTF_RESERVED_7_2_Msk           (0x3fUL << REMC3_INTF_RESERVED_7_2_Pos)                 /*!< REMC3 INTF: RESERVED_7_2 Mask           */
#define REMC3_INTF_APLENBSY_Pos               8                                                       /*!< REMC3 INTF: APLENBSY Position           */
#define REMC3_INTF_APLENBSY_Msk               (0x01UL << REMC3_INTF_APLENBSY_Pos)                     /*!< REMC3 INTF: APLENBSY Mask               */
#define REMC3_INTF_DBLENBSY_Pos               9                                                       /*!< REMC3 INTF: DBLENBSY Position           */
#define REMC3_INTF_DBLENBSY_Msk               (0x01UL << REMC3_INTF_DBLENBSY_Pos)                     /*!< REMC3 INTF: DBLENBSY Mask               */
#define REMC3_INTF_DBCNTRUN_Pos               10                                                      /*!< REMC3 INTF: DBCNTRUN Position           */
#define REMC3_INTF_DBCNTRUN_Msk               (0x01UL << REMC3_INTF_DBCNTRUN_Pos)                     /*!< REMC3 INTF: DBCNTRUN Mask               */
#define REMC3_INTF_RESERVED_15_11_Pos         11                                                      /*!< REMC3 INTF: RESERVED_15_11 Position     */
#define REMC3_INTF_RESERVED_15_11_Msk         (0x1fUL << REMC3_INTF_RESERVED_15_11_Pos)               /*!< REMC3 INTF: RESERVED_15_11 Mask         */

/* ---------------------------------  REMC3_INTE  --------------------------------- */
#define REMC3_INTE_APIE_Pos                   0                                                       /*!< REMC3 INTE: APIE Position               */
#define REMC3_INTE_APIE_Msk                   (0x01UL << REMC3_INTE_APIE_Pos)                         /*!< REMC3 INTE: APIE Mask                   */
#define REMC3_INTE_DBIE_Pos                   1                                                       /*!< REMC3 INTE: DBIE Position               */
#define REMC3_INTE_DBIE_Msk                   (0x01UL << REMC3_INTE_DBIE_Pos)                         /*!< REMC3 INTE: DBIE Mask                   */
#define REMC3_INTE_RESERVED_15_2_Pos          2                                                       /*!< REMC3 INTE: RESERVED_15_2 Position      */
#define REMC3_INTE_RESERVED_15_2_Msk          (0x00003fffUL << REMC3_INTE_RESERVED_15_2_Pos)          /*!< REMC3 INTE: RESERVED_15_2 Mask          */

/* ---------------------------------  REMC3_CARR  --------------------------------- */
#define REMC3_CARR_CRPER_Pos                  0                                                       /*!< REMC3 CARR: CRPER Position              */
#define REMC3_CARR_CRPER_Msk                  (0x000000ffUL << REMC3_CARR_CRPER_Pos)                  /*!< REMC3 CARR: CRPER Mask                  */
#define REMC3_CARR_CRDTY_Pos                  8                                                       /*!< REMC3 CARR: CRDTY Position              */
#define REMC3_CARR_CRDTY_Msk                  (0x000000ffUL << REMC3_CARR_CRDTY_Pos)                  /*!< REMC3 CARR: CRDTY Mask                  */

/* ---------------------------------  REMC3_CCTL  --------------------------------- */
#define REMC3_CCTL_CARREN_Pos                 0                                                       /*!< REMC3 CCTL: CARREN Position             */
#define REMC3_CCTL_CARREN_Msk                 (0x01UL << REMC3_CCTL_CARREN_Pos)                       /*!< REMC3 CCTL: CARREN Mask                 */
#define REMC3_CCTL_RESERVED_7_1_Pos           1                                                       /*!< REMC3 CCTL: RESERVED_7_1 Position       */
#define REMC3_CCTL_RESERVED_7_1_Msk           (0x7fUL << REMC3_CCTL_RESERVED_7_1_Pos)                 /*!< REMC3 CCTL: RESERVED_7_1 Mask           */
#define REMC3_CCTL_OUTINVEN_Pos               8                                                       /*!< REMC3 CCTL: OUTINVEN Position           */
#define REMC3_CCTL_OUTINVEN_Msk               (0x01UL << REMC3_CCTL_OUTINVEN_Pos)                     /*!< REMC3 CCTL: OUTINVEN Mask               */
#define REMC3_CCTL_RESERVED_15_9_Pos          9                                                       /*!< REMC3 CCTL: RESERVED_15_9 Position      */
#define REMC3_CCTL_RESERVED_15_9_Msk          (0x7fUL << REMC3_CCTL_RESERVED_15_9_Pos)                /*!< REMC3 CCTL: RESERVED_15_9 Mask          */


/* ================================================================================ */
/* ================         struct 'RFC_0' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  RFC_0_CLK  --------------------------------- */
#define RFC_0_CLK_CLKSRC_Pos                  0                                                       /*!< RFC_0 CLK: CLKSRC Position              */
#define RFC_0_CLK_CLKSRC_Msk                  (0x03UL << RFC_0_CLK_CLKSRC_Pos)                        /*!< RFC_0 CLK: CLKSRC Mask                  */
#define RFC_0_CLK_RESERVED_3_2_Pos            2                                                       /*!< RFC_0 CLK: RESERVED_3_2 Position        */
#define RFC_0_CLK_RESERVED_3_2_Msk            (0x03UL << RFC_0_CLK_RESERVED_3_2_Pos)                  /*!< RFC_0 CLK: RESERVED_3_2 Mask            */
#define RFC_0_CLK_CLKDIV_Pos                  4                                                       /*!< RFC_0 CLK: CLKDIV Position              */
#define RFC_0_CLK_CLKDIV_Msk                  (0x03UL << RFC_0_CLK_CLKDIV_Pos)                        /*!< RFC_0 CLK: CLKDIV Mask                  */
#define RFC_0_CLK_RESERVED_7_6_Pos            6                                                       /*!< RFC_0 CLK: RESERVED_7_6 Position        */
#define RFC_0_CLK_RESERVED_7_6_Msk            (0x03UL << RFC_0_CLK_RESERVED_7_6_Pos)                  /*!< RFC_0 CLK: RESERVED_7_6 Mask            */
#define RFC_0_CLK_DBRUN_Pos                   8                                                       /*!< RFC_0 CLK: DBRUN Position               */
#define RFC_0_CLK_DBRUN_Msk                   (0x01UL << RFC_0_CLK_DBRUN_Pos)                         /*!< RFC_0 CLK: DBRUN Mask                   */
#define RFC_0_CLK_RESERVED_15_9_Pos           9                                                       /*!< RFC_0 CLK: RESERVED_15_9 Position       */
#define RFC_0_CLK_RESERVED_15_9_Msk           (0x7fUL << RFC_0_CLK_RESERVED_15_9_Pos)                 /*!< RFC_0 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  RFC_0_CTL  --------------------------------- */
#define RFC_0_CTL_MODEN_Pos                   0                                                       /*!< RFC_0 CTL: MODEN Position               */
#define RFC_0_CTL_MODEN_Msk                   (0x01UL << RFC_0_CTL_MODEN_Pos)                         /*!< RFC_0 CTL: MODEN Mask                   */
#define RFC_0_CTL_RESERVED_3_1_Pos            1                                                       /*!< RFC_0 CTL: RESERVED_3_1 Position        */
#define RFC_0_CTL_RESERVED_3_1_Msk            (0x07UL << RFC_0_CTL_RESERVED_3_1_Pos)                  /*!< RFC_0 CTL: RESERVED_3_1 Mask            */
#define RFC_0_CTL_SMODE_Pos                   4                                                       /*!< RFC_0 CTL: SMODE Position               */
#define RFC_0_CTL_SMODE_Msk                   (0x01UL << RFC_0_CTL_SMODE_Pos)                         /*!< RFC_0 CTL: SMODE Mask                   */
#define RFC_0_CTL_RESERVED_5_5_Pos            5                                                       /*!< RFC_0 CTL: RESERVED_5_5 Position        */
#define RFC_0_CTL_RESERVED_5_5_Msk            (0x01UL << RFC_0_CTL_RESERVED_5_5_Pos)                  /*!< RFC_0 CTL: RESERVED_5_5 Mask            */
#define RFC_0_CTL_EVTEN_Pos                   6                                                       /*!< RFC_0 CTL: EVTEN Position               */
#define RFC_0_CTL_EVTEN_Msk                   (0x01UL << RFC_0_CTL_EVTEN_Pos)                         /*!< RFC_0 CTL: EVTEN Mask                   */
#define RFC_0_CTL_CONEN_Pos                   7                                                       /*!< RFC_0 CTL: CONEN Position               */
#define RFC_0_CTL_CONEN_Msk                   (0x01UL << RFC_0_CTL_CONEN_Pos)                         /*!< RFC_0 CTL: CONEN Mask                   */
#define RFC_0_CTL_RFCLKMD_Pos                 8                                                       /*!< RFC_0 CTL: RFCLKMD Position             */
#define RFC_0_CTL_RFCLKMD_Msk                 (0x01UL << RFC_0_CTL_RFCLKMD_Pos)                       /*!< RFC_0 CTL: RFCLKMD Mask                 */
#define RFC_0_CTL_RESERVED_15_9_Pos           9                                                       /*!< RFC_0 CTL: RESERVED_15_9 Position       */
#define RFC_0_CTL_RESERVED_15_9_Msk           (0x7fUL << RFC_0_CTL_RESERVED_15_9_Pos)                 /*!< RFC_0 CTL: RESERVED_15_9 Mask           */

/* ----------------------------------  RFC_0_TRG  --------------------------------- */
#define RFC_0_TRG_SREF_Pos                    0                                                       /*!< RFC_0 TRG: SREF Position                */
#define RFC_0_TRG_SREF_Msk                    (0x01UL << RFC_0_TRG_SREF_Pos)                          /*!< RFC_0 TRG: SREF Mask                    */
#define RFC_0_TRG_SSENA_Pos                   1                                                       /*!< RFC_0 TRG: SSENA Position               */
#define RFC_0_TRG_SSENA_Msk                   (0x01UL << RFC_0_TRG_SSENA_Pos)                         /*!< RFC_0 TRG: SSENA Mask                   */
#define RFC_0_TRG_SSENB_Pos                   2                                                       /*!< RFC_0 TRG: SSENB Position               */
#define RFC_0_TRG_SSENB_Msk                   (0x01UL << RFC_0_TRG_SSENB_Pos)                         /*!< RFC_0 TRG: SSENB Mask                   */
#define RFC_0_TRG_RESERVED_15_3_Pos           3                                                       /*!< RFC_0 TRG: RESERVED_15_3 Position       */
#define RFC_0_TRG_RESERVED_15_3_Msk           (0x00001fffUL << RFC_0_TRG_RESERVED_15_3_Pos)           /*!< RFC_0 TRG: RESERVED_15_3 Mask           */

/* ----------------------------------  RFC_0_MCL  --------------------------------- */
#define RFC_0_MCL_MC_Pos                      0                                                       /*!< RFC_0 MCL: MC Position                  */
#define RFC_0_MCL_MC_Msk                      (0x0000ffffUL << RFC_0_MCL_MC_Pos)                      /*!< RFC_0 MCL: MC Mask                      */

/* ----------------------------------  RFC_0_MCH  --------------------------------- */
#define RFC_0_MCH_MC_Pos                      0                                                       /*!< RFC_0 MCH: MC Position                  */
#define RFC_0_MCH_MC_Msk                      (0x000000ffUL << RFC_0_MCH_MC_Pos)                      /*!< RFC_0 MCH: MC Mask                      */
#define RFC_0_MCH_RESERVED_15_8_Pos           8                                                       /*!< RFC_0 MCH: RESERVED_15_8 Position       */
#define RFC_0_MCH_RESERVED_15_8_Msk           (0x000000ffUL << RFC_0_MCH_RESERVED_15_8_Pos)           /*!< RFC_0 MCH: RESERVED_15_8 Mask           */

/* ----------------------------------  RFC_0_TCL  --------------------------------- */
#define RFC_0_TCL_TC_Pos                      0                                                       /*!< RFC_0 TCL: TC Position                  */
#define RFC_0_TCL_TC_Msk                      (0x0000ffffUL << RFC_0_TCL_TC_Pos)                      /*!< RFC_0 TCL: TC Mask                      */

/* ----------------------------------  RFC_0_TCH  --------------------------------- */
#define RFC_0_TCH_TC_Pos                      0                                                       /*!< RFC_0 TCH: TC Position                  */
#define RFC_0_TCH_TC_Msk                      (0x000000ffUL << RFC_0_TCH_TC_Pos)                      /*!< RFC_0 TCH: TC Mask                      */
#define RFC_0_TCH_RESERVED_15_8_Pos           8                                                       /*!< RFC_0 TCH: RESERVED_15_8 Position       */
#define RFC_0_TCH_RESERVED_15_8_Msk           (0x000000ffUL << RFC_0_TCH_RESERVED_15_8_Pos)           /*!< RFC_0 TCH: RESERVED_15_8 Mask           */

/* ---------------------------------  RFC_0_INTF  --------------------------------- */
#define RFC_0_INTF_EREFIF_Pos                 0                                                       /*!< RFC_0 INTF: EREFIF Position             */
#define RFC_0_INTF_EREFIF_Msk                 (0x01UL << RFC_0_INTF_EREFIF_Pos)                       /*!< RFC_0 INTF: EREFIF Mask                 */
#define RFC_0_INTF_ESENAIF_Pos                1                                                       /*!< RFC_0 INTF: ESENAIF Position            */
#define RFC_0_INTF_ESENAIF_Msk                (0x01UL << RFC_0_INTF_ESENAIF_Pos)                      /*!< RFC_0 INTF: ESENAIF Mask                */
#define RFC_0_INTF_ESENBIF_Pos                2                                                       /*!< RFC_0 INTF: ESENBIF Position            */
#define RFC_0_INTF_ESENBIF_Msk                (0x01UL << RFC_0_INTF_ESENBIF_Pos)                      /*!< RFC_0 INTF: ESENBIF Mask                */
#define RFC_0_INTF_OVMCIF_Pos                 3                                                       /*!< RFC_0 INTF: OVMCIF Position             */
#define RFC_0_INTF_OVMCIF_Msk                 (0x01UL << RFC_0_INTF_OVMCIF_Pos)                       /*!< RFC_0 INTF: OVMCIF Mask                 */
#define RFC_0_INTF_OVTCIF_Pos                 4                                                       /*!< RFC_0 INTF: OVTCIF Position             */
#define RFC_0_INTF_OVTCIF_Msk                 (0x01UL << RFC_0_INTF_OVTCIF_Pos)                       /*!< RFC_0 INTF: OVTCIF Mask                 */
#define RFC_0_INTF_RESERVED_15_5_Pos          5                                                       /*!< RFC_0 INTF: RESERVED_15_5 Position      */
#define RFC_0_INTF_RESERVED_15_5_Msk          (0x000007ffUL << RFC_0_INTF_RESERVED_15_5_Pos)          /*!< RFC_0 INTF: RESERVED_15_5 Mask          */

/* ---------------------------------  RFC_0_INTE  --------------------------------- */
#define RFC_0_INTE_EREFIE_Pos                 0                                                       /*!< RFC_0 INTE: EREFIE Position             */
#define RFC_0_INTE_EREFIE_Msk                 (0x01UL << RFC_0_INTE_EREFIE_Pos)                       /*!< RFC_0 INTE: EREFIE Mask                 */
#define RFC_0_INTE_ESENAIE_Pos                1                                                       /*!< RFC_0 INTE: ESENAIE Position            */
#define RFC_0_INTE_ESENAIE_Msk                (0x01UL << RFC_0_INTE_ESENAIE_Pos)                      /*!< RFC_0 INTE: ESENAIE Mask                */
#define RFC_0_INTE_ESENBIE_Pos                2                                                       /*!< RFC_0 INTE: ESENBIE Position            */
#define RFC_0_INTE_ESENBIE_Msk                (0x01UL << RFC_0_INTE_ESENBIE_Pos)                      /*!< RFC_0 INTE: ESENBIE Mask                */
#define RFC_0_INTE_OVMCIE_Pos                 3                                                       /*!< RFC_0 INTE: OVMCIE Position             */
#define RFC_0_INTE_OVMCIE_Msk                 (0x01UL << RFC_0_INTE_OVMCIE_Pos)                       /*!< RFC_0 INTE: OVMCIE Mask                 */
#define RFC_0_INTE_OVTCIE_Pos                 4                                                       /*!< RFC_0 INTE: OVTCIE Position             */
#define RFC_0_INTE_OVTCIE_Msk                 (0x01UL << RFC_0_INTE_OVTCIE_Pos)                       /*!< RFC_0 INTE: OVTCIE Mask                 */
#define RFC_0_INTE_RESERVED_15_5_Pos          5                                                       /*!< RFC_0 INTE: RESERVED_15_5 Position      */
#define RFC_0_INTE_RESERVED_15_5_Msk          (0x000007ffUL << RFC_0_INTE_RESERVED_15_5_Pos)          /*!< RFC_0 INTE: RESERVED_15_5 Mask          */


/* ================================================================================ */
/* ================          struct 'RTCA' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  RTCA_CTLL  --------------------------------- */
#define RTCA_CTLL_RTCRUN_Pos                  0                                                       /*!< RTCA CTLL: RTCRUN Position              */
#define RTCA_CTLL_RTCRUN_Msk                  (0x01UL << RTCA_CTLL_RTCRUN_Pos)                        /*!< RTCA CTLL: RTCRUN Mask                  */
#define RTCA_CTLL_RTCRST_Pos                  1                                                       /*!< RTCA CTLL: RTCRST Position              */
#define RTCA_CTLL_RTCRST_Msk                  (0x01UL << RTCA_CTLL_RTCRST_Pos)                        /*!< RTCA CTLL: RTCRST Mask                  */
#define RTCA_CTLL_RTCADJ_Pos                  2                                                       /*!< RTCA CTLL: RTCADJ Position              */
#define RTCA_CTLL_RTCADJ_Msk                  (0x01UL << RTCA_CTLL_RTCADJ_Pos)                        /*!< RTCA CTLL: RTCADJ Mask                  */
#define RTCA_CTLL_RESERVED_3_Pos              3                                                       /*!< RTCA CTLL: RESERVED_3 Position          */
#define RTCA_CTLL_RESERVED_3_Msk              (0x01UL << RTCA_CTLL_RESERVED_3_Pos)                    /*!< RTCA CTLL: RESERVED_3 Mask              */
#define RTCA_CTLL_RTC24H_Pos                  4                                                       /*!< RTCA CTLL: RTC24H Position              */
#define RTCA_CTLL_RTC24H_Msk                  (0x01UL << RTCA_CTLL_RTC24H_Pos)                        /*!< RTCA CTLL: RTC24H Mask                  */
#define RTCA_CTLL_RTCHLD_Pos                  5                                                       /*!< RTCA CTLL: RTCHLD Position              */
#define RTCA_CTLL_RTCHLD_Msk                  (0x01UL << RTCA_CTLL_RTCHLD_Pos)                        /*!< RTCA CTLL: RTCHLD Mask                  */
#define RTCA_CTLL_RTCBSY_Pos                  6                                                       /*!< RTCA CTLL: RTCBSY Position              */
#define RTCA_CTLL_RTCBSY_Msk                  (0x01UL << RTCA_CTLL_RTCBSY_Pos)                        /*!< RTCA CTLL: RTCBSY Mask                  */
#define RTCA_CTLL_RESERVED_7_Pos              7                                                       /*!< RTCA CTLL: RESERVED_7 Position          */
#define RTCA_CTLL_RESERVED_7_Msk              (0x01UL << RTCA_CTLL_RESERVED_7_Pos)                    /*!< RTCA CTLL: RESERVED_7 Mask              */

/* ----------------------------------  RTCA_CTLH  --------------------------------- */
#define RTCA_CTLH_RTCTRM_Pos                  0                                                       /*!< RTCA CTLH: RTCTRM Position              */
#define RTCA_CTLH_RTCTRM_Msk                  (0x7fUL << RTCA_CTLH_RTCTRM_Pos)                        /*!< RTCA CTLH: RTCTRM Mask                  */
#define RTCA_CTLH_RTCTRMBSY_Pos               7                                                       /*!< RTCA CTLH: RTCTRMBSY Position           */
#define RTCA_CTLH_RTCTRMBSY_Msk               (0x01UL << RTCA_CTLH_RTCTRMBSY_Pos)                     /*!< RTCA CTLH: RTCTRMBSY Mask               */

/* ----------------------------------  RTCA_ALM1  --------------------------------- */
#define RTCA_ALM1_RESERVED_7_0_Pos            0                                                       /*!< RTCA ALM1: RESERVED_7_0 Position        */
#define RTCA_ALM1_RESERVED_7_0_Msk            (0x000000ffUL << RTCA_ALM1_RESERVED_7_0_Pos)            /*!< RTCA ALM1: RESERVED_7_0 Mask            */
#define RTCA_ALM1_RTCSLA_Pos                  8                                                       /*!< RTCA ALM1: RTCSLA Position              */
#define RTCA_ALM1_RTCSLA_Msk                  (0x0fUL << RTCA_ALM1_RTCSLA_Pos)                        /*!< RTCA ALM1: RTCSLA Mask                  */
#define RTCA_ALM1_RTCSHA_Pos                  12                                                      /*!< RTCA ALM1: RTCSHA Position              */
#define RTCA_ALM1_RTCSHA_Msk                  (0x07UL << RTCA_ALM1_RTCSHA_Pos)                        /*!< RTCA ALM1: RTCSHA Mask                  */
#define RTCA_ALM1_RESERVED_15_Pos             15                                                      /*!< RTCA ALM1: RESERVED_15 Position         */
#define RTCA_ALM1_RESERVED_15_Msk             (0x01UL << RTCA_ALM1_RESERVED_15_Pos)                   /*!< RTCA ALM1: RESERVED_15 Mask             */

/* ----------------------------------  RTCA_ALM2  --------------------------------- */
#define RTCA_ALM2_RTCMILA_Pos                 0                                                       /*!< RTCA ALM2: RTCMILA Position             */
#define RTCA_ALM2_RTCMILA_Msk                 (0x0fUL << RTCA_ALM2_RTCMILA_Pos)                       /*!< RTCA ALM2: RTCMILA Mask                 */
#define RTCA_ALM2_RTCMIHA_Pos                 4                                                       /*!< RTCA ALM2: RTCMIHA Position             */
#define RTCA_ALM2_RTCMIHA_Msk                 (0x07UL << RTCA_ALM2_RTCMIHA_Pos)                       /*!< RTCA ALM2: RTCMIHA Mask                 */
#define RTCA_ALM2_RESERVED_7_Pos              7                                                       /*!< RTCA ALM2: RESERVED_7 Position          */
#define RTCA_ALM2_RESERVED_7_Msk              (0x01UL << RTCA_ALM2_RESERVED_7_Pos)                    /*!< RTCA ALM2: RESERVED_7 Mask              */
#define RTCA_ALM2_RTCHLA_Pos                  8                                                       /*!< RTCA ALM2: RTCHLA Position              */
#define RTCA_ALM2_RTCHLA_Msk                  (0x0fUL << RTCA_ALM2_RTCHLA_Pos)                        /*!< RTCA ALM2: RTCHLA Mask                  */
#define RTCA_ALM2_RTCHHA_Pos                  12                                                      /*!< RTCA ALM2: RTCHHA Position              */
#define RTCA_ALM2_RTCHHA_Msk                  (0x03UL << RTCA_ALM2_RTCHHA_Pos)                        /*!< RTCA ALM2: RTCHHA Mask                  */
#define RTCA_ALM2_RTCAPA_Pos                  14                                                      /*!< RTCA ALM2: RTCAPA Position              */
#define RTCA_ALM2_RTCAPA_Msk                  (0x01UL << RTCA_ALM2_RTCAPA_Pos)                        /*!< RTCA ALM2: RTCAPA Mask                  */
#define RTCA_ALM2_RESERVED_15_Pos             15                                                      /*!< RTCA ALM2: RESERVED_15 Position         */
#define RTCA_ALM2_RESERVED_15_Msk             (0x01UL << RTCA_ALM2_RESERVED_15_Pos)                   /*!< RTCA ALM2: RESERVED_15 Mask             */

/* ---------------------------------  RTCA_SWCTL  --------------------------------- */
#define RTCA_SWCTL_SWRUN_Pos                  0                                                       /*!< RTCA SWCTL: SWRUN Position              */
#define RTCA_SWCTL_SWRUN_Msk                  (0x01UL << RTCA_SWCTL_SWRUN_Pos)                        /*!< RTCA SWCTL: SWRUN Mask                  */
#define RTCA_SWCTL_RESERVED_3_1_Pos           1                                                       /*!< RTCA SWCTL: RESERVED_3_1 Position       */
#define RTCA_SWCTL_RESERVED_3_1_Msk           (0x07UL << RTCA_SWCTL_RESERVED_3_1_Pos)                 /*!< RTCA SWCTL: RESERVED_3_1 Mask           */
#define RTCA_SWCTL_SWRST_Pos                  4                                                       /*!< RTCA SWCTL: SWRST Position              */
#define RTCA_SWCTL_SWRST_Msk                  (0x01UL << RTCA_SWCTL_SWRST_Pos)                        /*!< RTCA SWCTL: SWRST Mask                  */
#define RTCA_SWCTL_RESERVED_7_5_Pos           5                                                       /*!< RTCA SWCTL: RESERVED_7_5 Position       */
#define RTCA_SWCTL_RESERVED_7_5_Msk           (0x07UL << RTCA_SWCTL_RESERVED_7_5_Pos)                 /*!< RTCA SWCTL: RESERVED_7_5 Mask           */
#define RTCA_SWCTL_BCD100_Pos                 8                                                       /*!< RTCA SWCTL: BCD100 Position             */
#define RTCA_SWCTL_BCD100_Msk                 (0x0fUL << RTCA_SWCTL_BCD100_Pos)                       /*!< RTCA SWCTL: BCD100 Mask                 */
#define RTCA_SWCTL_BCD10_Pos                  12                                                      /*!< RTCA SWCTL: BCD10 Position              */
#define RTCA_SWCTL_BCD10_Msk                  (0x0fUL << RTCA_SWCTL_BCD10_Pos)                        /*!< RTCA SWCTL: BCD10 Mask                  */

/* ----------------------------------  RTCA_SEC  ---------------------------------- */
#define RTCA_SEC_RTC128HZ_Pos                 0                                                       /*!< RTCA SEC: RTC128HZ Position             */
#define RTCA_SEC_RTC128HZ_Msk                 (0x01UL << RTCA_SEC_RTC128HZ_Pos)                       /*!< RTCA SEC: RTC128HZ Mask                 */
#define RTCA_SEC_RTC64HZ_Pos                  1                                                       /*!< RTCA SEC: RTC64HZ Position              */
#define RTCA_SEC_RTC64HZ_Msk                  (0x01UL << RTCA_SEC_RTC64HZ_Pos)                        /*!< RTCA SEC: RTC64HZ Mask                  */
#define RTCA_SEC_RTC32HZ_Pos                  2                                                       /*!< RTCA SEC: RTC32HZ Position              */
#define RTCA_SEC_RTC32HZ_Msk                  (0x01UL << RTCA_SEC_RTC32HZ_Pos)                        /*!< RTCA SEC: RTC32HZ Mask                  */
#define RTCA_SEC_RTC16HZ_Pos                  3                                                       /*!< RTCA SEC: RTC16HZ Position              */
#define RTCA_SEC_RTC16HZ_Msk                  (0x01UL << RTCA_SEC_RTC16HZ_Pos)                        /*!< RTCA SEC: RTC16HZ Mask                  */
#define RTCA_SEC_RTC8HZ_Pos                   4                                                       /*!< RTCA SEC: RTC8HZ Position               */
#define RTCA_SEC_RTC8HZ_Msk                   (0x01UL << RTCA_SEC_RTC8HZ_Pos)                         /*!< RTCA SEC: RTC8HZ Mask                   */
#define RTCA_SEC_RTC4HZ_Pos                   5                                                       /*!< RTCA SEC: RTC4HZ Position               */
#define RTCA_SEC_RTC4HZ_Msk                   (0x01UL << RTCA_SEC_RTC4HZ_Pos)                         /*!< RTCA SEC: RTC4HZ Mask                   */
#define RTCA_SEC_RTC2HZ_Pos                   6                                                       /*!< RTCA SEC: RTC2HZ Position               */
#define RTCA_SEC_RTC2HZ_Msk                   (0x01UL << RTCA_SEC_RTC2HZ_Pos)                         /*!< RTCA SEC: RTC2HZ Mask                   */
#define RTCA_SEC_RTC1HZ_Pos                   7                                                       /*!< RTCA SEC: RTC1HZ Position               */
#define RTCA_SEC_RTC1HZ_Msk                   (0x01UL << RTCA_SEC_RTC1HZ_Pos)                         /*!< RTCA SEC: RTC1HZ Mask                   */
#define RTCA_SEC_RTCSL_Pos                    8                                                       /*!< RTCA SEC: RTCSL Position                */
#define RTCA_SEC_RTCSL_Msk                    (0x0fUL << RTCA_SEC_RTCSL_Pos)                          /*!< RTCA SEC: RTCSL Mask                    */
#define RTCA_SEC_RTCSH_Pos                    12                                                      /*!< RTCA SEC: RTCSH Position                */
#define RTCA_SEC_RTCSH_Msk                    (0x07UL << RTCA_SEC_RTCSH_Pos)                          /*!< RTCA SEC: RTCSH Mask                    */
#define RTCA_SEC_RESERVED_15_Pos              15                                                      /*!< RTCA SEC: RESERVED_15 Position          */
#define RTCA_SEC_RESERVED_15_Msk              (0x01UL << RTCA_SEC_RESERVED_15_Pos)                    /*!< RTCA SEC: RESERVED_15 Mask              */

/* ----------------------------------  RTCA_HUR  ---------------------------------- */
#define RTCA_HUR_RTCMIL_Pos                   0                                                       /*!< RTCA HUR: RTCMIL Position               */
#define RTCA_HUR_RTCMIL_Msk                   (0x0fUL << RTCA_HUR_RTCMIL_Pos)                         /*!< RTCA HUR: RTCMIL Mask                   */
#define RTCA_HUR_RTCMIH_Pos                   4                                                       /*!< RTCA HUR: RTCMIH Position               */
#define RTCA_HUR_RTCMIH_Msk                   (0x07UL << RTCA_HUR_RTCMIH_Pos)                         /*!< RTCA HUR: RTCMIH Mask                   */
#define RTCA_HUR_RESERVED_7_Pos               7                                                       /*!< RTCA HUR: RESERVED_7 Position           */
#define RTCA_HUR_RESERVED_7_Msk               (0x01UL << RTCA_HUR_RESERVED_7_Pos)                     /*!< RTCA HUR: RESERVED_7 Mask               */
#define RTCA_HUR_RTCHL_Pos                    8                                                       /*!< RTCA HUR: RTCHL Position                */
#define RTCA_HUR_RTCHL_Msk                    (0x0fUL << RTCA_HUR_RTCHL_Pos)                          /*!< RTCA HUR: RTCHL Mask                    */
#define RTCA_HUR_RTCHH_Pos                    12                                                      /*!< RTCA HUR: RTCHH Position                */
#define RTCA_HUR_RTCHH_Msk                    (0x03UL << RTCA_HUR_RTCHH_Pos)                          /*!< RTCA HUR: RTCHH Mask                    */
#define RTCA_HUR_RTCAP_Pos                    14                                                      /*!< RTCA HUR: RTCAP Position                */
#define RTCA_HUR_RTCAP_Msk                    (0x01UL << RTCA_HUR_RTCAP_Pos)                          /*!< RTCA HUR: RTCAP Mask                    */
#define RTCA_HUR_RESERVED_15_Pos              15                                                      /*!< RTCA HUR: RESERVED_15 Position          */
#define RTCA_HUR_RESERVED_15_Msk              (0x01UL << RTCA_HUR_RESERVED_15_Pos)                    /*!< RTCA HUR: RESERVED_15 Mask              */

/* ----------------------------------  RTCA_MON  ---------------------------------- */
#define RTCA_MON_RTCDL_Pos                    0                                                       /*!< RTCA MON: RTCDL Position                */
#define RTCA_MON_RTCDL_Msk                    (0x0fUL << RTCA_MON_RTCDL_Pos)                          /*!< RTCA MON: RTCDL Mask                    */
#define RTCA_MON_RTCDH_Pos                    4                                                       /*!< RTCA MON: RTCDH Position                */
#define RTCA_MON_RTCDH_Msk                    (0x03UL << RTCA_MON_RTCDH_Pos)                          /*!< RTCA MON: RTCDH Mask                    */
#define RTCA_MON_RESERVED_7_6_Pos             6                                                       /*!< RTCA MON: RESERVED_7_6 Position         */
#define RTCA_MON_RESERVED_7_6_Msk             (0x03UL << RTCA_MON_RESERVED_7_6_Pos)                   /*!< RTCA MON: RESERVED_7_6 Mask             */
#define RTCA_MON_RTCMOL_Pos                   8                                                       /*!< RTCA MON: RTCMOL Position               */
#define RTCA_MON_RTCMOL_Msk                   (0x0fUL << RTCA_MON_RTCMOL_Pos)                         /*!< RTCA MON: RTCMOL Mask                   */
#define RTCA_MON_RTCMOH_Pos                   12                                                      /*!< RTCA MON: RTCMOH Position               */
#define RTCA_MON_RTCMOH_Msk                   (0x01UL << RTCA_MON_RTCMOH_Pos)                         /*!< RTCA MON: RTCMOH Mask                   */
#define RTCA_MON_RESERVED_15_13_Pos           13                                                      /*!< RTCA MON: RESERVED_15_13 Position       */
#define RTCA_MON_RESERVED_15_13_Msk           (0x07UL << RTCA_MON_RESERVED_15_13_Pos)                 /*!< RTCA MON: RESERVED_15_13 Mask           */

/* ----------------------------------  RTCA_YAR  ---------------------------------- */
#define RTCA_YAR_RTCYL_Pos                    0                                                       /*!< RTCA YAR: RTCYL Position                */
#define RTCA_YAR_RTCYL_Msk                    (0x0fUL << RTCA_YAR_RTCYL_Pos)                          /*!< RTCA YAR: RTCYL Mask                    */
#define RTCA_YAR_RTCYH_Pos                    4                                                       /*!< RTCA YAR: RTCYH Position                */
#define RTCA_YAR_RTCYH_Msk                    (0x0fUL << RTCA_YAR_RTCYH_Pos)                          /*!< RTCA YAR: RTCYH Mask                    */
#define RTCA_YAR_RTCWK_Pos                    8                                                       /*!< RTCA YAR: RTCWK Position                */
#define RTCA_YAR_RTCWK_Msk                    (0x07UL << RTCA_YAR_RTCWK_Pos)                          /*!< RTCA YAR: RTCWK Mask                    */
#define RTCA_YAR_RESERVED_15_11_Pos           11                                                      /*!< RTCA YAR: RESERVED_15_11 Position       */
#define RTCA_YAR_RESERVED_15_11_Msk           (0x1fUL << RTCA_YAR_RESERVED_15_11_Pos)                 /*!< RTCA YAR: RESERVED_15_11 Mask           */

/* ----------------------------------  RTCA_INTF  --------------------------------- */
#define RTCA_INTF_T1_32SECIF_Pos              0                                                       /*!< RTCA INTF: T1_32SECIF Position          */
#define RTCA_INTF_T1_32SECIF_Msk              (0x01UL << RTCA_INTF_T1_32SECIF_Pos)                    /*!< RTCA INTF: T1_32SECIF Mask              */
#define RTCA_INTF_T1_8SECIF_Pos               1                                                       /*!< RTCA INTF: T1_8SECIF Position           */
#define RTCA_INTF_T1_8SECIF_Msk               (0x01UL << RTCA_INTF_T1_8SECIF_Pos)                     /*!< RTCA INTF: T1_8SECIF Mask               */
#define RTCA_INTF_T1_4SECIF_Pos               2                                                       /*!< RTCA INTF: T1_4SECIF Position           */
#define RTCA_INTF_T1_4SECIF_Msk               (0x01UL << RTCA_INTF_T1_4SECIF_Pos)                     /*!< RTCA INTF: T1_4SECIF Mask               */
#define RTCA_INTF_T1_2SECIF_Pos               3                                                       /*!< RTCA INTF: T1_2SECIF Position           */
#define RTCA_INTF_T1_2SECIF_Msk               (0x01UL << RTCA_INTF_T1_2SECIF_Pos)                     /*!< RTCA INTF: T1_2SECIF Mask               */
#define RTCA_INTF_T1SECIF_Pos                 4                                                       /*!< RTCA INTF: T1SECIF Position             */
#define RTCA_INTF_T1SECIF_Msk                 (0x01UL << RTCA_INTF_T1SECIF_Pos)                       /*!< RTCA INTF: T1SECIF Mask                 */
#define RTCA_INTF_T1MINIF_Pos                 5                                                       /*!< RTCA INTF: T1MINIF Position             */
#define RTCA_INTF_T1MINIF_Msk                 (0x01UL << RTCA_INTF_T1MINIF_Pos)                       /*!< RTCA INTF: T1MINIF Mask                 */
#define RTCA_INTF_T1HURIF_Pos                 6                                                       /*!< RTCA INTF: T1HURIF Position             */
#define RTCA_INTF_T1HURIF_Msk                 (0x01UL << RTCA_INTF_T1HURIF_Pos)                       /*!< RTCA INTF: T1HURIF Mask                 */
#define RTCA_INTF_T1DAYIF_Pos                 7                                                       /*!< RTCA INTF: T1DAYIF Position             */
#define RTCA_INTF_T1DAYIF_Msk                 (0x01UL << RTCA_INTF_T1DAYIF_Pos)                       /*!< RTCA INTF: T1DAYIF Mask                 */
#define RTCA_INTF_ALARMIF_Pos                 8                                                       /*!< RTCA INTF: ALARMIF Position             */
#define RTCA_INTF_ALARMIF_Msk                 (0x01UL << RTCA_INTF_ALARMIF_Pos)                       /*!< RTCA INTF: ALARMIF Mask                 */
#define RTCA_INTF_RESERVED_11_9_Pos           9                                                       /*!< RTCA INTF: RESERVED_11_9 Position       */
#define RTCA_INTF_RESERVED_11_9_Msk           (0x07UL << RTCA_INTF_RESERVED_11_9_Pos)                 /*!< RTCA INTF: RESERVED_11_9 Mask           */
#define RTCA_INTF_SW100IF_Pos                 12                                                      /*!< RTCA INTF: SW100IF Position             */
#define RTCA_INTF_SW100IF_Msk                 (0x01UL << RTCA_INTF_SW100IF_Pos)                       /*!< RTCA INTF: SW100IF Mask                 */
#define RTCA_INTF_SW10IF_Pos                  13                                                      /*!< RTCA INTF: SW10IF Position              */
#define RTCA_INTF_SW10IF_Msk                  (0x01UL << RTCA_INTF_SW10IF_Pos)                        /*!< RTCA INTF: SW10IF Mask                  */
#define RTCA_INTF_SW1IF_Pos                   14                                                      /*!< RTCA INTF: SW1IF Position               */
#define RTCA_INTF_SW1IF_Msk                   (0x01UL << RTCA_INTF_SW1IF_Pos)                         /*!< RTCA INTF: SW1IF Mask                   */
#define RTCA_INTF_RTCTRMIF_Pos                15                                                      /*!< RTCA INTF: RTCTRMIF Position            */
#define RTCA_INTF_RTCTRMIF_Msk                (0x01UL << RTCA_INTF_RTCTRMIF_Pos)                      /*!< RTCA INTF: RTCTRMIF Mask                */

/* ----------------------------------  RTCA_INTE  --------------------------------- */
#define RTCA_INTE_T1_32SECIE_Pos              0                                                       /*!< RTCA INTE: T1_32SECIE Position          */
#define RTCA_INTE_T1_32SECIE_Msk              (0x01UL << RTCA_INTE_T1_32SECIE_Pos)                    /*!< RTCA INTE: T1_32SECIE Mask              */
#define RTCA_INTE_T1_8SECIE_Pos               1                                                       /*!< RTCA INTE: T1_8SECIE Position           */
#define RTCA_INTE_T1_8SECIE_Msk               (0x01UL << RTCA_INTE_T1_8SECIE_Pos)                     /*!< RTCA INTE: T1_8SECIE Mask               */
#define RTCA_INTE_T1_4SECIE_Pos               2                                                       /*!< RTCA INTE: T1_4SECIE Position           */
#define RTCA_INTE_T1_4SECIE_Msk               (0x01UL << RTCA_INTE_T1_4SECIE_Pos)                     /*!< RTCA INTE: T1_4SECIE Mask               */
#define RTCA_INTE_T1_2SECIE_Pos               3                                                       /*!< RTCA INTE: T1_2SECIE Position           */
#define RTCA_INTE_T1_2SECIE_Msk               (0x01UL << RTCA_INTE_T1_2SECIE_Pos)                     /*!< RTCA INTE: T1_2SECIE Mask               */
#define RTCA_INTE_T1SECIE_Pos                 4                                                       /*!< RTCA INTE: T1SECIE Position             */
#define RTCA_INTE_T1SECIE_Msk                 (0x01UL << RTCA_INTE_T1SECIE_Pos)                       /*!< RTCA INTE: T1SECIE Mask                 */
#define RTCA_INTE_T1MINIE_Pos                 5                                                       /*!< RTCA INTE: T1MINIE Position             */
#define RTCA_INTE_T1MINIE_Msk                 (0x01UL << RTCA_INTE_T1MINIE_Pos)                       /*!< RTCA INTE: T1MINIE Mask                 */
#define RTCA_INTE_T1HURIE_Pos                 6                                                       /*!< RTCA INTE: T1HURIE Position             */
#define RTCA_INTE_T1HURIE_Msk                 (0x01UL << RTCA_INTE_T1HURIE_Pos)                       /*!< RTCA INTE: T1HURIE Mask                 */
#define RTCA_INTE_T1DAYIE_Pos                 7                                                       /*!< RTCA INTE: T1DAYIE Position             */
#define RTCA_INTE_T1DAYIE_Msk                 (0x01UL << RTCA_INTE_T1DAYIE_Pos)                       /*!< RTCA INTE: T1DAYIE Mask                 */
#define RTCA_INTE_ALARMIE_Pos                 8                                                       /*!< RTCA INTE: ALARMIE Position             */
#define RTCA_INTE_ALARMIE_Msk                 (0x01UL << RTCA_INTE_ALARMIE_Pos)                       /*!< RTCA INTE: ALARMIE Mask                 */
#define RTCA_INTE_RESERVED_11_9_Pos           9                                                       /*!< RTCA INTE: RESERVED_11_9 Position       */
#define RTCA_INTE_RESERVED_11_9_Msk           (0x07UL << RTCA_INTE_RESERVED_11_9_Pos)                 /*!< RTCA INTE: RESERVED_11_9 Mask           */
#define RTCA_INTE_SW100IE_Pos                 12                                                      /*!< RTCA INTE: SW100IE Position             */
#define RTCA_INTE_SW100IE_Msk                 (0x01UL << RTCA_INTE_SW100IE_Pos)                       /*!< RTCA INTE: SW100IE Mask                 */
#define RTCA_INTE_SW10IE_Pos                  13                                                      /*!< RTCA INTE: SW10IE Position              */
#define RTCA_INTE_SW10IE_Msk                  (0x01UL << RTCA_INTE_SW10IE_Pos)                        /*!< RTCA INTE: SW10IE Mask                  */
#define RTCA_INTE_SW1IE_Pos                   14                                                      /*!< RTCA INTE: SW1IE Position               */
#define RTCA_INTE_SW1IE_Msk                   (0x01UL << RTCA_INTE_SW1IE_Pos)                         /*!< RTCA INTE: SW1IE Mask                   */
#define RTCA_INTE_RTCTRMIE_Pos                15                                                      /*!< RTCA INTE: RTCTRMIE Position            */
#define RTCA_INTE_RTCTRMIE_Msk                (0x01UL << RTCA_INTE_RTCTRMIE_Pos)                      /*!< RTCA INTE: RTCTRMIE Mask                */


/* ================================================================================ */
/* ================          struct 'SNDA' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  SNDA_CLK  ---------------------------------- */
#define SNDA_CLK_CLKSRC_Pos                   0                                                       /*!< SNDA CLK: CLKSRC Position               */
#define SNDA_CLK_CLKSRC_Msk                   (0x03UL << SNDA_CLK_CLKSRC_Pos)                         /*!< SNDA CLK: CLKSRC Mask                   */
#define SNDA_CLK_RESERVED_3_2_Pos             2                                                       /*!< SNDA CLK: RESERVED_3_2 Position         */
#define SNDA_CLK_RESERVED_3_2_Msk             (0x03UL << SNDA_CLK_RESERVED_3_2_Pos)                   /*!< SNDA CLK: RESERVED_3_2 Mask             */
#define SNDA_CLK_CLKDIV_Pos                   4                                                       /*!< SNDA CLK: CLKDIV Position               */
#define SNDA_CLK_CLKDIV_Msk                   (0x07UL << SNDA_CLK_CLKDIV_Pos)                         /*!< SNDA CLK: CLKDIV Mask                   */
#define SNDA_CLK_RESERVED_7_7_Pos             7                                                       /*!< SNDA CLK: RESERVED_7_7 Position         */
#define SNDA_CLK_RESERVED_7_7_Msk             (0x01UL << SNDA_CLK_RESERVED_7_7_Pos)                   /*!< SNDA CLK: RESERVED_7_7 Mask             */
#define SNDA_CLK_DBRUN_Pos                    8                                                       /*!< SNDA CLK: DBRUN Position                */
#define SNDA_CLK_DBRUN_Msk                    (0x01UL << SNDA_CLK_DBRUN_Pos)                          /*!< SNDA CLK: DBRUN Mask                    */
#define SNDA_CLK_RESERVED_15_9_Pos            9                                                       /*!< SNDA CLK: RESERVED_15_9 Position        */
#define SNDA_CLK_RESERVED_15_9_Msk            (0x7fUL << SNDA_CLK_RESERVED_15_9_Pos)                  /*!< SNDA CLK: RESERVED_15_9 Mask            */

/* ----------------------------------  SNDA_SEL  ---------------------------------- */
#define SNDA_SEL_MOSEL_Pos                    0                                                       /*!< SNDA SEL: MOSEL Position                */
#define SNDA_SEL_MOSEL_Msk                    (0x03UL << SNDA_SEL_MOSEL_Pos)                          /*!< SNDA SEL: MOSEL Mask                    */
#define SNDA_SEL_SINV_Pos                     2                                                       /*!< SNDA SEL: SINV Position                 */
#define SNDA_SEL_SINV_Msk                     (0x01UL << SNDA_SEL_SINV_Pos)                           /*!< SNDA SEL: SINV Mask                     */
#define SNDA_SEL_RESERVED_7_3_Pos             3                                                       /*!< SNDA SEL: RESERVED_7_3 Position         */
#define SNDA_SEL_RESERVED_7_3_Msk             (0x1fUL << SNDA_SEL_RESERVED_7_3_Pos)                   /*!< SNDA SEL: RESERVED_7_3 Mask             */
#define SNDA_SEL_STIM_Pos                     8                                                       /*!< SNDA SEL: STIM Position                 */
#define SNDA_SEL_STIM_Msk                     (0x0fUL << SNDA_SEL_STIM_Pos)                           /*!< SNDA SEL: STIM Mask                     */
#define SNDA_SEL_RESERVED_15_12_Pos           12                                                      /*!< SNDA SEL: RESERVED_15_12 Position       */
#define SNDA_SEL_RESERVED_15_12_Msk           (0x0fUL << SNDA_SEL_RESERVED_15_12_Pos)                 /*!< SNDA SEL: RESERVED_15_12 Mask           */

/* ----------------------------------  SNDA_CTL  ---------------------------------- */
#define SNDA_CTL_MODEN_Pos                    0                                                       /*!< SNDA CTL: MODEN Position                */
#define SNDA_CTL_MODEN_Msk                    (0x01UL << SNDA_CTL_MODEN_Pos)                          /*!< SNDA CTL: MODEN Mask                    */
#define SNDA_CTL_RESERVED_7_1_Pos             1                                                       /*!< SNDA CTL: RESERVED_7_1 Position         */
#define SNDA_CTL_RESERVED_7_1_Msk             (0x7fUL << SNDA_CTL_RESERVED_7_1_Pos)                   /*!< SNDA CTL: RESERVED_7_1 Mask             */
#define SNDA_CTL_SSTP_Pos                     8                                                       /*!< SNDA CTL: SSTP Position                 */
#define SNDA_CTL_SSTP_Msk                     (0x01UL << SNDA_CTL_SSTP_Pos)                           /*!< SNDA CTL: SSTP Mask                     */
#define SNDA_CTL_RESERVED_15_9_Pos            9                                                       /*!< SNDA CTL: RESERVED_15_9 Position        */
#define SNDA_CTL_RESERVED_15_9_Msk            (0x7fUL << SNDA_CTL_RESERVED_15_9_Pos)                  /*!< SNDA CTL: RESERVED_15_9 Mask            */

/* ----------------------------------  SNDA_DAT  ---------------------------------- */
#define SNDA_DAT_SFRQ_Pos                     0                                                       /*!< SNDA DAT: SFRQ Position                 */
#define SNDA_DAT_SFRQ_Msk                     (0x000000ffUL << SNDA_DAT_SFRQ_Pos)                     /*!< SNDA DAT: SFRQ Mask                     */
#define SNDA_DAT_SLEN_Pos                     8                                                       /*!< SNDA DAT: SLEN Position                 */
#define SNDA_DAT_SLEN_Msk                     (0x3fUL << SNDA_DAT_SLEN_Pos)                           /*!< SNDA DAT: SLEN Mask                     */
#define SNDA_DAT_MDRS_Pos                     14                                                      /*!< SNDA DAT: MDRS Position                 */
#define SNDA_DAT_MDRS_Msk                     (0x01UL << SNDA_DAT_MDRS_Pos)                           /*!< SNDA DAT: MDRS Mask                     */
#define SNDA_DAT_MDTI_Pos                     15                                                      /*!< SNDA DAT: MDTI Position                 */
#define SNDA_DAT_MDTI_Msk                     (0x01UL << SNDA_DAT_MDTI_Pos)                           /*!< SNDA DAT: MDTI Mask                     */

/* ----------------------------------  SNDA_INTF  --------------------------------- */
#define SNDA_INTF_EDIF_Pos                    0                                                       /*!< SNDA INTF: EDIF Position                */
#define SNDA_INTF_EDIF_Msk                    (0x01UL << SNDA_INTF_EDIF_Pos)                          /*!< SNDA INTF: EDIF Mask                    */
#define SNDA_INTF_EMIF_Pos                    1                                                       /*!< SNDA INTF: EMIF Position                */
#define SNDA_INTF_EMIF_Msk                    (0x01UL << SNDA_INTF_EMIF_Pos)                          /*!< SNDA INTF: EMIF Mask                    */
#define SNDA_INTF_RESERVED_7_2_Pos            2                                                       /*!< SNDA INTF: RESERVED_7_2 Position        */
#define SNDA_INTF_RESERVED_7_2_Msk            (0x3fUL << SNDA_INTF_RESERVED_7_2_Pos)                  /*!< SNDA INTF: RESERVED_7_2 Mask            */
#define SNDA_INTF_SBSY_Pos                    8                                                       /*!< SNDA INTF: SBSY Position                */
#define SNDA_INTF_SBSY_Msk                    (0x01UL << SNDA_INTF_SBSY_Pos)                          /*!< SNDA INTF: SBSY Mask                    */
#define SNDA_INTF_RESERVED_15_9_Pos           9                                                       /*!< SNDA INTF: RESERVED_15_9 Position       */
#define SNDA_INTF_RESERVED_15_9_Msk           (0x7fUL << SNDA_INTF_RESERVED_15_9_Pos)                 /*!< SNDA INTF: RESERVED_15_9 Mask           */

/* ----------------------------------  SNDA_INTE  --------------------------------- */
#define SNDA_INTE_EDIE_Pos                    0                                                       /*!< SNDA INTE: EDIE Position                */
#define SNDA_INTE_EDIE_Msk                    (0x01UL << SNDA_INTE_EDIE_Pos)                          /*!< SNDA INTE: EDIE Mask                    */
#define SNDA_INTE_EMIE_Pos                    1                                                       /*!< SNDA INTE: EMIE Position                */
#define SNDA_INTE_EMIE_Msk                    (0x01UL << SNDA_INTE_EMIE_Pos)                          /*!< SNDA INTE: EMIE Mask                    */
#define SNDA_INTE_RESERVED_15_2_Pos           2                                                       /*!< SNDA INTE: RESERVED_15_2 Position       */
#define SNDA_INTE_RESERVED_15_2_Msk           (0x00003fffUL << SNDA_INTE_RESERVED_15_2_Pos)           /*!< SNDA INTE: RESERVED_15_2 Mask           */

/* --------------------------------  SNDA_EMDMAEN  -------------------------------- */
#define SNDA_EMDMAEN_EMDMAEN_Pos              0                                                       /*!< SNDA EMDMAEN: EMDMAEN Position          */
#define SNDA_EMDMAEN_EMDMAEN_Msk              (0x0fUL << SNDA_EMDMAEN_EMDMAEN_Pos)                    /*!< SNDA EMDMAEN: EMDMAEN Mask              */
#define SNDA_EMDMAEN_RESERVED_15_4_Pos        4                                                       /*!< SNDA EMDMAEN: RESERVED_15_4 Position    */
#define SNDA_EMDMAEN_RESERVED_15_4_Msk        (0x00000fffUL << SNDA_EMDMAEN_RESERVED_15_4_Pos)        /*!< SNDA EMDMAEN: RESERVED_15_4 Mask        */


/* ================================================================================ */
/* ================          struct 'SRC' Position & Mask          ================ */
/* ================================================================================ */


/* -------------------------------  SRC_SRCRESETREQ  ------------------------------ */
#define SRC_SRCRESETREQ_KEYRSTREQ_Pos         0                                                       /*!< SRC SRCRESETREQ: KEYRSTREQ Position     */
#define SRC_SRCRESETREQ_KEYRSTREQ_Msk         (0x01UL << SRC_SRCRESETREQ_KEYRSTREQ_Pos)               /*!< SRC SRCRESETREQ: KEYRSTREQ Mask         */
#define SRC_SRCRESETREQ_SVDRSTREQ_Pos         1                                                       /*!< SRC SRCRESETREQ: SVDRSTREQ Position     */
#define SRC_SRCRESETREQ_SVDRSTREQ_Msk         (0x01UL << SRC_SRCRESETREQ_SVDRSTREQ_Pos)               /*!< SRC SRCRESETREQ: SVDRSTREQ Mask         */
#define SRC_SRCRESETREQ_WDTRSTREQ_Pos         2                                                       /*!< SRC SRCRESETREQ: WDTRSTREQ Position     */
#define SRC_SRCRESETREQ_WDTRSTREQ_Msk         (0x01UL << SRC_SRCRESETREQ_WDTRSTREQ_Pos)               /*!< SRC SRCRESETREQ: WDTRSTREQ Mask         */
#define SRC_SRCRESETREQ_XRESETREQ_Pos         3                                                       /*!< SRC SRCRESETREQ: XRESETREQ Position     */
#define SRC_SRCRESETREQ_XRESETREQ_Msk         (0x01UL << SRC_SRCRESETREQ_XRESETREQ_Pos)               /*!< SRC SRCRESETREQ: XRESETREQ Mask         */
#define SRC_SRCRESETREQ_PORBORREQ_Pos         4                                                       /*!< SRC SRCRESETREQ: PORBORREQ Position     */
#define SRC_SRCRESETREQ_PORBORREQ_Msk         (0x01UL << SRC_SRCRESETREQ_PORBORREQ_Pos)               /*!< SRC SRCRESETREQ: PORBORREQ Mask         */
#define SRC_SRCRESETREQ_RESERVED_15_5_Pos     5                                                       /*!< SRC SRCRESETREQ: RESERVED_15_5 Position */
#define SRC_SRCRESETREQ_RESERVED_15_5_Msk     (0x000007ffUL << SRC_SRCRESETREQ_RESERVED_15_5_Pos)     /*!< SRC SRCRESETREQ: RESERVED_15_5 Mask     */

/* ------------------------------  SRC_SRCRESETPCTL  ------------------------------ */
#define SRC_SRCRESETPCTL_PORT_RESET_EN_Pos    0                                                       /*!< SRC SRCRESETPCTL: PORT_RESET_EN Position */
#define SRC_SRCRESETPCTL_PORT_RESET_EN_Msk    (0x01UL << SRC_SRCRESETPCTL_PORT_RESET_EN_Pos)          /*!< SRC SRCRESETPCTL: PORT_RESET_EN Mask    */
#define SRC_SRCRESETPCTL_PORT_PLUP_EN_Pos     1                                                       /*!< SRC SRCRESETPCTL: PORT_PLUP_EN Position */
#define SRC_SRCRESETPCTL_PORT_PLUP_EN_Msk     (0x01UL << SRC_SRCRESETPCTL_PORT_PLUP_EN_Pos)           /*!< SRC SRCRESETPCTL: PORT_PLUP_EN Mask     */
#define SRC_SRCRESETPCTL_RESERVED_15_2_Pos    2                                                       /*!< SRC SRCRESETPCTL: RESERVED_15_2 Position */
#define SRC_SRCRESETPCTL_RESERVED_15_2_Msk    (0x00003fffUL << SRC_SRCRESETPCTL_RESERVED_15_2_Pos)    /*!< SRC SRCRESETPCTL: RESERVED_15_2 Mask    */


/* ================================================================================ */
/* ================         struct 'SPIA_0' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  SPIA_0_MOD  --------------------------------- */
#define SPIA_0_MOD_MST_Pos                    0                                                       /*!< SPIA_0 MOD: MST Position                */
#define SPIA_0_MOD_MST_Msk                    (0x01UL << SPIA_0_MOD_MST_Pos)                          /*!< SPIA_0 MOD: MST Mask                    */
#define SPIA_0_MOD_CPOL_Pos                   1                                                       /*!< SPIA_0 MOD: CPOL Position               */
#define SPIA_0_MOD_CPOL_Msk                   (0x01UL << SPIA_0_MOD_CPOL_Pos)                         /*!< SPIA_0 MOD: CPOL Mask                   */
#define SPIA_0_MOD_CPHA_Pos                   2                                                       /*!< SPIA_0 MOD: CPHA Position               */
#define SPIA_0_MOD_CPHA_Msk                   (0x01UL << SPIA_0_MOD_CPHA_Pos)                         /*!< SPIA_0 MOD: CPHA Mask                   */
#define SPIA_0_MOD_LSBFST_Pos                 3                                                       /*!< SPIA_0 MOD: LSBFST Position             */
#define SPIA_0_MOD_LSBFST_Msk                 (0x01UL << SPIA_0_MOD_LSBFST_Pos)                       /*!< SPIA_0 MOD: LSBFST Mask                 */
#define SPIA_0_MOD_NOCLKDIV_Pos               4                                                       /*!< SPIA_0 MOD: NOCLKDIV Position           */
#define SPIA_0_MOD_NOCLKDIV_Msk               (0x01UL << SPIA_0_MOD_NOCLKDIV_Pos)                     /*!< SPIA_0 MOD: NOCLKDIV Mask               */
#define SPIA_0_MOD_PUEN_Pos                   5                                                       /*!< SPIA_0 MOD: PUEN Position               */
#define SPIA_0_MOD_PUEN_Msk                   (0x01UL << SPIA_0_MOD_PUEN_Pos)                         /*!< SPIA_0 MOD: PUEN Mask                   */
#define SPIA_0_MOD_RESERVED_7_6_Pos           6                                                       /*!< SPIA_0 MOD: RESERVED_7_6 Position       */
#define SPIA_0_MOD_RESERVED_7_6_Msk           (0x03UL << SPIA_0_MOD_RESERVED_7_6_Pos)                 /*!< SPIA_0 MOD: RESERVED_7_6 Mask           */
#define SPIA_0_MOD_CHLN_Pos                   8                                                       /*!< SPIA_0 MOD: CHLN Position               */
#define SPIA_0_MOD_CHLN_Msk                   (0x0fUL << SPIA_0_MOD_CHLN_Pos)                         /*!< SPIA_0 MOD: CHLN Mask                   */
#define SPIA_0_MOD_RESERVED_15_12_Pos         12                                                      /*!< SPIA_0 MOD: RESERVED_15_12 Position     */
#define SPIA_0_MOD_RESERVED_15_12_Msk         (0x0fUL << SPIA_0_MOD_RESERVED_15_12_Pos)               /*!< SPIA_0 MOD: RESERVED_15_12 Mask         */

/* ---------------------------------  SPIA_0_CTL  --------------------------------- */
#define SPIA_0_CTL_MODEN_Pos                  0                                                       /*!< SPIA_0 CTL: MODEN Position              */
#define SPIA_0_CTL_MODEN_Msk                  (0x01UL << SPIA_0_CTL_MODEN_Pos)                        /*!< SPIA_0 CTL: MODEN Mask                  */
#define SPIA_0_CTL_SFTRST_Pos                 1                                                       /*!< SPIA_0 CTL: SFTRST Position             */
#define SPIA_0_CTL_SFTRST_Msk                 (0x01UL << SPIA_0_CTL_SFTRST_Pos)                       /*!< SPIA_0 CTL: SFTRST Mask                 */
#define SPIA_0_CTL_RESERVED_15_2_Pos          2                                                       /*!< SPIA_0 CTL: RESERVED_15_2 Position      */
#define SPIA_0_CTL_RESERVED_15_2_Msk          (0x00003fffUL << SPIA_0_CTL_RESERVED_15_2_Pos)          /*!< SPIA_0 CTL: RESERVED_15_2 Mask          */

/* ---------------------------------  SPIA_0_TXD  --------------------------------- */
#define SPIA_0_TXD_TXD_Pos                    0                                                       /*!< SPIA_0 TXD: TXD Position                */
#define SPIA_0_TXD_TXD_Msk                    (0x0000ffffUL << SPIA_0_TXD_TXD_Pos)                    /*!< SPIA_0 TXD: TXD Mask                    */

/* ---------------------------------  SPIA_0_RXD  --------------------------------- */
#define SPIA_0_RXD_RXD_Pos                    0                                                       /*!< SPIA_0 RXD: RXD Position                */
#define SPIA_0_RXD_RXD_Msk                    (0x0000ffffUL << SPIA_0_RXD_RXD_Pos)                    /*!< SPIA_0 RXD: RXD Mask                    */

/* ---------------------------------  SPIA_0_INTF  -------------------------------- */
#define SPIA_0_INTF_TBEIF_Pos                 0                                                       /*!< SPIA_0 INTF: TBEIF Position             */
#define SPIA_0_INTF_TBEIF_Msk                 (0x01UL << SPIA_0_INTF_TBEIF_Pos)                       /*!< SPIA_0 INTF: TBEIF Mask                 */
#define SPIA_0_INTF_RBFIF_Pos                 1                                                       /*!< SPIA_0 INTF: RBFIF Position             */
#define SPIA_0_INTF_RBFIF_Msk                 (0x01UL << SPIA_0_INTF_RBFIF_Pos)                       /*!< SPIA_0 INTF: RBFIF Mask                 */
#define SPIA_0_INTF_TENDIF_Pos                2                                                       /*!< SPIA_0 INTF: TENDIF Position            */
#define SPIA_0_INTF_TENDIF_Msk                (0x01UL << SPIA_0_INTF_TENDIF_Pos)                      /*!< SPIA_0 INTF: TENDIF Mask                */
#define SPIA_0_INTF_OEIF_Pos                  3                                                       /*!< SPIA_0 INTF: OEIF Position              */
#define SPIA_0_INTF_OEIF_Msk                  (0x01UL << SPIA_0_INTF_OEIF_Pos)                        /*!< SPIA_0 INTF: OEIF Mask                  */
#define SPIA_0_INTF_RESERVED_6_4_Pos          4                                                       /*!< SPIA_0 INTF: RESERVED_6_4 Position      */
#define SPIA_0_INTF_RESERVED_6_4_Msk          (0x07UL << SPIA_0_INTF_RESERVED_6_4_Pos)                /*!< SPIA_0 INTF: RESERVED_6_4 Mask          */
#define SPIA_0_INTF_BSY_Pos                   7                                                       /*!< SPIA_0 INTF: BSY Position               */
#define SPIA_0_INTF_BSY_Msk                   (0x01UL << SPIA_0_INTF_BSY_Pos)                         /*!< SPIA_0 INTF: BSY Mask                   */
#define SPIA_0_INTF_RESERVED_15_8_Pos         8                                                       /*!< SPIA_0 INTF: RESERVED_15_8 Position     */
#define SPIA_0_INTF_RESERVED_15_8_Msk         (0x000000ffUL << SPIA_0_INTF_RESERVED_15_8_Pos)         /*!< SPIA_0 INTF: RESERVED_15_8 Mask         */

/* ---------------------------------  SPIA_0_INTE  -------------------------------- */
#define SPIA_0_INTE_TBEIE_Pos                 0                                                       /*!< SPIA_0 INTE: TBEIE Position             */
#define SPIA_0_INTE_TBEIE_Msk                 (0x01UL << SPIA_0_INTE_TBEIE_Pos)                       /*!< SPIA_0 INTE: TBEIE Mask                 */
#define SPIA_0_INTE_RBFIE_Pos                 1                                                       /*!< SPIA_0 INTE: RBFIE Position             */
#define SPIA_0_INTE_RBFIE_Msk                 (0x01UL << SPIA_0_INTE_RBFIE_Pos)                       /*!< SPIA_0 INTE: RBFIE Mask                 */
#define SPIA_0_INTE_TENDIE_Pos                2                                                       /*!< SPIA_0 INTE: TENDIE Position            */
#define SPIA_0_INTE_TENDIE_Msk                (0x01UL << SPIA_0_INTE_TENDIE_Pos)                      /*!< SPIA_0 INTE: TENDIE Mask                */
#define SPIA_0_INTE_OEIE_Pos                  3                                                       /*!< SPIA_0 INTE: OEIE Position              */
#define SPIA_0_INTE_OEIE_Msk                  (0x01UL << SPIA_0_INTE_OEIE_Pos)                        /*!< SPIA_0 INTE: OEIE Mask                  */
#define SPIA_0_INTE_RESERVED_15_4_Pos         4                                                       /*!< SPIA_0 INTE: RESERVED_15_4 Position     */
#define SPIA_0_INTE_RESERVED_15_4_Msk         (0x00000fffUL << SPIA_0_INTE_RESERVED_15_4_Pos)         /*!< SPIA_0 INTE: RESERVED_15_4 Mask         */

/* -------------------------------  SPIA_0_TBEDMAEN  ------------------------------ */
#define SPIA_0_TBEDMAEN_TBEDMAEN0_Pos         0                                                       /*!< SPIA_0 TBEDMAEN: TBEDMAEN0 Position     */
#define SPIA_0_TBEDMAEN_TBEDMAEN0_Msk         (0x01UL << SPIA_0_TBEDMAEN_TBEDMAEN0_Pos)               /*!< SPIA_0 TBEDMAEN: TBEDMAEN0 Mask         */
#define SPIA_0_TBEDMAEN_TBEDMAEN1_Pos         1                                                       /*!< SPIA_0 TBEDMAEN: TBEDMAEN1 Position     */
#define SPIA_0_TBEDMAEN_TBEDMAEN1_Msk         (0x01UL << SPIA_0_TBEDMAEN_TBEDMAEN1_Pos)               /*!< SPIA_0 TBEDMAEN: TBEDMAEN1 Mask         */
#define SPIA_0_TBEDMAEN_TBEDMAEN2_Pos         2                                                       /*!< SPIA_0 TBEDMAEN: TBEDMAEN2 Position     */
#define SPIA_0_TBEDMAEN_TBEDMAEN2_Msk         (0x01UL << SPIA_0_TBEDMAEN_TBEDMAEN2_Pos)               /*!< SPIA_0 TBEDMAEN: TBEDMAEN2 Mask         */
#define SPIA_0_TBEDMAEN_TBEDMAEN3_Pos         3                                                       /*!< SPIA_0 TBEDMAEN: TBEDMAEN3 Position     */
#define SPIA_0_TBEDMAEN_TBEDMAEN3_Msk         (0x01UL << SPIA_0_TBEDMAEN_TBEDMAEN3_Pos)               /*!< SPIA_0 TBEDMAEN: TBEDMAEN3 Mask         */
#define SPIA_0_TBEDMAEN_RESERVED_15_4_Pos     4                                                       /*!< SPIA_0 TBEDMAEN: RESERVED_15_4 Position */
#define SPIA_0_TBEDMAEN_RESERVED_15_4_Msk     (0x00000fffUL << SPIA_0_TBEDMAEN_RESERVED_15_4_Pos)     /*!< SPIA_0 TBEDMAEN: RESERVED_15_4 Mask     */

/* -------------------------------  SPIA_0_RBFDMAEN  ------------------------------ */
#define SPIA_0_RBFDMAEN_RBFDMAEN0_Pos         0                                                       /*!< SPIA_0 RBFDMAEN: RBFDMAEN0 Position     */
#define SPIA_0_RBFDMAEN_RBFDMAEN0_Msk         (0x01UL << SPIA_0_RBFDMAEN_RBFDMAEN0_Pos)               /*!< SPIA_0 RBFDMAEN: RBFDMAEN0 Mask         */
#define SPIA_0_RBFDMAEN_RBFDMAEN1_Pos         1                                                       /*!< SPIA_0 RBFDMAEN: RBFDMAEN1 Position     */
#define SPIA_0_RBFDMAEN_RBFDMAEN1_Msk         (0x01UL << SPIA_0_RBFDMAEN_RBFDMAEN1_Pos)               /*!< SPIA_0 RBFDMAEN: RBFDMAEN1 Mask         */
#define SPIA_0_RBFDMAEN_RBFDMAEN2_Pos         2                                                       /*!< SPIA_0 RBFDMAEN: RBFDMAEN2 Position     */
#define SPIA_0_RBFDMAEN_RBFDMAEN2_Msk         (0x01UL << SPIA_0_RBFDMAEN_RBFDMAEN2_Pos)               /*!< SPIA_0 RBFDMAEN: RBFDMAEN2 Mask         */
#define SPIA_0_RBFDMAEN_RBFDMAEN3_Pos         3                                                       /*!< SPIA_0 RBFDMAEN: RBFDMAEN3 Position     */
#define SPIA_0_RBFDMAEN_RBFDMAEN3_Msk         (0x01UL << SPIA_0_RBFDMAEN_RBFDMAEN3_Pos)               /*!< SPIA_0 RBFDMAEN: RBFDMAEN3 Mask         */
#define SPIA_0_RBFDMAEN_RESERVED_15_4_Pos     4                                                       /*!< SPIA_0 RBFDMAEN: RESERVED_15_4 Position */
#define SPIA_0_RBFDMAEN_RESERVED_15_4_Msk     (0x00000fffUL << SPIA_0_RBFDMAEN_RESERVED_15_4_Pos)     /*!< SPIA_0 RBFDMAEN: RESERVED_15_4 Mask     */


/* ================================================================================ */
/* ================         struct 'SPIA_1' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  SPIA_1_MOD  --------------------------------- */
#define SPIA_1_MOD_MST_Pos                    0                                                       /*!< SPIA_1 MOD: MST Position                */
#define SPIA_1_MOD_MST_Msk                    (0x01UL << SPIA_1_MOD_MST_Pos)                          /*!< SPIA_1 MOD: MST Mask                    */
#define SPIA_1_MOD_CPOL_Pos                   1                                                       /*!< SPIA_1 MOD: CPOL Position               */
#define SPIA_1_MOD_CPOL_Msk                   (0x01UL << SPIA_1_MOD_CPOL_Pos)                         /*!< SPIA_1 MOD: CPOL Mask                   */
#define SPIA_1_MOD_CPHA_Pos                   2                                                       /*!< SPIA_1 MOD: CPHA Position               */
#define SPIA_1_MOD_CPHA_Msk                   (0x01UL << SPIA_1_MOD_CPHA_Pos)                         /*!< SPIA_1 MOD: CPHA Mask                   */
#define SPIA_1_MOD_LSBFST_Pos                 3                                                       /*!< SPIA_1 MOD: LSBFST Position             */
#define SPIA_1_MOD_LSBFST_Msk                 (0x01UL << SPIA_1_MOD_LSBFST_Pos)                       /*!< SPIA_1 MOD: LSBFST Mask                 */
#define SPIA_1_MOD_NOCLKDIV_Pos               4                                                       /*!< SPIA_1 MOD: NOCLKDIV Position           */
#define SPIA_1_MOD_NOCLKDIV_Msk               (0x01UL << SPIA_1_MOD_NOCLKDIV_Pos)                     /*!< SPIA_1 MOD: NOCLKDIV Mask               */
#define SPIA_1_MOD_PUEN_Pos                   5                                                       /*!< SPIA_1 MOD: PUEN Position               */
#define SPIA_1_MOD_PUEN_Msk                   (0x01UL << SPIA_1_MOD_PUEN_Pos)                         /*!< SPIA_1 MOD: PUEN Mask                   */
#define SPIA_1_MOD_RESERVED_7_6_Pos           6                                                       /*!< SPIA_1 MOD: RESERVED_7_6 Position       */
#define SPIA_1_MOD_RESERVED_7_6_Msk           (0x03UL << SPIA_1_MOD_RESERVED_7_6_Pos)                 /*!< SPIA_1 MOD: RESERVED_7_6 Mask           */
#define SPIA_1_MOD_CHLN_Pos                   8                                                       /*!< SPIA_1 MOD: CHLN Position               */
#define SPIA_1_MOD_CHLN_Msk                   (0x0fUL << SPIA_1_MOD_CHLN_Pos)                         /*!< SPIA_1 MOD: CHLN Mask                   */
#define SPIA_1_MOD_RESERVED_15_12_Pos         12                                                      /*!< SPIA_1 MOD: RESERVED_15_12 Position     */
#define SPIA_1_MOD_RESERVED_15_12_Msk         (0x0fUL << SPIA_1_MOD_RESERVED_15_12_Pos)               /*!< SPIA_1 MOD: RESERVED_15_12 Mask         */

/* ---------------------------------  SPIA_1_CTL  --------------------------------- */
#define SPIA_1_CTL_MODEN_Pos                  0                                                       /*!< SPIA_1 CTL: MODEN Position              */
#define SPIA_1_CTL_MODEN_Msk                  (0x01UL << SPIA_1_CTL_MODEN_Pos)                        /*!< SPIA_1 CTL: MODEN Mask                  */
#define SPIA_1_CTL_SFTRST_Pos                 1                                                       /*!< SPIA_1 CTL: SFTRST Position             */
#define SPIA_1_CTL_SFTRST_Msk                 (0x01UL << SPIA_1_CTL_SFTRST_Pos)                       /*!< SPIA_1 CTL: SFTRST Mask                 */
#define SPIA_1_CTL_RESERVED_15_2_Pos          2                                                       /*!< SPIA_1 CTL: RESERVED_15_2 Position      */
#define SPIA_1_CTL_RESERVED_15_2_Msk          (0x00003fffUL << SPIA_1_CTL_RESERVED_15_2_Pos)          /*!< SPIA_1 CTL: RESERVED_15_2 Mask          */

/* ---------------------------------  SPIA_1_TXD  --------------------------------- */
#define SPIA_1_TXD_TXD_Pos                    0                                                       /*!< SPIA_1 TXD: TXD Position                */
#define SPIA_1_TXD_TXD_Msk                    (0x0000ffffUL << SPIA_1_TXD_TXD_Pos)                    /*!< SPIA_1 TXD: TXD Mask                    */

/* ---------------------------------  SPIA_1_RXD  --------------------------------- */
#define SPIA_1_RXD_RXD_Pos                    0                                                       /*!< SPIA_1 RXD: RXD Position                */
#define SPIA_1_RXD_RXD_Msk                    (0x0000ffffUL << SPIA_1_RXD_RXD_Pos)                    /*!< SPIA_1 RXD: RXD Mask                    */

/* ---------------------------------  SPIA_1_INTF  -------------------------------- */
#define SPIA_1_INTF_TBEIF_Pos                 0                                                       /*!< SPIA_1 INTF: TBEIF Position             */
#define SPIA_1_INTF_TBEIF_Msk                 (0x01UL << SPIA_1_INTF_TBEIF_Pos)                       /*!< SPIA_1 INTF: TBEIF Mask                 */
#define SPIA_1_INTF_RBFIF_Pos                 1                                                       /*!< SPIA_1 INTF: RBFIF Position             */
#define SPIA_1_INTF_RBFIF_Msk                 (0x01UL << SPIA_1_INTF_RBFIF_Pos)                       /*!< SPIA_1 INTF: RBFIF Mask                 */
#define SPIA_1_INTF_TENDIF_Pos                2                                                       /*!< SPIA_1 INTF: TENDIF Position            */
#define SPIA_1_INTF_TENDIF_Msk                (0x01UL << SPIA_1_INTF_TENDIF_Pos)                      /*!< SPIA_1 INTF: TENDIF Mask                */
#define SPIA_1_INTF_OEIF_Pos                  3                                                       /*!< SPIA_1 INTF: OEIF Position              */
#define SPIA_1_INTF_OEIF_Msk                  (0x01UL << SPIA_1_INTF_OEIF_Pos)                        /*!< SPIA_1 INTF: OEIF Mask                  */
#define SPIA_1_INTF_RESERVED_6_4_Pos          4                                                       /*!< SPIA_1 INTF: RESERVED_6_4 Position      */
#define SPIA_1_INTF_RESERVED_6_4_Msk          (0x07UL << SPIA_1_INTF_RESERVED_6_4_Pos)                /*!< SPIA_1 INTF: RESERVED_6_4 Mask          */
#define SPIA_1_INTF_BSY_Pos                   7                                                       /*!< SPIA_1 INTF: BSY Position               */
#define SPIA_1_INTF_BSY_Msk                   (0x01UL << SPIA_1_INTF_BSY_Pos)                         /*!< SPIA_1 INTF: BSY Mask                   */
#define SPIA_1_INTF_RESERVED_15_8_Pos         8                                                       /*!< SPIA_1 INTF: RESERVED_15_8 Position     */
#define SPIA_1_INTF_RESERVED_15_8_Msk         (0x000000ffUL << SPIA_1_INTF_RESERVED_15_8_Pos)         /*!< SPIA_1 INTF: RESERVED_15_8 Mask         */

/* ---------------------------------  SPIA_1_INTE  -------------------------------- */
#define SPIA_1_INTE_TBEIE_Pos                 0                                                       /*!< SPIA_1 INTE: TBEIE Position             */
#define SPIA_1_INTE_TBEIE_Msk                 (0x01UL << SPIA_1_INTE_TBEIE_Pos)                       /*!< SPIA_1 INTE: TBEIE Mask                 */
#define SPIA_1_INTE_RBFIE_Pos                 1                                                       /*!< SPIA_1 INTE: RBFIE Position             */
#define SPIA_1_INTE_RBFIE_Msk                 (0x01UL << SPIA_1_INTE_RBFIE_Pos)                       /*!< SPIA_1 INTE: RBFIE Mask                 */
#define SPIA_1_INTE_TENDIE_Pos                2                                                       /*!< SPIA_1 INTE: TENDIE Position            */
#define SPIA_1_INTE_TENDIE_Msk                (0x01UL << SPIA_1_INTE_TENDIE_Pos)                      /*!< SPIA_1 INTE: TENDIE Mask                */
#define SPIA_1_INTE_OEIE_Pos                  3                                                       /*!< SPIA_1 INTE: OEIE Position              */
#define SPIA_1_INTE_OEIE_Msk                  (0x01UL << SPIA_1_INTE_OEIE_Pos)                        /*!< SPIA_1 INTE: OEIE Mask                  */
#define SPIA_1_INTE_RESERVED_15_4_Pos         4                                                       /*!< SPIA_1 INTE: RESERVED_15_4 Position     */
#define SPIA_1_INTE_RESERVED_15_4_Msk         (0x00000fffUL << SPIA_1_INTE_RESERVED_15_4_Pos)         /*!< SPIA_1 INTE: RESERVED_15_4 Mask         */

/* -------------------------------  SPIA_1_TBEDMAEN  ------------------------------ */
#define SPIA_1_TBEDMAEN_TBEDMAEN0_Pos         0                                                       /*!< SPIA_1 TBEDMAEN: TBEDMAEN0 Position     */
#define SPIA_1_TBEDMAEN_TBEDMAEN0_Msk         (0x01UL << SPIA_1_TBEDMAEN_TBEDMAEN0_Pos)               /*!< SPIA_1 TBEDMAEN: TBEDMAEN0 Mask         */
#define SPIA_1_TBEDMAEN_TBEDMAEN1_Pos         1                                                       /*!< SPIA_1 TBEDMAEN: TBEDMAEN1 Position     */
#define SPIA_1_TBEDMAEN_TBEDMAEN1_Msk         (0x01UL << SPIA_1_TBEDMAEN_TBEDMAEN1_Pos)               /*!< SPIA_1 TBEDMAEN: TBEDMAEN1 Mask         */
#define SPIA_1_TBEDMAEN_TBEDMAEN2_Pos         2                                                       /*!< SPIA_1 TBEDMAEN: TBEDMAEN2 Position     */
#define SPIA_1_TBEDMAEN_TBEDMAEN2_Msk         (0x01UL << SPIA_1_TBEDMAEN_TBEDMAEN2_Pos)               /*!< SPIA_1 TBEDMAEN: TBEDMAEN2 Mask         */
#define SPIA_1_TBEDMAEN_TBEDMAEN3_Pos         3                                                       /*!< SPIA_1 TBEDMAEN: TBEDMAEN3 Position     */
#define SPIA_1_TBEDMAEN_TBEDMAEN3_Msk         (0x01UL << SPIA_1_TBEDMAEN_TBEDMAEN3_Pos)               /*!< SPIA_1 TBEDMAEN: TBEDMAEN3 Mask         */
#define SPIA_1_TBEDMAEN_RESERVED_15_4_Pos     4                                                       /*!< SPIA_1 TBEDMAEN: RESERVED_15_4 Position */
#define SPIA_1_TBEDMAEN_RESERVED_15_4_Msk     (0x00000fffUL << SPIA_1_TBEDMAEN_RESERVED_15_4_Pos)     /*!< SPIA_1 TBEDMAEN: RESERVED_15_4 Mask     */

/* -------------------------------  SPIA_1_RBFDMAEN  ------------------------------ */
#define SPIA_1_RBFDMAEN_RBFDMAEN0_Pos         0                                                       /*!< SPIA_1 RBFDMAEN: RBFDMAEN0 Position     */
#define SPIA_1_RBFDMAEN_RBFDMAEN0_Msk         (0x01UL << SPIA_1_RBFDMAEN_RBFDMAEN0_Pos)               /*!< SPIA_1 RBFDMAEN: RBFDMAEN0 Mask         */
#define SPIA_1_RBFDMAEN_RBFDMAEN1_Pos         1                                                       /*!< SPIA_1 RBFDMAEN: RBFDMAEN1 Position     */
#define SPIA_1_RBFDMAEN_RBFDMAEN1_Msk         (0x01UL << SPIA_1_RBFDMAEN_RBFDMAEN1_Pos)               /*!< SPIA_1 RBFDMAEN: RBFDMAEN1 Mask         */
#define SPIA_1_RBFDMAEN_RBFDMAEN2_Pos         2                                                       /*!< SPIA_1 RBFDMAEN: RBFDMAEN2 Position     */
#define SPIA_1_RBFDMAEN_RBFDMAEN2_Msk         (0x01UL << SPIA_1_RBFDMAEN_RBFDMAEN2_Pos)               /*!< SPIA_1 RBFDMAEN: RBFDMAEN2 Mask         */
#define SPIA_1_RBFDMAEN_RBFDMAEN3_Pos         3                                                       /*!< SPIA_1 RBFDMAEN: RBFDMAEN3 Position     */
#define SPIA_1_RBFDMAEN_RBFDMAEN3_Msk         (0x01UL << SPIA_1_RBFDMAEN_RBFDMAEN3_Pos)               /*!< SPIA_1 RBFDMAEN: RBFDMAEN3 Mask         */
#define SPIA_1_RBFDMAEN_RESERVED_15_4_Pos     4                                                       /*!< SPIA_1 RBFDMAEN: RESERVED_15_4 Position */
#define SPIA_1_RBFDMAEN_RESERVED_15_4_Msk     (0x00000fffUL << SPIA_1_RBFDMAEN_RESERVED_15_4_Pos)     /*!< SPIA_1 RBFDMAEN: RESERVED_15_4 Mask     */


/* ================================================================================ */
/* ================          struct 'SVD4' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  SVD4_CLK  ---------------------------------- */
#define SVD4_CLK_CLKSRC_Pos                   0                                                       /*!< SVD4 CLK: CLKSRC Position               */
#define SVD4_CLK_CLKSRC_Msk                   (0x03UL << SVD4_CLK_CLKSRC_Pos)                         /*!< SVD4 CLK: CLKSRC Mask                   */
#define SVD4_CLK_RESERVED_3_2_Pos             2                                                       /*!< SVD4 CLK: RESERVED_3_2 Position         */
#define SVD4_CLK_RESERVED_3_2_Msk             (0x03UL << SVD4_CLK_RESERVED_3_2_Pos)                   /*!< SVD4 CLK: RESERVED_3_2 Mask             */
#define SVD4_CLK_CLKDIV_Pos                   4                                                       /*!< SVD4 CLK: CLKDIV Position               */
#define SVD4_CLK_CLKDIV_Msk                   (0x07UL << SVD4_CLK_CLKDIV_Pos)                         /*!< SVD4 CLK: CLKDIV Mask                   */
#define SVD4_CLK_RESERVED_7_Pos               7                                                       /*!< SVD4 CLK: RESERVED_7 Position           */
#define SVD4_CLK_RESERVED_7_Msk               (0x01UL << SVD4_CLK_RESERVED_7_Pos)                     /*!< SVD4 CLK: RESERVED_7 Mask               */
#define SVD4_CLK_DBRUN_Pos                    8                                                       /*!< SVD4 CLK: DBRUN Position                */
#define SVD4_CLK_DBRUN_Msk                    (0x01UL << SVD4_CLK_DBRUN_Pos)                          /*!< SVD4 CLK: DBRUN Mask                    */
#define SVD4_CLK_RESERVED_15_9_Pos            9                                                       /*!< SVD4 CLK: RESERVED_15_9 Position        */
#define SVD4_CLK_RESERVED_15_9_Msk            (0x7fUL << SVD4_CLK_RESERVED_15_9_Pos)                  /*!< SVD4 CLK: RESERVED_15_9 Mask            */

/* ----------------------------------  SVD4_CTL  ---------------------------------- */
#define SVD4_CTL_MODEN_Pos                    0                                                       /*!< SVD4 CTL: MODEN Position                */
#define SVD4_CTL_MODEN_Msk                    (0x01UL << SVD4_CTL_MODEN_Pos)                          /*!< SVD4 CTL: MODEN Mask                    */
#define SVD4_CTL_SVDMD_Pos                    1                                                       /*!< SVD4 CTL: SVDMD Position                */
#define SVD4_CTL_SVDMD_Msk                    (0x03UL << SVD4_CTL_SVDMD_Pos)                          /*!< SVD4 CTL: SVDMD Mask                    */
#define SVD4_CTL_EXSEL_Pos                    3                                                       /*!< SVD4 CTL: EXSEL Position                */
#define SVD4_CTL_EXSEL_Msk                    (0x01UL << SVD4_CTL_EXSEL_Pos)                          /*!< SVD4 CTL: EXSEL Mask                    */
#define SVD4_CTL_SVDRE_Pos                    4                                                       /*!< SVD4 CTL: SVDRE Position                */
#define SVD4_CTL_SVDRE_Msk                    (0x0fUL << SVD4_CTL_SVDRE_Pos)                          /*!< SVD4 CTL: SVDRE Mask                    */
#define SVD4_CTL_SVDC_Pos                     8                                                       /*!< SVD4 CTL: SVDC Position                 */
#define SVD4_CTL_SVDC_Msk                     (0x1fUL << SVD4_CTL_SVDC_Pos)                           /*!< SVD4 CTL: SVDC Mask                     */
#define SVD4_CTL_SVDSC_Pos                    13                                                      /*!< SVD4 CTL: SVDSC Position                */
#define SVD4_CTL_SVDSC_Msk                    (0x03UL << SVD4_CTL_SVDSC_Pos)                          /*!< SVD4 CTL: SVDSC Mask                    */
#define SVD4_CTL_VDSEL_Pos                    15                                                      /*!< SVD4 CTL: VDSEL Position                */
#define SVD4_CTL_VDSEL_Msk                    (0x01UL << SVD4_CTL_VDSEL_Pos)                          /*!< SVD4 CTL: VDSEL Mask                    */

/* ----------------------------------  SVD4_INTF  --------------------------------- */
#define SVD4_INTF_SVDIF_Pos                   0                                                       /*!< SVD4 INTF: SVDIF Position               */
#define SVD4_INTF_SVDIF_Msk                   (0x01UL << SVD4_INTF_SVDIF_Pos)                         /*!< SVD4 INTF: SVDIF Mask                   */
#define SVD4_INTF_RESERVED_7_1_Pos            1                                                       /*!< SVD4 INTF: RESERVED_7_1 Position        */
#define SVD4_INTF_RESERVED_7_1_Msk            (0x7fUL << SVD4_INTF_RESERVED_7_1_Pos)                  /*!< SVD4 INTF: RESERVED_7_1 Mask            */
#define SVD4_INTF_SVDDT_Pos                   8                                                       /*!< SVD4 INTF: SVDDT Position               */
#define SVD4_INTF_SVDDT_Msk                   (0x01UL << SVD4_INTF_SVDDT_Pos)                         /*!< SVD4 INTF: SVDDT Mask                   */
#define SVD4_INTF_RESERVED_15_9_Pos           9                                                       /*!< SVD4 INTF: RESERVED_15_9 Position       */
#define SVD4_INTF_RESERVED_15_9_Msk           (0x7fUL << SVD4_INTF_RESERVED_15_9_Pos)                 /*!< SVD4 INTF: RESERVED_15_9 Mask           */

/* ----------------------------------  SVD4_INTE  --------------------------------- */
#define SVD4_INTE_SVDIE_Pos                   0                                                       /*!< SVD4 INTE: SVDIE Position               */
#define SVD4_INTE_SVDIE_Msk                   (0x01UL << SVD4_INTE_SVDIE_Pos)                         /*!< SVD4 INTE: SVDIE Mask                   */
#define SVD4_INTE_RESERVED_15_1_Pos           1                                                       /*!< SVD4 INTE: RESERVED_15_1 Position       */
#define SVD4_INTE_RESERVED_15_1_Msk           (0x00007fffUL << SVD4_INTE_RESERVED_15_1_Pos)           /*!< SVD4 INTE: RESERVED_15_1 Mask           */


/* ================================================================================ */
/* ================          struct 'SYS' Position & Mask          ================ */
/* ================================================================================ */


/* ----------------------------------  SYS_PROT  ---------------------------------- */
#define SYS_PROT_PROT_Pos                     0                                                       /*!< SYS PROT: PROT Position                 */
#define SYS_PROT_PROT_Msk                     (0x0000ffffUL << SYS_PROT_PROT_Pos)                     /*!< SYS PROT: PROT Mask                     */


/* ================================================================================ */
/* ================         struct 'T16_0' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  T16_0_CLK  --------------------------------- */
#define T16_0_CLK_CLKSRC_Pos                  0                                                       /*!< T16_0 CLK: CLKSRC Position              */
#define T16_0_CLK_CLKSRC_Msk                  (0x03UL << T16_0_CLK_CLKSRC_Pos)                        /*!< T16_0 CLK: CLKSRC Mask                  */
#define T16_0_CLK_RESERVED_3_2_Pos            2                                                       /*!< T16_0 CLK: RESERVED_3_2 Position        */
#define T16_0_CLK_RESERVED_3_2_Msk            (0x03UL << T16_0_CLK_RESERVED_3_2_Pos)                  /*!< T16_0 CLK: RESERVED_3_2 Mask            */
#define T16_0_CLK_CLKDIV_Pos                  4                                                       /*!< T16_0 CLK: CLKDIV Position              */
#define T16_0_CLK_CLKDIV_Msk                  (0x0fUL << T16_0_CLK_CLKDIV_Pos)                        /*!< T16_0 CLK: CLKDIV Mask                  */
#define T16_0_CLK_DBRUN_Pos                   8                                                       /*!< T16_0 CLK: DBRUN Position               */
#define T16_0_CLK_DBRUN_Msk                   (0x01UL << T16_0_CLK_DBRUN_Pos)                         /*!< T16_0 CLK: DBRUN Mask                   */
#define T16_0_CLK_RESERVED_15_9_Pos           9                                                       /*!< T16_0 CLK: RESERVED_15_9 Position       */
#define T16_0_CLK_RESERVED_15_9_Msk           (0x7fUL << T16_0_CLK_RESERVED_15_9_Pos)                 /*!< T16_0 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_0_MOD  --------------------------------- */
#define T16_0_MOD_TRMD_Pos                    0                                                       /*!< T16_0 MOD: TRMD Position                */
#define T16_0_MOD_TRMD_Msk                    (0x01UL << T16_0_MOD_TRMD_Pos)                          /*!< T16_0 MOD: TRMD Mask                    */
#define T16_0_MOD_RESERVED_15_1_Pos           1                                                       /*!< T16_0 MOD: RESERVED_15_1 Position       */
#define T16_0_MOD_RESERVED_15_1_Msk           (0x00007fffUL << T16_0_MOD_RESERVED_15_1_Pos)           /*!< T16_0 MOD: RESERVED_15_1 Mask           */

/* ----------------------------------  T16_0_CTL  --------------------------------- */
#define T16_0_CTL_MODEN_Pos                   0                                                       /*!< T16_0 CTL: MODEN Position               */
#define T16_0_CTL_MODEN_Msk                   (0x01UL << T16_0_CTL_MODEN_Pos)                         /*!< T16_0 CTL: MODEN Mask                   */
#define T16_0_CTL_PRESET_Pos                  1                                                       /*!< T16_0 CTL: PRESET Position              */
#define T16_0_CTL_PRESET_Msk                  (0x01UL << T16_0_CTL_PRESET_Pos)                        /*!< T16_0 CTL: PRESET Mask                  */
#define T16_0_CTL_RESERVED_7_2_Pos            2                                                       /*!< T16_0 CTL: RESERVED_7_2 Position        */
#define T16_0_CTL_RESERVED_7_2_Msk            (0x3fUL << T16_0_CTL_RESERVED_7_2_Pos)                  /*!< T16_0 CTL: RESERVED_7_2 Mask            */
#define T16_0_CTL_PRUN_Pos                    8                                                       /*!< T16_0 CTL: PRUN Position                */
#define T16_0_CTL_PRUN_Msk                    (0x01UL << T16_0_CTL_PRUN_Pos)                          /*!< T16_0 CTL: PRUN Mask                    */
#define T16_0_CTL_RESERVED_15_9_Pos           9                                                       /*!< T16_0 CTL: RESERVED_15_9 Position       */
#define T16_0_CTL_RESERVED_15_9_Msk           (0x7fUL << T16_0_CTL_RESERVED_15_9_Pos)                 /*!< T16_0 CTL: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_0_TR  ---------------------------------- */
#define T16_0_TR_TR_Pos                       0                                                       /*!< T16_0 TR: TR Position                   */
#define T16_0_TR_TR_Msk                       (0x0000ffffUL << T16_0_TR_TR_Pos)                       /*!< T16_0 TR: TR Mask                       */

/* ----------------------------------  T16_0_TC  ---------------------------------- */
#define T16_0_TC_TC_Pos                       0                                                       /*!< T16_0 TC: TC Position                   */
#define T16_0_TC_TC_Msk                       (0x0000ffffUL << T16_0_TC_TC_Pos)                       /*!< T16_0 TC: TC Mask                       */

/* ---------------------------------  T16_0_INTF  --------------------------------- */
#define T16_0_INTF_UFIF_Pos                   0                                                       /*!< T16_0 INTF: UFIF Position               */
#define T16_0_INTF_UFIF_Msk                   (0x01UL << T16_0_INTF_UFIF_Pos)                         /*!< T16_0 INTF: UFIF Mask                   */
#define T16_0_INTF_RESERVED_15_1_Pos          1                                                       /*!< T16_0 INTF: RESERVED_15_1 Position      */
#define T16_0_INTF_RESERVED_15_1_Msk          (0x00007fffUL << T16_0_INTF_RESERVED_15_1_Pos)          /*!< T16_0 INTF: RESERVED_15_1 Mask          */

/* ---------------------------------  T16_0_INTE  --------------------------------- */
#define T16_0_INTE_UFIE_Pos                   0                                                       /*!< T16_0 INTE: UFIE Position               */
#define T16_0_INTE_UFIE_Msk                   (0x01UL << T16_0_INTE_UFIE_Pos)                         /*!< T16_0 INTE: UFIE Mask                   */
#define T16_0_INTE_RESERVED_15_1_Pos          1                                                       /*!< T16_0 INTE: RESERVED_15_1 Position      */
#define T16_0_INTE_RESERVED_15_1_Msk          (0x00007fffUL << T16_0_INTE_RESERVED_15_1_Pos)          /*!< T16_0 INTE: RESERVED_15_1 Mask          */


/* ================================================================================ */
/* ================         struct 'T16_1' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  T16_1_CLK  --------------------------------- */
#define T16_1_CLK_CLKSRC_Pos                  0                                                       /*!< T16_1 CLK: CLKSRC Position              */
#define T16_1_CLK_CLKSRC_Msk                  (0x03UL << T16_1_CLK_CLKSRC_Pos)                        /*!< T16_1 CLK: CLKSRC Mask                  */
#define T16_1_CLK_RESERVED_3_2_Pos            2                                                       /*!< T16_1 CLK: RESERVED_3_2 Position        */
#define T16_1_CLK_RESERVED_3_2_Msk            (0x03UL << T16_1_CLK_RESERVED_3_2_Pos)                  /*!< T16_1 CLK: RESERVED_3_2 Mask            */
#define T16_1_CLK_CLKDIV_Pos                  4                                                       /*!< T16_1 CLK: CLKDIV Position              */
#define T16_1_CLK_CLKDIV_Msk                  (0x0fUL << T16_1_CLK_CLKDIV_Pos)                        /*!< T16_1 CLK: CLKDIV Mask                  */
#define T16_1_CLK_DBRUN_Pos                   8                                                       /*!< T16_1 CLK: DBRUN Position               */
#define T16_1_CLK_DBRUN_Msk                   (0x01UL << T16_1_CLK_DBRUN_Pos)                         /*!< T16_1 CLK: DBRUN Mask                   */
#define T16_1_CLK_RESERVED_15_9_Pos           9                                                       /*!< T16_1 CLK: RESERVED_15_9 Position       */
#define T16_1_CLK_RESERVED_15_9_Msk           (0x7fUL << T16_1_CLK_RESERVED_15_9_Pos)                 /*!< T16_1 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_1_MOD  --------------------------------- */
#define T16_1_MOD_TRMD_Pos                    0                                                       /*!< T16_1 MOD: TRMD Position                */
#define T16_1_MOD_TRMD_Msk                    (0x01UL << T16_1_MOD_TRMD_Pos)                          /*!< T16_1 MOD: TRMD Mask                    */
#define T16_1_MOD_RESERVED_15_1_Pos           1                                                       /*!< T16_1 MOD: RESERVED_15_1 Position       */
#define T16_1_MOD_RESERVED_15_1_Msk           (0x00007fffUL << T16_1_MOD_RESERVED_15_1_Pos)           /*!< T16_1 MOD: RESERVED_15_1 Mask           */

/* ----------------------------------  T16_1_CTL  --------------------------------- */
#define T16_1_CTL_MODEN_Pos                   0                                                       /*!< T16_1 CTL: MODEN Position               */
#define T16_1_CTL_MODEN_Msk                   (0x01UL << T16_1_CTL_MODEN_Pos)                         /*!< T16_1 CTL: MODEN Mask                   */
#define T16_1_CTL_PRESET_Pos                  1                                                       /*!< T16_1 CTL: PRESET Position              */
#define T16_1_CTL_PRESET_Msk                  (0x01UL << T16_1_CTL_PRESET_Pos)                        /*!< T16_1 CTL: PRESET Mask                  */
#define T16_1_CTL_RESERVED_7_2_Pos            2                                                       /*!< T16_1 CTL: RESERVED_7_2 Position        */
#define T16_1_CTL_RESERVED_7_2_Msk            (0x3fUL << T16_1_CTL_RESERVED_7_2_Pos)                  /*!< T16_1 CTL: RESERVED_7_2 Mask            */
#define T16_1_CTL_PRUN_Pos                    8                                                       /*!< T16_1 CTL: PRUN Position                */
#define T16_1_CTL_PRUN_Msk                    (0x01UL << T16_1_CTL_PRUN_Pos)                          /*!< T16_1 CTL: PRUN Mask                    */
#define T16_1_CTL_RESERVED_15_9_Pos           9                                                       /*!< T16_1 CTL: RESERVED_15_9 Position       */
#define T16_1_CTL_RESERVED_15_9_Msk           (0x7fUL << T16_1_CTL_RESERVED_15_9_Pos)                 /*!< T16_1 CTL: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_1_TR  ---------------------------------- */
#define T16_1_TR_TR_Pos                       0                                                       /*!< T16_1 TR: TR Position                   */
#define T16_1_TR_TR_Msk                       (0x0000ffffUL << T16_1_TR_TR_Pos)                       /*!< T16_1 TR: TR Mask                       */

/* ----------------------------------  T16_1_TC  ---------------------------------- */
#define T16_1_TC_TC_Pos                       0                                                       /*!< T16_1 TC: TC Position                   */
#define T16_1_TC_TC_Msk                       (0x0000ffffUL << T16_1_TC_TC_Pos)                       /*!< T16_1 TC: TC Mask                       */

/* ---------------------------------  T16_1_INTF  --------------------------------- */
#define T16_1_INTF_UFIF_Pos                   0                                                       /*!< T16_1 INTF: UFIF Position               */
#define T16_1_INTF_UFIF_Msk                   (0x01UL << T16_1_INTF_UFIF_Pos)                         /*!< T16_1 INTF: UFIF Mask                   */
#define T16_1_INTF_RESERVED_15_1_Pos          1                                                       /*!< T16_1 INTF: RESERVED_15_1 Position      */
#define T16_1_INTF_RESERVED_15_1_Msk          (0x00007fffUL << T16_1_INTF_RESERVED_15_1_Pos)          /*!< T16_1 INTF: RESERVED_15_1 Mask          */

/* ---------------------------------  T16_1_INTE  --------------------------------- */
#define T16_1_INTE_UFIE_Pos                   0                                                       /*!< T16_1 INTE: UFIE Position               */
#define T16_1_INTE_UFIE_Msk                   (0x01UL << T16_1_INTE_UFIE_Pos)                         /*!< T16_1 INTE: UFIE Mask                   */
#define T16_1_INTE_RESERVED_15_1_Pos          1                                                       /*!< T16_1 INTE: RESERVED_15_1 Position      */
#define T16_1_INTE_RESERVED_15_1_Msk          (0x00007fffUL << T16_1_INTE_RESERVED_15_1_Pos)          /*!< T16_1 INTE: RESERVED_15_1 Mask          */


/* ================================================================================ */
/* ================         struct 'T16_2' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  T16_2_CLK  --------------------------------- */
#define T16_2_CLK_CLKSRC_Pos                  0                                                       /*!< T16_2 CLK: CLKSRC Position              */
#define T16_2_CLK_CLKSRC_Msk                  (0x03UL << T16_2_CLK_CLKSRC_Pos)                        /*!< T16_2 CLK: CLKSRC Mask                  */
#define T16_2_CLK_RESERVED_3_2_Pos            2                                                       /*!< T16_2 CLK: RESERVED_3_2 Position        */
#define T16_2_CLK_RESERVED_3_2_Msk            (0x03UL << T16_2_CLK_RESERVED_3_2_Pos)                  /*!< T16_2 CLK: RESERVED_3_2 Mask            */
#define T16_2_CLK_CLKDIV_Pos                  4                                                       /*!< T16_2 CLK: CLKDIV Position              */
#define T16_2_CLK_CLKDIV_Msk                  (0x0fUL << T16_2_CLK_CLKDIV_Pos)                        /*!< T16_2 CLK: CLKDIV Mask                  */
#define T16_2_CLK_DBRUN_Pos                   8                                                       /*!< T16_2 CLK: DBRUN Position               */
#define T16_2_CLK_DBRUN_Msk                   (0x01UL << T16_2_CLK_DBRUN_Pos)                         /*!< T16_2 CLK: DBRUN Mask                   */
#define T16_2_CLK_RESERVED_15_9_Pos           9                                                       /*!< T16_2 CLK: RESERVED_15_9 Position       */
#define T16_2_CLK_RESERVED_15_9_Msk           (0x7fUL << T16_2_CLK_RESERVED_15_9_Pos)                 /*!< T16_2 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_2_MOD  --------------------------------- */
#define T16_2_MOD_TRMD_Pos                    0                                                       /*!< T16_2 MOD: TRMD Position                */
#define T16_2_MOD_TRMD_Msk                    (0x01UL << T16_2_MOD_TRMD_Pos)                          /*!< T16_2 MOD: TRMD Mask                    */
#define T16_2_MOD_RESERVED_15_1_Pos           1                                                       /*!< T16_2 MOD: RESERVED_15_1 Position       */
#define T16_2_MOD_RESERVED_15_1_Msk           (0x00007fffUL << T16_2_MOD_RESERVED_15_1_Pos)           /*!< T16_2 MOD: RESERVED_15_1 Mask           */

/* ----------------------------------  T16_2_CTL  --------------------------------- */
#define T16_2_CTL_MODEN_Pos                   0                                                       /*!< T16_2 CTL: MODEN Position               */
#define T16_2_CTL_MODEN_Msk                   (0x01UL << T16_2_CTL_MODEN_Pos)                         /*!< T16_2 CTL: MODEN Mask                   */
#define T16_2_CTL_PRESET_Pos                  1                                                       /*!< T16_2 CTL: PRESET Position              */
#define T16_2_CTL_PRESET_Msk                  (0x01UL << T16_2_CTL_PRESET_Pos)                        /*!< T16_2 CTL: PRESET Mask                  */
#define T16_2_CTL_RESERVED_7_2_Pos            2                                                       /*!< T16_2 CTL: RESERVED_7_2 Position        */
#define T16_2_CTL_RESERVED_7_2_Msk            (0x3fUL << T16_2_CTL_RESERVED_7_2_Pos)                  /*!< T16_2 CTL: RESERVED_7_2 Mask            */
#define T16_2_CTL_PRUN_Pos                    8                                                       /*!< T16_2 CTL: PRUN Position                */
#define T16_2_CTL_PRUN_Msk                    (0x01UL << T16_2_CTL_PRUN_Pos)                          /*!< T16_2 CTL: PRUN Mask                    */
#define T16_2_CTL_RESERVED_15_9_Pos           9                                                       /*!< T16_2 CTL: RESERVED_15_9 Position       */
#define T16_2_CTL_RESERVED_15_9_Msk           (0x7fUL << T16_2_CTL_RESERVED_15_9_Pos)                 /*!< T16_2 CTL: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_2_TR  ---------------------------------- */
#define T16_2_TR_TR_Pos                       0                                                       /*!< T16_2 TR: TR Position                   */
#define T16_2_TR_TR_Msk                       (0x0000ffffUL << T16_2_TR_TR_Pos)                       /*!< T16_2 TR: TR Mask                       */

/* ----------------------------------  T16_2_TC  ---------------------------------- */
#define T16_2_TC_TC_Pos                       0                                                       /*!< T16_2 TC: TC Position                   */
#define T16_2_TC_TC_Msk                       (0x0000ffffUL << T16_2_TC_TC_Pos)                       /*!< T16_2 TC: TC Mask                       */

/* ---------------------------------  T16_2_INTF  --------------------------------- */
#define T16_2_INTF_UFIF_Pos                   0                                                       /*!< T16_2 INTF: UFIF Position               */
#define T16_2_INTF_UFIF_Msk                   (0x01UL << T16_2_INTF_UFIF_Pos)                         /*!< T16_2 INTF: UFIF Mask                   */
#define T16_2_INTF_RESERVED_15_1_Pos          1                                                       /*!< T16_2 INTF: RESERVED_15_1 Position      */
#define T16_2_INTF_RESERVED_15_1_Msk          (0x00007fffUL << T16_2_INTF_RESERVED_15_1_Pos)          /*!< T16_2 INTF: RESERVED_15_1 Mask          */

/* ---------------------------------  T16_2_INTE  --------------------------------- */
#define T16_2_INTE_UFIE_Pos                   0                                                       /*!< T16_2 INTE: UFIE Position               */
#define T16_2_INTE_UFIE_Msk                   (0x01UL << T16_2_INTE_UFIE_Pos)                         /*!< T16_2 INTE: UFIE Mask                   */
#define T16_2_INTE_RESERVED_15_1_Pos          1                                                       /*!< T16_2 INTE: RESERVED_15_1 Position      */
#define T16_2_INTE_RESERVED_15_1_Msk          (0x00007fffUL << T16_2_INTE_RESERVED_15_1_Pos)          /*!< T16_2 INTE: RESERVED_15_1 Mask          */


/* ================================================================================ */
/* ================         struct 'T16_3' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  T16_3_CLK  --------------------------------- */
#define T16_3_CLK_CLKSRC_Pos                  0                                                       /*!< T16_3 CLK: CLKSRC Position              */
#define T16_3_CLK_CLKSRC_Msk                  (0x03UL << T16_3_CLK_CLKSRC_Pos)                        /*!< T16_3 CLK: CLKSRC Mask                  */
#define T16_3_CLK_RESERVED_3_2_Pos            2                                                       /*!< T16_3 CLK: RESERVED_3_2 Position        */
#define T16_3_CLK_RESERVED_3_2_Msk            (0x03UL << T16_3_CLK_RESERVED_3_2_Pos)                  /*!< T16_3 CLK: RESERVED_3_2 Mask            */
#define T16_3_CLK_CLKDIV_Pos                  4                                                       /*!< T16_3 CLK: CLKDIV Position              */
#define T16_3_CLK_CLKDIV_Msk                  (0x0fUL << T16_3_CLK_CLKDIV_Pos)                        /*!< T16_3 CLK: CLKDIV Mask                  */
#define T16_3_CLK_DBRUN_Pos                   8                                                       /*!< T16_3 CLK: DBRUN Position               */
#define T16_3_CLK_DBRUN_Msk                   (0x01UL << T16_3_CLK_DBRUN_Pos)                         /*!< T16_3 CLK: DBRUN Mask                   */
#define T16_3_CLK_RESERVED_15_9_Pos           9                                                       /*!< T16_3 CLK: RESERVED_15_9 Position       */
#define T16_3_CLK_RESERVED_15_9_Msk           (0x7fUL << T16_3_CLK_RESERVED_15_9_Pos)                 /*!< T16_3 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_3_MOD  --------------------------------- */
#define T16_3_MOD_TRMD_Pos                    0                                                       /*!< T16_3 MOD: TRMD Position                */
#define T16_3_MOD_TRMD_Msk                    (0x01UL << T16_3_MOD_TRMD_Pos)                          /*!< T16_3 MOD: TRMD Mask                    */
#define T16_3_MOD_RESERVED_15_1_Pos           1                                                       /*!< T16_3 MOD: RESERVED_15_1 Position       */
#define T16_3_MOD_RESERVED_15_1_Msk           (0x00007fffUL << T16_3_MOD_RESERVED_15_1_Pos)           /*!< T16_3 MOD: RESERVED_15_1 Mask           */

/* ----------------------------------  T16_3_CTL  --------------------------------- */
#define T16_3_CTL_MODEN_Pos                   0                                                       /*!< T16_3 CTL: MODEN Position               */
#define T16_3_CTL_MODEN_Msk                   (0x01UL << T16_3_CTL_MODEN_Pos)                         /*!< T16_3 CTL: MODEN Mask                   */
#define T16_3_CTL_PRESET_Pos                  1                                                       /*!< T16_3 CTL: PRESET Position              */
#define T16_3_CTL_PRESET_Msk                  (0x01UL << T16_3_CTL_PRESET_Pos)                        /*!< T16_3 CTL: PRESET Mask                  */
#define T16_3_CTL_RESERVED_7_2_Pos            2                                                       /*!< T16_3 CTL: RESERVED_7_2 Position        */
#define T16_3_CTL_RESERVED_7_2_Msk            (0x3fUL << T16_3_CTL_RESERVED_7_2_Pos)                  /*!< T16_3 CTL: RESERVED_7_2 Mask            */
#define T16_3_CTL_PRUN_Pos                    8                                                       /*!< T16_3 CTL: PRUN Position                */
#define T16_3_CTL_PRUN_Msk                    (0x01UL << T16_3_CTL_PRUN_Pos)                          /*!< T16_3 CTL: PRUN Mask                    */
#define T16_3_CTL_RESERVED_15_9_Pos           9                                                       /*!< T16_3 CTL: RESERVED_15_9 Position       */
#define T16_3_CTL_RESERVED_15_9_Msk           (0x7fUL << T16_3_CTL_RESERVED_15_9_Pos)                 /*!< T16_3 CTL: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_3_TR  ---------------------------------- */
#define T16_3_TR_TR_Pos                       0                                                       /*!< T16_3 TR: TR Position                   */
#define T16_3_TR_TR_Msk                       (0x0000ffffUL << T16_3_TR_TR_Pos)                       /*!< T16_3 TR: TR Mask                       */

/* ----------------------------------  T16_3_TC  ---------------------------------- */
#define T16_3_TC_TC_Pos                       0                                                       /*!< T16_3 TC: TC Position                   */
#define T16_3_TC_TC_Msk                       (0x0000ffffUL << T16_3_TC_TC_Pos)                       /*!< T16_3 TC: TC Mask                       */

/* ---------------------------------  T16_3_INTF  --------------------------------- */
#define T16_3_INTF_UFIF_Pos                   0                                                       /*!< T16_3 INTF: UFIF Position               */
#define T16_3_INTF_UFIF_Msk                   (0x01UL << T16_3_INTF_UFIF_Pos)                         /*!< T16_3 INTF: UFIF Mask                   */
#define T16_3_INTF_RESERVED_15_1_Pos          1                                                       /*!< T16_3 INTF: RESERVED_15_1 Position      */
#define T16_3_INTF_RESERVED_15_1_Msk          (0x00007fffUL << T16_3_INTF_RESERVED_15_1_Pos)          /*!< T16_3 INTF: RESERVED_15_1 Mask          */

/* ---------------------------------  T16_3_INTE  --------------------------------- */
#define T16_3_INTE_UFIE_Pos                   0                                                       /*!< T16_3 INTE: UFIE Position               */
#define T16_3_INTE_UFIE_Msk                   (0x01UL << T16_3_INTE_UFIE_Pos)                         /*!< T16_3 INTE: UFIE Mask                   */
#define T16_3_INTE_RESERVED_15_1_Pos          1                                                       /*!< T16_3 INTE: RESERVED_15_1 Position      */
#define T16_3_INTE_RESERVED_15_1_Msk          (0x00007fffUL << T16_3_INTE_RESERVED_15_1_Pos)          /*!< T16_3 INTE: RESERVED_15_1 Mask          */


/* ================================================================================ */
/* ================         struct 'T16_4' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  T16_4_CLK  --------------------------------- */
#define T16_4_CLK_CLKSRC_Pos                  0                                                       /*!< T16_4 CLK: CLKSRC Position              */
#define T16_4_CLK_CLKSRC_Msk                  (0x03UL << T16_4_CLK_CLKSRC_Pos)                        /*!< T16_4 CLK: CLKSRC Mask                  */
#define T16_4_CLK_RESERVED_3_2_Pos            2                                                       /*!< T16_4 CLK: RESERVED_3_2 Position        */
#define T16_4_CLK_RESERVED_3_2_Msk            (0x03UL << T16_4_CLK_RESERVED_3_2_Pos)                  /*!< T16_4 CLK: RESERVED_3_2 Mask            */
#define T16_4_CLK_CLKDIV_Pos                  4                                                       /*!< T16_4 CLK: CLKDIV Position              */
#define T16_4_CLK_CLKDIV_Msk                  (0x0fUL << T16_4_CLK_CLKDIV_Pos)                        /*!< T16_4 CLK: CLKDIV Mask                  */
#define T16_4_CLK_DBRUN_Pos                   8                                                       /*!< T16_4 CLK: DBRUN Position               */
#define T16_4_CLK_DBRUN_Msk                   (0x01UL << T16_4_CLK_DBRUN_Pos)                         /*!< T16_4 CLK: DBRUN Mask                   */
#define T16_4_CLK_RESERVED_15_9_Pos           9                                                       /*!< T16_4 CLK: RESERVED_15_9 Position       */
#define T16_4_CLK_RESERVED_15_9_Msk           (0x7fUL << T16_4_CLK_RESERVED_15_9_Pos)                 /*!< T16_4 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_4_MOD  --------------------------------- */
#define T16_4_MOD_TRMD_Pos                    0                                                       /*!< T16_4 MOD: TRMD Position                */
#define T16_4_MOD_TRMD_Msk                    (0x01UL << T16_4_MOD_TRMD_Pos)                          /*!< T16_4 MOD: TRMD Mask                    */
#define T16_4_MOD_RESERVED_15_1_Pos           1                                                       /*!< T16_4 MOD: RESERVED_15_1 Position       */
#define T16_4_MOD_RESERVED_15_1_Msk           (0x00007fffUL << T16_4_MOD_RESERVED_15_1_Pos)           /*!< T16_4 MOD: RESERVED_15_1 Mask           */

/* ----------------------------------  T16_4_CTL  --------------------------------- */
#define T16_4_CTL_MODEN_Pos                   0                                                       /*!< T16_4 CTL: MODEN Position               */
#define T16_4_CTL_MODEN_Msk                   (0x01UL << T16_4_CTL_MODEN_Pos)                         /*!< T16_4 CTL: MODEN Mask                   */
#define T16_4_CTL_PRESET_Pos                  1                                                       /*!< T16_4 CTL: PRESET Position              */
#define T16_4_CTL_PRESET_Msk                  (0x01UL << T16_4_CTL_PRESET_Pos)                        /*!< T16_4 CTL: PRESET Mask                  */
#define T16_4_CTL_RESERVED_7_2_Pos            2                                                       /*!< T16_4 CTL: RESERVED_7_2 Position        */
#define T16_4_CTL_RESERVED_7_2_Msk            (0x3fUL << T16_4_CTL_RESERVED_7_2_Pos)                  /*!< T16_4 CTL: RESERVED_7_2 Mask            */
#define T16_4_CTL_PRUN_Pos                    8                                                       /*!< T16_4 CTL: PRUN Position                */
#define T16_4_CTL_PRUN_Msk                    (0x01UL << T16_4_CTL_PRUN_Pos)                          /*!< T16_4 CTL: PRUN Mask                    */
#define T16_4_CTL_RESERVED_15_9_Pos           9                                                       /*!< T16_4 CTL: RESERVED_15_9 Position       */
#define T16_4_CTL_RESERVED_15_9_Msk           (0x7fUL << T16_4_CTL_RESERVED_15_9_Pos)                 /*!< T16_4 CTL: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_4_TR  ---------------------------------- */
#define T16_4_TR_TR_Pos                       0                                                       /*!< T16_4 TR: TR Position                   */
#define T16_4_TR_TR_Msk                       (0x0000ffffUL << T16_4_TR_TR_Pos)                       /*!< T16_4 TR: TR Mask                       */

/* ----------------------------------  T16_4_TC  ---------------------------------- */
#define T16_4_TC_TC_Pos                       0                                                       /*!< T16_4 TC: TC Position                   */
#define T16_4_TC_TC_Msk                       (0x0000ffffUL << T16_4_TC_TC_Pos)                       /*!< T16_4 TC: TC Mask                       */

/* ---------------------------------  T16_4_INTF  --------------------------------- */
#define T16_4_INTF_UFIF_Pos                   0                                                       /*!< T16_4 INTF: UFIF Position               */
#define T16_4_INTF_UFIF_Msk                   (0x01UL << T16_4_INTF_UFIF_Pos)                         /*!< T16_4 INTF: UFIF Mask                   */
#define T16_4_INTF_RESERVED_15_1_Pos          1                                                       /*!< T16_4 INTF: RESERVED_15_1 Position      */
#define T16_4_INTF_RESERVED_15_1_Msk          (0x00007fffUL << T16_4_INTF_RESERVED_15_1_Pos)          /*!< T16_4 INTF: RESERVED_15_1 Mask          */

/* ---------------------------------  T16_4_INTE  --------------------------------- */
#define T16_4_INTE_UFIE_Pos                   0                                                       /*!< T16_4 INTE: UFIE Position               */
#define T16_4_INTE_UFIE_Msk                   (0x01UL << T16_4_INTE_UFIE_Pos)                         /*!< T16_4 INTE: UFIE Mask                   */
#define T16_4_INTE_RESERVED_15_1_Pos          1                                                       /*!< T16_4 INTE: RESERVED_15_1 Position      */
#define T16_4_INTE_RESERVED_15_1_Msk          (0x00007fffUL << T16_4_INTE_RESERVED_15_1_Pos)          /*!< T16_4 INTE: RESERVED_15_1 Mask          */


/* ================================================================================ */
/* ================         struct 'T16_5' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  T16_5_CLK  --------------------------------- */
#define T16_5_CLK_CLKSRC_Pos                  0                                                       /*!< T16_5 CLK: CLKSRC Position              */
#define T16_5_CLK_CLKSRC_Msk                  (0x03UL << T16_5_CLK_CLKSRC_Pos)                        /*!< T16_5 CLK: CLKSRC Mask                  */
#define T16_5_CLK_RESERVED_3_2_Pos            2                                                       /*!< T16_5 CLK: RESERVED_3_2 Position        */
#define T16_5_CLK_RESERVED_3_2_Msk            (0x03UL << T16_5_CLK_RESERVED_3_2_Pos)                  /*!< T16_5 CLK: RESERVED_3_2 Mask            */
#define T16_5_CLK_CLKDIV_Pos                  4                                                       /*!< T16_5 CLK: CLKDIV Position              */
#define T16_5_CLK_CLKDIV_Msk                  (0x0fUL << T16_5_CLK_CLKDIV_Pos)                        /*!< T16_5 CLK: CLKDIV Mask                  */
#define T16_5_CLK_DBRUN_Pos                   8                                                       /*!< T16_5 CLK: DBRUN Position               */
#define T16_5_CLK_DBRUN_Msk                   (0x01UL << T16_5_CLK_DBRUN_Pos)                         /*!< T16_5 CLK: DBRUN Mask                   */
#define T16_5_CLK_RESERVED_15_9_Pos           9                                                       /*!< T16_5 CLK: RESERVED_15_9 Position       */
#define T16_5_CLK_RESERVED_15_9_Msk           (0x7fUL << T16_5_CLK_RESERVED_15_9_Pos)                 /*!< T16_5 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_5_MOD  --------------------------------- */
#define T16_5_MOD_TRMD_Pos                    0                                                       /*!< T16_5 MOD: TRMD Position                */
#define T16_5_MOD_TRMD_Msk                    (0x01UL << T16_5_MOD_TRMD_Pos)                          /*!< T16_5 MOD: TRMD Mask                    */
#define T16_5_MOD_RESERVED_15_1_Pos           1                                                       /*!< T16_5 MOD: RESERVED_15_1 Position       */
#define T16_5_MOD_RESERVED_15_1_Msk           (0x00007fffUL << T16_5_MOD_RESERVED_15_1_Pos)           /*!< T16_5 MOD: RESERVED_15_1 Mask           */

/* ----------------------------------  T16_5_CTL  --------------------------------- */
#define T16_5_CTL_MODEN_Pos                   0                                                       /*!< T16_5 CTL: MODEN Position               */
#define T16_5_CTL_MODEN_Msk                   (0x01UL << T16_5_CTL_MODEN_Pos)                         /*!< T16_5 CTL: MODEN Mask                   */
#define T16_5_CTL_PRESET_Pos                  1                                                       /*!< T16_5 CTL: PRESET Position              */
#define T16_5_CTL_PRESET_Msk                  (0x01UL << T16_5_CTL_PRESET_Pos)                        /*!< T16_5 CTL: PRESET Mask                  */
#define T16_5_CTL_RESERVED_7_2_Pos            2                                                       /*!< T16_5 CTL: RESERVED_7_2 Position        */
#define T16_5_CTL_RESERVED_7_2_Msk            (0x3fUL << T16_5_CTL_RESERVED_7_2_Pos)                  /*!< T16_5 CTL: RESERVED_7_2 Mask            */
#define T16_5_CTL_PRUN_Pos                    8                                                       /*!< T16_5 CTL: PRUN Position                */
#define T16_5_CTL_PRUN_Msk                    (0x01UL << T16_5_CTL_PRUN_Pos)                          /*!< T16_5 CTL: PRUN Mask                    */
#define T16_5_CTL_RESERVED_15_9_Pos           9                                                       /*!< T16_5 CTL: RESERVED_15_9 Position       */
#define T16_5_CTL_RESERVED_15_9_Msk           (0x7fUL << T16_5_CTL_RESERVED_15_9_Pos)                 /*!< T16_5 CTL: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_5_TR  ---------------------------------- */
#define T16_5_TR_TR_Pos                       0                                                       /*!< T16_5 TR: TR Position                   */
#define T16_5_TR_TR_Msk                       (0x0000ffffUL << T16_5_TR_TR_Pos)                       /*!< T16_5 TR: TR Mask                       */

/* ----------------------------------  T16_5_TC  ---------------------------------- */
#define T16_5_TC_TC_Pos                       0                                                       /*!< T16_5 TC: TC Position                   */
#define T16_5_TC_TC_Msk                       (0x0000ffffUL << T16_5_TC_TC_Pos)                       /*!< T16_5 TC: TC Mask                       */

/* ---------------------------------  T16_5_INTF  --------------------------------- */
#define T16_5_INTF_UFIF_Pos                   0                                                       /*!< T16_5 INTF: UFIF Position               */
#define T16_5_INTF_UFIF_Msk                   (0x01UL << T16_5_INTF_UFIF_Pos)                         /*!< T16_5 INTF: UFIF Mask                   */
#define T16_5_INTF_RESERVED_15_1_Pos          1                                                       /*!< T16_5 INTF: RESERVED_15_1 Position      */
#define T16_5_INTF_RESERVED_15_1_Msk          (0x00007fffUL << T16_5_INTF_RESERVED_15_1_Pos)          /*!< T16_5 INTF: RESERVED_15_1 Mask          */

/* ---------------------------------  T16_5_INTE  --------------------------------- */
#define T16_5_INTE_UFIE_Pos                   0                                                       /*!< T16_5 INTE: UFIE Position               */
#define T16_5_INTE_UFIE_Msk                   (0x01UL << T16_5_INTE_UFIE_Pos)                         /*!< T16_5 INTE: UFIE Mask                   */
#define T16_5_INTE_RESERVED_15_1_Pos          1                                                       /*!< T16_5 INTE: RESERVED_15_1 Position      */
#define T16_5_INTE_RESERVED_15_1_Msk          (0x00007fffUL << T16_5_INTE_RESERVED_15_1_Pos)          /*!< T16_5 INTE: RESERVED_15_1 Mask          */


/* ================================================================================ */
/* ================         struct 'T16_6' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  T16_6_CLK  --------------------------------- */
#define T16_6_CLK_CLKSRC_Pos                  0                                                       /*!< T16_6 CLK: CLKSRC Position              */
#define T16_6_CLK_CLKSRC_Msk                  (0x03UL << T16_6_CLK_CLKSRC_Pos)                        /*!< T16_6 CLK: CLKSRC Mask                  */
#define T16_6_CLK_RESERVED_3_2_Pos            2                                                       /*!< T16_6 CLK: RESERVED_3_2 Position        */
#define T16_6_CLK_RESERVED_3_2_Msk            (0x03UL << T16_6_CLK_RESERVED_3_2_Pos)                  /*!< T16_6 CLK: RESERVED_3_2 Mask            */
#define T16_6_CLK_CLKDIV_Pos                  4                                                       /*!< T16_6 CLK: CLKDIV Position              */
#define T16_6_CLK_CLKDIV_Msk                  (0x0fUL << T16_6_CLK_CLKDIV_Pos)                        /*!< T16_6 CLK: CLKDIV Mask                  */
#define T16_6_CLK_DBRUN_Pos                   8                                                       /*!< T16_6 CLK: DBRUN Position               */
#define T16_6_CLK_DBRUN_Msk                   (0x01UL << T16_6_CLK_DBRUN_Pos)                         /*!< T16_6 CLK: DBRUN Mask                   */
#define T16_6_CLK_RESERVED_15_9_Pos           9                                                       /*!< T16_6 CLK: RESERVED_15_9 Position       */
#define T16_6_CLK_RESERVED_15_9_Msk           (0x7fUL << T16_6_CLK_RESERVED_15_9_Pos)                 /*!< T16_6 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_6_MOD  --------------------------------- */
#define T16_6_MOD_TRMD_Pos                    0                                                       /*!< T16_6 MOD: TRMD Position                */
#define T16_6_MOD_TRMD_Msk                    (0x01UL << T16_6_MOD_TRMD_Pos)                          /*!< T16_6 MOD: TRMD Mask                    */
#define T16_6_MOD_RESERVED_15_1_Pos           1                                                       /*!< T16_6 MOD: RESERVED_15_1 Position       */
#define T16_6_MOD_RESERVED_15_1_Msk           (0x00007fffUL << T16_6_MOD_RESERVED_15_1_Pos)           /*!< T16_6 MOD: RESERVED_15_1 Mask           */

/* ----------------------------------  T16_6_CTL  --------------------------------- */
#define T16_6_CTL_MODEN_Pos                   0                                                       /*!< T16_6 CTL: MODEN Position               */
#define T16_6_CTL_MODEN_Msk                   (0x01UL << T16_6_CTL_MODEN_Pos)                         /*!< T16_6 CTL: MODEN Mask                   */
#define T16_6_CTL_PRESET_Pos                  1                                                       /*!< T16_6 CTL: PRESET Position              */
#define T16_6_CTL_PRESET_Msk                  (0x01UL << T16_6_CTL_PRESET_Pos)                        /*!< T16_6 CTL: PRESET Mask                  */
#define T16_6_CTL_RESERVED_7_2_Pos            2                                                       /*!< T16_6 CTL: RESERVED_7_2 Position        */
#define T16_6_CTL_RESERVED_7_2_Msk            (0x3fUL << T16_6_CTL_RESERVED_7_2_Pos)                  /*!< T16_6 CTL: RESERVED_7_2 Mask            */
#define T16_6_CTL_PRUN_Pos                    8                                                       /*!< T16_6 CTL: PRUN Position                */
#define T16_6_CTL_PRUN_Msk                    (0x01UL << T16_6_CTL_PRUN_Pos)                          /*!< T16_6 CTL: PRUN Mask                    */
#define T16_6_CTL_RESERVED_15_9_Pos           9                                                       /*!< T16_6 CTL: RESERVED_15_9 Position       */
#define T16_6_CTL_RESERVED_15_9_Msk           (0x7fUL << T16_6_CTL_RESERVED_15_9_Pos)                 /*!< T16_6 CTL: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_6_TR  ---------------------------------- */
#define T16_6_TR_TR_Pos                       0                                                       /*!< T16_6 TR: TR Position                   */
#define T16_6_TR_TR_Msk                       (0x0000ffffUL << T16_6_TR_TR_Pos)                       /*!< T16_6 TR: TR Mask                       */

/* ----------------------------------  T16_6_TC  ---------------------------------- */
#define T16_6_TC_TC_Pos                       0                                                       /*!< T16_6 TC: TC Position                   */
#define T16_6_TC_TC_Msk                       (0x0000ffffUL << T16_6_TC_TC_Pos)                       /*!< T16_6 TC: TC Mask                       */

/* ---------------------------------  T16_6_INTF  --------------------------------- */
#define T16_6_INTF_UFIF_Pos                   0                                                       /*!< T16_6 INTF: UFIF Position               */
#define T16_6_INTF_UFIF_Msk                   (0x01UL << T16_6_INTF_UFIF_Pos)                         /*!< T16_6 INTF: UFIF Mask                   */
#define T16_6_INTF_RESERVED_15_1_Pos          1                                                       /*!< T16_6 INTF: RESERVED_15_1 Position      */
#define T16_6_INTF_RESERVED_15_1_Msk          (0x00007fffUL << T16_6_INTF_RESERVED_15_1_Pos)          /*!< T16_6 INTF: RESERVED_15_1 Mask          */

/* ---------------------------------  T16_6_INTE  --------------------------------- */
#define T16_6_INTE_UFIE_Pos                   0                                                       /*!< T16_6 INTE: UFIE Position               */
#define T16_6_INTE_UFIE_Msk                   (0x01UL << T16_6_INTE_UFIE_Pos)                         /*!< T16_6 INTE: UFIE Mask                   */
#define T16_6_INTE_RESERVED_15_1_Pos          1                                                       /*!< T16_6 INTE: RESERVED_15_1 Position      */
#define T16_6_INTE_RESERVED_15_1_Msk          (0x00007fffUL << T16_6_INTE_RESERVED_15_1_Pos)          /*!< T16_6 INTE: RESERVED_15_1 Mask          */


/* ================================================================================ */
/* ================         struct 'T16_7' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  T16_7_CLK  --------------------------------- */
#define T16_7_CLK_CLKSRC_Pos                  0                                                       /*!< T16_7 CLK: CLKSRC Position              */
#define T16_7_CLK_CLKSRC_Msk                  (0x03UL << T16_7_CLK_CLKSRC_Pos)                        /*!< T16_7 CLK: CLKSRC Mask                  */
#define T16_7_CLK_RESERVED_3_2_Pos            2                                                       /*!< T16_7 CLK: RESERVED_3_2 Position        */
#define T16_7_CLK_RESERVED_3_2_Msk            (0x03UL << T16_7_CLK_RESERVED_3_2_Pos)                  /*!< T16_7 CLK: RESERVED_3_2 Mask            */
#define T16_7_CLK_CLKDIV_Pos                  4                                                       /*!< T16_7 CLK: CLKDIV Position              */
#define T16_7_CLK_CLKDIV_Msk                  (0x0fUL << T16_7_CLK_CLKDIV_Pos)                        /*!< T16_7 CLK: CLKDIV Mask                  */
#define T16_7_CLK_DBRUN_Pos                   8                                                       /*!< T16_7 CLK: DBRUN Position               */
#define T16_7_CLK_DBRUN_Msk                   (0x01UL << T16_7_CLK_DBRUN_Pos)                         /*!< T16_7 CLK: DBRUN Mask                   */
#define T16_7_CLK_RESERVED_15_9_Pos           9                                                       /*!< T16_7 CLK: RESERVED_15_9 Position       */
#define T16_7_CLK_RESERVED_15_9_Msk           (0x7fUL << T16_7_CLK_RESERVED_15_9_Pos)                 /*!< T16_7 CLK: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_7_MOD  --------------------------------- */
#define T16_7_MOD_TRMD_Pos                    0                                                       /*!< T16_7 MOD: TRMD Position                */
#define T16_7_MOD_TRMD_Msk                    (0x01UL << T16_7_MOD_TRMD_Pos)                          /*!< T16_7 MOD: TRMD Mask                    */
#define T16_7_MOD_RESERVED_15_1_Pos           1                                                       /*!< T16_7 MOD: RESERVED_15_1 Position       */
#define T16_7_MOD_RESERVED_15_1_Msk           (0x00007fffUL << T16_7_MOD_RESERVED_15_1_Pos)           /*!< T16_7 MOD: RESERVED_15_1 Mask           */

/* ----------------------------------  T16_7_CTL  --------------------------------- */
#define T16_7_CTL_MODEN_Pos                   0                                                       /*!< T16_7 CTL: MODEN Position               */
#define T16_7_CTL_MODEN_Msk                   (0x01UL << T16_7_CTL_MODEN_Pos)                         /*!< T16_7 CTL: MODEN Mask                   */
#define T16_7_CTL_PRESET_Pos                  1                                                       /*!< T16_7 CTL: PRESET Position              */
#define T16_7_CTL_PRESET_Msk                  (0x01UL << T16_7_CTL_PRESET_Pos)                        /*!< T16_7 CTL: PRESET Mask                  */
#define T16_7_CTL_RESERVED_7_2_Pos            2                                                       /*!< T16_7 CTL: RESERVED_7_2 Position        */
#define T16_7_CTL_RESERVED_7_2_Msk            (0x3fUL << T16_7_CTL_RESERVED_7_2_Pos)                  /*!< T16_7 CTL: RESERVED_7_2 Mask            */
#define T16_7_CTL_PRUN_Pos                    8                                                       /*!< T16_7 CTL: PRUN Position                */
#define T16_7_CTL_PRUN_Msk                    (0x01UL << T16_7_CTL_PRUN_Pos)                          /*!< T16_7 CTL: PRUN Mask                    */
#define T16_7_CTL_RESERVED_15_9_Pos           9                                                       /*!< T16_7 CTL: RESERVED_15_9 Position       */
#define T16_7_CTL_RESERVED_15_9_Msk           (0x7fUL << T16_7_CTL_RESERVED_15_9_Pos)                 /*!< T16_7 CTL: RESERVED_15_9 Mask           */

/* ----------------------------------  T16_7_TR  ---------------------------------- */
#define T16_7_TR_TR_Pos                       0                                                       /*!< T16_7 TR: TR Position                   */
#define T16_7_TR_TR_Msk                       (0x0000ffffUL << T16_7_TR_TR_Pos)                       /*!< T16_7 TR: TR Mask                       */

/* ----------------------------------  T16_7_TC  ---------------------------------- */
#define T16_7_TC_TC_Pos                       0                                                       /*!< T16_7 TC: TC Position                   */
#define T16_7_TC_TC_Msk                       (0x0000ffffUL << T16_7_TC_TC_Pos)                       /*!< T16_7 TC: TC Mask                       */

/* ---------------------------------  T16_7_INTF  --------------------------------- */
#define T16_7_INTF_UFIF_Pos                   0                                                       /*!< T16_7 INTF: UFIF Position               */
#define T16_7_INTF_UFIF_Msk                   (0x01UL << T16_7_INTF_UFIF_Pos)                         /*!< T16_7 INTF: UFIF Mask                   */
#define T16_7_INTF_RESERVED_15_1_Pos          1                                                       /*!< T16_7 INTF: RESERVED_15_1 Position      */
#define T16_7_INTF_RESERVED_15_1_Msk          (0x00007fffUL << T16_7_INTF_RESERVED_15_1_Pos)          /*!< T16_7 INTF: RESERVED_15_1 Mask          */

/* ---------------------------------  T16_7_INTE  --------------------------------- */
#define T16_7_INTE_UFIE_Pos                   0                                                       /*!< T16_7 INTE: UFIE Position               */
#define T16_7_INTE_UFIE_Msk                   (0x01UL << T16_7_INTE_UFIE_Pos)                         /*!< T16_7 INTE: UFIE Mask                   */
#define T16_7_INTE_RESERVED_15_1_Pos          1                                                       /*!< T16_7 INTE: RESERVED_15_1 Position      */
#define T16_7_INTE_RESERVED_15_1_Msk          (0x00007fffUL << T16_7_INTE_RESERVED_15_1_Pos)          /*!< T16_7 INTE: RESERVED_15_1 Mask          */


/* ================================================================================ */
/* ================         struct 'T16B_0' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  T16B_0_CLK  --------------------------------- */
#define T16B_0_CLK_CLKSRC_Pos                 0                                                       /*!< T16B_0 CLK: CLKSRC Position             */
#define T16B_0_CLK_CLKSRC_Msk                 (0x07UL << T16B_0_CLK_CLKSRC_Pos)                       /*!< T16B_0 CLK: CLKSRC Mask                 */
#define T16B_0_CLK_RESERVED_3_Pos             3                                                       /*!< T16B_0 CLK: RESERVED_3 Position         */
#define T16B_0_CLK_RESERVED_3_Msk             (0x01UL << T16B_0_CLK_RESERVED_3_Pos)                   /*!< T16B_0 CLK: RESERVED_3 Mask             */
#define T16B_0_CLK_CLKDIV_Pos                 4                                                       /*!< T16B_0 CLK: CLKDIV Position             */
#define T16B_0_CLK_CLKDIV_Msk                 (0x0fUL << T16B_0_CLK_CLKDIV_Pos)                       /*!< T16B_0 CLK: CLKDIV Mask                 */
#define T16B_0_CLK_DBRUN_Pos                  8                                                       /*!< T16B_0 CLK: DBRUN Position              */
#define T16B_0_CLK_DBRUN_Msk                  (0x01UL << T16B_0_CLK_DBRUN_Pos)                        /*!< T16B_0 CLK: DBRUN Mask                  */
#define T16B_0_CLK_RESERVED_15_9_Pos          9                                                       /*!< T16B_0 CLK: RESERVED_15_9 Position      */
#define T16B_0_CLK_RESERVED_15_9_Msk          (0x7fUL << T16B_0_CLK_RESERVED_15_9_Pos)                /*!< T16B_0 CLK: RESERVED_15_9 Mask          */

/* ---------------------------------  T16B_0_CTL  --------------------------------- */
#define T16B_0_CTL_MODEN_Pos                  0                                                       /*!< T16B_0 CTL: MODEN Position              */
#define T16B_0_CTL_MODEN_Msk                  (0x01UL << T16B_0_CTL_MODEN_Pos)                        /*!< T16B_0 CTL: MODEN Mask                  */
#define T16B_0_CTL_PRESET_Pos                 1                                                       /*!< T16B_0 CTL: PRESET Position             */
#define T16B_0_CTL_PRESET_Msk                 (0x01UL << T16B_0_CTL_PRESET_Pos)                       /*!< T16B_0 CTL: PRESET Mask                 */
#define T16B_0_CTL_RUN_Pos                    2                                                       /*!< T16B_0 CTL: RUN Position                */
#define T16B_0_CTL_RUN_Msk                    (0x01UL << T16B_0_CTL_RUN_Pos)                          /*!< T16B_0 CTL: RUN Mask                    */
#define T16B_0_CTL_ONEST_Pos                  3                                                       /*!< T16B_0 CTL: ONEST Position              */
#define T16B_0_CTL_ONEST_Msk                  (0x01UL << T16B_0_CTL_ONEST_Pos)                        /*!< T16B_0 CTL: ONEST Mask                  */
#define T16B_0_CTL_CNTMD_Pos                  4                                                       /*!< T16B_0 CTL: CNTMD Position              */
#define T16B_0_CTL_CNTMD_Msk                  (0x03UL << T16B_0_CTL_CNTMD_Pos)                        /*!< T16B_0 CTL: CNTMD Mask                  */
#define T16B_0_CTL_RESERVED_7_6_Pos           6                                                       /*!< T16B_0 CTL: RESERVED_7_6 Position       */
#define T16B_0_CTL_RESERVED_7_6_Msk           (0x03UL << T16B_0_CTL_RESERVED_7_6_Pos)                 /*!< T16B_0 CTL: RESERVED_7_6 Mask           */
#define T16B_0_CTL_MAXBSY_Pos                 8                                                       /*!< T16B_0 CTL: MAXBSY Position             */
#define T16B_0_CTL_MAXBSY_Msk                 (0x01UL << T16B_0_CTL_MAXBSY_Pos)                       /*!< T16B_0 CTL: MAXBSY Mask                 */
#define T16B_0_CTL_RESERVED_15_9_Pos          9                                                       /*!< T16B_0 CTL: RESERVED_15_9 Position      */
#define T16B_0_CTL_RESERVED_15_9_Msk          (0x7fUL << T16B_0_CTL_RESERVED_15_9_Pos)                /*!< T16B_0 CTL: RESERVED_15_9 Mask          */

/* ----------------------------------  T16B_0_MC  --------------------------------- */
#define T16B_0_MC_MC_Pos                      0                                                       /*!< T16B_0 MC: MC Position                  */
#define T16B_0_MC_MC_Msk                      (0x0000ffffUL << T16B_0_MC_MC_Pos)                      /*!< T16B_0 MC: MC Mask                      */

/* ----------------------------------  T16B_0_TC  --------------------------------- */
#define T16B_0_TC_TC_Pos                      0                                                       /*!< T16B_0 TC: TC Position                  */
#define T16B_0_TC_TC_Msk                      (0x0000ffffUL << T16B_0_TC_TC_Pos)                      /*!< T16B_0 TC: TC Mask                      */

/* ----------------------------------  T16B_0_CS  --------------------------------- */
#define T16B_0_CS_BSY_Pos                     0                                                       /*!< T16B_0 CS: BSY Position                 */
#define T16B_0_CS_BSY_Msk                     (0x01UL << T16B_0_CS_BSY_Pos)                           /*!< T16B_0 CS: BSY Mask                     */
#define T16B_0_CS_UP_DOWN_Pos                 1                                                       /*!< T16B_0 CS: UP_DOWN Position             */
#define T16B_0_CS_UP_DOWN_Msk                 (0x01UL << T16B_0_CS_UP_DOWN_Pos)                       /*!< T16B_0 CS: UP_DOWN Mask                 */
#define T16B_0_CS_CAPI0_Pos                   2                                                       /*!< T16B_0 CS: CAPI0 Position               */
#define T16B_0_CS_CAPI0_Msk                   (0x01UL << T16B_0_CS_CAPI0_Pos)                         /*!< T16B_0 CS: CAPI0 Mask                   */
#define T16B_0_CS_CAPI1_Pos                   3                                                       /*!< T16B_0 CS: CAPI1 Position               */
#define T16B_0_CS_CAPI1_Msk                   (0x01UL << T16B_0_CS_CAPI1_Pos)                         /*!< T16B_0 CS: CAPI1 Mask                   */
#define T16B_0_CS_CAPI2_Pos                   4                                                       /*!< T16B_0 CS: CAPI2 Position               */
#define T16B_0_CS_CAPI2_Msk                   (0x01UL << T16B_0_CS_CAPI2_Pos)                         /*!< T16B_0 CS: CAPI2 Mask                   */
#define T16B_0_CS_CAPI3_Pos                   5                                                       /*!< T16B_0 CS: CAPI3 Position               */
#define T16B_0_CS_CAPI3_Msk                   (0x01UL << T16B_0_CS_CAPI3_Pos)                         /*!< T16B_0 CS: CAPI3 Mask                   */
#define T16B_0_CS_RESERVED_15_6_Pos           6                                                       /*!< T16B_0 CS: RESERVED_15_6 Position       */
#define T16B_0_CS_RESERVED_15_6_Msk           (0x000003ffUL << T16B_0_CS_RESERVED_15_6_Pos)           /*!< T16B_0 CS: RESERVED_15_6 Mask           */

/* ---------------------------------  T16B_0_INTF  -------------------------------- */
#define T16B_0_INTF_CNTZEROIF_Pos             0                                                       /*!< T16B_0 INTF: CNTZEROIF Position         */
#define T16B_0_INTF_CNTZEROIF_Msk             (0x01UL << T16B_0_INTF_CNTZEROIF_Pos)                   /*!< T16B_0 INTF: CNTZEROIF Mask             */
#define T16B_0_INTF_CNTMAXIF_Pos              1                                                       /*!< T16B_0 INTF: CNTMAXIF Position          */
#define T16B_0_INTF_CNTMAXIF_Msk              (0x01UL << T16B_0_INTF_CNTMAXIF_Pos)                    /*!< T16B_0 INTF: CNTMAXIF Mask              */
#define T16B_0_INTF_CMPCAP0IF_Pos             2                                                       /*!< T16B_0 INTF: CMPCAP0IF Position         */
#define T16B_0_INTF_CMPCAP0IF_Msk             (0x01UL << T16B_0_INTF_CMPCAP0IF_Pos)                   /*!< T16B_0 INTF: CMPCAP0IF Mask             */
#define T16B_0_INTF_CAPOW0IF_Pos              3                                                       /*!< T16B_0 INTF: CAPOW0IF Position          */
#define T16B_0_INTF_CAPOW0IF_Msk              (0x01UL << T16B_0_INTF_CAPOW0IF_Pos)                    /*!< T16B_0 INTF: CAPOW0IF Mask              */
#define T16B_0_INTF_CMPCAP1IF_Pos             4                                                       /*!< T16B_0 INTF: CMPCAP1IF Position         */
#define T16B_0_INTF_CMPCAP1IF_Msk             (0x01UL << T16B_0_INTF_CMPCAP1IF_Pos)                   /*!< T16B_0 INTF: CMPCAP1IF Mask             */
#define T16B_0_INTF_CAPOW1IF_Pos              5                                                       /*!< T16B_0 INTF: CAPOW1IF Position          */
#define T16B_0_INTF_CAPOW1IF_Msk              (0x01UL << T16B_0_INTF_CAPOW1IF_Pos)                    /*!< T16B_0 INTF: CAPOW1IF Mask              */
#define T16B_0_INTF_CMPCAP2IF_Pos             6                                                       /*!< T16B_0 INTF: CMPCAP2IF Position         */
#define T16B_0_INTF_CMPCAP2IF_Msk             (0x01UL << T16B_0_INTF_CMPCAP2IF_Pos)                   /*!< T16B_0 INTF: CMPCAP2IF Mask             */
#define T16B_0_INTF_CAPOW2IF_Pos              7                                                       /*!< T16B_0 INTF: CAPOW2IF Position          */
#define T16B_0_INTF_CAPOW2IF_Msk              (0x01UL << T16B_0_INTF_CAPOW2IF_Pos)                    /*!< T16B_0 INTF: CAPOW2IF Mask              */
#define T16B_0_INTF_CMPCAP3IF_Pos             8                                                       /*!< T16B_0 INTF: CMPCAP3IF Position         */
#define T16B_0_INTF_CMPCAP3IF_Msk             (0x01UL << T16B_0_INTF_CMPCAP3IF_Pos)                   /*!< T16B_0 INTF: CMPCAP3IF Mask             */
#define T16B_0_INTF_CAPOW3IF_Pos              9                                                       /*!< T16B_0 INTF: CAPOW3IF Position          */
#define T16B_0_INTF_CAPOW3IF_Msk              (0x01UL << T16B_0_INTF_CAPOW3IF_Pos)                    /*!< T16B_0 INTF: CAPOW3IF Mask              */
#define T16B_0_INTF_RESERVED_15_10_Pos        10                                                      /*!< T16B_0 INTF: RESERVED_15_10 Position    */
#define T16B_0_INTF_RESERVED_15_10_Msk        (0x3fUL << T16B_0_INTF_RESERVED_15_10_Pos)              /*!< T16B_0 INTF: RESERVED_15_10 Mask        */

/* ---------------------------------  T16B_0_INTE  -------------------------------- */
#define T16B_0_INTE_CNTZEROIE_Pos             0                                                       /*!< T16B_0 INTE: CNTZEROIE Position         */
#define T16B_0_INTE_CNTZEROIE_Msk             (0x01UL << T16B_0_INTE_CNTZEROIE_Pos)                   /*!< T16B_0 INTE: CNTZEROIE Mask             */
#define T16B_0_INTE_CNTMAXIE_Pos              1                                                       /*!< T16B_0 INTE: CNTMAXIE Position          */
#define T16B_0_INTE_CNTMAXIE_Msk              (0x01UL << T16B_0_INTE_CNTMAXIE_Pos)                    /*!< T16B_0 INTE: CNTMAXIE Mask              */
#define T16B_0_INTE_CMPCAP0IE_Pos             2                                                       /*!< T16B_0 INTE: CMPCAP0IE Position         */
#define T16B_0_INTE_CMPCAP0IE_Msk             (0x01UL << T16B_0_INTE_CMPCAP0IE_Pos)                   /*!< T16B_0 INTE: CMPCAP0IE Mask             */
#define T16B_0_INTE_CAPOW0IE_Pos              3                                                       /*!< T16B_0 INTE: CAPOW0IE Position          */
#define T16B_0_INTE_CAPOW0IE_Msk              (0x01UL << T16B_0_INTE_CAPOW0IE_Pos)                    /*!< T16B_0 INTE: CAPOW0IE Mask              */
#define T16B_0_INTE_CMPCAP1IE_Pos             4                                                       /*!< T16B_0 INTE: CMPCAP1IE Position         */
#define T16B_0_INTE_CMPCAP1IE_Msk             (0x01UL << T16B_0_INTE_CMPCAP1IE_Pos)                   /*!< T16B_0 INTE: CMPCAP1IE Mask             */
#define T16B_0_INTE_CAPOW1IE_Pos              5                                                       /*!< T16B_0 INTE: CAPOW1IE Position          */
#define T16B_0_INTE_CAPOW1IE_Msk              (0x01UL << T16B_0_INTE_CAPOW1IE_Pos)                    /*!< T16B_0 INTE: CAPOW1IE Mask              */
#define T16B_0_INTE_CMPCAP2IE_Pos             6                                                       /*!< T16B_0 INTE: CMPCAP2IE Position         */
#define T16B_0_INTE_CMPCAP2IE_Msk             (0x01UL << T16B_0_INTE_CMPCAP2IE_Pos)                   /*!< T16B_0 INTE: CMPCAP2IE Mask             */
#define T16B_0_INTE_CAPOW2IE_Pos              7                                                       /*!< T16B_0 INTE: CAPOW2IE Position          */
#define T16B_0_INTE_CAPOW2IE_Msk              (0x01UL << T16B_0_INTE_CAPOW2IE_Pos)                    /*!< T16B_0 INTE: CAPOW2IE Mask              */
#define T16B_0_INTE_CMPCAP3IE_Pos             8                                                       /*!< T16B_0 INTE: CMPCAP3IE Position         */
#define T16B_0_INTE_CMPCAP3IE_Msk             (0x01UL << T16B_0_INTE_CMPCAP3IE_Pos)                   /*!< T16B_0 INTE: CMPCAP3IE Mask             */
#define T16B_0_INTE_CAPOW3IE_Pos              9                                                       /*!< T16B_0 INTE: CAPOW3IE Position          */
#define T16B_0_INTE_CAPOW3IE_Msk              (0x01UL << T16B_0_INTE_CAPOW3IE_Pos)                    /*!< T16B_0 INTE: CAPOW3IE Mask              */
#define T16B_0_INTE_RESERVED_15_10_Pos        10                                                      /*!< T16B_0 INTE: RESERVED_15_10 Position    */
#define T16B_0_INTE_RESERVED_15_10_Msk        (0x3fUL << T16B_0_INTE_RESERVED_15_10_Pos)              /*!< T16B_0 INTE: RESERVED_15_10 Mask        */

/* -------------------------------  T16B_0_MZDMAEN  ------------------------------- */
#define T16B_0_MZDMAEN_MZDMAEN0_Pos           0                                                       /*!< T16B_0 MZDMAEN: MZDMAEN0 Position       */
#define T16B_0_MZDMAEN_MZDMAEN0_Msk           (0x01UL << T16B_0_MZDMAEN_MZDMAEN0_Pos)                 /*!< T16B_0 MZDMAEN: MZDMAEN0 Mask           */
#define T16B_0_MZDMAEN_MZDMAEN1_Pos           1                                                       /*!< T16B_0 MZDMAEN: MZDMAEN1 Position       */
#define T16B_0_MZDMAEN_MZDMAEN1_Msk           (0x01UL << T16B_0_MZDMAEN_MZDMAEN1_Pos)                 /*!< T16B_0 MZDMAEN: MZDMAEN1 Mask           */
#define T16B_0_MZDMAEN_MZDMAEN2_Pos           2                                                       /*!< T16B_0 MZDMAEN: MZDMAEN2 Position       */
#define T16B_0_MZDMAEN_MZDMAEN2_Msk           (0x01UL << T16B_0_MZDMAEN_MZDMAEN2_Pos)                 /*!< T16B_0 MZDMAEN: MZDMAEN2 Mask           */
#define T16B_0_MZDMAEN_MZDMAEN3_Pos           3                                                       /*!< T16B_0 MZDMAEN: MZDMAEN3 Position       */
#define T16B_0_MZDMAEN_MZDMAEN3_Msk           (0x01UL << T16B_0_MZDMAEN_MZDMAEN3_Pos)                 /*!< T16B_0 MZDMAEN: MZDMAEN3 Mask           */
#define T16B_0_MZDMAEN_RESERVED_15_4_Pos      4                                                       /*!< T16B_0 MZDMAEN: RESERVED_15_4 Position  */
#define T16B_0_MZDMAEN_RESERVED_15_4_Msk      (0x00000fffUL << T16B_0_MZDMAEN_RESERVED_15_4_Pos)      /*!< T16B_0 MZDMAEN: RESERVED_15_4 Mask      */

/* --------------------------------  T16B_0_CCCTL0  ------------------------------- */
#define T16B_0_CCCTL0_CCMD_Pos                0                                                       /*!< T16B_0 CCCTL0: CCMD Position            */
#define T16B_0_CCCTL0_CCMD_Msk                (0x01UL << T16B_0_CCCTL0_CCMD_Pos)                      /*!< T16B_0 CCCTL0: CCMD Mask                */
#define T16B_0_CCCTL0_TOUTINV_Pos             1                                                       /*!< T16B_0 CCCTL0: TOUTINV Position         */
#define T16B_0_CCCTL0_TOUTINV_Msk             (0x01UL << T16B_0_CCCTL0_TOUTINV_Pos)                   /*!< T16B_0 CCCTL0: TOUTINV Mask             */
#define T16B_0_CCCTL0_TOUTMD_Pos              2                                                       /*!< T16B_0 CCCTL0: TOUTMD Position          */
#define T16B_0_CCCTL0_TOUTMD_Msk              (0x07UL << T16B_0_CCCTL0_TOUTMD_Pos)                    /*!< T16B_0 CCCTL0: TOUTMD Mask              */
#define T16B_0_CCCTL0_TOUTO_Pos               5                                                       /*!< T16B_0 CCCTL0: TOUTO Position           */
#define T16B_0_CCCTL0_TOUTO_Msk               (0x01UL << T16B_0_CCCTL0_TOUTO_Pos)                     /*!< T16B_0 CCCTL0: TOUTO Mask               */
#define T16B_0_CCCTL0_TOUTMT_Pos              6                                                       /*!< T16B_0 CCCTL0: TOUTMT Position          */
#define T16B_0_CCCTL0_TOUTMT_Msk              (0x01UL << T16B_0_CCCTL0_TOUTMT_Pos)                    /*!< T16B_0 CCCTL0: TOUTMT Mask              */
#define T16B_0_CCCTL0_RESERVED_7_Pos          7                                                       /*!< T16B_0 CCCTL0: RESERVED_7 Position      */
#define T16B_0_CCCTL0_RESERVED_7_Msk          (0x01UL << T16B_0_CCCTL0_RESERVED_7_Pos)                /*!< T16B_0 CCCTL0: RESERVED_7 Mask          */
#define T16B_0_CCCTL0_CAPTRG_Pos              8                                                       /*!< T16B_0 CCCTL0: CAPTRG Position          */
#define T16B_0_CCCTL0_CAPTRG_Msk              (0x03UL << T16B_0_CCCTL0_CAPTRG_Pos)                    /*!< T16B_0 CCCTL0: CAPTRG Mask              */
#define T16B_0_CCCTL0_CAPIS_Pos               10                                                      /*!< T16B_0 CCCTL0: CAPIS Position           */
#define T16B_0_CCCTL0_CAPIS_Msk               (0x03UL << T16B_0_CCCTL0_CAPIS_Pos)                     /*!< T16B_0 CCCTL0: CAPIS Mask               */
#define T16B_0_CCCTL0_CBUFMD_Pos              12                                                      /*!< T16B_0 CCCTL0: CBUFMD Position          */
#define T16B_0_CCCTL0_CBUFMD_Msk              (0x07UL << T16B_0_CCCTL0_CBUFMD_Pos)                    /*!< T16B_0 CCCTL0: CBUFMD Mask              */
#define T16B_0_CCCTL0_SCS_Pos                 15                                                      /*!< T16B_0 CCCTL0: SCS Position             */
#define T16B_0_CCCTL0_SCS_Msk                 (0x01UL << T16B_0_CCCTL0_SCS_Pos)                       /*!< T16B_0 CCCTL0: SCS Mask                 */

/* ---------------------------------  T16B_0_CCR0  -------------------------------- */
#define T16B_0_CCR0_CC_Pos                    0                                                       /*!< T16B_0 CCR0: CC Position                */
#define T16B_0_CCR0_CC_Msk                    (0x0000ffffUL << T16B_0_CCR0_CC_Pos)                    /*!< T16B_0 CCR0: CC Mask                    */

/* -------------------------------  T16B_0_CC0DMAEN  ------------------------------ */
#define T16B_0_CC0DMAEN_CC0DMAEN0_Pos         0                                                       /*!< T16B_0 CC0DMAEN: CC0DMAEN0 Position     */
#define T16B_0_CC0DMAEN_CC0DMAEN0_Msk         (0x01UL << T16B_0_CC0DMAEN_CC0DMAEN0_Pos)               /*!< T16B_0 CC0DMAEN: CC0DMAEN0 Mask         */
#define T16B_0_CC0DMAEN_CC0DMAEN1_Pos         1                                                       /*!< T16B_0 CC0DMAEN: CC0DMAEN1 Position     */
#define T16B_0_CC0DMAEN_CC0DMAEN1_Msk         (0x01UL << T16B_0_CC0DMAEN_CC0DMAEN1_Pos)               /*!< T16B_0 CC0DMAEN: CC0DMAEN1 Mask         */
#define T16B_0_CC0DMAEN_CC0DMAEN2_Pos         2                                                       /*!< T16B_0 CC0DMAEN: CC0DMAEN2 Position     */
#define T16B_0_CC0DMAEN_CC0DMAEN2_Msk         (0x01UL << T16B_0_CC0DMAEN_CC0DMAEN2_Pos)               /*!< T16B_0 CC0DMAEN: CC0DMAEN2 Mask         */
#define T16B_0_CC0DMAEN_CC0DMAEN3_Pos         3                                                       /*!< T16B_0 CC0DMAEN: CC0DMAEN3 Position     */
#define T16B_0_CC0DMAEN_CC0DMAEN3_Msk         (0x01UL << T16B_0_CC0DMAEN_CC0DMAEN3_Pos)               /*!< T16B_0 CC0DMAEN: CC0DMAEN3 Mask         */
#define T16B_0_CC0DMAEN_RESERVED_15_4_Pos     4                                                       /*!< T16B_0 CC0DMAEN: RESERVED_15_4 Position */
#define T16B_0_CC0DMAEN_RESERVED_15_4_Msk     (0x00000fffUL << T16B_0_CC0DMAEN_RESERVED_15_4_Pos)     /*!< T16B_0 CC0DMAEN: RESERVED_15_4 Mask     */

/* --------------------------------  T16B_0_CCCTL1  ------------------------------- */
#define T16B_0_CCCTL1_CCMD_Pos                0                                                       /*!< T16B_0 CCCTL1: CCMD Position            */
#define T16B_0_CCCTL1_CCMD_Msk                (0x01UL << T16B_0_CCCTL1_CCMD_Pos)                      /*!< T16B_0 CCCTL1: CCMD Mask                */
#define T16B_0_CCCTL1_TOUTINV_Pos             1                                                       /*!< T16B_0 CCCTL1: TOUTINV Position         */
#define T16B_0_CCCTL1_TOUTINV_Msk             (0x01UL << T16B_0_CCCTL1_TOUTINV_Pos)                   /*!< T16B_0 CCCTL1: TOUTINV Mask             */
#define T16B_0_CCCTL1_TOUTMD_Pos              2                                                       /*!< T16B_0 CCCTL1: TOUTMD Position          */
#define T16B_0_CCCTL1_TOUTMD_Msk              (0x07UL << T16B_0_CCCTL1_TOUTMD_Pos)                    /*!< T16B_0 CCCTL1: TOUTMD Mask              */
#define T16B_0_CCCTL1_TOUTO_Pos               5                                                       /*!< T16B_0 CCCTL1: TOUTO Position           */
#define T16B_0_CCCTL1_TOUTO_Msk               (0x01UL << T16B_0_CCCTL1_TOUTO_Pos)                     /*!< T16B_0 CCCTL1: TOUTO Mask               */
#define T16B_0_CCCTL1_TOUTMT_Pos              6                                                       /*!< T16B_0 CCCTL1: TOUTMT Position          */
#define T16B_0_CCCTL1_TOUTMT_Msk              (0x01UL << T16B_0_CCCTL1_TOUTMT_Pos)                    /*!< T16B_0 CCCTL1: TOUTMT Mask              */
#define T16B_0_CCCTL1_RESERVED_7_Pos          7                                                       /*!< T16B_0 CCCTL1: RESERVED_7 Position      */
#define T16B_0_CCCTL1_RESERVED_7_Msk          (0x01UL << T16B_0_CCCTL1_RESERVED_7_Pos)                /*!< T16B_0 CCCTL1: RESERVED_7 Mask          */
#define T16B_0_CCCTL1_CAPTRG_Pos              8                                                       /*!< T16B_0 CCCTL1: CAPTRG Position          */
#define T16B_0_CCCTL1_CAPTRG_Msk              (0x03UL << T16B_0_CCCTL1_CAPTRG_Pos)                    /*!< T16B_0 CCCTL1: CAPTRG Mask              */
#define T16B_0_CCCTL1_CAPIS_Pos               10                                                      /*!< T16B_0 CCCTL1: CAPIS Position           */
#define T16B_0_CCCTL1_CAPIS_Msk               (0x03UL << T16B_0_CCCTL1_CAPIS_Pos)                     /*!< T16B_0 CCCTL1: CAPIS Mask               */
#define T16B_0_CCCTL1_CBUFMD_Pos              12                                                      /*!< T16B_0 CCCTL1: CBUFMD Position          */
#define T16B_0_CCCTL1_CBUFMD_Msk              (0x07UL << T16B_0_CCCTL1_CBUFMD_Pos)                    /*!< T16B_0 CCCTL1: CBUFMD Mask              */
#define T16B_0_CCCTL1_SCS_Pos                 15                                                      /*!< T16B_0 CCCTL1: SCS Position             */
#define T16B_0_CCCTL1_SCS_Msk                 (0x01UL << T16B_0_CCCTL1_SCS_Pos)                       /*!< T16B_0 CCCTL1: SCS Mask                 */

/* ---------------------------------  T16B_0_CCR1  -------------------------------- */
#define T16B_0_CCR1_CC_Pos                    0                                                       /*!< T16B_0 CCR1: CC Position                */
#define T16B_0_CCR1_CC_Msk                    (0x0000ffffUL << T16B_0_CCR1_CC_Pos)                    /*!< T16B_0 CCR1: CC Mask                    */

/* -------------------------------  T16B_0_CC1DMAEN  ------------------------------ */
#define T16B_0_CC1DMAEN_CC0DMAEN0_Pos         0                                                       /*!< T16B_0 CC1DMAEN: CC0DMAEN0 Position     */
#define T16B_0_CC1DMAEN_CC0DMAEN0_Msk         (0x01UL << T16B_0_CC1DMAEN_CC0DMAEN0_Pos)               /*!< T16B_0 CC1DMAEN: CC0DMAEN0 Mask         */
#define T16B_0_CC1DMAEN_CC0DMAEN1_Pos         1                                                       /*!< T16B_0 CC1DMAEN: CC0DMAEN1 Position     */
#define T16B_0_CC1DMAEN_CC0DMAEN1_Msk         (0x01UL << T16B_0_CC1DMAEN_CC0DMAEN1_Pos)               /*!< T16B_0 CC1DMAEN: CC0DMAEN1 Mask         */
#define T16B_0_CC1DMAEN_CC0DMAEN2_Pos         2                                                       /*!< T16B_0 CC1DMAEN: CC0DMAEN2 Position     */
#define T16B_0_CC1DMAEN_CC0DMAEN2_Msk         (0x01UL << T16B_0_CC1DMAEN_CC0DMAEN2_Pos)               /*!< T16B_0 CC1DMAEN: CC0DMAEN2 Mask         */
#define T16B_0_CC1DMAEN_CC0DMAEN3_Pos         3                                                       /*!< T16B_0 CC1DMAEN: CC0DMAEN3 Position     */
#define T16B_0_CC1DMAEN_CC0DMAEN3_Msk         (0x01UL << T16B_0_CC1DMAEN_CC0DMAEN3_Pos)               /*!< T16B_0 CC1DMAEN: CC0DMAEN3 Mask         */
#define T16B_0_CC1DMAEN_RESERVED_15_4_Pos     4                                                       /*!< T16B_0 CC1DMAEN: RESERVED_15_4 Position */
#define T16B_0_CC1DMAEN_RESERVED_15_4_Msk     (0x00000fffUL << T16B_0_CC1DMAEN_RESERVED_15_4_Pos)     /*!< T16B_0 CC1DMAEN: RESERVED_15_4 Mask     */

/* --------------------------------  T16B_0_CCCTL2  ------------------------------- */
#define T16B_0_CCCTL2_CCMD_Pos                0                                                       /*!< T16B_0 CCCTL2: CCMD Position            */
#define T16B_0_CCCTL2_CCMD_Msk                (0x01UL << T16B_0_CCCTL2_CCMD_Pos)                      /*!< T16B_0 CCCTL2: CCMD Mask                */
#define T16B_0_CCCTL2_TOUTINV_Pos             1                                                       /*!< T16B_0 CCCTL2: TOUTINV Position         */
#define T16B_0_CCCTL2_TOUTINV_Msk             (0x01UL << T16B_0_CCCTL2_TOUTINV_Pos)                   /*!< T16B_0 CCCTL2: TOUTINV Mask             */
#define T16B_0_CCCTL2_TOUTMD_Pos              2                                                       /*!< T16B_0 CCCTL2: TOUTMD Position          */
#define T16B_0_CCCTL2_TOUTMD_Msk              (0x07UL << T16B_0_CCCTL2_TOUTMD_Pos)                    /*!< T16B_0 CCCTL2: TOUTMD Mask              */
#define T16B_0_CCCTL2_TOUTO_Pos               5                                                       /*!< T16B_0 CCCTL2: TOUTO Position           */
#define T16B_0_CCCTL2_TOUTO_Msk               (0x01UL << T16B_0_CCCTL2_TOUTO_Pos)                     /*!< T16B_0 CCCTL2: TOUTO Mask               */
#define T16B_0_CCCTL2_TOUTMT_Pos              6                                                       /*!< T16B_0 CCCTL2: TOUTMT Position          */
#define T16B_0_CCCTL2_TOUTMT_Msk              (0x01UL << T16B_0_CCCTL2_TOUTMT_Pos)                    /*!< T16B_0 CCCTL2: TOUTMT Mask              */
#define T16B_0_CCCTL2_RESERVED_7_Pos          7                                                       /*!< T16B_0 CCCTL2: RESERVED_7 Position      */
#define T16B_0_CCCTL2_RESERVED_7_Msk          (0x01UL << T16B_0_CCCTL2_RESERVED_7_Pos)                /*!< T16B_0 CCCTL2: RESERVED_7 Mask          */
#define T16B_0_CCCTL2_CAPTRG_Pos              8                                                       /*!< T16B_0 CCCTL2: CAPTRG Position          */
#define T16B_0_CCCTL2_CAPTRG_Msk              (0x03UL << T16B_0_CCCTL2_CAPTRG_Pos)                    /*!< T16B_0 CCCTL2: CAPTRG Mask              */
#define T16B_0_CCCTL2_CAPIS_Pos               10                                                      /*!< T16B_0 CCCTL2: CAPIS Position           */
#define T16B_0_CCCTL2_CAPIS_Msk               (0x03UL << T16B_0_CCCTL2_CAPIS_Pos)                     /*!< T16B_0 CCCTL2: CAPIS Mask               */
#define T16B_0_CCCTL2_CBUFMD_Pos              12                                                      /*!< T16B_0 CCCTL2: CBUFMD Position          */
#define T16B_0_CCCTL2_CBUFMD_Msk              (0x07UL << T16B_0_CCCTL2_CBUFMD_Pos)                    /*!< T16B_0 CCCTL2: CBUFMD Mask              */
#define T16B_0_CCCTL2_SCS_Pos                 15                                                      /*!< T16B_0 CCCTL2: SCS Position             */
#define T16B_0_CCCTL2_SCS_Msk                 (0x01UL << T16B_0_CCCTL2_SCS_Pos)                       /*!< T16B_0 CCCTL2: SCS Mask                 */

/* ---------------------------------  T16B_0_CCR2  -------------------------------- */
#define T16B_0_CCR2_CC_Pos                    0                                                       /*!< T16B_0 CCR2: CC Position                */
#define T16B_0_CCR2_CC_Msk                    (0x0000ffffUL << T16B_0_CCR2_CC_Pos)                    /*!< T16B_0 CCR2: CC Mask                    */

/* -------------------------------  T16B_0_CC2DMAEN  ------------------------------ */
#define T16B_0_CC2DMAEN_CC0DMAEN0_Pos         0                                                       /*!< T16B_0 CC2DMAEN: CC0DMAEN0 Position     */
#define T16B_0_CC2DMAEN_CC0DMAEN0_Msk         (0x01UL << T16B_0_CC2DMAEN_CC0DMAEN0_Pos)               /*!< T16B_0 CC2DMAEN: CC0DMAEN0 Mask         */
#define T16B_0_CC2DMAEN_CC0DMAEN1_Pos         1                                                       /*!< T16B_0 CC2DMAEN: CC0DMAEN1 Position     */
#define T16B_0_CC2DMAEN_CC0DMAEN1_Msk         (0x01UL << T16B_0_CC2DMAEN_CC0DMAEN1_Pos)               /*!< T16B_0 CC2DMAEN: CC0DMAEN1 Mask         */
#define T16B_0_CC2DMAEN_CC0DMAEN2_Pos         2                                                       /*!< T16B_0 CC2DMAEN: CC0DMAEN2 Position     */
#define T16B_0_CC2DMAEN_CC0DMAEN2_Msk         (0x01UL << T16B_0_CC2DMAEN_CC0DMAEN2_Pos)               /*!< T16B_0 CC2DMAEN: CC0DMAEN2 Mask         */
#define T16B_0_CC2DMAEN_CC0DMAEN3_Pos         3                                                       /*!< T16B_0 CC2DMAEN: CC0DMAEN3 Position     */
#define T16B_0_CC2DMAEN_CC0DMAEN3_Msk         (0x01UL << T16B_0_CC2DMAEN_CC0DMAEN3_Pos)               /*!< T16B_0 CC2DMAEN: CC0DMAEN3 Mask         */
#define T16B_0_CC2DMAEN_RESERVED_15_4_Pos     4                                                       /*!< T16B_0 CC2DMAEN: RESERVED_15_4 Position */
#define T16B_0_CC2DMAEN_RESERVED_15_4_Msk     (0x00000fffUL << T16B_0_CC2DMAEN_RESERVED_15_4_Pos)     /*!< T16B_0 CC2DMAEN: RESERVED_15_4 Mask     */

/* --------------------------------  T16B_0_CCCTL3  ------------------------------- */
#define T16B_0_CCCTL3_CCMD_Pos                0                                                       /*!< T16B_0 CCCTL3: CCMD Position            */
#define T16B_0_CCCTL3_CCMD_Msk                (0x01UL << T16B_0_CCCTL3_CCMD_Pos)                      /*!< T16B_0 CCCTL3: CCMD Mask                */
#define T16B_0_CCCTL3_TOUTINV_Pos             1                                                       /*!< T16B_0 CCCTL3: TOUTINV Position         */
#define T16B_0_CCCTL3_TOUTINV_Msk             (0x01UL << T16B_0_CCCTL3_TOUTINV_Pos)                   /*!< T16B_0 CCCTL3: TOUTINV Mask             */
#define T16B_0_CCCTL3_TOUTMD_Pos              2                                                       /*!< T16B_0 CCCTL3: TOUTMD Position          */
#define T16B_0_CCCTL3_TOUTMD_Msk              (0x07UL << T16B_0_CCCTL3_TOUTMD_Pos)                    /*!< T16B_0 CCCTL3: TOUTMD Mask              */
#define T16B_0_CCCTL3_TOUTO_Pos               5                                                       /*!< T16B_0 CCCTL3: TOUTO Position           */
#define T16B_0_CCCTL3_TOUTO_Msk               (0x01UL << T16B_0_CCCTL3_TOUTO_Pos)                     /*!< T16B_0 CCCTL3: TOUTO Mask               */
#define T16B_0_CCCTL3_TOUTMT_Pos              6                                                       /*!< T16B_0 CCCTL3: TOUTMT Position          */
#define T16B_0_CCCTL3_TOUTMT_Msk              (0x01UL << T16B_0_CCCTL3_TOUTMT_Pos)                    /*!< T16B_0 CCCTL3: TOUTMT Mask              */
#define T16B_0_CCCTL3_RESERVED_7_Pos          7                                                       /*!< T16B_0 CCCTL3: RESERVED_7 Position      */
#define T16B_0_CCCTL3_RESERVED_7_Msk          (0x01UL << T16B_0_CCCTL3_RESERVED_7_Pos)                /*!< T16B_0 CCCTL3: RESERVED_7 Mask          */
#define T16B_0_CCCTL3_CAPTRG_Pos              8                                                       /*!< T16B_0 CCCTL3: CAPTRG Position          */
#define T16B_0_CCCTL3_CAPTRG_Msk              (0x03UL << T16B_0_CCCTL3_CAPTRG_Pos)                    /*!< T16B_0 CCCTL3: CAPTRG Mask              */
#define T16B_0_CCCTL3_CAPIS_Pos               10                                                      /*!< T16B_0 CCCTL3: CAPIS Position           */
#define T16B_0_CCCTL3_CAPIS_Msk               (0x03UL << T16B_0_CCCTL3_CAPIS_Pos)                     /*!< T16B_0 CCCTL3: CAPIS Mask               */
#define T16B_0_CCCTL3_CBUFMD_Pos              12                                                      /*!< T16B_0 CCCTL3: CBUFMD Position          */
#define T16B_0_CCCTL3_CBUFMD_Msk              (0x07UL << T16B_0_CCCTL3_CBUFMD_Pos)                    /*!< T16B_0 CCCTL3: CBUFMD Mask              */
#define T16B_0_CCCTL3_SCS_Pos                 15                                                      /*!< T16B_0 CCCTL3: SCS Position             */
#define T16B_0_CCCTL3_SCS_Msk                 (0x01UL << T16B_0_CCCTL3_SCS_Pos)                       /*!< T16B_0 CCCTL3: SCS Mask                 */

/* ---------------------------------  T16B_0_CCR3  -------------------------------- */
#define T16B_0_CCR3_CC_Pos                    0                                                       /*!< T16B_0 CCR3: CC Position                */
#define T16B_0_CCR3_CC_Msk                    (0x0000ffffUL << T16B_0_CCR3_CC_Pos)                    /*!< T16B_0 CCR3: CC Mask                    */

/* -------------------------------  T16B_0_CC3DMAEN  ------------------------------ */
#define T16B_0_CC3DMAEN_CC0DMAEN0_Pos         0                                                       /*!< T16B_0 CC3DMAEN: CC0DMAEN0 Position     */
#define T16B_0_CC3DMAEN_CC0DMAEN0_Msk         (0x01UL << T16B_0_CC3DMAEN_CC0DMAEN0_Pos)               /*!< T16B_0 CC3DMAEN: CC0DMAEN0 Mask         */
#define T16B_0_CC3DMAEN_CC0DMAEN1_Pos         1                                                       /*!< T16B_0 CC3DMAEN: CC0DMAEN1 Position     */
#define T16B_0_CC3DMAEN_CC0DMAEN1_Msk         (0x01UL << T16B_0_CC3DMAEN_CC0DMAEN1_Pos)               /*!< T16B_0 CC3DMAEN: CC0DMAEN1 Mask         */
#define T16B_0_CC3DMAEN_CC0DMAEN2_Pos         2                                                       /*!< T16B_0 CC3DMAEN: CC0DMAEN2 Position     */
#define T16B_0_CC3DMAEN_CC0DMAEN2_Msk         (0x01UL << T16B_0_CC3DMAEN_CC0DMAEN2_Pos)               /*!< T16B_0 CC3DMAEN: CC0DMAEN2 Mask         */
#define T16B_0_CC3DMAEN_CC0DMAEN3_Pos         3                                                       /*!< T16B_0 CC3DMAEN: CC0DMAEN3 Position     */
#define T16B_0_CC3DMAEN_CC0DMAEN3_Msk         (0x01UL << T16B_0_CC3DMAEN_CC0DMAEN3_Pos)               /*!< T16B_0 CC3DMAEN: CC0DMAEN3 Mask         */
#define T16B_0_CC3DMAEN_RESERVED_15_4_Pos     4                                                       /*!< T16B_0 CC3DMAEN: RESERVED_15_4 Position */
#define T16B_0_CC3DMAEN_RESERVED_15_4_Msk     (0x00000fffUL << T16B_0_CC3DMAEN_RESERVED_15_4_Pos)     /*!< T16B_0 CC3DMAEN: RESERVED_15_4 Mask     */


/* ================================================================================ */
/* ================         struct 'T16B_1' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  T16B_1_CLK  --------------------------------- */
#define T16B_1_CLK_CLKSRC_Pos                 0                                                       /*!< T16B_1 CLK: CLKSRC Position             */
#define T16B_1_CLK_CLKSRC_Msk                 (0x07UL << T16B_1_CLK_CLKSRC_Pos)                       /*!< T16B_1 CLK: CLKSRC Mask                 */
#define T16B_1_CLK_RESERVED_3_Pos             3                                                       /*!< T16B_1 CLK: RESERVED_3 Position         */
#define T16B_1_CLK_RESERVED_3_Msk             (0x01UL << T16B_1_CLK_RESERVED_3_Pos)                   /*!< T16B_1 CLK: RESERVED_3 Mask             */
#define T16B_1_CLK_CLKDIV_Pos                 4                                                       /*!< T16B_1 CLK: CLKDIV Position             */
#define T16B_1_CLK_CLKDIV_Msk                 (0x0fUL << T16B_1_CLK_CLKDIV_Pos)                       /*!< T16B_1 CLK: CLKDIV Mask                 */
#define T16B_1_CLK_DBRUN_Pos                  8                                                       /*!< T16B_1 CLK: DBRUN Position              */
#define T16B_1_CLK_DBRUN_Msk                  (0x01UL << T16B_1_CLK_DBRUN_Pos)                        /*!< T16B_1 CLK: DBRUN Mask                  */
#define T16B_1_CLK_RESERVED_15_9_Pos          9                                                       /*!< T16B_1 CLK: RESERVED_15_9 Position      */
#define T16B_1_CLK_RESERVED_15_9_Msk          (0x7fUL << T16B_1_CLK_RESERVED_15_9_Pos)                /*!< T16B_1 CLK: RESERVED_15_9 Mask          */

/* ---------------------------------  T16B_1_CTL  --------------------------------- */
#define T16B_1_CTL_MODEN_Pos                  0                                                       /*!< T16B_1 CTL: MODEN Position              */
#define T16B_1_CTL_MODEN_Msk                  (0x01UL << T16B_1_CTL_MODEN_Pos)                        /*!< T16B_1 CTL: MODEN Mask                  */
#define T16B_1_CTL_PRESET_Pos                 1                                                       /*!< T16B_1 CTL: PRESET Position             */
#define T16B_1_CTL_PRESET_Msk                 (0x01UL << T16B_1_CTL_PRESET_Pos)                       /*!< T16B_1 CTL: PRESET Mask                 */
#define T16B_1_CTL_RUN_Pos                    2                                                       /*!< T16B_1 CTL: RUN Position                */
#define T16B_1_CTL_RUN_Msk                    (0x01UL << T16B_1_CTL_RUN_Pos)                          /*!< T16B_1 CTL: RUN Mask                    */
#define T16B_1_CTL_ONEST_Pos                  3                                                       /*!< T16B_1 CTL: ONEST Position              */
#define T16B_1_CTL_ONEST_Msk                  (0x01UL << T16B_1_CTL_ONEST_Pos)                        /*!< T16B_1 CTL: ONEST Mask                  */
#define T16B_1_CTL_CNTMD_Pos                  4                                                       /*!< T16B_1 CTL: CNTMD Position              */
#define T16B_1_CTL_CNTMD_Msk                  (0x03UL << T16B_1_CTL_CNTMD_Pos)                        /*!< T16B_1 CTL: CNTMD Mask                  */
#define T16B_1_CTL_RESERVED_7_6_Pos           6                                                       /*!< T16B_1 CTL: RESERVED_7_6 Position       */
#define T16B_1_CTL_RESERVED_7_6_Msk           (0x03UL << T16B_1_CTL_RESERVED_7_6_Pos)                 /*!< T16B_1 CTL: RESERVED_7_6 Mask           */
#define T16B_1_CTL_MAXBSY_Pos                 8                                                       /*!< T16B_1 CTL: MAXBSY Position             */
#define T16B_1_CTL_MAXBSY_Msk                 (0x01UL << T16B_1_CTL_MAXBSY_Pos)                       /*!< T16B_1 CTL: MAXBSY Mask                 */
#define T16B_1_CTL_RESERVED_15_9_Pos          9                                                       /*!< T16B_1 CTL: RESERVED_15_9 Position      */
#define T16B_1_CTL_RESERVED_15_9_Msk          (0x7fUL << T16B_1_CTL_RESERVED_15_9_Pos)                /*!< T16B_1 CTL: RESERVED_15_9 Mask          */

/* ----------------------------------  T16B_1_MC  --------------------------------- */
#define T16B_1_MC_MC_Pos                      0                                                       /*!< T16B_1 MC: MC Position                  */
#define T16B_1_MC_MC_Msk                      (0x0000ffffUL << T16B_1_MC_MC_Pos)                      /*!< T16B_1 MC: MC Mask                      */

/* ----------------------------------  T16B_1_TC  --------------------------------- */
#define T16B_1_TC_TC_Pos                      0                                                       /*!< T16B_1 TC: TC Position                  */
#define T16B_1_TC_TC_Msk                      (0x0000ffffUL << T16B_1_TC_TC_Pos)                      /*!< T16B_1 TC: TC Mask                      */

/* ----------------------------------  T16B_1_CS  --------------------------------- */
#define T16B_1_CS_BSY_Pos                     0                                                       /*!< T16B_1 CS: BSY Position                 */
#define T16B_1_CS_BSY_Msk                     (0x01UL << T16B_1_CS_BSY_Pos)                           /*!< T16B_1 CS: BSY Mask                     */
#define T16B_1_CS_UP_DOWN_Pos                 1                                                       /*!< T16B_1 CS: UP_DOWN Position             */
#define T16B_1_CS_UP_DOWN_Msk                 (0x01UL << T16B_1_CS_UP_DOWN_Pos)                       /*!< T16B_1 CS: UP_DOWN Mask                 */
#define T16B_1_CS_CAPI0_Pos                   2                                                       /*!< T16B_1 CS: CAPI0 Position               */
#define T16B_1_CS_CAPI0_Msk                   (0x01UL << T16B_1_CS_CAPI0_Pos)                         /*!< T16B_1 CS: CAPI0 Mask                   */
#define T16B_1_CS_CAPI1_Pos                   3                                                       /*!< T16B_1 CS: CAPI1 Position               */
#define T16B_1_CS_CAPI1_Msk                   (0x01UL << T16B_1_CS_CAPI1_Pos)                         /*!< T16B_1 CS: CAPI1 Mask                   */
#define T16B_1_CS_CAPI2_Pos                   4                                                       /*!< T16B_1 CS: CAPI2 Position               */
#define T16B_1_CS_CAPI2_Msk                   (0x01UL << T16B_1_CS_CAPI2_Pos)                         /*!< T16B_1 CS: CAPI2 Mask                   */
#define T16B_1_CS_CAPI3_Pos                   5                                                       /*!< T16B_1 CS: CAPI3 Position               */
#define T16B_1_CS_CAPI3_Msk                   (0x01UL << T16B_1_CS_CAPI3_Pos)                         /*!< T16B_1 CS: CAPI3 Mask                   */
#define T16B_1_CS_RESERVED_15_6_Pos           6                                                       /*!< T16B_1 CS: RESERVED_15_6 Position       */
#define T16B_1_CS_RESERVED_15_6_Msk           (0x000003ffUL << T16B_1_CS_RESERVED_15_6_Pos)           /*!< T16B_1 CS: RESERVED_15_6 Mask           */

/* ---------------------------------  T16B_1_INTF  -------------------------------- */
#define T16B_1_INTF_CNTZEROIF_Pos             0                                                       /*!< T16B_1 INTF: CNTZEROIF Position         */
#define T16B_1_INTF_CNTZEROIF_Msk             (0x01UL << T16B_1_INTF_CNTZEROIF_Pos)                   /*!< T16B_1 INTF: CNTZEROIF Mask             */
#define T16B_1_INTF_CNTMAXIF_Pos              1                                                       /*!< T16B_1 INTF: CNTMAXIF Position          */
#define T16B_1_INTF_CNTMAXIF_Msk              (0x01UL << T16B_1_INTF_CNTMAXIF_Pos)                    /*!< T16B_1 INTF: CNTMAXIF Mask              */
#define T16B_1_INTF_CMPCAP0IF_Pos             2                                                       /*!< T16B_1 INTF: CMPCAP0IF Position         */
#define T16B_1_INTF_CMPCAP0IF_Msk             (0x01UL << T16B_1_INTF_CMPCAP0IF_Pos)                   /*!< T16B_1 INTF: CMPCAP0IF Mask             */
#define T16B_1_INTF_CAPOW0IF_Pos              3                                                       /*!< T16B_1 INTF: CAPOW0IF Position          */
#define T16B_1_INTF_CAPOW0IF_Msk              (0x01UL << T16B_1_INTF_CAPOW0IF_Pos)                    /*!< T16B_1 INTF: CAPOW0IF Mask              */
#define T16B_1_INTF_CMPCAP1IF_Pos             4                                                       /*!< T16B_1 INTF: CMPCAP1IF Position         */
#define T16B_1_INTF_CMPCAP1IF_Msk             (0x01UL << T16B_1_INTF_CMPCAP1IF_Pos)                   /*!< T16B_1 INTF: CMPCAP1IF Mask             */
#define T16B_1_INTF_CAPOW1IF_Pos              5                                                       /*!< T16B_1 INTF: CAPOW1IF Position          */
#define T16B_1_INTF_CAPOW1IF_Msk              (0x01UL << T16B_1_INTF_CAPOW1IF_Pos)                    /*!< T16B_1 INTF: CAPOW1IF Mask              */
#define T16B_1_INTF_CMPCAP2IF_Pos             6                                                       /*!< T16B_1 INTF: CMPCAP2IF Position         */
#define T16B_1_INTF_CMPCAP2IF_Msk             (0x01UL << T16B_1_INTF_CMPCAP2IF_Pos)                   /*!< T16B_1 INTF: CMPCAP2IF Mask             */
#define T16B_1_INTF_CAPOW2IF_Pos              7                                                       /*!< T16B_1 INTF: CAPOW2IF Position          */
#define T16B_1_INTF_CAPOW2IF_Msk              (0x01UL << T16B_1_INTF_CAPOW2IF_Pos)                    /*!< T16B_1 INTF: CAPOW2IF Mask              */
#define T16B_1_INTF_CMPCAP3IF_Pos             8                                                       /*!< T16B_1 INTF: CMPCAP3IF Position         */
#define T16B_1_INTF_CMPCAP3IF_Msk             (0x01UL << T16B_1_INTF_CMPCAP3IF_Pos)                   /*!< T16B_1 INTF: CMPCAP3IF Mask             */
#define T16B_1_INTF_CAPOW3IF_Pos              9                                                       /*!< T16B_1 INTF: CAPOW3IF Position          */
#define T16B_1_INTF_CAPOW3IF_Msk              (0x01UL << T16B_1_INTF_CAPOW3IF_Pos)                    /*!< T16B_1 INTF: CAPOW3IF Mask              */
#define T16B_1_INTF_RESERVED_15_10_Pos        10                                                      /*!< T16B_1 INTF: RESERVED_15_10 Position    */
#define T16B_1_INTF_RESERVED_15_10_Msk        (0x3fUL << T16B_1_INTF_RESERVED_15_10_Pos)              /*!< T16B_1 INTF: RESERVED_15_10 Mask        */

/* ---------------------------------  T16B_1_INTE  -------------------------------- */
#define T16B_1_INTE_CNTZEROIE_Pos             0                                                       /*!< T16B_1 INTE: CNTZEROIE Position         */
#define T16B_1_INTE_CNTZEROIE_Msk             (0x01UL << T16B_1_INTE_CNTZEROIE_Pos)                   /*!< T16B_1 INTE: CNTZEROIE Mask             */
#define T16B_1_INTE_CNTMAXIE_Pos              1                                                       /*!< T16B_1 INTE: CNTMAXIE Position          */
#define T16B_1_INTE_CNTMAXIE_Msk              (0x01UL << T16B_1_INTE_CNTMAXIE_Pos)                    /*!< T16B_1 INTE: CNTMAXIE Mask              */
#define T16B_1_INTE_CMPCAP0IE_Pos             2                                                       /*!< T16B_1 INTE: CMPCAP0IE Position         */
#define T16B_1_INTE_CMPCAP0IE_Msk             (0x01UL << T16B_1_INTE_CMPCAP0IE_Pos)                   /*!< T16B_1 INTE: CMPCAP0IE Mask             */
#define T16B_1_INTE_CAPOW0IE_Pos              3                                                       /*!< T16B_1 INTE: CAPOW0IE Position          */
#define T16B_1_INTE_CAPOW0IE_Msk              (0x01UL << T16B_1_INTE_CAPOW0IE_Pos)                    /*!< T16B_1 INTE: CAPOW0IE Mask              */
#define T16B_1_INTE_CMPCAP1IE_Pos             4                                                       /*!< T16B_1 INTE: CMPCAP1IE Position         */
#define T16B_1_INTE_CMPCAP1IE_Msk             (0x01UL << T16B_1_INTE_CMPCAP1IE_Pos)                   /*!< T16B_1 INTE: CMPCAP1IE Mask             */
#define T16B_1_INTE_CAPOW1IE_Pos              5                                                       /*!< T16B_1 INTE: CAPOW1IE Position          */
#define T16B_1_INTE_CAPOW1IE_Msk              (0x01UL << T16B_1_INTE_CAPOW1IE_Pos)                    /*!< T16B_1 INTE: CAPOW1IE Mask              */
#define T16B_1_INTE_CMPCAP2IE_Pos             6                                                       /*!< T16B_1 INTE: CMPCAP2IE Position         */
#define T16B_1_INTE_CMPCAP2IE_Msk             (0x01UL << T16B_1_INTE_CMPCAP2IE_Pos)                   /*!< T16B_1 INTE: CMPCAP2IE Mask             */
#define T16B_1_INTE_CAPOW2IE_Pos              7                                                       /*!< T16B_1 INTE: CAPOW2IE Position          */
#define T16B_1_INTE_CAPOW2IE_Msk              (0x01UL << T16B_1_INTE_CAPOW2IE_Pos)                    /*!< T16B_1 INTE: CAPOW2IE Mask              */
#define T16B_1_INTE_CMPCAP3IE_Pos             8                                                       /*!< T16B_1 INTE: CMPCAP3IE Position         */
#define T16B_1_INTE_CMPCAP3IE_Msk             (0x01UL << T16B_1_INTE_CMPCAP3IE_Pos)                   /*!< T16B_1 INTE: CMPCAP3IE Mask             */
#define T16B_1_INTE_CAPOW3IE_Pos              9                                                       /*!< T16B_1 INTE: CAPOW3IE Position          */
#define T16B_1_INTE_CAPOW3IE_Msk              (0x01UL << T16B_1_INTE_CAPOW3IE_Pos)                    /*!< T16B_1 INTE: CAPOW3IE Mask              */
#define T16B_1_INTE_RESERVED_15_10_Pos        10                                                      /*!< T16B_1 INTE: RESERVED_15_10 Position    */
#define T16B_1_INTE_RESERVED_15_10_Msk        (0x3fUL << T16B_1_INTE_RESERVED_15_10_Pos)              /*!< T16B_1 INTE: RESERVED_15_10 Mask        */

/* -------------------------------  T16B_1_MZDMAEN  ------------------------------- */
#define T16B_1_MZDMAEN_MZDMAEN0_Pos           0                                                       /*!< T16B_1 MZDMAEN: MZDMAEN0 Position       */
#define T16B_1_MZDMAEN_MZDMAEN0_Msk           (0x01UL << T16B_1_MZDMAEN_MZDMAEN0_Pos)                 /*!< T16B_1 MZDMAEN: MZDMAEN0 Mask           */
#define T16B_1_MZDMAEN_MZDMAEN1_Pos           1                                                       /*!< T16B_1 MZDMAEN: MZDMAEN1 Position       */
#define T16B_1_MZDMAEN_MZDMAEN1_Msk           (0x01UL << T16B_1_MZDMAEN_MZDMAEN1_Pos)                 /*!< T16B_1 MZDMAEN: MZDMAEN1 Mask           */
#define T16B_1_MZDMAEN_MZDMAEN2_Pos           2                                                       /*!< T16B_1 MZDMAEN: MZDMAEN2 Position       */
#define T16B_1_MZDMAEN_MZDMAEN2_Msk           (0x01UL << T16B_1_MZDMAEN_MZDMAEN2_Pos)                 /*!< T16B_1 MZDMAEN: MZDMAEN2 Mask           */
#define T16B_1_MZDMAEN_MZDMAEN3_Pos           3                                                       /*!< T16B_1 MZDMAEN: MZDMAEN3 Position       */
#define T16B_1_MZDMAEN_MZDMAEN3_Msk           (0x01UL << T16B_1_MZDMAEN_MZDMAEN3_Pos)                 /*!< T16B_1 MZDMAEN: MZDMAEN3 Mask           */
#define T16B_1_MZDMAEN_RESERVED_15_4_Pos      4                                                       /*!< T16B_1 MZDMAEN: RESERVED_15_4 Position  */
#define T16B_1_MZDMAEN_RESERVED_15_4_Msk      (0x00000fffUL << T16B_1_MZDMAEN_RESERVED_15_4_Pos)      /*!< T16B_1 MZDMAEN: RESERVED_15_4 Mask      */

/* --------------------------------  T16B_1_CCCTL0  ------------------------------- */
#define T16B_1_CCCTL0_CCMD_Pos                0                                                       /*!< T16B_1 CCCTL0: CCMD Position            */
#define T16B_1_CCCTL0_CCMD_Msk                (0x01UL << T16B_1_CCCTL0_CCMD_Pos)                      /*!< T16B_1 CCCTL0: CCMD Mask                */
#define T16B_1_CCCTL0_TOUTINV_Pos             1                                                       /*!< T16B_1 CCCTL0: TOUTINV Position         */
#define T16B_1_CCCTL0_TOUTINV_Msk             (0x01UL << T16B_1_CCCTL0_TOUTINV_Pos)                   /*!< T16B_1 CCCTL0: TOUTINV Mask             */
#define T16B_1_CCCTL0_TOUTMD_Pos              2                                                       /*!< T16B_1 CCCTL0: TOUTMD Position          */
#define T16B_1_CCCTL0_TOUTMD_Msk              (0x07UL << T16B_1_CCCTL0_TOUTMD_Pos)                    /*!< T16B_1 CCCTL0: TOUTMD Mask              */
#define T16B_1_CCCTL0_TOUTO_Pos               5                                                       /*!< T16B_1 CCCTL0: TOUTO Position           */
#define T16B_1_CCCTL0_TOUTO_Msk               (0x01UL << T16B_1_CCCTL0_TOUTO_Pos)                     /*!< T16B_1 CCCTL0: TOUTO Mask               */
#define T16B_1_CCCTL0_TOUTMT_Pos              6                                                       /*!< T16B_1 CCCTL0: TOUTMT Position          */
#define T16B_1_CCCTL0_TOUTMT_Msk              (0x01UL << T16B_1_CCCTL0_TOUTMT_Pos)                    /*!< T16B_1 CCCTL0: TOUTMT Mask              */
#define T16B_1_CCCTL0_RESERVED_7_Pos          7                                                       /*!< T16B_1 CCCTL0: RESERVED_7 Position      */
#define T16B_1_CCCTL0_RESERVED_7_Msk          (0x01UL << T16B_1_CCCTL0_RESERVED_7_Pos)                /*!< T16B_1 CCCTL0: RESERVED_7 Mask          */
#define T16B_1_CCCTL0_CAPTRG_Pos              8                                                       /*!< T16B_1 CCCTL0: CAPTRG Position          */
#define T16B_1_CCCTL0_CAPTRG_Msk              (0x03UL << T16B_1_CCCTL0_CAPTRG_Pos)                    /*!< T16B_1 CCCTL0: CAPTRG Mask              */
#define T16B_1_CCCTL0_CAPIS_Pos               10                                                      /*!< T16B_1 CCCTL0: CAPIS Position           */
#define T16B_1_CCCTL0_CAPIS_Msk               (0x03UL << T16B_1_CCCTL0_CAPIS_Pos)                     /*!< T16B_1 CCCTL0: CAPIS Mask               */
#define T16B_1_CCCTL0_CBUFMD_Pos              12                                                      /*!< T16B_1 CCCTL0: CBUFMD Position          */
#define T16B_1_CCCTL0_CBUFMD_Msk              (0x07UL << T16B_1_CCCTL0_CBUFMD_Pos)                    /*!< T16B_1 CCCTL0: CBUFMD Mask              */
#define T16B_1_CCCTL0_SCS_Pos                 15                                                      /*!< T16B_1 CCCTL0: SCS Position             */
#define T16B_1_CCCTL0_SCS_Msk                 (0x01UL << T16B_1_CCCTL0_SCS_Pos)                       /*!< T16B_1 CCCTL0: SCS Mask                 */

/* ---------------------------------  T16B_1_CCR0  -------------------------------- */
#define T16B_1_CCR0_CC_Pos                    0                                                       /*!< T16B_1 CCR0: CC Position                */
#define T16B_1_CCR0_CC_Msk                    (0x0000ffffUL << T16B_1_CCR0_CC_Pos)                    /*!< T16B_1 CCR0: CC Mask                    */

/* -------------------------------  T16B_1_CC0DMAEN  ------------------------------ */
#define T16B_1_CC0DMAEN_CC0DMAEN0_Pos         0                                                       /*!< T16B_1 CC0DMAEN: CC0DMAEN0 Position     */
#define T16B_1_CC0DMAEN_CC0DMAEN0_Msk         (0x01UL << T16B_1_CC0DMAEN_CC0DMAEN0_Pos)               /*!< T16B_1 CC0DMAEN: CC0DMAEN0 Mask         */
#define T16B_1_CC0DMAEN_CC0DMAEN1_Pos         1                                                       /*!< T16B_1 CC0DMAEN: CC0DMAEN1 Position     */
#define T16B_1_CC0DMAEN_CC0DMAEN1_Msk         (0x01UL << T16B_1_CC0DMAEN_CC0DMAEN1_Pos)               /*!< T16B_1 CC0DMAEN: CC0DMAEN1 Mask         */
#define T16B_1_CC0DMAEN_CC0DMAEN2_Pos         2                                                       /*!< T16B_1 CC0DMAEN: CC0DMAEN2 Position     */
#define T16B_1_CC0DMAEN_CC0DMAEN2_Msk         (0x01UL << T16B_1_CC0DMAEN_CC0DMAEN2_Pos)               /*!< T16B_1 CC0DMAEN: CC0DMAEN2 Mask         */
#define T16B_1_CC0DMAEN_CC0DMAEN3_Pos         3                                                       /*!< T16B_1 CC0DMAEN: CC0DMAEN3 Position     */
#define T16B_1_CC0DMAEN_CC0DMAEN3_Msk         (0x01UL << T16B_1_CC0DMAEN_CC0DMAEN3_Pos)               /*!< T16B_1 CC0DMAEN: CC0DMAEN3 Mask         */
#define T16B_1_CC0DMAEN_RESERVED_15_4_Pos     4                                                       /*!< T16B_1 CC0DMAEN: RESERVED_15_4 Position */
#define T16B_1_CC0DMAEN_RESERVED_15_4_Msk     (0x00000fffUL << T16B_1_CC0DMAEN_RESERVED_15_4_Pos)     /*!< T16B_1 CC0DMAEN: RESERVED_15_4 Mask     */

/* --------------------------------  T16B_1_CCCTL1  ------------------------------- */
#define T16B_1_CCCTL1_CCMD_Pos                0                                                       /*!< T16B_1 CCCTL1: CCMD Position            */
#define T16B_1_CCCTL1_CCMD_Msk                (0x01UL << T16B_1_CCCTL1_CCMD_Pos)                      /*!< T16B_1 CCCTL1: CCMD Mask                */
#define T16B_1_CCCTL1_TOUTINV_Pos             1                                                       /*!< T16B_1 CCCTL1: TOUTINV Position         */
#define T16B_1_CCCTL1_TOUTINV_Msk             (0x01UL << T16B_1_CCCTL1_TOUTINV_Pos)                   /*!< T16B_1 CCCTL1: TOUTINV Mask             */
#define T16B_1_CCCTL1_TOUTMD_Pos              2                                                       /*!< T16B_1 CCCTL1: TOUTMD Position          */
#define T16B_1_CCCTL1_TOUTMD_Msk              (0x07UL << T16B_1_CCCTL1_TOUTMD_Pos)                    /*!< T16B_1 CCCTL1: TOUTMD Mask              */
#define T16B_1_CCCTL1_TOUTO_Pos               5                                                       /*!< T16B_1 CCCTL1: TOUTO Position           */
#define T16B_1_CCCTL1_TOUTO_Msk               (0x01UL << T16B_1_CCCTL1_TOUTO_Pos)                     /*!< T16B_1 CCCTL1: TOUTO Mask               */
#define T16B_1_CCCTL1_TOUTMT_Pos              6                                                       /*!< T16B_1 CCCTL1: TOUTMT Position          */
#define T16B_1_CCCTL1_TOUTMT_Msk              (0x01UL << T16B_1_CCCTL1_TOUTMT_Pos)                    /*!< T16B_1 CCCTL1: TOUTMT Mask              */
#define T16B_1_CCCTL1_RESERVED_7_Pos          7                                                       /*!< T16B_1 CCCTL1: RESERVED_7 Position      */
#define T16B_1_CCCTL1_RESERVED_7_Msk          (0x01UL << T16B_1_CCCTL1_RESERVED_7_Pos)                /*!< T16B_1 CCCTL1: RESERVED_7 Mask          */
#define T16B_1_CCCTL1_CAPTRG_Pos              8                                                       /*!< T16B_1 CCCTL1: CAPTRG Position          */
#define T16B_1_CCCTL1_CAPTRG_Msk              (0x03UL << T16B_1_CCCTL1_CAPTRG_Pos)                    /*!< T16B_1 CCCTL1: CAPTRG Mask              */
#define T16B_1_CCCTL1_CAPIS_Pos               10                                                      /*!< T16B_1 CCCTL1: CAPIS Position           */
#define T16B_1_CCCTL1_CAPIS_Msk               (0x03UL << T16B_1_CCCTL1_CAPIS_Pos)                     /*!< T16B_1 CCCTL1: CAPIS Mask               */
#define T16B_1_CCCTL1_CBUFMD_Pos              12                                                      /*!< T16B_1 CCCTL1: CBUFMD Position          */
#define T16B_1_CCCTL1_CBUFMD_Msk              (0x07UL << T16B_1_CCCTL1_CBUFMD_Pos)                    /*!< T16B_1 CCCTL1: CBUFMD Mask              */
#define T16B_1_CCCTL1_SCS_Pos                 15                                                      /*!< T16B_1 CCCTL1: SCS Position             */
#define T16B_1_CCCTL1_SCS_Msk                 (0x01UL << T16B_1_CCCTL1_SCS_Pos)                       /*!< T16B_1 CCCTL1: SCS Mask                 */

/* ---------------------------------  T16B_1_CCR1  -------------------------------- */
#define T16B_1_CCR1_CC_Pos                    0                                                       /*!< T16B_1 CCR1: CC Position                */
#define T16B_1_CCR1_CC_Msk                    (0x0000ffffUL << T16B_1_CCR1_CC_Pos)                    /*!< T16B_1 CCR1: CC Mask                    */

/* -------------------------------  T16B_1_CC1DMAEN  ------------------------------ */
#define T16B_1_CC1DMAEN_CC0DMAEN0_Pos         0                                                       /*!< T16B_1 CC1DMAEN: CC0DMAEN0 Position     */
#define T16B_1_CC1DMAEN_CC0DMAEN0_Msk         (0x01UL << T16B_1_CC1DMAEN_CC0DMAEN0_Pos)               /*!< T16B_1 CC1DMAEN: CC0DMAEN0 Mask         */
#define T16B_1_CC1DMAEN_CC0DMAEN1_Pos         1                                                       /*!< T16B_1 CC1DMAEN: CC0DMAEN1 Position     */
#define T16B_1_CC1DMAEN_CC0DMAEN1_Msk         (0x01UL << T16B_1_CC1DMAEN_CC0DMAEN1_Pos)               /*!< T16B_1 CC1DMAEN: CC0DMAEN1 Mask         */
#define T16B_1_CC1DMAEN_CC0DMAEN2_Pos         2                                                       /*!< T16B_1 CC1DMAEN: CC0DMAEN2 Position     */
#define T16B_1_CC1DMAEN_CC0DMAEN2_Msk         (0x01UL << T16B_1_CC1DMAEN_CC0DMAEN2_Pos)               /*!< T16B_1 CC1DMAEN: CC0DMAEN2 Mask         */
#define T16B_1_CC1DMAEN_CC0DMAEN3_Pos         3                                                       /*!< T16B_1 CC1DMAEN: CC0DMAEN3 Position     */
#define T16B_1_CC1DMAEN_CC0DMAEN3_Msk         (0x01UL << T16B_1_CC1DMAEN_CC0DMAEN3_Pos)               /*!< T16B_1 CC1DMAEN: CC0DMAEN3 Mask         */
#define T16B_1_CC1DMAEN_RESERVED_15_4_Pos     4                                                       /*!< T16B_1 CC1DMAEN: RESERVED_15_4 Position */
#define T16B_1_CC1DMAEN_RESERVED_15_4_Msk     (0x00000fffUL << T16B_1_CC1DMAEN_RESERVED_15_4_Pos)     /*!< T16B_1 CC1DMAEN: RESERVED_15_4 Mask     */

/* --------------------------------  T16B_1_CCCTL2  ------------------------------- */
#define T16B_1_CCCTL2_CCMD_Pos                0                                                       /*!< T16B_1 CCCTL2: CCMD Position            */
#define T16B_1_CCCTL2_CCMD_Msk                (0x01UL << T16B_1_CCCTL2_CCMD_Pos)                      /*!< T16B_1 CCCTL2: CCMD Mask                */
#define T16B_1_CCCTL2_TOUTINV_Pos             1                                                       /*!< T16B_1 CCCTL2: TOUTINV Position         */
#define T16B_1_CCCTL2_TOUTINV_Msk             (0x01UL << T16B_1_CCCTL2_TOUTINV_Pos)                   /*!< T16B_1 CCCTL2: TOUTINV Mask             */
#define T16B_1_CCCTL2_TOUTMD_Pos              2                                                       /*!< T16B_1 CCCTL2: TOUTMD Position          */
#define T16B_1_CCCTL2_TOUTMD_Msk              (0x07UL << T16B_1_CCCTL2_TOUTMD_Pos)                    /*!< T16B_1 CCCTL2: TOUTMD Mask              */
#define T16B_1_CCCTL2_TOUTO_Pos               5                                                       /*!< T16B_1 CCCTL2: TOUTO Position           */
#define T16B_1_CCCTL2_TOUTO_Msk               (0x01UL << T16B_1_CCCTL2_TOUTO_Pos)                     /*!< T16B_1 CCCTL2: TOUTO Mask               */
#define T16B_1_CCCTL2_TOUTMT_Pos              6                                                       /*!< T16B_1 CCCTL2: TOUTMT Position          */
#define T16B_1_CCCTL2_TOUTMT_Msk              (0x01UL << T16B_1_CCCTL2_TOUTMT_Pos)                    /*!< T16B_1 CCCTL2: TOUTMT Mask              */
#define T16B_1_CCCTL2_RESERVED_7_Pos          7                                                       /*!< T16B_1 CCCTL2: RESERVED_7 Position      */
#define T16B_1_CCCTL2_RESERVED_7_Msk          (0x01UL << T16B_1_CCCTL2_RESERVED_7_Pos)                /*!< T16B_1 CCCTL2: RESERVED_7 Mask          */
#define T16B_1_CCCTL2_CAPTRG_Pos              8                                                       /*!< T16B_1 CCCTL2: CAPTRG Position          */
#define T16B_1_CCCTL2_CAPTRG_Msk              (0x03UL << T16B_1_CCCTL2_CAPTRG_Pos)                    /*!< T16B_1 CCCTL2: CAPTRG Mask              */
#define T16B_1_CCCTL2_CAPIS_Pos               10                                                      /*!< T16B_1 CCCTL2: CAPIS Position           */
#define T16B_1_CCCTL2_CAPIS_Msk               (0x03UL << T16B_1_CCCTL2_CAPIS_Pos)                     /*!< T16B_1 CCCTL2: CAPIS Mask               */
#define T16B_1_CCCTL2_CBUFMD_Pos              12                                                      /*!< T16B_1 CCCTL2: CBUFMD Position          */
#define T16B_1_CCCTL2_CBUFMD_Msk              (0x07UL << T16B_1_CCCTL2_CBUFMD_Pos)                    /*!< T16B_1 CCCTL2: CBUFMD Mask              */
#define T16B_1_CCCTL2_SCS_Pos                 15                                                      /*!< T16B_1 CCCTL2: SCS Position             */
#define T16B_1_CCCTL2_SCS_Msk                 (0x01UL << T16B_1_CCCTL2_SCS_Pos)                       /*!< T16B_1 CCCTL2: SCS Mask                 */

/* ---------------------------------  T16B_1_CCR2  -------------------------------- */
#define T16B_1_CCR2_CC_Pos                    0                                                       /*!< T16B_1 CCR2: CC Position                */
#define T16B_1_CCR2_CC_Msk                    (0x0000ffffUL << T16B_1_CCR2_CC_Pos)                    /*!< T16B_1 CCR2: CC Mask                    */

/* -------------------------------  T16B_1_CC2DMAEN  ------------------------------ */
#define T16B_1_CC2DMAEN_CC0DMAEN0_Pos         0                                                       /*!< T16B_1 CC2DMAEN: CC0DMAEN0 Position     */
#define T16B_1_CC2DMAEN_CC0DMAEN0_Msk         (0x01UL << T16B_1_CC2DMAEN_CC0DMAEN0_Pos)               /*!< T16B_1 CC2DMAEN: CC0DMAEN0 Mask         */
#define T16B_1_CC2DMAEN_CC0DMAEN1_Pos         1                                                       /*!< T16B_1 CC2DMAEN: CC0DMAEN1 Position     */
#define T16B_1_CC2DMAEN_CC0DMAEN1_Msk         (0x01UL << T16B_1_CC2DMAEN_CC0DMAEN1_Pos)               /*!< T16B_1 CC2DMAEN: CC0DMAEN1 Mask         */
#define T16B_1_CC2DMAEN_CC0DMAEN2_Pos         2                                                       /*!< T16B_1 CC2DMAEN: CC0DMAEN2 Position     */
#define T16B_1_CC2DMAEN_CC0DMAEN2_Msk         (0x01UL << T16B_1_CC2DMAEN_CC0DMAEN2_Pos)               /*!< T16B_1 CC2DMAEN: CC0DMAEN2 Mask         */
#define T16B_1_CC2DMAEN_CC0DMAEN3_Pos         3                                                       /*!< T16B_1 CC2DMAEN: CC0DMAEN3 Position     */
#define T16B_1_CC2DMAEN_CC0DMAEN3_Msk         (0x01UL << T16B_1_CC2DMAEN_CC0DMAEN3_Pos)               /*!< T16B_1 CC2DMAEN: CC0DMAEN3 Mask         */
#define T16B_1_CC2DMAEN_RESERVED_15_4_Pos     4                                                       /*!< T16B_1 CC2DMAEN: RESERVED_15_4 Position */
#define T16B_1_CC2DMAEN_RESERVED_15_4_Msk     (0x00000fffUL << T16B_1_CC2DMAEN_RESERVED_15_4_Pos)     /*!< T16B_1 CC2DMAEN: RESERVED_15_4 Mask     */

/* --------------------------------  T16B_1_CCCTL3  ------------------------------- */
#define T16B_1_CCCTL3_CCMD_Pos                0                                                       /*!< T16B_1 CCCTL3: CCMD Position            */
#define T16B_1_CCCTL3_CCMD_Msk                (0x01UL << T16B_1_CCCTL3_CCMD_Pos)                      /*!< T16B_1 CCCTL3: CCMD Mask                */
#define T16B_1_CCCTL3_TOUTINV_Pos             1                                                       /*!< T16B_1 CCCTL3: TOUTINV Position         */
#define T16B_1_CCCTL3_TOUTINV_Msk             (0x01UL << T16B_1_CCCTL3_TOUTINV_Pos)                   /*!< T16B_1 CCCTL3: TOUTINV Mask             */
#define T16B_1_CCCTL3_TOUTMD_Pos              2                                                       /*!< T16B_1 CCCTL3: TOUTMD Position          */
#define T16B_1_CCCTL3_TOUTMD_Msk              (0x07UL << T16B_1_CCCTL3_TOUTMD_Pos)                    /*!< T16B_1 CCCTL3: TOUTMD Mask              */
#define T16B_1_CCCTL3_TOUTO_Pos               5                                                       /*!< T16B_1 CCCTL3: TOUTO Position           */
#define T16B_1_CCCTL3_TOUTO_Msk               (0x01UL << T16B_1_CCCTL3_TOUTO_Pos)                     /*!< T16B_1 CCCTL3: TOUTO Mask               */
#define T16B_1_CCCTL3_TOUTMT_Pos              6                                                       /*!< T16B_1 CCCTL3: TOUTMT Position          */
#define T16B_1_CCCTL3_TOUTMT_Msk              (0x01UL << T16B_1_CCCTL3_TOUTMT_Pos)                    /*!< T16B_1 CCCTL3: TOUTMT Mask              */
#define T16B_1_CCCTL3_RESERVED_7_Pos          7                                                       /*!< T16B_1 CCCTL3: RESERVED_7 Position      */
#define T16B_1_CCCTL3_RESERVED_7_Msk          (0x01UL << T16B_1_CCCTL3_RESERVED_7_Pos)                /*!< T16B_1 CCCTL3: RESERVED_7 Mask          */
#define T16B_1_CCCTL3_CAPTRG_Pos              8                                                       /*!< T16B_1 CCCTL3: CAPTRG Position          */
#define T16B_1_CCCTL3_CAPTRG_Msk              (0x03UL << T16B_1_CCCTL3_CAPTRG_Pos)                    /*!< T16B_1 CCCTL3: CAPTRG Mask              */
#define T16B_1_CCCTL3_CAPIS_Pos               10                                                      /*!< T16B_1 CCCTL3: CAPIS Position           */
#define T16B_1_CCCTL3_CAPIS_Msk               (0x03UL << T16B_1_CCCTL3_CAPIS_Pos)                     /*!< T16B_1 CCCTL3: CAPIS Mask               */
#define T16B_1_CCCTL3_CBUFMD_Pos              12                                                      /*!< T16B_1 CCCTL3: CBUFMD Position          */
#define T16B_1_CCCTL3_CBUFMD_Msk              (0x07UL << T16B_1_CCCTL3_CBUFMD_Pos)                    /*!< T16B_1 CCCTL3: CBUFMD Mask              */
#define T16B_1_CCCTL3_SCS_Pos                 15                                                      /*!< T16B_1 CCCTL3: SCS Position             */
#define T16B_1_CCCTL3_SCS_Msk                 (0x01UL << T16B_1_CCCTL3_SCS_Pos)                       /*!< T16B_1 CCCTL3: SCS Mask                 */

/* ---------------------------------  T16B_1_CCR3  -------------------------------- */
#define T16B_1_CCR3_CC_Pos                    0                                                       /*!< T16B_1 CCR3: CC Position                */
#define T16B_1_CCR3_CC_Msk                    (0x0000ffffUL << T16B_1_CCR3_CC_Pos)                    /*!< T16B_1 CCR3: CC Mask                    */

/* -------------------------------  T16B_1_CC3DMAEN  ------------------------------ */
#define T16B_1_CC3DMAEN_CC0DMAEN0_Pos         0                                                       /*!< T16B_1 CC3DMAEN: CC0DMAEN0 Position     */
#define T16B_1_CC3DMAEN_CC0DMAEN0_Msk         (0x01UL << T16B_1_CC3DMAEN_CC0DMAEN0_Pos)               /*!< T16B_1 CC3DMAEN: CC0DMAEN0 Mask         */
#define T16B_1_CC3DMAEN_CC0DMAEN1_Pos         1                                                       /*!< T16B_1 CC3DMAEN: CC0DMAEN1 Position     */
#define T16B_1_CC3DMAEN_CC0DMAEN1_Msk         (0x01UL << T16B_1_CC3DMAEN_CC0DMAEN1_Pos)               /*!< T16B_1 CC3DMAEN: CC0DMAEN1 Mask         */
#define T16B_1_CC3DMAEN_CC0DMAEN2_Pos         2                                                       /*!< T16B_1 CC3DMAEN: CC0DMAEN2 Position     */
#define T16B_1_CC3DMAEN_CC0DMAEN2_Msk         (0x01UL << T16B_1_CC3DMAEN_CC0DMAEN2_Pos)               /*!< T16B_1 CC3DMAEN: CC0DMAEN2 Mask         */
#define T16B_1_CC3DMAEN_CC0DMAEN3_Pos         3                                                       /*!< T16B_1 CC3DMAEN: CC0DMAEN3 Position     */
#define T16B_1_CC3DMAEN_CC0DMAEN3_Msk         (0x01UL << T16B_1_CC3DMAEN_CC0DMAEN3_Pos)               /*!< T16B_1 CC3DMAEN: CC0DMAEN3 Mask         */
#define T16B_1_CC3DMAEN_RESERVED_15_4_Pos     4                                                       /*!< T16B_1 CC3DMAEN: RESERVED_15_4 Position */
#define T16B_1_CC3DMAEN_RESERVED_15_4_Msk     (0x00000fffUL << T16B_1_CC3DMAEN_RESERVED_15_4_Pos)     /*!< T16B_1 CC3DMAEN: RESERVED_15_4 Mask     */


/* ================================================================================ */
/* ================        struct 'TSRVR_0' Position & Mask        ================ */
/* ================================================================================ */


/* --------------------------------  TSRVR_0_TCTL  -------------------------------- */
#define TSRVR_0_TCTL_TEMPEN_Pos               0                                                       /*!< TSRVR_0 TCTL: TEMPEN Position           */
#define TSRVR_0_TCTL_TEMPEN_Msk               (0x01UL << TSRVR_0_TCTL_TEMPEN_Pos)                     /*!< TSRVR_0 TCTL: TEMPEN Mask               */
#define TSRVR_0_TCTL_RESERVED_15_1_Pos        1                                                       /*!< TSRVR_0 TCTL: RESERVED_15_1 Position    */
#define TSRVR_0_TCTL_RESERVED_15_1_Msk        (0x00007fffUL << TSRVR_0_TCTL_RESERVED_15_1_Pos)        /*!< TSRVR_0 TCTL: RESERVED_15_1 Mask        */

/* --------------------------------  TSRVR_0_VCTL  -------------------------------- */
#define TSRVR_0_VCTL_VREFAMD_Pos              0                                                       /*!< TSRVR_0 VCTL: VREFAMD Position          */
#define TSRVR_0_VCTL_VREFAMD_Msk              (0x03UL << TSRVR_0_VCTL_VREFAMD_Pos)                    /*!< TSRVR_0 VCTL: VREFAMD Mask              */
#define TSRVR_0_VCTL_RESERVED_15_2_Pos        2                                                       /*!< TSRVR_0 VCTL: RESERVED_15_2 Position    */
#define TSRVR_0_VCTL_RESERVED_15_2_Msk        (0x00003fffUL << TSRVR_0_VCTL_RESERVED_15_2_Pos)        /*!< TSRVR_0 VCTL: RESERVED_15_2 Mask        */


/* ================================================================================ */
/* ================        struct 'UART3_0' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  UART3_0_CLK  -------------------------------- */
#define UART3_0_CLK_CLKSRC_Pos                0                                                       /*!< UART3_0 CLK: CLKSRC Position            */
#define UART3_0_CLK_CLKSRC_Msk                (0x03UL << UART3_0_CLK_CLKSRC_Pos)                      /*!< UART3_0 CLK: CLKSRC Mask                */
#define UART3_0_CLK_RESERVED_3_2_Pos          2                                                       /*!< UART3_0 CLK: RESERVED_3_2 Position      */
#define UART3_0_CLK_RESERVED_3_2_Msk          (0x03UL << UART3_0_CLK_RESERVED_3_2_Pos)                /*!< UART3_0 CLK: RESERVED_3_2 Mask          */
#define UART3_0_CLK_CLKDIV_Pos                4                                                       /*!< UART3_0 CLK: CLKDIV Position            */
#define UART3_0_CLK_CLKDIV_Msk                (0x03UL << UART3_0_CLK_CLKDIV_Pos)                      /*!< UART3_0 CLK: CLKDIV Mask                */
#define UART3_0_CLK_RESERVED_7_6_Pos          6                                                       /*!< UART3_0 CLK: RESERVED_7_6 Position      */
#define UART3_0_CLK_RESERVED_7_6_Msk          (0x03UL << UART3_0_CLK_RESERVED_7_6_Pos)                /*!< UART3_0 CLK: RESERVED_7_6 Mask          */
#define UART3_0_CLK_DBRUN_Pos                 8                                                       /*!< UART3_0 CLK: DBRUN Position             */
#define UART3_0_CLK_DBRUN_Msk                 (0x01UL << UART3_0_CLK_DBRUN_Pos)                       /*!< UART3_0 CLK: DBRUN Mask                 */
#define UART3_0_CLK_RESERVED_15_9_Pos         9                                                       /*!< UART3_0 CLK: RESERVED_15_9 Position     */
#define UART3_0_CLK_RESERVED_15_9_Msk         (0x7fUL << UART3_0_CLK_RESERVED_15_9_Pos)               /*!< UART3_0 CLK: RESERVED_15_9 Mask         */

/* ---------------------------------  UART3_0_MOD  -------------------------------- */
#define UART3_0_MOD_STPB_Pos                  0                                                       /*!< UART3_0 MOD: STPB Position              */
#define UART3_0_MOD_STPB_Msk                  (0x01UL << UART3_0_MOD_STPB_Pos)                        /*!< UART3_0 MOD: STPB Mask                  */
#define UART3_0_MOD_PRMD_Pos                  1                                                       /*!< UART3_0 MOD: PRMD Position              */
#define UART3_0_MOD_PRMD_Msk                  (0x01UL << UART3_0_MOD_PRMD_Pos)                        /*!< UART3_0 MOD: PRMD Mask                  */
#define UART3_0_MOD_PREN_Pos                  2                                                       /*!< UART3_0 MOD: PREN Position              */
#define UART3_0_MOD_PREN_Msk                  (0x01UL << UART3_0_MOD_PREN_Pos)                        /*!< UART3_0 MOD: PREN Mask                  */
#define UART3_0_MOD_CHLN_Pos                  3                                                       /*!< UART3_0 MOD: CHLN Position              */
#define UART3_0_MOD_CHLN_Msk                  (0x01UL << UART3_0_MOD_CHLN_Pos)                        /*!< UART3_0 MOD: CHLN Mask                  */
#define UART3_0_MOD_IRMD_Pos                  4                                                       /*!< UART3_0 MOD: IRMD Position              */
#define UART3_0_MOD_IRMD_Msk                  (0x01UL << UART3_0_MOD_IRMD_Pos)                        /*!< UART3_0 MOD: IRMD Mask                  */
#define UART3_0_MOD_OUTMD_Pos                 5                                                       /*!< UART3_0 MOD: OUTMD Position             */
#define UART3_0_MOD_OUTMD_Msk                 (0x01UL << UART3_0_MOD_OUTMD_Pos)                       /*!< UART3_0 MOD: OUTMD Mask                 */
#define UART3_0_MOD_PUEN_Pos                  6                                                       /*!< UART3_0 MOD: PUEN Position              */
#define UART3_0_MOD_PUEN_Msk                  (0x01UL << UART3_0_MOD_PUEN_Pos)                        /*!< UART3_0 MOD: PUEN Mask                  */
#define UART3_0_MOD_RESERVED_7_Pos            7                                                       /*!< UART3_0 MOD: RESERVED_7 Position        */
#define UART3_0_MOD_RESERVED_7_Msk            (0x01UL << UART3_0_MOD_RESERVED_7_Pos)                  /*!< UART3_0 MOD: RESERVED_7 Mask            */
#define UART3_0_MOD_INVTX_Pos                 8                                                       /*!< UART3_0 MOD: INVTX Position             */
#define UART3_0_MOD_INVTX_Msk                 (0x01UL << UART3_0_MOD_INVTX_Pos)                       /*!< UART3_0 MOD: INVTX Mask                 */
#define UART3_0_MOD_INVRX_Pos                 9                                                       /*!< UART3_0 MOD: INVRX Position             */
#define UART3_0_MOD_INVRX_Msk                 (0x01UL << UART3_0_MOD_INVRX_Pos)                       /*!< UART3_0 MOD: INVRX Mask                 */
#define UART3_0_MOD_BRDIV_Pos                 10                                                      /*!< UART3_0 MOD: BRDIV Position             */
#define UART3_0_MOD_BRDIV_Msk                 (0x01UL << UART3_0_MOD_BRDIV_Pos)                       /*!< UART3_0 MOD: BRDIV Mask                 */
#define UART3_0_MOD_CAREN_Pos                 11                                                      /*!< UART3_0 MOD: CAREN Position             */
#define UART3_0_MOD_CAREN_Msk                 (0x01UL << UART3_0_MOD_CAREN_Pos)                       /*!< UART3_0 MOD: CAREN Mask                 */
#define UART3_0_MOD_PECAR_Pos                 12                                                      /*!< UART3_0 MOD: PECAR Position             */
#define UART3_0_MOD_PECAR_Msk                 (0x01UL << UART3_0_MOD_PECAR_Pos)                       /*!< UART3_0 MOD: PECAR Mask                 */
#define UART3_0_MOD_RESERVED_15_13_Pos        13                                                      /*!< UART3_0 MOD: RESERVED_15_13 Position    */
#define UART3_0_MOD_RESERVED_15_13_Msk        (0x07UL << UART3_0_MOD_RESERVED_15_13_Pos)              /*!< UART3_0 MOD: RESERVED_15_13 Mask        */

/* ---------------------------------  UART3_0_BR  --------------------------------- */
#define UART3_0_BR_BRT_Pos                    0                                                       /*!< UART3_0 BR: BRT Position                */
#define UART3_0_BR_BRT_Msk                    (0x000000ffUL << UART3_0_BR_BRT_Pos)                    /*!< UART3_0 BR: BRT Mask                    */
#define UART3_0_BR_FMD_Pos                    8                                                       /*!< UART3_0 BR: FMD Position                */
#define UART3_0_BR_FMD_Msk                    (0x0fUL << UART3_0_BR_FMD_Pos)                          /*!< UART3_0 BR: FMD Mask                    */
#define UART3_0_BR_RESERVED_15_12_Pos         12                                                      /*!< UART3_0 BR: RESERVED_15_12 Position     */
#define UART3_0_BR_RESERVED_15_12_Msk         (0x0fUL << UART3_0_BR_RESERVED_15_12_Pos)               /*!< UART3_0 BR: RESERVED_15_12 Mask         */

/* ---------------------------------  UART3_0_CTL  -------------------------------- */
#define UART3_0_CTL_MODEN_Pos                 0                                                       /*!< UART3_0 CTL: MODEN Position             */
#define UART3_0_CTL_MODEN_Msk                 (0x01UL << UART3_0_CTL_MODEN_Pos)                       /*!< UART3_0 CTL: MODEN Mask                 */
#define UART3_0_CTL_SFTRST_Pos                1                                                       /*!< UART3_0 CTL: SFTRST Position            */
#define UART3_0_CTL_SFTRST_Msk                (0x01UL << UART3_0_CTL_SFTRST_Pos)                      /*!< UART3_0 CTL: SFTRST Mask                */
#define UART3_0_CTL_RESERVED_15_2_Pos         2                                                       /*!< UART3_0 CTL: RESERVED_15_2 Position     */
#define UART3_0_CTL_RESERVED_15_2_Msk         (0x00003fffUL << UART3_0_CTL_RESERVED_15_2_Pos)         /*!< UART3_0 CTL: RESERVED_15_2 Mask         */

/* ---------------------------------  UART3_0_TXD  -------------------------------- */
#define UART3_0_TXD_TXD_Pos                   0                                                       /*!< UART3_0 TXD: TXD Position               */
#define UART3_0_TXD_TXD_Msk                   (0x000000ffUL << UART3_0_TXD_TXD_Pos)                   /*!< UART3_0 TXD: TXD Mask                   */
#define UART3_0_TXD_RESERVED_15_8_Pos         8                                                       /*!< UART3_0 TXD: RESERVED_15_8 Position     */
#define UART3_0_TXD_RESERVED_15_8_Msk         (0x000000ffUL << UART3_0_TXD_RESERVED_15_8_Pos)         /*!< UART3_0 TXD: RESERVED_15_8 Mask         */

/* ---------------------------------  UART3_0_RXD  -------------------------------- */
#define UART3_0_RXD_RXD_Pos                   0                                                       /*!< UART3_0 RXD: RXD Position               */
#define UART3_0_RXD_RXD_Msk                   (0x000000ffUL << UART3_0_RXD_RXD_Pos)                   /*!< UART3_0 RXD: RXD Mask                   */
#define UART3_0_RXD_RESERVED_15_8_Pos         8                                                       /*!< UART3_0 RXD: RESERVED_15_8 Position     */
#define UART3_0_RXD_RESERVED_15_8_Msk         (0x000000ffUL << UART3_0_RXD_RESERVED_15_8_Pos)         /*!< UART3_0 RXD: RESERVED_15_8 Mask         */

/* --------------------------------  UART3_0_INTF  -------------------------------- */
#define UART3_0_INTF_TBEIF_Pos                0                                                       /*!< UART3_0 INTF: TBEIF Position            */
#define UART3_0_INTF_TBEIF_Msk                (0x01UL << UART3_0_INTF_TBEIF_Pos)                      /*!< UART3_0 INTF: TBEIF Mask                */
#define UART3_0_INTF_RB1FIF_Pos               1                                                       /*!< UART3_0 INTF: RB1FIF Position           */
#define UART3_0_INTF_RB1FIF_Msk               (0x01UL << UART3_0_INTF_RB1FIF_Pos)                     /*!< UART3_0 INTF: RB1FIF Mask               */
#define UART3_0_INTF_RB2FIF_Pos               2                                                       /*!< UART3_0 INTF: RB2FIF Position           */
#define UART3_0_INTF_RB2FIF_Msk               (0x01UL << UART3_0_INTF_RB2FIF_Pos)                     /*!< UART3_0 INTF: RB2FIF Mask               */
#define UART3_0_INTF_OEIF_Pos                 3                                                       /*!< UART3_0 INTF: OEIF Position             */
#define UART3_0_INTF_OEIF_Msk                 (0x01UL << UART3_0_INTF_OEIF_Pos)                       /*!< UART3_0 INTF: OEIF Mask                 */
#define UART3_0_INTF_PEIF_Pos                 4                                                       /*!< UART3_0 INTF: PEIF Position             */
#define UART3_0_INTF_PEIF_Msk                 (0x01UL << UART3_0_INTF_PEIF_Pos)                       /*!< UART3_0 INTF: PEIF Mask                 */
#define UART3_0_INTF_FEIF_Pos                 5                                                       /*!< UART3_0 INTF: FEIF Position             */
#define UART3_0_INTF_FEIF_Msk                 (0x01UL << UART3_0_INTF_FEIF_Pos)                       /*!< UART3_0 INTF: FEIF Mask                 */
#define UART3_0_INTF_TENDIF_Pos               6                                                       /*!< UART3_0 INTF: TENDIF Position           */
#define UART3_0_INTF_TENDIF_Msk               (0x01UL << UART3_0_INTF_TENDIF_Pos)                     /*!< UART3_0 INTF: TENDIF Mask               */
#define UART3_0_INTF_RESERVED_7_Pos           7                                                       /*!< UART3_0 INTF: RESERVED_7 Position       */
#define UART3_0_INTF_RESERVED_7_Msk           (0x01UL << UART3_0_INTF_RESERVED_7_Pos)                 /*!< UART3_0 INTF: RESERVED_7 Mask           */
#define UART3_0_INTF_TBSY_Pos                 8                                                       /*!< UART3_0 INTF: TBSY Position             */
#define UART3_0_INTF_TBSY_Msk                 (0x01UL << UART3_0_INTF_TBSY_Pos)                       /*!< UART3_0 INTF: TBSY Mask                 */
#define UART3_0_INTF_RBSY_Pos                 9                                                       /*!< UART3_0 INTF: RBSY Position             */
#define UART3_0_INTF_RBSY_Msk                 (0x01UL << UART3_0_INTF_RBSY_Pos)                       /*!< UART3_0 INTF: RBSY Mask                 */
#define UART3_0_INTF_RESERVED_15_10_Pos       10                                                      /*!< UART3_0 INTF: RESERVED_15_10 Position   */
#define UART3_0_INTF_RESERVED_15_10_Msk       (0x3fUL << UART3_0_INTF_RESERVED_15_10_Pos)             /*!< UART3_0 INTF: RESERVED_15_10 Mask       */

/* --------------------------------  UART3_0_INTE  -------------------------------- */
#define UART3_0_INTE_TBEIE_Pos                0                                                       /*!< UART3_0 INTE: TBEIE Position            */
#define UART3_0_INTE_TBEIE_Msk                (0x01UL << UART3_0_INTE_TBEIE_Pos)                      /*!< UART3_0 INTE: TBEIE Mask                */
#define UART3_0_INTE_RB1FIE_Pos               1                                                       /*!< UART3_0 INTE: RB1FIE Position           */
#define UART3_0_INTE_RB1FIE_Msk               (0x01UL << UART3_0_INTE_RB1FIE_Pos)                     /*!< UART3_0 INTE: RB1FIE Mask               */
#define UART3_0_INTE_RB2FIE_Pos               2                                                       /*!< UART3_0 INTE: RB2FIE Position           */
#define UART3_0_INTE_RB2FIE_Msk               (0x01UL << UART3_0_INTE_RB2FIE_Pos)                     /*!< UART3_0 INTE: RB2FIE Mask               */
#define UART3_0_INTE_OEIE_Pos                 3                                                       /*!< UART3_0 INTE: OEIE Position             */
#define UART3_0_INTE_OEIE_Msk                 (0x01UL << UART3_0_INTE_OEIE_Pos)                       /*!< UART3_0 INTE: OEIE Mask                 */
#define UART3_0_INTE_PEIE_Pos                 4                                                       /*!< UART3_0 INTE: PEIE Position             */
#define UART3_0_INTE_PEIE_Msk                 (0x01UL << UART3_0_INTE_PEIE_Pos)                       /*!< UART3_0 INTE: PEIE Mask                 */
#define UART3_0_INTE_FEIE_Pos                 5                                                       /*!< UART3_0 INTE: FEIE Position             */
#define UART3_0_INTE_FEIE_Msk                 (0x01UL << UART3_0_INTE_FEIE_Pos)                       /*!< UART3_0 INTE: FEIE Mask                 */
#define UART3_0_INTE_TENDIE_Pos               6                                                       /*!< UART3_0 INTE: TENDIE Position           */
#define UART3_0_INTE_TENDIE_Msk               (0x01UL << UART3_0_INTE_TENDIE_Pos)                     /*!< UART3_0 INTE: TENDIE Mask               */
#define UART3_0_INTE_RESERVED_15_7_Pos        7                                                       /*!< UART3_0 INTE: RESERVED_15_7 Position    */
#define UART3_0_INTE_RESERVED_15_7_Msk        (0x000001ffUL << UART3_0_INTE_RESERVED_15_7_Pos)        /*!< UART3_0 INTE: RESERVED_15_7 Mask        */

/* ------------------------------  UART3_0_TBEDMAEN  ------------------------------ */
#define UART3_0_TBEDMAEN_TBEDMAEN0_Pos        0                                                       /*!< UART3_0 TBEDMAEN: TBEDMAEN0 Position    */
#define UART3_0_TBEDMAEN_TBEDMAEN0_Msk        (0x01UL << UART3_0_TBEDMAEN_TBEDMAEN0_Pos)              /*!< UART3_0 TBEDMAEN: TBEDMAEN0 Mask        */
#define UART3_0_TBEDMAEN_TBEDMAEN1_Pos        1                                                       /*!< UART3_0 TBEDMAEN: TBEDMAEN1 Position    */
#define UART3_0_TBEDMAEN_TBEDMAEN1_Msk        (0x01UL << UART3_0_TBEDMAEN_TBEDMAEN1_Pos)              /*!< UART3_0 TBEDMAEN: TBEDMAEN1 Mask        */
#define UART3_0_TBEDMAEN_TBEDMAEN2_Pos        2                                                       /*!< UART3_0 TBEDMAEN: TBEDMAEN2 Position    */
#define UART3_0_TBEDMAEN_TBEDMAEN2_Msk        (0x01UL << UART3_0_TBEDMAEN_TBEDMAEN2_Pos)              /*!< UART3_0 TBEDMAEN: TBEDMAEN2 Mask        */
#define UART3_0_TBEDMAEN_TBEDMAEN3_Pos        3                                                       /*!< UART3_0 TBEDMAEN: TBEDMAEN3 Position    */
#define UART3_0_TBEDMAEN_TBEDMAEN3_Msk        (0x01UL << UART3_0_TBEDMAEN_TBEDMAEN3_Pos)              /*!< UART3_0 TBEDMAEN: TBEDMAEN3 Mask        */
#define UART3_0_TBEDMAEN_RESERVED_15_4_Pos    4                                                       /*!< UART3_0 TBEDMAEN: RESERVED_15_4 Position */
#define UART3_0_TBEDMAEN_RESERVED_15_4_Msk    (0x00000fffUL << UART3_0_TBEDMAEN_RESERVED_15_4_Pos)    /*!< UART3_0 TBEDMAEN: RESERVED_15_4 Mask    */

/* ------------------------------  UART3_0_RB1FDMAEN  ----------------------------- */
#define UART3_0_RB1FDMAEN_RB1FDMAEN0_Pos      0                                                       /*!< UART3_0 RB1FDMAEN: RB1FDMAEN0 Position  */
#define UART3_0_RB1FDMAEN_RB1FDMAEN0_Msk      (0x01UL << UART3_0_RB1FDMAEN_RB1FDMAEN0_Pos)            /*!< UART3_0 RB1FDMAEN: RB1FDMAEN0 Mask      */
#define UART3_0_RB1FDMAEN_RB1FDMAEN1_Pos      1                                                       /*!< UART3_0 RB1FDMAEN: RB1FDMAEN1 Position  */
#define UART3_0_RB1FDMAEN_RB1FDMAEN1_Msk      (0x01UL << UART3_0_RB1FDMAEN_RB1FDMAEN1_Pos)            /*!< UART3_0 RB1FDMAEN: RB1FDMAEN1 Mask      */
#define UART3_0_RB1FDMAEN_RB1FDMAEN2_Pos      2                                                       /*!< UART3_0 RB1FDMAEN: RB1FDMAEN2 Position  */
#define UART3_0_RB1FDMAEN_RB1FDMAEN2_Msk      (0x01UL << UART3_0_RB1FDMAEN_RB1FDMAEN2_Pos)            /*!< UART3_0 RB1FDMAEN: RB1FDMAEN2 Mask      */
#define UART3_0_RB1FDMAEN_RB1FDMAEN3_Pos      3                                                       /*!< UART3_0 RB1FDMAEN: RB1FDMAEN3 Position  */
#define UART3_0_RB1FDMAEN_RB1FDMAEN3_Msk      (0x01UL << UART3_0_RB1FDMAEN_RB1FDMAEN3_Pos)            /*!< UART3_0 RB1FDMAEN: RB1FDMAEN3 Mask      */
#define UART3_0_RB1FDMAEN_RESERVED_15_4_Pos   4                                                       /*!< UART3_0 RB1FDMAEN: RESERVED_15_4 Position */
#define UART3_0_RB1FDMAEN_RESERVED_15_4_Msk   (0x00000fffUL << UART3_0_RB1FDMAEN_RESERVED_15_4_Pos)   /*!< UART3_0 RB1FDMAEN: RESERVED_15_4 Mask   */

/* --------------------------------  UART3_0_CAWF  -------------------------------- */
#define UART3_0_CAWF_CRPER_Pos                0                                                       /*!< UART3_0 CAWF: CRPER Position            */
#define UART3_0_CAWF_CRPER_Msk                (0x000000ffUL << UART3_0_CAWF_CRPER_Pos)                /*!< UART3_0 CAWF: CRPER Mask                */
#define UART3_0_CAWF_RESERVED_15_8_Pos        8                                                       /*!< UART3_0 CAWF: RESERVED_15_8 Position    */
#define UART3_0_CAWF_RESERVED_15_8_Msk        (0x000000ffUL << UART3_0_CAWF_RESERVED_15_8_Pos)        /*!< UART3_0 CAWF: RESERVED_15_8 Mask        */


/* ================================================================================ */
/* ================        struct 'UART3_1' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  UART3_1_CLK  -------------------------------- */
#define UART3_1_CLK_CLKSRC_Pos                0                                                       /*!< UART3_1 CLK: CLKSRC Position            */
#define UART3_1_CLK_CLKSRC_Msk                (0x03UL << UART3_1_CLK_CLKSRC_Pos)                      /*!< UART3_1 CLK: CLKSRC Mask                */
#define UART3_1_CLK_RESERVED_3_2_Pos          2                                                       /*!< UART3_1 CLK: RESERVED_3_2 Position      */
#define UART3_1_CLK_RESERVED_3_2_Msk          (0x03UL << UART3_1_CLK_RESERVED_3_2_Pos)                /*!< UART3_1 CLK: RESERVED_3_2 Mask          */
#define UART3_1_CLK_CLKDIV_Pos                4                                                       /*!< UART3_1 CLK: CLKDIV Position            */
#define UART3_1_CLK_CLKDIV_Msk                (0x03UL << UART3_1_CLK_CLKDIV_Pos)                      /*!< UART3_1 CLK: CLKDIV Mask                */
#define UART3_1_CLK_RESERVED_7_6_Pos          6                                                       /*!< UART3_1 CLK: RESERVED_7_6 Position      */
#define UART3_1_CLK_RESERVED_7_6_Msk          (0x03UL << UART3_1_CLK_RESERVED_7_6_Pos)                /*!< UART3_1 CLK: RESERVED_7_6 Mask          */
#define UART3_1_CLK_DBRUN_Pos                 8                                                       /*!< UART3_1 CLK: DBRUN Position             */
#define UART3_1_CLK_DBRUN_Msk                 (0x01UL << UART3_1_CLK_DBRUN_Pos)                       /*!< UART3_1 CLK: DBRUN Mask                 */
#define UART3_1_CLK_RESERVED_15_9_Pos         9                                                       /*!< UART3_1 CLK: RESERVED_15_9 Position     */
#define UART3_1_CLK_RESERVED_15_9_Msk         (0x7fUL << UART3_1_CLK_RESERVED_15_9_Pos)               /*!< UART3_1 CLK: RESERVED_15_9 Mask         */

/* ---------------------------------  UART3_1_MOD  -------------------------------- */
#define UART3_1_MOD_STPB_Pos                  0                                                       /*!< UART3_1 MOD: STPB Position              */
#define UART3_1_MOD_STPB_Msk                  (0x01UL << UART3_1_MOD_STPB_Pos)                        /*!< UART3_1 MOD: STPB Mask                  */
#define UART3_1_MOD_PRMD_Pos                  1                                                       /*!< UART3_1 MOD: PRMD Position              */
#define UART3_1_MOD_PRMD_Msk                  (0x01UL << UART3_1_MOD_PRMD_Pos)                        /*!< UART3_1 MOD: PRMD Mask                  */
#define UART3_1_MOD_PREN_Pos                  2                                                       /*!< UART3_1 MOD: PREN Position              */
#define UART3_1_MOD_PREN_Msk                  (0x01UL << UART3_1_MOD_PREN_Pos)                        /*!< UART3_1 MOD: PREN Mask                  */
#define UART3_1_MOD_CHLN_Pos                  3                                                       /*!< UART3_1 MOD: CHLN Position              */
#define UART3_1_MOD_CHLN_Msk                  (0x01UL << UART3_1_MOD_CHLN_Pos)                        /*!< UART3_1 MOD: CHLN Mask                  */
#define UART3_1_MOD_IRMD_Pos                  4                                                       /*!< UART3_1 MOD: IRMD Position              */
#define UART3_1_MOD_IRMD_Msk                  (0x01UL << UART3_1_MOD_IRMD_Pos)                        /*!< UART3_1 MOD: IRMD Mask                  */
#define UART3_1_MOD_OUTMD_Pos                 5                                                       /*!< UART3_1 MOD: OUTMD Position             */
#define UART3_1_MOD_OUTMD_Msk                 (0x01UL << UART3_1_MOD_OUTMD_Pos)                       /*!< UART3_1 MOD: OUTMD Mask                 */
#define UART3_1_MOD_PUEN_Pos                  6                                                       /*!< UART3_1 MOD: PUEN Position              */
#define UART3_1_MOD_PUEN_Msk                  (0x01UL << UART3_1_MOD_PUEN_Pos)                        /*!< UART3_1 MOD: PUEN Mask                  */
#define UART3_1_MOD_RESERVED_7_Pos            7                                                       /*!< UART3_1 MOD: RESERVED_7 Position        */
#define UART3_1_MOD_RESERVED_7_Msk            (0x01UL << UART3_1_MOD_RESERVED_7_Pos)                  /*!< UART3_1 MOD: RESERVED_7 Mask            */
#define UART3_1_MOD_INVTX_Pos                 8                                                       /*!< UART3_1 MOD: INVTX Position             */
#define UART3_1_MOD_INVTX_Msk                 (0x01UL << UART3_1_MOD_INVTX_Pos)                       /*!< UART3_1 MOD: INVTX Mask                 */
#define UART3_1_MOD_INVRX_Pos                 9                                                       /*!< UART3_1 MOD: INVRX Position             */
#define UART3_1_MOD_INVRX_Msk                 (0x01UL << UART3_1_MOD_INVRX_Pos)                       /*!< UART3_1 MOD: INVRX Mask                 */
#define UART3_1_MOD_BRDIV_Pos                 10                                                      /*!< UART3_1 MOD: BRDIV Position             */
#define UART3_1_MOD_BRDIV_Msk                 (0x01UL << UART3_1_MOD_BRDIV_Pos)                       /*!< UART3_1 MOD: BRDIV Mask                 */
#define UART3_1_MOD_CAREN_Pos                 11                                                      /*!< UART3_1 MOD: CAREN Position             */
#define UART3_1_MOD_CAREN_Msk                 (0x01UL << UART3_1_MOD_CAREN_Pos)                       /*!< UART3_1 MOD: CAREN Mask                 */
#define UART3_1_MOD_PECAR_Pos                 12                                                      /*!< UART3_1 MOD: PECAR Position             */
#define UART3_1_MOD_PECAR_Msk                 (0x01UL << UART3_1_MOD_PECAR_Pos)                       /*!< UART3_1 MOD: PECAR Mask                 */
#define UART3_1_MOD_RESERVED_15_13_Pos        13                                                      /*!< UART3_1 MOD: RESERVED_15_13 Position    */
#define UART3_1_MOD_RESERVED_15_13_Msk        (0x07UL << UART3_1_MOD_RESERVED_15_13_Pos)              /*!< UART3_1 MOD: RESERVED_15_13 Mask        */

/* ---------------------------------  UART3_1_BR  --------------------------------- */
#define UART3_1_BR_BRT_Pos                    0                                                       /*!< UART3_1 BR: BRT Position                */
#define UART3_1_BR_BRT_Msk                    (0x000000ffUL << UART3_1_BR_BRT_Pos)                    /*!< UART3_1 BR: BRT Mask                    */
#define UART3_1_BR_FMD_Pos                    8                                                       /*!< UART3_1 BR: FMD Position                */
#define UART3_1_BR_FMD_Msk                    (0x0fUL << UART3_1_BR_FMD_Pos)                          /*!< UART3_1 BR: FMD Mask                    */
#define UART3_1_BR_RESERVED_15_12_Pos         12                                                      /*!< UART3_1 BR: RESERVED_15_12 Position     */
#define UART3_1_BR_RESERVED_15_12_Msk         (0x0fUL << UART3_1_BR_RESERVED_15_12_Pos)               /*!< UART3_1 BR: RESERVED_15_12 Mask         */

/* ---------------------------------  UART3_1_CTL  -------------------------------- */
#define UART3_1_CTL_MODEN_Pos                 0                                                       /*!< UART3_1 CTL: MODEN Position             */
#define UART3_1_CTL_MODEN_Msk                 (0x01UL << UART3_1_CTL_MODEN_Pos)                       /*!< UART3_1 CTL: MODEN Mask                 */
#define UART3_1_CTL_SFTRST_Pos                1                                                       /*!< UART3_1 CTL: SFTRST Position            */
#define UART3_1_CTL_SFTRST_Msk                (0x01UL << UART3_1_CTL_SFTRST_Pos)                      /*!< UART3_1 CTL: SFTRST Mask                */
#define UART3_1_CTL_RESERVED_15_2_Pos         2                                                       /*!< UART3_1 CTL: RESERVED_15_2 Position     */
#define UART3_1_CTL_RESERVED_15_2_Msk         (0x00003fffUL << UART3_1_CTL_RESERVED_15_2_Pos)         /*!< UART3_1 CTL: RESERVED_15_2 Mask         */

/* ---------------------------------  UART3_1_TXD  -------------------------------- */
#define UART3_1_TXD_TXD_Pos                   0                                                       /*!< UART3_1 TXD: TXD Position               */
#define UART3_1_TXD_TXD_Msk                   (0x000000ffUL << UART3_1_TXD_TXD_Pos)                   /*!< UART3_1 TXD: TXD Mask                   */
#define UART3_1_TXD_RESERVED_15_8_Pos         8                                                       /*!< UART3_1 TXD: RESERVED_15_8 Position     */
#define UART3_1_TXD_RESERVED_15_8_Msk         (0x000000ffUL << UART3_1_TXD_RESERVED_15_8_Pos)         /*!< UART3_1 TXD: RESERVED_15_8 Mask         */

/* ---------------------------------  UART3_1_RXD  -------------------------------- */
#define UART3_1_RXD_RXD_Pos                   0                                                       /*!< UART3_1 RXD: RXD Position               */
#define UART3_1_RXD_RXD_Msk                   (0x000000ffUL << UART3_1_RXD_RXD_Pos)                   /*!< UART3_1 RXD: RXD Mask                   */
#define UART3_1_RXD_RESERVED_15_8_Pos         8                                                       /*!< UART3_1 RXD: RESERVED_15_8 Position     */
#define UART3_1_RXD_RESERVED_15_8_Msk         (0x000000ffUL << UART3_1_RXD_RESERVED_15_8_Pos)         /*!< UART3_1 RXD: RESERVED_15_8 Mask         */

/* --------------------------------  UART3_1_INTF  -------------------------------- */
#define UART3_1_INTF_TBEIF_Pos                0                                                       /*!< UART3_1 INTF: TBEIF Position            */
#define UART3_1_INTF_TBEIF_Msk                (0x01UL << UART3_1_INTF_TBEIF_Pos)                      /*!< UART3_1 INTF: TBEIF Mask                */
#define UART3_1_INTF_RB1FIF_Pos               1                                                       /*!< UART3_1 INTF: RB1FIF Position           */
#define UART3_1_INTF_RB1FIF_Msk               (0x01UL << UART3_1_INTF_RB1FIF_Pos)                     /*!< UART3_1 INTF: RB1FIF Mask               */
#define UART3_1_INTF_RB2FIF_Pos               2                                                       /*!< UART3_1 INTF: RB2FIF Position           */
#define UART3_1_INTF_RB2FIF_Msk               (0x01UL << UART3_1_INTF_RB2FIF_Pos)                     /*!< UART3_1 INTF: RB2FIF Mask               */
#define UART3_1_INTF_OEIF_Pos                 3                                                       /*!< UART3_1 INTF: OEIF Position             */
#define UART3_1_INTF_OEIF_Msk                 (0x01UL << UART3_1_INTF_OEIF_Pos)                       /*!< UART3_1 INTF: OEIF Mask                 */
#define UART3_1_INTF_PEIF_Pos                 4                                                       /*!< UART3_1 INTF: PEIF Position             */
#define UART3_1_INTF_PEIF_Msk                 (0x01UL << UART3_1_INTF_PEIF_Pos)                       /*!< UART3_1 INTF: PEIF Mask                 */
#define UART3_1_INTF_FEIF_Pos                 5                                                       /*!< UART3_1 INTF: FEIF Position             */
#define UART3_1_INTF_FEIF_Msk                 (0x01UL << UART3_1_INTF_FEIF_Pos)                       /*!< UART3_1 INTF: FEIF Mask                 */
#define UART3_1_INTF_TENDIF_Pos               6                                                       /*!< UART3_1 INTF: TENDIF Position           */
#define UART3_1_INTF_TENDIF_Msk               (0x01UL << UART3_1_INTF_TENDIF_Pos)                     /*!< UART3_1 INTF: TENDIF Mask               */
#define UART3_1_INTF_RESERVED_7_Pos           7                                                       /*!< UART3_1 INTF: RESERVED_7 Position       */
#define UART3_1_INTF_RESERVED_7_Msk           (0x01UL << UART3_1_INTF_RESERVED_7_Pos)                 /*!< UART3_1 INTF: RESERVED_7 Mask           */
#define UART3_1_INTF_TBSY_Pos                 8                                                       /*!< UART3_1 INTF: TBSY Position             */
#define UART3_1_INTF_TBSY_Msk                 (0x01UL << UART3_1_INTF_TBSY_Pos)                       /*!< UART3_1 INTF: TBSY Mask                 */
#define UART3_1_INTF_RBSY_Pos                 9                                                       /*!< UART3_1 INTF: RBSY Position             */
#define UART3_1_INTF_RBSY_Msk                 (0x01UL << UART3_1_INTF_RBSY_Pos)                       /*!< UART3_1 INTF: RBSY Mask                 */
#define UART3_1_INTF_RESERVED_15_10_Pos       10                                                      /*!< UART3_1 INTF: RESERVED_15_10 Position   */
#define UART3_1_INTF_RESERVED_15_10_Msk       (0x3fUL << UART3_1_INTF_RESERVED_15_10_Pos)             /*!< UART3_1 INTF: RESERVED_15_10 Mask       */

/* --------------------------------  UART3_1_INTE  -------------------------------- */
#define UART3_1_INTE_TBEIE_Pos                0                                                       /*!< UART3_1 INTE: TBEIE Position            */
#define UART3_1_INTE_TBEIE_Msk                (0x01UL << UART3_1_INTE_TBEIE_Pos)                      /*!< UART3_1 INTE: TBEIE Mask                */
#define UART3_1_INTE_RB1FIE_Pos               1                                                       /*!< UART3_1 INTE: RB1FIE Position           */
#define UART3_1_INTE_RB1FIE_Msk               (0x01UL << UART3_1_INTE_RB1FIE_Pos)                     /*!< UART3_1 INTE: RB1FIE Mask               */
#define UART3_1_INTE_RB2FIE_Pos               2                                                       /*!< UART3_1 INTE: RB2FIE Position           */
#define UART3_1_INTE_RB2FIE_Msk               (0x01UL << UART3_1_INTE_RB2FIE_Pos)                     /*!< UART3_1 INTE: RB2FIE Mask               */
#define UART3_1_INTE_OEIE_Pos                 3                                                       /*!< UART3_1 INTE: OEIE Position             */
#define UART3_1_INTE_OEIE_Msk                 (0x01UL << UART3_1_INTE_OEIE_Pos)                       /*!< UART3_1 INTE: OEIE Mask                 */
#define UART3_1_INTE_PEIE_Pos                 4                                                       /*!< UART3_1 INTE: PEIE Position             */
#define UART3_1_INTE_PEIE_Msk                 (0x01UL << UART3_1_INTE_PEIE_Pos)                       /*!< UART3_1 INTE: PEIE Mask                 */
#define UART3_1_INTE_FEIE_Pos                 5                                                       /*!< UART3_1 INTE: FEIE Position             */
#define UART3_1_INTE_FEIE_Msk                 (0x01UL << UART3_1_INTE_FEIE_Pos)                       /*!< UART3_1 INTE: FEIE Mask                 */
#define UART3_1_INTE_TENDIE_Pos               6                                                       /*!< UART3_1 INTE: TENDIE Position           */
#define UART3_1_INTE_TENDIE_Msk               (0x01UL << UART3_1_INTE_TENDIE_Pos)                     /*!< UART3_1 INTE: TENDIE Mask               */
#define UART3_1_INTE_RESERVED_15_7_Pos        7                                                       /*!< UART3_1 INTE: RESERVED_15_7 Position    */
#define UART3_1_INTE_RESERVED_15_7_Msk        (0x000001ffUL << UART3_1_INTE_RESERVED_15_7_Pos)        /*!< UART3_1 INTE: RESERVED_15_7 Mask        */

/* ------------------------------  UART3_1_TBEDMAEN  ------------------------------ */
#define UART3_1_TBEDMAEN_TBEDMAEN0_Pos        0                                                       /*!< UART3_1 TBEDMAEN: TBEDMAEN0 Position    */
#define UART3_1_TBEDMAEN_TBEDMAEN0_Msk        (0x01UL << UART3_1_TBEDMAEN_TBEDMAEN0_Pos)              /*!< UART3_1 TBEDMAEN: TBEDMAEN0 Mask        */
#define UART3_1_TBEDMAEN_TBEDMAEN1_Pos        1                                                       /*!< UART3_1 TBEDMAEN: TBEDMAEN1 Position    */
#define UART3_1_TBEDMAEN_TBEDMAEN1_Msk        (0x01UL << UART3_1_TBEDMAEN_TBEDMAEN1_Pos)              /*!< UART3_1 TBEDMAEN: TBEDMAEN1 Mask        */
#define UART3_1_TBEDMAEN_TBEDMAEN2_Pos        2                                                       /*!< UART3_1 TBEDMAEN: TBEDMAEN2 Position    */
#define UART3_1_TBEDMAEN_TBEDMAEN2_Msk        (0x01UL << UART3_1_TBEDMAEN_TBEDMAEN2_Pos)              /*!< UART3_1 TBEDMAEN: TBEDMAEN2 Mask        */
#define UART3_1_TBEDMAEN_TBEDMAEN3_Pos        3                                                       /*!< UART3_1 TBEDMAEN: TBEDMAEN3 Position    */
#define UART3_1_TBEDMAEN_TBEDMAEN3_Msk        (0x01UL << UART3_1_TBEDMAEN_TBEDMAEN3_Pos)              /*!< UART3_1 TBEDMAEN: TBEDMAEN3 Mask        */
#define UART3_1_TBEDMAEN_RESERVED_15_4_Pos    4                                                       /*!< UART3_1 TBEDMAEN: RESERVED_15_4 Position */
#define UART3_1_TBEDMAEN_RESERVED_15_4_Msk    (0x00000fffUL << UART3_1_TBEDMAEN_RESERVED_15_4_Pos)    /*!< UART3_1 TBEDMAEN: RESERVED_15_4 Mask    */

/* ------------------------------  UART3_1_RB1FDMAEN  ----------------------------- */
#define UART3_1_RB1FDMAEN_RB1FDMAEN0_Pos      0                                                       /*!< UART3_1 RB1FDMAEN: RB1FDMAEN0 Position  */
#define UART3_1_RB1FDMAEN_RB1FDMAEN0_Msk      (0x01UL << UART3_1_RB1FDMAEN_RB1FDMAEN0_Pos)            /*!< UART3_1 RB1FDMAEN: RB1FDMAEN0 Mask      */
#define UART3_1_RB1FDMAEN_RB1FDMAEN1_Pos      1                                                       /*!< UART3_1 RB1FDMAEN: RB1FDMAEN1 Position  */
#define UART3_1_RB1FDMAEN_RB1FDMAEN1_Msk      (0x01UL << UART3_1_RB1FDMAEN_RB1FDMAEN1_Pos)            /*!< UART3_1 RB1FDMAEN: RB1FDMAEN1 Mask      */
#define UART3_1_RB1FDMAEN_RB1FDMAEN2_Pos      2                                                       /*!< UART3_1 RB1FDMAEN: RB1FDMAEN2 Position  */
#define UART3_1_RB1FDMAEN_RB1FDMAEN2_Msk      (0x01UL << UART3_1_RB1FDMAEN_RB1FDMAEN2_Pos)            /*!< UART3_1 RB1FDMAEN: RB1FDMAEN2 Mask      */
#define UART3_1_RB1FDMAEN_RB1FDMAEN3_Pos      3                                                       /*!< UART3_1 RB1FDMAEN: RB1FDMAEN3 Position  */
#define UART3_1_RB1FDMAEN_RB1FDMAEN3_Msk      (0x01UL << UART3_1_RB1FDMAEN_RB1FDMAEN3_Pos)            /*!< UART3_1 RB1FDMAEN: RB1FDMAEN3 Mask      */
#define UART3_1_RB1FDMAEN_RESERVED_15_4_Pos   4                                                       /*!< UART3_1 RB1FDMAEN: RESERVED_15_4 Position */
#define UART3_1_RB1FDMAEN_RESERVED_15_4_Msk   (0x00000fffUL << UART3_1_RB1FDMAEN_RESERVED_15_4_Pos)   /*!< UART3_1 RB1FDMAEN: RESERVED_15_4 Mask   */

/* --------------------------------  UART3_1_CAWF  -------------------------------- */
#define UART3_1_CAWF_CRPER_Pos                0                                                       /*!< UART3_1 CAWF: CRPER Position            */
#define UART3_1_CAWF_CRPER_Msk                (0x000000ffUL << UART3_1_CAWF_CRPER_Pos)                /*!< UART3_1 CAWF: CRPER Mask                */
#define UART3_1_CAWF_RESERVED_15_8_Pos        8                                                       /*!< UART3_1 CAWF: RESERVED_15_8 Position    */
#define UART3_1_CAWF_RESERVED_15_8_Msk        (0x000000ffUL << UART3_1_CAWF_RESERVED_15_8_Pos)        /*!< UART3_1 CAWF: RESERVED_15_8 Mask        */


/* ================================================================================ */
/* ================         struct 'UPMUX' Position & Mask         ================ */
/* ================================================================================ */


/* --------------------------------  UPMUX_P0MUX0  -------------------------------- */
#define UPMUX_P0MUX0_P00PERISEL_Pos           0                                                       /*!< UPMUX P0MUX0: P00PERISEL Position       */
#define UPMUX_P0MUX0_P00PERISEL_Msk           (0x07UL << UPMUX_P0MUX0_P00PERISEL_Pos)                 /*!< UPMUX P0MUX0: P00PERISEL Mask           */
#define UPMUX_P0MUX0_P00PERICH_Pos            3                                                       /*!< UPMUX P0MUX0: P00PERICH Position        */
#define UPMUX_P0MUX0_P00PERICH_Msk            (0x03UL << UPMUX_P0MUX0_P00PERICH_Pos)                  /*!< UPMUX P0MUX0: P00PERICH Mask            */
#define UPMUX_P0MUX0_P00PPFNC_Pos             5                                                       /*!< UPMUX P0MUX0: P00PPFNC Position         */
#define UPMUX_P0MUX0_P00PPFNC_Msk             (0x07UL << UPMUX_P0MUX0_P00PPFNC_Pos)                   /*!< UPMUX P0MUX0: P00PPFNC Mask             */
#define UPMUX_P0MUX0_P01PERISEL_Pos           8                                                       /*!< UPMUX P0MUX0: P01PERISEL Position       */
#define UPMUX_P0MUX0_P01PERISEL_Msk           (0x07UL << UPMUX_P0MUX0_P01PERISEL_Pos)                 /*!< UPMUX P0MUX0: P01PERISEL Mask           */
#define UPMUX_P0MUX0_P01PERICH_Pos            11                                                      /*!< UPMUX P0MUX0: P01PERICH Position        */
#define UPMUX_P0MUX0_P01PERICH_Msk            (0x03UL << UPMUX_P0MUX0_P01PERICH_Pos)                  /*!< UPMUX P0MUX0: P01PERICH Mask            */
#define UPMUX_P0MUX0_P01PPFNC_Pos             13                                                      /*!< UPMUX P0MUX0: P01PPFNC Position         */
#define UPMUX_P0MUX0_P01PPFNC_Msk             (0x07UL << UPMUX_P0MUX0_P01PPFNC_Pos)                   /*!< UPMUX P0MUX0: P01PPFNC Mask             */

/* --------------------------------  UPMUX_P0MUX1  -------------------------------- */
#define UPMUX_P0MUX1_P02PERISEL_Pos           0                                                       /*!< UPMUX P0MUX1: P02PERISEL Position       */
#define UPMUX_P0MUX1_P02PERISEL_Msk           (0x07UL << UPMUX_P0MUX1_P02PERISEL_Pos)                 /*!< UPMUX P0MUX1: P02PERISEL Mask           */
#define UPMUX_P0MUX1_P02PERICH_Pos            3                                                       /*!< UPMUX P0MUX1: P02PERICH Position        */
#define UPMUX_P0MUX1_P02PERICH_Msk            (0x03UL << UPMUX_P0MUX1_P02PERICH_Pos)                  /*!< UPMUX P0MUX1: P02PERICH Mask            */
#define UPMUX_P0MUX1_P02PPFNC_Pos             5                                                       /*!< UPMUX P0MUX1: P02PPFNC Position         */
#define UPMUX_P0MUX1_P02PPFNC_Msk             (0x07UL << UPMUX_P0MUX1_P02PPFNC_Pos)                   /*!< UPMUX P0MUX1: P02PPFNC Mask             */
#define UPMUX_P0MUX1_P03PERISEL_Pos           8                                                       /*!< UPMUX P0MUX1: P03PERISEL Position       */
#define UPMUX_P0MUX1_P03PERISEL_Msk           (0x07UL << UPMUX_P0MUX1_P03PERISEL_Pos)                 /*!< UPMUX P0MUX1: P03PERISEL Mask           */
#define UPMUX_P0MUX1_P03PERICH_Pos            11                                                      /*!< UPMUX P0MUX1: P03PERICH Position        */
#define UPMUX_P0MUX1_P03PERICH_Msk            (0x03UL << UPMUX_P0MUX1_P03PERICH_Pos)                  /*!< UPMUX P0MUX1: P03PERICH Mask            */
#define UPMUX_P0MUX1_P03PPFNC_Pos             13                                                      /*!< UPMUX P0MUX1: P03PPFNC Position         */
#define UPMUX_P0MUX1_P03PPFNC_Msk             (0x07UL << UPMUX_P0MUX1_P03PPFNC_Pos)                   /*!< UPMUX P0MUX1: P03PPFNC Mask             */

/* --------------------------------  UPMUX_P0MUX2  -------------------------------- */
#define UPMUX_P0MUX2_P04PERISEL_Pos           0                                                       /*!< UPMUX P0MUX2: P04PERISEL Position       */
#define UPMUX_P0MUX2_P04PERISEL_Msk           (0x07UL << UPMUX_P0MUX2_P04PERISEL_Pos)                 /*!< UPMUX P0MUX2: P04PERISEL Mask           */
#define UPMUX_P0MUX2_P04PERICH_Pos            3                                                       /*!< UPMUX P0MUX2: P04PERICH Position        */
#define UPMUX_P0MUX2_P04PERICH_Msk            (0x03UL << UPMUX_P0MUX2_P04PERICH_Pos)                  /*!< UPMUX P0MUX2: P04PERICH Mask            */
#define UPMUX_P0MUX2_P04PPFNC_Pos             5                                                       /*!< UPMUX P0MUX2: P04PPFNC Position         */
#define UPMUX_P0MUX2_P04PPFNC_Msk             (0x07UL << UPMUX_P0MUX2_P04PPFNC_Pos)                   /*!< UPMUX P0MUX2: P04PPFNC Mask             */
#define UPMUX_P0MUX2_P05PERISEL_Pos           8                                                       /*!< UPMUX P0MUX2: P05PERISEL Position       */
#define UPMUX_P0MUX2_P05PERISEL_Msk           (0x07UL << UPMUX_P0MUX2_P05PERISEL_Pos)                 /*!< UPMUX P0MUX2: P05PERISEL Mask           */
#define UPMUX_P0MUX2_P05PERICH_Pos            11                                                      /*!< UPMUX P0MUX2: P05PERICH Position        */
#define UPMUX_P0MUX2_P05PERICH_Msk            (0x03UL << UPMUX_P0MUX2_P05PERICH_Pos)                  /*!< UPMUX P0MUX2: P05PERICH Mask            */
#define UPMUX_P0MUX2_P05PPFNC_Pos             13                                                      /*!< UPMUX P0MUX2: P05PPFNC Position         */
#define UPMUX_P0MUX2_P05PPFNC_Msk             (0x07UL << UPMUX_P0MUX2_P05PPFNC_Pos)                   /*!< UPMUX P0MUX2: P05PPFNC Mask             */

/* --------------------------------  UPMUX_P0MUX3  -------------------------------- */
#define UPMUX_P0MUX3_P06PERISEL_Pos           0                                                       /*!< UPMUX P0MUX3: P06PERISEL Position       */
#define UPMUX_P0MUX3_P06PERISEL_Msk           (0x07UL << UPMUX_P0MUX3_P06PERISEL_Pos)                 /*!< UPMUX P0MUX3: P06PERISEL Mask           */
#define UPMUX_P0MUX3_P06PERICH_Pos            3                                                       /*!< UPMUX P0MUX3: P06PERICH Position        */
#define UPMUX_P0MUX3_P06PERICH_Msk            (0x03UL << UPMUX_P0MUX3_P06PERICH_Pos)                  /*!< UPMUX P0MUX3: P06PERICH Mask            */
#define UPMUX_P0MUX3_P06PPFNC_Pos             5                                                       /*!< UPMUX P0MUX3: P06PPFNC Position         */
#define UPMUX_P0MUX3_P06PPFNC_Msk             (0x07UL << UPMUX_P0MUX3_P06PPFNC_Pos)                   /*!< UPMUX P0MUX3: P06PPFNC Mask             */
#define UPMUX_P0MUX3_P07PERISEL_Pos           8                                                       /*!< UPMUX P0MUX3: P07PERISEL Position       */
#define UPMUX_P0MUX3_P07PERISEL_Msk           (0x07UL << UPMUX_P0MUX3_P07PERISEL_Pos)                 /*!< UPMUX P0MUX3: P07PERISEL Mask           */
#define UPMUX_P0MUX3_P07PERICH_Pos            11                                                      /*!< UPMUX P0MUX3: P07PERICH Position        */
#define UPMUX_P0MUX3_P07PERICH_Msk            (0x03UL << UPMUX_P0MUX3_P07PERICH_Pos)                  /*!< UPMUX P0MUX3: P07PERICH Mask            */
#define UPMUX_P0MUX3_P07PPFNC_Pos             13                                                      /*!< UPMUX P0MUX3: P07PPFNC Position         */
#define UPMUX_P0MUX3_P07PPFNC_Msk             (0x07UL << UPMUX_P0MUX3_P07PPFNC_Pos)                   /*!< UPMUX P0MUX3: P07PPFNC Mask             */

/* --------------------------------  UPMUX_P1MUX0  -------------------------------- */
#define UPMUX_P1MUX0_P10PERISEL_Pos           0                                                       /*!< UPMUX P1MUX0: P10PERISEL Position       */
#define UPMUX_P1MUX0_P10PERISEL_Msk           (0x07UL << UPMUX_P1MUX0_P10PERISEL_Pos)                 /*!< UPMUX P1MUX0: P10PERISEL Mask           */
#define UPMUX_P1MUX0_P10PERICH_Pos            3                                                       /*!< UPMUX P1MUX0: P10PERICH Position        */
#define UPMUX_P1MUX0_P10PERICH_Msk            (0x03UL << UPMUX_P1MUX0_P10PERICH_Pos)                  /*!< UPMUX P1MUX0: P10PERICH Mask            */
#define UPMUX_P1MUX0_P10PPFNC_Pos             5                                                       /*!< UPMUX P1MUX0: P10PPFNC Position         */
#define UPMUX_P1MUX0_P10PPFNC_Msk             (0x07UL << UPMUX_P1MUX0_P10PPFNC_Pos)                   /*!< UPMUX P1MUX0: P10PPFNC Mask             */
#define UPMUX_P1MUX0_P11PERISEL_Pos           8                                                       /*!< UPMUX P1MUX0: P11PERISEL Position       */
#define UPMUX_P1MUX0_P11PERISEL_Msk           (0x07UL << UPMUX_P1MUX0_P11PERISEL_Pos)                 /*!< UPMUX P1MUX0: P11PERISEL Mask           */
#define UPMUX_P1MUX0_P11PERICH_Pos            11                                                      /*!< UPMUX P1MUX0: P11PERICH Position        */
#define UPMUX_P1MUX0_P11PERICH_Msk            (0x03UL << UPMUX_P1MUX0_P11PERICH_Pos)                  /*!< UPMUX P1MUX0: P11PERICH Mask            */
#define UPMUX_P1MUX0_P11PPFNC_Pos             13                                                      /*!< UPMUX P1MUX0: P11PPFNC Position         */
#define UPMUX_P1MUX0_P11PPFNC_Msk             (0x07UL << UPMUX_P1MUX0_P11PPFNC_Pos)                   /*!< UPMUX P1MUX0: P11PPFNC Mask             */

/* --------------------------------  UPMUX_P1MUX1  -------------------------------- */
#define UPMUX_P1MUX1_P12PERISEL_Pos           0                                                       /*!< UPMUX P1MUX1: P12PERISEL Position       */
#define UPMUX_P1MUX1_P12PERISEL_Msk           (0x07UL << UPMUX_P1MUX1_P12PERISEL_Pos)                 /*!< UPMUX P1MUX1: P12PERISEL Mask           */
#define UPMUX_P1MUX1_P12PERICH_Pos            3                                                       /*!< UPMUX P1MUX1: P12PERICH Position        */
#define UPMUX_P1MUX1_P12PERICH_Msk            (0x03UL << UPMUX_P1MUX1_P12PERICH_Pos)                  /*!< UPMUX P1MUX1: P12PERICH Mask            */
#define UPMUX_P1MUX1_P12PPFNC_Pos             5                                                       /*!< UPMUX P1MUX1: P12PPFNC Position         */
#define UPMUX_P1MUX1_P12PPFNC_Msk             (0x07UL << UPMUX_P1MUX1_P12PPFNC_Pos)                   /*!< UPMUX P1MUX1: P12PPFNC Mask             */
#define UPMUX_P1MUX1_P13PERISEL_Pos           8                                                       /*!< UPMUX P1MUX1: P13PERISEL Position       */
#define UPMUX_P1MUX1_P13PERISEL_Msk           (0x07UL << UPMUX_P1MUX1_P13PERISEL_Pos)                 /*!< UPMUX P1MUX1: P13PERISEL Mask           */
#define UPMUX_P1MUX1_P13PERICH_Pos            11                                                      /*!< UPMUX P1MUX1: P13PERICH Position        */
#define UPMUX_P1MUX1_P13PERICH_Msk            (0x03UL << UPMUX_P1MUX1_P13PERICH_Pos)                  /*!< UPMUX P1MUX1: P13PERICH Mask            */
#define UPMUX_P1MUX1_P13PPFNC_Pos             13                                                      /*!< UPMUX P1MUX1: P13PPFNC Position         */
#define UPMUX_P1MUX1_P13PPFNC_Msk             (0x07UL << UPMUX_P1MUX1_P13PPFNC_Pos)                   /*!< UPMUX P1MUX1: P13PPFNC Mask             */

/* --------------------------------  UPMUX_P1MUX2  -------------------------------- */
#define UPMUX_P1MUX2_P14PERISEL_Pos           0                                                       /*!< UPMUX P1MUX2: P14PERISEL Position       */
#define UPMUX_P1MUX2_P14PERISEL_Msk           (0x07UL << UPMUX_P1MUX2_P14PERISEL_Pos)                 /*!< UPMUX P1MUX2: P14PERISEL Mask           */
#define UPMUX_P1MUX2_P14PERICH_Pos            3                                                       /*!< UPMUX P1MUX2: P14PERICH Position        */
#define UPMUX_P1MUX2_P14PERICH_Msk            (0x03UL << UPMUX_P1MUX2_P14PERICH_Pos)                  /*!< UPMUX P1MUX2: P14PERICH Mask            */
#define UPMUX_P1MUX2_P14PPFNC_Pos             5                                                       /*!< UPMUX P1MUX2: P14PPFNC Position         */
#define UPMUX_P1MUX2_P14PPFNC_Msk             (0x07UL << UPMUX_P1MUX2_P14PPFNC_Pos)                   /*!< UPMUX P1MUX2: P14PPFNC Mask             */
#define UPMUX_P1MUX2_P15PERISEL_Pos           8                                                       /*!< UPMUX P1MUX2: P15PERISEL Position       */
#define UPMUX_P1MUX2_P15PERISEL_Msk           (0x07UL << UPMUX_P1MUX2_P15PERISEL_Pos)                 /*!< UPMUX P1MUX2: P15PERISEL Mask           */
#define UPMUX_P1MUX2_P15PERICH_Pos            11                                                      /*!< UPMUX P1MUX2: P15PERICH Position        */
#define UPMUX_P1MUX2_P15PERICH_Msk            (0x03UL << UPMUX_P1MUX2_P15PERICH_Pos)                  /*!< UPMUX P1MUX2: P15PERICH Mask            */
#define UPMUX_P1MUX2_P15PPFNC_Pos             13                                                      /*!< UPMUX P1MUX2: P15PPFNC Position         */
#define UPMUX_P1MUX2_P15PPFNC_Msk             (0x07UL << UPMUX_P1MUX2_P15PPFNC_Pos)                   /*!< UPMUX P1MUX2: P15PPFNC Mask             */

/* --------------------------------  UPMUX_P1MUX3  -------------------------------- */
#define UPMUX_P1MUX3_P16PERISEL_Pos           0                                                       /*!< UPMUX P1MUX3: P16PERISEL Position       */
#define UPMUX_P1MUX3_P16PERISEL_Msk           (0x07UL << UPMUX_P1MUX3_P16PERISEL_Pos)                 /*!< UPMUX P1MUX3: P16PERISEL Mask           */
#define UPMUX_P1MUX3_P16PERICH_Pos            3                                                       /*!< UPMUX P1MUX3: P16PERICH Position        */
#define UPMUX_P1MUX3_P16PERICH_Msk            (0x03UL << UPMUX_P1MUX3_P16PERICH_Pos)                  /*!< UPMUX P1MUX3: P16PERICH Mask            */
#define UPMUX_P1MUX3_P16PPFNC_Pos             5                                                       /*!< UPMUX P1MUX3: P16PPFNC Position         */
#define UPMUX_P1MUX3_P16PPFNC_Msk             (0x07UL << UPMUX_P1MUX3_P16PPFNC_Pos)                   /*!< UPMUX P1MUX3: P16PPFNC Mask             */
#define UPMUX_P1MUX3_P17PERISEL_Pos           8                                                       /*!< UPMUX P1MUX3: P17PERISEL Position       */
#define UPMUX_P1MUX3_P17PERISEL_Msk           (0x07UL << UPMUX_P1MUX3_P17PERISEL_Pos)                 /*!< UPMUX P1MUX3: P17PERISEL Mask           */
#define UPMUX_P1MUX3_P17PERICH_Pos            11                                                      /*!< UPMUX P1MUX3: P17PERICH Position        */
#define UPMUX_P1MUX3_P17PERICH_Msk            (0x03UL << UPMUX_P1MUX3_P17PERICH_Pos)                  /*!< UPMUX P1MUX3: P17PERICH Mask            */
#define UPMUX_P1MUX3_P17PPFNC_Pos             13                                                      /*!< UPMUX P1MUX3: P17PPFNC Position         */
#define UPMUX_P1MUX3_P17PPFNC_Msk             (0x07UL << UPMUX_P1MUX3_P17PPFNC_Pos)                   /*!< UPMUX P1MUX3: P17PPFNC Mask             */

/* --------------------------------  UPMUX_P2MUX0  -------------------------------- */
#define UPMUX_P2MUX0_P20PERISEL_Pos           0                                                       /*!< UPMUX P2MUX0: P20PERISEL Position       */
#define UPMUX_P2MUX0_P20PERISEL_Msk           (0x07UL << UPMUX_P2MUX0_P20PERISEL_Pos)                 /*!< UPMUX P2MUX0: P20PERISEL Mask           */
#define UPMUX_P2MUX0_P20PERICH_Pos            3                                                       /*!< UPMUX P2MUX0: P20PERICH Position        */
#define UPMUX_P2MUX0_P20PERICH_Msk            (0x03UL << UPMUX_P2MUX0_P20PERICH_Pos)                  /*!< UPMUX P2MUX0: P20PERICH Mask            */
#define UPMUX_P2MUX0_P20PPFNC_Pos             5                                                       /*!< UPMUX P2MUX0: P20PPFNC Position         */
#define UPMUX_P2MUX0_P20PPFNC_Msk             (0x07UL << UPMUX_P2MUX0_P20PPFNC_Pos)                   /*!< UPMUX P2MUX0: P20PPFNC Mask             */
#define UPMUX_P2MUX0_P21PERISEL_Pos           8                                                       /*!< UPMUX P2MUX0: P21PERISEL Position       */
#define UPMUX_P2MUX0_P21PERISEL_Msk           (0x07UL << UPMUX_P2MUX0_P21PERISEL_Pos)                 /*!< UPMUX P2MUX0: P21PERISEL Mask           */
#define UPMUX_P2MUX0_P21PERICH_Pos            11                                                      /*!< UPMUX P2MUX0: P21PERICH Position        */
#define UPMUX_P2MUX0_P21PERICH_Msk            (0x03UL << UPMUX_P2MUX0_P21PERICH_Pos)                  /*!< UPMUX P2MUX0: P21PERICH Mask            */
#define UPMUX_P2MUX0_P21PPFNC_Pos             13                                                      /*!< UPMUX P2MUX0: P21PPFNC Position         */
#define UPMUX_P2MUX0_P21PPFNC_Msk             (0x07UL << UPMUX_P2MUX0_P21PPFNC_Pos)                   /*!< UPMUX P2MUX0: P21PPFNC Mask             */

/* --------------------------------  UPMUX_P2MUX1  -------------------------------- */
#define UPMUX_P2MUX1_P22PERISEL_Pos           0                                                       /*!< UPMUX P2MUX1: P22PERISEL Position       */
#define UPMUX_P2MUX1_P22PERISEL_Msk           (0x07UL << UPMUX_P2MUX1_P22PERISEL_Pos)                 /*!< UPMUX P2MUX1: P22PERISEL Mask           */
#define UPMUX_P2MUX1_P22PERICH_Pos            3                                                       /*!< UPMUX P2MUX1: P22PERICH Position        */
#define UPMUX_P2MUX1_P22PERICH_Msk            (0x03UL << UPMUX_P2MUX1_P22PERICH_Pos)                  /*!< UPMUX P2MUX1: P22PERICH Mask            */
#define UPMUX_P2MUX1_P22PPFNC_Pos             5                                                       /*!< UPMUX P2MUX1: P22PPFNC Position         */
#define UPMUX_P2MUX1_P22PPFNC_Msk             (0x07UL << UPMUX_P2MUX1_P22PPFNC_Pos)                   /*!< UPMUX P2MUX1: P22PPFNC Mask             */
#define UPMUX_P2MUX1_P23PERISEL_Pos           8                                                       /*!< UPMUX P2MUX1: P23PERISEL Position       */
#define UPMUX_P2MUX1_P23PERISEL_Msk           (0x07UL << UPMUX_P2MUX1_P23PERISEL_Pos)                 /*!< UPMUX P2MUX1: P23PERISEL Mask           */
#define UPMUX_P2MUX1_P23PERICH_Pos            11                                                      /*!< UPMUX P2MUX1: P23PERICH Position        */
#define UPMUX_P2MUX1_P23PERICH_Msk            (0x03UL << UPMUX_P2MUX1_P23PERICH_Pos)                  /*!< UPMUX P2MUX1: P23PERICH Mask            */
#define UPMUX_P2MUX1_P23PPFNC_Pos             13                                                      /*!< UPMUX P2MUX1: P23PPFNC Position         */
#define UPMUX_P2MUX1_P23PPFNC_Msk             (0x07UL << UPMUX_P2MUX1_P23PPFNC_Pos)                   /*!< UPMUX P2MUX1: P23PPFNC Mask             */

/* --------------------------------  UPMUX_P2MUX2  -------------------------------- */
#define UPMUX_P2MUX2_P24PERISEL_Pos           0                                                       /*!< UPMUX P2MUX2: P24PERISEL Position       */
#define UPMUX_P2MUX2_P24PERISEL_Msk           (0x07UL << UPMUX_P2MUX2_P24PERISEL_Pos)                 /*!< UPMUX P2MUX2: P24PERISEL Mask           */
#define UPMUX_P2MUX2_P24PERICH_Pos            3                                                       /*!< UPMUX P2MUX2: P24PERICH Position        */
#define UPMUX_P2MUX2_P24PERICH_Msk            (0x03UL << UPMUX_P2MUX2_P24PERICH_Pos)                  /*!< UPMUX P2MUX2: P24PERICH Mask            */
#define UPMUX_P2MUX2_P24PPFNC_Pos             5                                                       /*!< UPMUX P2MUX2: P24PPFNC Position         */
#define UPMUX_P2MUX2_P24PPFNC_Msk             (0x07UL << UPMUX_P2MUX2_P24PPFNC_Pos)                   /*!< UPMUX P2MUX2: P24PPFNC Mask             */
#define UPMUX_P2MUX2_P25PERISEL_Pos           8                                                       /*!< UPMUX P2MUX2: P25PERISEL Position       */
#define UPMUX_P2MUX2_P25PERISEL_Msk           (0x07UL << UPMUX_P2MUX2_P25PERISEL_Pos)                 /*!< UPMUX P2MUX2: P25PERISEL Mask           */
#define UPMUX_P2MUX2_P25PERICH_Pos            11                                                      /*!< UPMUX P2MUX2: P25PERICH Position        */
#define UPMUX_P2MUX2_P25PERICH_Msk            (0x03UL << UPMUX_P2MUX2_P25PERICH_Pos)                  /*!< UPMUX P2MUX2: P25PERICH Mask            */
#define UPMUX_P2MUX2_P25PPFNC_Pos             13                                                      /*!< UPMUX P2MUX2: P25PPFNC Position         */
#define UPMUX_P2MUX2_P25PPFNC_Msk             (0x07UL << UPMUX_P2MUX2_P25PPFNC_Pos)                   /*!< UPMUX P2MUX2: P25PPFNC Mask             */

/* --------------------------------  UPMUX_P2MUX3  -------------------------------- */
#define UPMUX_P2MUX3_P26PERISEL_Pos           0                                                       /*!< UPMUX P2MUX3: P26PERISEL Position       */
#define UPMUX_P2MUX3_P26PERISEL_Msk           (0x07UL << UPMUX_P2MUX3_P26PERISEL_Pos)                 /*!< UPMUX P2MUX3: P26PERISEL Mask           */
#define UPMUX_P2MUX3_P26PERICH_Pos            3                                                       /*!< UPMUX P2MUX3: P26PERICH Position        */
#define UPMUX_P2MUX3_P26PERICH_Msk            (0x03UL << UPMUX_P2MUX3_P26PERICH_Pos)                  /*!< UPMUX P2MUX3: P26PERICH Mask            */
#define UPMUX_P2MUX3_P26PPFNC_Pos             5                                                       /*!< UPMUX P2MUX3: P26PPFNC Position         */
#define UPMUX_P2MUX3_P26PPFNC_Msk             (0x07UL << UPMUX_P2MUX3_P26PPFNC_Pos)                   /*!< UPMUX P2MUX3: P26PPFNC Mask             */
#define UPMUX_P2MUX3_P27PERISEL_Pos           8                                                       /*!< UPMUX P2MUX3: P27PERISEL Position       */
#define UPMUX_P2MUX3_P27PERISEL_Msk           (0x07UL << UPMUX_P2MUX3_P27PERISEL_Pos)                 /*!< UPMUX P2MUX3: P27PERISEL Mask           */
#define UPMUX_P2MUX3_P27PERICH_Pos            11                                                      /*!< UPMUX P2MUX3: P27PERICH Position        */
#define UPMUX_P2MUX3_P27PERICH_Msk            (0x03UL << UPMUX_P2MUX3_P27PERICH_Pos)                  /*!< UPMUX P2MUX3: P27PERICH Mask            */
#define UPMUX_P2MUX3_P27PPFNC_Pos             13                                                      /*!< UPMUX P2MUX3: P27PPFNC Position         */
#define UPMUX_P2MUX3_P27PPFNC_Msk             (0x07UL << UPMUX_P2MUX3_P27PPFNC_Pos)                   /*!< UPMUX P2MUX3: P27PPFNC Mask             */

/* --------------------------------  UPMUX_P3MUX0  -------------------------------- */
#define UPMUX_P3MUX0_P30PERISEL_Pos           0                                                       /*!< UPMUX P3MUX0: P30PERISEL Position       */
#define UPMUX_P3MUX0_P30PERISEL_Msk           (0x07UL << UPMUX_P3MUX0_P30PERISEL_Pos)                 /*!< UPMUX P3MUX0: P30PERISEL Mask           */
#define UPMUX_P3MUX0_P30PERICH_Pos            3                                                       /*!< UPMUX P3MUX0: P30PERICH Position        */
#define UPMUX_P3MUX0_P30PERICH_Msk            (0x03UL << UPMUX_P3MUX0_P30PERICH_Pos)                  /*!< UPMUX P3MUX0: P30PERICH Mask            */
#define UPMUX_P3MUX0_P30PPFNC_Pos             5                                                       /*!< UPMUX P3MUX0: P30PPFNC Position         */
#define UPMUX_P3MUX0_P30PPFNC_Msk             (0x07UL << UPMUX_P3MUX0_P30PPFNC_Pos)                   /*!< UPMUX P3MUX0: P30PPFNC Mask             */
#define UPMUX_P3MUX0_P31PERISEL_Pos           8                                                       /*!< UPMUX P3MUX0: P31PERISEL Position       */
#define UPMUX_P3MUX0_P31PERISEL_Msk           (0x07UL << UPMUX_P3MUX0_P31PERISEL_Pos)                 /*!< UPMUX P3MUX0: P31PERISEL Mask           */
#define UPMUX_P3MUX0_P31PERICH_Pos            11                                                      /*!< UPMUX P3MUX0: P31PERICH Position        */
#define UPMUX_P3MUX0_P31PERICH_Msk            (0x03UL << UPMUX_P3MUX0_P31PERICH_Pos)                  /*!< UPMUX P3MUX0: P31PERICH Mask            */
#define UPMUX_P3MUX0_P31PPFNC_Pos             13                                                      /*!< UPMUX P3MUX0: P31PPFNC Position         */
#define UPMUX_P3MUX0_P31PPFNC_Msk             (0x07UL << UPMUX_P3MUX0_P31PPFNC_Pos)                   /*!< UPMUX P3MUX0: P31PPFNC Mask             */

/* --------------------------------  UPMUX_P3MUX1  -------------------------------- */
#define UPMUX_P3MUX1_P32PERISEL_Pos           0                                                       /*!< UPMUX P3MUX1: P32PERISEL Position       */
#define UPMUX_P3MUX1_P32PERISEL_Msk           (0x07UL << UPMUX_P3MUX1_P32PERISEL_Pos)                 /*!< UPMUX P3MUX1: P32PERISEL Mask           */
#define UPMUX_P3MUX1_P32PERICH_Pos            3                                                       /*!< UPMUX P3MUX1: P32PERICH Position        */
#define UPMUX_P3MUX1_P32PERICH_Msk            (0x03UL << UPMUX_P3MUX1_P32PERICH_Pos)                  /*!< UPMUX P3MUX1: P32PERICH Mask            */
#define UPMUX_P3MUX1_P32PPFNC_Pos             5                                                       /*!< UPMUX P3MUX1: P32PPFNC Position         */
#define UPMUX_P3MUX1_P32PPFNC_Msk             (0x07UL << UPMUX_P3MUX1_P32PPFNC_Pos)                   /*!< UPMUX P3MUX1: P32PPFNC Mask             */
#define UPMUX_P3MUX1_P33PERISEL_Pos           8                                                       /*!< UPMUX P3MUX1: P33PERISEL Position       */
#define UPMUX_P3MUX1_P33PERISEL_Msk           (0x07UL << UPMUX_P3MUX1_P33PERISEL_Pos)                 /*!< UPMUX P3MUX1: P33PERISEL Mask           */
#define UPMUX_P3MUX1_P33PERICH_Pos            11                                                      /*!< UPMUX P3MUX1: P33PERICH Position        */
#define UPMUX_P3MUX1_P33PERICH_Msk            (0x03UL << UPMUX_P3MUX1_P33PERICH_Pos)                  /*!< UPMUX P3MUX1: P33PERICH Mask            */
#define UPMUX_P3MUX1_P33PPFNC_Pos             13                                                      /*!< UPMUX P3MUX1: P33PPFNC Position         */
#define UPMUX_P3MUX1_P33PPFNC_Msk             (0x07UL << UPMUX_P3MUX1_P33PPFNC_Pos)                   /*!< UPMUX P3MUX1: P33PPFNC Mask             */

/* --------------------------------  UPMUX_P3MUX2  -------------------------------- */
#define UPMUX_P3MUX2_P34PERISEL_Pos           0                                                       /*!< UPMUX P3MUX2: P34PERISEL Position       */
#define UPMUX_P3MUX2_P34PERISEL_Msk           (0x07UL << UPMUX_P3MUX2_P34PERISEL_Pos)                 /*!< UPMUX P3MUX2: P34PERISEL Mask           */
#define UPMUX_P3MUX2_P34PERICH_Pos            3                                                       /*!< UPMUX P3MUX2: P34PERICH Position        */
#define UPMUX_P3MUX2_P34PERICH_Msk            (0x03UL << UPMUX_P3MUX2_P34PERICH_Pos)                  /*!< UPMUX P3MUX2: P34PERICH Mask            */
#define UPMUX_P3MUX2_P34PPFNC_Pos             5                                                       /*!< UPMUX P3MUX2: P34PPFNC Position         */
#define UPMUX_P3MUX2_P34PPFNC_Msk             (0x07UL << UPMUX_P3MUX2_P34PPFNC_Pos)                   /*!< UPMUX P3MUX2: P34PPFNC Mask             */
#define UPMUX_P3MUX2_P35PERISEL_Pos           8                                                       /*!< UPMUX P3MUX2: P35PERISEL Position       */
#define UPMUX_P3MUX2_P35PERISEL_Msk           (0x07UL << UPMUX_P3MUX2_P35PERISEL_Pos)                 /*!< UPMUX P3MUX2: P35PERISEL Mask           */
#define UPMUX_P3MUX2_P35PERICH_Pos            11                                                      /*!< UPMUX P3MUX2: P35PERICH Position        */
#define UPMUX_P3MUX2_P35PERICH_Msk            (0x03UL << UPMUX_P3MUX2_P35PERICH_Pos)                  /*!< UPMUX P3MUX2: P35PERICH Mask            */
#define UPMUX_P3MUX2_P35PPFNC_Pos             13                                                      /*!< UPMUX P3MUX2: P35PPFNC Position         */
#define UPMUX_P3MUX2_P35PPFNC_Msk             (0x07UL << UPMUX_P3MUX2_P35PPFNC_Pos)                   /*!< UPMUX P3MUX2: P35PPFNC Mask             */

/* --------------------------------  UPMUX_P3MUX3  -------------------------------- */
#define UPMUX_P3MUX3_P36PERISEL_Pos           0                                                       /*!< UPMUX P3MUX3: P36PERISEL Position       */
#define UPMUX_P3MUX3_P36PERISEL_Msk           (0x07UL << UPMUX_P3MUX3_P36PERISEL_Pos)                 /*!< UPMUX P3MUX3: P36PERISEL Mask           */
#define UPMUX_P3MUX3_P36PERICH_Pos            3                                                       /*!< UPMUX P3MUX3: P36PERICH Position        */
#define UPMUX_P3MUX3_P36PERICH_Msk            (0x03UL << UPMUX_P3MUX3_P36PERICH_Pos)                  /*!< UPMUX P3MUX3: P36PERICH Mask            */
#define UPMUX_P3MUX3_P36PPFNC_Pos             5                                                       /*!< UPMUX P3MUX3: P36PPFNC Position         */
#define UPMUX_P3MUX3_P36PPFNC_Msk             (0x07UL << UPMUX_P3MUX3_P36PPFNC_Pos)                   /*!< UPMUX P3MUX3: P36PPFNC Mask             */
#define UPMUX_P3MUX3_P37PERISEL_Pos           8                                                       /*!< UPMUX P3MUX3: P37PERISEL Position       */
#define UPMUX_P3MUX3_P37PERISEL_Msk           (0x07UL << UPMUX_P3MUX3_P37PERISEL_Pos)                 /*!< UPMUX P3MUX3: P37PERISEL Mask           */
#define UPMUX_P3MUX3_P37PERICH_Pos            11                                                      /*!< UPMUX P3MUX3: P37PERICH Position        */
#define UPMUX_P3MUX3_P37PERICH_Msk            (0x03UL << UPMUX_P3MUX3_P37PERICH_Pos)                  /*!< UPMUX P3MUX3: P37PERICH Mask            */
#define UPMUX_P3MUX3_P37PPFNC_Pos             13                                                      /*!< UPMUX P3MUX3: P37PPFNC Position         */
#define UPMUX_P3MUX3_P37PPFNC_Msk             (0x07UL << UPMUX_P3MUX3_P37PPFNC_Pos)                   /*!< UPMUX P3MUX3: P37PPFNC Mask             */


/* ================================================================================ */
/* ================          struct 'USB' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  USB_CTL  ---------------------------------- */
#define USB_CTL_USBEN_Pos                     0                                                       /*!< USB CTL: USBEN Position                 */
#define USB_CTL_USBEN_Msk                     (0x01UL << USB_CTL_USBEN_Pos)                           /*!< USB CTL: USBEN Mask                     */
#define USB_CTL_RESERVED_2_1_Pos              1                                                       /*!< USB CTL: RESERVED_2_1 Position          */
#define USB_CTL_RESERVED_2_1_Msk              (0x03UL << USB_CTL_RESERVED_2_1_Pos)                    /*!< USB CTL: RESERVED_2_1 Mask              */
#define USB_CTL_WAKEUP_Pos                    3                                                       /*!< USB CTL: WAKEUP Position                */
#define USB_CTL_WAKEUP_Msk                    (0x01UL << USB_CTL_WAKEUP_Pos)                          /*!< USB CTL: WAKEUP Mask                    */
#define USB_CTL_JDETEN_Pos                    4                                                       /*!< USB CTL: JDETEN Position                */
#define USB_CTL_JDETEN_Msk                    (0x01UL << USB_CTL_JDETEN_Pos)                          /*!< USB CTL: JDETEN Mask                    */
#define USB_CTL_NONJDETEN_Pos                 5                                                       /*!< USB CTL: NONJDETEN Position             */
#define USB_CTL_NONJDETEN_Msk                 (0x01UL << USB_CTL_NONJDETEN_Pos)                       /*!< USB CTL: NONJDETEN Mask                 */
#define USB_CTL_AUTONEGOEN_Pos                6                                                       /*!< USB CTL: AUTONEGOEN Position            */
#define USB_CTL_AUTONEGOEN_Msk                (0x01UL << USB_CTL_AUTONEGOEN_Pos)                      /*!< USB CTL: AUTONEGOEN Mask                */
#define USB_CTL_BUSDETDIS_Pos                 7                                                       /*!< USB CTL: BUSDETDIS Position             */
#define USB_CTL_BUSDETDIS_Msk                 (0x01UL << USB_CTL_BUSDETDIS_Pos)                       /*!< USB CTL: BUSDETDIS Mask                 */

/* ----------------------------------  USB_TRCTL  --------------------------------- */
#define USB_TRCTL_OPMOD_Pos                   0                                                       /*!< USB TRCTL: OPMOD Position               */
#define USB_TRCTL_OPMOD_Msk                   (0x03UL << USB_TRCTL_OPMOD_Pos)                         /*!< USB TRCTL: OPMOD Mask                   */
#define USB_TRCTL_RESERVED_6_2_Pos            2                                                       /*!< USB TRCTL: RESERVED_6_2 Position        */
#define USB_TRCTL_RESERVED_6_2_Msk            (0x1fUL << USB_TRCTL_RESERVED_6_2_Pos)                  /*!< USB TRCTL: RESERVED_6_2 Mask            */
#define USB_TRCTL_DPPUEN_Pos                  7                                                       /*!< USB TRCTL: DPPUEN Position              */
#define USB_TRCTL_DPPUEN_Msk                  (0x01UL << USB_TRCTL_DPPUEN_Pos)                        /*!< USB TRCTL: DPPUEN Mask                  */

/* ----------------------------------  USB_STAT  ---------------------------------- */
#define USB_STAT_LINESTAT_Pos                 0                                                       /*!< USB STAT: LINESTAT Position             */
#define USB_STAT_LINESTAT_Msk                 (0x03UL << USB_STAT_LINESTAT_Pos)                       /*!< USB STAT: LINESTAT Mask                 */
#define USB_STAT_RESERVED_5_2_Pos             2                                                       /*!< USB STAT: RESERVED_5_2 Position         */
#define USB_STAT_RESERVED_5_2_Msk             (0x0fUL << USB_STAT_RESERVED_5_2_Pos)                   /*!< USB STAT: RESERVED_5_2 Mask             */
#define USB_STAT_FSMOD_Pos                    6                                                       /*!< USB STAT: FSMOD Position                */
#define USB_STAT_FSMOD_Msk                    (0x01UL << USB_STAT_FSMOD_Pos)                          /*!< USB STAT: FSMOD Mask                    */
#define USB_STAT_VBUSSTAT_Pos                 7                                                       /*!< USB STAT: VBUSSTAT Position             */
#define USB_STAT_VBUSSTAT_Msk                 (0x01UL << USB_STAT_VBUSSTAT_Pos)                       /*!< USB STAT: VBUSSTAT Mask                 */

/* ----------------------------------  USB_EPCTL  --------------------------------- */
#define USB_EPCTL_EP0FIFOCLR_Pos              0                                                       /*!< USB EPCTL: EP0FIFOCLR Position          */
#define USB_EPCTL_EP0FIFOCLR_Msk              (0x01UL << USB_EPCTL_EP0FIFOCLR_Pos)                    /*!< USB EPCTL: EP0FIFOCLR Mask              */
#define USB_EPCTL_RESERVED_4_1_Pos            1                                                       /*!< USB EPCTL: RESERVED_4_1 Position        */
#define USB_EPCTL_RESERVED_4_1_Msk            (0x0fUL << USB_EPCTL_RESERVED_4_1_Pos)                  /*!< USB EPCTL: RESERVED_4_1 Mask            */
#define USB_EPCTL_EPNFIFOCLR_Pos              5                                                       /*!< USB EPCTL: EPNFIFOCLR Position          */
#define USB_EPCTL_EPNFIFOCLR_Msk              (0x01UL << USB_EPCTL_EPNFIFOCLR_Pos)                    /*!< USB EPCTL: EPNFIFOCLR Mask              */
#define USB_EPCTL_EPMFSTALLSET_Pos            6                                                       /*!< USB EPCTL: EPMFSTALLSET Position        */
#define USB_EPCTL_EPMFSTALLSET_Msk            (0x01UL << USB_EPCTL_EPMFSTALLSET_Pos)                  /*!< USB EPCTL: EPMFSTALLSET Mask            */
#define USB_EPCTL_EPNFNAKSET_Pos              7                                                       /*!< USB EPCTL: EPNFNAKSET Position          */
#define USB_EPCTL_EPNFNAKSET_Msk              (0x01UL << USB_EPCTL_EPNFNAKSET_Pos)                    /*!< USB EPCTL: EPNFNAKSET Mask              */

/* -------------------------------  USB_GPEPFIFOCLR  ------------------------------ */
#define USB_GPEPFIFOCLR_EPAFIFOCLR_Pos        0                                                       /*!< USB GPEPFIFOCLR: EPAFIFOCLR Position    */
#define USB_GPEPFIFOCLR_EPAFIFOCLR_Msk        (0x01UL << USB_GPEPFIFOCLR_EPAFIFOCLR_Pos)              /*!< USB GPEPFIFOCLR: EPAFIFOCLR Mask        */
#define USB_GPEPFIFOCLR_EPBFIFOCLR_Pos        1                                                       /*!< USB GPEPFIFOCLR: EPBFIFOCLR Position    */
#define USB_GPEPFIFOCLR_EPBFIFOCLR_Msk        (0x01UL << USB_GPEPFIFOCLR_EPBFIFOCLR_Pos)              /*!< USB GPEPFIFOCLR: EPBFIFOCLR Mask        */
#define USB_GPEPFIFOCLR_EPCFIFOCLR_Pos        2                                                       /*!< USB GPEPFIFOCLR: EPCFIFOCLR Position    */
#define USB_GPEPFIFOCLR_EPCFIFOCLR_Msk        (0x01UL << USB_GPEPFIFOCLR_EPCFIFOCLR_Pos)              /*!< USB GPEPFIFOCLR: EPCFIFOCLR Mask        */
#define USB_GPEPFIFOCLR_RESERVED_7_3_Pos      3                                                       /*!< USB GPEPFIFOCLR: RESERVED_7_3 Position  */
#define USB_GPEPFIFOCLR_RESERVED_7_3_Msk      (0x1fUL << USB_GPEPFIFOCLR_RESERVED_7_3_Pos)            /*!< USB GPEPFIFOCLR: RESERVED_7_3 Mask      */

/* --------------------------------  USB_FIFORDCYC  ------------------------------- */
#define USB_FIFORDCYC_RDCYC_Pos               0                                                       /*!< USB FIFORDCYC: RDCYC Position           */
#define USB_FIFORDCYC_RDCYC_Msk               (0x03UL << USB_FIFORDCYC_RDCYC_Pos)                     /*!< USB FIFORDCYC: RDCYC Mask               */
#define USB_FIFORDCYC_RESERVED_7_2_Pos        2                                                       /*!< USB FIFORDCYC: RESERVED_7_2 Position    */
#define USB_FIFORDCYC_RESERVED_7_2_Msk        (0x3fUL << USB_FIFORDCYC_RESERVED_7_2_Pos)              /*!< USB FIFORDCYC: RESERVED_7_2 Mask        */

/* -----------------------------------  USB_REV  ---------------------------------- */
#define USB_REV_REVNUM_Pos                    0                                                       /*!< USB REV: REVNUM Position                */
#define USB_REV_REVNUM_Msk                    (0x000000ffUL << USB_REV_REVNUM_Pos)                    /*!< USB REV: REVNUM Mask                    */

/* --------------------------------  USB_EP0SETUP0  ------------------------------- */
#define USB_EP0SETUP0_BMREQTYP_Pos            0                                                       /*!< USB EP0SETUP0: BMREQTYP Position        */
#define USB_EP0SETUP0_BMREQTYP_Msk            (0x000000ffUL << USB_EP0SETUP0_BMREQTYP_Pos)            /*!< USB EP0SETUP0: BMREQTYP Mask            */

/* --------------------------------  USB_EP0SETUP1  ------------------------------- */
#define USB_EP0SETUP1_BREQ_Pos                0                                                       /*!< USB EP0SETUP1: BREQ Position            */
#define USB_EP0SETUP1_BREQ_Msk                (0x000000ffUL << USB_EP0SETUP1_BREQ_Pos)                /*!< USB EP0SETUP1: BREQ Mask                */

/* --------------------------------  USB_EP0SETUP2  ------------------------------- */
#define USB_EP0SETUP2_WVAL_Pos                0                                                       /*!< USB EP0SETUP2: WVAL Position            */
#define USB_EP0SETUP2_WVAL_Msk                (0x000000ffUL << USB_EP0SETUP2_WVAL_Pos)                /*!< USB EP0SETUP2: WVAL Mask                */

/* --------------------------------  USB_EP0SETUP3  ------------------------------- */
#define USB_EP0SETUP3_WVAL_Pos                0                                                       /*!< USB EP0SETUP3: WVAL Position            */
#define USB_EP0SETUP3_WVAL_Msk                (0x000000ffUL << USB_EP0SETUP3_WVAL_Pos)                /*!< USB EP0SETUP3: WVAL Mask                */

/* --------------------------------  USB_EP0SETUP4  ------------------------------- */
#define USB_EP0SETUP4_WINDX_Pos               0                                                       /*!< USB EP0SETUP4: WINDX Position           */
#define USB_EP0SETUP4_WINDX_Msk               (0x000000ffUL << USB_EP0SETUP4_WINDX_Pos)               /*!< USB EP0SETUP4: WINDX Mask               */

/* --------------------------------  USB_EP0SETUP5  ------------------------------- */
#define USB_EP0SETUP5_WINDX_Pos               0                                                       /*!< USB EP0SETUP5: WINDX Position           */
#define USB_EP0SETUP5_WINDX_Msk               (0x000000ffUL << USB_EP0SETUP5_WINDX_Pos)               /*!< USB EP0SETUP5: WINDX Mask               */

/* --------------------------------  USB_EP0SETUP6  ------------------------------- */
#define USB_EP0SETUP6_WLEN_Pos                0                                                       /*!< USB EP0SETUP6: WLEN Position            */
#define USB_EP0SETUP6_WLEN_Msk                (0x000000ffUL << USB_EP0SETUP6_WLEN_Pos)                /*!< USB EP0SETUP6: WLEN Mask                */

/* --------------------------------  USB_EP0SETUP7  ------------------------------- */
#define USB_EP0SETUP7_WLEN_Pos                0                                                       /*!< USB EP0SETUP7: WLEN Position            */
#define USB_EP0SETUP7_WLEN_Msk                (0x000000ffUL << USB_EP0SETUP7_WLEN_Pos)                /*!< USB EP0SETUP7: WLEN Mask                */

/* ----------------------------------  USB_ADDR  ---------------------------------- */
#define USB_ADDR_USBADDR_Pos                  0                                                       /*!< USB ADDR: USBADDR Position              */
#define USB_ADDR_USBADDR_Msk                  (0x7fUL << USB_ADDR_USBADDR_Pos)                        /*!< USB ADDR: USBADDR Mask                  */
#define USB_ADDR_ATADDR_Pos                   7                                                       /*!< USB ADDR: ATADDR Position               */
#define USB_ADDR_ATADDR_Msk                   (0x01UL << USB_ADDR_ATADDR_Pos)                         /*!< USB ADDR: ATADDR Mask                   */

/* ---------------------------------  USB_EP0CFG  --------------------------------- */
#define USB_EP0CFG_RESERVED_6_0_Pos           0                                                       /*!< USB EP0CFG: RESERVED_6_0 Position       */
#define USB_EP0CFG_RESERVED_6_0_Msk           (0x7fUL << USB_EP0CFG_RESERVED_6_0_Pos)                 /*!< USB EP0CFG: RESERVED_6_0 Mask           */
#define USB_EP0CFG_DIR_Pos                    7                                                       /*!< USB EP0CFG: DIR Position                */
#define USB_EP0CFG_DIR_Msk                    (0x01UL << USB_EP0CFG_DIR_Pos)                          /*!< USB EP0CFG: DIR Mask                    */

/* ---------------------------------  USB_EP0SIZE  -------------------------------- */
#define USB_EP0SIZE_RESERVED_2_0_Pos          0                                                       /*!< USB EP0SIZE: RESERVED_2_0 Position      */
#define USB_EP0SIZE_RESERVED_2_0_Msk          (0x07UL << USB_EP0SIZE_RESERVED_2_0_Pos)                /*!< USB EP0SIZE: RESERVED_2_0 Mask          */
#define USB_EP0SIZE_MAXSIZE_Pos               3                                                       /*!< USB EP0SIZE: MAXSIZE Position           */
#define USB_EP0SIZE_MAXSIZE_Msk               (0x0fUL << USB_EP0SIZE_MAXSIZE_Pos)                     /*!< USB EP0SIZE: MAXSIZE Mask               */
#define USB_EP0SIZE_RESERVED_7_Pos            7                                                       /*!< USB EP0SIZE: RESERVED_7 Position        */
#define USB_EP0SIZE_RESERVED_7_Msk            (0x01UL << USB_EP0SIZE_RESERVED_7_Pos)                  /*!< USB EP0SIZE: RESERVED_7 Mask            */

/* ---------------------------------  USB_EP0ICTL  -------------------------------- */
#define USB_EP0ICTL_FSTALL_Pos                0                                                       /*!< USB EP0ICTL: FSTALL Position            */
#define USB_EP0ICTL_FSTALL_Msk                (0x01UL << USB_EP0ICTL_FSTALL_Pos)                      /*!< USB EP0ICTL: FSTALL Mask                */
#define USB_EP0ICTL_FNAK_Pos                  1                                                       /*!< USB EP0ICTL: FNAK Position              */
#define USB_EP0ICTL_FNAK_Msk                  (0x01UL << USB_EP0ICTL_FNAK_Pos)                        /*!< USB EP0ICTL: FNAK Mask                  */
#define USB_EP0ICTL_TGLCLR_Pos                2                                                       /*!< USB EP0ICTL: TGLCLR Position            */
#define USB_EP0ICTL_TGLCLR_Msk                (0x01UL << USB_EP0ICTL_TGLCLR_Pos)                      /*!< USB EP0ICTL: TGLCLR Mask                */
#define USB_EP0ICTL_TGLSET_Pos                3                                                       /*!< USB EP0ICTL: TGLSET Position            */
#define USB_EP0ICTL_TGLSET_Msk                (0x01UL << USB_EP0ICTL_TGLSET_Pos)                      /*!< USB EP0ICTL: TGLSET Mask                */
#define USB_EP0ICTL_TGLSTAT_Pos               4                                                       /*!< USB EP0ICTL: TGLSTAT Position           */
#define USB_EP0ICTL_TGLSTAT_Msk               (0x01UL << USB_EP0ICTL_TGLSTAT_Pos)                     /*!< USB EP0ICTL: TGLSTAT Mask               */
#define USB_EP0ICTL_RESERVED_5_Pos            5                                                       /*!< USB EP0ICTL: RESERVED_5 Position        */
#define USB_EP0ICTL_RESERVED_5_Msk            (0x01UL << USB_EP0ICTL_RESERVED_5_Pos)                  /*!< USB EP0ICTL: RESERVED_5 Mask            */
#define USB_EP0ICTL_SPKTEN_Pos                6                                                       /*!< USB EP0ICTL: SPKTEN Position            */
#define USB_EP0ICTL_SPKTEN_Msk                (0x01UL << USB_EP0ICTL_SPKTEN_Pos)                      /*!< USB EP0ICTL: SPKTEN Mask                */
#define USB_EP0ICTL_RESERVED_7_Pos            7                                                       /*!< USB EP0ICTL: RESERVED_7 Position        */
#define USB_EP0ICTL_RESERVED_7_Msk            (0x01UL << USB_EP0ICTL_RESERVED_7_Pos)                  /*!< USB EP0ICTL: RESERVED_7 Mask            */

/* ---------------------------------  USB_EP0OCTL  -------------------------------- */
#define USB_EP0OCTL_FSTALL_Pos                0                                                       /*!< USB EP0OCTL: FSTALL Position            */
#define USB_EP0OCTL_FSTALL_Msk                (0x01UL << USB_EP0OCTL_FSTALL_Pos)                      /*!< USB EP0OCTL: FSTALL Mask                */
#define USB_EP0OCTL_FNAK_Pos                  1                                                       /*!< USB EP0OCTL: FNAK Position              */
#define USB_EP0OCTL_FNAK_Msk                  (0x01UL << USB_EP0OCTL_FNAK_Pos)                        /*!< USB EP0OCTL: FNAK Mask                  */
#define USB_EP0OCTL_TGLCLR_Pos                2                                                       /*!< USB EP0OCTL: TGLCLR Position            */
#define USB_EP0OCTL_TGLCLR_Msk                (0x01UL << USB_EP0OCTL_TGLCLR_Pos)                      /*!< USB EP0OCTL: TGLCLR Mask                */
#define USB_EP0OCTL_TGLSET_Pos                3                                                       /*!< USB EP0OCTL: TGLSET Position            */
#define USB_EP0OCTL_TGLSET_Msk                (0x01UL << USB_EP0OCTL_TGLSET_Pos)                      /*!< USB EP0OCTL: TGLSET Mask                */
#define USB_EP0OCTL_TGLSTAT_Pos               4                                                       /*!< USB EP0OCTL: TGLSTAT Position           */
#define USB_EP0OCTL_TGLSTAT_Msk               (0x01UL << USB_EP0OCTL_TGLSTAT_Pos)                     /*!< USB EP0OCTL: TGLSTAT Mask               */
#define USB_EP0OCTL_RESERVED_6_5_Pos          5                                                       /*!< USB EP0OCTL: RESERVED_6_5 Position      */
#define USB_EP0OCTL_RESERVED_6_5_Msk          (0x03UL << USB_EP0OCTL_RESERVED_6_5_Pos)                /*!< USB EP0OCTL: RESERVED_6_5 Mask          */
#define USB_EP0OCTL_AUTOFNAK_Pos              7                                                       /*!< USB EP0OCTL: AUTOFNAK Position          */
#define USB_EP0OCTL_AUTOFNAK_Msk              (0x01UL << USB_EP0OCTL_AUTOFNAK_Pos)                    /*!< USB EP0OCTL: AUTOFNAK Mask              */

/* ---------------------------------  USB_EPACTL  --------------------------------- */
#define USB_EPACTL_FSTALL_Pos                 0                                                       /*!< USB EPACTL: FSTALL Position             */
#define USB_EPACTL_FSTALL_Msk                 (0x01UL << USB_EPACTL_FSTALL_Pos)                       /*!< USB EPACTL: FSTALL Mask                 */
#define USB_EPACTL_FNAK_Pos                   1                                                       /*!< USB EPACTL: FNAK Position               */
#define USB_EPACTL_FNAK_Msk                   (0x01UL << USB_EPACTL_FNAK_Pos)                         /*!< USB EPACTL: FNAK Mask                   */
#define USB_EPACTL_TGLCLR_Pos                 2                                                       /*!< USB EPACTL: TGLCLR Position             */
#define USB_EPACTL_TGLCLR_Msk                 (0x01UL << USB_EPACTL_TGLCLR_Pos)                       /*!< USB EPACTL: TGLCLR Mask                 */
#define USB_EPACTL_TGLSET_Pos                 3                                                       /*!< USB EPACTL: TGLSET Position             */
#define USB_EPACTL_TGLSET_Msk                 (0x01UL << USB_EPACTL_TGLSET_Pos)                       /*!< USB EPACTL: TGLSET Mask                 */
#define USB_EPACTL_TGLSTAT_Pos                4                                                       /*!< USB EPACTL: TGLSTAT Position            */
#define USB_EPACTL_TGLSTAT_Msk                (0x01UL << USB_EPACTL_TGLSTAT_Pos)                      /*!< USB EPACTL: TGLSTAT Mask                */
#define USB_EPACTL_AUTOFNAKDIS_Pos            5                                                       /*!< USB EPACTL: AUTOFNAKDIS Position        */
#define USB_EPACTL_AUTOFNAKDIS_Msk            (0x01UL << USB_EPACTL_AUTOFNAKDIS_Pos)                  /*!< USB EPACTL: AUTOFNAKDIS Mask            */
#define USB_EPACTL_SPKTEN_Pos                 6                                                       /*!< USB EPACTL: SPKTEN Position             */
#define USB_EPACTL_SPKTEN_Msk                 (0x01UL << USB_EPACTL_SPKTEN_Pos)                       /*!< USB EPACTL: SPKTEN Mask                 */
#define USB_EPACTL_AUTOFNAK_Pos               7                                                       /*!< USB EPACTL: AUTOFNAK Position           */
#define USB_EPACTL_AUTOFNAK_Msk               (0x01UL << USB_EPACTL_AUTOFNAK_Pos)                     /*!< USB EPACTL: AUTOFNAK Mask               */

/* ---------------------------------  USB_EPBCTL  --------------------------------- */
#define USB_EPBCTL_FSTALL_Pos                 0                                                       /*!< USB EPBCTL: FSTALL Position             */
#define USB_EPBCTL_FSTALL_Msk                 (0x01UL << USB_EPBCTL_FSTALL_Pos)                       /*!< USB EPBCTL: FSTALL Mask                 */
#define USB_EPBCTL_FNAK_Pos                   1                                                       /*!< USB EPBCTL: FNAK Position               */
#define USB_EPBCTL_FNAK_Msk                   (0x01UL << USB_EPBCTL_FNAK_Pos)                         /*!< USB EPBCTL: FNAK Mask                   */
#define USB_EPBCTL_TGLCLR_Pos                 2                                                       /*!< USB EPBCTL: TGLCLR Position             */
#define USB_EPBCTL_TGLCLR_Msk                 (0x01UL << USB_EPBCTL_TGLCLR_Pos)                       /*!< USB EPBCTL: TGLCLR Mask                 */
#define USB_EPBCTL_TGLSET_Pos                 3                                                       /*!< USB EPBCTL: TGLSET Position             */
#define USB_EPBCTL_TGLSET_Msk                 (0x01UL << USB_EPBCTL_TGLSET_Pos)                       /*!< USB EPBCTL: TGLSET Mask                 */
#define USB_EPBCTL_TGLSTAT_Pos                4                                                       /*!< USB EPBCTL: TGLSTAT Position            */
#define USB_EPBCTL_TGLSTAT_Msk                (0x01UL << USB_EPBCTL_TGLSTAT_Pos)                      /*!< USB EPBCTL: TGLSTAT Mask                */
#define USB_EPBCTL_AUTOFNACDIS_Pos            5                                                       /*!< USB EPBCTL: AUTOFNACDIS Position        */
#define USB_EPBCTL_AUTOFNACDIS_Msk            (0x01UL << USB_EPBCTL_AUTOFNACDIS_Pos)                  /*!< USB EPBCTL: AUTOFNACDIS Mask            */
#define USB_EPBCTL_SPKTEN_Pos                 6                                                       /*!< USB EPBCTL: SPKTEN Position             */
#define USB_EPBCTL_SPKTEN_Msk                 (0x01UL << USB_EPBCTL_SPKTEN_Pos)                       /*!< USB EPBCTL: SPKTEN Mask                 */
#define USB_EPBCTL_AUTOFNAK_Pos               7                                                       /*!< USB EPBCTL: AUTOFNAK Position           */
#define USB_EPBCTL_AUTOFNAK_Msk               (0x01UL << USB_EPBCTL_AUTOFNAK_Pos)                     /*!< USB EPBCTL: AUTOFNAK Mask               */

/* ---------------------------------  USB_EPCCTL  --------------------------------- */
#define USB_EPCCTL_FSTALL_Pos                 0                                                       /*!< USB EPCCTL: FSTALL Position             */
#define USB_EPCCTL_FSTALL_Msk                 (0x01UL << USB_EPCCTL_FSTALL_Pos)                       /*!< USB EPCCTL: FSTALL Mask                 */
#define USB_EPCCTL_FNAK_Pos                   1                                                       /*!< USB EPCCTL: FNAK Position               */
#define USB_EPCCTL_FNAK_Msk                   (0x01UL << USB_EPCCTL_FNAK_Pos)                         /*!< USB EPCCTL: FNAK Mask                   */
#define USB_EPCCTL_TGLCLR_Pos                 2                                                       /*!< USB EPCCTL: TGLCLR Position             */
#define USB_EPCCTL_TGLCLR_Msk                 (0x01UL << USB_EPCCTL_TGLCLR_Pos)                       /*!< USB EPCCTL: TGLCLR Mask                 */
#define USB_EPCCTL_TGLSET_Pos                 3                                                       /*!< USB EPCCTL: TGLSET Position             */
#define USB_EPCCTL_TGLSET_Msk                 (0x01UL << USB_EPCCTL_TGLSET_Pos)                       /*!< USB EPCCTL: TGLSET Mask                 */
#define USB_EPCCTL_TGLSTAT_Pos                4                                                       /*!< USB EPCCTL: TGLSTAT Position            */
#define USB_EPCCTL_TGLSTAT_Msk                (0x01UL << USB_EPCCTL_TGLSTAT_Pos)                      /*!< USB EPCCTL: TGLSTAT Mask                */
#define USB_EPCCTL_AUTOFNACDIS_Pos            5                                                       /*!< USB EPCCTL: AUTOFNACDIS Position        */
#define USB_EPCCTL_AUTOFNACDIS_Msk            (0x01UL << USB_EPCCTL_AUTOFNACDIS_Pos)                  /*!< USB EPCCTL: AUTOFNACDIS Mask            */
#define USB_EPCCTL_SPKTEN_Pos                 6                                                       /*!< USB EPCCTL: SPKTEN Position             */
#define USB_EPCCTL_SPKTEN_Msk                 (0x01UL << USB_EPCCTL_SPKTEN_Pos)                       /*!< USB EPCCTL: SPKTEN Mask                 */
#define USB_EPCCTL_AUTOFNAK_Pos               7                                                       /*!< USB EPCCTL: AUTOFNAK Position           */
#define USB_EPCCTL_AUTOFNAK_Msk               (0x01UL << USB_EPCCTL_AUTOFNAK_Pos)                     /*!< USB EPCCTL: AUTOFNAK Mask               */

/* ---------------------------------  USB_EPACFG  --------------------------------- */
#define USB_EPACFG_EPNUM_Pos                  0                                                       /*!< USB EPACFG: EPNUM Position              */
#define USB_EPACFG_EPNUM_Msk                  (0x0fUL << USB_EPACFG_EPNUM_Pos)                        /*!< USB EPACFG: EPNUM Mask                  */
#define USB_EPACFG_RESERVED_4_Pos             4                                                       /*!< USB EPACFG: RESERVED_4 Position         */
#define USB_EPACFG_RESERVED_4_Msk             (0x01UL << USB_EPACFG_RESERVED_4_Pos)                   /*!< USB EPACFG: RESERVED_4 Mask             */
#define USB_EPACFG_EPEN_Pos                   5                                                       /*!< USB EPACFG: EPEN Position               */
#define USB_EPACFG_EPEN_Msk                   (0x01UL << USB_EPACFG_EPEN_Pos)                         /*!< USB EPACFG: EPEN Mask                   */
#define USB_EPACFG_TGLMOD_Pos                 6                                                       /*!< USB EPACFG: TGLMOD Position             */
#define USB_EPACFG_TGLMOD_Msk                 (0x01UL << USB_EPACFG_TGLMOD_Pos)                       /*!< USB EPACFG: TGLMOD Mask                 */
#define USB_EPACFG_DIR_Pos                    7                                                       /*!< USB EPACFG: DIR Position                */
#define USB_EPACFG_DIR_Msk                    (0x01UL << USB_EPACFG_DIR_Pos)                          /*!< USB EPACFG: DIR Mask                    */

/* --------------------------------  USB_EPAMAXSZ  -------------------------------- */
#define USB_EPAMAXSZ_MAXSIZE_Pos              0                                                       /*!< USB EPAMAXSZ: MAXSIZE Position          */
#define USB_EPAMAXSZ_MAXSIZE_Msk              (0x7fUL << USB_EPAMAXSZ_MAXSIZE_Pos)                    /*!< USB EPAMAXSZ: MAXSIZE Mask              */
#define USB_EPAMAXSZ_RESERVED_7_Pos           7                                                       /*!< USB EPAMAXSZ: RESERVED_7 Position       */
#define USB_EPAMAXSZ_RESERVED_7_Msk           (0x01UL << USB_EPAMAXSZ_RESERVED_7_Pos)                 /*!< USB EPAMAXSZ: RESERVED_7 Mask           */

/* ---------------------------------  USB_EPBCFG  --------------------------------- */
#define USB_EPBCFG_EPNUM_Pos                  0                                                       /*!< USB EPBCFG: EPNUM Position              */
#define USB_EPBCFG_EPNUM_Msk                  (0x0fUL << USB_EPBCFG_EPNUM_Pos)                        /*!< USB EPBCFG: EPNUM Mask                  */
#define USB_EPBCFG_RESERVED_4_Pos             4                                                       /*!< USB EPBCFG: RESERVED_4 Position         */
#define USB_EPBCFG_RESERVED_4_Msk             (0x01UL << USB_EPBCFG_RESERVED_4_Pos)                   /*!< USB EPBCFG: RESERVED_4 Mask             */
#define USB_EPBCFG_EPEN_Pos                   5                                                       /*!< USB EPBCFG: EPEN Position               */
#define USB_EPBCFG_EPEN_Msk                   (0x01UL << USB_EPBCFG_EPEN_Pos)                         /*!< USB EPBCFG: EPEN Mask                   */
#define USB_EPBCFG_TGLMOD_Pos                 6                                                       /*!< USB EPBCFG: TGLMOD Position             */
#define USB_EPBCFG_TGLMOD_Msk                 (0x01UL << USB_EPBCFG_TGLMOD_Pos)                       /*!< USB EPBCFG: TGLMOD Mask                 */
#define USB_EPBCFG_DIR_Pos                    7                                                       /*!< USB EPBCFG: DIR Position                */
#define USB_EPBCFG_DIR_Msk                    (0x01UL << USB_EPBCFG_DIR_Pos)                          /*!< USB EPBCFG: DIR Mask                    */

/* --------------------------------  USB_EPBMAXSZ  -------------------------------- */
#define USB_EPBMAXSZ_MAXSIZE_Pos              0                                                       /*!< USB EPBMAXSZ: MAXSIZE Position          */
#define USB_EPBMAXSZ_MAXSIZE_Msk              (0x7fUL << USB_EPBMAXSZ_MAXSIZE_Pos)                    /*!< USB EPBMAXSZ: MAXSIZE Mask              */
#define USB_EPBMAXSZ_RESERVED_7_Pos           7                                                       /*!< USB EPBMAXSZ: RESERVED_7 Position       */
#define USB_EPBMAXSZ_RESERVED_7_Msk           (0x01UL << USB_EPBMAXSZ_RESERVED_7_Pos)                 /*!< USB EPBMAXSZ: RESERVED_7 Mask           */

/* ---------------------------------  USB_EPCCFG  --------------------------------- */
#define USB_EPCCFG_EPNUM_Pos                  0                                                       /*!< USB EPCCFG: EPNUM Position              */
#define USB_EPCCFG_EPNUM_Msk                  (0x0fUL << USB_EPCCFG_EPNUM_Pos)                        /*!< USB EPCCFG: EPNUM Mask                  */
#define USB_EPCCFG_RESERVED_4_Pos             4                                                       /*!< USB EPCCFG: RESERVED_4 Position         */
#define USB_EPCCFG_RESERVED_4_Msk             (0x01UL << USB_EPCCFG_RESERVED_4_Pos)                   /*!< USB EPCCFG: RESERVED_4 Mask             */
#define USB_EPCCFG_EPEN_Pos                   5                                                       /*!< USB EPCCFG: EPEN Position               */
#define USB_EPCCFG_EPEN_Msk                   (0x01UL << USB_EPCCFG_EPEN_Pos)                         /*!< USB EPCCFG: EPEN Mask                   */
#define USB_EPCCFG_TGLMOD_Pos                 6                                                       /*!< USB EPCCFG: TGLMOD Position             */
#define USB_EPCCFG_TGLMOD_Msk                 (0x01UL << USB_EPCCFG_TGLMOD_Pos)                       /*!< USB EPCCFG: TGLMOD Mask                 */
#define USB_EPCCFG_DIR_Pos                    7                                                       /*!< USB EPCCFG: DIR Position                */
#define USB_EPCCFG_DIR_Msk                    (0x01UL << USB_EPCCFG_DIR_Pos)                          /*!< USB EPCCFG: DIR Mask                    */

/* --------------------------------  USB_EPCMAXSZ  -------------------------------- */
#define USB_EPCMAXSZ_MAXSIZE_Pos              0                                                       /*!< USB EPCMAXSZ: MAXSIZE Position          */
#define USB_EPCMAXSZ_MAXSIZE_Msk              (0x7fUL << USB_EPCMAXSZ_MAXSIZE_Pos)                    /*!< USB EPCMAXSZ: MAXSIZE Mask              */
#define USB_EPCMAXSZ_RESERVED_7_Pos           7                                                       /*!< USB EPCMAXSZ: RESERVED_7 Position       */
#define USB_EPCMAXSZ_RESERVED_7_Msk           (0x01UL << USB_EPCMAXSZ_RESERVED_7_Pos)                 /*!< USB EPCMAXSZ: RESERVED_7 Mask           */

/* --------------------------------  USB_RDFIFOSEL  ------------------------------- */
#define USB_RDFIFOSEL_EPARD_Pos               0                                                       /*!< USB RDFIFOSEL: EPARD Position           */
#define USB_RDFIFOSEL_EPARD_Msk               (0x01UL << USB_RDFIFOSEL_EPARD_Pos)                     /*!< USB RDFIFOSEL: EPARD Mask               */
#define USB_RDFIFOSEL_EPBRD_Pos               1                                                       /*!< USB RDFIFOSEL: EPBRD Position           */
#define USB_RDFIFOSEL_EPBRD_Msk               (0x01UL << USB_RDFIFOSEL_EPBRD_Pos)                     /*!< USB RDFIFOSEL: EPBRD Mask               */
#define USB_RDFIFOSEL_EPCRD_Pos               2                                                       /*!< USB RDFIFOSEL: EPCRD Position           */
#define USB_RDFIFOSEL_EPCRD_Msk               (0x01UL << USB_RDFIFOSEL_EPCRD_Pos)                     /*!< USB RDFIFOSEL: EPCRD Mask               */
#define USB_RDFIFOSEL_RESERVED_7_3_Pos        3                                                       /*!< USB RDFIFOSEL: RESERVED_7_3 Position    */
#define USB_RDFIFOSEL_RESERVED_7_3_Msk        (0x1fUL << USB_RDFIFOSEL_RESERVED_7_3_Pos)              /*!< USB RDFIFOSEL: RESERVED_7_3 Mask        */

/* --------------------------------  USB_WRFIFOSEL  ------------------------------- */
#define USB_WRFIFOSEL_EPAWR_Pos               0                                                       /*!< USB WRFIFOSEL: EPAWR Position           */
#define USB_WRFIFOSEL_EPAWR_Msk               (0x01UL << USB_WRFIFOSEL_EPAWR_Pos)                     /*!< USB WRFIFOSEL: EPAWR Mask               */
#define USB_WRFIFOSEL_EPBWR_Pos               1                                                       /*!< USB WRFIFOSEL: EPBWR Position           */
#define USB_WRFIFOSEL_EPBWR_Msk               (0x01UL << USB_WRFIFOSEL_EPBWR_Pos)                     /*!< USB WRFIFOSEL: EPBWR Mask               */
#define USB_WRFIFOSEL_EPCWR_Pos               2                                                       /*!< USB WRFIFOSEL: EPCWR Position           */
#define USB_WRFIFOSEL_EPCWR_Msk               (0x01UL << USB_WRFIFOSEL_EPCWR_Pos)                     /*!< USB WRFIFOSEL: EPCWR Mask               */
#define USB_WRFIFOSEL_RESERVED_7_3_Pos        3                                                       /*!< USB WRFIFOSEL: RESERVED_7_3 Position    */
#define USB_WRFIFOSEL_RESERVED_7_3_Msk        (0x1fUL << USB_WRFIFOSEL_RESERVED_7_3_Pos)              /*!< USB WRFIFOSEL: RESERVED_7_3 Mask        */

/* --------------------------------  USB_FIFORWEN  -------------------------------- */
#define USB_FIFORWEN_FIFORDEN_Pos             0                                                       /*!< USB FIFORWEN: FIFORDEN Position         */
#define USB_FIFORWEN_FIFORDEN_Msk             (0x01UL << USB_FIFORWEN_FIFORDEN_Pos)                   /*!< USB FIFORWEN: FIFORDEN Mask             */
#define USB_FIFORWEN_FIFOWREN_Pos             1                                                       /*!< USB FIFORWEN: FIFOWREN Position         */
#define USB_FIFORWEN_FIFOWREN_Msk             (0x01UL << USB_FIFORWEN_FIFOWREN_Pos)                   /*!< USB FIFORWEN: FIFOWREN Mask             */
#define USB_FIFORWEN_RESERVED_7_2_Pos         2                                                       /*!< USB FIFORWEN: RESERVED_7_2 Position     */
#define USB_FIFORWEN_RESERVED_7_2_Msk         (0x3fUL << USB_FIFORWEN_RESERVED_7_2_Pos)               /*!< USB FIFORWEN: RESERVED_7_2 Mask         */

/* --------------------------------  USB_REMDATCNT  ------------------------------- */
#define USB_REMDATCNT_REMDAT_Pos              0                                                       /*!< USB REMDATCNT: REMDAT Position          */
#define USB_REMDATCNT_REMDAT_Msk              (0x7fUL << USB_REMDATCNT_REMDAT_Pos)                    /*!< USB REMDATCNT: REMDAT Mask              */
#define USB_REMDATCNT_RESERVED_7_7_Pos        7                                                       /*!< USB REMDATCNT: RESERVED_7_7 Position    */
#define USB_REMDATCNT_RESERVED_7_7_Msk        (0x01UL << USB_REMDATCNT_RESERVED_7_7_Pos)              /*!< USB REMDATCNT: RESERVED_7_7 Mask        */

/* --------------------------------  USB_REMSPCCNT  ------------------------------- */
#define USB_REMSPCCNT_REMSPC_Pos              0                                                       /*!< USB REMSPCCNT: REMSPC Position          */
#define USB_REMSPCCNT_REMSPC_Msk              (0x7fUL << USB_REMSPCCNT_REMSPC_Pos)                    /*!< USB REMSPCCNT: REMSPC Mask              */
#define USB_REMSPCCNT_RESERVED_7_7_Pos        7                                                       /*!< USB REMSPCCNT: RESERVED_7_7 Position    */
#define USB_REMSPCCNT_RESERVED_7_7_Msk        (0x01UL << USB_REMSPCCNT_RESERVED_7_7_Pos)              /*!< USB REMSPCCNT: RESERVED_7_7 Mask        */

/* -------------------------------  USB_DBGRAMADDR  ------------------------------- */
#define USB_DBGRAMADDR_DRAMADDR_Pos           0                                                       /*!< USB DBGRAMADDR: DRAMADDR Position       */
#define USB_DBGRAMADDR_DRAMADDR_Msk           (0x000000ffUL << USB_DBGRAMADDR_DRAMADDR_Pos)           /*!< USB DBGRAMADDR: DRAMADDR Mask           */

/* --------------------------------  USB_MAININTF  -------------------------------- */
#define USB_MAININTF_EP0SETIF_Pos             0                                                       /*!< USB MAININTF: EP0SETIF Position         */
#define USB_MAININTF_EP0SETIF_Msk             (0x01UL << USB_MAININTF_EP0SETIF_Pos)                   /*!< USB MAININTF: EP0SETIF Mask             */
#define USB_MAININTF_EP0IF_Pos                1                                                       /*!< USB MAININTF: EP0IF Position            */
#define USB_MAININTF_EP0IF_Msk                (0x01UL << USB_MAININTF_EP0IF_Pos)                      /*!< USB MAININTF: EP0IF Mask                */
#define USB_MAININTF_RESERVED_5_2_Pos         2                                                       /*!< USB MAININTF: RESERVED_5_2 Position     */
#define USB_MAININTF_RESERVED_5_2_Msk         (0x0fUL << USB_MAININTF_RESERVED_5_2_Pos)               /*!< USB MAININTF: RESERVED_5_2 Mask         */
#define USB_MAININTF_GPEPIF_Pos               6                                                       /*!< USB MAININTF: GPEPIF Position           */
#define USB_MAININTF_GPEPIF_Msk               (0x01UL << USB_MAININTF_GPEPIF_Pos)                     /*!< USB MAININTF: GPEPIF Mask               */
#define USB_MAININTF_SIEIF_Pos                7                                                       /*!< USB MAININTF: SIEIF Position            */
#define USB_MAININTF_SIEIF_Msk                (0x01UL << USB_MAININTF_SIEIF_Pos)                      /*!< USB MAININTF: SIEIF Mask                */

/* ---------------------------------  USB_SIEINTF  -------------------------------- */
#define USB_SIEINTF_ATADDRIF_Pos              0                                                       /*!< USB SIEINTF: ATADDRIF Position          */
#define USB_SIEINTF_ATADDRIF_Msk              (0x01UL << USB_SIEINTF_ATADDRIF_Pos)                    /*!< USB SIEINTF: ATADDRIF Mask              */
#define USB_SIEINTF_RESERVED_1_Pos            1                                                       /*!< USB SIEINTF: RESERVED_1 Position        */
#define USB_SIEINTF_RESERVED_1_Msk            (0x01UL << USB_SIEINTF_RESERVED_1_Pos)                  /*!< USB SIEINTF: RESERVED_1 Mask            */
#define USB_SIEINTF_JIF_Pos                   2                                                       /*!< USB SIEINTF: JIF Position               */
#define USB_SIEINTF_JIF_Msk                   (0x01UL << USB_SIEINTF_JIF_Pos)                         /*!< USB SIEINTF: JIF Mask                   */
#define USB_SIEINTF_SOFIF_Pos                 3                                                       /*!< USB SIEINTF: SOFIF Position             */
#define USB_SIEINTF_SOFIF_Msk                 (0x01UL << USB_SIEINTF_SOFIF_Pos)                       /*!< USB SIEINTF: SOFIF Mask                 */
#define USB_SIEINTF_SUSPENDIF_Pos             4                                                       /*!< USB SIEINTF: SUSPENDIF Position         */
#define USB_SIEINTF_SUSPENDIF_Msk             (0x01UL << USB_SIEINTF_SUSPENDIF_Pos)                   /*!< USB SIEINTF: SUSPENDIF Mask             */
#define USB_SIEINTF_RESETIF_Pos               5                                                       /*!< USB SIEINTF: RESETIF Position           */
#define USB_SIEINTF_RESETIF_Msk               (0x01UL << USB_SIEINTF_RESETIF_Pos)                     /*!< USB SIEINTF: RESETIF Mask               */
#define USB_SIEINTF_NONJIF_Pos                6                                                       /*!< USB SIEINTF: NONJIF Position            */
#define USB_SIEINTF_NONJIF_Msk                (0x01UL << USB_SIEINTF_NONJIF_Pos)                      /*!< USB SIEINTF: NONJIF Mask                */
#define USB_SIEINTF_RESERVED_7_Pos            7                                                       /*!< USB SIEINTF: RESERVED_7 Position        */
#define USB_SIEINTF_RESERVED_7_Msk            (0x01UL << USB_SIEINTF_RESERVED_7_Pos)                  /*!< USB SIEINTF: RESERVED_7 Mask            */

/* --------------------------------  USB_GPEPINTF  -------------------------------- */
#define USB_GPEPINTF_EPAIF_Pos                0                                                       /*!< USB GPEPINTF: EPAIF Position            */
#define USB_GPEPINTF_EPAIF_Msk                (0x01UL << USB_GPEPINTF_EPAIF_Pos)                      /*!< USB GPEPINTF: EPAIF Mask                */
#define USB_GPEPINTF_EPBIF_Pos                1                                                       /*!< USB GPEPINTF: EPBIF Position            */
#define USB_GPEPINTF_EPBIF_Msk                (0x01UL << USB_GPEPINTF_EPBIF_Pos)                      /*!< USB GPEPINTF: EPBIF Mask                */
#define USB_GPEPINTF_EPCIF_Pos                2                                                       /*!< USB GPEPINTF: EPCIF Position            */
#define USB_GPEPINTF_EPCIF_Msk                (0x01UL << USB_GPEPINTF_EPCIF_Pos)                      /*!< USB GPEPINTF: EPCIF Mask                */
#define USB_GPEPINTF_RESERVED_7_3_Pos         3                                                       /*!< USB GPEPINTF: RESERVED_7_3 Position     */
#define USB_GPEPINTF_RESERVED_7_3_Msk         (0x1fUL << USB_GPEPINTF_RESERVED_7_3_Pos)               /*!< USB GPEPINTF: RESERVED_7_3 Mask         */

/* ---------------------------------  USB_EP0INTF  -------------------------------- */
#define USB_EP0INTF_OUTERRIF_Pos              0                                                       /*!< USB EP0INTF: OUTERRIF Position          */
#define USB_EP0INTF_OUTERRIF_Msk              (0x01UL << USB_EP0INTF_OUTERRIF_Pos)                    /*!< USB EP0INTF: OUTERRIF Mask              */
#define USB_EP0INTF_INERRIF_Pos               1                                                       /*!< USB EP0INTF: INERRIF Position           */
#define USB_EP0INTF_INERRIF_Msk               (0x01UL << USB_EP0INTF_INERRIF_Pos)                     /*!< USB EP0INTF: INERRIF Mask               */
#define USB_EP0INTF_OUTNAKIF_Pos              2                                                       /*!< USB EP0INTF: OUTNAKIF Position          */
#define USB_EP0INTF_OUTNAKIF_Msk              (0x01UL << USB_EP0INTF_OUTNAKIF_Pos)                    /*!< USB EP0INTF: OUTNAKIF Mask              */
#define USB_EP0INTF_INNAKIF_Pos               3                                                       /*!< USB EP0INTF: INNAKIF Position           */
#define USB_EP0INTF_INNAKIF_Msk               (0x01UL << USB_EP0INTF_INNAKIF_Pos)                     /*!< USB EP0INTF: INNAKIF Mask               */
#define USB_EP0INTF_OUTACKIF_Pos              4                                                       /*!< USB EP0INTF: OUTACKIF Position          */
#define USB_EP0INTF_OUTACKIF_Msk              (0x01UL << USB_EP0INTF_OUTACKIF_Pos)                    /*!< USB EP0INTF: OUTACKIF Mask              */
#define USB_EP0INTF_INACKIF_Pos               5                                                       /*!< USB EP0INTF: INACKIF Position           */
#define USB_EP0INTF_INACKIF_Msk               (0x01UL << USB_EP0INTF_INACKIF_Pos)                     /*!< USB EP0INTF: INACKIF Mask               */
#define USB_EP0INTF_RESERVED_7_6_Pos          6                                                       /*!< USB EP0INTF: RESERVED_7_6 Position      */
#define USB_EP0INTF_RESERVED_7_6_Msk          (0x03UL << USB_EP0INTF_RESERVED_7_6_Pos)                /*!< USB EP0INTF: RESERVED_7_6 Mask          */

/* ---------------------------------  USB_EPAINTF  -------------------------------- */
#define USB_EPAINTF_OUTERRIF_Pos              0                                                       /*!< USB EPAINTF: OUTERRIF Position          */
#define USB_EPAINTF_OUTERRIF_Msk              (0x01UL << USB_EPAINTF_OUTERRIF_Pos)                    /*!< USB EPAINTF: OUTERRIF Mask              */
#define USB_EPAINTF_INERRIF_Pos               1                                                       /*!< USB EPAINTF: INERRIF Position           */
#define USB_EPAINTF_INERRIF_Msk               (0x01UL << USB_EPAINTF_INERRIF_Pos)                     /*!< USB EPAINTF: INERRIF Mask               */
#define USB_EPAINTF_OUTNAKIF_Pos              2                                                       /*!< USB EPAINTF: OUTNAKIF Position          */
#define USB_EPAINTF_OUTNAKIF_Msk              (0x01UL << USB_EPAINTF_OUTNAKIF_Pos)                    /*!< USB EPAINTF: OUTNAKIF Mask              */
#define USB_EPAINTF_INNAKIF_Pos               3                                                       /*!< USB EPAINTF: INNAKIF Position           */
#define USB_EPAINTF_INNAKIF_Msk               (0x01UL << USB_EPAINTF_INNAKIF_Pos)                     /*!< USB EPAINTF: INNAKIF Mask               */
#define USB_EPAINTF_OUTACKIF_Pos              4                                                       /*!< USB EPAINTF: OUTACKIF Position          */
#define USB_EPAINTF_OUTACKIF_Msk              (0x01UL << USB_EPAINTF_OUTACKIF_Pos)                    /*!< USB EPAINTF: OUTACKIF Mask              */
#define USB_EPAINTF_INACKIF_Pos               5                                                       /*!< USB EPAINTF: INACKIF Position           */
#define USB_EPAINTF_INACKIF_Msk               (0x01UL << USB_EPAINTF_INACKIF_Pos)                     /*!< USB EPAINTF: INACKIF Mask               */
#define USB_EPAINTF_OUTSHACKIF_Pos            6                                                       /*!< USB EPAINTF: OUTSHACKIF Position        */
#define USB_EPAINTF_OUTSHACKIF_Msk            (0x01UL << USB_EPAINTF_OUTSHACKIF_Pos)                  /*!< USB EPAINTF: OUTSHACKIF Mask            */
#define USB_EPAINTF_RESERVED_7_Pos            7                                                       /*!< USB EPAINTF: RESERVED_7 Position        */
#define USB_EPAINTF_RESERVED_7_Msk            (0x01UL << USB_EPAINTF_RESERVED_7_Pos)                  /*!< USB EPAINTF: RESERVED_7 Mask            */

/* ---------------------------------  USB_EPBINTF  -------------------------------- */
#define USB_EPBINTF_OUTERRIF_Pos              0                                                       /*!< USB EPBINTF: OUTERRIF Position          */
#define USB_EPBINTF_OUTERRIF_Msk              (0x01UL << USB_EPBINTF_OUTERRIF_Pos)                    /*!< USB EPBINTF: OUTERRIF Mask              */
#define USB_EPBINTF_INERRIF_Pos               1                                                       /*!< USB EPBINTF: INERRIF Position           */
#define USB_EPBINTF_INERRIF_Msk               (0x01UL << USB_EPBINTF_INERRIF_Pos)                     /*!< USB EPBINTF: INERRIF Mask               */
#define USB_EPBINTF_OUTNAKIF_Pos              2                                                       /*!< USB EPBINTF: OUTNAKIF Position          */
#define USB_EPBINTF_OUTNAKIF_Msk              (0x01UL << USB_EPBINTF_OUTNAKIF_Pos)                    /*!< USB EPBINTF: OUTNAKIF Mask              */
#define USB_EPBINTF_INNAKIF_Pos               3                                                       /*!< USB EPBINTF: INNAKIF Position           */
#define USB_EPBINTF_INNAKIF_Msk               (0x01UL << USB_EPBINTF_INNAKIF_Pos)                     /*!< USB EPBINTF: INNAKIF Mask               */
#define USB_EPBINTF_OUTACKIF_Pos              4                                                       /*!< USB EPBINTF: OUTACKIF Position          */
#define USB_EPBINTF_OUTACKIF_Msk              (0x01UL << USB_EPBINTF_OUTACKIF_Pos)                    /*!< USB EPBINTF: OUTACKIF Mask              */
#define USB_EPBINTF_INACKIF_Pos               5                                                       /*!< USB EPBINTF: INACKIF Position           */
#define USB_EPBINTF_INACKIF_Msk               (0x01UL << USB_EPBINTF_INACKIF_Pos)                     /*!< USB EPBINTF: INACKIF Mask               */
#define USB_EPBINTF_OUTSHACKIF_Pos            6                                                       /*!< USB EPBINTF: OUTSHACKIF Position        */
#define USB_EPBINTF_OUTSHACKIF_Msk            (0x01UL << USB_EPBINTF_OUTSHACKIF_Pos)                  /*!< USB EPBINTF: OUTSHACKIF Mask            */
#define USB_EPBINTF_RESERVED_7_Pos            7                                                       /*!< USB EPBINTF: RESERVED_7 Position        */
#define USB_EPBINTF_RESERVED_7_Msk            (0x01UL << USB_EPBINTF_RESERVED_7_Pos)                  /*!< USB EPBINTF: RESERVED_7 Mask            */

/* ---------------------------------  USB_EPCINTF  -------------------------------- */
#define USB_EPCINTF_OUTERRIF_Pos              0                                                       /*!< USB EPCINTF: OUTERRIF Position          */
#define USB_EPCINTF_OUTERRIF_Msk              (0x01UL << USB_EPCINTF_OUTERRIF_Pos)                    /*!< USB EPCINTF: OUTERRIF Mask              */
#define USB_EPCINTF_INERRIF_Pos               1                                                       /*!< USB EPCINTF: INERRIF Position           */
#define USB_EPCINTF_INERRIF_Msk               (0x01UL << USB_EPCINTF_INERRIF_Pos)                     /*!< USB EPCINTF: INERRIF Mask               */
#define USB_EPCINTF_OUTNAKIF_Pos              2                                                       /*!< USB EPCINTF: OUTNAKIF Position          */
#define USB_EPCINTF_OUTNAKIF_Msk              (0x01UL << USB_EPCINTF_OUTNAKIF_Pos)                    /*!< USB EPCINTF: OUTNAKIF Mask              */
#define USB_EPCINTF_INNAKIF_Pos               3                                                       /*!< USB EPCINTF: INNAKIF Position           */
#define USB_EPCINTF_INNAKIF_Msk               (0x01UL << USB_EPCINTF_INNAKIF_Pos)                     /*!< USB EPCINTF: INNAKIF Mask               */
#define USB_EPCINTF_OUTACKIF_Pos              4                                                       /*!< USB EPCINTF: OUTACKIF Position          */
#define USB_EPCINTF_OUTACKIF_Msk              (0x01UL << USB_EPCINTF_OUTACKIF_Pos)                    /*!< USB EPCINTF: OUTACKIF Mask              */
#define USB_EPCINTF_INACKIF_Pos               5                                                       /*!< USB EPCINTF: INACKIF Position           */
#define USB_EPCINTF_INACKIF_Msk               (0x01UL << USB_EPCINTF_INACKIF_Pos)                     /*!< USB EPCINTF: INACKIF Mask               */
#define USB_EPCINTF_OUTSHACKIF_Pos            6                                                       /*!< USB EPCINTF: OUTSHACKIF Position        */
#define USB_EPCINTF_OUTSHACKIF_Msk            (0x01UL << USB_EPCINTF_OUTSHACKIF_Pos)                  /*!< USB EPCINTF: OUTSHACKIF Mask            */
#define USB_EPCINTF_RESERVED_7_7_Pos          7                                                       /*!< USB EPCINTF: RESERVED_7_7 Position      */
#define USB_EPCINTF_RESERVED_7_7_Msk          (0x01UL << USB_EPCINTF_RESERVED_7_7_Pos)                /*!< USB EPCINTF: RESERVED_7_7 Mask          */

/* --------------------------------  USB_MAININTE  -------------------------------- */
#define USB_MAININTE_EP0SETIE_Pos             0                                                       /*!< USB MAININTE: EP0SETIE Position         */
#define USB_MAININTE_EP0SETIE_Msk             (0x01UL << USB_MAININTE_EP0SETIE_Pos)                   /*!< USB MAININTE: EP0SETIE Mask             */
#define USB_MAININTE_EP0IE_Pos                1                                                       /*!< USB MAININTE: EP0IE Position            */
#define USB_MAININTE_EP0IE_Msk                (0x01UL << USB_MAININTE_EP0IE_Pos)                      /*!< USB MAININTE: EP0IE Mask                */
#define USB_MAININTE_RESERVED_5_2_Pos         2                                                       /*!< USB MAININTE: RESERVED_5_2 Position     */
#define USB_MAININTE_RESERVED_5_2_Msk         (0x0fUL << USB_MAININTE_RESERVED_5_2_Pos)               /*!< USB MAININTE: RESERVED_5_2 Mask         */
#define USB_MAININTE_GPEPIE_Pos               6                                                       /*!< USB MAININTE: GPEPIE Position           */
#define USB_MAININTE_GPEPIE_Msk               (0x01UL << USB_MAININTE_GPEPIE_Pos)                     /*!< USB MAININTE: GPEPIE Mask               */
#define USB_MAININTE_SIEIE_Pos                7                                                       /*!< USB MAININTE: SIEIE Position            */
#define USB_MAININTE_SIEIE_Msk                (0x01UL << USB_MAININTE_SIEIE_Pos)                      /*!< USB MAININTE: SIEIE Mask                */

/* ---------------------------------  USB_SIEINTE  -------------------------------- */
#define USB_SIEINTE_ATADDRIE_Pos              0                                                       /*!< USB SIEINTE: ATADDRIE Position          */
#define USB_SIEINTE_ATADDRIE_Msk              (0x01UL << USB_SIEINTE_ATADDRIE_Pos)                    /*!< USB SIEINTE: ATADDRIE Mask              */
#define USB_SIEINTE_RESERVED_1_Pos            1                                                       /*!< USB SIEINTE: RESERVED_1 Position        */
#define USB_SIEINTE_RESERVED_1_Msk            (0x01UL << USB_SIEINTE_RESERVED_1_Pos)                  /*!< USB SIEINTE: RESERVED_1 Mask            */
#define USB_SIEINTE_JIE_Pos                   2                                                       /*!< USB SIEINTE: JIE Position               */
#define USB_SIEINTE_JIE_Msk                   (0x01UL << USB_SIEINTE_JIE_Pos)                         /*!< USB SIEINTE: JIE Mask                   */
#define USB_SIEINTE_SOFIE_Pos                 3                                                       /*!< USB SIEINTE: SOFIE Position             */
#define USB_SIEINTE_SOFIE_Msk                 (0x01UL << USB_SIEINTE_SOFIE_Pos)                       /*!< USB SIEINTE: SOFIE Mask                 */
#define USB_SIEINTE_SUSPENDIE_Pos             4                                                       /*!< USB SIEINTE: SUSPENDIE Position         */
#define USB_SIEINTE_SUSPENDIE_Msk             (0x01UL << USB_SIEINTE_SUSPENDIE_Pos)                   /*!< USB SIEINTE: SUSPENDIE Mask             */
#define USB_SIEINTE_RESETIE_Pos               5                                                       /*!< USB SIEINTE: RESETIE Position           */
#define USB_SIEINTE_RESETIE_Msk               (0x01UL << USB_SIEINTE_RESETIE_Pos)                     /*!< USB SIEINTE: RESETIE Mask               */
#define USB_SIEINTE_NONJIE_Pos                6                                                       /*!< USB SIEINTE: NONJIE Position            */
#define USB_SIEINTE_NONJIE_Msk                (0x01UL << USB_SIEINTE_NONJIE_Pos)                      /*!< USB SIEINTE: NONJIE Mask                */
#define USB_SIEINTE_RESERVED_7_Pos            7                                                       /*!< USB SIEINTE: RESERVED_7 Position        */
#define USB_SIEINTE_RESERVED_7_Msk            (0x01UL << USB_SIEINTE_RESERVED_7_Pos)                  /*!< USB SIEINTE: RESERVED_7 Mask            */

/* --------------------------------  USB_GPEPINTE  -------------------------------- */
#define USB_GPEPINTE_EPAIE_Pos                0                                                       /*!< USB GPEPINTE: EPAIE Position            */
#define USB_GPEPINTE_EPAIE_Msk                (0x01UL << USB_GPEPINTE_EPAIE_Pos)                      /*!< USB GPEPINTE: EPAIE Mask                */
#define USB_GPEPINTE_EPBIE_Pos                1                                                       /*!< USB GPEPINTE: EPBIE Position            */
#define USB_GPEPINTE_EPBIE_Msk                (0x01UL << USB_GPEPINTE_EPBIE_Pos)                      /*!< USB GPEPINTE: EPBIE Mask                */
#define USB_GPEPINTE_EPCIE_Pos                2                                                       /*!< USB GPEPINTE: EPCIE Position            */
#define USB_GPEPINTE_EPCIE_Msk                (0x01UL << USB_GPEPINTE_EPCIE_Pos)                      /*!< USB GPEPINTE: EPCIE Mask                */
#define USB_GPEPINTE_RESERVED_7_3_Pos         3                                                       /*!< USB GPEPINTE: RESERVED_7_3 Position     */
#define USB_GPEPINTE_RESERVED_7_3_Msk         (0x1fUL << USB_GPEPINTE_RESERVED_7_3_Pos)               /*!< USB GPEPINTE: RESERVED_7_3 Mask         */

/* ---------------------------------  USB_EP0INTE  -------------------------------- */
#define USB_EP0INTE_OUTERRIE_Pos              0                                                       /*!< USB EP0INTE: OUTERRIE Position          */
#define USB_EP0INTE_OUTERRIE_Msk              (0x01UL << USB_EP0INTE_OUTERRIE_Pos)                    /*!< USB EP0INTE: OUTERRIE Mask              */
#define USB_EP0INTE_INERRIE_Pos               1                                                       /*!< USB EP0INTE: INERRIE Position           */
#define USB_EP0INTE_INERRIE_Msk               (0x01UL << USB_EP0INTE_INERRIE_Pos)                     /*!< USB EP0INTE: INERRIE Mask               */
#define USB_EP0INTE_OUTNAKIE_Pos              2                                                       /*!< USB EP0INTE: OUTNAKIE Position          */
#define USB_EP0INTE_OUTNAKIE_Msk              (0x01UL << USB_EP0INTE_OUTNAKIE_Pos)                    /*!< USB EP0INTE: OUTNAKIE Mask              */
#define USB_EP0INTE_INNAKIE_Pos               3                                                       /*!< USB EP0INTE: INNAKIE Position           */
#define USB_EP0INTE_INNAKIE_Msk               (0x01UL << USB_EP0INTE_INNAKIE_Pos)                     /*!< USB EP0INTE: INNAKIE Mask               */
#define USB_EP0INTE_OUTACKIE_Pos              4                                                       /*!< USB EP0INTE: OUTACKIE Position          */
#define USB_EP0INTE_OUTACKIE_Msk              (0x01UL << USB_EP0INTE_OUTACKIE_Pos)                    /*!< USB EP0INTE: OUTACKIE Mask              */
#define USB_EP0INTE_INACKIE_Pos               5                                                       /*!< USB EP0INTE: INACKIE Position           */
#define USB_EP0INTE_INACKIE_Msk               (0x01UL << USB_EP0INTE_INACKIE_Pos)                     /*!< USB EP0INTE: INACKIE Mask               */
#define USB_EP0INTE_RESERVED_7_6_Pos          6                                                       /*!< USB EP0INTE: RESERVED_7_6 Position      */
#define USB_EP0INTE_RESERVED_7_6_Msk          (0x03UL << USB_EP0INTE_RESERVED_7_6_Pos)                /*!< USB EP0INTE: RESERVED_7_6 Mask          */

/* ---------------------------------  USB_EPAINTE  -------------------------------- */
#define USB_EPAINTE_OUTERRIE_Pos              0                                                       /*!< USB EPAINTE: OUTERRIE Position          */
#define USB_EPAINTE_OUTERRIE_Msk              (0x01UL << USB_EPAINTE_OUTERRIE_Pos)                    /*!< USB EPAINTE: OUTERRIE Mask              */
#define USB_EPAINTE_INERRIE_Pos               1                                                       /*!< USB EPAINTE: INERRIE Position           */
#define USB_EPAINTE_INERRIE_Msk               (0x01UL << USB_EPAINTE_INERRIE_Pos)                     /*!< USB EPAINTE: INERRIE Mask               */
#define USB_EPAINTE_OUTNAKIE_Pos              2                                                       /*!< USB EPAINTE: OUTNAKIE Position          */
#define USB_EPAINTE_OUTNAKIE_Msk              (0x01UL << USB_EPAINTE_OUTNAKIE_Pos)                    /*!< USB EPAINTE: OUTNAKIE Mask              */
#define USB_EPAINTE_INNAKIE_Pos               3                                                       /*!< USB EPAINTE: INNAKIE Position           */
#define USB_EPAINTE_INNAKIE_Msk               (0x01UL << USB_EPAINTE_INNAKIE_Pos)                     /*!< USB EPAINTE: INNAKIE Mask               */
#define USB_EPAINTE_OUTACKIE_Pos              4                                                       /*!< USB EPAINTE: OUTACKIE Position          */
#define USB_EPAINTE_OUTACKIE_Msk              (0x01UL << USB_EPAINTE_OUTACKIE_Pos)                    /*!< USB EPAINTE: OUTACKIE Mask              */
#define USB_EPAINTE_INACKIE_Pos               5                                                       /*!< USB EPAINTE: INACKIE Position           */
#define USB_EPAINTE_INACKIE_Msk               (0x01UL << USB_EPAINTE_INACKIE_Pos)                     /*!< USB EPAINTE: INACKIE Mask               */
#define USB_EPAINTE_OUTSHACKIE_Pos            6                                                       /*!< USB EPAINTE: OUTSHACKIE Position        */
#define USB_EPAINTE_OUTSHACKIE_Msk            (0x01UL << USB_EPAINTE_OUTSHACKIE_Pos)                  /*!< USB EPAINTE: OUTSHACKIE Mask            */
#define USB_EPAINTE_RESERVED_7_Pos            7                                                       /*!< USB EPAINTE: RESERVED_7 Position        */
#define USB_EPAINTE_RESERVED_7_Msk            (0x01UL << USB_EPAINTE_RESERVED_7_Pos)                  /*!< USB EPAINTE: RESERVED_7 Mask            */

/* ---------------------------------  USB_EPBINTE  -------------------------------- */
#define USB_EPBINTE_OUTERRIE_Pos              0                                                       /*!< USB EPBINTE: OUTERRIE Position          */
#define USB_EPBINTE_OUTERRIE_Msk              (0x01UL << USB_EPBINTE_OUTERRIE_Pos)                    /*!< USB EPBINTE: OUTERRIE Mask              */
#define USB_EPBINTE_INERRIE_Pos               1                                                       /*!< USB EPBINTE: INERRIE Position           */
#define USB_EPBINTE_INERRIE_Msk               (0x01UL << USB_EPBINTE_INERRIE_Pos)                     /*!< USB EPBINTE: INERRIE Mask               */
#define USB_EPBINTE_OUTNAKIE_Pos              2                                                       /*!< USB EPBINTE: OUTNAKIE Position          */
#define USB_EPBINTE_OUTNAKIE_Msk              (0x01UL << USB_EPBINTE_OUTNAKIE_Pos)                    /*!< USB EPBINTE: OUTNAKIE Mask              */
#define USB_EPBINTE_INNAKIE_Pos               3                                                       /*!< USB EPBINTE: INNAKIE Position           */
#define USB_EPBINTE_INNAKIE_Msk               (0x01UL << USB_EPBINTE_INNAKIE_Pos)                     /*!< USB EPBINTE: INNAKIE Mask               */
#define USB_EPBINTE_OUTACKIE_Pos              4                                                       /*!< USB EPBINTE: OUTACKIE Position          */
#define USB_EPBINTE_OUTACKIE_Msk              (0x01UL << USB_EPBINTE_OUTACKIE_Pos)                    /*!< USB EPBINTE: OUTACKIE Mask              */
#define USB_EPBINTE_INACKIE_Pos               5                                                       /*!< USB EPBINTE: INACKIE Position           */
#define USB_EPBINTE_INACKIE_Msk               (0x01UL << USB_EPBINTE_INACKIE_Pos)                     /*!< USB EPBINTE: INACKIE Mask               */
#define USB_EPBINTE_OUTSHACKIE_Pos            6                                                       /*!< USB EPBINTE: OUTSHACKIE Position        */
#define USB_EPBINTE_OUTSHACKIE_Msk            (0x01UL << USB_EPBINTE_OUTSHACKIE_Pos)                  /*!< USB EPBINTE: OUTSHACKIE Mask            */
#define USB_EPBINTE_RESERVED_7_Pos            7                                                       /*!< USB EPBINTE: RESERVED_7 Position        */
#define USB_EPBINTE_RESERVED_7_Msk            (0x01UL << USB_EPBINTE_RESERVED_7_Pos)                  /*!< USB EPBINTE: RESERVED_7 Mask            */

/* ---------------------------------  USB_EPCINTE  -------------------------------- */
#define USB_EPCINTE_OUTERRIE_Pos              0                                                       /*!< USB EPCINTE: OUTERRIE Position          */
#define USB_EPCINTE_OUTERRIE_Msk              (0x01UL << USB_EPCINTE_OUTERRIE_Pos)                    /*!< USB EPCINTE: OUTERRIE Mask              */
#define USB_EPCINTE_INERRIE_Pos               1                                                       /*!< USB EPCINTE: INERRIE Position           */
#define USB_EPCINTE_INERRIE_Msk               (0x01UL << USB_EPCINTE_INERRIE_Pos)                     /*!< USB EPCINTE: INERRIE Mask               */
#define USB_EPCINTE_OUTNAKIE_Pos              2                                                       /*!< USB EPCINTE: OUTNAKIE Position          */
#define USB_EPCINTE_OUTNAKIE_Msk              (0x01UL << USB_EPCINTE_OUTNAKIE_Pos)                    /*!< USB EPCINTE: OUTNAKIE Mask              */
#define USB_EPCINTE_INNAKIE_Pos               3                                                       /*!< USB EPCINTE: INNAKIE Position           */
#define USB_EPCINTE_INNAKIE_Msk               (0x01UL << USB_EPCINTE_INNAKIE_Pos)                     /*!< USB EPCINTE: INNAKIE Mask               */
#define USB_EPCINTE_OUTACKIE_Pos              4                                                       /*!< USB EPCINTE: OUTACKIE Position          */
#define USB_EPCINTE_OUTACKIE_Msk              (0x01UL << USB_EPCINTE_OUTACKIE_Pos)                    /*!< USB EPCINTE: OUTACKIE Mask              */
#define USB_EPCINTE_INACKIE_Pos               5                                                       /*!< USB EPCINTE: INACKIE Position           */
#define USB_EPCINTE_INACKIE_Msk               (0x01UL << USB_EPCINTE_INACKIE_Pos)                     /*!< USB EPCINTE: INACKIE Mask               */
#define USB_EPCINTE_OUTSHACKIE_Pos            6                                                       /*!< USB EPCINTE: OUTSHACKIE Position        */
#define USB_EPCINTE_OUTSHACKIE_Msk            (0x01UL << USB_EPCINTE_OUTSHACKIE_Pos)                  /*!< USB EPCINTE: OUTSHACKIE Mask            */
#define USB_EPCINTE_RESERVED_7_Pos            7                                                       /*!< USB EPCINTE: RESERVED_7 Position        */
#define USB_EPCINTE_RESERVED_7_Msk            (0x01UL << USB_EPCINTE_RESERVED_7_Pos)                  /*!< USB EPCINTE: RESERVED_7 Mask            */

/* ---------------------------------  USB_FIFODAT  -------------------------------- */
#define USB_FIFODAT_FIFODAT_Pos               0                                                       /*!< USB FIFODAT: FIFODAT Position           */
#define USB_FIFODAT_FIFODAT_Msk               (0x000000ffUL << USB_FIFODAT_FIFODAT_Pos)               /*!< USB FIFODAT: FIFODAT Mask               */

/* --------------------------------  USB_DBGRAMDAT  ------------------------------- */
#define USB_DBGRAMDAT_DBRAMDAT_Pos            0                                                       /*!< USB DBGRAMDAT: DBRAMDAT Position        */
#define USB_DBGRAMDAT_DBRAMDAT_Msk            (0x000000ffUL << USB_DBGRAMDAT_DBRAMDAT_Pos)            /*!< USB DBGRAMDAT: DBRAMDAT Mask            */


/* ================================================================================ */
/* ================        struct 'USBMISC' Position & Mask        ================ */
/* ================================================================================ */


/* ---------------------------------  USBMISC_CTL  -------------------------------- */
#define USBMISC_CTL_REG33VEN_Pos              0                                                       /*!< USBMISC CTL: REG33VEN Position          */
#define USBMISC_CTL_REG33VEN_Msk              (0x01UL << USBMISC_CTL_REG33VEN_Pos)                    /*!< USBMISC CTL: REG33VEN Mask              */
#define USBMISC_CTL_REG18VEN_Pos              1                                                       /*!< USBMISC CTL: REG18VEN Position          */
#define USBMISC_CTL_REG18VEN_Msk              (0x01UL << USBMISC_CTL_REG18VEN_Pos)                    /*!< USBMISC CTL: REG18VEN Mask              */
#define USBMISC_CTL_RESERVED_2_Pos            2                                                       /*!< USBMISC CTL: RESERVED_2 Position        */
#define USBMISC_CTL_RESERVED_2_Msk            (0x01UL << USBMISC_CTL_RESERVED_2_Pos)                  /*!< USBMISC CTL: RESERVED_2 Mask            */
#define USBMISC_CTL_USBRST_Pos                3                                                       /*!< USBMISC CTL: USBRST Position            */
#define USBMISC_CTL_USBRST_Msk                (0x01UL << USBMISC_CTL_USBRST_Pos)                      /*!< USBMISC CTL: USBRST Mask                */
#define USBMISC_CTL_VBUSDET_Pos               4                                                       /*!< USBMISC CTL: VBUSDET Position           */
#define USBMISC_CTL_VBUSDET_Msk               (0x01UL << USBMISC_CTL_VBUSDET_Pos)                     /*!< USBMISC CTL: VBUSDET Mask               */
#define USBMISC_CTL_RESERVED_5_5_Pos          5                                                       /*!< USBMISC CTL: RESERVED_5_5 Position      */
#define USBMISC_CTL_RESERVED_5_5_Msk          (0x01UL << USBMISC_CTL_RESERVED_5_5_Pos)                /*!< USBMISC CTL: RESERVED_5_5 Mask          */
#define USBMISC_CTL_USBPLLEN_Pos              6                                                       /*!< USBMISC CTL: USBPLLEN Position          */
#define USBMISC_CTL_USBPLLEN_Msk              (0x01UL << USBMISC_CTL_USBPLLEN_Pos)                    /*!< USBMISC CTL: USBPLLEN Mask              */
#define USBMISC_CTL_RESERVED_7_Pos            7                                                       /*!< USBMISC CTL: RESERVED_7 Position        */
#define USBMISC_CTL_RESERVED_7_Msk            (0x01UL << USBMISC_CTL_RESERVED_7_Pos)                  /*!< USBMISC CTL: RESERVED_7 Mask            */
#define USBMISC_CTL_USBSNZ_Pos                8                                                       /*!< USBMISC CTL: USBSNZ Position            */
#define USBMISC_CTL_USBSNZ_Msk                (0x01UL << USBMISC_CTL_USBSNZ_Pos)                      /*!< USBMISC CTL: USBSNZ Mask                */
#define USBMISC_CTL_RESERVED_11_9_Pos         9                                                       /*!< USBMISC CTL: RESERVED_11_9 Position     */
#define USBMISC_CTL_RESERVED_11_9_Msk         (0x07UL << USBMISC_CTL_RESERVED_11_9_Pos)               /*!< USBMISC CTL: RESERVED_11_9 Mask         */
#define USBMISC_CTL_USBWAIT_Pos               12                                                      /*!< USBMISC CTL: USBWAIT Position           */
#define USBMISC_CTL_USBWAIT_Msk               (0x01UL << USBMISC_CTL_USBWAIT_Pos)                     /*!< USBMISC CTL: USBWAIT Mask               */
#define USBMISC_CTL_RESERVED_15_13_Pos        13                                                      /*!< USBMISC CTL: RESERVED_15_13 Position    */
#define USBMISC_CTL_RESERVED_15_13_Msk        (0x07UL << USBMISC_CTL_RESERVED_15_13_Pos)              /*!< USBMISC CTL: RESERVED_15_13 Mask        */

/* -------------------------------  USBMISC_WRDMAEN  ------------------------------ */
#define USBMISC_WRDMAEN_WRDMAEN0_Pos          0                                                       /*!< USBMISC WRDMAEN: WRDMAEN0 Position      */
#define USBMISC_WRDMAEN_WRDMAEN0_Msk          (0x01UL << USBMISC_WRDMAEN_WRDMAEN0_Pos)                /*!< USBMISC WRDMAEN: WRDMAEN0 Mask          */
#define USBMISC_WRDMAEN_WRDMAEN1_Pos          1                                                       /*!< USBMISC WRDMAEN: WRDMAEN1 Position      */
#define USBMISC_WRDMAEN_WRDMAEN1_Msk          (0x01UL << USBMISC_WRDMAEN_WRDMAEN1_Pos)                /*!< USBMISC WRDMAEN: WRDMAEN1 Mask          */
#define USBMISC_WRDMAEN_WRDMAEN2_Pos          2                                                       /*!< USBMISC WRDMAEN: WRDMAEN2 Position      */
#define USBMISC_WRDMAEN_WRDMAEN2_Msk          (0x01UL << USBMISC_WRDMAEN_WRDMAEN2_Pos)                /*!< USBMISC WRDMAEN: WRDMAEN2 Mask          */
#define USBMISC_WRDMAEN_WRDMAEN3_Pos          3                                                       /*!< USBMISC WRDMAEN: WRDMAEN3 Position      */
#define USBMISC_WRDMAEN_WRDMAEN3_Msk          (0x01UL << USBMISC_WRDMAEN_WRDMAEN3_Pos)                /*!< USBMISC WRDMAEN: WRDMAEN3 Mask          */
#define USBMISC_WRDMAEN_RESERVED_15_4_Pos     4                                                       /*!< USBMISC WRDMAEN: RESERVED_15_4 Position */
#define USBMISC_WRDMAEN_RESERVED_15_4_Msk     (0x00000fffUL << USBMISC_WRDMAEN_RESERVED_15_4_Pos)     /*!< USBMISC WRDMAEN: RESERVED_15_4 Mask     */

/* -------------------------------  USBMISC_RDDMAEN  ------------------------------ */
#define USBMISC_RDDMAEN_RDDMAEN0_Pos          0                                                       /*!< USBMISC RDDMAEN: RDDMAEN0 Position      */
#define USBMISC_RDDMAEN_RDDMAEN0_Msk          (0x01UL << USBMISC_RDDMAEN_RDDMAEN0_Pos)                /*!< USBMISC RDDMAEN: RDDMAEN0 Mask          */
#define USBMISC_RDDMAEN_RDDMAEN1_Pos          1                                                       /*!< USBMISC RDDMAEN: RDDMAEN1 Position      */
#define USBMISC_RDDMAEN_RDDMAEN1_Msk          (0x01UL << USBMISC_RDDMAEN_RDDMAEN1_Pos)                /*!< USBMISC RDDMAEN: RDDMAEN1 Mask          */
#define USBMISC_RDDMAEN_RDDMAEN2_Pos          2                                                       /*!< USBMISC RDDMAEN: RDDMAEN2 Position      */
#define USBMISC_RDDMAEN_RDDMAEN2_Msk          (0x01UL << USBMISC_RDDMAEN_RDDMAEN2_Pos)                /*!< USBMISC RDDMAEN: RDDMAEN2 Mask          */
#define USBMISC_RDDMAEN_RDDMAEN3_Pos          3                                                       /*!< USBMISC RDDMAEN: RDDMAEN3 Position      */
#define USBMISC_RDDMAEN_RDDMAEN3_Msk          (0x01UL << USBMISC_RDDMAEN_RDDMAEN3_Pos)                /*!< USBMISC RDDMAEN: RDDMAEN3 Mask          */
#define USBMISC_RDDMAEN_RESERVED_15_4_Pos     4                                                       /*!< USBMISC RDDMAEN: RESERVED_15_4 Position */
#define USBMISC_RDDMAEN_RESERVED_15_4_Msk     (0x00000fffUL << USBMISC_RDDMAEN_RESERVED_15_4_Pos)     /*!< USBMISC RDDMAEN: RESERVED_15_4 Mask     */


/* ================================================================================ */
/* ================          struct 'WDT2' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  WDT2_CLK  ---------------------------------- */
#define WDT2_CLK_CLKSRC_Pos                   0                                                       /*!< WDT2 CLK: CLKSRC Position               */
#define WDT2_CLK_CLKSRC_Msk                   (0x03UL << WDT2_CLK_CLKSRC_Pos)                         /*!< WDT2 CLK: CLKSRC Mask                   */
#define WDT2_CLK_RESERVED_3_2_Pos             2                                                       /*!< WDT2 CLK: RESERVED_3_2 Position         */
#define WDT2_CLK_RESERVED_3_2_Msk             (0x03UL << WDT2_CLK_RESERVED_3_2_Pos)                   /*!< WDT2 CLK: RESERVED_3_2 Mask             */
#define WDT2_CLK_CLKDIV_Pos                   4                                                       /*!< WDT2 CLK: CLKDIV Position               */
#define WDT2_CLK_CLKDIV_Msk                   (0x03UL << WDT2_CLK_CLKDIV_Pos)                         /*!< WDT2 CLK: CLKDIV Mask                   */
#define WDT2_CLK_RESERVED_7_6_Pos             6                                                       /*!< WDT2 CLK: RESERVED_7_6 Position         */
#define WDT2_CLK_RESERVED_7_6_Msk             (0x03UL << WDT2_CLK_RESERVED_7_6_Pos)                   /*!< WDT2 CLK: RESERVED_7_6 Mask             */
#define WDT2_CLK_DBRUN_Pos                    8                                                       /*!< WDT2 CLK: DBRUN Position                */
#define WDT2_CLK_DBRUN_Msk                    (0x01UL << WDT2_CLK_DBRUN_Pos)                          /*!< WDT2 CLK: DBRUN Mask                    */
#define WDT2_CLK_RESERVED_15_9_Pos            9                                                       /*!< WDT2 CLK: RESERVED_15_9 Position        */
#define WDT2_CLK_RESERVED_15_9_Msk            (0x7fUL << WDT2_CLK_RESERVED_15_9_Pos)                  /*!< WDT2 CLK: RESERVED_15_9 Mask            */

/* ----------------------------------  WDT2_CTL  ---------------------------------- */
#define WDT2_CTL_WDTRUN_Pos                   0                                                       /*!< WDT2 CTL: WDTRUN Position               */
#define WDT2_CTL_WDTRUN_Msk                   (0x0fUL << WDT2_CTL_WDTRUN_Pos)                         /*!< WDT2 CTL: WDTRUN Mask                   */
#define WDT2_CTL_WDTCNTRST_Pos                4                                                       /*!< WDT2 CTL: WDTCNTRST Position            */
#define WDT2_CTL_WDTCNTRST_Msk                (0x01UL << WDT2_CTL_WDTCNTRST_Pos)                      /*!< WDT2 CTL: WDTCNTRST Mask                */
#define WDT2_CTL_RESERVED_7_5_Pos             5                                                       /*!< WDT2 CTL: RESERVED_7_5 Position         */
#define WDT2_CTL_RESERVED_7_5_Msk             (0x07UL << WDT2_CTL_RESERVED_7_5_Pos)                   /*!< WDT2 CTL: RESERVED_7_5 Mask             */
#define WDT2_CTL_STATNMI_Pos                  8                                                       /*!< WDT2 CTL: STATNMI Position              */
#define WDT2_CTL_STATNMI_Msk                  (0x01UL << WDT2_CTL_STATNMI_Pos)                        /*!< WDT2 CTL: STATNMI Mask                  */
#define WDT2_CTL_MOD_Pos                      9                                                       /*!< WDT2 CTL: MOD Position                  */
#define WDT2_CTL_MOD_Msk                      (0x03UL << WDT2_CTL_MOD_Pos)                            /*!< WDT2 CTL: MOD Mask                      */
#define WDT2_CTL_RESERVED_15_11_Pos           11                                                      /*!< WDT2 CTL: RESERVED_15_11 Position       */
#define WDT2_CTL_RESERVED_15_11_Msk           (0x1fUL << WDT2_CTL_RESERVED_15_11_Pos)                 /*!< WDT2 CTL: RESERVED_15_11 Mask           */

/* ----------------------------------  WDT2_CMP  ---------------------------------- */
#define WDT2_CMP_CMP_Pos                      0                                                       /*!< WDT2 CMP: CMP Position                  */
#define WDT2_CMP_CMP_Msk                      (0x000003ffUL << WDT2_CMP_CMP_Pos)                      /*!< WDT2 CMP: CMP Mask                      */
#define WDT2_CMP_RESERVED_15_10_Pos           10                                                      /*!< WDT2 CMP: RESERVED_15_10 Position       */
#define WDT2_CMP_RESERVED_15_10_Msk           (0x3fUL << WDT2_CMP_RESERVED_15_10_Pos)                 /*!< WDT2 CMP: RESERVED_15_10 Mask           */



/* ================================================================================ */
/* ================              Peripheral memory map             ================ */
/* ================================================================================ */

#define ADC12A_0_BASE                   0x400007A0UL
#define CACHE_BASE                      0x40000080UL
#define CLG_BASE                        0x40000040UL
#define DMAC_BASE                       0x40001000UL
#define FLASHC_BASE                     0x400001B0UL
#define I2C_0_BASE                      0x400003C0UL
#define I2C_1_BASE                      0x400006C0UL
#define LCD32C_BASE                     0x40000800UL
#define PPORT_BASE                      0x40000200UL
#define PWGA_BASE                       0x40000020UL
#define QSPI_0_BASE                     0x40000690UL
#define REMC3_BASE                      0x40000720UL
#define RFC_0_BASE                      0x40000840UL
#define RTCA_BASE                       0x400000C0UL
#define SNDA_BASE                       0x40000700UL
#define SRC_BASE                        0x40000060UL
#define SPIA_0_BASE                     0x400003B0UL
#define SPIA_1_BASE                     0x40000670UL
#define SVD4_BASE                       0x40000100UL
#define SYS_BASE                        0x40000000UL
#define T16_0_BASE                      0x40000140UL
#define T16_1_BASE                      0x400003A0UL
#define T16_2_BASE                      0x40000680UL
#define T16_3_BASE                      0x40000480UL
#define T16_4_BASE                      0x400004A0UL
#define T16_5_BASE                      0x400004C0UL
#define T16_6_BASE                      0x40000660UL
#define T16_7_BASE                      0x40000780UL
#define T16B_0_BASE                     0x40000400UL
#define T16B_1_BASE                     0x40000440UL
#define TSRVR_0_BASE                    0x400007C0UL
#define UART3_0_BASE                    0x40000380UL
#define UART3_1_BASE                    0x40000600UL
#define UPMUX_BASE                      0x40000300UL
#define USB_BASE                        0x20400000UL
#define USBMISC_BASE                    0x40000970UL
#define WDT2_BASE                       0x400000A0UL


/* ================================================================================ */
/* ================             Peripheral declaration             ================ */
/* ================================================================================ */

#define ADC12A_0                        ((ADC12A_0_Type           *) ADC12A_0_BASE)
#define CACHE                           ((CACHE_Type              *) CACHE_BASE)
#define CLG                             ((CLG_Type                *) CLG_BASE)
#define DMAC                            ((DMAC_Type               *) DMAC_BASE)
#define FLASHC                          ((FLASHC_Type             *) FLASHC_BASE)
#define I2C_0                           ((I2C_0_Type              *) I2C_0_BASE)
#define I2C_1                           ((I2C_0_Type              *) I2C_1_BASE)
#define LCD32C                          ((LCD32C_Type             *) LCD32C_BASE)
#define PPORT                           ((PPORT_Type              *) PPORT_BASE)
#define PWGA                            ((PWGA_Type               *) PWGA_BASE)
#define QSPI_0                          ((QSPI_0_Type             *) QSPI_0_BASE)
#define REMC3                           ((REMC3_Type              *) REMC3_BASE)
#define RFC_0                           ((RFC_0_Type              *) RFC_0_BASE)
#define RTCA                            ((RTCA_Type               *) RTCA_BASE)
#define SNDA                            ((SNDA_Type               *) SNDA_BASE)
#define SRC                             ((SRC_Type                *) SRC_BASE)
#define SPIA_0                          ((SPIA_0_Type             *) SPIA_0_BASE)
#define SPIA_1                          ((SPIA_0_Type             *) SPIA_1_BASE)
#define SVD4                            ((SVD4_Type               *) SVD4_BASE)
#define SYS                             ((SYS_Type                *) SYS_BASE)
#define T16_0                           ((T16_0_Type              *) T16_0_BASE)
#define T16_1                           ((T16_0_Type              *) T16_1_BASE)
#define T16_2                           ((T16_0_Type              *) T16_2_BASE)
#define T16_3                           ((T16_0_Type              *) T16_3_BASE)
#define T16_4                           ((T16_0_Type              *) T16_4_BASE)
#define T16_5                           ((T16_0_Type              *) T16_5_BASE)
#define T16_6                           ((T16_0_Type              *) T16_6_BASE)
#define T16_7                           ((T16_0_Type              *) T16_7_BASE)
#define T16B_0                          ((T16B_0_Type             *) T16B_0_BASE)
#define T16B_1                          ((T16B_0_Type             *) T16B_1_BASE)
#define TSRVR_0                         ((TSRVR_0_Type            *) TSRVR_0_BASE)
#define UART3_0                         ((UART3_0_Type            *) UART3_0_BASE)
#define UART3_1                         ((UART3_0_Type            *) UART3_1_BASE)
#define UPMUX                           ((UPMUX_Type              *) UPMUX_BASE)
#define USB                             ((USB_Type                *) USB_BASE)
#define USBMISC                         ((USBMISC_Type            *) USBMISC_BASE)
#define WDT2                            ((WDT2_Type               *) WDT2_BASE)


/** @} */ /* End of group Device_Peripheral_Registers */
/** @} */ /* End of group S1C31W73 */
/** @} */ /* End of group Epson */

#ifdef __cplusplus
}
#endif


#endif  /* S1C31W73_H */

